(Untitled)

TeeChart Pro ActiveX component

TeeChart Pro order informationLicense and disclaimer

TeeChart Pro ActiveX control is a comprehensive charting tool for programmers. The control includes support for direct access via the Chart editor to ADO data sources.

Features of TeeChart Pro ActiveX Control:

32-bit (x86) & x64 ActiveX components for Visual Basic, Delphi, .NET and other programming environments

Data aware - Direct access to ADO data sources with Summaries, Sorting, XTab and Record level

Direct access to URL addressable Charts

Multiple-axis support both horizontal and vertical

53 data Series types

40 Mathematical functions

Series Gallery

2D, 3D plus OpenGL 3D

Very fast! Direct high-speed, array add of data to Chart

Live and animated Zoom, scroll and real time

Image export as BMP, metafile (WMF/EMF), JPEG, PNG, GIF, PCX & native Chart format

Data export as Excel, XML, HTML, CSV (Text) & native Chart format

Supports VBA and ASP in IIS and fully scriptable in IE as VBScript/JScript

Royalty free in compiled desktop applications

43 Chart add-on tools including annotation and color banding with transparency

Custom drawing Canvas

Custom printing

Extensive demos

Design time integrated Chart and Series editor

Online help

Electronic reference (Online help and HTML)

Extended Statistical functions

Extensive demo code

Runtime Chart Data Grid and Navigator

Runtime Chart Editor and Print Previewer

Runtime Editor and Previewer Form Panels

Runtime Series List Box and TeeCommander control bar

Runtime Chart Page Navigator

Year2000 compliant


(Untitled)

Introduction

Please see the WhatsNew.htm file for details of all new features.

We hope you enjoy working with TeeChart Pro !


(Untitled)

About TeeChart Pro

TeeChart Pro order informationLicense and disclaimer

The original TeeChart base Library Classes are written in Delphi by David Berneda. The Libraries, now available as Delphi, ActiveX, Kylix (Linux) and C#.NET classes, are maintained, distributed and supported by Steema Software SL. of Girona, Catalonia, Spain.


(Untitled)

Getting Started

This section should bring you up to speed if you are trying out TeeChart Pro for the first time. Building a Chart from scratch is very quick with TeeChart so we recommend it worth your while to run through the included examples for your programming environment.

If you haven't yet installed TeeChart Pro ActiveX Control please refer to the Installation page.

Topics in this section:

2.1. Getting started

2.2. Using TeeChart online help.

2.3. The TeeChart component.

2.4. Creating a new Chart.

2.5. The Chart Editor.

2.6. Configuring data Series in a TChart.

2.7. Configuring ODBC/ADO data Series for a TChart.

2.8. Modifying Chart data.


(Untitled)

Using TeeChart on-line help

Selecting a TeeChart component

For most (but not all) programming environments, whilst designing your project using a TeeChart component you may select the component from the component palette or on the form where you have placed it and key F1. Context sensitive help relating to that component will appear.

Selecting a TeeChart property, method or event

Highlight a property or event in Object Inspector and key F1 to obtain help for that item. Alternatively write the word for which you would like some help in your code. Select the word by placing and clicking the cursor on that word and key F1. If help is available, TeeChart context sensitive help will directly access a description relating to that functionality.

Help Contents page

The TeeChart Help Contents page includes the TeeChart User Guide and Tutorials. You can follow the headings there to take you to any reference section.


(Untitled)

TChart component

The TChart component is the basic building block for all Charts. Select the TChart component from your programming environment's component palette, or import it if not already included, and simply drag it onto your form to include a Chart in your application.

See TChart Component for Class definition.

You can use the Chart Editor to define display characteristics for the Chart and to add new Data Series. Alternatively all properties can be set and changed at runtime using Chart properties and methods.

Data Series for the TChart component must be populated by code. See Configuring data Series in a TChart for an introduction.

For an in-depth look at how to create Charts with TeeChart see the TeeChart User Guide.


(Untitled)

Creating a new Chart

This section describes the common steps needed to start defining a new Chart.

Create a new Form.

Create a new form and place a TeeChart component on it (drag it across from the component palette).

Drag the corners of the new TeeChart component out to a size that helps you visualize the contents of the new Chart as you define it. Later you can adjust the size of the Chart to suit your needs.

Edit the new Chart

Position the mouse pointer over the new Chart and press the right mouse button. A menu appears that includes the ‘Edit Chart’ option.

Fig. 1. Using the right mouse button on the Chart will call the Chart options menu.

Select the Edit Chart… option to edit the Chart and define and populate its data Series.

Go to the next step.


(Untitled)

The Chart editor

Fig. 2.

The Chart Editor screen

The Chart page (1st page) of the Chart editor contains definition information for the Chart. It includes sections to define general and other more specific, Chart parameters. Some parameters won’t apply until you have some data Series defined in the Chart. Try modifying a parameter, the Title for example, and you will see it update in real time on the Chart.

To see some data Charted we need to create a data Series...

Add a data Series

Press the Add button in the Series tab section of the Chart page. TeeChart will show you a gallery of Series types. Select one to add to your Chart, you can change its type later if you decide that you would prefer to visualize your data in a different way.

Fig. 3.

The Chart Gallery

Select a Series type by mouse or with arrow keys and press ‘OK’. Double-clicking on the Series type will achieve the same result. The Extended Series page is only available in the Gallery with TeeChart Pro.

The Series type is automatically added to your Chart. In the Chart editor you will see a new configuration tab added for the new Series.

Suppose we had selected a line Series. The editor will appear as follows:

Fig. 4.

New Series added to Chart

TeeChart has added the Series to the Chart. It has also added some random values so that you can visualize, in the Chart, the Series appearance at design-time to easily follow any changes you are making.

Compile your project. The project should compile to show you an empty Chart. The random values don’t work at runtime so the next step is to go back to the Chart Editor and add a data source or write your own code to add data values.

Edit the Series

Selecting the Series tab allows you to edit your Series. The next step is to add data to the Series. The steps necessary to include the data for the Series vary slightly between manually added and ADO sourced data. See the following 2 sections:

Configuring data Series in a TChart.

and

Configuring ODBC/ADO data Series for a TChart.


(Untitled)

Configuring data Series in a TChart

We have a TChart on the form and have added a Series to it. We are ready to populate the Series.

Let’s type some code to add points values programmatically.

We'll see later how to create a database-aware Chart with automatic record retrieval.

Example Pie-Series

Suppose the Series we added was a Pie Series. We could populate the Series in the following way. For the following code to work we should leave the Series name as its default of Series1.

Place a TButton on your Form and go to the OnClick event .

Copy the following code at the Button1.OnClick event:

Example Visual Basic

With TChart1.Series(0) do
Begin
    .Add  40, "Pencil" , vbRed
    .Add  60, "Paper",  clBlue
    .Add  30, "Ribbon", clGreen
end;

A description of the Add method and other available methods and properties is available at design time via the context sensitive help included with TeeChart. Place the cursor on the word Add in your code and press F1 for a full description of the method.

Return to your code and run the project.

Press Button1 to see the Pie Chart appear - the code works!

Editing the Series

Close the program to go back to your programming environment's IDE.

In design mode for runtime, all Chart and Series properties are editable via code or by right-clicking the Chart and selecting the ‘Edit Chart’ option. Here we’ll use the Chart editor to edit our new Chart and Series. Fig.5. Shows the first editor screen.

To edit features of the Series we can double-click on the Series in the list or highlight the Series and select Edit or directly select the tab for the Series - each technique will take us to the editor for the Series.

Fig. 5.

The Chart Editor screen showing the new Pie Series

Try changing some properties of the Pie Series; you will see the results update automatically on the Chart. There is no cancel to undo changes but most parameters are easily toggled. Remember, in design time the TChart component hasn’t yet run your code so it shows the randomly generated set of data. You will need to start your project to see how the new parameters show up with your own data.

Fig. 6.

The Chart Editor Series page showing editor tab for our Pie Series

Many changes can be made visually in the editor, or try modifying some parameters in Object Inspector, or modifying a property with your own code. For more advanced projects, you’ll most likely find yourself typing some code.

Now we’ll take a closer look at configuring a Datasource for an ADO (with ODBC) data Series.

Configuring ODBC/ADO data Series for a TChart.


(Untitled)

Configuring ODBC/ADO data Series for a TChart

Prior to using any database connectivity, you should have correctly installed Microsoft's ADO components v1 or greater.

TeeChart’s demo database

We have included demo database tables in DBF format as an example ODBC datasource. The ODBC DSN, called TeeChart Pro Database, is automatically added to your system when TeeChart is installed. If you need to do tests with Internet Information Server and Active Server Pages and have installed the IIS server option at install time then TeeChart will create a System DSN for test purposes called TeeChart Pro System db, otherwise you should make a System DSN equivalent of the datasource. TeeChart's examples in VB and VC++ access the datasource as an ADO Recordset.

A Step by step guide to creating a database aware Chart....

- Select and install a Pie Series as described in section The Chart Editor.

- Go to the Series page of the Chart editor either by double clicking on the Series name, highlighting the Series and selecting Edit, or by selecting the Series tab.

- Select your Series from the Series listbox and go to the datasource tab.

- From the listbox select your data source type.

There are 4 types of data source available. The DataSource style is a component property that may be one of the following:

1. ‘No data’ if points are being added programmatically (at source code).

or

2. ‘Random values’ draw your chart Series with random values.

or

3. ‘A function’ which may be:

One or more other Series (like LineSeries1, BarSeries2, etc.) which could come from this chart or from another chart in your project. A function may work with a combination of one or more other Series and an algorithmic function (min, max, average, etc.).

or..

4. An ‘ADO Database’ which may be:

Any valid ADO Datasource

#K Adding a dataset

For our example, let's choose the 4th option from the previous section, ‘ADO Database’ style. In our TChart we’ll include data from the example dbf format ADO (ODBC) DSN, TeeChart Pro Database included with TeeChart Pro as an example DSN.

1. Place a TChart control on a Form

2. Right-click the TChart control and select "Properties" to show the Chart editor

3. Add a Series to the Chart control (for example a Bar Series)

4. Click on "Series" tab and "DataSource" tab

5. Now click on the combo-box and select "Dataset" At this point you will see this screen (Fig. 7).

Fig. 7.

The Chart Editor screen showing the Data source tab for our pie Series

6. You will need to select the New button which will open the TeeChart ADO Connection Window.

Fig. 8.

The TeeChart ADO Connection Window

From here you can either select a Data Link (UDL) file or you can build your own Connection String. In this example we'll select the default Microsoft OLE DB Provider for ODBC Drivers from the Provider tab and the TeeChart Pro Database from the Connection tab:

Fig. 9.

OLE DB providers

Fig. 10.

Connection page

7. After selecting "OK" on the above screen, select the "Employee" table as shown in the picture below. Here we also have the possibility to create an SQL query instead, or to bring in a text file containing one.

Fig. 11.

Table/Query selection

8. Click "OK" to close the ADO Datasource dialog and return to the Chart editor.

Now you should define which Fields from the Table or SQL Query should be retrieved and added to the Series. This is done with the Chart editor, by selecting the appropriate fields for each Series part.

9. See the image below, showing the Chart editor DataSource tab with our example selected Fields.

Fig. 12.

Field selection

Each Series has a "Label" field (which should be of type "String" or "Char"), and a value field (the "Bar" field for Bar Series), which should be of either integer, floating or date-time field type.

In this example, we have selected the "LASTNAME" field from the "Employee" table for the Series labels, and the "SALARY" numeric field for the Bar point values.

See the Dataset combobox in the above picture. This combobox shows the available tables or queries you have created. You can always come to this dialog and select a different dataset, or edit it by clicking the "Edit..." button.

Now we have assigned the appropriate fields, it's time to see the results.

10. Click the "Close" or the "Apply" button to close the Chart editor and to return to the programming environment.

At this time, the TChart control will open the selected ADO database Table or Query, and will start retrieving records and adding values to the selected Series.

In our example, you'll see at design-time the following Chart:

Fig. 13.

Output

You are seeing exactly the same chart you see when you run the project.


(Untitled)

Modifying Chart data

Chart data may be accessed via the Point Valueindex of each Series' points.

Deleting points:

Use the Series Delete method:

{This will delete the 5# point from the first Series}

TChart1.Series(0).Delete(5)

Modifying points:

Use the Series Value property:

TChart1.Series(0).YValues.Value(3) = 27.1

{In Bubble Series}

TChart1.Series(0).asBubble.RadiusValues.Value(8) = 8.1

{In Pie Series}

TChart1.Series(0).asPie.PieValues.Value(3) = 111

Please refer to each specific Series type to see its specific data related methods.

DateTime point coordinates:

TeeChart Series accept DateTime values.

{First, you need to set the DateTime property to True in the desired X and/or Y values list.}

TChart1.Series(0).XValues.DateTime = True

{Second, use the same above described methods, but give the values as Date, Time or DateTime values}

TChart1.Series(0).AddXY DateValue( "23/1/2014" ) , 25.4 , "Barcelona" , vbGreen


(Untitled)

TChart Series

The TChart subcomponent, Series, is the ancestor of all Series types. When referencing the properties of the Series type with which you are working check, in addition to the properties listed with that Series, the properties of the Series to get a full list of properties common to all Series.

Topics included in this section:

Line and Fast Line

HorizLine

Bar

Horizontal Bar

Area

Point

Pie

Arrow

Bubble

Gantt

Shape

Combining Series

Bezier

BoxPlot

Calendar

Candle

Contour

Donut

Error

Error Bar

Funnel

HighLow

Map

Point3D

Polar

Pyramid

Radar

Smith

Surface

TriSurface

Volume

Waterfall


(Untitled)

Line Series

There are 2 line Series types available, Line and Fast Line (See HorizLine for a Y displacement Line). Which one should be used ? Fast line is just what its name describes - it is fast. It is distinct from Line because the price paid in order to achieve speed when adding new points to the Series means that must forego some properties that the Line Series has. See the section on Fast Line for a description of those differences.

Line

See Line Series for a full list of properties and methods

Fig.

A 3D Line Series showing one Series with the stairs property set to true. The stairs can be inverted.

Fast line

See FastLine Series for a full list of properties and methods

The FastLine Series draws only at 2 Dimensions but draws very quickly - performance will depend on your hardware - The Series type was originally conceived to tackle high volume requirements of technical and financial applications but serves well for any dataset of very high point volumes.

See the VB FastLine AddRealTime example for speed enhancing techniques with this Series type. The AddArray method may be used where your data is available in that format. AddArray is the fastest way to add data to your Chart.


(Untitled)

Bar

See Bar Series for a full list of properties and methods

The Bar Series in 2 or 3 dimensions doesn’t have to be represented by a rectangular bar -

Fig. 8.

Choose a barstyle for your Chart Series or ‘mix and match’ to suit your needs.

Example bar Series configuration

Mixing bar Series styles may be useful for some applications. Below is an example stacked bar Chart.

Fig. 9.

Mixed bartypes

Steps taken to build this demo Chart and populate it with data are as follows:

1. Drag a Chart component onto your form and drag it out to the size you want.

2. Click the right mouse button over the Chart and select editor from the menu.

Add 3 bar Series and give them individual titles using Title on the first editor screen (titles in our example ‘East’ ‘West’ and ‘Other’).

Select Multi Bar and set as stacked in the Format page of any one of the 3 Series (The change will apply to all 3 Series).

Add a title using the entry tab for ‘Titles’ in the Chart page of the editor.

Go to the axis tab. Select Left axis and add the title. We allowed the axis to automatically size itself but took minor ticks off on the bottom axis.

Each Series has a different shape defined for its bars. We define the shape individually in the configuration page of each barSeries. The first tab, Format, has the option for Style.

You could code the style with:

With TChart1
  .Series(0).asBar.BarStyle= bsPyramid  'East
  .Series(1).asBar.BarStyle=  bsInvPyramid 'West
  .Series(2).asBar.BarStyle= = bsRectangle 'Other
End With

Lookup BarStyle in the TeeChart online help to get the full list of options.

For this Chart it would be necessary to control the Series order to achieve the correct effect. This can be done in the Chart Editor at design time by selecting the Series in the Series list of the Chart page and using the arrows to change the order. At runtime we can achieve the same with the following code:

Drawing order is always based on the order for which the Series are assigned to ParentChart.

The order can be altered at run-time via the ExchangeSeries method:

TChart1.ExchangeSeries 0, 1
'Reverses the Z Order between Series(0) and Series(1)
'1 becomes 0 and 0 becomes 1

We added some random values to populate this demo. We could launch the code at form creation or put a button on the form to run the code.

Private Sub Command1_Click()
Dim t As Integer
For t = 1 To 12
  TChart1.Series(0).Add Rnd(70), Format("1," & t & ",2014", "mmm"), vbRed
  TChart1.Series(1).Add Rnd(70), Format("1," & t & ",2014", "mmm"), vbYellow
  TChart1.Series(2).Add Rnd(30), Format("1," & t & ",2014", "mmm"), vbGreen
Next t
End Sub

We populated the data for 12 months but are showing only 5 months. The Paging tab in the Chart page of the editor has the definition of points per page.

Bar Series display

The Multi Bar parameter set in the Format tab of the Series page for one of the bar Series sets the display alignment of the bars for each bar Series in the Chart. - It is not necessary to go to each bar Series to change the parameter.

The following figure shows different formats to display bar Series. Each Chart has the same information only displayed in a different way. The Stacked 100% Series display doesn’t represent the actual values but rather the relative value of each element of the Series to a total of 100%.

Fig. 10. a A 3D Bar Series showing four methods to display the same information. | Stacked property None
Fig. 10. b | Side
Fig. 10. c | Stacked
Fig. 10. d | Stacked 100%


(Untitled)

Horizontal bar

See HorizBar Series for a full list of properties and methods

The horizontal bar Series shares the same properties as the bar Series. Apart from any aesthetic requirement, one occurrence of the need to use a horizontal bar Series may be to adequately display long axis labels which are best read horizontally.

Fig. 1.

2D Horizontal bar


(Untitled)

Area

See Area Series for a full list of properties and methods

An Area Series has similar characteristics to a line Series - filled -

Fig. 11.

3D Area Series


(Untitled)

Point

See Point Series for a full list of properties and methods

A Point Series is similar in definition to a Line Series without the line.

Fig. 12.

2D Horizontal bar


(Untitled)

Pie

See Pie Series for a full list of properties and methods

A Pie Series does not require an axis. It is possible to mix a Pie Series in a Chart with another Series that requires an axis.

Fig. 13.

3D Pie


(Untitled)

Arrow

See Arrow Series for a full list of properties and methods

Fig. 14.

3D Arrow Series

The arrow Series is useful for displaying start and end points of many individual events.


(Untitled)

Bubble

See Bubble Series for a full list of properties and methods

The Bubble Series has 3 configurable parameters that define the value of the data in your Series.

Xvalues, YValues, RadiusValues

The bubble Series is useful for showing importance weighting. For example, comparing high volume selling product that, by income, doesn’t bring in a revenue of the scale of another low volume seller. We can see at a glance, literally, that big bubbles are important !

Fig. 15.

2D Bubble Chart

Shapes

Bubble Series can be configured in variable shapes, triangles, etc..


(Untitled)

Gantt

See Gantt Series for a full list of properties and methods

Use the Gantt Chart as a planner or to track progress of a project or Series of activities.

The Gantt Series draws bars that have start and end values which may be of datetime format. You may define a Y axis value for the vertical position of the bar and you may define ‘next bar’ to draw connection lines between the bars.

Fig. 16.

2D Chart with a Gantt Series.

How to add Gantt bars manually

Use the AddGantt or AddGanttColor methods.

Example:

With TChart1.Series( 0 ).asGantt
   .AddGantt DateValue("1,1, 2014"), DateValue("31,1, 2014"), 2,_ "Hello"
   .AddGantt DateValue("2014,1,15"), DateValue("2014,2,15"), 1,_ "Nice"
   .AddGantt DateValue("2014, 2, 1"), DateValue("2014, 2, 28"), 0,_ "World"
   .AddGantt DateValue("2014, 3, 1"), DateValue("2014, 3, 31"), 2, ""
   .AddGantt DateValue("2014, 4, 1"), DateValue("2014, 4, 30"), 0, ""
   .AddGantt DateValue("2014, 3, 15"), DateValue("2014, 4, 15"), 1, ""
   'change connecting lines
   .ConnectingPen.Width = 3
   .ConnectingPen.Color = vbBlue
   ' increase bar heights
   .Pointer.VerticalSize = 16
End With

Or...

With TChart1.Series( 0 ).asGantt
   .AddGantt DateValue("1,1,2014"), DateValue("31,1,2014"),
 2,_ "Hello",vbGreen
End with

Where "2" is the desired vertical position for this bar.

Choose the vertical position you prefer.

To connect gantt bars:

1) Store the "AddGantt" or "AddGanttColor" function return longint:

Dim tmp1, tmp2 as Integer

With TChart1.Series( 0 ).asGantt
tmp1 =.AddGantt DateValue("1,1,2014"), DateValue("31,1,2014"), 2,_ "Development"
tmp2 =.AddGantt DateValue("2014,1,15"), DateValue("2014,2,15"), 1,_ "Testing"
End with

2) Then use the NextTask property:

TChart1.Series( 0 ).asGantt.NextTask( tmp1 ) = tmp2

This will draw a line from 'Development' Gantt bar to 'Testing' bar. The "ConnectingLinePen" property is the pen used to draw lines.

Please note that TeeChart orders points by default as added. Therefore if you wish to use NextTask to connect to a Gantt point using the return value of AddGantt as the index, but then add another Gantt point before the prior point, then the index for the prior point will have shifted by one. If your points are all added in order (chronologically) then that will not cause any problem. However it is safer practice to set Order to none before adding the Gantt points. That way the index returned by AddGantt will remain constant regardless of points added thereafter.

e.g.

TChart1.Series(0).asGantt.StartValues.Order = loNone


(Untitled)

Shape

See Shape Series for a full list of properties and methods

Shape Series are useful for defining or adding any additional information to your Chart, perhaps in runtime as a result of receipt of exceptional data. You may add text to any shape you add to your Chart and relate the shape to another Series.

Fig. 17.

Shape Series

Each shape has two co-ordinates associated with it, top left and bottom right of the invisible rectangle that encloses the shape. You may add text to the box. These co-ordinates and messages could be updated at runtime by your code to dynamically put the shapes anywhere on your Chart.


(Untitled)

Combining Series

There is no practical limit to the number of Series that you can add concurrently to your Chart.

You may mix different Series types, almost any Series type with any other Series type. For certain combinations it is not practical as axis definition between Series may directly conflict. For those cases the Series not available are grayed out in the Series gallery so that you cannot mistakenly select them.

See the section on functions for more about combining Series types. Functions work with other Series to create and display algorithmic relationships.

Fig. 18.

Combining Series

Example Series combination

Combining Seriestypes in one Chart can add a great deal of information value. The following example shows the incomes by Division and puts the $ index in the same Chart to measure the effect of that external influence on incomes (perhaps no influence at all in this example !!).

Fig. 19.

2D Combining Series types

You may combine Series in 3D Charts. The previous example is represented in 3D below. The Chart looks attractive although a high degree of 3D perspective makes it more difficult to visualize the monthly $ index with Division incomes.

Fig.20.

3D combining Series types (60% 3D)

You could minimize the effect by reducing the extent of ‘side’ view (percentage 3D).

Fig. 21.

3D combining Series types (6% 3D)


(Untitled)

Standard functions

Add

See Add Function for a full list of properties and methods

The Add function adds data from one or more Series. If we create a line Series ‘Series1’, create a line Series ‘Function Add’ and define Series ‘Function Add’ as Add of Series1 and do nothing more we will obtain a Chart with Series1 displayed and ‘Function Add’ as one flat line which is the sum of all values of Series1. In the figure the total of 1 + 2 + 3 + 4 + 5 + 6 = 21.

Fig. 1.

2D Add function with 1 Series input

We can modify the Series ‘Function Add’ to represent Add of Series1 by 2 point groupings (1+2), (3+4), (5+6). We use the period property (Chart Editor in the Data source page). Coded it looks like this:

TChart1.Series(2).FunctionType.Period=2
'{where Series(2) is the functionSeries}
{The name of the function is automatically allocated when the function is defined in the Chart editor - You will find it in the Object inspector}

Defining the period as 2, sets the Add function to add every 2 points. The period property adds flexibility to function Series.

Fig. 2.

Add function with period = 2

Subtract

See SubtractFunction for a full list of properties and methods

Subtract requires 2 input Series. With more than one Series in the function the default period sets to 1 axis point. the 2nd Series will be subtracted from the 1st Series in the list.

Fig. 3.

Subtract function

Multiply

See MultiplyFunction for a full list of properties and methods

The default period for the function ‘multiply’ is 1. You may add as many Series as you wish to the multiply function.

Fig. 4.

Multiply function

Divide

See DivideFunction for a full list of properties and methods

As divide requires at least 2 input Series the default period for the divide function is 1. The 2nd Series in the list is the denominator.

If you add more than 2 Series then the 1st will be divided by the 2nd then that is divided by the third, etc.…

Fig. 5.

Divide function

High

See HighFunction for a full list of properties and methods

High accepts multiple input Series and will always display the highest point between those Series at each period point. (1 Series default period 0, 2 or more Series default period 1).

Fig. 6.

High function

Low

See LowFunction for a full list of properties and methods

Low accepts multiple input Series. It will always display the lowest point between those Series at each period point. (1 Series default period 0, 2 or more Series default period 1).

Fig. 7.

Low function

Average

See AverageFunction for a full list of properties and methods

Fig. 8.

Average function

The default period for average with one Series is 0 (all) which will give you the average for that Series across the whole Chart. If you have more than one Series the period will be 1 axis point.

You may change the period to alter the frequency of the average curve.


(Untitled)

Overview - Working with Charts and Series

This section describes some design considerations and conventions for working with TeeChart. The section Working with Charts and Series brings to your attention some points of interest that may help with the design of your application.

Topics in this section include:

Click events

Custom drawing on the Chart

Series manipulation

Printing Charts

Chart Zoom and Scroll

Real-time Charting and speed

Functions

Working with ADO datasources

To understand the design paradigm of TeeChart we need to separate conceptually the contents of the Chart -the data Series- from the Chart itself, e.g. its Axis format, Legend and Titles. We can define and work with Series across Chart boundaries, referencing Series components independently of the Chart. We may, however, copy and paste a Chart and it will copy with all its defined contents, Axis, Legends and Series

The Chart component

The most important Chart component interface, TChart, contains access to all sub interfaces and thus the entire Class structure of the TeeChart ActiveX Components.

Chart subcomponents

The Chart component has subcomponents. If, for example, you wish to access or modify the property of an axis of your Chart you will be modifying the property of one of the following subcomponents:

TChart.Axis.Bottom
TChart.Axis.Top
TChart.Axis.Left
TChart.Axis.Right
TChart.Axis.Depth

See Axis to get a complete list of axis properties. Legend is another example of a TChart subcomponent.

The Chart as backdrop to your Series

The Chart components provide the backdrop for your data Series. The overall ‘look’ of your Chart is controlled by the Chart properties accessible via the Chart Editor or by coding - see the online help for a complete list.

As a backdrop you have available to you the Canvas property and methods to calculate screen co-ordinates from values and vice-versa. The Canvas may be accessed for drawing before or after Charting components are painted to the screen.

Associating a Series with a Chart

Series associate with a Chart via a Series an internal property called ParentChart. When you open a Chart and add a Series with the Editor or by using the AddSeries method the new Series will automatically be associated with the Chart.

Via the Chart editor

After a Chart has been placed on a form, a right button click gives access to the Edit Chart menu (alternatively double-click for some programming environments). The first screen of the Edit Chart menu offers a list of button options to add, delete, clone, change type or title of a Series. Adding a data Series via this menu automatically associates the new data Series with the Chart.

Via code

Use the TChart.AddSeries property to add a Series to a chart.

Example:

In this example we'll create and populate a new Series, Clearing out any Series that already exist in the Chart. You can find this code in the demo ‘Add Series’ (SeriesProject.vbp):

With TChart1
    'Look to see if there's already a Series in the Chart
    If .SeriesCount > 0 Then
    'Remove the existing Series
    .RemoveAllSeries
    End If
    'Add and randomly populate the new Series
    'e.g. .AddSeries(scHorizBar) is the same as .AddSeries(2)
    .AddSeries (Combo1.ListIndex) ‘Combo Lists assorted Series types
.... ‘Fill the new Series with random values
    .Series(0).FillSampleValues 10
    .Series(0).Title = Combo1.List(Combo1.ListIndex) & " Series"
End With

Often used parameters

All the parameters associated with Charts are useful at the time you need them. We cover a few frequently used properties in detail below as an introduction. For a more detailed study of these and many other configurable parameters please refer to the remaining Topics of this section, Working with Charts and Series.

Label increment, % separation and angle

It may be difficult to fit all your axis labels onto the axis that displays onscreen - As an example, this is often true of date labels which are long and can have a high incidence of change on the axis.

Label Increments

TeeChart offers Label increment as a means to controlling the frequency of labeling on your Chart axis. You can access the property via the Chart Editor under Axis (select your axis) - Scales - Desired increment. The menu shows you a list of the standard options for time increments (e.g. One second, one minute … one day, etc.) Selecting ‘one day’ will cut out repetitions of date on the axis, showing the date label only once for the point range of that date.

Via code you may access the property as a property of the subcomponent for the relevant axis.

Example:

With TChart1
  .Axis.Bottom.Increment = .GetDateTimeStep(dtOneHour)
  .Axis.Right.Increment  = 1000
End with

% Separation

If the labels on the axis have a look of rolling into one another you can increase the % separation which will forcibly increase the gap between them. In some cases this may, as a result, hide some labels. It will very much depend on your labels and whether your Chart users will have the option to ‘resize’ their Chart.

The option is available in the Chart Editor under Axis (select your axis) - Labels - % Separation.

Setting Labels Separation to 0 % means no overlapping checking will be performed, thus all axis labels will be displayed.

Angle

If it is neither practical nor possible to place the axis labels side to side along the axis another option is change the angle of the labels to 90º to the axis. This option is available in the Chart Editor under Axis (select your axis) - Labels - % Angle.

Export file formats (JPEG, BMP) or Metafiles

TeeChart Pro ActiveX Control offers JPEG, bitmap (BMP ) and Metafile format to save charts. Two type of metafile formats are supported WMF (Windows Metafile Format) and EMF (Extended Metafile Format).

Bitmap format is used internally by TeeChart. It is quicker to draw onscreen than a Metafile. When requiring a Chart to be ‘exported’ to another application or to be embedded in a container application such as MSWord a Metafile format handles resizing better onscreen.

Zoom

TeeChart offers as default zoom on all Charts. To obtain zoom at runtime hold the left mouse button and drag mouse toward down/right. You'll see a rectangle around the selected area. Release the left mouse button to Zoom. You can continue zooming again and again. To RESTORE (or UNDO) the zoom, drag a rectangle in the opposite direction (up/left).

Note

You may use mouse clicks to activate code associated with points in data Series. That OnClick behavior will override zoom behavior. You can set toggle between OnClick events and zoom with the Chart StopMouse property.

You may enable or disable zoom functionality in the Chart Editor - Chart page, General tab. The option, AllowZoom accesses the Chart property, also changeable by code:

TChart1.Zoom.Enable = False

‘False’ deactivates zoom.

Zoom can also be obtained via coding. It is necessary to obtain the screen pixel co-ordinates for the area in which you wish to do the zoom.

Example 1:

Zoom an area with "pixel" co-ordinates:

Dim Left, Top, Right, Bottom as integer
Left = 123
Top = 67
Right = 175
Bottom = 100

TChart1.Zoom.ZoomRect Left, Top, Right, Bottom

Example 2:

Zoom an area with point value co-ordinates:

You need first to translate from value to pixel co-ordinates. To do so, you can use the Axis or Series components.

Left   = TChart1.Series(0).CalcXPosValue(22.5)
Top    = TChart1.Series(0).CalcYPosValue(5000)
Right  = TChart1.Series(0).CalcXPosValue(57.6)
Bottom = TChart1.Series(0).CalcYPosValue(15000)
TChart1.Zoom. ZoomRect Left, Top, Right, Bottom

Backimage

You can add more information to your Chart or simply enhance its appearance by adding a bitmap as a backdrop.

Fig. 1.

Bitmap as a Chart backdrop

You will find the parameters to define your Chart backdrop in the General tab of the Chart page of the Chart editor.


(Untitled)

Click events

Topics in this section include:

OnClickSeries

OnClick

Series OnClick and OnDblClick

# Chart OnClickSeries

The TChart event, OnClickSeries, permits access to any active Series in your Chart. Put the following code into your project to get an idea of the possibilities. To access the event and add the procedure definition to your project, select your Chart and open the Object Inspector. Select the events tab to find OnClickSeries. Double-click on OnClickSeries.

Private Sub TChart1_OnClickSeries(ByVal Series As TeeChart.ISeries, ByVal ValueIndex As Long, ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
    MsgBox (" Clicked Series: " + Series.Name + " at point: " + Str$(ValueIndex))
End Sub

The valueindex refers to the index of the Series data point (point, bar, etc.) within the Chart. You may use it to access the X and Y value. For example:

MsgBox ("Clicked Series: " + Series.Name + " at point: " + _
Str$(Series.XValues.Value(ValueIndex)) + "," + _
Str$(Series.YValues.Value(ValueIndex)))

# Chart OnClick

You may use the OnClick event of the Chart to get the same information.

Private Sub TChart1_OnClick()
Dim t As Integer
  For t = 0 To TChart1.SeriesCount - 1
    If TChart1.Series(t).GetMousePoint <> -1 Then
      MsgBox (" Clicked Series: " + TChart1.Series(t).Name + " at _
 point: " + Str$(TChart1.Series(t).GetMousePoint))
    End If
  Next t
End Sub

# Series OnClick and OnDblClick

The Series OnClick event catches click events at Series level. Thus for multiple Series Charts you are able to restrict access to the data of a specific Series. To access the OnClick event of the Series you must select the Series in the Object Inspector and go to the events tab.

Private Sub TChart1_OnClickSeries(ByVal SeriesIndex As Long, ByVal ValueIndex As Long, ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)
  msgbox("hello: " & TChart1.Series(SeriesIndex).Name & _
        " at point" & Str$(ValueIndex))
End Sub


(Untitled)

Custom drawing on the Chart

If you need to add textboxes or other shapes relative to Chart axis the Shape Series may be the best choice. If the shape Series doesn’t match your specific requirement you may draw your own lines and/or shapes on the Chart.

TeeChart offers access to the Chart area by axis or by screen pixel. The TeeChart VB demos, Dragging points and Interactive, are useful references for Chart value to screen point conversion and custom drawing on a Chart. See too, the TeeChart tutorial 'Custom drawing on the Chart.

Topics in this section include:

Calculating Co-ordinates

Axis' Value to Screen co-ordinate Methods

CalcPosValue

CalcPosPoint

CalcSizeValue

CalcYPos and CalcXPos

Series' Value to Screen co-ordinate Methods

CalcPosValue

CalcXPos and CalcYPos

XScreenToValue and YScreenToValue

Chart Canvas

Writing to the Canvas

Internal bitmap

Repainting

When to draw ?

Chart Regions

Drawing

# Calculating Co-ordinates

This chapter explains how to convert from Point co-ordinates to pixels and vice-versa, and also how to determine the exact co-ordinates for each graphics element in Chart components.

Point Values are expressed in user custom scales. Chart Axes are responsible for converting point values into suitable X and Y screen pixel co-ordinates for displaying them.

Both Axis and Series components have several functions to convert from screen co-ordinates (in pixels) to Axis or points values (in user-defined units).

The difference between using Axis or Series conversion functions is that Axis will only interpret co-ordinates for the topmost position in 3D mode, while Series will adjust co-ordinates to their Z order position.

Note: Using conversion functions is only valid after a Chart component has been drawn, either to screen or to a private hidden Canvas.

# Axis' Value to Screen co-ordinate Methods

# CalcPosValue

You can calculate the screen position for a given value using any Axis:

Dim MyPos As Integer
MyPos = TChart1.Axis.Left.CalcYPosValue(100)
MsgBox (MyPos)

MyPos holds now the pixel co-ordinate for “100.0” on Chart1 Left Axis ( Vertical ), being “100.0” a floating value in Axis scales.

You can use this co-ordinate to custom draw or to calculate mouse clicks. See chapters below.

If you want to convert from pixel co-ordinates to Axis values, you can use the opposite function:

# CalcPosPoint

Dim MyPos As Integer
MyPos = TChart1.Axis.Left.CalcPosPoint(100)
MsgBox (MyPos

MyValue holds now the Axis value co-ordinate for “100” on Chart1. Left Axis ( Vertical ), being “100” a screen pixel co-ordinate.

Note: Pixel co-ordinates start from 0, being 0,0 the Chart origin point. This is valid for screen, but when drawing to metafiles, drawing to custom canvases or printing, Chart origin point can optionally be different than 0,0.

# CalcSizeValue

Axis has another function to calculate how much screen space represents a given Axis range:

    Dim  Space : Integer
    Space = TChart1.Axis.Left.CalcSizeValue( 1000 )

Remember Axis can be DateTime and you can for example convert a Date Range period in pixels:

    Var  Space : Longint ;
    Space := Chart1.BottomAxis.CalcSizeValue(
    EncodeDate( 2014,12,31) - EncodeDate( 2014,1,1) );

# CalcYPos and CalcXPos

You could use CalcYPos and CalcXPos. When drawing using the XPos and YPos co-ordinates remember that the co-ordinate 0,0 is Top,Left of the Chart rectangle, ChartRect. ChartRect is the area enclosed by the 4 axis of the Chart.

The following example draws a line from an arbitrary point from the Y-axis across the Chart. Note the use of canvas properties.

Private Sub Command3_Click()
Dim MyHalfwayPoint, YPosition As Integer
With TChart1.Series(0).YValues
   MyHalfwayPoint = CInt(((.Maximum - .Minimum) * 0.5) + .Minimum)
   ' then calculate the Screen Pixel co-ordinate of the above value
   YPosition = TChart1.Axis.Left.CalcYPosValue(MyHalfwayPoint)
   With TChart1.Canvas
     ' change pen and draw the line avoiding the
     ' 3D areas and axis of the chart - Height3D,Width3D
     .Pen.Width = 3
     .Pen.Style = psSolid
     .Pen.Color = vbBlack
     With TChart1
      .Canvas.MoveTo .Axis.Bottom.CalcXPosValue(0), YPosition
      .Canvas.LineTo .Axis.Bottom.CalcXPosValue(0) + .Aspect.Width3D, _
              YPosition - .Aspect.Height3D
      .Canvas.LineTo .Axis.Bottom.CalcXPosValue(.Axis.Bottom.Maximum)+ _
             .Aspect.Width3D, YPosition - .Aspect.Height3D
     End With
  End With
End With
End Sub

# Series' Value to Screen co-ordinate Methods

Series have similar methods for converting co-ordinates to point values and vice-versa. The main difference is that by using the Series method you don’t need to know the exact Axis component for calculations.

This is a big advantage when having Series associated to Right or Top Axis, or multiple Series associated to each Axis.

# CalcPosValue

This code calculates where in the screen the Series1 point with value 1000 is located:

Dim MyPos as Double
    MyPos = TChart1.Series(0).CalcPosValue( 100 )

# CalcXPos and CalcYPos

You can calculate both X and Y co-ordinates for a specific point or for a specific point value:

MyXPos = TChart1.Series(0).CalcXPos(TChart1.Series(0).XValues.Last
' Last point }
or..
    MyXPos = TChart1.Series(0).CalcXPos( DateValue( "1/12/1999"))

# XScreenToValue and YScreenToValue

To convert from screen pixels to point values, use:

    Dim MyValue as Double
    MyValue = TChart1.Series(0).YScreenToValue( Y )

(and XScreenToValue for horizontal co-ordinates).

You can query the point under a given pair of XY screen co-ordinates using the Series.Clicked function. (See Mouse Clicks chapter).

# Chart Canvas

Chart.Canvas is derived from a Delphi Canvas. You may control the appearance of your Chart using Canvas properties.

# Writing to the Canvas

The following example divides the area of the backdrop of the Chart rectangle into 5 equal segments and colors them according to the color array. Put the code in the TChart OnBeforeDrawSeries event to see the result.

Dim MyColors(5) As ColorConstants
Dim t, partial, tmpLeft, tmpTop, tmpRight, tmpBottom As Integer
    MyColors(0) = RGB(215, 0, 0)
    MyColors(1) = RGB(255, 128, 0)
    MyColors(2) = RGB(128, 128, 255)
    MyColors(3) = RGB(0, 0, 153)
    MyColors(4) = RGB(215, 0, 0)

 With TChart1
   ' setup the draw area
   tmpTop = TChart1.Axis.Left.CalcYPosValue(TChart1.Axis.Left.Maximum)
   tmpBottom = TChart1.Axis.Left.CalcYPosValue _
              (TChart1.Axis.Left.Minimum)
   tmpLeft = TChart1.Axis.Bottom.CalcXPosValue _
            (TChart1.Axis.Bottom.Minimum)
   tmpRight = tmpLeft
   ' we will divide the total chart width by 5
   partial = (TChart1.Axis.Bottom.CalcXPosValue _
             (TChart1.Axis.Bottom.Maximum) - tmpLeft) / 5

   ' change the brush style
   .Canvas.Brush.Style = bsSolid
   .Canvas.Pen.Style = psSolid

   ' for each section,fill with a specific color
   For t = 0 To 4
     ' adjust the rectangle dimension
     tmpRight = tmpRight + partial
     ' set the brush color
     .Canvas.Brush.Color = MyColors(t)
     .Canvas.Pen.Color = MyColors(t)
     ' paint !!!
     .Canvas.Rectangle (tmpLeft + TChart1.Aspect.Width3D), _
                       (tmpTop - TChart1.Aspect.Height3D), _
                       (tmpRight + TChart1.Aspect.Width3D), _
                       (tmpBottom - TChart1.Aspect.Height3D)
     ' adjust rectangle
     tmpLeft = tmpRight
   Next t
 End With

# Internal bitmap

TChart components have an internal bitmap object, which is used when drawing as a hidden “buffer”. When drawing is finished, this “buffer” is copied to the screen video memory to display it.

TChart Canvas property returns the internal bitmap Canvas object.

Note: When drawing to a metafile or printing, the Chart Canvas property refers to metafile or printer Canvas objects. No bitmap is used in these cases.

After a Chart has been drawn onto the internal bitmap, and its copied onto the screen canvas, Chart Canvas property refers to the original “real” Chart Canvas.

# Repainting

You should call Chart1.Repaint to force a Chart component to draw again. For some cases it may be necessary to call Chart1.Environment.InternalRepaint. This may be required in a Form OnLoad event where the Chart requires to be generated with new content before being able to act upon that content (e.g. via use of Marks.Position property).

# When to draw ?

The order in which you draw to the Canvas is important.

Best place to custom draw over a Chart component is at

If you wish Custom drawn items to appear above Chart Series you should use the Chart OnAfterDraw event. The Chart1.OnAfterDraw event is fired each time the Chart component is redrawn, just before copying the internal bitmap to screen.

You can place Custom drawn items above the Chart grid and below the Chart Series by placing your code in the OnBeforeDrawSeries event.

# Chart Regions

Axes are drawn inside the overall Chart rectangle. The Axis Position properties return the bounding rectangle for Axis ( same in 2D and 3D ).

In 3D Charts, each Series is assigned a specific section among the “Z” ( depth ) axis.

The Chart Width3D and Height3D are the dimensions of the 3D depth, in pixels and can be used to displace custom drawing on the Chart to the required 3D (depth) position.

# Drawing

Let’s start drawing with a basic example.

This code draws a horizontal line across the middle of the Chart1:

Private Sub TChart1_OnAfterDraw()
  With TChart1
    .Canvas.Pen.Color = vbYellow
    .Canvas.MoveTo .Canvas.Left, .Canvas.Top _
                ((.Canvas.Height) / 2)

    .Canvas.LineTo .Canvas.Left + .Canvas.Width, _
                .Canvas.Top + ((.Canvas.Height) / 2)
  End With
End Sub

Drawing inside Axis space:

Private Sub TChart1_OnAfterDraw()
  With TChart1
    .Canvas.Pen.Color = vbYellow
    .Canvas.MoveTo .Axis.Left.Position, _
                .Axis.Top.Position + _
                ((.Axis.Bottom.Position - .Axis.Top.Position) / 2)

    .Canvas.LineTo .Axis.Right.Position, _
                .Axis.Top.Position + _
                ((.Axis.Bottom.Position - .Axis.Top.Position) / 2)
  End With
End Sub

Drawing a stepped line at each point in Series(0) :

Private Sub TChart1_OnAfterDraw()
Dim i, gridwidth
With TChart1
  .Canvas.ClipRectangle .Axis.Left.Position, _
.Axis.Top.Position, _
.Axis.Right.Position, _
.Axis.Bottom.Position
  If .Series(0).Count > 0 Then
    gridwidth = .Series(0).CalcXPos(1) - .Series(0).CalcXPos(0)
    .Canvas.Pen.Width = 2
    .Canvas.Pen.Color = .Series(0).Color
    For i = 0 To .Series(0).Count - 1
      If i > 0 Then
        .Canvas.LineTo .Series(0).CalcXPos(i) - (gridwidth / 2), .Series(0).CalcYPos(i)
      Else
        .Canvas.MoveTo .Series(0).CalcXPos(i) - (gridwidth / 2), .Series(0).CalcYPos(i)
      End If
      .Canvas.LineTo .Series(0).CalcXPos(i) + (gridwidth / 2), .Series(0).CalcYPos(i)
    Next i
  End If
End With
End Sub

Note: Drawing Text

Always set Chart1.Canvas.Font.Height to a negative value instead of using Font.Size if want same font sizes on screen and on printer or metafiles.


(Untitled)

Working with Axes

Topics in this section:

Setting Axis scales

DateTime Axis

Logarithmic Axis

Inverted Axis

Axis Styles & Increment

DateTime Increment

Grid lines

Axis Labels

Multiple axes

CustomDraw (Axis)

# Setting Axis scales

Chart components have five axes: Left, Right, Top, Bottom and Depth. Each axis is an instance of the Chart Axis component class.

Axes are responsible for calculating pixel co-ordinates of Series points and to allow any valid range so scroll and zoom can be always performed. As new Series are inserted, or new points are added to the Series, Axes recalculate, by default, their Minimum and Maximum values.

You can turn off automatic recalculation of Axis scales by setting the Automatic property to false:

TChart1.Axis.Left.Automatic = False

Also, both the Axis Minimum and Axis Maximum values can optionally be independently automatic or not.

TChart1.Axis.Left.AutomaticMaximum = False
TChart1.Axis.Left.AutomaticMinimum = True

You can change Axis scales using the Minimum and Maximum properties:

    With Chart1.Axis.Left
        .Automatic = False
        .Minimum = 0
        .Maximum = 10000
    End with

or using the Axis SetMinMax method:

Chart1.Axis.Left.SetMinMax 0, 10000

# DateTime Axis

Note:

An Axis contains DateTime scales when the associated Series components have XValues.DateTime or YValues.DateTime properties True. There is no DateTime property for Axis.

Changing scales in DateTime Axis is the same as for non-datetime values:

With Chart1.Axis.Left
        .Automatic = False
        .Minimum = DateValue( "16,3,1990" )
        .Maximum = DateValue( "24,5,1999" )
End with

# Logarithmic Axis

An Axis can be set to Logarithmic only if Axis Minimum and Maximum are greater than or equal to zero. This is the only difference between setting linear and logarithmic scales.

Note:

Axis Labels are not displayed in logarithmic increments. You can generate custom Axis Labels (see chapter below).

# Inverted Axis

An Axis can be Inverted so Axis Minimum and Maximum are swapped. We suggest you use Inverted=True as little as possible as it can give misleading results due to its (normally) rarity of use.

# Axis Styles & Increment

Axis can be displayed in several ways, with tick lines or without, with grids or without, with Labels or without, and you can customize all formatting properties such as colors, fonts and pen styles. The Axis Increment property controls the number of grid lines and labels and the distance between them.

By default it is zero, meaning Axis will automatically calculate the Labels increment. Setting the Axis Increment property is independent of setting Axis scales. You can have automatic Axis Maximum and Minimum and a fixed Increment.

The Increment property grows automatically until all Axis Labels can be displayed. If you don’t want this automatic feature, set the Axis LabelsSeparation to zero:

TChart1.Axis.Left.Labels.Separation =  0

Warning:

When LabelsSeparation is zero, no checking is performed against

labels size, so you must take care that labels will not overlap each other.

The following code sets the vertical Axis Increment to 30:

a = Array(20, 50, 120)
TChart1.Series(0).Clear
TChart1.Series(0).AddArray 3, a
TChart1.Axis.Left.Increment = 30

By default, the first Axis label starts at nearest Increment. Setting RoundFirstLabel to False makes labels to start at Axis Maximum:

TChart1.Axis.Left.RoundFirstLabel = False

# DateTime Increment

Use the predefined DateTimeStep array of constants to determine the Axis Increment on DateTime axis:

TChart1.Axis.Bottom.Increment=TChart1.GetDateTimeStep dtOneMonth

And set the ExactDateTime property to True if you want Axis Labels to be at exact datetime boundaries, for example at 1st day of month.

Chart1.Axis.Bottom.ExactDateTime = True

Note:

Logarithmic axis use the Increment property as linear.

# Grid lines

Axis Grid lines are displayed at each Increment position, or at each Axis Label position. The Axis TickOnLabelsOnly property controls this feature:

Chart1.Axis.Bottom.TickOnLabelsOnly = False

# Axis Labels

There are several Axis labeling styles. The Axis LabelStyle property control axis labeling modes:

Chart1.BottomAxis.LabelStyle := talValue ;

Possible values are:

talValue | Labels display Axis scales
talMark | Labels display Series Point Marks
talText | Labels display Series XLabels
talNone | No labels displayed
talAuto | Style is automatically calculated

When LabelStyle is talText, TeeChart will set it automatically to talValue if Series have no XLabels.

For talMark and talText styles, axis labels are displayed exactly at Series point positions, thus not using the axis Increment property.

You can customize labels text by using the OnGetAxisLabel event:

Private Sub TChart1_OnGetAxisLabel(ByVal Axis As Long, ByVal SeriesIndex As Long, ByVal ValueIndex As Long, LabelText As String)
      if Axis = atLeft then
          if ValueIndex < 2 then
           LabelText = ""
         end if
     end if
End Sub

#Multiple axes

TeeChart supports unlimited Custom axes. The axes may be added at design-time via the Chart Editor or at runtime via code/Editor.

Example (Visual Basic)

Dim numVertaxis, numHorizaxis

With TChart1.Axis
  'Create independantly scaled axes for Series(2)
  numVertaxis = .AddCustom(False)
  numHorizaxis = .AddCustom(True)
  With .Custom(numVertaxis)
    .EndPosition = 45
    .PositionPercent = 7 / 15 * 100
    .AxisPen.Color = vbWhite
    .Ticks.Color = vbWhite
    .Title.Angle = 90
    .Title.Font.Color = vbWhite
    .Title.Caption = "Variance"
    .Title.Font.Color = vbWhite
    .Labels.Font.Color = vbButtonFace
  End With
  With .Custom(numHorizaxis)
    .StartPosition = 7 / 15 * 100
    .AxisPen.Color = vbWhite
    .Ticks.Color = vbWhite
    .PositionPercent = 55
    .Labels.Font.Color = vbButtonFace
  End With
  'Associate Series(2)
  TChart1.Series(2).VerticalAxisCustom = numVertaxis
  TChart1.Series(2).HorizontalAxisCustom = numHorizaxis
End With

# CustomDraw (Axis)

CustomDraw Axis differs from multiple axes in that CustomDraw makes a copy of an Axis only - it does not create an independent Axis object. You may add as many copies of an Axis as you wish. CustomDraw adds an axis as a ‘copy’ of an existing axis at a new location. See also CustomDrawMinMax and CustomDrawMinMaxStartEnd. Further flexibility may be obtained by using TeeChart's fully Multiple Axis functionality.

The following example populates a line Series with random data and creates 2 additional axes. There are 3 configurable locations PosLabels, PosTitle and PosAxis to place, respectively, the labels, title and the axis. The last parameter, GridVisible , which is Boolean, defines whether to extend the axis grid to the new axis.

Private Sub Command1_Click()
Dim t As Integer
  For t = 0 To 20
    TChart1.Series(0).AddXY t, ((100 * Rnd) + 1) - ((Rnd * 70) + 1), _
                      "", vbRed
  Next t
End Sub

Private Sub TChart1_OnBeforeDrawSeries()
Dim posaxis As Integer
  With TChart1
   ' When scrolling or on zoom always keep the gridlines enclosed in the
   ' Chart rectangle
   .Canvas.ClipRectangle .Axis.Left.Position, _
   (.Axis.Left.CalcYPosValue(.Axis.Left.Maximum)), _
   (.Axis.Bottom.CalcXPosValue(.Axis.Bottom.Maximum)), _
   .Axis.Bottom.Position
   ' Always draw the 2nd vertical Axis at the middle point of the Chart
   posaxis = (.Axis.Left.Position) _
             + (((.Axis.Bottom.CalcXPosValue(.Axis.Bottom.Maximum)) _
             - (.Axis.Left.Position)) * 0.5)
   .Axis.Left.CustomDraw posaxis - 10, posaxis - 20, posaxis, True
   ' Draw the 2nd Horizontal axis at the level of "10" on the vertical
   ' axis
   posaxis = (.Axis.Left.CalcYPosValue(10))
   .Axis.Bottom.CustomDraw posaxis + 10, posaxis + 40, posaxis, True
   .Canvas.UnClipRectangle 'Do not carry over cliprectangle
  End With
End sub


(Untitled)

Series manipulation

This chapter documents how to manipulate Series and how to manipulate Series points and other Series internal data.

Topics in this section:

Adding Series at runtime

Series list array property

SeriesCount property

Deleting Series

Changing the Series Z order at runtime

Adding Points

Adding data arrays directly to the Series

Null Values

Controlling Points Order

XY Points

Point Limits

Series Points

Retrieving and modifying Points

Locating Points

Point Statistics

Notifications

Point Colors

Point Labels

Changing the Series type at runtime - Advanced

Series type specifics

# Adding Series at runtime.

Series can be added at runtime:

Example.

TChart1.AddSeries(scLine)

Now you can add points to the Series and work with it as you can for any design-time created Series.

ESeriesClass scLine will add a LineSeries. Alternatively add a BarSeries (scBar), AreaSeries (scArea), etc. See the online help for the full options of ESeriesClass.

# Series list array property

Chart components store all Series in a Series list.

You have read-only access to this list by using the Series array property:

TChart1.Series( 0 ) ' is the first Series in the Chart.

You can exchange Series in their index order by using the ExchangeSeries method.

TChart1.ExchangeSeries 1, 0

# SeriesCount property

The TChart1.SeriesCount property returns the number of Series in the Series list.

You can use SeriesCount to traverse all Chart Series:

for t = 0 to TChart1.SeriesCount - 1
  With TChart1.Series(t) do
   .Color = vbBlue
  End with
Next t

# Deleting Series

Series can be hidden in 2 ways:

A) Setting the Series Active property:

    TChart1.Series(0).Active = False

B) Destroying the Series completely:

    TChart1.RemoveSeries(0)

# Changing the Series Z order at runtime.

In 3D mode (when Chart1.View3D is True ), all Series are assigned a Z order position. That is, the order where Series will be drawn, starting with the far most Series on the Chart 3D space.

You can control the order Series will be drawn, using this method:

TChart1.ExchangeSeries( 0, 1 )

# Adding Points

Every Series type has, at least, 2 values for each point. These values are designed as X and Y point co-ordinates.

Note: Values are defined as “Double” floating point variables.

Extended Series types have more than 2 values, like BubbleSeries has X, Y and Radius values for each point.

So, each Series type has its appropriate method to add points, although the most common Series types like Line, Bar, Point and Area share the generic Add method to add points.

The following code empties a Pie Series and adds some sample values to it:

TChart1.Series(0).Clear
TChart1.Series(0).Add   1234, "USA", vbBlue
TChart1.Series(0).Add   2001, "Europe", vbRed

For extended Series types, please refer to each specific Series reference to know which method should be used to add points.

#Adding data arrays directly to the Series

Adding a data array directly to a Series is much quicker than stepping through the data and adding via the Add or AddXY method. When adding up to several hundred points the difference in time may be negligible but when the number of points runs into hundreds of thousands or even several million then the difference in time may be substantial. There are 2 AddArray methods available:

AddArray - 2D Series with X and Y values

AddArrayXYZ - 3D Series, X,Y and Z values.

The AddArray method takes 3 arguments:

e.g.

Dim a, b
  a = Array(2, 3, 4, 5, 7, 1, 4, 5, 2)
  b = Array(4, 1, 8, 6, 2, 3, 3, 7, 1)
  TChart1.Series(0).AddArray UBound(a) + 1, a, b

The first variable may take the size of the arrays but may be a lower value if only the first x values are required to be added. If the last variable is omitted, here array b, then TeeChart assigns consecutive index values to the y points, o,1,2,etc., rather like the Add method.

# Null Values

In some circumstances you might have no values for specific points. You should then add these points as “zero” or add them as “null” values.

Null values will not be displayed, while “zero” values will be displayed as usual.

The following code adds several points and a null point:

With TChart1.Series(0)
  .Clear
  .Add 10, "John", vbGreen
  .Add 20, "Anne", vbYellow
  .Add 15, "Thomas", vbRed
  .AddNull "Peter"
  .Add 25, "Tony", vbBlue
  .Add 20, "Mike", vbCyan
End with

Each Series type will handle null values in different ways. Bar, HorizBar, Line, Area and Point do not display null points. PieSeries use null values as “zero”.

# Controlling Points Order

Points can be optionally sorted either by their X values or Y values. The Series.XValues and Series.YValues Order property controls the points Order:

    TChart1.Series(0).XValues.Order = loAscending

Possible values are: loNone, loAscending or loDescending.

By default, XValues Order is set to loAscending, and YValues Order to loNone, which means new added points are ordered by their X co-ordinate. For non XY Charts, the X co-ordinate is always the point position, starting from zero.

The point Order is used by Series to draw their points.

Note: Order must be set before points are added to the Series.

You can change the Order property at run-time, followed by a call to Sort method:

Example:

Drop a Chart onto a Form, add a Line Series.

Drop a Button and assign this code to Click:

With TChart1.Series(0)
  .Clear
  .Add 10, "John", vbGreen
  .Add 20, "Anne", vbYellow
  .Add 15, "Thomas", vbRed
  .Add 25, "Tony", vbBlue
  .Add 20, "Mike", vbCyan
End with

Now drop another Button and add this code to 2nd button Click:

With TChart1.Series(0)
    .YValues.Order=loAscending
    .YValues.Sort
end with
TChart1.Repaint

Now execute and press Button1 to fill Series(0), and press Button2 to see Series(0) points drawn on Series(0) YValues Ascending order, but having the original X co-ordinates.

Note: If you aren’t using X co-ordinates, one more line of code is required.

Drop a new Button (Button3) and add this code to Click:

TChart1.Series(0).XValues.FillSequence
TChart1.Repaint

Now points will be “re-numbered”, starting from zero among Series1 XValues axis. This will re-order points so now they will be drawn as if they were originally added to the Series in their new order.

This “two-step” point sorting allows Line Series to draw with vertical orientation.

# XY Points

Adding X co-ordinates to points makes Series components calculate user specific horizontal point positions.

Note: Bar Charts can be difficult to interpret with X co-ordinates.

Pie Series do not allow X co-ordinates.

To add X co-ordinates, simply use the AddXY method:

Drop a TChart, add a Point Series:

With TChart1.Series(0)
  .Clear
  .AddXY  10, 10, "Barcelona", vbBlue
  .AddXY  1, 10, "San Francisco", vbRed
End with

Note: If you use a Bubble Series, use the BubbleSeries AddBubble method.

e.g.

TChart1.Series(0).asBubble.AddBubble 3, 4, 3, "", clTeeColor

Remember to set XValues.Order to loNone if don’t want points to be sorted on their X co-ordinate.

# Point Limits

Maximum 134217727 points per Series and same number of Series per Chart.

Deleting Points

Simply call the Series.Delete method, passing the point index as the argument. Point index starts at zero.

Series1.Delete( 0 );  { <-- removes the first point in Series1 }
Series1.Delete( Series1.Count - 1 ) ;  { <-- removes the last point in Series1 }

An exception “List out of bounds” will be raised when attempting to Delete a non-existing point, so always check there are enough points in the Series prior to delete them:

if TChart1.Series(0).Count > MyIndex then
  TChart1.Series(0).Delete( MyIndex )
End if

Calling Delete forces re-calculation of Functions and repainting of the Chart.

# Series Points

# Retrieving and modifying Points

Once points have been added, you can retrieve their co-ordinates or change them.

The XValues and YValues array properties can be used:

Dim MyValue as Double
MyValue = TChart1.Series(0).YValues(0).Value
' retrieves the first Y value }

You can traverse these arrays to perform calculations:

Dim MyTotal as Double
Dim t as Integer

MyTotal = 0
for t= 0 to TChart1.Series(0).Count - 1
  MyTotal = MyTotal + TChart1.Series(0).YValues.Value(t)
Next t

    Msgbox(Str$( MyTotal ) )

Extended Series types have additional array properties, such as

BubbleSeries RadiusValues. You can access these properties in

the same way as with XValues or YValues arrays:

if TChart1.Series(0).asBubble.RadiusValues.Value(Index)>100 then ...

Modifying point values can be performed using the above properties:

TChart1.Series(0).YValues.Value(0) = _
TChart1.Series(0).YValues.Value(0) + 1
TChart1.Series(0).RefreshSeries

# Locating Points

The XValues and YValues Locate function searches a specific

value in the List and, if found, returns the value Index, starting

from zero.

Dim MyIndex as Integer

MyIndex = TChart1.Series(0).YValues.Locate( 123 )

if MyIndex = -1 then
  Msgbox("  123 not found in Series(0) !! ")
else
  Msgbox("  123 is the "+Str$( MyIndex+1 )+"th point in _
         Series(0) !!")
End if

# Point Statistics

XValues and YValues properties maintain the following statistical figures:

TotalThe sum of all values in the list.

TotalABSThe sum of all values as absolute (positive).

MaxValueThe maximum value in the list.

MinValueThe minimum value in the list.

You can call manually to RecalcMinMax method to recalculate MinValue and MaxValue. Total and TotalABS are maintained automatically.

These values are used to speed up several Axis scaling calculations and are used as helpers for percent calculations.

TChart's IValueList class has several other methods and properties to manipulate point values. Please refer to online help documentation.

# Notifications

Whenever points are added, deleted or modified, the Series generates internal notification events. These events are used to recalculate Series that depend on other Series points.

TChart1.Series(0).RefreshSeries

will manually force dependant Series to recalculate their points.

# Point Colors

All Series maintain an internal List of colors; one for each point in the Series.

You can access this list with PointColor array property to retrieve or change point colors:

Var MyColor : TColor ;

MyColor = TChart1.Series(0).PointColor(0)

TChart1.Series(0).PointColor(1) = vbBlue

TeeChart defines a generic color constant named: clTeeColor.

Points with clTeeColor color will be drawn using the SeriesColor color.

Visual Basic predefines constants for basic colors (vbBlue, vbRed, etc.). Colors can also be expressed in RGB format. Using a video color depth of 16k colors or more results in better color matching.

In other environments not supporting color constants you may use RGB color definitions or other techniques native to that environment to set point colors.

e.g. MS VC++

m_Chart1.GetSeries(0).SetPointColor(1,RGB(0,0,255));

VBScript

TChart1.Series(0).PointColor(1) = RGB(0,0,255);

# Point Labels

Each point has an associated text, called XLabel, and declared as a Delphi string.

Point Labels are used in Axis Labels, Chart Legend and Point Marks.

Labels are stored at Series PointLabel array property.

You can access and modify PointLabel point texts:

    TChart1.Series(0).PointLabel(0) = "Sales"

# Changing the Series type at runtime - Advanced

Every chart type corresponds to a different Component Class.

Changing a Series type involves changing the Series Component Class.

That means a new Series of the new class must be created, old Series properties should be assigned to the new instance, and finally the old Series must be destroyed.

All this happens automatically when you manually change a Series type at design-time using the Chart Editor Dialog and the Gallery.

You can change a Series type at run-time calling:

ChangeSeriesTypeGallery(Self, MySeries );

Warning:

You should change your private Series components.

You can change also Series components owned by the Form,

but only if not using them after.

TChart1.ChangeSeriesType 0, scBar
'Changes the existing 1st Series to a Bar Series

If the new Series type does not share the same number of variables (ie a Bar Series has X and Y (2 variables), a CandleSeries has High,Open,Low,Close - (4 variables)) then the new Series type will not successfully paint.

# Series type specific properties and methods

TeeChart Pro ActiveX Control uses class inheritance, internally, to provide a homogeneous environment for working with differing Series Types. This is a powerful feature of TeeChart that offers you the flexibility to mix many different types of Series in the same Chart and is the underlying reason why, with TeeChart, you first add the Chart and then add the various Series you require to the Chart, instead of choosing from a limited list of Chart types.

Some programming languages (e.g. Visual Basic) don't support Class inheritance, thus TeeChart provides homogeneity by grouping all common Series properties and methods in the Series class, and all Series type specific properties and methods in Series type interfaces accessible as Series properties.

Example

Common Series properties are accessible via the Series class

TChart1.Series(0).Color = vbBlue

Series specific properties are available via the Series type's interface. The Candle Series is accessible via the TChart.Series(Index) as are all other Series in the Chart.

TChart1.Series(0).asCandle.AddCandle DateValue("2,12,07"), _
    110,102,119,114

You may combine these:

With TChart1.Series( 0 )
  .Clear
  .Title = "My Candle Series"
  .asCandle.UpCloseColor   = vbGreen
  .asCandle.DownCloseColor = vbYellow
  .asCandle.AddCandle DateValue("2,12,07"),110,102,119,114
end With

Series specific properties / methods are accessible via the Series properties:

asArea, asArrow, asBar, asBubble, etc. See the TeeChart online help for a full listing.


(Untitled)

Printing Charts

This chapter explains how Charts are printed and which properties and methods are used to control the printing process.

Topics in this section:

Printing

Margins

Resolution

Print, PrintLandscape....

PrintPartial

Multiple Charts per Page

Windows and printers limitations

Clipping

Rounding circles

Rotating fonts

Dotted Pen styles and Pen Width

From FAQ - Practical issues when printing TeeCharts

Introduction

Design issues

How to Print Proportionally?

Other problems

Printing Reference

More information:

# Printing

# Margins

When printing, you can specify which margins on the paper page should be left blank. The paper margins are expressed as percents of total page dimensions.

  With TChart1
    .Printer.MarginLeft = 15
    .Printer.MarginTop = 15
    .Printer.MarginRight = 15
    .Printer.MarginBottom = 15
  End With

With PrintMargins you can define any area of any size inside the page.

Note:

When changing paper orientation, margins are recalculated.

# Resolution

Charts are printed in metafile (WMF in 16bit, EMF in 32bit) format.

Metafiles are scaleable vector formats, so a “wysiwyg” effect can be achieved if sending to the printer how a Chart looks on screen. However, you might want to exploit the printer’s bigger resolution capabilities versus screen displays.

The TChart.Printer.Detail integer property controls how a Chart is scaled when sending it to the printer. By default Printer.Detail is zero. Setting it to a negative value in the percentage range from zero to -100 makes the Chart proportionally bigger so there is more space for Axis Labels. Smaller fonts are used as they will be clearer on paper than on screen.

Setting it to a positive value makes font sizes bigger.

# Print, PrintLandscape....

Several methods exist to print a Chart component:

TChart.Printer.PrintChart
TChart.Printer.Print  (same as PrintChart)
TChart.Printer.PrintPortrait
TChart.Printer.PrintLandscape

All the above methods will do the same, print a Chart on a new page and eject (form feed) the page:

TChart.Printer.Orientation(AOrientation:TPrinterOrientation)

will Change the Printed page orientation.

TChart1.PrintChart

will print a Chart1 in the current printer’s paper orientation.

# PrintPartial

More advanced printing control can be obtained using the following methods. PrintPartial jobs do not formfeed the page, permitting you to send more than one Chart to the same page/print job. Use the TChart1.Printer.BeginDoc and EndDoc methods to start/end the TeeChart print job.

TChart1.Printer.BeginDoc
TChart1.Printer.PrintPartial(0,0,400,400)
TChart1.Printer.EndDoc

The above will use Screen co-ordinates and may result in a 'small' Chart on the printed page. You should use the Printer adjusted page dimensions to define the Chart printout.

e.g.

  With TChart1.Printer
   .PrintPartial 0, 0, .PageWidth, .PageHeight / 2
  End With

The BeginDoc and EndDoc methods will run the TeeChart print job in an isolated manner with respect to other printing processes in hand from your application. If you need to mix TeeChart printed output with other non-TeeChart printed output then you should use the PrintPartialHandle method to 'attach' the TeeCharts to the existing print jobs.

e.g.

Private Sub Command2_Click()
Dim HWidth, HHeight, I, Msg1, Msg2 ' Declare variables.
    On Error GoTo ErrorHandler  ' Set up error handler.
    Msg1 = "This is printed on page before Chart"
    Msg2 = "This is printed on page after Chart"
    'Scale & position text.
    HWidth = Printer.TextWidth(Msg) / 2 ' Get half width.
    HHeight = Printer.TextHeight(Msg) / 2   ' Get half height.
    Printer.CurrentX = Printer.ScaleWidth / 3 - HWidth
    Printer.CurrentY = Printer.ScaleHeight / 3 - HHeight
    Printer.Print Msg1 & Printer.Page & "."  ' Print.
    With TChart1.Printer
      .Orientation = poPortrait
      .PrintPartialHandle Printer.hDC, _
            .PageWidth / 3 _
            , (.PageHeight / 3) + 10 _
            , (.PageWidth / 3) * 2 _
            , (2 * (.PageHeight / 3)) - HHeight - 10
    End With
    Printer.CurrentY = 2 * Printer.ScaleHeight / 3 - HHeight
    Printer.CurrentX = Printer.ScaleWidth / 3 - HWidth
    Printer.Print Msg2 & Printer.Page & "."  ' Print.
    Printer.EndDoc  ' Printing is finished.
    Exit Sub

ErrorHandler:
    MsgBox "There was a problem printing to your printer."
    Exit Sub
End Sub

# Multiple Charts per Page

Examples of PrintPartial and PrintPartialHandle methods are located with the TeeChart example projects. Alternatively you can send more than one Chart to the PrintPreviewPanel and offer the use the option to reposition the Charts on the printed page.

Example

TeePreviewPanel1.AddChart TChart1
TeePreviewPanel1.AddChart TChart2

The first Chart added is the active Chart for repositioning, so to activate the 2nd Chart, re-add in reverse order. The Charts will not reposition on the page when re-added but the non-active Chart will become active and vice-versa. (See the TeeChart demo project for a working example).

# Windows and printer limitations

Metafiles are very good as they are small and fast and scaleable.

Some limitations occur when using metafiles, as described in Microsoft Knowledge Base (www.mskb.com). TeeChart inherits those limitations:

# Clipping

Clipping is stored in physical co-ordinates in metafiles. This means moving or scaling a clipped metafile will not scale or move the clipping region, giving undesirable results.

TeeChart does not draw partial points, so no clipping. Drawing on zoomed Charts will probably show partial points outside the Chart axis.

# Rounding circles

As metafiles can be scaled, circles will be converted to ellipses when scaling.

# Rotating fonts

Rotated fonts can not be exactly aligned on non-proportionally scaled metafiles.

# Dotted Pen styles and Pen Width

Non solid pens (dots, dashes), can be drawn as solid with scaled metafiles.

# From FAQ - Practical issues when printing TeeCharts

This section explains how TeeChart components are printed, and describes how to improve printing.

Introduction

Design issues

How to Print Proportionally?

Other problems

Printing Reference

More information:

# Introduction

The TeeChart library is sending Charts to the printer using a Windows graphic format known as "metafile". This format has several advantages and disadvantages over using the bitmap format:

- It's much smaller, because graphic information is stored in vector instructions, instead of pixels. This results in a faster printing speed in most cases.

- The printer doesn't need to have more memory to print 'large' images (Charts).

- Due to be a sequence of instructions instead of a fixed array of pixels, a metafile can be resized ( or "stretched" ) without losing resolution, and with greater accuracy.

- New printers support metafile format natively, via software driver or via "gdi hardware".

With Windows 32-bit (Windows 95 and Windows NT), an extended metafile format is implemented. This is known as "enhanced metafile". Metafiles have the extension: "*.wmf" and enhanced metafiles: "*.emf".

# Design issues

The main goal of using metafiles in TeeChart, is to provide "wysiwyg" (what you see is what you get). That is, printed Charts should look as close as possible to how they look at screen.

To do this, TeeChart creates a metafile of the Chart image, and then sends this metafile to the printer. At this point, the Windows GDI module and the Windows Printer driver will take care of "painting" the Chart image on paper. This involves "stretching" or "resizing" the metafile, from screen coordinates to printer logical pixels.

Example:

A Chart on screen is at rectangle:

Left : 100

Top : 100

Right : 300

Bottom: 400

And it gets printed at this paper rectangle:

Left : 400

Top : 1000

Right : 1200

Bottom: 1500

In this example, the Chart should be rescaled both

in width and height:

screen Width = 300 - 100 = 200

paper Width = 1200 - 400 = 800

relation screen / paper = 800 / 200 = 4 <---

screen Height = 400 - 100 = 300

paper Height = 1500 - 1000 = 500

relation screen / paper = 500 / 300 = 1.666... <---

The problem is the relation between the horizontal and vertical increments is not the same:

4 <> 1.666...

This means the Chart will be expanded more in the horizontal dimension than in the vertical dimension. In this case, Windows increases font sizes and pen widths using the new dimensions.

Windows 32-bit (95 and NT) will rescale fonts. Text can overlap other Chart sections and appear badly positioned. To fix this, see below "How to print proportionally?"

Windows 32-bit does a better job using the enhanced metafile format, so text dimensions are calculated precisely.

# How to Print Proportionally?

Some printers can show problems when printing Charts *without* using proportional printer margins.

The PrintProportional property can be used generically in your applications to calculate the optimal printer margins so the relation between Chart Width and Height on screen is the same as on paper. PrintProportional is enabled as default.

Another approach is to resize the Chart onscreen to match the proportion of the printer paper:

With TChart1
 .Printer.Orientation = poPortrait
 .Height=Rnd((.Printer.PageHeight)/.Printer.PageWidth)*.Width
 .Printer.PrintChart
End With

# Other problems

Increasing resolution:

The metafile format is not aware of the "resolution" concept. This is means resolution information is not stored inside the metafile image. You can modify the Chart "resolution" *before* printing by setting this property:

TChart1.Printer.Detail = -100

Negative values (like -100 above) represent the percentage increment in resolution. Zero means "wysiwyg".

More resolution is obtained by making all Chart fonts smaller and thinner lines. The metafile size is bigger when using more resolution. Increasing resolution can improve inaccuracy in buggy printer drivers calculations.

Printing non-solid lines:

In some printer / windows combinations, non-solid pen lines such as "dot" or "dash" will be printed as solid. This happens especially in some HP Laserjet printers. It seems the only workaround is to set the Chart Pen Width properties to Zero:

TChart1.Axis.Left.GridPen.Width = 0

Increasing resolution ( see above ) can make the printer show non-solid lines.

Colors:

Many printers accept only a subset of the available Colors. This means setting a Chart color to a non-supported palette color may result in that color not being used by the printer, thus not drawing anything. In these situations, try with "well known" solid colors like "vbRed, vbBlue, vbYellow, vbGreen".

Some printers include a "Color Mapping" configuration dialog. (At Printer Properties dialog).

Printing directly:

Drawing a Chart directly onto a Printer GDI Handle or Canvas is also possible. The following code does it:

e.g. Delphi

 Uses Printers;
 With Printer do
 begin
   BeginDoc;
   try
     TChart1.Draw( Canvas, Rect( 0,0,PageWidth,PageHeight ) );
   finally
     EndDoc;
   end;
 end;

You will see several problems when printing directly:

-- The Chart background is a gray color ( instead of white ).

-- Font sizes are extremely small.

-- There are many axis grid lines.

-- Lines are very thin.

One way to solve the above problems, though complicated, is to change all Font sizes and pen Width properties.

Visual Basic's Printer class does not supply Canvas in the above way. You can draw to a PictureBox in a similar manner. You may use Draw with MS VC++'s pDC.

Printer driver settings:

Try to always use the latest "good" printer driver version. Try changing the Windows Printer driver resolution settings and the spooler method (in Windows NT) to both "EMF" and "RAW" modes. "EMF" means all output is sent to the printer in metafile format.

# Printing Reference

See the help file for extended information and examples on the following properties and methods. The examples folder includes several custom printing examples.

Printing Properties:

Properties involved in Chart printing are:

Chart Printer Print Margins

The percentual space at the four sides of the paper page.

Chart Printer Detail

The relation between screen dimensions and paper dimensions.

Printing methods:

The TeeChart control has several methods designed for printing:

Methods that print *and* eject the printed page:

These are the default and more used TeeChart printing methods.

Chart Printer PrintChart

Uses default paper orientation and margins.

Chart Printer PrintPortrait

Sets paper in Portrait and uses default margins.

Chart Printer PrintLandscape

Sets paper in Landscape and uses default margins.

Methods that do not eject the printed page:

These methods allow printing more than one Chart in the same paper page, or print other things and Chart components on the same page.

With these methods you need to call Printer.BeginDoc and EndDoc yourself.

Chart Printer PrintPartial

Draws a Chart to the Printer Canvas at the passed rectangle.

Chart Printer PrintPartialHandle

Draws a Chart to the passed Canvas at the passed rectangle.

Related methods and properties:

Not directly involved with printing, but useful for advanced printing:

Chart1 Draw

Draws a Chart to the passed Canvas, in screen "mode".

"Screen mode" means with gray background and without

using the metafile format.

This method draws directly to the Canvas.

Chart1.Printing

Boolean property indicating the Chart is now drawing

onto a Printer Canvas.

Chart1 Printer JobTitle

For network print jobs

Chart1 Printer PrinterCount, PrinterIndex, PrinterDescription

May be used to find and set the selected printer in a multi printer environment

Chart Printer PrintProportional

'Fixes' the onpage printout (with PrintChart) to be proportional, best fit, for the onscreen Chart.

# More information:

Information about printing and metafiles can be found at Microsoft Windows 32-bit SDK help file, located in "Win32.hlp"

Use the "Help Contents" (not the index) and scroll-down up to the Metafiles chapter.


(Untitled)

Chart Zoom and Scroll

Scrolling and Zooming a Chart is simply setting its Axis scales to the desired values. After zooming or scrolling a Chart, all Series will repaint their points in their new positions.

Note: Pie Series can’t be scrolled or zoomed. You can control Pie dimensions using Chart margins or Pie custom radius properties.

Topics in this section:

Zoom

Animated Zoom

Zooming by code

Undoing Zoom

Zoom Events

Scrolling

Scroll event

Controlling scroll

Keyboard Scrolling

# Zoom

Charts can be zoomed programmatically or by user interaction with mouse dragging. The Chart Zoom Enabled property controls if users can apply zoom:

TChart1.Zoom.Enabled = True

Users can zoom drawing a rectangle around the Chart area they want to see in detail.

Note:

Dragging should be done from top / left to bottom down. Dragging in the opposite direction resets axis scales ( no zoom ).

As soon as users release the mouse button, TeeChart repaints to show the zoomed area.

# Animated Zoom

You can control if TeeChart will calculate zoom positions immediately or it will be calculating zoom in short “steps” until reaching the desired zoom window.

This makes an “animated” zoom effect, which helps to identify better the zoomed area. This code activates animated zoom:

TChart1.Zoom.Animated = True

Set the AnimatedZoomSteps property to the desired number of intermediate zooms:

TChart1.Zoom.AnimatedSteps = 5

# Zooming by code

You can zoom in or zoom out a Chart using any of these methods:

ZoomRect adjusts axis scales to show the Rect parameter area. The rectangle is expressed in screen pixel co-ordinates. Rectangle areas inside the Chart rectangle will zoom in, while area outside Chart Rectangle will zoom out.

TChart1.Zoom.ZoomRect( 100, 100, 200, 200 )

# Undoing Zoom

The Zoom.Undo method resets axis scales to their automatic Minimum and Maximum values:

TChart1.Zoom.Undo

This will display all Series points, undoing any previous zoom in or zoom out operation, either by code or using the mouse.

Note:

If you want axis scales to be at specific values after undoing zoom, you can use the Chart OnUndoZoom event, documented below.

The Zoomed Boolean property returns if all four Chart Axis are automatic or not.

# Zoom Events

The OnZoom event is triggered whenever zoom is applied to a Chart, either manually or programmatically:

Private Sub TChart1_OnZoom()
    Button1.Visible =True
' make visible the “no-zoom” button }
End sub

The OnUndoZoom event is called when undoing zoom, by code or by mouse.

# Scrolling

Scrolling is very similar to zoom. Axis scales are incremented or decremented and the whole Chart component is repainted to show Series points at their new positions.

The Chart Scroll Enable property controls if users can scroll Chart contents by dragging the mouse. Its possible values are:

pmNoneNo scroll is allowed.

pmHorizontal,

pmVertical Allow scroll only on these directions.

pmBoth Allow complete scroll over all directions.

Example:

TChart1.Scroll.Enable = pmNone
'no scroll is allowed }
pressed to start scroll }

You can programmatically scroll a Chart, using the Axis Scroll method:

Procedure Scroll(Const Offset:Double;
                        CheckLimits:Boolean);

Example:

Chart1.Axis.Bottom.Scroll 1000, True

The above code increments Bottom Axis scales by 1000. This is the same as doing:

With TChart1.Axis.Bottom
  .SetMinMax .Minimum+1000, .Maximum+1000
End with

and setting BottomAxis Automatic property to False.

The Chart will repaint and the horizontal bottom axis will be “scrolled” to the left a quantity of “1000” in axis scales.

The “CheckLimits” Boolean parameter instructs the axis to scroll ONLY if there are more Series points in the scrolling direction.

# Scroll event

The Chart OnScroll event is fired every time users manually scroll the Chart.

Private Sub TChart1_OnScroll()
    Label1.Caption = "This Chart has scrolled ! "
End sub

# Controlling scroll

The OnAllowScroll event can be used to programmatically accept or refuse a planned scroll:

Private Sub TChart1_OnAllowScroll(ByVal Axis As TeeChart.EAxisType, AMin As Double, AMax As Double, AllowScroll As Boolean)
  if Axis = atBottom then
     if AMax > 1000 then AllowScroll = False
End sub

The above code refuses user scrolling if attempting to set bottom axis maximum to a value greater than 1000. The same checking can be performed over the DateTime axis:

if Axis = atBottom then
     if AMax > DateValue("31,12,1999") then AllowScroll = False

# Keyboard Scrolling

You may use the Form OnKeyDown event and scroll when pressing the arrow keys. First, the Form KeyPreview property should be set to True.

At the KeyDown event, and depending on the pressed arrow key, the four Chart axes are scrolled using the Axis Scroll method.


(Untitled)

Real-Time Charting and Speed

Three big rules apply to speed performance in real-time Charting:

1. Plot as few points as possible

2. Use the fastest possible hardware.

3. If possible use TeeChart's AddArray support to add data to the Chart. See ISeries.AddArray.

Together, these rules really make a big speed difference when drawing Charts many times continuously.

Some other suggestions are:

- Use 2D. Three dimensional Charts are slower to paint than 2D.

- Make Charts small. Bigger Charts need more pixels to be filled.

- Remove Chart Legend and Titles when possible.

- Use default fonts and font sizes.

- Use FastLineSeries for fastest way to plot many points.

- Use solid pens and brushes styles.

- Avoid using circular shapes or circular bar styles.

- Don’t use background bitmaps or gradient fill effects.

- Set Chart BevelInner and BevelOuter properties to bvNone

- When possible, set Chart1.Axis.Visible to False to remove axes.

- Set your video mode resolution and color depth to the optimum values, according to your video card.

- A combination of 800x600 x 256 colors can be faster than 1024x768 x 32k colors, on average video cards.

- Use accelerated drivers for your video card.

'Go faster methods'

If you are unable to add data via Array methods see the FastLine Point Add method, AddRealTime for conventional fast point addition to the FastLine Series.The AutoRepaint property permits you to switch off Chart repainting until points are added.

eg.

  TChart1.AutoRepaint = False
  TChart1.Series(0).Add ......'Add points here
  TChart1.AutoRepaint = True
  TChart1.Repaint


(Untitled)

Functions

A function may be defined to use one of most Series types as a ‘carrier’ Series and to act upon other Series to create its source data. When the function is defined it behaves as any other Series. Functions may thus be built upon other functions. Only in its definition of data source is a function different from other Series as it contains information that relates it statistically to other data sources by formula, sum, etc.

Topics in this Section:

Introduction

Adding a function with the Chart editor

Deleting a function with the Chart editor

Changing a FunctionType with the Chart editor

Adding a function by code

Deleting a function by code

Period

# Introduction

Functions are independent components that use Series. When you add a new function, really what you are doing is adding a new Series (like any other) then applying a function definition. Normally that function works upon one or more other Series to give a dynamic result. For example if you define a line Series ‘A’ which has various values across one year and then you define a Series ‘B’ which contains the function Max(A) then you will be using Series ‘A’ as the input for the new Series. The Max(A) function (datasource of Series ‘B’) will scan the data from Series A to find the maximum value then plot its own data as that value. The Series type of the function is configurable, you may use any Series type to represent your function data provided that the Series type mix on the chart complies with the general rules for combining Series types - You may define a Function to use input Series from another chart as its Datasource.

Note

When you add a function from the gallery of the Chart Editor, by default you will add a LineSeries. You may change the type of Series afterwards to any other available Series type using the Change button.

In general, all functions work to the same basic rules. The properties of the underlying Series type (Line, Bar, etc.) apply to the function Series. Thus a function added as a Bar Series will have standard bar properties such as barwidth. There is one important property that distinguishes function Series from non-function Series, Period. Period applies to repetition of the function. For example, ‘I want the average of all points of Series1’ will present one flat line across the chart which is the average. ‘I want the average of all points of Series1 by month’ will draw an average for each month and will display as 12 different values across a chart of 1 year.

Important

Study the implications of period carefully before applying it to your chart Series. When you have only 1 Series in your function the function will, by default, not apply period and you must add it manually by code if you require period breakdown of the Series data. When you have more than 1 Series in your function the default applied is period = 1. We don’t recommend that you use Period with implementation of functions composed of Series with distinct point frequencies.

# Adding a function with the Chart editor

Functions may be added using the Chart editor at design time. Similarly to adding a Series you may use the TeeChart Gallery to choose the function. In the Gallery all functions are initially displayed as LineSeries functions - you may change Series type after initially adding the function.

When you have added the function go to the DataSource tab of the Series page. Here you may choose which input Series (or Series) to add to the function. The first Series in the selected listbox, reading from top to bottom, is the Series on which the operation is performed in the case of function which doesn’t treat each member of the list homogeneously.

Eg. Subtract.

Fig. 1.

Subtract function defined in the Chart editor

In the Chart editor screen you see Series3 being defined with inputs Series1 and Series2. The Series order in the list defines which Series is doing the subtraction.

Here:Series3:= Series1 - Series2

# Deleting a function with the Chart editor

Alternatively you may delete the Series you have added as carrier for the function (delete Series from the first page of the Chart editor) or you may redefine the Series as having a different datasource in the DataSource tab of the Series page.

# Changing a FunctionType with the Chart editor

The option to change the FunctionType is in the DataSource tab of the Series page for the function Series. The drop down combobox contains a list of all function types - You may choose any from the list. Copy will directly copy the input Series (duplicating the Series).

# Adding a function by code

Function is a component. When you add a new function you are adding a Series, defining a new function and setting it as FunctionType for the Series.

TChart1.Series(0).SetFunction(tfAdd)

See the online help for a description of how to add each of the different types of function. Each function uses the same Series method, SetFunction.

# Deleting a function by code

To delete a function from a Series delete the Series or change the Series datasource definition to a different datasource type.

# Period

You may find the Period property extremely useful when working with functions. It is used to define the frequency for which the function re-calculates.

Example

We have 6 data points (e.g. bars of a Bar Series) with values:

3, 8, 6, 2, 9 and 12

We define a function Series with Period 0 (default when only one Series is input to the Function) the average drawn is:

6.667

With Period set to 2 we get 3 values of average as output from the function:

5.5, 4 and 10.5

These values will plot centrally in their period range, i.e. The 1st value between bars 1 and 2 of the input Series, 2nd value between bars 3 and 4, etc..

You may define Period by selecting the function in the Object Inspector or you may modify Period at runtime using FunctionType.

E.g. Where Series 2 is the function Series:

TChart1.Series(2).FunctionType.Period = 2


(Untitled)

The TeeChart components

There is one principal Chart icon on the component palette.
TChart

The component, TChart is the basic building block of all TeeChart Charts.

TeeChart Pro includes the following additional components:

TeeCommander | TeeListbox | TeeEditor | TeePreviewer
ChartPageNavigator |  | ChartGridNavigator | ChartGrid
SeriesTextSource |  | TeePreviewPanel | ChartEditorPanel

The above components are intended for runtime enhancement of TeeChart functionality.


ITChart
Hierarchy Properties Methods Events

Type Library
TeeChartx

Description
TeeChart is the most important class in TeeChart library. It is the placeholder for Data Series and Chart Axes.

Add a TChart to your Form by selecting the TChart icon (above) from the Toolbox. If the icon is not on the Toolbox add the Component by choosing the TeeChart Pro Libraries from the list of available ActiveX controls in your programming environment.

Getting started ?

Take a look at:

HTML Tutorials (See TeeChart Programs group in the menu)

HTML Information Sources (See TeeChart Programs group in the menu)

Help's Quick Start Page

The User guide

Help's browse buttons (above) for a TeeChart Pro overview.


IAxes
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Axes is a TChart interface accessible via the Axis property of TChart. The Axes interface is used to group the 5 axes, Left, Top, Right, Bottom and Depth. See Axis Class

The Axes Interface is transparent in use when accessing Axis properties and methods (see example).

Example [Visual Basic]:

TChart1.Axis.Left.Maximum = 100

The Axes Interface grants access to the 4 axes via the TChart Axis property.

TChartl.Axis.Left.Automatic = False


ILegend
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Legend is a TChart subclass.

It draws a rectangle filled with the Chart Series Titles or a Series Values formatted representation. You switch this operation mode by setting the LegendStyle.

The Alignment property defines the Legend position.

Legend can be currently placed at Top, Left, Right and Bottom side of Chart.

Left and Right Legend alignments define a vertical Legend with currently one single column of items.

Top and Bottom Legend alignments define an horizontal Legend with currently one single row of items.

The Legend itself automatically reduces the number of displayed legend items based on the available charting space.

The Legend.ResizeChart property controls if Legend dimensions should be used to reduce Chart points space.

The Legend.OnGetLegendRect event provides a mechanism to supply the desired Rectangle Legend dimensions and placement.

The Legend.OnGetLegendPos event can be used to specify fixed Legend items X Y coordinates.

The Legend.HorizMargin and VertMargin properties control distance between Legend and Left and Right margins.

The Legend.TopPos property can be used in Left or Right Legend alignments to control vertical distance between Legend and Top Chart Margin.

These techniques allow almost complete Legend control.

Legend is quite a big class with many available formatting and dimensioning properties.


ITools
Hierarchy Properties Methods

Type Library
TeeChartx

Description
All common Tool properties and methods may be accessed at the Tools class. Select the Tools specific class from the Tools property list to modify properties specific to that Tool type.


IWalls
Hierarchy Properties See also

Type Library
TeeChartx

Description
The Walls interface contains the properties/methods for TeeChart left, bottom and back walls. Use the TChart.Walls property.

Example [Visual Basic]

TChart1.Walls.Left.Color = vbRed

See also:
IWall


IACFunction
Hierarchy

Type Library
TeeChartx

Description
Acceleration/Deceleration Technical Indicator (AC) measures acceleration and deceleration of the current driving force. This indicator will change

direction before any changes in the driving force, which, in turn, will change its direction before the price. If you realize that

Acceleration/Deceleration is a signal of an earlier warning, it gives you evident advantages.

The AC Function uses a OHLC ( Candle ) series as datasource.


IAddFunction
Hierarchy

Type Library
TeeChartx

Description
AddFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for the AddFunction when only 1 series is added to the function is 0 (One flat line representing the total of all data points of the input series). When 2 or more input series form the AddFunction series the default period is 1 axis point. Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

Example

To set the period for AddFunction you should use the FunctionType property of Series

To define a function series by code you should first create a new series for the function. The series may be of any type.

Visual Basic

{Set the function using the SetFunction method}.

TChart1.Series(0).SetFunction tfAdd

{You may then define the period for the function - here setting it to to 5}

TChart1.Series( 0 ).FunctionType.Period = 5

To undefine (delete) a function defined for the series you should either delete the Series, make it inactive, or reassign the datasource to another Function or other.


IADXFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The ADXFunction is normally used in financial trending applications to determine whether a market is trending, or moving sideways. A high ADX reading indicates a trending market. A rising ADX indicates a trending market (either up or down). If the ADX reaches 40 or greater, look for a signal that indicates the trend is over. An ADX of 20 or less indicates a sideways market.


IAlligatorFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Alligator Technical Indicator is a combination of Balance Lines (Moving Averages): Alligator's Jaw (blue line), Alligator's Teeth (red line) and

Alligator's Lips (green line). They show the interaction of different time periods. As clear trends can be seen only 15 to 30 per cent of the time, it is

essential to follow them and refrain from working on markets that fluctuate only within certain price periods.


IAmountFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Ancestor Filter for several Filter types. Offers Amount and Percent properties.


IAnimationList
Hierarchy Properties

Type Library
TeeChartx


IAnimations
Hierarchy Properties

Type Library
TeeChartx

Description
Class used to create animations for a specific Chart and Series.


IAnnotationCallout
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Class with properties used to draw a line from an annotation tool to any arbitrary xyz position in the chart.


IAnnotationTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Annotation Tool is used to display customisable text and text boxes on the Chart Canvas. An unlimited number of these tools can be easily added at design-time or run-time to enhance the readability of your Charts. The text box position, size, shape, colours, gradient and shadow as well as the text's font, outline, size and shadow can be adjusted to suit your needs.

Example [Visual Basic]:

With TChart1

.Tools.Add tcAnnotate

.Tools.Items(0).Active = True

With .Tools.Items(0).asAnnotation

.Position = ppRightBottom

.Shape.Gradient.Visible = True

.Shape.ShapeStyle = fosRoundRectangle

.Shape.Font.Name = "Verdana"

.Text = "My Text"

End With

End With


IAntiAliasTool
Hierarchy Properties

Type Library
TeeChartx

Description
The IAntiAlias tool provides anti-aliasing for the Chart but also provides access to a wide list of filters to permit modification of many rendering aspects of the Chart.


IAOFunction
Hierarchy

Type Library
TeeChartx

Description
Awesome Oscillator (AO) is simply the difference between the 34-period and 5-period simple moving averages of the bar's midpoints (H+L)/2.

It determines market momentum at a given time comparing the last 5 bars to the last 34 bars.

The AO Function uses a OHLC ( Candle ) series as datasource.


IAreaSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The AreaSeries class outputs all points by drawing a line between them and fills the area defined by the line and the bottom side of the Chart.

Set the ParentChart property to the desired Chart class. Use the AddY or AddXY method to manually fill area points.

Use the AreaBrush property to draw patterned areas.

The Series.Color property determines the background area color.

The lines dividing area points are drawn using the AreaPen property.

To build stacked area charts use the MultiArea property.

The Stairs property controls how to draw the connecting lines between points. Use then the InvertedStairs property to change how are these steps drawn.

The top lines can be altered by using the LinePen property.

Please refer to CustomSeries ancestor description for all common Series properties like Marks, Axis, Pointers and events.


IArrowSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The ArrowSeries class outputs all points as arrows.

Set the ParentChart property to the desired Chart class. Use the AddArrow method to manually fill area points.

At design-time use the Chart Editor to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

The arrow head dimensions can be changed using the ArrowHeight and ArrowWidth properties.

Each arrow is defined by four co-ordinates. These values can be accessed using the StartXValues, StartYValues, EndXValues and EndYValues properties.

Arrows are always drawn in 2D mode.

Please refer to PointSeries ancestor description for all common Series properties like Marks, Axis, Pointers and events.


IArrowTool
Hierarchy Properties

Type Library
TeeChartx

Description
The Arrow Tool draws an arrow on the panel from one point to another. By changing the different properties you can customise the position and appearance to your liking.


IAspect
Hierarchy Properties

Type Library
TeeChartx

Description
The Aspect interface contains the properties for TeeChart Viewing characteristics, 2D, 3D etc. Use the TChart.Aspect property.

Example [Visual Basic]:

TChart1.Aspect.View3D = True


IATRFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Average True Range Technical Indicator (ATR) is an indicator that shows volatility of the market.

The ATR Function uses a OHLC ( Candle ) series as datasource.


IAutomaticText
Hierarchy Properties

Type Library
TeeChartx


IAverageFunction
Hierarchy Properties

Type Library
TeeChartx

Description
AverageFunction performs a simple or weighted average of last Period DataSource values. AverageFunction Period is the number of points we want to group to calculate their average. So, if our Series has 1000 points and we have a Period of 200, then AverageTeeFunction will have 1000/200 (that is 5) points. Each Y value will be the simple Average of a group of 200 points.


IAxis
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Axis is a TChart subclass.

Chart classes have 5 Axes:

Left, Right, Top, Bottom and Depth.

The 5 Axes are accessible via the Axes Interface

Example [Visual Basic]:

TChart1.Axis.Left.Increment = 5


IAxisArrowTool
Hierarchy Properties See also

Type Library
TeeChartx

Description
The Axis Arrow tool is used to display small arrows at begin and / or end positions of axes.

Many Arrows can be added to a Chart, each one associated with a different axis.

The Arrows can be customized ( pen, pattern, size ).

Clicking the arrows will optionally scroll the axis a configurable percent amount.

See also:
IAxisLabels


IAxisBreak
Hierarchy Properties See also

Type Library
TeeChartx

Description
Class used to create Axis Breaks in an axis.

See also:
IAxisBreaks


IAxisBreaks
Hierarchy Properties Methods See also

Type Library
TeeChartx

See also:
IAxisBreak


IAxisBreaksTool
Hierarchy Properties

Type Library
TeeChartx

Description
This function returns the description of the #link TTeeCustomTool#TTeeCustomTool#. In this case the function returns 'Axis Breaks'.


IAxisGridPen
Hierarchy Properties

Type Library
TeeChartx

Description
Pen used to plot the Axis Grid.


IAxisLabels
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
The AxisLabels interface contains the properties/methods for TeeChart Axes labels. Use the TChart.Axis.Labels property.

Example [Visual Basic]:

TChart1.Axis.Left.Labels.Visible = False

See also:
IAxisArrowTool


IAxisLabelsItem
Hierarchy Properties

Type Library
TeeChartx

Description
The AxisLabelsItem interface contains the properties/methods for TeeChart Axes labels Items.


IAxisScrollTool
Hierarchy Properties

Type Library
TeeChartx

Description
The AxisScroll Tool allows you to drag an Axis by selecting it with the Mouse and dragging the Axis with the Left MouseButton depressed.


IAxisTitle
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Axis will use this to draw its Title. See the Axis.Title property

Example [Visual Basic]:

TChart1.Axis.Left.Title.Caption = "My Left Axis"


IBackImage
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Class used by BackImage property.

Contains properties to define the position of the background image and display mode.


IBannerTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The BannerTool provides a scrollable, blinkable text banner for any location on the Chart.

See the AnnotationTool for a simpler banner text option.


IBarDSeries

IBar3DSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Bar3DSeries, similar to a standard Bar Series, permits the definition of a cutoff point for each Bar. When using AddBar, the AOffset parameter defines the start point of the Bar on the Y-Axis scale.

Thus a Bar added [Visual Basic]:

TChart1.Series(0).asBar3D.AddBar 5, 4, 3, "Bar1", clTeeColor

will add a Bar that appears at 5 on the X-Axis, with maximum 4 on the Y-Axis and Y starting point of 3 (Y scale). The height of the Bar displayed is 1.


IBarJoinSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The BarJoinSeries, similar to a standard Bar Series, permits the definition of a line which is drawn between each bar point at the top position.

The JoinPen property controls the pen used to draw the lines.


IBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

To access IBarSeries properties use the asBar property.

The BarSeries class outputs all points as vertical bars.

Several BarSeries can be displayed side-to-side, one behind the other, stacked or stacked 100% by using the MultiBar property.

Set the ParentChart property to the desired Chart class. Use the AddBar or AddXY methods to manually fill area points.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

The BarBrush property determines the pattern used to fill bars, while the BarPen property is used to draw the bar edges.

Set the desired bar style ( cilynder, pyramid, etc ) by changing the BarStyle property.

Use the BarWidthPercent property to control the relative distance between bars.

You can specify an exact bar width by using the CustomBarWidth property.

The Dark3D property controls if bar sides are filled with a darker color than front bar faces.

The OffsetPercent property determines the bars horizontal displacement. This can be used to create overlayed bars with several bar series classes.

Bar series leave margins both at left and right chart sides. You can turn off this default behaviour setting the SideMargins property to False.

By default, bar bottoms start at zero vertical coordinate. Set the Origin property to the desired starting bottom value or set the UseOrigin to False to make bar bottoms start at minimum bars value.


IBaseClustering
Hierarchy Properties

Type Library
TeeChartx


IBaseHighLowSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Ancestor SeriesType for Series that use High-Low Valuelists.


IBevelFilter
Hierarchy Properties

Type Library
TeeChartx

Description
The BevelFilter provides a means to add a custom Bevel within the Chart Area. Use the Anti-alias tool to add the Filter to the active filterlist.


IBezierSeries
Hierarchy Properties

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

This new Series type derives from a Point Series, adding a "LinePen" Pen property to draw a Bezier line every 3 points.

A bezier line is a curve which passes over every 3 points of a Series.

There are several ways to calculate the bezier curve points. This Series uses the same method as Windows (GDI BezierTo function).


IBlurFilter
Hierarchy Properties

Type Library
TeeChartx

Description
The Blur filter provides a means to Blur a selected Region of the Chart. Use the Anti-alias tool to add the Filter to the active filterlist.


IBMPExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use BMPExport to create and export the TeeChart in BMP format. The Class returns default export characteristics to be used when exporting a BMP image of the Chart.

Example [Delphi]

Uses TeeBMPOptions;

procedure TForm1.BitBtn1Click(Sender: TObject);

var tmp:TBMPExportFormat;

begin

tmp:= TBMPExportFormat.Create;

tmp.Panel:=Chart1;

tmp.SaveToFile('c:\tempCharts\Chart1BMP.' + tmp.FileExtension);

end;

[Visual Basic]

Private Sub Command1_Click()

With TChart1.Export.asBMP

.Colors = pf32bit

.Height = 400

.Width = 600

.SaveToFile "C:\tempCharts\Chart1.bmp"

End With

End Sub


IBollingerFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The BollingerFunction introduces the Bollinger Bands Trading Bands function. Trading bands are lines plotted in and around the price structure to form an envelope. Trading bands answer the question whether prices are high or low on a relative basis (taken from Bollinger Bands Tutorial - see below for reference)

Bollinger bands have three characteristic curves:

1) Mean value curve

2) Low band curve

3) High band curve

Low and high band are defined by the following equations:

Low = Mean - Deviation*StdDev,

High = Mean + Deviation*StdDev,

Where Mean is average value for given period (exponential or normal), StdDev is standard deviation for given period and Deviation is the StdDev multiplier.

For more info on Bollinger Bands check the http://www.bollingerbands.com/services/bb/intro.asp tutorial.


IBoxPlotSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TBoxSeries plots a box series vertically. For more information on box series please see CustomBoxSeries.


IBrightnessFilter
Hierarchy Properties

Type Library
TeeChartx

Description
The Brightness filter increases brightness over the selected location.


IBrush
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Brush interface contains the properties for TeeChart brush characteristics.

Example [Visual Basic]:

TChart1.Walls.Left.Brush.Color = vbRed


IBubbleDSeries

IBubble3DSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Displays points as "bubbles" in 3D spaces.

A "3D bubble" point is defined by X and Y center coordinates, a radius and a Z center in the depth axis.


IBubbleSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The BubbleSeries class outputs all points as "bubbles", each one with a different bubble radius value.

Set the ParentChart property to the desired Chart class. Use the AddBubble method to manually fill area points.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

All radius values are stored at RadiusValues property.

The Pointer property determines all formatting attributes.

By default, the radius values are expressed in vertical axis coordinates. Set the Squared property to False to calculate bubble heights in vertical coordinates and bubble widths in horizontal coordinates.

Please refer to PointSeries ancestor description for all common Series properties like Marks, Axis dependence, Pointers and events.


ICalendarCell
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The CalenderCell class describes Calender Cell appearance characteristics (font, colour, etc) for the days, Sundays, Today and trailing days and includes the Visible property. This class is called by the CalenderSeries and can be accessed via the asCalender property.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Date = 24584

.Days.Font.Color = vbGreen

.Sunday.Gradient.Visible = True

.Today.ShapeStyle = fosRoundRectangle

.Trailing.Font.Bold = True

End With


ICalendarCellUpper
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The CalenderCell class describes Calender Cell appearance characteristics (font, colour, etc) for the months and weekdays and includes the Format and UpperCase properties. This class is called by the CalenderSeries and can be accessed via the asCalender property.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Date = 24584

.Days.Font.Color = vbGreen

.Months.UpperCase = True

.Sunday.Gradient.Visible = True

.Today.ShapeStyle = fosRoundRectangle

.Trailing.Font.Bold = True

.Weekdays.Format = "dddd"

End With


ICalendarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Calendar series displays monthly calendars, in a similar way as Microsoft Calendar control. You can click on day cells to change the "today" day.

Many customization options are available.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Date = 24584

.Days.Font.Name = "Verdana"

.Months.UpperCase = True

.Sunday.Color = vbGreen

.Today.ShapeStyle = fosRoundRectangle

.Trailing.Visible = False

.Weekdays.Format = "dddd"

End With


ICallout
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class is used by ISeriesMarks and IAnnotationTool to display a pointer shape (small rectangle, ellipse, etc) at the series mark point or the annotation link position.

The ancestor class ISeriesPointer is also used by ILineSeries, IPointSeries and many other series styles to display "pointers".

ICallout adds new properties:

Arrow ( Pen used to display a line between the series mark or annotation to series point )

Distance ( Length in pixels between the end of the series mark line and the series point )

ArrowHead and ArrowHeadSize properties.


ICandleSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The CandleSeries outputs all points as vertical rectangles crossed by a vertical line.

Each Candle point is made of four values that represent a Stock market session. These are the HighValues, LowValues, OpenValues and CloseValues.

Set the ParentChart property to the desired Chart class. Use the AddCandle method to manually fill Candle points.

The rectangles dimensions are determined by OpenValues and CloseValues properties. The vertical line that crosses each candle point is defined by the HighValues and LowValues properties.

Candles can be drawn in two different modes. Use the CandleStyle property to choose the preferred mode: csCandleBar or csCandleStick.

Candles with bigger Close than Open values are filled using the UpCloseColor property. The other candles are filled using the DownCloseColor property.

You can control the candles width in pixels by using the CandleWidth property.

When drawing candles in csCandleBar mode, you can show or hide Open and Close values by using the ShowOpenTick and ShowCloseTick properties.

Please refer to CandleSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.

CandleSeries is a Financial Series type.

Each point is a "candle" representation of Open, Close, High and Low price.

When the Open price is equal to the Close price, then the color used to draw the candle is calculated as follows:

a) If Candle is the first one, then UpCloseColor is used.

b) If previous Close is higher, then DownCloseColor is used.

c) If previous Close is lower, then UpCloseColor is used.

d) If same as previous, then follow previous color.


ICanvas
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Canvas class grants access to TChart Custom draw properties and methods.

Example [Visual Basic]:

TChart1.Canvas.MoveTo 0, 0

TChart1.Canvas.LineTo 100, 100


ICCIFunction
Hierarchy Properties See also

Type Library
TeeChartx

Description
CCI stands for "Commodity Chanel Index"

It's a commonly used financial indicator.

See also:
IChartAnimations


IChartAnimations
Hierarchy Properties See also

Type Library
TeeChartx

Description
Class containing all the necessary properties and methods to add a custom animation to a the Chart and Series.

See also:
ICCIFunction


IChartAxisPen
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Pen used to draw TChart's Axis lines.


IChartCollection
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Collection of Chart SubChart.


IChartEditorPanel
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ChartEditorPanel is a panel that houses the standard TChart Editor. The ChartEditorPanel may be placed on any Form.


IChartFont
Hierarchy Properties

Type Library
TeeChartx

Description
The Chartfont class contains the properties for all TeeChart Text, Font display characteristics.

Example [Visual Basic]:

TChart.Header.Font.Name = "Verdana"


IChartGrid
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ChartGrid offers a grid data representation of the data plotted in a TChart. It is configurable to restrict the Series shown. Data is, optionally, editable.


IChartGridCols
Hierarchy Properties

Type Library
TeeChartx

Description
Contains the collection of ChartGrid columns.


IChartGridNavigator
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ChartGridNavigator should be associated to a ChartGrid via the ChartGridNavigator.Grid property to navigate within the Grid.


IChartGridRows
Hierarchy Properties

Type Library
TeeChartx

Description
Contains the collection of ChartGrid rows.


IChartHiddenPen
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Pen used by TeeChart's Axis.MinorGrid, the TChart Legend DividingLines, TriSurfaceSeries Border and HistogramSeries Border.

It's a normal pen, but with the Pen.Visible property default False.


IChartImageTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Image tool draws a picture (bitmap, jpeg, etc) behind chart Series. This can be used for GIS (Geographical) systems, using contours over images, or any other application using images as backgrounds. The image does zoom and scroll, following the associated series and axes.


IChartPageNavigator
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Navigator button bar for paging a Paged Chart. Use when MaxPointsPerPage is set.


ICircledSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The CircledSeries class is an abstract class used as the ancestor of Pie and Polar Series classes.

To add points to the Series you should use the Series.Add method.

Right-click the class at design-time to access the Chart editor dialog to connect the Series to another Series or to any Table or Query class.

The Circled property determines if the Series will draw as a circle or ellipse.

Change the circle background color using the CircleBackColor property.

The RotationAngle property determines the offset angle used to calculate points positions.

Use the CirclePen property to change the circle lines format.

You can define exact circle dimensions by setting the XRadius and YRadius properties.

The XRadius and YRadius properties return the current circle half-width and half-height in pixels, the values of these properties may be modified.

The CircleRect read-only property returns the circle bounding rectangle in pixels.

The CircleWidth and CircleHeight read-only properties return the circle width and height in pixels.

The XCenter and YCenter read-only properties return the circle center coordinates in pixels.

When Chart.Aspect.View3D property is True, the Offset3D read-only property returns the amount in pixels of the circle 3D effect.

Please refer to Series ancestor description for all common Series properties like Marks, Axis dependence and events.


ICircleLabels
Hierarchy Properties

Type Library
TeeChartx

Description
Use CircleLabels to change the format of the Polar and Radar Series bounding perimiter Labels.


ICircularFrame
Hierarchy Properties

Type Library
TeeChartx

Description
Determines the amount of rotation (in angle degrees from 0 to 360) for the frame.


ICircularGauge
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ICircularGauge component controls access to the methods of the Circular Gauge Series.


IClipSeriesTool
Hierarchy Properties

Type Library
TeeChartx

Description
The Clip Series tool creates a canvas clipping region just before the Series is displayed, and removes the region just after the series has finished drawing.

Intended use of Clip Series tool is when series are associated to custom axes, to make sure the series contents do not overwrite other axes space.

Clip Series tool creates the clipping region using the series Horizontal and Vertical axes dimensions.

Note: This tool internally uses the series Series.BeforeDrawValues and Series.AfterDrawValues events.

If you use those events simultaneously with this Tool, their contents will be discarded.


IClockGauge
Hierarchy Properties Methods

Type Library
TeeChartx


IClockHand
Hierarchy Properties

Type Library
TeeChartx

Description
Controls the appearance of the clock hand in a ClockSeries Chart.


IClockSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ClockSeries displays a live Clock on a Chart Panel.


IClusteringTool
Hierarchy Properties

Type Library
TeeChartx

Description
This tool will automatically perform clustering using the choosen method and parameters, and it will optionally paint each series point with a different colour to ndicate which cluster it belongs to. It can also draw polygons around each group of cluster items, among other things.


ICLVFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Accumulation/Distribution financial function.

For each source point (OHLC), this function calculates the "CLV" as follows :

CLV = ( (Close-Low)-(High-Close))/(High-Low)

Then it can optionally multiply the CLV by the Volume, and it can optionally acumulate the result to previous point calculation.

The Volume property refers to a series that contains volume values.

The Acumulate property (default True), defines if results are acumulated or not.


IColorBandTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
ColorBandTool adds bands of configurable colour to the interior region enclosed by the Chart axes. You may set bands vertically or horizontally in Axis units.


IColorFilter
Hierarchy Properties

Type Library
TeeChartx

Description
The ColorFilter may be used to adjust the ColorFilter.Red,ColorFilter.Green and ColorFilter.Blue tones of the selected area.


IColorGridSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ColorGridSeries component controls access to the methods of the ColorGrid Series.


IColorLineTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Add coloured lines to the Chart with the ColorLineTool. The line is set according to Axis value vertically or horizontally.


ICompressFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The ICompressFunction calculates the highest and lowest value from a source series during a datetime period.

It can be used for example to "compress" Candle stock data weekly, monthly, etc.

It can also be used with non-candle series (ie: with a normal line series).

var Compression : ICompressFunction;

Example [Visual Basic]:

Private Sub Form_Load()

' Example: How to create a Compression function

TChart1.Series(1).DataSource = TChart1.Series(0)

TChart1.Series(1).SetFunction (tfCompress)

' Sample Candle values

TChart1.Series(0).FillSampleValues 500

End Sub


IContourLevel
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Contains characteristic information for ContourLevel. Access levels via ContourLevels collection.


IContourLevels
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TContourLevels stores information about TContourSeries Y position levels.


IContourMarks
Hierarchy Properties

Type Library
TeeChartx

Description
The IContourMarks class manages the Marks associated with Contour levels.


IContourSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

Similar to a Surface Series, Contour Series provides a layered Series display rather like an Isobar map. Layers may be displayed on the same or differing Y levels.

See Levels.Clicked method for use of Clicked with this Series type.

Example

'where Series(0) is a ContourSeries

levelndex = TChart1.Series(0).Clicked(X, Y) ' Get the contour point index.

If levelndex <> -1 Then

myText = Format(TChart1.Series(0).asContour.Levels.Items(levelndex).UpToValue, "0.0")


IContrastFilter
Hierarchy Properties

Type Library
TeeChartx

Description
The ContrastFilter alters the contrast of the selected area. You can use the Anti-Alias Tool to add Filters via the Chart Editor.


IConvolveFilter
Hierarchy

Type Library
TeeChartx

Description
Abstract class that filters an image with a convolution filter.

Other filter classes derive from it and implement the ConvolveFilter.Apply method.


ICorrelationFunction
Hierarchy

Type Library
TeeChartx

Description
Calculates the correlation coefficient between X and Y values of a source series.

The resulting coefficient is a single point with a value between -1 and 1.


ICountFunction
Hierarchy

Type Library
TeeChartx

Description
Returns a count of points used as input to the Function.


ICropFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Use the CropFilter to plot only the selected rectangular area.


ICrossPointsFunction
Hierarchy

Type Library
TeeChartx

Description
This function requires two source series.

Calculates the points where the two source series do cross.


ICrossTabSource
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The CrossTabSource component is a non-visual component to automatically create charts with multiple series from database data.

To customize a CrossTabSource you can use either the Object Inspector or the custom editor dialog.

To access the dialog, set the Series property to your desired series and go to normal Chart editor dialog, series datasource tab.

Note: CrossTabSource requires series in DBChart components, not in normal Chart components.


ICumulativeFunction
Hierarchy

Type Library
TeeChartx

Description
The Cumulative Function draws a cumulative line of input data.


ICursorTool
Hierarchy Properties

Type Library
TeeChartx

Description
Add and associate Cursors to individual Series or to the general Chart. Cursors may be horizontal or vertical lines or both (Crosshair).


ICurveFittingFunction
Hierarchy Properties Methods

Type Library
TeeChartx

Description
CurveFittingFunction constructs a polynomial line based on its DataSource Series values.


ICustomDGridSeries

ICustom3DGridSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This Class forms the basis for Surface and Contour Series.


ICustomDPaletteSeries

ICustom3DPaletteSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class allows access to properties and methods that define the colour palette of 3D surface series.


ICustomDSeries

ICustom3DSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ancestor Class for Point3DSeries, Surface and Contour Series.


ICustomAnimationChart
Hierarchy Properties

Type Library
TeeChartx


ICustomAxes
Hierarchy Properties Methods

Type Library
TeeChartx


ICustomBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The CustomBarSeries class is an abstract class used as the ancestor of BarSeries and HorizBarSeries classes.

Set the ParentChart property to the desired Chart class.

To add points to the Series you should use the BarSeries.AddBar or HorizBarSeries.AddBar methods.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

CustomBarSeries provides several methods and read-only properties shared by both BarSeries and HorizBarSeries:

The NormalBarColor,DarkColor and DarkerColor read-only properties return the colors used to fill bar sides and top covers. The CalcBarColors method calculates the above color properties for each bar point.

The DrawBar method is used to display each bar point.

The BarRectangle, BarPolygon and BarEllipse methods can be used to custom draw bar shapes.

The GetBarStyle function returns the corresponding BarStyle for a given bar point.

The BarMargin function returns the amount in pixels used to leave margins from Chart edges.

Please refer to Series ancestor description for all common Series properties like Marks, Axis dependence and events.


ICustomBoxSeries
Hierarchy Properties

Type Library
TeeChartx

Description
In analysing sample data, sometimes data set contains a value that is unusually large or unusually small. A value that appears to be atypical in that it seems to be far removed from the bulk of the data is called an outlier or a "wild" number. Sometimes, the outliers are so obvious that their presence can be detected by inspection. However, it is useful to have an analytical and graphical technique for identifying values that are truly unusual. One such technique is the Boxplot. It's construction is based on the interquartile range, a measure of variability that is resistant to outliers. The sample interquartile range, IQR, represents the length of the interval that contains roughly the middle 50% of the data. If the IQR is small, then much of the data lies close to the center of the distribution; if it is large, the data tends to be widely dispersed.


ICustomCircledSeries
Hierarchy Properties Methods

Type Library
TeeChartx


ICustomErrorSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Ancestor class for TErrorBarSeries and TErrorSeries.


ICustomFunction
Hierarchy Properties

Type Library
TeeChartx

Description
This function is used to calculate values using your own formula.

Use the OnCalculate event to supply your values.

The StartX property determines the first "X" value to use, and the NumPoints property means the number of times to call OnCalculate event.

The Period property is the "step" to apply to "X" between each call to OnCalculate.

Example [Visual Basic]:

Private Sub TChart1_OnFunctionCalculate(ByVal SeriesIndex As Long, ByVal x As Double, y As Double)

y = Sin(x / 10)

End Sub


ICustomGauge
Hierarchy Properties Methods

Type Library
TeeChartx

Description

The ICustomGauge component controls access to the methods of the Gauge Series.


ICustomGaugeMinMax
Hierarchy Properties Methods

Type Library
TeeChartx

Description

CustomGaugeMinMax interface.


ICustomImagePointSeries
Hierarchy Properties

Type Library
TeeChartx

Description
TCustomImagePointSeries is the ancestor of ImagePoint Series and DeltaPoint Series.

Use these Series if you want to display an image instead of a pointer at the point value.


ICustomPolarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This abstract Class forms the basis for Polar and Radar Series.


ICustomSeries
Hierarchy Properties

Type Library
TeeChartx

Description
Its the common ancestor for LineSeries, AreaSeries.


ICustomSeriesList
Hierarchy Properties Methods

Type Library
TeeChartx

Description

Intermediate class used by Chart1.SeriesList property and Chart1.SeriesList.Groups[ ] items.


ICustomSortedFunction
Hierarchy Properties

Type Library
TeeChartx

Description

Intermediate abstract class used by TMedianFunction and TModeFunction to calculate values using the source series values sorted in ascending order.


ICustomTextShape
Hierarchy Properties Methods

Type Library
TeeChartx


ICustomToolAxis
Hierarchy Properties

Type Library
TeeChartx

Description
CustomToolAxis is the ancestor for Axis associated Chart tools.


ICustomToolSeries
Hierarchy Properties

Type Library
TeeChartx

Description
CustomToolSeries is the ancestor for Series associated Chart tools.


IDarvasSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Darvas Boxes were taken from the pages of Nicolas Darvas' book, "How I Made $2,000,000 in the Stock Market".

The boxes are used to normalize a trend. A "buy" signal would be indicated when the price of the stock exceeds the top of the box.

A "sell" signal would be indicated when the price of the stock falls below the bottom of the box.


IDataExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The DataExport component is the ancestor component for TeeChart's data export components.

DataExport sets the source Series to be exported and handles the output instructions to copy to clipboard, file or stream.


IDataTableTool
Hierarchy Properties

Type Library
TeeChartx

Description
Adds a data table with the values to a table below the x axis. Note, that this is not compatible with charts that use the y axis as the main axis. eg Horizontal Bars series.


IDeltaPointSeries
Hierarchy Properties

Type Library
TeeChartx

Description
TDeltaPointSeries is a CustomImagePointSeries displaying a different image depending on the previous point value.

Each point shows an image that depends on this point value compared to previous point value.

Points with values greater than previous points, show the DeltaPointSeries.GreaterImage image.

Points with values lower than previous points, show the DeltaPointSeries.LowerImage image.

Points with values equal to previous points, show the DeltaPointSeries.EqualImage image.


IDivideFunction
Hierarchy

Type Library
TeeChartx

Description
DivideFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for DivideFunction is 1 (By default, divide will show the division of all series at each axis point). Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

DivideFunction will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor. Divides inputs in cascading fashion, 1st Series/2nd Series/3rd Series.


IDonutSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TDonut Series behaves in nearly all respects like a Pie Series with the following differences:

- TDonutSeries has a hole at the centre that may be configured in size.

- TDonutSeries is a 2 dimensional Series only.

See PieSeries' DonutPercent property.


IDoubleHorizBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx


IDownSamplingFunction
Hierarchy Properties

Type Library
TeeChartx

Description

The DownSampling function reduces the number of points in series by using

several different methods:

+ dsDouglas : Douglas-Peuckler reduction

+ dsAverage : replace group of points with group average values

+ dsMax : replace group of points with group maximum values

+ dsMin : replace group of points with group minimum values

+ dsMinMax : replace group of points with group minimum AND maximum values


IDragMarksTool
Hierarchy Properties See also

Type Library
TeeChartx

Description
The DragMarksTool allows the mousedrag of Marks for the selected Series.

See also:
IDragPointTool


IDragPointTool
Hierarchy Properties See also

Type Library
TeeChartx

Description
Tool permits Drag move of Series points.

See also:
IDragMarksTool


IDrawLine
Hierarchy Properties Methods

Type Library
TeeChartx

Description
DrawLine is the Line component used by the DrawLineTool to draw custom lines on the Chart.


IDrawLineList
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The DrawLineList contains a list of all Lines drawn by the DrawLine Tool.


IDrawLineTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Permits the ability to draw Lines on the Chart via mousedrags.

The Draw Line tool allows the user to draw lines at run-time using the mouse.

The Line pen used to draw the lines is customizable.

All drawn lines coordinates are stored in the Lines array property.

Drawn lines can be selected, dragged and deleted.

The coordinates of each Line can be converted into axes or screen scales.


IEmbossFilter
Hierarchy

Type Library
TeeChartx

Description
The Emboss filter creates the effect that an image is embossed into a thin metal plate


IEnvironment
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Contains global environment variables.


IEPSExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class is used to export TeeCharts to EPS (Encapsulated PostScript) format.

Example [Visual Basic]:

Private Sub Command1_Click()

With TChart1.Export.asPDF

CommonDialog1.Filter = "EPS files(*.eps)|*.eps"

CommonDialog1.ShowSave

If CommonDialog1.FileName <> "" Then

.SaveToFile CommonDialog1.FileName

End If

End With

End Sub


IEquiVolumeSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
EquiVolume Series.


IErrorBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The ErrorBarSeries class is a standard BarSeries class that adds a new value for each bar.

This new values are stored at ErrorValues property.

They are used to draw a "T" shape on top of each bar.

Set the ParentChart property to the desired Chart class.

To add points to the Series you should use the AddErrorBar method.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

The ErrorWidth property determines the width of the "T" shape.It can be expressed in screen pixels or in relative bar width percent depending on the ErrorWidthUnits property.

The ErrorPen property determines the kind of pen used to draw the "T" shape.

Negative ErrorValues are allowed. They are drawn as an inverted "T" shape.

Please refer to BarSeries ancestor description for all common properties like BarPen, BarBrush, BarStyle and basic properties like Marks, Axis dependence and events.


IErrorPointDSeries

IErrorPoint3DSeries
Hierarchy Properties Methods

Type Library
TeeChartx


IErrorPointSeries
Hierarchy Properties Methods

Type Library
TeeChartx


IErrors
Hierarchy Properties

Type Library
TeeChartx


IErrorsD

IErrors3D
Hierarchy Properties

Type Library
TeeChartx


IErrorsDFormat

IErrors3DFormat
Hierarchy Properties

Type Library
TeeChartx


IErrorsBase
Hierarchy Properties

Type Library
TeeChartx


IErrorSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The ErrorSeries Class derives from ErrorBar Series and provides an alternative means to chart Error data.


IErrorsFormat
Hierarchy Properties

Type Library
TeeChartx


IExpandAnimation
Hierarchy Properties Methods

Type Library
TeeChartx


IExpAvgFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Defines the Error Series Style according to EErrorSeriesStyle.


IExplodedSlices
Hierarchy Properties

Type Library
TeeChartx

Description
The IExplodedSlices interface contains the characteristics to define Pie Series slice separation.


IExpMovAvgFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The Exponential Moving Average function calculates values using the

following formula:

FP = 2 / ( Period + 1 )

Value = Source* FP + (Value - 1) * ( 1-FP )


IExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Export interface contains the properties/methods for exporting Charts. Use the TChart.Export property.

See the TChart.Import property for information about how to reload TeeChart's native .tee format Chart templates.

Example [Visual Basic]:

'Exporting to PNG format to file

TChart1.Export.asPNG.SaveToFile("ChartImage.png")

Example [ASP - VBScript]

'Exporting to PNG image as stream

Response.BinaryWrite(TChart1.Export.asPNG.SaveToStream)


IExportFormat
Hierarchy Properties Methods

Type Library
TeeChartx

Description
ExportFormat is the ancestor class for several TeeChart export formats including GIFExport and PNGExport.


IExpTrendFunction
Hierarchy

Type Library
TeeChartx

Description
The Exponential Trend function is similar to Trend, except that the calculation fits values using their exponential (e) weights.


IExtraLegendTool
Hierarchy Properties

Type Library
TeeChartx

Description
Use this chart tool to draw additional legend boxes inside a Chart or DBChart control.

Additional legends can show different series point values.

Set the Series property to your desired series.

The Legend property contains all legend formatting properties.


IFaderTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Fader tool allow to fade in/out the visibility of your Chart.


IFastLineSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The FastLineSeries class is an extremely simple Series class that draws its points as fast as possible.

It can be used in cases where speed is the most important needed feature. FastLineSeries has no clicking support and no Marks.

Set the ParentChart property to the desired Chart class.

To add points to the Series use the AddRealTime method.

The only extra property is the LinePen property, which controls the line appearance.

Please refer to Series ancestor description for all common Series properties like Axis dependence and events.


IFibonacciItem
Hierarchy Properties

Type Library
TeeChartx

Description
Individual Fibonacci level properties.


IFibonacciLevels
Hierarchy Properties

Type Library
TeeChartx

Description
For a list of all members of this type, see FibonacciLevels Members.


IFibonacciTool
Hierarchy Properties

Type Library
TeeChartx

Description
Fibonacci fans and arcs financial tool. Tool supports Fibonacci arcs and fans. Fibonacci arcs are charting technique consisting of three curved lines that are drawn for the purpose of anticipating key support and resistance levels, and areas of ranging. Fibonacci arcs are created by first drawing an invisible trendline between two points (usually the high and low in a given period), and then by drawing three curves that intersect this trendline at the key Fibonacci levels of 38.2%, 50% and 61.8%. Fibonacci fans are charting technique consisting of three diagonal lines that use Fibonacci ratios to help identify key levels of support and resistance. Fibonacci fans are created by first drawing a trendline through two points (usually the high and low in a given period), and then by dividing the vertical distance between the two points by the key Fibonacci ratios of 38.2%, 50% and 61.8%. The result of these divisions each represent a point within the vertical distance. The three 'fan' lines are then created by drawing a line from the leftmost point to each of the three representing a Fibonacci ratio.


IFilterItems
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Filters collection of TTeeFilter instances for the referenced object.


IFilterRegion
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Customisable region to which the ITeeFilter will be applied.


IFlexExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Helper class to generate Adobe Flex / Flash movies from TeeChart charts.

t.FlexMXML property returns a string list containing Flex xml code to represent the Chart.

#link IFlexExport.Compile method can be called to automatically call the Adobe Flex SDK compiler (mxmlc.exe) to generate a Flash movie (*.swf) from an MXML file.


IFlipFilter
Hierarchy

Type Library
TeeChartx

Description
The Flip filter allows you to turn the selected region (text and images) upside down.


IFloatXYZ
Hierarchy Properties

Type Library
TeeChartx

Description
Simple class that contains three floating point properties that define a 3D point with XYZ values.


IFrameBrush
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Frame is the object which surrounds the LinearGauge and CircularGauge which consists of configurable Bands: Inner, Middle and Outer.


IFramedBorder
Hierarchy Properties

Type Library
TeeChartx

Description
Defines the border for the Frame.


IFrameTool
Hierarchy Properties

Type Library
TeeChartx

Description
The Frame Tool allows to draw a frame around the Chart. Several styles can be applied.


IFullScreenTool
Hierarchy Properties

Type Library
TeeChartx

Description
Setting to True the Active property of this tool the Chart shows in FullScreen mode. By default pressing Esc key or Alt + F4 it resets (sets Active to False), but you can also define a release key using the ReleaseKey property.


IFunnelSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The FunnelSeries is a graphical representation of a Funnel (Pipeline) chart.


IGammaCorrectionFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Gamma correction filter controls the overall brightness of an image (or referenced region). Images that are not properly corrected can look either bleached out, or too dark. Accurate reproduction of colors also requires some knowledge of gamma. Changing the amount of gamma correction not only influences the brightness, but also the ratios of red to green to blue.

Adjustable settings:

Amount - setting of image brightness level


IGanttSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The GanttSeries outputs all points as horizontal bars with different starting and ending horizontal coordinates and different vertical positions. GanttSeries uses IPointer (PointSeries subclass) points when painting Gantt boxes.

It can be used to display a sequence of temporal tasks, sorted over time along the horizontal axis.

Set the ParentChart property to the desired Chart class. Use the AddGantt or AddGanttColor methods to manually fill gantt bar points.

Each gantt bar has an start and end values. These values can be DateTime or Double types.

The StartValues property stores all starting values for all Gantt bars. The EndValues property stores all ending values for all Gantt bars.

You can connect gantt bars by using the NextTask property.

Example:

Visual Basic

With TChart1

.AddSeries scGantt

'Clear all Series Gantt bars

.Series(0).Clear

'Add a first Gantt bar

tmp1 = .Series(0).asGantt.AddGantt(DateValue("1/1/1996"), DateValue("31/1/1996"), 0, "Programming")

'Add a second Gantt bar

tmp2 = .Series(0).asGantt.AddGantt(DateValue("1/3/1996"), DateValue("31/3/1996"), 1, "Testing")

'Connect the first bar to the second bar

.Series(0).asGantt.NextTask.Value(tmp1) = tmp2

End With

Delphi

Var tmp1,tmp2 : Integer;

{ Clear all Series Gantt bars }

TChart1.Series( 0 ).Clear;

{ Add a first Gantt bar }

tmp1 := TChart1.Series( 0 ).asGantt.AddGantt( EncodeDate( 1996, 1,1 ),

EncodeDate( 1996, 1,31 ),

0,

'Programming' );

{ Add a second Gantt bar }

tmp2 := TChart1.Series( 0 ).asGantt.AddGantt( EncodeDate( 1996, 3,1 ),

EncodeDate( 1996, 3,31 ),

1,

'Testing' );

{ Connect the first bar to the second bar }

TChart1.Series( 0 ).asGantt.NextTask[ tmp1 ]:= tmp2 ;

The ConnectingLinePen property determines the pen used to draw the connecting lines between gantt bar points.

The Pointer.VerticalSize property specifies the gantt bars height.

Please refer to PointSeries ancestor description for all common Series properties like Pointer, Marks, Axis dependence, methods and events.


IGanttTool
Hierarchy Properties

Type Library
TeeChartx

Description
The Gantt tool provides automatic dragging and resizing of gantt series bars.

Set the Series property to a Gantt series.


IGatorFunction
Hierarchy

Type Library
TeeChartx

Description
GatorFunction is based on the TAlligatorFunction and shows the degree of convergence/divergence of Alligator's "jaws", "teeth" and "lips".


IGaugeHand
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Gets and sets the Hand (or needle) object characteristics.


IGaugeHandItem
Hierarchy Properties

Type Library
TeeChartx


IGaugeHands
Hierarchy Properties Methods

Type Library
TeeChartx


IGaugePointerRange
Hierarchy Properties Methods

Type Library
TeeChartx

Description
GaugePointerRange interface.


IGaugeRange
Hierarchy Properties

Type Library
TeeChartx


IGaugeRanges
Hierarchy Properties Methods

Type Library
TeeChartx


IGaugeSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Gauge series is a simple instrumentation control.

Several properties control the appearance and numeric settings of the gauge axis, labels, etc.


IGaugeSeriesPointer
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Derived from SeriesPointer, GaugeSeriesPointer implements pointer styles specific to the CircularGauge series.


IGIFExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use GIFExport to create and export the TeeChart in GIF format. The Class returns default export characteristics to be used when exporting a GIF image of the Chart.

* Important note

GIF LZW compression has been disabled in TeeChart Pro AX v5 until the use and licensing of LZW has been completely clarified with Unisys. Unisys's position on LZW licensing has led us to the interim conclusion (unfortunately) that by not including LZW we protect ourselves and our customers against unexpected licensing battles with Unisys at a later stage. TeeChart continues to support GIF with RLE compression which is not subject to Unisys license.

For more information see: http://www.unisys.com/unisys/lzw/

We will be happy to discuss this with any customer who feels that they need to use LZW and to make a joint approach to Unisys to clarify the license position.

The image format PNG is superior in many respects to GIF with LZW, particularly in the case of TeeChart where animations are not exported. We recommend the use of PNG where possible.

Example [HTML]

<SCRIPT LANGUAGE=VBSCRIPT>

Sub Command2

TChart1.Export.asGIF.SaveToFile "C:\Inetpub\TestScripts\myGIF.gif"

End Sub

</SCRIPT>

<input type="button" value="Export to GIF" onclick="Command2">


IGLLight
Hierarchy Properties

Type Library
TeeChartx

Description
IGLLight is the ancestor of IGLLightSource. The IGLLight interface includes properties for Color and Visibility of the light.


IGLLightSource
Hierarchy Properties

Type Library
TeeChartx

Description
IGLLightSource is a descendant of IGLLight.

The IGLLightSource interface allows definition of the postion of the light on the canvas.


IGLPosition
Hierarchy Properties

Type Library
TeeChartx

Description
The IGLPosition interface is used by IGLLightSource. Set X,Y and Z properties to position the LightSource on the canvas.


IGradient
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The IGradient class contains all the properties used to draw a pleasing Chart background.

You can change gradient properties by using the TChart.Gradient subclass property.

The gradient effect is made of two or three colors and many middle transition colors between them.

The Visible property controls if the gradient will be displayed or not. Set the Direction property to the desired orientation. Use the StartColor, MidColor and EndColor properties to change the gradient colors.

Warning:

TeeChart does not use custom color palettes. This means that better results can be obtained using 16k or greater video color modes.


IGradientColor
Hierarchy Properties

Type Library
TeeChartx


IGradientColors
Hierarchy Properties Methods

Type Library
TeeChartx


IGrayScaleFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Use this Filter if the user wants to obtain a grayscale of the object where the filter is assigned to.


IGridBandBrush
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Special brush class used by GridBand tool to fill colored bands.


IGridBandTool
Hierarchy Properties

Type Library
TeeChartx

Description
Use this tool to fill the chart background with two alternate colored bands.

Use Band1 and Band2 properties to customize the color and brush of each band.

Example:

V


IGridTransposeTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Tool to invert (transpose) X by Z values in a 3D grid series.

Use the Transpose method to exchange all X values with Z values in the grid.

The result of transposing a grid is the same as if rotating the grid (surface, etc) 90 degree on the X axis.

1) Set the 3D Grid Series using the Series property.

2) Call the Transpose method.


IHierarchicalClustering
Hierarchy Properties

Type Library
TeeChartx


IHighFunction
Hierarchy

Type Library
TeeChartx

Description
HighFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for HighFunction is 0 (By default, HighFunction will show the highest point of all the series points). Period is applicable to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

If more than 1 data series is added as datasource for HighFunction then the period default changes to 1.

HighFunction will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor.

HighFunction class Example

To set the period for HighFunction you should use the FunctionType property of Series

To define a function series by code you should first create a new series for the function. The series may be of any type.

Visual Basic

{ Set the function using the SetFunction method}.

TChart1.Series(0).SetFunction tfHigh

{You may then define the period for the function - here setting it to to 5}

TChart1.Series(0).FunctionType.Period = 5

To undefine (delete) a function defined for the series either delete or inactivate the Function Series or redefine the Datasource.


IHighLowLineSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
High-Low Line series display vertical lines that go from a Low value to a High value for each point in the series.

It can optionally display pointer symbols either at the Low and / or High positions of each series point.


IHighLowSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
HighLowSeries is an abstract Series class that maintains lists for High and Low values.


IHistogramFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Calculates the number of points of the datasource Series, grouped by intervals defined by the #link THistogramFunction.NumBins#NumBins# property.

Values can be accumulated or not depending on the #link THistogramFunction.Cumulative#Cumulative# property.

With TChart1.Series(0)

.SetFunction tfHistogram

.FunctionType.asHistogram.NumBins = 10

.FunctionType.asHistogram.Cumulative = False

.DataSource = TChart1.Series(1)

.CheckDataSource

End With


IHistogramSeries
Hierarchy Properties

Type Library
TeeChartx

Description
HistogramSeries is a 2D Series that draws a 'barlike' plot with no gaps between points. Bar centres are centred to the the Grid. Use as an alternative option to a BarSeries or Staired AreaSeries. It is similar to a Staired AreaSeries except Histogram Step changes occur at point boundaries (mid-point between points) whereas for a Staired Area Series step changes occur at the point co-ordinate itself.


IHorizAreaSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The IHorizAreaSeries component outputs all points by drawing a line between them and fills the area defined by the line and the left or right side of the Chart.

To see a visual representation of this Series type, go to the TeeChart User Guide.

Set the ParentChart property to the desired Chart component.

Use the Add or AddXY method to manually fill area points.

Use the AreaBrush property to draw patterned areas.

The AreaColor property determines the background area color.

The lines dividing area points are drawn using the AreaLinesPen property.

To build stacked area charts use the MultiArea property.

The Stairs property controls how to draw the connecting lines between points.

Use then the InvertedStairs property to change how are these steps drawn.

The top lines can be altered by using the LinePen property.

Please refer to TCustomSeries ancestor description for all common Series properties like Marks, Axis, Pointers and events.


IHorizBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The HorizBarSeries class outputs all points as horizontal bars.

Several HorizBarSeries can be displayed side-to-side, one behind the other, stacked or stacked 100% by using the MultiBar property.

Set the ParentChart property to the desired Chart class. Use the AddBar or AddXY methods to manually fill area points.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

Warning:

The most important concept in HorizBarSeries is that point values are INVERTED. That means Y values are the bar order position while X values are the bars values.

The AddBar method does the conversion automatically and is the recommended method to add points. When using the AddXY method you should calculate the correct Y position.

Example:

Example [Visual Basic]:

{ This code adds 10 horizontal bars.

The loop counter is used as the Y bar value (the bar order) }

With TChart1

.AddSeries scHorizBar

For i = 1 To 10

.Series(0).AddXY MyValues(i), i, MyLabels(i), MyColor(i)

Next i

End With

The BarBrush property determines the pattern used to fill bars, while the BarPen property is used to draw the bar edges.

Set the desired bar style ( cilynder, pyramid, etc ) by changing the BarStyle property.

Use the BarWidthPercent property to control the relative distance between bars. You can specify an exact bar height by using the BarHeight property.

The Dark3D property controls if bar sides are filled with a darker color than front bar faces.

The OffsetPercent property determines the bars vertical displacement. This can be used to create overlayed bars with several bar series classes.

Bar series leave margins both at top and bottom Chart sides. You can turn off this default behaviour setting the SideMargins property to False.

By default, bar left positions start at zero horizontal coordinate. Set the Origin property to the desired starting left value or set the UseOrigin to False to make bar left sides start at minimum bars value.

Please refer to CustomBarSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


IHorizBoxPlotSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The THorizBoxSeries plots a box series horizontally.


IHorizHistogramSeries
Hierarchy Properties

Type Library
TeeChartx

Description
Horizontal histogram series is identical to vertical histogram except it is displayed swapping the X and Y values.

It is a 2D Series that draws a 'horizontal bar like' plot with no gaps between points.

Bar centers are centered to the Grid.

Use it as an alternative option to a Horizontal Bar Series or Staired Horizontal Area Series.

It is similar to a Staired Area Series except Histogram Step changes occur at point boundaries (mid-point between points) whereas for a Staired Area Series step changes occur at the point co-ordinate itself.

See also IHistogramSeries


IHorizLineSeries
Hierarchy Properties

Type Library
TeeChartx

Description
The HorizLineSeries is very similar to the LineSeries in all respects except that default display assumes a Y Axis ordering of points which causes most standard point sets to draw a vertically orientated line on the Chart.


IHover
Hierarchy Properties Methods

Type Library
TeeChartx


IHTMLExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Series data can be exported to HTML tables. DataExport allows saving to file and copying to clipboard. There are several options when exporting to HTML format, such as include labels, point index, etc.

Example [Visual Basic]

With TChart1.Export.asHTML

.IncludeHeader = False

.IncludeIndex = True

.SaveToFile ("c:\temp\HTMLTable.htm")

End With


IHueLumSatFilter
Hierarchy Properties

Type Library
TeeChartx

Description
This filter allows changing the Hue, Luminosity and Saturation parts of pixels separately.


IImageBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ImageBarSeries, similar to a standard Bar Series, allows the placement of an image fitted or tiled to each Bar. The difference to standard Bar Series images being that on the Bar Series, images are stretched across all Bars.


IImagePointSeries
Hierarchy Properties

Type Library
TeeChartx

Description
IImagePointSeries is a point series descendant which can display images instead of pointers at the point values.


IImport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Import interface contains the properties/methods for importing .tee format Charts. Use the TChart.Import property.

See the TChart.Export property for information about how to save TeeChart's native .tee format Chart templates.

Example [Visual Basic]:

TChart1.Import.LoadFromURL("http://www.myweb.com/myChart.tee")


IInvertFilter
Hierarchy

Type Library
TeeChartx

Description
This filter inverts all colors. The Red, Green and Blue component of each pixel are taken and subtracted from 255. This means that red becomes cyan, green becomes purple, and blue becomes yellow. The resulting values form the new pixel color.

This filter is not customizable, only region can be defined.


IIsoSurfaceSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The IsoSurfaceSeries provides horizontal banding for Surface Series data.


IJavaScriptExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Javascript Export. Exports TeeChart as a live HTML5/Javascript Chart.

The current implementation defaults to

use Steema's online .js source at:

http://www.steema.com/files/public/teechart/html5/jscript/src

The Javascript export format supports a limited

chart featureset to create active charts for most

browser types. Javascript Export currently supports

the following Series types only:

- Line

- Area

- Bar

- HorizLine

- HorizArea

- HorizBar

- Pie

- Bubble

- Donut

- Candle

Please see the Steema Javascript pages for more

details of use, examples and documentation:

http://www.steema.com/teechart/html5


IJPEGExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Format used to define JPEG export characteristics.


IJSONExport
Hierarchy Properties Methods

Type Library
TeeChartx


IKagiSeries
Hierarchy Properties

Type Library
TeeChartx

Description
The Kagi financial chart. Copyright (c) 2007 by Marjan Slatinek

Kagi charts, at first glance, look like swing charts. Like swing charts, they have no time axis and are made up of a series of vertical lines, however in the case of kagi charts, the vertical lines are based solely on the action of closing prices, not a bar's high and low prices. Another difference is that the thickness of a kagi chart line changes when closing prices penetrate the previous column top or bottom.

Construction of Kagi Chart:

Choose a reversal amount - absolute or relative value.

Note the first closing price in your data. This is called the BasePrice.

If the closing price of Day 2 is greater than the closing price of Day 1, (the base price), use UpSwing stype to draw vertical line upwards from the closing price of Day 1 to the closing price of Day 2.

If the closing price of Day 2 is less than the closing price of Day 1, use DownSwing style to draw vertical line downwards from the closing price of Day 1 to the closing price of Day 2.

If the closing price of Day 2 is equal to the closing price of Day 1, do nothing. Instead, wait until the end of Day 3, and compare this price with the base price.

If the closing price continues to rise (or fall), we keep moving the Kagi chart up (or down) to the close of each day, regardless of how much or how little it moves.

If the closing price moves in the opposite direction by less than a predetermined number of cents, the reversal amount, we ignore the small move and do nothing to our chart.

If the kagi line has been moving upwards, and the closing price has fallen by more than the reversal amount, we draw a short horizontal line, called the 'inflection line', then a new line downwards, to the lower close of that day.

If the kagi line has been moving downwards, and the closing price has risen by more than the reversal amount, we draw an inflection line, then a new line upwards, to the higher close of that day.

Vertical drawing pen style is defined by the following rules:

If a DownSwing line is extended beyond the previous swing high, pen style is change to UpSwing penbeyond that point.

An UpSwing pen changes to DownSwing pen when the UpSwing line moves below the previous swing low.


IKMeansClustering
Hierarchy Properties

Type Library
TeeChartx


IKnobGauge
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Accesses the properties and methods of the Knob gauge.


IKurtosisFunction
Hierarchy

Type Library
TeeChartx

Description
Kurtosis is a measure of the "peakedness" of the probability distribution of a real-valued random variable.


ILegendItem
Hierarchy Properties

Type Library
TeeChartx

Description
Allows customisation of each idividual item in the Legend.

Example:-

With TChart1.Legend.Items

.Custom = True

.Items(0).Text ="My custom Item"

End With


ILegendItems
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Accesses the collection of Legend items.

The example below clears all items from the legend.

Example:-

TChart1.Legend.Items,Custom = True

TChart1.Legend.Items.Clear


ILegendPaletteTool
Hierarchy Properties

Type Library
TeeChartx

Description
The ILegendPaletteTool is used to display a color legend that matches palette properties of a SurfaceSeries or ContourSeries or any other Custom3DPaletteSeries series.

It is very configurable as it is internally made with a sub-chart control offering and supporting many of its properties and events.


ILegendPointer
Hierarchy Properties Methods

Type Library
TeeChartx


ILegendScrollBarTool
Hierarchy Properties

Type Library
TeeChartx

Description
Chart Tool used to display a scrollbar inside the Chart Legend.

This scrollbar can be used to scroll among the legend items.

When chart paging is active (Chart1.MaxPointsPerPage property), the scrollbar scrolls page by page instead of point by point.

The scrollbar is not a Windows control, thus it allows more customization

of colors, etc.


ILegendSymbol
Hierarchy Properties

Type Library
TeeChartx

Description
The LegendSymbol class describes characteristics of the colour box symbols that are placed adjacent to the Legend text descriptions.


ILegendTitle
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The LegendTitle class is used to display an annotation on top of the chart legend.

Set the Text and TextAlignment properties with the text you want to display on top of legend.


ILevelSegment
Hierarchy Properties

Type Library
TeeChartx

Description
This record contains an array of TLevelPoint variables.

This record is used by IContourLevel in Segments property.

See also:

IContourLevel.Segments

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

Dim tmpLevel As Integer, tmpSegment As Integer, tmp As Integer

Dim x As Double, y As Double

If Check3.Value = 1 Then

' Draw small points at contour level segment lines...

TChart1.Canvas.Brush.Color = vbBlack

TChart1.Canvas.Pen.Color = RGB(0, 127, 0)

With TChart1.Series(0).asContour

For tmpLevel = 0 To .NumLevels - 1 ' for each level..

With .Levels.Items(tmpLevel)

For tmpSegment = 0 To .NumSegments - 1 ' for each segment in level...

With .Segments(tmpSegment)

For tmp = 0 To .NumPoints ' for each point in segment...

' Convert to screen coordinates...

x = TChart1.Series(0).CalcXPosValue(.Points(tmp).x)

y = TChart1.Series(0).CalcYPosValue(.Points(tmp).y)

' Draw point...

TChart1.Canvas.Rectangle x - 2, y - 2, x + 2, y + 2

Next tmp

End With

Next tmpSegment

End With

Next tmpLevel

End With

End If

End Sub


ILightFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Creates the effect of a light shining on the content of the applied region.


ILightTool
Hierarchy Properties

Type Library
TeeChartx

Description
Use this tool to display a light-spot in 2D dimensions on top of a chart control.

It includes several properties to control light and interactivity.


ILinearGauge
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Linear Gauge Series.


ILinePointSeries
Hierarchy Properties

Type Library
TeeChartx


ILineSeries
Hierarchy Properties

Type Library
TeeChartx

Description
The asLine property is used by the Series Class to access Line Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asLine.LinePen.Width = 2'.

Example [Visual Basic]:

With TChart1.Series(0)

.AddXY 12, 10, "1st", clTeeColor

.AddXY 7, 4, "2nd", clTeeColor

.AddXY 9, 7, "3rd", clTeeColor

.AddXY 14, 11, "4th", clTeeColor

.asLine.Stairs = True

End With

End Sub


ILinkTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Link Tool.


ILowFunction
Hierarchy

Type Library
TeeChartx

Description
LowFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for LowFunction is 0 (By default, LowFunction will show the lowest point of all the series points). Period is applicable to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

If more than 1 data series is added as datasource for LowFunction then the period default changes to 1.

LowFunction will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor.

LowFunction class Example

To set the period for LowFunction you should use the FunctionType property of Series

To define a function series by code you should first create a new series for the function. The series may be of any type.

Visual Basic

{ Set the function using the SetFunction method}.

TChart1.Series( 0 ).SetFunction(tfLow)

{You may then define the period for the function - here setting it to to 5}

TChart1.Series( 0 ).FunctionType.Period=5

To undefine (delete) a function defined for the series either delete or inactivate the Function Series or redefine the Datasource.


IMACDFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The MACD function (Moving Average Convergence Divergence), used in financial charts.


IMagnifyTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This tool is used to zoom pixels of a chart zone while moving the mouse.


IMapMarks
Hierarchy Properties

Type Library
TeeChartx


IMapPolygon
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Polygons have many properties to configure. Use these properties to adjust the Polygon characteristics to your needs.


IMapPolygonList
Hierarchy Properties Methods

Type Library
TeeChartx

Description
MapPolygonList is a Collection of Polygons, ie. the list containing Polygons of MapSeries.


IMapSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
You can use the Map Series for drawing a collection of polygon shapes. Each Polygon is comprised of a collection of X, Y points and each Polygon has a (Z) value that may be used to store the 'Polygon value'. Every shape has formatting attributes. The shape color references the color palette for its Value or may be custom defined.


IMargins
Hierarchy Properties

Type Library
TeeChartx

Description
Access to each Page Print Margin.


IMarks
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Each Series has a Marks properties. The Marks display hints for each Series point. Marks can be Visible or not and have many custom formatting properties.


IMarksCallout
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Describes properties to draw the line between a series mark and its corresponding series point.


IMarksItem
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Interface with formatting properties to use to draw a single series mark.

' Customize mark...

with TChart1.Series(0).Marks(3)

.Font.Size=14

.Color=vbBlue

end with

// Customize another mark...

with Series1.Marks[5] do

begin

Font.Size:=12;

Font.Color:=clWhite;

Color:=clNavy;

ShapeStyle:=fosRoundRectangle;

Shadow.Size:=4;

Shadow.Transparency:=60;

Shadow.Color:=clDkGray;

end;


IMarksSymbol
Hierarchy Properties

Type Library
TeeChartx

Description
Shape used by Series Marks to display a small rectangle similar to Chart Legend symbol.

The rectangle is filled with the same color as the corresponding mark's series point.


IMarksTail
Hierarchy Properties

Type Library
TeeChartx

Description

Adds a Tail to the Series Mark, default behaviour is to point towards the Series Point.


IMarksTipTool
Hierarchy Properties

Type Library
TeeChartx

Description
The Marks Tip tool is used to display default Hint windows when the mouse is over (or clicks) a Series point. The Style property and the OnGetText event can be used to customize the hint text.


IMedianFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Calculates the median value of the source series values.

The median value is different than the average in that median returns the value that is "at the middle" of the source series values ordered in ascending order.

If more than one value shares the middle position, this function returns the average of those values.


IMetafileExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use MetafileExport to create and export the TeeChart in Metafile format. The Class returns default export characteristics to be used when exporting a Metafile image of the Chart.


IMirrorFilter
Hierarchy Properties

Type Library
TeeChartx

Description
The Mirror filter generates a mirrored image of the region applied. There's the possibility to specify the direction tu use.

See "Direction" property.


IModeFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The mode function returns the source series value that is repeated more times.


IMomentumDivFunction
Hierarchy

Type Library
TeeChartx

Description
The Momentum Division function calculates the ratio of a point value compared to the previous N point value.

The formula is : Momentum = 100 * Value / PreviousValue


IMomentumFunction
Hierarchy

Type Library
TeeChartx

Description
MomentumFunction is a descendant of MovingTeeFunction. Each Y value is the current point's Y value less the last Period point's Y value.

Example:

We have the following Y values: 4 6 2 8 5 1 0 3 6

The MomentumFunction calculated points (with a Period of 4) are: (5-4) (1-6) (0-2) (3-8) (6-5)

That is: 1 -5 -2 -5 1

These are the Y values of MomentumFunction. As new points are being appended, MomentumFunction calculates new points.


IMoneyFlowFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The Money Flow Index function determines the strength of money flowing into or out of a security by comparing the volume of upward and

downward price changes over a given period of time.

Money flow by Marc Chaiken, the formula.

CMF = SUM(AD, n) / SUM(VOL, n)

where n = Period

AD = VOL * (CL - OP) / (HI - LO)

AD stands for Accumulation Distribution


IMosaicFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Groups and averages squared zones of pixels in the image.


IMovingAvgFunction
Hierarchy Properties

Type Library
TeeChartx

Description
MovingAverageFunction is a descendant of MovingTeeFunction. It does an average calculation of last Period point values.

Calculation: MovingAverageFunction will calculate the simple or weighted average of every group of Period points.

Example:

We have a Series with the following Y values: 4 8 2 6 7 2 1

And we want to plot a simple Moving Average of Period: 3

That is: (4+8+2)/3 (8+2+6)/3 (2+6+7)/3 (6+7+2)/3 (7+2+1)/3

Then: 14/3 16/3 15/3 15/3 10/3

New appended points will trigger new MovingAverage points. Changing the Period property (both at design and runtime) will recalculate entirely the MovingAverage.


IMultiplyFunction
Hierarchy

Type Library
TeeChartx

Description
MultiplyFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for MultiplyFunction is 1 (By default, multiply will show the multiplication of all series at each axis point). Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

Multiply will work with any number of input series as datasource. The Datasource is best defined using the Chart Editor.

MultiplyFunction class Example

To set the period for MultiplyFunction you should use the FunctionType property of Series

To define a function series by code you should first create a new series for the function. The series may be of any type.

Visual Basic

{ Set the function using the SetFunction method}.

TChart1.Series( 0 ).SetFunction(tfMultiply)

{You may then define the period for the function - here setting it to to 5}

TChart1.Series( 0 ).FunctionType.Period=5

To undefine (delete) a function defined for the series delete or inactivate the Series or redefine the datasource.


INativeExport
Hierarchy Methods

Type Library
TeeChartx

Description
Charts can be exported to the native TEE format. This is basically like an VCL "dfm" file, optionally appending the Series values. Size of the TEE file is keeped to a minimum using all kind of optimizations.

These files can be used as templates at run-time using the "LoadChartFromFile" method.


INearestTool
Hierarchy Properties

Type Library
TeeChartx

Description
Moves a marker to the point nearest to the cursor. The tool may be associated with a Series or applied globally to the Chart.


INumericGauge
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Numeric Gauge Series.


INumericMarker
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Numeric Marker.


IOBVFunction
Hierarchy Properties

Type Library
TeeChartx

Description
On Balance Volume function.

This function uses an OHLC series (Candle) and another Volume series values.

For each point in the OHLC series, the Close price is compared to the Open price.

If the Close is higher, the Volume value for that point is added.

If the Close is lower, the Volume value is lowered.

The result is a fluctuating line.


IODSExport
Hierarchy Properties Methods

Type Library
TeeChartx


IOrgItem
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Represents an item in the collection of items of IOrgSeries.

Items are displayed as rectangle annotations.

The item has AddBrother and AddChild methods you can use to add new items programatically at runtime.


IOrgItemCollection
Hierarchy Properties

Type Library
TeeChartx

Description
Contains the flat list of items to display in hierarchical structure.


IOrgSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Organizational Chart style.

Draws a collection of "items" in hierarchical structure.

Items are rectangles with text and formatting properties.

Every item has a Superior property that defines the index of the "parent" item in the hierarchy.

Lines connecting the items can be displayed using the series Pen and the LineStyle properties.

Items are automatically positioned and auto-sized depending on their text length and font size attributes.

The Spacing property defines default space quantities.


IOrgShape
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Shape object with predefined default values (centered text alignment).

Properties and methods are inherited from ITextShape class.


IPage
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Page interface contains the properties for TeeChart Paging characteristics. Use the TChart.Page property.

Example [Visual Basic]:

TChart1.Page.MaxPointsPerPage = 10


IPageControl
Hierarchy Properties

Type Library
TeeChartx


IPageNumTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The PageNumTool draws a configurable text box with confugurable text which descibes the current page number of a multi-page chart.

Example [Visual Basic]:

Private Sub Form_Load()

Dim PageNumTool As Integer

ChartPageNavigator1.Chart = TChart1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 99

.Page.MaxPointsPerPage = 10

PageNumTool = .Tools.Add(tcPageNumber)

With .Tools.Items(PageNumTool).asPageNum

.Format = "%d of %d"

End With

End With

End Sub


IPanel
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Panel class contains the properties for TeeChart Panel display characteristics.

Example [Visual Basic]:

TChart.Panel.BackWallColor = vbRed


IParetoFunction
Hierarchy

Type Library
TeeChartx


IPCXExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use IPCXExport to create and export the TeeChart in PCX format. The Class returns default export characteristics to be used when exporting a PCX image of the Chart.

IPCXExport uses the PCX unit Copyright Software Matters Inc. 1991-2000

Please see their web http://www.smatters.com for more information.


IPDFExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use the PDF format to generate PDF (Adobe Portable Document Format) files from TChart controls.

More information about PDF format:

http://www.adobe.com/products/acrobat/adobepdf.html

PDF is copyright Adobe Systems Incorporated. All rights reserved.

{ Copyright (c) 2003 by Marjan Slatinek }

{ and David Berneda }

{ All Rights Reserved }

{ }

{ Some features taken from }

{ Nishita's PDF Creation VCL (TNPDF) }

{ ( with permission ) }


IPen
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Many TeeChart properties access IPen properties. For example, the Legend.Frame property is a IPen. The Legend draws a frame around it with this Pen settings, but, ONLY when the Visible property is TRUE.


IPercentChangeFunction
Hierarchy

Type Library
TeeChartx

Description
A percentage change is a way to express a change in a variable. It represents the relative change between the old value and the new one.


IPerformanceFunction
Hierarchy Methods

Type Library
TeeChartx

Description
Calculates the percentage of difference between each point and the first point of the source series.


IPerimeterFunction
Hierarchy

Type Library
TeeChartx

Description
Calculates which points from the source series points form the "perimeter" or "boundaries".

The result is a set of points that display a closed polygon passing over the source points that are at the edges of the total source points.


IPieAngle
Hierarchy Properties

Type Library
TeeChartx


IPieMarks
Hierarchy Properties

Type Library
TeeChartx

Description
Specialized class which only holds Marks properties that can be used with Pie Series type.

The LegSize property is used to draw angled lines between the Pie mark and the slice.

When the VertCenter property is True, the line from the Pie mark to the slice starts at the middle vertical position of the mark rectangle instead of the top or bottom corners.


IPieOtherSlice
Hierarchy Properties

Type Library
TeeChartx

Description
The IPieOtherSlice interface contains properties to define the Pie otherslice. Use Pie Otherslice to group 'smaller' slices together as a single slice.


IPieSeries
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
The PieSeries class outputs all points drawing slices forming an ellipse.

Use the Add method to manually fill pie slices.

The PiePen property determines the kind of pen used to draw the slice frames.

The TChart.Aspect.View3D and TChart.Aspect.Chart3DPercent properties control the 3D pie appearance.

Set the UsePatterns property to True to fill the pie slices using brush patterns.

The Shadow property applies a shadow effect on pie 3D region.

The PieValues property can be used to access the pie values.

See also:
IPNGExport


IPieTool
Hierarchy Properties

Type Library
TeeChartx

Description
The IPieTool focuses pie slices as the user moves the mouse over them.

Set the Pen properties to control focus appearance.

Example[Visual Basic]:

With TChart1.Tools.Items(0).asPie

.Pen.Color = vbGreen

End With


IPNGExport
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
The PNGExport class includes characteristics of the PNG image export format for a Chart. PNG export requires Lpng.dll, included with the TeeChart installer. Lpng.dll is public domain and freely distributable, see http://www.libpng.org/ for details.

See also:
IPieSeries


IPointDSeries

IPoint3DSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

This new Series is very similar to a PointSeries, adding Z values for each point:

TChart1.Series(0).AddXYZ 123, 456, 789 , "Hello", vbRed

Unlike Surface or Contour Series, the Point3D Series does not impose any limit on the X,Y,Z coordinates or number of points. Think as it is the same as a normal Point Series, with each point located inside the chart axes in a different XYZ position.


IPointArray
Hierarchy Properties

Type Library
TeeChartx

Description
Returns the array of points in screen (pixels) coordinates.


IPointer
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Some Series have a Pointer property. Pointers are shape figures drawn on each Y point coordinates. You can set several properties to change the pointers appearance.


IPointFigureSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Point & Figure series is made of X's and O's symbols representing over time filtered price movements.

Use the AddOHLC method to add values.


IPointSeries
Hierarchy Properties

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The PointSeries class outputs all points using the Pointer subclass properties.

Set the ParentChart property to the desired Chart class. Use the AddY or AddXY method to manually fill point values.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

PointSeries derives from Series, which adds support for Series Pointers, Marks and click events.

The Pointer.Style property determines the kind of shape used to draw the points.

Use the Pointer.Brush property to change the point filling pattern. The Pointer.Pen property defines the kind of pen used to draw the point frames.

Point dimensions can be changed using the Pointer.HorizontalSize and Pointer.VerticalSize properties.


IPolarBarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Polar Bar series displays points as lines, starting at the polar center and ending at each polar point position.


IPolarContourSeries
Hierarchy Properties Methods

Type Library
TeeChartx


IPolarGridSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Displays an array of values as a circular grid of cells, very similar to a for example hard disk plate with sectors and tracks.

The IPolarGridSeries.AddCell method is used to fill the series.


IPolarLabels
Hierarchy Properties Methods

Type Library
TeeChartx


IPolarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The PolarSeries class outputs all points using polar coordinates instead of cartesian coordinates.

Each point is defined by an angle and a radius. Angle values correspond to X values and Radius correspond to Y values.

Circle grid lines are determined by the Axis.Left class properties, while radial grid lines are controlled by the Axis.Bottom class.

Set the ParentChart property to the desired Chart class. Use the AddPolar method to manually fill polar points.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

The Pen and Pointer properties determine the Series formatting attributes.

The CloseCircle property controls if a line will be drawn between the first and last Series points.

Use the CirclePen to change the circle frame appearance.

The AngleIncrement property defines the angle origin. By default it's zero, meaning angles start at right most circle coordinate.

The DrawRing method can be used to draw a circle at a specific Series value:

Example [Visual Basic]:

{ Draw a blue ring passing over the 3rd PolarSeries1 Point }

Private Sub TChart1_OnAfterDraw()

With TChart1

.Canvas.Brush.Style = bsClear

.Canvas.Pen.Color = vbBlue

.Canvas.Pen.Width = 2

.Series(0).asPolar.DrawRing 2, 2

End With

End Sub

Please refer to CircledSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


IPolygonSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
IPolygonSeries is a descendant of TChartSeries.

Use IPolygonSeries to define the shape of the Polygons to be drawn by the MapSeries.

A PolygonSeries contains the co-ordinates of the points which define the boundary of a Polygon.

IPolygonSeries stores the point Valuelists and individual characteristics of each IMapSeries 'sub' Series (each Polygon is a Chart Series).

IMapSeries hides the need to treat each Polygon as a Series by treating the Polygons as an internal collection of Series.


IPrinter
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Printer interface contains the properties/methods for TeeChart printing. Use the TChart.Printer property.

Example [Visual Basic]:

TChart1.Printer.PrintPortrait


IPrinterSettings
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Advanced.

Use IPrinterSettings for direct access to Windows printer settings. The data structure contains information about the initialization and environment of a printer or a display device.

Topics are extracts from Microsoft reference: DEVMODE (http://msdn2.microsoft.com/en-us/library/ms535771.aspx)


IPVOFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Percentage Volume Oscillator financial function.

Calculates the difference between two exponential moving averages ( a - b)

This difference can be optionally divided by the first moving average : ( a -b ) / a , using the Percentage property.

The Period property defines the first moving average period.

The Period2 property defines the second moving average period.


IPyramidSeries
Hierarchy Properties

Type Library
TeeChartx

Description
The Pyramid series draws points stacked in a vertical pyramid shape.

Border, pattern, size and colors may be customized.

It allows null (missing) points and can be also displayed inverted.


IQTClustering
Hierarchy Properties

Type Library
TeeChartx


IRadarSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

This new Series type is very similar to a Polar series (actually, both Polar and Radar derive from a common CustomPolarSeries class ).

Every point in the Radar series is drawn at a different angle ( 360 degrees divided by total number of points ).

Like Polar Series, more than one Radar series can be plotted together in the same chart (better if all Radar series have the same number of points).

All properties of Polar Series also apply to Radar.

As with Polar series, Grid lines and labels are controlled by LeftAxis and BottomAxis axes.

The first Series controls the "CirclePen" property (shown in blue color above).

Both Polar and Radar can now fill the area bounded by points using the Brush property.


IRectangleTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Rectangle tool is like an annotation tool with resizing and dragging capabilities.

You can use this tool for multiple applications, for example to display the chart contents under the rectangle into another chart, picture or canvas.

Other uses of rectangle tool can be to zoom the chart to the contents of the rectangle using the Chart ZoomRect method or to display minimum and maximum of the values inside the rectangle.


IRenkoSeries
Hierarchy Properties

Type Library
TeeChartx

Description
The Renko chart financial indicator.

The Renko chart is a trend following technique.

It got its name from a Japanese word "renga" meaning bricks.

In Renko chart line brick is drawn in the direction of the prior move only if prices move by a minimum BoxSize amount which is equivalent to the box size that are always equal in size.

Renko charts are always based on the closing prices.

Renko bricks are drawn after comparing, that day's close with the previous brick (high or low). A "box size" which determines the minimum price change to show is specified.

Copyright (c) 2007 by Marjan Slatinek


IRepaintMonitorTool
Hierarchy Properties Methods

Type Library
TeeChartx


IResizeFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Changes the width and height of the image.


IReverseFilter
Hierarchy

Type Library
TeeChartx

Description
Mirrors the image in the horizontal direction.

See also: IFlipFilter.


IRMSFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The RMSFunction function calculates the Root Mean Square value (RMS) for range of points. Depending on the Complete property, two different equations are used to calculate RMS:

RMS = Sqrt(Sum(Sqr(x[i]))/NumPoints)...Complete = true

RMS = Sqrt(Sum(Sqr(x[i]))/(NumPoints-1))...Complete = false

where NumPoints is number of points within range.


IRoseSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TRoseSeries is a combination of a polar chart and a histogram. It plots the frequency or percentage of occurrences data shows up at a particular

angle or direction. Mostly used to help visualize cumulative wind direction or wave direction data but also used anytime you need to show a

histogram related to direction.

Displays more than one series at the same time, each one with specific properties and also stack them if necessary.These charts are created by using sector zones of variable directions and radii. It is possible to create MultiRose or stacked Rose charts by using the MultiRose property.

One use for Rose Charts is to plot wind directions as compass points together with the different wind speeds.


IRotateFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Rotates the image using the given Angle property.

It optionally resizes the image to fit the whole width x height current size, and if so, fill the remaining empty space with the BackColor property.

See also: AutoSize property.


IRotateTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Rotate tool changes the elevation and rotation of charts when dragging the mouse over a chart.


IRSIFunction
Hierarchy Properties

Type Library
TeeChartx

Description
RSIFunction is a LineSeries derived class that calculates a percent value based on Financial data. RSIFunction must be connected to a CandleSeries or any derived Series class (like CandleSeries). Like a MovingAverageFunction, RSI will calculate a new point Y value by using previous Period points.

The used formula is:

Add all Close prices greater than Open prices and divide by ocurrences (Ups).

Add all Close prices lower than Open prices and divide by ocurrences (Downs).

RSI := 100.0 - ( 100.0 / ( 1.0 + Abs( Ups / Downs ) ) )


IRVIFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Relative Vigor Index (RVI) is an indicator that measures the conviction of a recent price action and the likelihood that it will continue. The RVI

compares the positioning of a security's closing price relative to its price range. The result is smoothed by calculating a moving average of the

values and compared with a 4-period signal line.

The indicator is calculated using the formula:

RVI = (CLOSE-OPEN)/(HIGH-LOW)

The RVI Function uses a OHLC ( Candle ) series as datasource.


ISARFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Financial function that calculates trends in OHLC datasource series (Open High Low Close financial data).

Also called Parabolic Stop and Reversal.

Formula used:

Sar(index) = Sar(index-1) + AccelerationFactor * ( Price(index-1) - Sar(index-1) )

Where:

Sar(index-1) is the previous point SAR value.

Acceleration factor is an user-defined constant value.

Price is the highest (or lowest) price for the previous period (High for long and Low for short positions).

For more information follow these links:

http://www.linnsoft.com/tour/techind/sar.htm

http://calderone.eresmas.com/parabolic_sar.htm

http://es.biz.yahoo.com/edu/tech/osciladores1014.html

http://www.trade10.com/parabolic_s&r.htm

http://www.market-analyst.com/kb/article.php/Parabolic_Stop_and_Reverse/

http://www.incrediblecharts.com/technical/parabolic_sar_construction.htm

http://trader.online.pl/

http://www.amibroker.com/library/formula.php?id=242

http://www.amibroker.com/library/formula.php?id=241


IScroll
Hierarchy Properties

Type Library
TeeChartx

Description
The Scroll interface contains the properties for TeeChart scrolling characteristics, vertical. horizontal, both, etc. Use the TChart.Scroll property.

Example [Visual Basic]:

TChart1.Scroll.Enable = pmHorizontal


IScrollBarThumb
Hierarchy Properties

Type Library
TeeChartx

Description
Contains properties that define how to display the ScrollBar Thumb.


IScrollPagerTool
Hierarchy Properties Methods

Type Library
TeeChartx


ISelectorTool
Hierarchy Properties

Type Library
TeeChartx

Description
The Selector Tool allows you to select each component of the contains within the chart panel, for example the Legend, X Axis, Title etc.

One use of the Selector Tool could be to allow the end user to resize or move the chart.


ISepiaFilter
Hierarchy

Type Library
TeeChartx


ISeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Series is the ancestor of every TChart series type.

Click here to see the included TeeChart Series types.

All common Series properties and methods may be accessed at the Series class. Select the Series specific class from the Series property list to modify properties specific to that Series type.


ISeriesAnimationTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The series animation tool is a small tool intended to be used with any series, to perform a simple visual animation.

The animation changes each series point value to, for example, to show a growing series.


ISeriesBandTool
Hierarchy Properties

Type Library
TeeChartx

Description
This chart tool fills the area between two series (for example two line series) using the border, color, brush, gradient and transparency properties.


ISeriesGroup
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
This class contains the name of the group, the series that are included in this group and if the series in this group are active (Visible) or not.

See also:
ISeriesGroups, ISeriesList


ISeriesGroups
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
Collection of Series Groups.

Chart Series can be grouped. Series groups can optionally be displayed at the chart editor.

The main purpose of groups is to have an easy way to show or hide multiple series, that is, show or hide individual groups of series.

A single series can pertain to no groups, to one group or to more than one group.

The TChart1.SeriesList.Groups property provides access to an ISeriesGroups instance.

See also:
ISeriesGroup, ISeriesList


ISeriesList
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description

Example

' Change series group to show at listbox...

TeeListBox1.SeriesGroup = TChart1.SeriesList.Groups.Items(Combo1.ListIndex)

See also:
ISeriesGroup, ISeriesGroups


ISeriesMarkPosition
Hierarchy Properties

Type Library
TeeChartx

Description
This interface contains the properties to define Custom positions for selected Series' Marks.


ISeriesMarksPositions
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This interface provides access to Custom Series Mark positioning.


ISeriesPointerItems
Hierarchy Properties Methods

Type Library
TeeChartx


ISeriesRegionTool
Hierarchy Properties

Type Library
TeeChartx

Description
This tool fills the area between Series point values and a constant value, or between series and the axis line.

' Choose a Series and a value:

tChart1.Tools.Items(0).asSeriesRegion.Series = "Series0"

tChart1.Tools.Items(0).asSeriesRegion.Origin = 123

' Start and end point indexes can be also customized:

tChart1.Tools.Items(0).asSeriesRegion.LowerBound = 0

tChart1.Tools.Items(0).asSeriesRegion.UpperBound = tChart1.Series(0).Count-1

' Or set automatic (the default) :

tChart1.Tools.Items(0).asSeriesRegion.AutoBounds = True

' If we dont need a constant value:

tChart1.Tools.Items(0).asSeriesRegion.UseOrigin = False


ISeriesSource
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Base ancestor class for components that implement "series sources".

A Series source is a generic data provider to Series.

Several other classes derive from this base class.

For example to support Text file importing into series, and at the DBChart to support the different ways to connect a Database dataset to a Series.

Other kinds of "sources" can be implemented deriving from this base class and implementing the virtul methods.

The TeeChartOffice application includes several examples of "sources", like Excel, etc.


ISeriesSourceFile
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class is used internally.


ISeriesStatsTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This tool calculates basic statistical information using one series data point values.

It also makes easier for users to add statistical series, for example average lines, trends, etc by just clicking check-boxes at the tool editor dialog.

Statistical information can be obtained in text format calling the Statistics method.


ISeriesTextField
Hierarchy Properties

Type Library
TeeChartx

Description
SeriesTextField contains the list of characteristics of the Field, used by SeriesTextSource, as data input for a Chart Series.


ISeriesTextFields
Hierarchy Properties Methods

Type Library
TeeChartx

Description
SeriesTextFields is a collection of the SeriesTextSource fields assigned for the inputting of TextSource data to a Series.


ISeriesTextSource
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The SeriesTextSource Component allows access to the properties and methods associated with the manipulation of data from text sources.

Example 1 [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scSurface

.Series(0).asSurface.IrregularGrid = True

.Axis.Left.Increment = 0.01

.Tools.Add tcRotate

End With

With SeriesTextSource1

.FieldSeparator = ";"

.AddField "X", 1

.AddField "Y", 2

.AddField "Z", 3

If CInt("5,3") < CInt("5.3") Then

.FileName = "C:\TestFiles\SampleData.txt"

Else

.FileName = "C:\TestFiles\SampleDataPoint.txt"

End If

.Series = TChart1.Series(0)

.Active = True

End With

End Sub

Example 2 [Visual Basic]:

Private Sub Command1_Click()

With TChart1

.RemoveAllSeries

.AddSeries scBar

End With

With SeriesTextSource1

.Series = TChart1.Series(0)

.FileName = "http://www.steema.com/test.txt"

.HeaderLines = 1

.AddField "Bar", 2

.AddField "Text", 1

.Active = True

End With

End Sub


ISeriesXMLSource
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use this component as an XML data provider to Series or Chart components.

Usage steps:

1) Set the Chart property to desired Chart.

2) Set the XML property to desired file containing series data in XML format.

3) Call the Open method or set Active property to True to import XML data.

Format :

The XML format must be the same as when exporting Series data to XML format.

Multiple series can coexist in the XML source.

The SeriesNode property can be set to choose an individual series.

Example [Visual Basic]:

With SeriesXMLSource1

.FileName = Label1.Caption

.Series = TChart1.Series(0)

' or Series may be passed as Index but you would then

' have to set the Chart for the source

'eg.

' .Chart = TChart1

' .Series = 0

.SeriesNode = "Series1"

.ValueSource = "Y"

.Open

End With


IShapeCallout
Hierarchy Properties

Type Library
TeeChartx


IShapeSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The ShapeSeries class is a special Series class. It allows the developer to place shapes inside Chart bounds.

Set the ParentChart property to the desired Chart class.

Then, set the X0, Y0 and X1, Y1 properties to the desired point coordinates. The X0, Y0, X1 and Y1 properties must be expressed in axis scales.

The default Shape style is an horizontal line. Choose the desired style (Rectangle, Ellipse, etc) by using the Style property.

The Brush and Pen properties determine the shape color and frame attributes.

The Clicked method can be used to check if mouse cursor is over shape boundaries.

Shapes can be zoomed and scrolled as with any other Series type.

Please refer to Series ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


ISharpenFilter
Hierarchy

Type Library
TeeChartx

Description
The Sharpen filter enhances edges using a simple algorithm. This is very fast to compute but can produce artificially over-sharp or over-noisy images if not used carefully.


ISkewnessFunction
Hierarchy Properties See also

Type Library
TeeChartx

Description
Skewness is a measure of the asymmetry of the probability distribution of a real-valued random variable.

See also:
ISlopeFunction


ISlopeFunction
Hierarchy See also

Type Library
TeeChartx

Description
The slope or gradient of a line describes its steepness, incline, or grade. A higher slope value indicates a steeper incline.

See also:
ISkewnessFunction


ISmithSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Smith Series is a graphical representation of transmission-line parameters that is used for presenting design parameters in a visual setting.


ISmoothedMovAvgFunction
Hierarchy

Type Library
TeeChartx

Description
The Smoothed Moving Average (SMMA) gives the recent prices an equal weighting to the historic ones. The calculation does not refer to a fixed

period, but rather takes all available data series into account. This is achieved by subtracting yesterday's SMMA from today's price. Adding this

result to yesterday's SMMA, results in today's SMMA.

The SMMA is more reactive to trend changes than the Simple Moving Average (SMA).


ISmoothingFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Creates a new series with smoothed points from a given source series.

TChart1.Series(1).FunctionType.asSmoothing.Factor = VScroll1.Value


ISmoothPoints
Hierarchy Properties

Type Library
TeeChartx

Description
Class to perform smoothing (using bicubic sp-line algorithm) of a list of values.

This class uses TBSpline class (located at TeeSpline unit), used with permission from Mr. M. v. Engeland.

ContourSeries uses this class to provide smoothing of contour level lines.


ISobelFilter
Hierarchy

Type Library
TeeChartx


ISoftenFilter
Hierarchy

Type Library
TeeChartx

Description
Applies a transformation to pixels to smooth their differences with neighbouring pixels, thus eliminating contrast.


ISpacing
Hierarchy Properties

Type Library
TeeChartx

Description
Defines the horizontal and vertical pixel values used as space between items.


IStdDeviationFunction
Hierarchy Properties

Type Library
TeeChartx

Description
The StdDeviationFunction Class draws Standard Deviation results for input data. See the TeeFunction Period property.


IStochasticFunction
Hierarchy

Type Library
TeeChartx

Description
The Stochastic function is used in financial charts.

It calculates the highest and lowest value on a given period and then:

value = (close - lowest ) / ( highest - lowest )


IStrings
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Strings class contains the properties/methods for TeeChart Strings characteristics.

Example [Visual Basic]:

TChart.Header.Text.Add = "My line of title (header) text"


ISubChart
Hierarchy Properties

Type Library
TeeChartx

Description
Special collection item containing a #link ISubChart.Chart#chart# property.

The #link ISubChartTool#ISubChartTool# class contains a collection of #link ISubChartTool.Charts#charts# of ISubChart class.


ISubChartChart
Hierarchy Properties Methods Events

Type Library
TeeChartx


ISubChartTool
Hierarchy Properties

Type Library
TeeChartx

Description
This tool can be used to create many Charts into a parent Chart, having the possibility to customize each Chart as desired.


ISubGradient
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Defines a gradient of colors used by Gradient.SubGradient property.

Subgradient colors are merged with its gradient colors to display a more complex gradient.


ISubsetTeeFunction
Hierarchy Properties

Type Library
TeeChartx

Description
Extracts a portion of the values of the underlying datasource series and adds them to the series associated to this function.

The StartValue and EndValue properties define the range of points to extract.


ISubtractFunction
Hierarchy

Type Library
TeeChartx

Description
SubtractFunction may be added to your project by Chart Editor at design time or at runtime using code. Default period for SubtractFunction is 1 (By default, subtract will show the subtraction of one series from another at each axis point). Period is applicable only to the number of axis points, Period 1 = 1 axis point; period 2 = 2 axis points, etc..

Subtract will only work with 2 input series. The first series in the Chart Editor list will subtract the 2nd series.

Example [Visual Basic]:

To set the period for SubtractFunction you should use the FunctionType property of Series

To define a function series by code you should first create a new series for the function. The series may be of any type.

{ Set the function using the SetFunction method}.

TChart1.Series(1).SetFunction tfSubtract

{You may then define the period for the function - here setting it to to 5}

TChart1.Series(1).FunctionType.Period = 5

To undefine (delete) a function defined for the series use you should either delete or inactivate the Series or redefine the Datasource to a different source.


ISurfaceNearestTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use this tool to display a visual indication of selecting a Surface cell when the user moves the mouse over a surface series.


ISurfaceSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The SurfaceSeries class outputs all points as a 3 dimensions grid. You can control grid colors palette and line attributes.

Set the ParentChart property to the desired Chart class.

Points should be added manually to the Series by using either the AddXYZ method.

The NumXValues and NumZValues properties determine the grid dimensions. Currently, the Surface grid dimensions can't exceed 500 x 500 grid cells.

A Surface chart made of 500 x 500 grid cells takes a lot of computing time, while a 20 x 20 grid size redraws quite fast on a Pentium machine.

The Pen property determines the kind of pen used to draw Surface's grid lines.

Set the WireFrame property to True to draw transparent Surface's grids.

Surface point values are stored at XValues, YValues and ZValues properties.

The Brush property defines the pattern style used to fill Surface's grid cells.

The TimesZOrder property determines the ratio between Z scales and Chart depth in pixels. The default value is 3 times the TChart.Aspect.Chart3dPercent value.

The ClearPalette, AddPalette and Palette properties can be used to customize color ranges.

The CreateDefaultPalette restores the default internal color palette.

The GetSurfacePaletteColor function returns the color corresponding to a given Y value.

The GetXZValue function returns the stored Y value that corresponds to a given X,Y grid cell coordinates.

Please refer to Series ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


ISurfaceSides
Hierarchy Properties

Type Library
TeeChartx

Description
Used by IIsoSurfaceSeries.Sides property.

Contains attributes used to fill the external sides of a iso-surface (mesh) chart.


ISVGExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use TSVGExportFormat to create and export the TeeChart in SVG format.

The class returns default export characteristics to be used when exporting a SVG image of the Chart.

SVG means Scalable Vector Graphics.

For more information visit: http://www.w3.org/Graphics/SVG


ITableLegend
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Interface that allow access to the properties of the Data Table tool related directly to the table itself, for example the font color.

Example:-

With TChart1.Tools

.Add tcDataTable

.Items(0).asDataTable.Legend.FontSeriesColor = True

.Items(0).asDataTable.Legend.Otherside = True

.Items(0).asDataTable.Legend.Symbol.Visible = False

End With


ITagCloudSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Draws the list of XLabel text values (tags) sorted alphabetically or by their YValue.

Each label (tag) is displayed using a different font size, that is proportional to its value compared to the other labels (tags). The GetTagFontSize function returns the appropiate font size for a given tag index.

Tags can be added using the AddTag method which is simplier but equivalent to call the inherited Add method.

The tag color is obtained using the default ValueColor method which calculates colors based on the tag YValue and the Palette or UseColorRange properties.

Tags can be filtered using the Filter property.

Separation between tags is controlled by the TagSeparation property.

The Pen, Brush and Gradient properties can be used to fill the area behind the tags.

The Chart ClipPoints property controls if tags can be displayed outside the chart boundaries or not.

You can customize the font used to display each tag by using the OnDrawTag event, which is called everytime a tag is displayed and when the series needs to calculate a tag width and height.


ITeeAnimate
Hierarchy Properties

Type Library
TeeChartx


ITeeAnimation
Hierarchy Properties

Type Library
TeeChartx


ITeeBasePath
Hierarchy Methods

Type Library
TeeChartx


ITeeCommander
Hierarchy Properties Methods Events See also

Type Library
TeeChartx

Description
TeeChart component that provides a runtime Control bar for the Chart.

Select this component from the component palette (With Visual Basic, all TeeChart components are added to the palette when TeeChart is included in a project) or from the list of available controls, and place it on the Chart Form. To associate the TeeCommander or TeeListbox with a Chart you may use the Chart or ChartLink properties. We recommend the use of ChartLink for environments other than VB or VBScript Please look at the description for those properties to determine which best suits your programming environment.

See also:
ITeeEditorOptions


ITeeCommanderButton
Hierarchy Methods

Type Library
TeeChartx

Description
Accesses the properties or methods related to the TeeCommander buttons.


ITeeCorner
Hierarchy Properties

Type Library
TeeChartx


ITeeCorners
Hierarchy Properties

Type Library
TeeChartx


ITeeCustomAnimation
Hierarchy Properties Methods

Type Library
TeeChartx


ITeeCustomShape
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TeeCustomShape class describes panel appearance characteristics (bevel, colour, etc) for descendant TChart component shapes.


ITeeCustomShapeBrushPen
Hierarchy Properties

Type Library
TeeChartx


ITeeEditor
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TeeEditor component class, not visible at runtime, contains characteristics for the runtime Chart Editor accessible to the user. The Chart Editor may be tailored to restrict information shown and to be opened at chosen Editor pages. The class may also be used to define characteristics for the Editor shown from the TeeCommander component.


ITeeEditorOptions
Hierarchy Properties See also

Type Library
TeeChartx

Description
The TeeEditorOptions class contains options for enabling/disabling runtime Editor functionality.

See also:
ITeeCommander


ITeeEditorShowPages
Hierarchy Properties

Type Library
TeeChartx

Description
This interface contains the page display options for the TeeEditor.


ITeeEmboss
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TTeeEmboss is used by several TeeChart components to define the offset shadow of the component to give an embossed effect.

Components that use TTeeEmboss include base classTTeeCustomShape, TPieSeries andTTeeFont.


ITeeFilter
Hierarchy Properties

Type Library
TeeChartx

Description
Base Interface for all image "Filters".

The ITeeFilter interface implements image manipulation at the pixel level, such as Blur, Contrast, Brightness and so on.

The Filter Editor dialog allows adding, configuring and removing filters for a specific image property, both at design-time and run-time.


ITeeFont
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TTeeFont Component gives access to additional properties and methods relative to fonts.


ITeeFunction
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TeeFunction is an abstract Series type.

While DataSource points are being inserted, TeeFunction will trigger a calculation request when the last inserted point has overflowed the specified period.

AverageFunction is a TeeFunction descendant.


ITeeGDIPlus
Hierarchy Properties Methods

Type Library
TeeChartx


ITeeLinked
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TeeChart Component connectivity interface.


ITeeListBox
Hierarchy Properties Methods Events

Type Library
TeeChartx

Description
TeeChart component that provides a runtime ListBox of Chart Series, allowing user to view and changes to be made.

Select this component from the component palette (With Visual Basic, all TeeChart components are added to the palette when TeeChart is included in a project) or from the list of available controls, and place it on the Chart Form. To associate the TeeListbox with a Chart you may use the Chart or ChartLink properties. We recommend the use of ChartLink for environments other than VB or VBScript Please look at the description for those properties to determine which best suits your programming environment.


ITeeListBoxSection
Hierarchy Properties

Type Library
TeeChartx

Description
Access to the ListBox Sections properties and methods, allowing to customize some aspects independly for each section.


ITeeOpenGL
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TeeOpenGL class includes properties for OpenGL rendering when TChart's Aspect.OpenGL.Active is set to 'True'.


ITeePanelsList
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TeePreviewPanel is a panel that may be inserted on a dialogue form to show WYSIWYG printable output of a Chart. The Panel includes option buttons to change print characteristics. The PanelsList contains a list of all Panels on a multipage printout.


ITeePanning
Hierarchy Properties

Type Library
TeeChartx


ITeePicture
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class adds more functionality to standard IPicture.

The Filters property holds a collection of filter instances.

Filters are small classes that manipulate the picture pixels such as brightness, blurring, etc.


ITeePointD

ITeePoint2D
Hierarchy Properties

Type Library
TeeChartx

Description
TeePoint2D Class defines X Y co-ordinates for Points.


ITeePointD

ITeePoint3D
Hierarchy Properties

Type Library
TeeChartx

Description
TeePoint3D Class defines Z co-ordinates for Points.


ITeePreviewer
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TeePreviewer component class, not visible at runtime, shows the TeeChart print previewer at runtime. The class may also be used to define characteristics for the Previewer shown from the TeeCommander component.


ITeePreviewerOptions
Hierarchy Properties

Type Library
TeeChartx

Description
The TeePreviewerOptions class contains options for enabling/disabling runtime Previewer functionality.


ITeePreviewPanel
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The TeePreviewPanel is a panel that may be inserted on a dialogue form to show WYSIWYG printable output of a Chart. The Panel includes option buttons to change print characteristics.


ITeeRect
Hierarchy Properties

Type Library
TeeChartx

Description
TeeRect can be used several TeeChart components to describe the bounding sides of the rectangle.


ITeeRectArray
Hierarchy Properties

Type Library
TeeChartx

Description
Array of ITeeRect.


ITeeSelected
Hierarchy Properties Methods

Type Library
TeeChartx


ITeeShadow
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TeeShadow is used by several TeeChart components to define the offset shadow of the component. Components that use TeeShadow include PieSeries and TeeFont


ITeeShape
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Defines the panel shape used by many TeeChart components.


ITeeShapeItem
Hierarchy Properties

Type Library
TeeChartx


ITeeShapePosition
Hierarchy Properties Methods

Type Library
TeeChartx

Description
TeeCustomShape class describes the Chart positions for descendant TChart component shapes.


ITeeShapes
Hierarchy Properties Methods

Type Library
TeeChartx


ITernarySeries
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
The Ternary series is used to represent the relative percentage of three components.

The three components will sum to 100%, or will be normalised by TeeChart to 100%.

The Ternary Series can plot relative position, value 'size' as point radius and use a colour gradient scale to add weighting information.

See also:
IText3DTool


ITextDTool

IText3DTool
Hierarchy Properties See also

Type Library
TeeChartx

Description
IText3DTool displays text in 3D mode with rotation and elevation inside a Canvas.

See also:
ITernarySeries


ITextExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use TextExport to export data from a Chart Series to a delimited text file, stream or clipboard.

Example [Visual Basic]

With TChart1.Export.asText

.IncludeHeader = False

.TextDelimiter = ";"

.IncludeIndex = True

.Series = 0

.SaveToFile ("c:\TextFile.txt")

End With


ITextShape
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class implements a "shape" (rectangle) with properties to display text inside it.

Some other classes derive from it or wrap instances of ITextShape, like IAnnotationTool or IOrgSeries Items (IOrgItem).

Properties of ITextShape include Text (string), TextAlignment, ClipText and AutoSize.

The Text property can contain "line returns" (the #13 character) to define break lines (multiple lines of text).


IThemesList
Hierarchy Methods

Type Library
TeeChartx


ITileFilter
Hierarchy Properties

Type Library
TeeChartx

Description
This filter makes several copies of the original image, in a same or reduced size, into a bigger (new) image.


ITitles
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The ITitles interface is used to display Chart Header and Footer text strings at top and bottom Chart sides respectively. The Text property contains the text to be displayed. This property is of type Strings which means that it is a series of strings in a list. Whenever you change the Text property you should repaint the TChart class manually. It's not done automatically.

Example [Visual Basic]:

With TChart1.Header.Text

.Clear

.Add "ACME Monthly Sales"

.Add "Year 1999"

End With

Set the Visible property to True to show the Header or Footer contents. Change the text appearance using the Font property. You can draw a frame around text by setting the Frame pen properties. The frame background color and pattern is defined by the Brush property. The AdjustFrame boolean property controls if Title (Header or Footer) frame will be drawn around title text or using the whole Chart width. Title text can be aligned using the Alignment property.

The ParentChart public read-only property refers to the Chart class that owns the title.


IToolList
Hierarchy Properties Methods

Type Library
TeeChartx

Description
List of TChartTools linked to Chart.


ITowerSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Displays a 3D grid of "tower" points.

Each point can be a Cube, Pyramid, Cone, Cylinder, etc, using the TowerStyle property.


ITransformAnimation
Hierarchy Properties

Type Library
TeeChartx


ITransposeSeriesTool
Hierarchy Methods

Type Library
TeeChartx

Description
This tool is used to exchange series data rows by columns and vice-versa.

For example, if you have a chart with 3 series that have 5 points each series, after applying the transpose tool the chart will show 5 series with 3 points each series.

You can use transpose tool at design-time using the Chart Tools Editor dialog, or at runtime by code like the following example:

' Create Tool

TChart1.Tools.Add tcTransposeSeries

' Do transpose

TChart1.Tools.Items(0).asTransposeSeries.Transpose


ITreeMapSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Treemaps display hierarchical (tree-structured) data as a set of nested rectangles. Each branch of the tree is given a rectangle, which is then tiled

with smaller rectangles representing sub-branches. A leaf node's rectangle has an area proportional to a specified dimension on the data.

(Description from http://en.wikipedia.org/wiki/Treemapping)

In specific Add method override, AValue represent node's value, Text represents node's text and Superior node's parent.

Few rectangle tiling mehtods are also available.


ITrendFunction
Hierarchy Methods

Type Library
TeeChartx

Description
Trend Function draws a Line through input Series data points to represent best trend.


ITriSurfaceSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Tri surface uses triangulation to build the a surface between a set of X,Y,Z point.


IValueList
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The IValueList interface is the container of point values.

Each Series class has one or more values lists.

The XValues and YValues properties are IValueList properties.

Some other Series classes have more values lists. For example, BubbleSeries class has another value list: RadiusValues.


IValueLists
Hierarchy Properties

Type Library
TeeChartx

Description
Contains a list of ValueLists (IValueList) for a Series. Several standard Series such as LineSeries and BarSeries maintain 2 ValueLists, X and Y values. Othe Series such as CandleSeries maintain more lists, ie. OpenValues, HighValues, LowValues and CloseValues.


IVarianceFunction
Hierarchy

Type Library
TeeChartx

Description
The Variance function returns how spread out a distribution is.

The Standard Deviation function is the square root of the variance.


IVectorDSeries

IVector3DSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Vector3D series displays points that have individual XYZ origin and XYZ ending coordinates (in axis values).

Points are displayed as vector lines in 3D space.

Vector lines can be optionally displayed with arrow shapes at start or end vector coordinates.


IVideoPlayerTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This tool allows playing *.avi video files at rectangle zones inside charts, or as background of chart parts like legend, headers, etc.

Note: Some avi video files, specially when compressed with codecs, are not supported by Microsoft AVIFIL api.


IVideoTool
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This tool is used to create an *.avi video file.

The *.avi video will contain image frames saved from each chart repaint.

You can use this tool for example together with a ISeriesAnimationTool or custom code that performs changes in charts and repaints them.


IVolumePipeSeries
Hierarchy Properties

Type Library
TeeChartx

Description
VolumePipeSeries draws a Pyramid laid flat, whose values have an area directly proportional to their value, meaning that the nearer the tip of the pyramid (or cone) the greater horizontal width a value must have to have the same volume as a value nearer the base.


IVolumeSeries
Hierarchy Properties

Type Library
TeeChartx

Description
Follow this link for a visual representation of this Series type.

The VolumeSeries outputs all points as a vertical thin line starting at the bottom of the Chart.

This Series can be used for example, to display Stock Market Volumes.

It is very similar to a Bar series, except it can not be stacked and that each point is a thin line instead of a bar.

Set the ParentChart property to the desired Chart class. Use the AddY or AddXY method to manually fill Volume points.

Right-click the class at design-time to access the DataSource Wizard Dialog to connect the Series to another Series or to any Table or Query class.

The VolumeValues property stores all point values.

Use the LinePen property to alter the default pen attributes.

Please refer to CustomSeries ancestor description for all common Series properties like Marks, Axis dependence, methods and events.


IWall
Hierarchy Properties Methods See also

Type Library
TeeChartx

Description
The Walls interface contains the properties/methods for TeeChart left, bottom, back and right walls. Use the TChart.Walls property.

Example [Visual Basic]:

TChart1.Walls.Left.Color = vbRed

See also:
IWalls


IWaterfallSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
WaterFall series is like a Surface series.

It draws vertical "slices", one for each Z row in the surface.


IWindRoseSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Wind Rose Series is similar to a Polar Series but replaces the circumference labels with wind direction labels (eg. North, South, East and West).


IWorldFlags
Hierarchy Properties

Type Library
TeeChartx


IWorldSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description
IWorldSeries automatically loads and creates shape objects from internal binary resources that configure maps like World, America, Europe, etc.

The Map property defines which map to load at startup.

Shape format details aren't persisted at design-time for performance reasons.

Each shape (world country, USA state, etc) has Text and Z value (that determines the polygon color) properties.


IXAMLExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
This class implements an "export format", to convert Charts into XAML format.

XAML format (Extensible Application Markup Language) is defined at:

http://en.wikipedia.org/wiki/Extensible_Application_Markup_Language


IXLSExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Use XLSExport to export data from a Chart Series to an Excel spreadsheet as File or Stream.

Example [Visual Basic]

With TChart1.Export.asXLS

.IncludeHeader = False

.IncludeIndex = True

.Series = 0

.SaveToFile ("c:\ExcelFile.xls")

End With


IXMLExport
Hierarchy Properties Methods

Type Library
TeeChartx

Description
Series data can be exported to XML. It allows saving to file and copying to clipboard. There are several options when exporting to text format, such as include labels, point index, etc.

Example [Visual Basic]

With TChart1.Export.asXML

.IncludeHeader = False

.IncludeIndex = True

.SaveToFile ("c:\XMLFile.xml")

End With


IZoom
Hierarchy Properties Methods

Type Library
TeeChartx

Description
The Zoom interface contains the properties for TeeChart zoom characteristics, animated, etc. Use the TChart.Zoom property.

Example [Visual Basic]:

TChart1.Zoom.Enable = True


IZoomFilter
Hierarchy Properties

Type Library
TeeChartx

Description
This Filter allows the user to do a Zoom of the region specified. The zoomed image will be displayed at the same region boundaries.


IZoomPanning
Hierarchy Properties

Type Library
TeeChartx


EAnimationClass

type EAnimationClass = (tcExpand);

Type Library
TeeChartx


EAnimationState

type EAnimationState = (asStopped, asPlaying, asPaused);

Type Library
TeeChartx


EAnimationTiming

type EAnimationTiming = (atLinear, atSine, atSquare, atExp, atCubic, atBack, atBounce, atElastic);

Type Library
TeeChartx


EAnimationTimingStyle

type EAnimationTimingStyle = (atIn, atOut, atInOut);

Type Library
TeeChartx


EAnimationTrigger

type EAnimationTrigger = (atMouseClick, atMouseOver);

Type Library
TeeChartx


EAnnotationPosition

type EAnnotationPosition = (ppLeftTop, ppLeftBottom, ppRightTop, ppRightBottom, ppCenter);

Type Library
TeeChartx

Description
Determines position of Annotation Tool.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

ppLeftTop = 0

ppLeftBottom = 1

ppRightTop = 2

ppRightBottom = 3


EArrowHeadStyle

type EArrowHeadStyle = (ahNone, ahLine, ahSolid);

Type Library
TeeChartx

Description
Used by TCallout class to optionally display an "arrow head" shape at the end of the callout line.


EAxisArrowToolPosition

type EAxisArrowToolPosition = (aaStart, aaEnd, aaBoth);

Type Library
TeeChartx

Description
Position of AxisArrow Tool on Chart axes.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

aaStart = 0

aaEnd = 1

aaBoth = 2


EAxisBreakStyle

type EAxisBreakStyle = (tabSmallZigZag, tabZigZag, tabLine, tabNone);

Type Library
TeeChartx


EAxisLabelAlign

type EAxisLabelAlign = (alDefault, alOpposite);

Type Library
TeeChartx

Description
Detemines the position of the Axis Labels.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

alDefault = 0

alOpposite = 1


EAxisLabelsPosition

type EAxisLabelsPosition = (lpAtTick, lpBeforeTick, lpAfterTick, lpCenter);

Type Library
TeeChartx


EAxisLabelStyle

type EAxisLabelStyle = (talAuto, talNone, talValue, talMark, talText, talPointValue);

Type Library
TeeChartx

Description
EAxisLabelStyle defines the possible values of the Axis.Label.Style property.

You can override each axis label text by using the TChart.OnGetAxisLabel event.

Possible values for Axis.Label.Style are:

0. talAuto Choose the Style automatically.

1. talNone No label. This will trigger the event with empty strings.

2. talValue Axis labeling is based on axis Minimum and Maximum properties.

3. talMark Each Series point will have a Label using SeriesMarks style.

4. talText Each Series point will have a Label using Series.XLabels strings.

See note on use of Enum constants in differing development environments.


EAxisTitlePosition

type EAxisTitlePosition = (tpStart, tpCenter, tpEnd);

Type Library
TeeChartx


EAxisType

type EAxisType = (atLeft, atTop, atRight, atBottom, atDepth, atCustom);

Type Library
TeeChartx

Description
Values for EAxisType are

atLeft = Left axis = 0

atTop = Top axis = 1

atRight = Right axis = 2

atBottom =Bottom axis = 3

atDepth =Depth axis = 4

atCustom =Custom axis = 5

See note on use of Enum constants in differing development environments.


EBackImageMode

type EBackImageMode = (pbmStretch, pbmTile, pbmCenter, pbmCustom);

Type Library
TeeChartx

Description
Display of Panel BackImage.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

pbmStretch = 0

pbmTile = 1

pbmCenter = 2


EBarRound

type EBarRound = (brNone, brAtValue, brBothEnds);

Type Library
TeeChartx


EBarStyle

type EBarStyle = (bsRectangle, bsPyramid, bsInvPyramid, bsCylinder, bsEllipse, bsArrow, bsRectGradient, bsCone, bsBevel, bsSlantCube, bsDiamond, bsInvArrow, bsInvCone, bsCustom, bsRoundRectangle);

Type Library
TeeChartx

Description
EBarStyle defines the possible values of the CustomBarSeries.BarStyle property.

These are the possible Bar styles:

bsRectangle = 0

bsPyramid = 1

bsInvPyramid = 2

bsCilinder = 3

bsEllipse = 4

bsArrow = 5

bsRectGradient = 6

See note on use of Enum constants in differing development environments.


EBezierStyle

type EBezierStyle = (bsWindows, bsBezier3, bsBezier4);

Type Library
TeeChartx

Description
Bezier series display style.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

bsWindows = 0

bsBezier3 = 1

bsBezier4 = 2


EBorderStyle

type EBorderStyle = (bsNone, bsSingle);

Type Library
TeeChartx

Description
EBorderStyle defines the possible values of the BorderStyle property.

See note on use of Enum constants in differing development environments.

Values

bsNone = 0

bsSingle = 1


EBoxFillStyle

type EBoxFillStyle = (bfsFillToClose, bfsOutline);

Type Library
TeeChartx


EBrushStyle

type EBrushStyle = (bsSolid, bsClear, bsHorizontal, bsVertical, bsFDiagonal, bsBDiagonal, bsCross, bsDiagCross, bsFill80, bsFill60, bsFill40, bsFill20, bsFill10, bsZigZag, bsVertSmall, bsHorizSmall, bsDiagSmall, bsBackDiagSmall, bsCrossSmall, bsBackCrossSmall);

Type Library
TeeChartx

Description
Values for EBrushStyle are

bsSolid = 0;

bsClear = 1;

bsHorizontal = 2;

bsVertical = 3;

bsFDiagonal = 4;

bsBDiagonal = 5;

bsCross = 6;

bsDiagCross = 7;

See note on use of Enum constants in differing development environments.


ECandleBorderColor

type ECandleBorderColor = (cbUseColor, cbSameAsCandle);

Type Library
TeeChartx


ECandleColorStyle

type ECandleColorStyle = (cssRelativeToOpen, cssRelativeToClose);

Type Library
TeeChartx

Description
ECandleColorStyle defines the possible values of the CandleColorStyle property.

Integer values:

ccsRelativeToOpen = 0

ccsRelativeToClos = 1


ECandleStyle

type ECandleStyle = (csCandleStick, csCandleBar, csOpenClose, csLine);

Type Library
TeeChartx

Description
ECandleStyle defines the possible values of the CandleSeries.CandleStyle property. CandleSeries.CandleStyle property defines how a CandleSeries point will be visually displayed.

See note on use of Enum constants in differing development environments.

Values

0csCandleBar Each Candle is drawn as a vertical Line with small horizontal lines.

1csCandleStick Each Candle is drawn as a Rectangle with top and bottom lines.

2csOpenClose Shows point as Open and Close values only

The default CandleStyle is csCandleBar.

You can switch between Candle Styles both at design and runtime:

TChart1.Series( 0 ).asCandle.CandleStyle = csCandleBar


ECanvasDPlane

ECanvas3DPlane

type ECanvas3DPlane = (cpX, cpY, cpZ);

Type Library
TeeChartx

Description
Used by IColorGridSeries.DrawPlane3D property and ICanvas.StretchDraw method.

Defines the spatial orientation (the axis plane) to draw a picture inside a chart panel in 3D mode.

Values

0cpX

1cpY

2cpZ


ECanvasBackMode

type ECanvasBackMode = (cbmOpaque, cbmTransparent, cbmNone);

Type Library
TeeChartx

Description
Determines Canvas BackMode.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

cbmNone = 0

cbmTransparent = 1

cbmOpaque = 2


ECanvasStretchQuality

type ECanvasStretchQuality = (sqHigh, sqLow);

Type Library
TeeChartx


ECanvasTextAlign

type ECanvasTextAlign = (ctaLeft, ctaCenter, ctaRight);

Type Library
TeeChartx

Description
Sets the alignment used when displaying text using TextOut or TextOut3D.

See TextAlign for a further description of use.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Values

ctaLeft = 0

ctaCenter = 1

ctaRight = 2


ECanvasZoomText

type ECanvasZoomText = (ztManual, ztNo, ztAuto);

Type Library
TeeChartx


EChartClickedPartStyle

type EChartClickedPartStyle = (cpNone, cpLegend, cpAxis, cpSeries, cpTitle, cpFoot, cpChartRect, cpSeriesMarks, cpSeriesPointer, cpSubTitle, cpSubFoot, cpAxisTitle);

Type Library
TeeChartx


EChartGridShow

type EChartGridShow = (cgsAuto, cgsNo, cgsYes);

Type Library
TeeChartx

Description
Use with IChartGrid.ShowXValues propety.

Values

0 cgsAuto

1 cgsNo

2 cgsYes

Default value is cgsAuto.


EChartObjectShapeStyle

type EChartObjectShapeStyle = (fosRectangle, fosRoundRectangle);

Type Library
TeeChartx

Description
Determines Shape Style of some Chart Objects.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

fosRectangle = 0

fosRoundRectangle = 1


EChartPenStyle

type EChartPenStyle = (psSolid, psDash, psDot, psDashDot, psDashDotDot, psClear, psInsideFrame, psSmallDots);

Type Library
TeeChartx

Description
EChartPenStyle defines the possible values of the Pen Style property.

psSolid = 0;

psDash = 1;

psDot = 2;

psDashDot = 3;

psDashDotDot = 4;

psClear = 5;

psInsideFrame = 6;

See note on use of Enum constants in differing development environments.


EChartScroll

type EChartScroll = (pmNone, pmHorizontal, pmVertical, pmBoth);

Type Library
TeeChartx

Description
EChartScroll defines the possible values of the TChart.Scroll.Enable property.

Possible values for TChart.Scroll.Enable are:

0pmNone Deny scrolling.

1pmHorizontal Allow only Horizontal Scrolling.

2pmVertical Allow only Vertical Scrolling.

3pmBothAllow complete Horizontal and Vertical Scrolling.

See note on use of Enum constants in differing development environments.


EChartTheme

type EChartTheme = (ctDefault, ctExcel, ctClassic, ctBusiness, ctWeb, ctWindowsXP, ctBlueSky, ctFacts, ctFlat, ctOpera, ctBlackIsBack, ctgGrayscale, ctSpeed);

Type Library
TeeChartx

Description
EChartTheme defines the possible default themes defined in the Chart.

Integer values:

ctDefault = 0

ctExcel = 1

ctClassic = 2

ctBusiness = 3

ctWeb = 4

ctWindowsXP = 5

ctBlueSky =6

ctFacts = 7


ECheckBoxesStyle

type ECheckBoxesStyle = (cbsCheck, cbsRadio);

Type Library
TeeChartx

Description
ECheckBoxesStyle determines whether to use Check Boxes or Radio Buttons.

Integer values:

cbsCheck = 0

cbsRadio = 1


EClockSeriesStyle

type EClockSeriesStyle = (cssDecimal, cssRoman);

Type Library
TeeChartx


EClusteringMethod

type EClusteringMethod = (cmKMeans, cmHierarchical, cmQT);

Type Library
TeeChartx


ECMFStyle

type ECMFStyle = (cmfLine, cmfArea, cmfVolume, cmfHistogram);

Type Library
TeeChartx


EColorLineStyle

type EColorLineStyle = (clCustom, clMaximum, clCenter, clMinimum);

Type Library
TeeChartx

Description
ColorLine tool Style property uses this enumeration to display lines at automatic axis positions.

Default value is : clCustom ( user defined position ).

clMaximum means the line will be displayed at axis maximum position.

clCenter means the line will be displayed at axis center position.

clMinimum means the line will be displayed at axis minimum position.


EColorPalette

type EColorPalette = (cpTeeChart, cpExcel, cpVictorian, cpPastel, cpSolid, cpClassic, cpWeb, cpModern, cpRainbow, cpWindowsXP, cpMacOS, cpWinVista, cpGrayScale, cpOpera, cpWarm, cpCool, cpBlackIsBack, cpMetro, cpiOS, cpAndroid);

Type Library
TeeChartx

Description
EColorPalette defines different ColorPalette styles.

Integer values:-

cpTeeChart = 0

cpExcel = 1

cpVictorian = 2

cpPastel = 3

cpSolid = 4

cpClassic = 5

cpWeb = 6

cpModern = 7

cpRainbow = 8

cpWindowsXP = 9

cpDefault = 10


ECompressionPeriod

type ECompressionPeriod = (ocDay, ocWeek, ocMonth, ocBiMonth, ocQuarter, ocYear);

Type Library
TeeChartx

Description
Used by TCompressFunction Compress property to determine how source values are grouped (compressed).

Note: The Compress property is only used when the function Period is zero. This indicates we want to compress a series by datetime groups instead of grouping it every number of points.


EConstants

type EConstants = (clTeeColor, clNone);

Type Library
TeeChartx

Description
TeeChart Colour Constants.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

clTeeColor = 536870912

clNone = 536870911


ECornerStyle

type ECornerStyle = (cosRound, cosBevel, cosNone);

Type Library
TeeChartx


ECursorToolStyle

type ECursorToolStyle = (cssHorizontal, cssVertical, cssBoth, cssScope);

Type Library
TeeChartx

Description
Determines orientation of Cursor Tool.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

cssHorizontal = 0

cssVertical = 1

cssBoth = 2


ECustomSeriesDrawStyle

type ECustomSeriesDrawStyle = (dsSegments, dsAll, dsCurve);

Type Library
TeeChartx


ECustomSeriesStack

type ECustomSeriesStack = (cssNone, cssOverlap, cssStack, cssStack100);

Type Library
TeeChartx

Description
Determines how certain TeeChart Series are stacked.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

cssNone = 0

cssOverlap = 1

cssStack = 2

cssStack100 = 3


EDatasourceType

type EDatasourceType = (dstAllRecords, dstSingleRecord);

Type Library
TeeChartx

Description
Determines DataSource Type.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

dstAllRecords = 0

dstSingleRecord = 1


EDateTimeStep

type EDateTimeStep = (dtOneMicrosecond, dtOneMillisecond, dtOneSecond, dtFiveSeconds, dtTenSeconds, dtFifteenSeconds, dtThirtySeconds, dtOneMinute, dtFiveMinutes, dtTenMinutes, dtFifteenMinutes, dtThirtyMinutes, dtOneHour, dtTwoHours, dtSixHours, dtTwelveHours, dtOneDay, dtTwoDays, dtThreeDays, dtOneWeek, dtHalfMonth, dtOneMonth, dtTwoMonths, dtThreeMonths, dtFourMonths, dtSixMonths, dtOneYear, dtNone);

Type Library
TeeChartx

Description
EDateTimeStep is a set of constants used to specify a date time increment.

Example:

TChart1.Axis.Bottom.Increment = TChart1.DateTimeStep( dtTwoDays )

See note on use of Enum constants in differing development environments.

Values

dtOneMillisecond = 0

dtOneSecond = 0

dtFiveSeconds = 1

dtTenSeconds = 2

dtFifteenSeconds = 3

dtThirtySeconds = 4

dtOneMinute = 5

dtFiveMinutes = 6

dtTenMinutes = 7

dtFifteenMinutes = 8

dtThirtyMinutes = 9

dtOneHour = 10

dtTwoHours = 11

dtSixHours = 12

dtTwelveHours = 13

dtOneDay = 14

dtTwoDays = 15

dtThreeDays = 16

dtOneWeek = 17

dtHalfMonth = 18

dtOneMonth = 19

dtTwoMonths = 20

dtSixMonths = 21

dtOneYear = 22


EDeltaImageStyle

type EDeltaImageStyle = (disSmiles, disHands);

Type Library
TeeChartx

Description
EDeltaImageStyle is used by the IDeltaPointSeries. Determines which image style to use.

Values

0 disSmiles

1 disHands

Default values is disSmiles.


EDigitalFont

type EDigitalFont = (dfBar, dfDot, dfCustom);

Type Library
TeeChartx


EDistanceMethod

type EDistanceMethod = (dmEuclidean, dmSquaredEuclidean, dmManhattan, dmMinkowski, dmSorensen, dmChebyshev);

Type Library
TeeChartx


EDownSampleMethod

type EDownSampleMethod = (dsDouglas, dsMax, dsMin, dsMinMax, dsAverage, dsMinMaxFirstLast, dsMinMaxFirstLastNull);

Type Library
TeeChartx

Description
EDownSampleMethod defines the styles of the IDownSampling Function

Integer values:

dsDouglas = 0

dsMax = 1

dsMin = 2

dsMinMax = 3

dsAverage = 4


EDragMode

type EDragMode = (dmManual, dmAutomatic);

Type Library
TeeChartx

Description
EDragMode defines the possible values of the TChart.DragMode property.

See note on use of Enum constants in differing development environments.

Possible modes:

dmManual = 'Manual drag'; Value = 0

dmAutomatic = 'Automatic drag'; Value = 1


EDragPointStyle
See also

type EDragPointStyle = (dsX, dsY, dsBoth);

Type Library
TeeChartx

Description
Allows dragging of points in x,y or both planes

See also:
IDragPointTool.DragStyle


EDragState

type EDragState = (dsDragEnter, dsDragLeave, dsDragMove);

Type Library
TeeChartx

Description
EDragState defines the possible values of the TChart.OnDragOver event.

Possible states:

dsDragEnter = 'Drag Enter'; Value = 0

dsDragLeave = 'Drag Leave'; Value = 1

dsDragMove = 'Drag Move'; Value = 2

See note on use of Enum constants in differing development environments.


EDrawAllPointsStyle

type EDrawAllPointsStyle = (daFirst, daMinMax);

Type Library
TeeChartx


EDrawLineStyle

type EDrawLineStyle = (dlLine, dlHorizParallel, dlVertParallel, dlRectangle, dlEllipse);

Type Library
TeeChartx

Description
Determines how will Lines be displayed at DrawLine tool when dragging new lines or selecting and modifying them.

Lines can be displayed diagonal (the default), horizontal or vertical.

Values

0 dLine

1 dlHorizParalel

2 dlVertParalel

3 dlRectangle

4 dlEllipse

Default value is dlLine.


EEdgeStyle
See also

type EEdgeStyle = (edFlat, edCurved, edNone);

Type Library
TeeChartx

See also:
EErrorSeriesStyle


EErrorSeriesStyle
See also

type EErrorSeriesStyle = (essLeft, essRight, essLeftRight, essTop, essBottom, essTopBottom);

Type Library
TeeChartx

Description
This Type, used to define ErrorSeries Style. The Error Bar may be placed at one of the locations described in the ErrorSeriesStyle Type.

See ErrorStyle for a further description of use.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Values

essLeft = 0

essRight = 1

essLeftRight = 2

essTop = 3

essBottom = 4

essTopBottom = 5

See also:
EEdgeStyle


EErrorWidthUnits

type EErrorWidthUnits = (ewuPercent, ewuPixels);

Type Library
TeeChartx

Description
EErrorWidthUnits defines the possible values of the ErrorWidthUnits property.

Values

ewuPercent = 0

ewuPixels = 1

See note on use of Enum constants in differing development environments.


EExportEncoding

type EExportEncoding = (eeDefault, eeAscii, eeBigEndianUnicode, eeUnicode, eeUTF7, eeUTF8);

Type Library
TeeChartx


EFaderStyle

type EFaderStyle = (fsFadeIn, fsFadeOut);

Type Library
TeeChartx

Description
Used by IFaderTool.Style property.

Values

0 fsFadeIn

1 fsFadeOut

Default value is fsFadeIn.


EFastLineDrawStyle

type EFastLineDrawStyle = (flSegments, flAll);

Type Library
TeeChartx


EFibonacciStyle

type EFibonacciStyle = (fsArc, fsFan);

Type Library
TeeChartx


EFilterClass

type EFilterClass = (fcConvolve, fcBlur, fcResize, fcCrop, fcInvert, fcGrayScale, fcFlip, fcReverse, fcAmount, fcMosaic, fcBrightness, fcContrast, fcColor, fcHueLumSat, fcSharpen, fcEmboss, fcSoften, fcGammaCorrection, fcRotate, fcMirror, fcTile, fcBevel, fcZoom, fcLighting, fcSobel, fcSepia);

Type Library
TeeChartx

Description
EFilterClass is used when adding new Filter to the Chart. See IFilterItems.Add method.

See note on use of Enum constants in differing development environments.

Values

0 fcConvolve

1 fcBlur

2 fcResize

3 fcCrop

4 fcInvert

5 fcGrayScale

6 fcFlip

7 fcReverse

8 fcAmount

9 fcMosaic

10 fcBrightness

11 fcContrast

12 fcColor

13 fcHueLumSat

14 fcSharpen

15 fcEmboss

16 fcSoften

17 fcGammaCorrection

18 fcRotate

19 fcMirror


EFontQuality

type EFontQuality = (fqBest, fqNormal, fqDefault, fqClearType);

Type Library
TeeChartx


EFunctionPeriodAlign

type EFunctionPeriodAlign = (paFirst, paCenter, paLast);

Type Library
TeeChartx

Description
The EFunctionPeriodAlign Type is used to describe alignment for Function points when associated with an input Series.

See PeriodAlign for a further description of use.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Values

paFirst = 0

paCenter = 1

paLast = 2


EFunctionPeriodStyle

type EFunctionPeriodStyle = (psNumPoints, psRange);

Type Library
TeeChartx

Description
The EFunctionPeriodStyle Type defines the constants for Function period point or range association.

See PeriodStyle for a further description of use.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Values

psNumPoints = 0

psRange = 1


EFunctionType

type EFunctionType = (tfCopy, tfAdd, tfSubtract, tfMultiply, tfDivide, tfAverage, tfHigh, tfLow, tfMovavg, tfExpavg, tfMomentum, tfCurveFit, tfRSI, tfTrend, tfStdDeviation, tfCumulative, tfCount, tfExpTrend, tfExpMovAvg, tfMomentumDiv, tfRMS, tfMACD, tfStochastic, tfBollinger, tfADX, tfSmoothing, tfCustom, tfCompress, tfCrossPoints, tfCLV, tfOBV, tfCCI, tfPVO, tfPerformance, tfMode, tfMedian, tfCorrelation, tfVariance, tfPerimeter, tfDownSampleFun, tfSubset, tfHistogram, tfSAR, tfPercentChange, tfSlope, tfSkewness, tfKurtosis, tfSmoothedMovAvg, tfATR, tfRVI, tfAwesomeOscillator, tfAC, tfAlligator, tfGator, tfMoneyFlow, tfPareto);

Type Library
TeeChartx

Description
EFunctionType defines the possible values of the SetFunction method. functions are applied within given Period.

See note on use of Enum constants in differing development environments.

Values

0tfCopy = Copy function, duplicates input Series

1tfAdd = Add function (addition of all values in)

2tfSubtract = Subtract function (Subtraction in descending order of list of all input Series)

3tfMultiply = Multiply function (Multiplication of all input Series)

4tfDivide = Division function (Divides inputs in cascading fashion, 1st Series/2nd Series/3rd Series)

5tfAverage = Average Function

6tfHigh = High function (highest of all inputs)

7tfLow = Low Function (lowest of all inputs)

8tfMovavg = Moving Average Function calculated on group of Period points

9tfExpavg = See Exponential Average Function

10tfMomentum = Momentum Function (Period comparisons)

11tfCurveFit = Curve Fitting Function (Fits 'best curve' to input data)

12tfRSI = RSI Function relates incidence of 'highs' against 'lows' for CandleSeries.

13tfTrend = Trend Function (Fits 'best straight line' tendency of input data)

14tfStdDeviation = Standard Deviation Function Returns Standard deviation for input data.

15tfCumulative = Cumulative Function Builds a Cumulative result of input data.

16tfCount = Count Function A count of input Points.

17tfExpTrend = Exponential Trend

18tfExpMovAvg = Exponential Moving Average

19tfMomentumDiv = Momentum Division

20tfRMS = Root Mean Square

21tfMACD = Moving Average Convergence Divergence

22tfStochastic = Stochastic, for determiningrelationships between Highest and Lowest values

23tfBollinger = Bollinger, financial indicator

24tfADX = ADX, Average Direction Change (financial)

25tfSmoothing = Smoothing Spline function

26tfCustom = Custom y=f(x) function

27tfCompress = Compression OHLC (Candle) function

28tfCrossPoints = Cross Points function

29tfCLV = CLV (Accumulation/Distribution) financial function

30tfOBV = OBV (On Balance Volume) financial function

31tfCCI = CCI (Commodity Channel Index) financial function

32tfPVO = PVO (Percentage Volume Oscillator) financial function

33tfPerformance = Percentage difference between each source point and the first source point


EGanttToolPartBar

type EGanttToolPartBar = (pbStart, pbAll, pbEnd);

Type Library
TeeChartx

Description
Defines the part of a gantt bar that the user is dragging or resizing.

pbStart means the user is resizing the start edge (left) of a gantt bar.


EGaugePointerStyles

type EGaugePointerStyles = (gpHand, gpCenter, gpTick, gpMinorTick, gpColorLine);

Type Library
TeeChartx


EGaugeShapeStyle

type EGaugeShapeStyle = (gsSlice, gsEllipse, gsPolygon);

Type Library
TeeChartx


EGDIPlusFontQuality

type EGDIPlusFontQuality = (gpfBest, gpfDefault, gpfClearType, gpfNormal);

Type Library
TeeChartx


EGIFColorReduction

type EGIFColorReduction = (rmNone, rmWindows20, rmWindows256, rmWindowsGray, rmMonochrome, rmGrayScale, rmNetscape, rmQuantize, rmQuantize256);

Type Library
TeeChartx

Description
Determines the type of GIF colour reduction.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

rmNone = 0

rmWindows20 = 1

rmWindows256 = 2

rmWindowsGray = 3

rmMonochrome = 4

rmGrayScale = 5

rmNetscape = 6

rmQuantize = 7

rmQuantize256 = 8


EGIFCompression

type EGIFCompression = (gcLZW, gcRLE);

Type Library
TeeChartx

Description
Determines the typr of GIF Compression.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

gcLZW = 0

gcRLE = 1


EGIFDitherMode

type EGIFDitherMode = (dmNearest, dmFloydSteinberg, dmStucki, dmSierra, dmJaJuNI, dmSteveArche, dmBurkes);

Type Library
TeeChartx

Description
Determines the type of GIF dither mode.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

dmNearest = 0

dmFloydSteinberg = 1

dmStucki = 2

dmSierra = 3

dmJaJuNI = 4

dmSteveArche = 5

dmBurkes = 6


EGradientDirection

type EGradientDirection = (gdTopBottom, gdBottomTop, gdLeftRight, gdRightLeft, gdFromCenter, gdFromTopLeft, gdFromBottomLeft, gdRadial, gdDiagonalUp, gdDiagonalDown);

Type Library
TeeChartx

Description
EGradientDirection defines the possible values of the IGradient.Direction property.

See note on use of Enum constants in differing development environments.

Values

gdTopBottom = 0

gdBottomTop = 1

gdLeftRight = 2

gdRightLeft = 3

gdFromCenter = 4

gdFromTopLeft = 5

gdFromBottomLeft = 6


EGrayMethod

type EGrayMethod = (gmSimple, gmEye, gmEye2);

Type Library
TeeChartx

Description
Used by IGrayScaleFilter.Method property to convert pixels to their gray-scale equivalents.

Values

0 gmSimple

1 gmEye

2 gmEye2

Default value is gmSimple.


EGroupFormula

type EGroupFormula = (gfCount, gfSum);

Type Library
TeeChartx

Description
Used by DBCrossTabSource Formula property.

Determines if crosstab will acumulate dataset field values or will simply count records.


EHandStyle

type EHandStyle = (hsLine, hsTriangle);

Type Library
TeeChartx

Description
Defines the appearance of Gauge series hand line.

Used at Gauge series HandStyle property.


EHorizontalAxis

type EHorizontalAxis = (aTopAxis, aBottomAxis, aBothHorizAxis, aCustomHorizAxis);

Type Library
TeeChartx

Description
EHorizontalAxis defines the possible values of the Series.HorizontalAxis property. Most Series classes have Horizontal and Vertical dependent axis. You can choose a given Series to have the Horizontal Axis at Top or Bottom.

Default value: aAxis.Bottom

Values

aTopAxis = 0

aBottomAxis = 1

aBothHorizAxis = 2

aCustomHorizAxis = 3

See note on use of Enum constants in differing development environments.

You can set the HorizontalAxis property both at design and runtime:

LineSeries1.HorizontalAxis := aTopAxis ;


EJPEGPerformance

type EJPEGPerformance = (jpegBestQuality, jpegBestSpeed);

Type Library
TeeChartx

Description
EJPEGPerformance defines the possible values of the SaveToJPEGFile method.

Values

jpegBestQuality = 0

jpegBestSpeed = 1

See note on use of Enum constants in differing development environments.


ELanguage

type ELanguage = (laEnglish, laBrazilianPortuguese, laCatalan, laChineseSimple, laChineseTraditional, laDanish, laDutch, laFrench, laGerman, laItalian, laPortuguese, laRussian, laSpanish, laSwedish, laNorwegian, laJapanese, laPolish, laSlovene, laTurkish, laHungarian, laGalician, laArabic, laHebrew, laUkrainian, laKorean, laIndonesian, laFinnish, laSlovak, laHellenic, laRomanian, laSerbian, laFarsi, laCzech, laHindi, laUrdu, laMalaysian, laCroatian, laBulgarian);

Type Library
TeeChartx


ELegendAlignment

type ELegendAlignment = (laLeft, laRight, laTop, laBottom);

Type Library
TeeChartx

Description
ELegendAlignment defines the possible values of the Legend.Alignment property.

Values

laLeft = 0

laRight = 1

laTop = 2

laBottom = 3

See note on use of Enum constants in differing development environments.


ELegendPaletteAxis

type ELegendPaletteAxis = (laDefault, laOther, laBoth);

Type Library
TeeChartx

Description
Used by ILegendPaletteTool.Axis property.

Determines if legend will show the Left, Right or both Left and Right axes (for vertical orientation), or will show the Top, Bottom or both Top and Bottom axes (for horizontal orientation).

Values

0 laDefault

1 laOther

2 laBoth

Default value is laDefault.


ELegendStyle

type ELegendStyle = (lsAuto, lsSeries, lsValues, lsLastValues, lsSeriesGroups);

Type Library
TeeChartx

Description
ELegendStyle defines the possible values of the Legend.LegendStyle property.

The Chart Legend can draw either the Chart Series Titles or the first Series Values.

This feature is controlled through this property:

0 lsAuto Legend draws Series Titles if there's more than one Series in the TChart

1 lsSeriesLegend draws the Series Titles (also if there's only one Series in the chart.

2 lsValuesLegend draws the first Active Series values.

3 lsLastValuesLegend draws the Last Value of each Active Series (similar to lsSeries).

See note on use of Enum constants in differing development environments.


ELegendSymbolPosition

type ELegendSymbolPosition = (spLeft, spRight);

Type Library
TeeChartx

Description
Determines position of the Legend colour rectangles.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

spLeft = 0

spRight = 1


ELegendSymbolSize

type ELegendSymbolSize = (lcsPercent, lcsPixels);

Type Library
TeeChartx

Description
Determines the units by which ILegendSymbol.Width is measured.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

lcsPercent = 0

lcsPixels = 1


ELegendTextStyle

type ELegendTextStyle = (ltsPlain, ltsLeftValue, ltsRightValue, ltsLeftPercent, ltsRightPercent, ltsXValue, ltsValue, ltsPercent, ltsXAndValue, ltsXAndPercent, ltsXAndText, ltsXAndValueAndText);

Type Library
TeeChartx

Description
ELegendTextStyle defines the possible values of the Legend.TextStyle property.

Several formatting options can be selected when Legend draws the Series values: You can also delegate the Legend string construction by using the OnGetLegendText Chart event.

Values

0ltsPlainSummer

1ltsLeftValue1234 Summer

2ltsRightValueSummer 1234

3ltsLeftPercent5.1 % Summer

4ltsRightPercentSummer 5.1 %

5ltsXValue4321 (Applies only to Series with X values. See Series.AddXY method.)

See note on use of Enum constants in differing development environments.


ELightStyle

type ELightStyle = (lsLinear, lsSpotLight);

Type Library
TeeChartx

Description
Determines how is light calculated:

lsLinear Light is uniform around the Left Top position.

lsSpotLight Light is circular


ELinkageMethod

type ELinkageMethod = (lmNone, lmSingle, lmComplete, lmAverage, lmWard);

Type Library
TeeChartx


ELoadMode

type ELoadMode = (lmClear, lmAppend);

Type Library
TeeChartx

Description
ELoadMode determines the style to load the ISeriesXMLSource.

Integer value:-

mlClear = 0

mlAppend = 1


EMapMarksText

type EMapMarksText = (mtLabel, mtCode, mtBoth);

Type Library
TeeChartx


EMapRenderMode

type EMapRenderMode = (rmDefault, rm2D, rm3D);

Type Library
TeeChartx


EMarginsUnits

type EMarginsUnits = (maPercentFont, maPercentSize, maPixels);

Type Library
TeeChartx


EMarginUnits

type EMarginUnits = (muPercent, muPixels);

Type Library
TeeChartx

Description
Default value: muPercent

Determines the units of the four margin properties:

MarginLeft

MarginTop

MarginRight

MarginBottom

When MarginUnits is muPercent, chart margins are calculated as percentage of total chart width and height.

Percent margins are useful to obtain the same margin proportions, no matter the chart size.

When MarginUnits is muPixels, chart margins are just the pixel quantity.

Example:

TChart1.Panel.MarginUnits = muPixels

TChart1.Panel.MarginLeft = 10 // 10 pixels

TChart1.Panel.MarginRight = 10 // 10 pixels


EMarksLocation

type EMarksLocation = (mlStart, mlCenter, mlEnd);

Type Library
TeeChartx


EMarkStyle

type EMarkStyle = (smsValue, smsPercent, smsLabel, smsLabelPercent, smsLabelValue, smsLegend, smsPercentTotal, smsLabelPercentTotal, smsXValue, smsXY, smsSeriesTitle, smsPointIndex, smsPercentRelative, smsLabelPercentValue, smsLabelOrValue);

Type Library
TeeChartx

Description
EMarkStyle defines the possible values of the IMarks.Style property. Series Marks will draw a textual representation of each point values.

Values

0smsValue1234

1smsPercent12 %

2smsLabelCars

3smsLabelPercentCars 12 %

4smsLabelValueCars 1234

5smsLegend(Depends on LegendTextStyle)

6smsPercentTotal12 % of 1234

7smsLabelPercentTotalCars 12 % of 1234

8smsXValue{ 21/6/1996 }

See note on use of Enum constants in differing development environments.

You can choose both at design and runtime how this text will be constructed: LineSeries1.Marks.Style := smsPercent ;


EMarkToolMouseAction

type EMarkToolMouseAction = (mtmMove, mtmClick);

Type Library
TeeChartx

Description
Determines how the MarksTip Tool is activated.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

mtmMove = 0

mtmClick = 1


EMirrorDirection

type EMirrorDirection = (mdDown, mdUp, mdRight, mdLeft);

Type Library
TeeChartx

Description
EMirrorDirection defines the possible values of the MirrorFilter.MirrorDirection property. MirrorDirection property defines which direction will be used to display the mirrored image.


EMouseButton

type EMouseButton = (mbLeft, mbRight, mbMiddle);

Type Library
TeeChartx

Description
Determines Mouse Button type.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

mbLeft = 1

mbRight = 2

mbMiddle = 4


EMouseWheelStyle

type EMouseWheelStyle = (pmwNormal_, pmwInverted_, pmwNone_);

Type Library
TeeChartx


EMultiArea

type EMultiArea = (maNone, maStacked, maStacked100);

Type Library
TeeChartx

Description
EMultiArea defines the possible values of the MultiArea property.

Values

maNone = 0

maStacked = 1

maStacked100 = 2

See note on use of Enum constants in differing development environments.


EMultiBar

type EMultiBar = (mbNone, mbSide, mbStacked, mbStacked100, mbSideAll, mbSelfStack);

Type Library
TeeChartx

Description
EMultiBar defines the possible values of the CustomBarSeries.MultiBar property.

Values

mbNone = 0

mbSide = 1

mbStacked = 2

mbStacked100 = 3

mbSideAll = 4 Groups values of one Series together and place Series side by side

See note on use of Enum constants in differing development environments.


EMultiPie

type EMultiPie = (mpAutomatic, mpDisabled, mpConcentric);

Type Library
TeeChartx

Description
Used by IPieSeries MultiPie property.


EMultiRose

type EMultiRose = (mrNone, mrStacked);

Type Library
TeeChartx


ENearestToolStyle

type ENearestToolStyle = (hsNone, hsCircle, hsRectangle, hsDiamond, hsSeries);

Type Library
TeeChartx

Description
Determines the shape of the Nearest Tool.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

hsNone = 0

hsCircle = 1

hsRectangle = 2

hsDiamond = 3


EOrgLineStyle

type EOrgLineStyle = (lsSquared, lsDiagonal);

Type Library
TeeChartx

Description
Used by IOrgSeries.LineStyle property.

Determines how to draw lines between items and their child items.


EPaletteStyle

type EPaletteStyle = (psPale, psStrong, psGrayScale, psInvGray, psRainbow, psCustom);

Type Library
TeeChartx

Description
Determines Palette style.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

psPale = 0

psStrong = 1


EPanelBevel

type EPanelBevel = (bvNone, bvLowered, bvRaised);

Type Library
TeeChartx

Description
EPanelBevel defines the possible values of the BevelOuter and BevelInner properties.

See note on use of Enum constants in differing development environments.

Values

bvNone = 0

bvLowered = 1

bvRaised = 2


EPanMouseWheel

type EPanMouseWheel = (pmwNormal, pmwInverted, pmwNone);

Type Library
TeeChartx


EPenEndStyle

type EPenEndStyle = (esRound, esSquare, esFlat);

Type Library
TeeChartx

Description

Changes the plot of Pen end of lines. Changes notable when pens are wider than one pixel.


EPenJoinStyle

type EPenJoinStyle = (jsRound, jsBevel, jsMitter);

Type Library
TeeChartx


EPenLineMode

type EPenLineMode = (lmLine, lmCylinder, lmRectangle);

Type Library
TeeChartx

Description
Used by IChartAxisPen.LineMode property when OpenGL mode is active.

Values

0 lmLine

1 lmCylinder

2 lmRectangle

Default value is lmLine.


EPenMode

type EPenMode = (pmBlack, pmWhite, pmNop, pmNot, pmCopy, pmNotCopy, pmMergePenNot, pmMaskPenNot, pmMergeNotPen, pmMaskNotPen, pmMerge, pmNotMerge, pmMask, pmNotMask, pmXor, pmNotXor);

Type Library
TeeChartx

Description
Used by ICanvas.PenMode property. Determines which pen mode to use to draw on the canvas.

Values

0 pmBlack

1 pmWhite

2 pmNop

3 pmNot

4 pmCopy

5 pmNotCopy

6 pmMergePenNot

7 pmMaskPenNot

8 pmMergeNotPen

9 pmMaskNotPen

10 pmMerge

11 pmNotMerge

12 pmMask

13 pmNotMask

14 pmXor

15 pmNotXor

Default value is pmBlack.


EPieOtherStyle

type EPieOtherStyle = (poNone, poBelowPercent, poBelowValue);

Type Library
TeeChartx

Description
Sets the calculation of the Pie OtherSlice to be a percentage or absolute value.

See Style for a further description of use.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Values

poNone = 0

poBelowPercent = 1

poBelowValue = 2


EPieToolStyle

type EPieToolStyle = (ptFocus, ptExplode);

Type Library
TeeChartx

Description
Used by IPieTool Style property.

Default : ptFocus


EPixelFormat

type EPixelFormat = (pfDevice, pf1bit, pf4bit, pf8bit, pf15bit, pf16bit, pf24bit, pf32bit);

Type Library
TeeChartx

Description
BMP image pixel format.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

pfDevice = 0

pf1bit = 1

pf4bit = 2

pf8bit = 3

pf15bit = 4

pf16bit = 5

pf24bit = 6

pf32bit = 7


EPointerSizeUnits

type EPointerSizeUnits = (suPixels, suAxis);

Type Library
TeeChartx


EPointerStyle

type EPointerStyle = (psRectangle, psCircle, psTriangle, psDownTriangle, psCross, psDiagCross, psStar, psDiamond, psSmallDot, psNothing, psLeftTriangle, psRightTriangle, psHexagon, psVisual, psDonut, psArrow);

Type Library
TeeChartx

Description
EPointerStyle defines the possible values of the IPointer.Style property. This is the shape a Pointer has.

psRectangle = 0

psCircle = 1

psTriangle = 2

psDownTriangle = 3

psCross = 4

psDiagCross = 5

psStar = 6

psDiamond = 7

psSmallDot = 8

See note on use of Enum constants in differing development environments.

You can change the pointer Style both at design and runtime: PointSeries1.Pointer.Style := psTriangle ;


EPositionUnits
See also

type EPositionUnits = (puPercent, puPixels);

Type Library
TeeChartx

Description
Units used when positioning a Custom Axis.

See also:
IAxis.PositionUnits


EPrinterOrientation

type EPrinterOrientation = (poPortrait, poLandscape);

Type Library
TeeChartx

Description
EPrinterOrientation defines the possible values of the PrintOrientation method.

Possible values are:

0poPortraitThe job prints vertically on the page.

1poLandscapeThe job prints horizontally on the page.

See note on use of Enum constants in differing development environments.


ERotateToolStyle

type ERotateToolStyle = (rsAll, rsRotation, rsElevation);

Type Library
TeeChartx

Description
Used by Rotate tool to determine if mouse dragging should rotate and / or elevate chart.

Values

0 rsAll

1 rsRotation

2 rsElevation

Default value is : rsAll


ERSIStyle

type ERSIStyle = (rsiOpenClose, rsiClose);

Type Library
TeeChartx

Description
RSI Style.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

rsiOpenClose = 0

rsiClose = 1


EScopeCursorStyle

type EScopeCursorStyle = (scsRectangle, scsCircle, scsDiamond, scsEmpty, scsCamera);

Type Library
TeeChartx

Description
Used by ICursorTool.ScopeStyle property.

Defines the shape to draw around the Cursor XY position, only when the Cursor Style property is cssScope.

See also ScopeSize and Style properties.

Values

0 scsRectangle

1 scsCircle

2 scsDiamond

3 scsEmpty

4 scsCamera

Default value is scsRectangle.


EScrollBarDrawStyle

type EScrollBarDrawStyle = (dsAlways, dsWhenNeeded);

Type Library
TeeChartx

Description
Determines when the scrollbar will be displayed.

dsAlways The scrollbar will always be displayed, even if it's not necessary.

dsWhenNeeded The scrollbar will only be displayed when necessary, that is, when there are more legend items than space in the legend to display all of them.


EScrollDirection

type EScrollDirection = (sdRightLeft, sdLeftRight);

Type Library
TeeChartx

Description
Used by IBannerTool.ScrollDirection property.

Defines if text scrolling will go from left to right or from right to left.

Values

0 sdRightLeft

1 sdLeftRight

Default value is sdRightLeft ( from right to left ).


EScrollPagerAlign

type EScrollPagerAlign = (saAfter, saBefore, saCustom);

Type Library
TeeChartx


EScrollThumbStyle

type EScrollThumbStyle = (stsCustom, stsThumb1, stsThumb2, stsThumb3);

Type Library
TeeChartx

Description
Used by IScrollBarThumb.Style property to draw the scroll bar thumb using custom color and gradient, or a predefined picture.

Values

0 stsCustom

1 stsThumb1

2 stsThumb2

3 stsThumb3

Default value is stsCustom.


ESeriesAnimationLoop

type ESeriesAnimationLoop = (salNo, salOneWay, salCircular);

Type Library
TeeChartx

Description
Used by ISeriesAnimationTool.Loop property.

Defines how will the animation tool behave at the last animation step.

Values

0 salNo

1 salOneWay

2 salCircular

Default value is salNo.


ESeriesClass

type ESeriesClass = (scLine, scBar, scHorizBar, scArea, scPoint, scPie, scFastLine, scShape, scGantt, scBubble, scArrow, scCandle, scPolar, scSurface, scVolume, scErrorBar, scBezier, scContour, scError, scPoint3D, scRadar, scClock, scWindRose, scBar3D, scImageBar, scDonut, scTriSurface, scBox, scHorizBox, scHistogram, scColorGrid, scBarJoin, scHighLow, scWaterfall, scSmith, scPyramid, scMap, scHorizLine, scFunnel, scCalendar, scHorizArea, scPointFigure, scGauge, scVector3D, scTower, scPolarBar, scBubble3D, scHorizHistogram, scVolumePipe, scIsoSurface, scDarvas, scHighLowLine, scPolarGrid, scDeltaPoint, scImagePoint, scOrganizational, scWorld, scTagCloud, scKagi, scRenko, scNumericGauge, scLinearGauge, scCircularGauge, scBigCandle, scLinePoint, scKnob, scRose, scTernary, scTreeMap, scErrorPoint, scErrorPoint3D, scEquiVolume, scDoubleHorizBar, scPolarContour, scActivityGauge, scEqualizerSeries);

Type Library
TeeChartx

Description
ESeriesClass is used when adding new Series to a TChart. See TChart.AddSeries.

See note on use of Enum constants in differing development environments.

Values are

scLine = 0;

scBar = 1;

scHorizBar = 2;

scArea = 3;

scPoint = 4;

scPie = 5;

scFastLine = 6;

scShape = 7;

scGantt = 8;

scBubble = 9;

scArrow = 10;

scCandle = 11;

scPolar = 12;

scSurface = 13;

scVolume = 14;

scErrorBar = 15;

scBezier = 16;

scContour = 17;

scError = 18;

scPoint3D = 19;

scRadar = 20;

scClock = 21;

scWindRose = 22;

scBar3D = 23;

scImageBar = 24;

scDonut = 25;

scTriSurface = 26;

scBox = 27;

scHorizBox = 28;

scHistogram = 29;

scColorGrid = 30;

scBarJoin = 31;

scHighLow = 32;

scWaterfall = 33;

scSmith = 34;

scPyramid = 35;

scMap = 36;

scHorizLine = 37;

scFunnel = 38;

scCalendar = 39;

scHorizArea = 40;

scPointFigure = 41;

scGauge = 42;

scVector3D = 43;

scTower = 44;

scPolarBar = 45;

scBubble3D = 46;

scHorizHistogram = 47;

scVolumePipe = 48;

scIsoSurface = 49;

scDarvas = 50;

scHighLowLine = 51;

scPolarGrid = 52;

scDeltaPoint = 53;

scImagePoint = 54;

scOrganizational = 55;

scWorld = 56;

scTagCloud = 57;

scKagi = 58;

scRenko = 59;

scNumericGauge = 60;

scLinearGauge = 61;

scCircularGauge = 62;

scBigCandle = 63;

scLinePoint = 64;


ESeriesGroupActive

type ESeriesGroupActive = (gaYes, gaNo, gaSome);

Type Library
TeeChartx

Description
Defines the stlyes of the ISeriesGroup.

Integer values:-

gaYes = 0

gaNo = 1

gaSome = 2


EShapeCalloutSide

type EShapeCalloutSide = (csNone, csLeft, csTop, csRight, csBottom);

Type Library
TeeChartx


EShapeLayout

type EShapeLayout = (EShapeLayout_DUMMY);

Type Library
TeeChartx


EShapeStyle

type EShapeStyle = (chasRectangle, chasCircle, chasVertLine, chasHorizLine, chasTriangle, chasInvertTriangle, chasLine, chasDiamond, chasCube, chasCross, chasDiagCross, chasStar, chasPyramid, chasInvertPyramid);

Type Library
TeeChartx

Description
EShapeStyle defines the list of possible values for the ShapeSeries.Style property.

Values

0chasRectangleThe shape is a rectangle

1chasCircleThe shape is a circle

2chasVertLineThe shape is a vertical line

3chasHorizLineThe shape is an horizontal line

4chasTriangleThe shape is a triangle

5chasInvertTriangleThe shape is an inverted triangle

6chasLineThe shape is a line

7chasDiamondThe shape is a diamond

8 chasCube

9 chasCross

10 chasDiagCross

11 chasStar

12 chasPyramid

13 chasInvertPyramid

See note on use of Enum constants in differing development environments.


EShapeXYStyle

type EShapeXYStyle = (xysPixels, xysAxis, xysAxisOrigin);

Type Library
TeeChartx

Description
Values for EShapeXYStyle are

0xysPixels = X, Y Co-ordinates defined as pixels

1xysAxis = X, Y co-ordinates defined as axis values

2xysAxisOrigin = Top, Left co-ordinates in Axis values and width, height as pixels

See note on use of Enum constants in differing development environments.


EShiftState

type EShiftState = (ssShift, ssAlt, ssCtrl, ssNone);

Type Library
TeeChartx

Description
Determines the Shift state.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

ssShift = 1

ssAlt = 2

ssCtrl = 4

ssLeft = 8

ssRight = 16

ssMiddle = 5

ssDouble = 6


ESnapStyle

type ESnapStyle = (ssDefault, ssHorizontal, ssVertical);

Type Library
TeeChartx

Description
Used by ICursorTool. ICursorTool.SnapStyle property.

When a Cursor tool Snap property is True, SnapStyle property determines if the cursor will "jump" to existing series points as the user moves the mouse near them.

By default (ssDefault), when Snap is True, the cursor "jumps" to exact X (horizontal) and Y (vertical) point coordinates.

Values

0 ssDefault

1 ssHorizontal

2 ssVertical


EStreamType

type EStreamType = (stJpeg, stTeeTemplate);

Type Library
TeeChartx

Description
Stream type.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

stJpeg = 0

stTeeTemplate = 1


ETabPosition

type ETabPosition = (tpTop, tpBottom, tpLeft, tpRight);

Type Library
TeeChartx


ETabStyle

type ETabStyle = (tsTabs, tsButtons, tsFlatButtons);

Type Library
TeeChartx


ETagCloudOrder

type ETagCloudOrder = (toText, toValue, toNone);

Type Library
TeeChartx

Description
Used at ITagCloudSeries Sort method to order series tags alphabetically or by their value.


ETailAlign

type ETailAlign = (ttaNear, ttaCenter, ttaFar);

Type Library
TeeChartx


ETailEdge

type ETailEdge = (tteLeft, tteTop, tteRight, tteBottom);

Type Library
TeeChartx


ETeeCommanderControls

type ETeeCommanderControls = (tcbNormal, tcbSeparator, tcbRotate, tcbMove, tcbZoom, tcbDepth, tcbEdit, tcbPrintPreview, tcbCopy, tcbSave, tcbLabel, tcb3D);

Type Library
TeeChartx

Description
TeeCommander buttons.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

tcbNormal = 0

tcbSeparator = 1

tcbRotate = 2

tcbMove = 3

tcbZoom = 4

tcbDepth = 5

tcbEdit = 6

tcbPrintPreview = 7

tcbCopy = 8

tcbSave = 9

tcbLabel = 10

tcb3D = 11


ETeeEditorPage

type ETeeEditorPage = (epMain, epGeneral, epAxis, epTitles, epLegend, epPanel, epPaging, epWalls, epAspect, epSeriesGeneral, epSeriesMarks, epAllSeries, epSeriesData, epExport, epTools, epPrintPreview, epOpenGL);

Type Library
TeeChartx

Description
Sets the page to be opened first when the TeeEditor Chart Editor is opened.

See DefaultPage for a further description of use.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Values

epMain = 0

epGeneral = 1

epAxis = 2

epTitles = 3

epLegend = 4

epPanel = 5

epPaging = 6

epWalls = 7

ep3D = 8

epSeriesGeneral = 9

epSeriesMarks = 10


ETeePreviewPanelOrientation

type ETeePreviewPanelOrientation = (ppoDefault, ppoPortrait, ppoLandscape);

Type Library
TeeChartx

Description
Determine TeePreviewPanel orientation.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

ppoDefault = 0

ppoPortrait = 1

ppoLandscape = 2


ETeeVertAlign

type ETeeVertAlign = (vaTop, vaCenter, vaBottom);

Type Library
TeeChartx

Description
Determine Shape series text alignment.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

vaTop = 0

vaCenter = 1

vaBottom = 2


ETeeZoomDirection

type ETeeZoomDirection = (tzdHorizontal, tzdVertical, tzdBoth);

Type Library
TeeChartx

Description
Determine Zoom direction.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

tzdHorizontal = 0

tzdVertical = 1

tzdBoth = 2


ETernaryAxisScale

type ETernaryAxisScale = (tlasUnit, tlasPercent);

Type Library
TeeChartx


ETernaryFormat

type ETernaryFormat = (tlfTernary, tlfPiper);

Type Library
TeeChartx


ETernaryLegendStyle

type ETernaryLegendStyle = (tlsValues, tlsValuesBubble, tlsValuesBubbleWeight, tlsBubble, tlsBubbleWeight, tlsWeight);

Type Library
TeeChartx


ETernaryMarkStyle

type ETernaryMarkStyle = (tmsShort, tmsLong, tmsLongLabelled);

Type Library
TeeChartx


ETernaryStyle

type ETernaryStyle = (tsPoint, tsBubble);

Type Library
TeeChartx


ETextAlignment

type ETextAlignment = (aLeft, aRight, aCenter);

Type Library
TeeChartx

Description
Values for ETextAlignment are

0aLeft = Left align text

1aRight = Right align text

2aCenter = Centre text

See note on use of Enum constants in differing development environments.


ETextFormat

type ETextFormat = (ttfNormal, ttfHtml);

Type Library
TeeChartx


ETitleAlignment

type ETitleAlignment = (taLeftJustify, taRightJustify, taCenter);

Type Library
TeeChartx

Description
ETitleAlignment defines the possible values of the ITitles.Alignment property.

Values

taLeftJustify = 0

taRightJustify = 1

taCenter = 2

See note on use of Enum constants in differing development environments.


EToolClass

type EToolClass = (tcCursor, tcDragMarks, tcAxisArrow, tcDrawLine, tcNearest, tcColorband, tcColorLine, tcRotate, tcMarksTip, tcChartImage, tcAnnotate, tcPageNumber, tcGridTranspose, tcExtraLegend, tcSeriesAnimation, tcGantt, tcGridBand, tcPie, tcDragPoint, tcLegendScrollBar, tcLight, tcSurfaceNearest, tcAxisScroll, tcSeriesBand, tcSelector, tcRectangle, tcDataTable, tcClipSeries, tcSeriesStats, tcVideo, tcVideoPlayer, tcTransposeSeries, tcSeriesRegion, tcAntiAlias, tcFader, tcFrame, tcMagnify, tcLegendPalette, tcBanner, tcText3D, tcSubChart, tcLink, tcFibonacci, tcFullScreen, tcAxisBreaks, tcClustering, tcRepaintMonitor, tcArrow, tcScrollPager, tcAxisScrollBar);

Type Library
TeeChartx

Description
Determine Tool class.

Not all development environments support the direct call of TeeChart's Enum constants by name. See note on use of Enum constants for VBScript, MS VC++.

Integer Values:

tcCursor = 0

tcDragMarks = 1

tcAxisArrow = 2

tcDraw = 3

tcHints = 4

tcColorband = 5

tcColorLine = 6

tcRotate = 7

tcMarksTip = 8

tcChartImage = 9

tcAnnotate = 10

tcPageNumber = 11

tcGridTranspose = 12

tcExtraLegend = 13

tcSeriesAnimation = 14

tcGantt = 15

tcGridBand = 16

tcPie = 17

tcDragPoint = 18

tcLegendScrollBar = 19

tcLight = 20

tcSurfaceNearest = 21

tcAxisScroll = 22

tcSeriesBand = 23

tcSelector = 24

tcRectangle = 25

tcDataTable = 26

tcClipSeries = 27

tcSeriesStats = 28

tcVideo = 29

tcVideoPlayer = 30

tcTransposeSeries = 31

tcSeriesRegion = 32

tcAntiAlias = 33

tcFader = 34

tcFrame = 35

tcMagnify = 36

tcLegendPalette = 37

tcBanner = 38

tcText3D = 39

tcSubChart = 40

tcLink = 41

tcFibonacci = 42

tcFullScreen = 43


ETowerStacked

type ETowerStacked = (tsNone_, tsStacked, tsStacked100);

Type Library
TeeChartx


ETowerStyle

type ETowerStyle = (tsCube, tsRectangle, tsCover, tsCylinder, tsArrow, tsCone, tsPyramid, tsSlantCube);

Type Library
TeeChartx

Description
The drawing style to display Tower series points.

See Tower series TowerStyle property.


ETransformFade

type ETransformFade = (tfNone, tfIn, tfOut);

Type Library
TeeChartx


ETransformScale

type ETransformScale = (tsNone, tsHorizontal, tsVertical, tsBoth);

Type Library
TeeChartx


ETransformTranslate

type ETransformTranslate = (ttFromLeft, ttFromRight, ttFromTop, ttFromBottom, ttFromTopLeft, ttFromTopRight, ttFromBottomLeft, ttFromBottomRight, ttNone);

Type Library
TeeChartx


ETransformZoom

type ETransformZoom = (tzNone, tzIn, tzOut);

Type Library
TeeChartx


ETreatNullsStyle

type ETreatNullsStyle = (tnDontPaint, tnSkip, tnIgnore);

Type Library
TeeChartx

Description
Default value is tnDontPaint.

Determines how empty (null) point values are handled by series using the series TreatNulls property.

See also:

SetNull method.

IsNull function.

Each series displays null points in a different way.

For example, for Line and HorizLineseries:

  • tnDontPaint means the line between a non-null and a null point is displayed but the line from the null point to the next point is not displayed.

  • tnSkip means the lines between a non-null point and the null point and the next non-null point are not displayed.

tnIgnore means all points are considered non-null.


ETreeMapTiling

type ETreeMapTiling = (tmSlice, tmStrip);

Type Library
TeeChartx


ETypeFitting

type ETypeFitting = (cfPolynomial, cfLogarithmic, cfExponential);

Type Library
TeeChartx

Description
ETypeFitting defines the possible values of the TypeFitting property.

Value

cfPolynomial = 0

cfLogarithmic = 1

cfExponential = 2

See note on use of Enum constants in differing development environments.


EValueListOrder

type EValueListOrder = (loNone, loAscending, loDescending);

Type Library
TeeChartx

Description
EValueListOrder defines the possible values of the IValueList.Order property.

Values

loNone = 0

loAscending = 1

loDescending = 2

See note on use of Enum constants in differing development environments.


EVerticalAxis

type EVerticalAxis = (aLeftAxis, aRightAxis, aBothVertAxis, aCustomVertAxis);

Type Library
TeeChartx

Description
EVerticalAxis defines the possible values of the TChartSeries.VerticalAxis property. Most Series components have Horizontal and Vertical dependent axis. You can choose a given Series to have the Vertical Axis at Left or Right.

Default value: aLeftAxis

Values

aLeftAxis = 0

aRightAxis = 1

aBothVertAxis = 2

aCustomVertAxis = 3

See note on use of Enum constants in differing development environments.

You can set the VerticalAxis property both at design and runtime:

TChart1.Series( 0 ).VerticalAxis = aRightAxis


EWorldMap

type EWorldMap = (wmWorld, wmAfrica, wmAsia, wmAustralia, wmCentralAmerica, wmEurope, wmEurope15, wmEurope27, wmSpain, wmMiddleEast, wmNorthAmerica, wmSouthAmerica, wmUSA, wmUSAHawaiiAlaska, wmEurasia, wmUK, wmGermany, wmUSACounties, wmUSAAlaskaCounties, wmJapan, wmChina, wmFrance);

Type Library
TeeChartx

Description
Used by IWorldSeries.Map property.

Defines the map to load and display.


TeePointD

TeePoint2D
See also

type TeePoint2D = record;

Type Library
TeeChartx

Description

Structure holds X,Y values returned from AngleToPoint Circle Series method.

See also:
ICircledSeries.AngleToPoint


TeeRect

type TeeRect = record;

Type Library
TeeChartx

Description

TeeRect = packed record

Left: Integer;

Top: Integer;

Right: Integer;

Bottom: Integer;

end;

TeeRect is used with the ITeeCustomShape Shapebounds property to define the boundaries of the Shape.


TNotifyEvent

type TNotifyEvent = procedure(Sender: TObject) of object;

Type Library
TeeChartx

Description

Triggers event passing calling object to TChart.


TTChartOnAddSeries

type TTChartOnAddSeries = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
Triggered just after Series is added.


TTChartOnAllowScroll

type TTChartOnAllowScroll = procedure(ASender: TObject; Axis: EAxisType; Var AMin, AMax: Double; Var AllowScroll: WordBool) of object;

Type Library
TeeChartx

Description
When scrolling is enabled, the TTChartOnAllowScroll event fires when the chart is scrolled.


TTChartOnAnnotationToolClick

type TTChartOnAnnotationToolClick = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
The TTChartOnAnnotationToolClick is fired when an annotation tool has been clicked.


TTChartOnAxisArrowToolClick

type TTChartOnAxisArrowToolClick = procedure(ASender: TObject; ToolIndex: Integer; AtStart: WordBool) of object;

Type Library
TeeChartx

Description
Called when the end user clicks an arrow.


TTChartOnCalendarSeriesChange

type TTChartOnCalendarSeriesChange = procedure(ASender: TObject; Series: Integer; Value: Double) of object;

Type Library
TeeChartx

Description
The TTChartOnCalendarSeriesChange event notifies that the end-user has clicked on a

different calendar day.

The Value parameter specifies the new day. You have the opportunity to modify

this value thus overriding the user day change.


TTChartOnClickAxis

type TTChartOnClickAxis = procedure(ASender: TObject; Axis: Integer; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnClickAxis event occurs whenever the user clicks near to a Chart axis subcomponent.

The Axis parameter is the corresponding clicked Chart axis. It can be the LeftAxis, RightAxis, TopAxis or BottomAxis Chart subcomponent.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the axis was clicked.

This event has a higher priority than the TTChartOnClickBackGround event and lower priority than the TTChartOnClickSeries event.


TTChartOnClickBackground

type TTChartOnClickBackground = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnClickBackGround event occurs whenever the user clicks onto a Chart space outside Axis, Series points or Chart Legend.

It has the lowest priority of all other mouse events.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Chart was clicked.


TTChartOnClickLegend

type TTChartOnClickLegend = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnClickLegend event occurs whenever the user clicks onto Chart Legend rectangle.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Chart Legend was clicked.


TTChartOnClickSeries

type TTChartOnClickSeries = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnClickSeries event occurs whenever the user clicks onto any Chart Series point. The SeriesIndex parameter is the corresponding clicked Series component, and the ValueIndex parameter refers to the exact clicked point in the Series. The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Series point was clicked.

WARNING:

Use the StopMouse property to control how the mouse button behaves with dual modes (scroll or zoom after a ClickOnSeries event)


TTChartOnColorBandToolClick

type TTChartOnColorBandToolClick = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
The TTChartOnColorBandToolClick is fired when an band tool has been clicked.


TTChartOnCompressFunctionGetDate

type TTChartOnCompressFunctionGetDate = procedure(ASender: TObject; FunctionSeriesIndex, SourceSeriesIndex, ValueIndex: Integer; Var D: TDateTime) of object;

Type Library
TeeChartx

Description
Event called by the compression function to give the application the opportunity to supply custom date values, instead of using the default date values from the OHLC source series.


TTChartOnCursorToolChange

type TTChartOnCursorToolChange = procedure(ASender: TObject; Tool, X, Y: Integer; XVal, YVal: Double; Series, ValueIndex: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnCursorToolChange event occurs when the Cursor Tool position is changed by the user or programmatically.


TTChartOnCursorToolSnapChange

type TTChartOnCursorToolSnapChange = procedure(ASender: TObject; Tool, X, Y: Integer; XVal, YVal: Double; Series, ValueIndex: Integer) of object;

Type Library
TeeChartx

Description
Event triggered when the user clicks on the annotation boundaries.


TTChartOnDatabaseRecord

type TTChartOnDatabaseRecord = procedure(ASender: TObject; SeriesIndex, Index: Integer; Var StopRetrieve: WordBool) of object;

Type Library
TeeChartx

Description
Fired after a database record has been retrieved and added to series.


TTChartOnDataTableToolFilterSeries

type TTChartOnDataTableToolFilterSeries = procedure(ASender: TObject; SeriesIndex: Integer; Var Accept: WordBool) of object;

Type Library
TeeChartx


TTChartOnDragDrop

type TTChartOnDragDrop = procedure(ASender: TObject; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Use the TTChartOnDragDrop event handler to specify what happens when the user drops an object on a TChart. The X and Y parameters are the coordinates of the mouse positioned over the TChart control.


TTChartOnDragMarksToolDraggedMark

type TTChartOnDragMarksToolDraggedMark = procedure(ASender: TObject; Index: Integer; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Event called when the end user releases the mouse button after drag the mark.


TTChartOnDragMarksToolDraggingMark

type TTChartOnDragMarksToolDraggingMark = procedure(ASender: TObject; Index: Integer; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Event called when the end user is moving the mouse dragging a mark.

You can use the chart OnMouseDown and OnMouseUp events to recognize when the end user starts and finishes a dragging operation.


TTChartOnDragOver

type TTChartOnDragOver = procedure(ASender: TObject; X, Y: Integer; State: EDragState; Var Accept: WordBool) of object;

Type Library
TeeChartx

Description
Use a TTChartOnDragOver event to signal that the control can accept a dragged object so the user can drop or dock it.

Within the OnDragOver event, change the Accept parameter to False to reject the dragged object. Leave Accept as True to allow the user to drop or dock the dragged object on the control.

X and Y are screen coordinates in pixels. The State parameter specifies how the dragged object is moving over the control.

Note:Within the TTChartOnDragOver event, the Accept parameter defaults to True. However, if a TTChartOnDragOver event is not supplied, the TChart control rejects the dragged object, as if the Accept parameter were changed to False.


TTChartOnDragPointToolDragPoint

type TTChartOnDragPointToolDragPoint = procedure(ASender: TObject; Index: Integer) of object;

Type Library
TeeChartx

Description
TTChartOnDragPointToolDragPoint is fired when a point of the series is dragged.


TTChartOnDragPointToolEndDrag

type TTChartOnDragPointToolEndDrag = procedure(ASender: TObject; Index: Integer; start: WordBool) of object;

Type Library
TeeChartx


TTChartOnDragPointToolStartDrag

type TTChartOnDragPointToolStartDrag = procedure(ASender: TObject; Index: Integer; start: WordBool) of object;

Type Library
TeeChartx


TTChartOnDrawAxisLabel

type TTChartOnDrawAxisLabel = procedure(ASender: TObject; Axis, X, Y: Integer; Var LabelText: WideString) of object;

Type Library
TeeChartx

Description
The Axis "OnDrawLabel" event can be used for multiple purposes.

It is called just before the axis is going to draw a label.

Used when customising axis labels.


TTChartOnDrawLineToolSelecting

type TTChartOnDrawLineToolSelecting = procedure(ASender: TObject; Index: Integer; AllowSelect: WordBool) of object;

Type Library
TeeChartx

Description
TTChartOnDrawLineToolSelecting is called when DrawLineTool is selected, for example, when dragging a line with the mouse


TTChartOnEndDrag

type TTChartOnEndDrag = procedure(ASender: TObject; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Use the OnEndDrag event to specify any special processing that occurs when dragging stops.


TTChartOnFunctionCalculate

type TTChartOnFunctionCalculate = procedure(ASender: TObject; SeriesIndex: Integer; X: Double; Var Y: Double) of object;

Type Library
TeeChartx

Description
Use for OnFunctionCalculate event. Includes variables required to modify Series data value.


TTChartOnGanttToolDragBar

type TTChartOnGanttToolDragBar = procedure(ASender: TObject; Tool, GanttBar: Integer) of object;

Type Library
TeeChartx

Description
Event called when dragging a gantt bar.


TTChartOnGanttToolResizeBar

type TTChartOnGanttToolResizeBar = procedure(ASender: TObject; Tool, GanttBar: Integer; BarPart: EGanttToolPartBar) of object;

Type Library
TeeChartx

Description
Event called when resizing a gantt bar.


TTChartOnGaugeChange

type TTChartOnGaugeChange = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
Called when the gauge Value property is changed.


TTChartOnGetAxisLabel

type TTChartOnGetAxisLabel = procedure(ASender: TObject; Axis, SeriesIndex, ValueIndex: Integer; Var LabelText: WideString) of object;

Type Library
TeeChartx

Description
A TTChartOnGetAxisLabel Event is triggered for each Axis Label painted. There are two different uses for OnGetAxisLabel:

1) : Labels.Style = talValue. Is this case, the SeriesIndex parameter and the ValueIndex parameter will be -1.

2) : Labels.Style = talText or talMark. The SeriesIndex parameter will be a valid TChartSeries, and the ValueIndex will be the current Series point position. You can change the LabelText referred parameter for drawing a different Axis Label.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Axis.Bottom.Labels.Style = talText

.Axis.Bottom.Labels.Angle = 90

.Panel.MarginBottom = 20

End With

End Sub

Private Sub TChart1_OnGetAxisLabel(ByVal Axis As Long, ByVal SeriesIndex As Long, ByVal ValueIndex As Long, LabelText As String)

If Axis = atBottom Then

Select Case ValueIndex

Case 0, 1, 2, 3, 4

LabelText = "1st Quarter"

Case 5, 6, 7, 8, 9

LabelText = "2nd Quarter"

End Select

End If

End Sub


TTChartOnGetLegendPos

type TTChartOnGetLegendPos = procedure(ASender: TObject; ItemIndex: Integer; Var X, Y, XColor: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnGetLegendPos event occurs whenever a Legend item is going to be displayed.

You can used this event to force specific X , Y and / or XColor Legend pixel coordinates.

The Chart component calculates the default X,Y and XColor parameters before calling this event.

The Index parameter corresponds to the specific Legend item number going to be displayed. It can be either an Active Series Title or a Series point index, depending on the ILegend.LegendStyle property.


TTChartOnGetLegendRect

type TTChartOnGetLegendRect = procedure(ASender: TObject; Var Left, Top, Right, Bottom: Integer) of object;

Type Library
TeeChartx

Description
A TTChartOnGetLegendRect event occurs whenever the Chart Legend is going to be displayed.

You can use this event to force an specific Legend position and dimensions.

The Left, Top, Right and Bottom parameters determine the default Legend position and dimensions in screen pixels.

After drawing the Legend, the available Chart space will be decreased to not overlap with Legend unless you set the ILegend.ResizeChart property to False.

When using this event you'll need to use the TTChartOnGetLegendPos event as well, to supply the exact coordinates for each Legend item.


TTChartOnGetLegendText

type TTChartOnGetLegendText = procedure(ASender: TObject; LegendStyle, ValueIndex: Integer; Var LegendText: WideString) of object;

Type Library
TeeChartx

Description
You can use this event to override the text strings that TChartLegend paints.

ILegend has two different modes (or LegendStyles):

lsSeries Legend contains Series Names or Titles.

lsValues Legend contains a Series values or labels.

If the LegendStyle is lsAuto, TChartLegend paints in lsSeries mode if more than one Active Series exists in the Chart.


TTChartOnGetNextAxisLabel

type TTChartOnGetNextAxisLabel = procedure(ASender: TObject; Axis, LabelIndex: Integer; Var LabelValue: Double; Var MoreLabels: WordBool) of object;

Type Library
TeeChartx

Description
A TTChartOnGetNextAxisLabel event is used to define custom Axis Labels. Using this event you can customize Axis Labels positions and values.

This event gets called in a loop until you set the MoreLabels parameter to False OR the LabelValue parameter is BIGGER than the Axis Maximum value.

The MoreLabels parameter is False by default, meaning that if it's not set to True the first time this event gets called, TeeChart will draw the default Axis Labels.

The Axis parameter specifies the Axis subcomponent. It can be the Chart atLeft, atRight, atTop or atBottom axis components.

The LabelIndex parameter is an incremental counter for you to know which Label the event is asking for a value.

The LabelValue parameter must be filled with the desired Axis Label value.

You can use the TTChartOnGetAxisLabel event to override the default Axis Labels text with your preferred Axis Label string representation.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

End Sub

Private Sub TChart1_OnGetNextAxisLabel(ByVal Axis As Long, ByVal LabelIndex As Long, LabelValue As Double, MoreLabels As Boolean)

If Axis = atLeft Then

MoreLabels = True

'Only label if following cases are true

Select Case LabelIndex

Case 0: LabelValue = 11

Case 1: LabelValue = 119

Case 2: LabelValue = 130

Case Else: MoreLabels = False

End Select

End If

End Sub


TTChartOnGetSeriesBarStyle

type TTChartOnGetSeriesBarStyle = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer; Var BarStyle: EBarStyle) of object;

Type Library
TeeChartx

Description
The OnGetSeriesBarStyle event is called for every Bar that's going to be displayed. You can specify a different Bar style for each Bar point. Using this event overrides the BarStyle property.


TTChartOnGetSeriesCircleLabel

type TTChartOnGetSeriesCircleLabel = procedure(ASender: TObject; SeriesIndex: Integer; Angle: Double; Index: Integer; Var Text: WideString) of object;

Type Library
TeeChartx


TTChartOnGetSeriesContourLevel

type TTChartOnGetSeriesContourLevel = procedure(ASender: TObject; SeriesIndex, LevelIndex: Integer; Var LevelValue: Double; Var LevelColor: OLE_COLOR) of object;

Type Library
TeeChartx

Description
Use this event to make Level related changes before adding Level.


TTChartOnGetSeriesMark

type TTChartOnGetSeriesMark = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer; Var MarkText: WideString) of object;

Type Library
TeeChartx

Description
This event notifies the user that a MarkText String must be supplied. MarkText string contains the default text representation. You can alter MarkText for the SeriesIndex to paint a customized mark.


TTChartOnGetSeriesPointerStyle

type TTChartOnGetSeriesPointerStyle = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer; Var AStyle: EPointerStyle) of object;

Type Library
TeeChartx

Description
This event notifies the user that a EPointerStyle must be supplied. The AStyle variant contains the default EPointerStyle representation. You can alter AStyle for the SeriesIndex and ValueIndex to paint a customized EPointerStyle.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scBubble

.Series(0).FillSampleValues 10

End With

End Sub

Private Sub TChart1_OnGetSeriesPointerStyle(ByVal SeriesIndex As Long, ByVal ValueIndex As Long, AStyle As TeeChart.EPointerStyle)

If Series = 0 Then

With TChart1

If ValueIndex = 2 Then

AStyle = psStar

Else

AStyle = psCircle

End If

End With

End If

End Sub


TTChartOnImageSeriesGetImage

type TTChartOnImageSeriesGetImage = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer; Var Picture: ITeePicture) of object;

Type Library
TeeChartx

Description
An event is triggered for each Point drawn. Use OnImageSeriesGetImage event to provide different images per point.


TTChartOnKeyDown
See also

type TTChartOnKeyDown = procedure(ASender: TObject; KeyCode: Integer; Shift: EShiftState) of object;

Type Library
TeeChartx

Description

For KeyDown and KeyUp events, passes the keycode and the Shiftstate

See also:
ITChart.OnKeyDown, ITChart.OnKeyUp


TTChartOnKeyUp
See also

type TTChartOnKeyUp = procedure(ASender: TObject; KeyCode: Integer; Shift: EShiftState) of object;

Type Library
TeeChartx

Description

For KeyDown and KeyUp events, passes the keycode and the Shiftstate

See also:
ITChart.OnKeyDown, ITChart.OnKeyUp


TTChartOnLegendDrawSymbol

type TTChartOnLegendDrawSymbol = procedure(ASender: TObject; Series, ValueIndex, Left, Top, Right, Bottom: Integer) of object;

Type Library
TeeChartx

Description
The Legend.Symbol "OnDraw" event can be used to customize the display

of legend symbols.


TTChartOnMarkTipToolGetText

type TTChartOnMarkTipToolGetText = procedure(ASender: TObject; Tool: Integer; Var Text: WideString) of object;

Type Library
TeeChartx

Description
Triggered when getting text for Mark Tip. Use this event to modify the text at runtime.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scPoint

.Series(0).FillSampleValues 10

.Tools.Add tcMarksTip

With .Tools.Items(0).asMarksTip

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnMarkTipToolGetText(ByVal Tool As Long, Text As String)

If Tool = 0 Then

Text = Text & " kilos"

End If

End Sub


TTChartOnMouseDown

type TTChartOnMouseDown = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Use the TTChartOnMouseDown event to implement any special processing that should occur as a result of pressing a mouse button.

The TTChartOnMouseDown event can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the Panel area of the TChart.


TTChartOnMouseEnterSeries

type TTChartOnMouseEnterSeries = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
This event is called when the mouse cursor "enters" into any point of the series.

The OnMouseLeaveSeries event is called when the mouse cursor "leaves" (exits) the series.

Example [Visual Basic]:

Private Sub TChart1_OnMouseEnterSeries(ByVal SeriesIndex As Long)

Dim clicked As Long

clicked = TChart1.Series(SeriesIndex).GetMousePoint

' Show Series name and point index and value

Label1.Caption = "Series: " + TChart1.Series(SeriesIndex).Name + _

" point:" + Str(clicked) + _

" value:" + Str(TChart1.Series(SeriesIndex).YValues.Value(clicked))

End Sub

Private Sub TChart1_OnMouseLeaveSeries(ByVal SeriesIndex As Long)

Label1.Caption = ""

End Sub


TTChartOnMouseLeaveSeries

type TTChartOnMouseLeaveSeries = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
This event is called when the mouse cursor "leaves" (exits) from any point of the series.

The OnMouseEnterSeries event is called when the mouse cursor "enters" the series.

Example [Visual Basic]:

Private Sub TChart1_OnMouseEnterSeries(ByVal SeriesIndex As Long)

Dim clicked As Long

clicked = TChart1.Series(SeriesIndex).GetMousePoint

' Show Series name and point index and value

Label1.Caption = "Series: " + TChart1.Series(SeriesIndex).Name + _

" point:" + Str(clicked) + _

" value:" + Str(TChart1.Series(SeriesIndex).YValues.Value(clicked))

End Sub

Private Sub TChart1_OnMouseLeaveSeries(ByVal SeriesIndex As Long)

Label1.Caption = ""

End Sub


TTChartOnMouseMove

type TTChartOnMouseMove = procedure(ASender: TObject; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Use the TTChartOnMouseMove event to respond when the mouse pointer moves after the TChart control has captured the mouse.

Use the Shift parameter of the TTChartOnMouseMove event to determine to the state of the shift keys and mouse buttons. Shift keys are the Shift, Ctrl, and Alt keys or shift key-mouse button combinations. X and Y are pixel coordinates of the new location of the mouse pointer in the Panel area of the TChart.


TTChartOnMouseUp

type TTChartOnMouseUp = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
Use a TTChartOnMouseUp event to implement special processing when the user releases a mouse button.

The TTChartOnMouseUp event can respond to left, right, or center mouse button presses and shift key plus mouse-button combinations. Shift keys are the Shift, Ctrl, and Alt keys. X and Y are the pixel coordinates of the mouse pointer in the Panel area of the TChart.


TTChartOnRectangleToolClick

type TTChartOnRectangleToolClick = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
TTChartOnRectangleToolClick is fired when a Rectangle tool has been clicked.


TTChartOnRemoveSeries

type TTChartOnRemoveSeries = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
Triggered just after Series is removed.


TTChartOnScrollPagerScroll

type TTChartOnScrollPagerScroll = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx


TTChartOnSeriesAfterAdd

type TTChartOnSeriesAfterAdd = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer) of object;

Type Library
TeeChartx

Description
This event is triggered whenever a new point has been Added or Inserted.You can use it for all the Series in the Chart by using the SeriesIndex value.


TTChartOnSeriesAfterDrawValues

type TTChartOnSeriesAfterDrawValues = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
The TTChartOnSeriesAfterDrawValues event is called just after the Series points have been painted. You can then paint on the Chart.Canvas your customized drawings.

WARNING:

Do not change Series properties that would force the Series to be repainted. This may cause recursion and endless repainting !


TTChartOnSeriesAnimationToolStep

type TTChartOnSeriesAnimationToolStep = procedure(ASender: TObject; Tool, Step: Integer) of object;

Type Library
TeeChartx

Description
Event called at each animation step.


TTChartOnSeriesBeforeAdd

type TTChartOnSeriesBeforeAdd = procedure(ASender: TObject; SeriesIndex: Integer; Var MoreValues: WordBool) of object;

Type Library
TeeChartx

Description
Every Series component has an OnBeforeAdd event. This event is triggered whenever a new point is going to be Added or Inserted. You can delegate this event in your Form's code to, for example, control if new points will be really added to the Series. This event also happens when a Series component is connected to a Table or Query.


TTChartOnSeriesBeforeDrawValues

type TTChartOnSeriesBeforeDrawValues = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
The TTChartOnSeriesBeforeDrawValues event is called just before the Series points will be painted.You can then paint on the Chart.Canvas your customized drawings.

WARNING:

Do not change Series properties that would force the Series to be repainted. This may cause recursion and endless repainting !


TTChartOnSeriesClickPointer

type TTChartOnSeriesClickPointer = procedure(ASender: TObject; SeriesIndex, ValueIndex, X, Y: Integer) of object;

Type Library
TeeChartx

Description
The TTChartOnSeriesClickPointer Event type points to a method that notifies a ICustomSeries component that an event has occurred.

It is used by the OnSeriesClickPointer Event.


TTChartOnSeriesClickPointerD

TTChartOnSeriesClickPointer3D

type TTChartOnSeriesClickPointer3D = procedure(ASender: TObject; SeriesIndex, ValueIndex, X, Y: Integer) of object;

Type Library
TeeChartx

Description
Use with IPoint3DSeries.OnSeriesClickPointer3D event.


TTChartOnSurfaceSeriesGetYValue

type TTChartOnSurfaceSeriesGetYValue = procedure(ASender: TObject; SeriesIndex, X, Z: Integer; Var Y: Double) of object;

Type Library
TeeChartx


TTChartOnTagCloudSeriesDrawTag

type TTChartOnTagCloudSeriesDrawTag = procedure(ASender: TObject; SeriesIndex, ValueIndex: Integer) of object;

Type Library
TeeChartx


TTeeListBoxOnChangeActive

type TTeeListBoxOnChangeActive = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
TTeeListBoxOnChangeActive is called when another itemin the TeeListBox has been selected.


TTeeListBoxOnChangeColor

type TTeeListBoxOnChangeColor = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
Event called when the user double-clicks a color symbol in the TeeListBox, to edit the series color.


TTeeListBoxOnChangeOrder

type TTeeListBoxOnChangeOrder = procedure(ASender: TObject; SeriesIndex1, SeriesIndex2: Integer) of object;

Type Library
TeeChartx

Description
Triggered when a series in the listbox is exchanged with another series (series order in the list is changed)


TTeeListBoxOnDblClickSeries

type TTeeListBoxOnDblClickSeries = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
Event triggered by a DoubleClick on a Series in the TChartListbox, where SeriesIndex is the Series index dblclicked.


TTeeListBoxOnMouseDown

type TTeeListBoxOnMouseDown = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
TTeeListBoxOnMouseDown is called when the mouse is down.


TTeeListBoxOnMouseMove

type TTeeListBoxOnMouseMove = procedure(ASender: TObject; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
TTeeListBoxOnMouseDown is called when the mouse is moved over the TeeListBox.


TTeeListBoxOnMouseUp

type TTeeListBoxOnMouseUp = procedure(ASender: TObject; Button: EMouseButton; Shift: EShiftState; X, Y: Integer) of object;

Type Library
TeeChartx

Description
TTeeListBoxOnMouseDown is called when the mouse is released.


TTeeListBoxOnRemovedSeries

type TTeeListBoxOnRemovedSeries = procedure(ASender: TObject; SeriesIndex: Integer) of object;

Type Library
TeeChartx

Description
This event is triggered when a Series is removed from a Chart.

Removing a Series can be done clicking the "Del" key on a TeeListBox.


TTeePreviewPanelOnChangeMargins

type TTeePreviewPanelOnChangeMargins = procedure(ASender: TObject; DisableProportional: WordBool; Left, Top, Right, Bottom: Integer) of object;

Type Library
TeeChartx

Description
The TTeePreviewPanelOnChangeMargins event is called when the position of a margin has changed.


TeeChartx

Type Library TeeChartx

Interfaces
IACFunction
IActivityDonut
IActivityGauge
IAddFunction
IADXFunction
IAlligatorFunction
IAmountFilter
IAnimationList
IAnimations
IAnnotationCallout
IAnnotationTool
IAntiAliasTool
IAOFunction
IAreaSeries
IArrowSeries
IArrowTool
IAspect
IATRFunction
IAutomaticText
IAverageFunction
IAxes
IAxis
IAxisArrowTool
IAxisBreak
IAxisBreaks
IAxisBreaksTool
IAxisGridPen
IAxisLabels
IAxisLabelsItem
IAxisScrollBarTool
IAxisScrollTool
IAxisTitle
IBackImage
IBannerTool
IBar3DSeries
IBarJoinSeries
IBarSeries
IBaseClustering
IBaseHighLowSeries
IBevelFilter
IBezierSeries
IBlurFilter
IBMPExport
IBollingerFunction
IBoxPlotSeries
IBrightnessFilter
IBrush
IBubble3DSeries
IBubbleSeries
ICalendarCell
ICalendarCellUpper
ICalendarSeries
ICallout
ICandleSeries
ICanvas
ICCIFunction
IChartAnimations
IChartAxisPen
IChartCollection
IChartEditorPanel
IChartFont
IChartGrid
IChartGridCols
IChartGridNavigator
IChartGridRows
IChartHiddenPen
IChartImageTool
IChartPageNavigator
ICircledSeries
ICircleLabels
ICircularFrame
ICircularGauge
IClipSeriesTool
IClockGauge
IClockHand
IClockSeries
IClusteringTool
ICLVFunction
IColorBandTool
IColorFilter
IColorGridSeries
IColorLineTool
ICompressFunction
IContourLevel
IContourLevels
IContourMarks
IContourSeries
IContrastFilter
IConvolveFilter
ICorrelationFunction
ICountFunction
ICropFilter
ICrossPointsFunction
ICrossTabSource
ICumulativeFunction
ICursorTool
ICurveFittingFunction
ICustom3DGridSeries
ICustom3DPaletteSeries
ICustom3DSeries
ICustomAnimationChart
ICustomAxes
ICustomBarSeries
ICustomBoxSeries
ICustomCircledSeries
ICustomErrorSeries
ICustomFunction
ICustomGauge
ICustomGaugeMinMax
ICustomImagePointSeries
ICustomPolarSeries
ICustomSeries
ICustomSeriesList
ICustomSortedFunction
ICustomTextShape
ICustomToolAxis
ICustomToolSeries
IDarvasSeries
IDataExport
IDataTableTool
IDeltaPointSeries
IDivideFunction
IDonutSeries
IDoubleHorizBarSeries
IDownSamplingFunction
IDragMarksTool
IDragPointTool
IDrawLine
IDrawLineList
IDrawLineTool
IEmbossFilter
IEnvironment
IEPSExport
IEqualizerSeries
IEquiVolumeSeries
IErrorBarSeries
IErrorPoint3DSeries
IErrorPointSeries
IErrors
IErrors3D
IErrors3DFormat
IErrorsBase
IErrorSeries
IErrorsFormat
IExpandAnimation
IExpAvgFunction
IExplodedSlices
IExpMovAvgFunction
IExport
IExportFormat
IExpTrendFunction
IExtraLegendTool
IFaderTool
IFastLineSeries
IFibonacciItem
IFibonacciLevels
IFibonacciTool
IFilterItems
IFilterRegion
IFlexExport
IFlipFilter
IFloatXYZ
IFrameBrush
IFramedBorder
IFrameTool
IFullScreenTool
IFunnelSeries
IGammaCorrectionFilter
IGanttSeries
IGanttTool
IGatorFunction
IGaugeHand
IGaugeHandItem
IGaugeHands
IGaugePointerRange
IGaugeRange
IGaugeRanges
IGaugeSeries
IGaugeSeriesPointer
IGIFExport
IGLLight
IGLLightSource
IGLPosition
IGradient
IGradientColor
IGradientColors
IGrayScaleFilter
IGridBandBrush
IGridBandTool
IGridTransposeTool
IHierarchicalClustering
IHighFunction
IHighLowLineSeries
IHighLowSeries
IHistogramFunction
IHistogramSeries
IHorizAreaSeries
IHorizBarSeries
IHorizBoxPlotSeries
IHorizHistogramSeries
IHorizLineSeries
IHover
IHTMLExport
IHueLumSatFilter
IImageBarSeries
IImagePointSeries
IImport
IInvertFilter
IIsoSurfaceSeries
IJavaScriptExport
IJPEGExport
IJSONExport
IKagiSeries
IKMeansClustering
IKnobGauge
IKurtosisFunction
ILegend
ILegendItem
ILegendItems
ILegendPaletteTool
ILegendPointer
ILegendScrollBarTool
ILegendSymbol
ILegendTitle
ILevelSegment
ILightFilter
ILightTool
ILinearGauge
ILinePointSeries
ILineSeries
ILinkTool
ILowFunction
IMACDFunction
IMagnifyTool
IMapMarks
IMapPolygon
IMapPolygonList
IMapSeries
IMargins
IMarks
IMarksCallout
IMarksItem
IMarksSymbol
IMarksTail
IMarksTipTool
IMedianFunction
IMetafileExport
IMirrorFilter
IModeFunction
IMomentumDivFunction
IMomentumFunction
IMoneyFlowFunction
IMosaicFilter
IMovingAvgFunction
IMultiplyFunction
INativeExport
INearestTool
INumericGauge
INumericMarker
IOBVFunction
IODSExport
IOrgItem
IOrgItemCollection
IOrgSeries
IOrgShape
IPage
IPageControl
IPageNumTool
IPanel
IParetoFunction
IPCXExport
IPDFExport
IPen
IPercentChangeFunction
IPerformanceFunction
IPerimeterFunction
IPieAngle
IPieMarks
IPieOtherSlice
IPieSeries
IPieTool
IPNGExport
IPoint3DSeries
IPointArray
IPointer
IPointFigureSeries
IPointSeries
IPolarBarSeries
IPolarContourSeries
IPolarGridSeries
IPolarLabels
IPolarSeries
IPolygonSeries
IPrinter
IPrinterSettings
IPVOFunction
IPyramidSeries
IQTClustering
IRadarSeries
IRectangleTool
IRenkoSeries
IRepaintMonitorTool
IResizeFilter
IReverseFilter
IRMSFunction
IRoseSeries
IRotateFilter
IRotateTool
IRSIFunction
IRVIFunction
ISARFunction
IScroll
IScrollBarThumb
IScrollPagerTool
ISelectorTool
ISepiaFilter
ISeries
ISeriesAnimationTool
ISeriesBandTool
ISeriesGroup
ISeriesGroups
ISeriesList
ISeriesMarkPosition
ISeriesMarksPositions
ISeriesPointerItems
ISeriesRegionTool
ISeriesSource
ISeriesSourceFile
ISeriesStatsTool
ISeriesTextField
ISeriesTextFields
ISeriesTextSource
ISeriesXMLSource
IShapeCallout
IShapeSeries
ISharpenFilter
ISkewnessFunction
ISlopeFunction
ISmithSeries
ISmoothedMovAvgFunction
ISmoothingFunction
ISmoothPoints
ISobelFilter
ISoftenFilter
ISpacing
IStdDeviationFunction
IStochasticFunction
IStrings
ISubChart
ISubChartChart
ISubChartTool
ISubGradient
ISubsetTeeFunction
ISubtractFunction
ISurfaceNearestTool
ISurfaceSeries
ISurfaceSides
ISVGExport
ITableLegend
ITagCloudSeries
ITChart
ITeeAnimate
ITeeAnimation
ITeeBasePath
ITeeCommander
ITeeCommanderButton
ITeeCorner
ITeeCorners
ITeeCustomAnimation
ITeeCustomShape
ITeeCustomShapeBrushPen
ITeeEditor
ITeeEditorOptions
ITeeEditorShowPages
ITeeEmboss
ITeeFilter
ITeeFont
ITeeFunction
ITeeGDIPlus
ITeeLinked
ITeeListBox
ITeeListBoxSection
ITeeOpenGL
ITeePanelsList
ITeePanning
ITeePicture
ITeePoint2D
ITeePoint3D
ITeePreviewer
ITeePreviewerOptions
ITeePreviewPanel
ITeeRect
ITeeRectArray
ITeeScrollBar
ITeeSelected
ITeeShadow
ITeeShape
ITeeShapeItem
ITeeShapePosition
ITeeShapes
ITernarySeries
IText3DTool
ITextExport
ITextShape
IThemesList
ITileFilter
ITitles
IToolList
ITools
ITowerSeries
ITransformAnimation
ITransposeSeriesTool
ITreeMapSeries
ITrendFunction
ITriSurfaceSeries
IValueList
IValueLists
IVarianceFunction
IVector3DSeries
IVideoPlayerTool
IVideoTool
IVolumePipeSeries
IVolumeSeries
IWall
IWalls
IWaterfallSeries
IWindRoseSeries
IWorldFlags
IWorldSeries
IXAMLExport
IXLSExport
IXLSObjectExport
IXMLExport
IZoom
IZoomFilter
IZoomPanning

Types
EAnimationClass
EAnimationState
EAnimationTiming
EAnimationTimingStyle
EAnimationTrigger
EAnnotationPosition
EArrowHeadStyle
EAxisArrowToolPosition
EAxisBreakStyle
EAxisLabelAlign
EAxisLabelsPosition
EAxisLabelStyle
EAxisTitlePosition
EAxisType
EBackImageMode
EBarRound
EBarStyle
EBezierStyle
EBorderStyle
EBoxFillStyle
EBrushStyle
ECandleBorderColor
ECandleColorStyle
ECandleStyle
ECanvas3DPlane
ECanvasBackMode
ECanvasStretchQuality
ECanvasTextAlign
ECanvasZoomText
EChartClickedPartStyle
EChartGridShow
EChartObjectShapeStyle
EChartPenStyle
EChartScroll
EChartTheme
ECheckBoxesStyle
EClockGaugeStyle
EClockSeriesStyle
EClusteringMethod
ECMFStyle
EColorLineStyle
EColorPalette
ECompressionPeriod
EConstants
ECornerStyle
ECursorToolStyle
ECustomSeriesDrawStyle
ECustomSeriesStack
EDatasourceType
EDateTimeStep
EDeltaImageStyle
EDigitalFont
EDistanceMethod
EDownSampleMethod
EDragMode
EDragPointStyle
EDragState
EDrawAllPointsStyle
EDrawLineStyle
EEdgeStyle
EErrorSeriesStyle
EErrorWidthUnits
EExportEncoding
EFaderStyle
EFastLineDrawStyle
EFibonacciStyle
EFilterClass
EFontQuality
EFunctionPeriodAlign
EFunctionPeriodStyle
EFunctionType
EGanttToolPartBar
EGaugePointerStyles
EGaugeShapeStyle
EGDIPlusFontQuality
EGIFColorReduction
EGIFCompression
EGIFDitherMode
EGradientDirection
EGrayMethod
EGroupFormula
EHandStyle
EHorizontalAxis
EJPEGPerformance
ELanguage
ELegendAlignment
ELegendPaletteAxis
ELegendStyle
ELegendSymbolPosition
ELegendSymbolSize
ELegendTextStyle
ELightStyle
ELinkageMethod
ELoadMode
EMapMarksText
EMapRenderMode
EMarginsUnits
EMarginUnits
EMarksLocation
EMarkStyle
EMarkToolMouseAction
EMirrorDirection
EMouseButton
EMouseWheelStyle
EMultiArea
EMultiBar
EMultiPie
EMultiRose
ENearestToolStyle
EOrgLineStyle
EPaletteStyle
EPanelBevel
EPanMouseWheel
EPenEndStyle
EPenJoinStyle
EPenLineMode
EPenMode
EPieOtherStyle
EPieToolStyle
EPixelFormat
EPointerSizeUnits
EPointerStyle
EPositionUnits
EPrinterOrientation
ERotateToolStyle
ERSIStyle
EScopeCursorStyle
EScrollBarDrawStyle
EScrollDirection
EScrollPagerAlign
EScrollThumbStyle
ESeriesAnimationLoop
ESeriesClass
ESeriesGroupActive
EShapeCalloutSide
EShapeLayout
EShapeStyle
EShapeXYStyle
EShiftState
ESnapStyle
EStreamType
ETabPosition
ETabStyle
ETagCloudOrder
ETailAlign
ETailEdge
ETeeCommanderControls
ETeeEditorPage
ETeePreviewPanelOrientation
ETeeVertAlign
ETeeZoomDirection
ETernaryAxisScale
ETernaryFormat
ETernaryLegendStyle
ETernaryMarkStyle
ETernaryStyle
ETextAlignment
ETextFormat
ETitleAlignment
EToolClass
ETowerStacked
ETowerStyle
ETransformFade
ETransformScale
ETransformTranslate
ETransformZoom
ETreatNullsStyle
ETreeMapTiling
ETypeFitting
EValueListOrder
EVerticalAxis
EWorldMap
TeePoint2D
TeeRect
TNotifyEvent
TTChartOnAddSeries
TTChartOnAllowScroll
TTChartOnAnnotationToolClick
TTChartOnAxisArrowToolClick
TTChartOnCalendarSeriesChange
TTChartOnClickAxis
TTChartOnClickBackground
TTChartOnClickLegend
TTChartOnClickSeries
TTChartOnColorBandToolClick
TTChartOnCompressFunctionGetDate
TTChartOnCursorToolChange
TTChartOnCursorToolSnapChange
TTChartOnDatabaseRecord
TTChartOnDataTableToolFilterSeries
TTChartOnDragDrop
TTChartOnDragMarksToolDraggedMark
TTChartOnDragMarksToolDraggingMark
TTChartOnDragOver
TTChartOnDragPointToolDragPoint
TTChartOnDragPointToolEndDrag
TTChartOnDragPointToolStartDrag
TTChartOnDrawAxisLabel
TTChartOnDrawLineToolSelecting
TTChartOnEndDrag
TTChartOnFunctionCalculate
TTChartOnGanttToolDragBar
TTChartOnGanttToolResizeBar
TTChartOnGaugeChange
TTChartOnGetAxisLabel
TTChartOnGetLegendPos
TTChartOnGetLegendRect
TTChartOnGetLegendText
TTChartOnGetNextAxisLabel
TTChartOnGetSeriesBarStyle
TTChartOnGetSeriesCircleLabel
TTChartOnGetSeriesContourLevel
TTChartOnGetSeriesMark
TTChartOnGetSeriesPointerStyle
TTChartOnImageSeriesGetImage
TTChartOnKeyDown
TTChartOnKeyUp
TTChartOnLegendDrawSymbol
TTChartOnLegendScrollBarToolSetPosition
TTChartOnMarkTipToolGetText
TTChartOnMouseDown
TTChartOnMouseEnterSeries
TTChartOnMouseLeaveSeries
TTChartOnMouseMove
TTChartOnMouseUp
TTChartOnRectangleToolClick
TTChartOnRemoveSeries
TTChartOnScrollPagerScroll
TTChartOnSeriesAfterAdd
TTChartOnSeriesAfterDrawValues
TTChartOnSeriesAnimationToolStep
TTChartOnSeriesBeforeAdd
TTChartOnSeriesBeforeDrawValues
TTChartOnSeriesClickPointer
TTChartOnSeriesClickPointer3D
TTChartOnSeriesContourBeforeDrawLevel
TTChartOnSurfaceSeriesGetYValue
TTChartOnTagCloudSeriesDrawTag
TTeeListBoxOnChangeActive
TTeeListBoxOnChangeColor
TTeeListBoxOnChangeOrder
TTeeListBoxOnDblClickSeries
TTeeListBoxOnMouseDown
TTeeListBoxOnMouseMove
TTeeListBoxOnMouseUp
TTeeListBoxOnRemovedSeries
TTeePreviewPanelOnChangeMargins


IMarksTail.CustomPointPos
IMarksTail

property CustomPointPos: ITeePoint2D;

Type Library
TeeChartx

Description

Advanced use only. CustomPoint location for MarkTail tail end.


IAspect.Tilt
IAspect

property Tilt: Integer;

Type Library
TeeChartx

Description
Inclines the Chart. Not supported for 2D or 3D orthogonal Charts

(Set TChart.Aspect.Orthogonal = False).


ICanvas.PixelsD

ICanvas.Pixels3D
ICanvas

procedure Pixels3D(X, Y, Z: Integer; Value: OLE_COLOR);

Type Library
TeeChartx

Description
Sets the 3D pixel to OLE_Color, using Pen.Width.


IAxis.IStartPos
IAxis

property IStartPos: Integer;

Type Library
TeeChartx

Description
Returns the start position of the Axis in pixels, from the top or left extreme of the Chart. A vertical Axis returns the Y displacement to the nearest extreme of the Axis to the top of the Chart. See IEndPos and IAxisSize.


IAnnotationTool.Callout
IAnnotationTool

property Callout: IAnnotationCallout;

Type Library
TeeChartx

Description
The Callout property defines properties used to draw a line from the annotation to any arbitrary xyz position in the chart.


IDragPointTool.properties
IDragPointTool Legend key

Type Library
TeeChartx

In IDragPointTool

DragStyle

Derived from ICustomToolSeries

Series


IAxisBreaks.Clear
IAxisBreaks

procedure Clear;

Type Library
TeeChartx

Description
Removes the all the items in the AxisBreaks.


ILightFilter.properties
ILightFilter Legend key

Type Library
TeeChartx

In ILightFilter

Factor
Left
Style
Top


ISeries.Active
ISeries

property Active: WordBool;

Type Library
TeeChartx

Description
The Active property shows or hides the Series. It can be changed both at design time or runtime. When hiding, all point values are preserved, so there's no need to refill the values again when showing. The Series relatives Chart Axis are rescaled in order to accomodate changes.

Active Example

Delphi

TChart1.Series[ 0 ].Active:= not TChart1.Series[ 0 ].Active;

Visual Basic

TChart1.Series( 0 ).Active = Not TChart1.Series( 0 ).Active


IPanel.BackImageLoad
IPanel

procedure BackImageLoad(Const FileName: WideString);

Type Library
TeeChartx

Description
Use the BackImageload method to add a Chart Panel BackImage. Accepts bmp, wmf and jpeg format files.


IChartCollection.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartCollection


IBoxPlotSeries.MinXValue
IBoxPlotSeries

function MinXValue: Double;

Type Library
TeeChartx

Description
Returns the Minimum Value of the Series X Values List.


IQTClustering.MinCount
IQTClustering

property MinCount: Integer;

Type Library
TeeChartx


IJavaScriptExport.DoFullPage
IJavaScriptExport

property DoFullPage: WordBool;

Type Library
TeeChartx

Description
When True adds default header and footer to Chart code, creating an entire page with the HTML5 Canvas. Set to false if you wish to design your own page to incorporate the TeeChart code.


IMarks.Automatic
IMarks

property Automatic: IAutomaticText;

Type Library
TeeChartx


IGLLight.properties
IGLLight Legend key

Type Library
TeeChartx

In IGLLight

Color
Visible


ITeeShadow.VertSize
ITeeShadow

property VertSize: Integer;

Type Library
TeeChartx

Description
Vertical size of the shadow in pixels.


IKagiSeries.ReversalAmount
IKagiSeries

property ReversalAmount: Double;

Type Library
TeeChartx

Description
Default is 0.03

Determines the absolute or relative value to calculate buy and sell signals.


ILegendScrollBarTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILegendScrollBarTool


IAxis.GridPen
IAxis

property GridPen: IPen;

Type Library
TeeChartx

Description
The GridPen property determines the kind of pen used to draw the Axis lines at every Axis Label position. These are the lines which go from "cousin Axis" Minimum to "cousin Axis" Maximum screen positions at each of our Label's position.

Use the MinorGrid property to make visible the Grid from Minor Ticks.


ITileFilter.NumCols
ITileFilter

property NumCols: Integer;

Type Library
TeeChartx

Description
Sets the number of columns that must be used to generate de copies.


ILegendPaletteTool.Chart
ILegendPaletteTool

property Chart: ISubChartChart;

Type Library
TeeChartx


IFunnelSeries.AboveColor
IFunnelSeries

property AboveColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default value = vbGreen

The AboveColor property defines the color used to paint the Funnel segment if Opportunity value is greater than Quote value.


ITeePanelsList.methods
ITeePanelsList Legend key

Type Library
TeeChartx

In ITeePanelsList

Clear
Delete


ISeries.asPie
ISeries

property asPie: IPieSeries;

Type Library
TeeChartx

Description
The asPie property is used by the Series Class to access specific Pie Series properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Add 10, "Slice 1", clTeeColor

.Add 4, "Slice 2", clTeeColor

.Add 7, "Slice 3", clTeeColor

.asPie.Circled = True

.asPie.Color3D = True

End With


ITeeShadow.Color
ITeeShadow

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Shadow colour.


IToolList.Items
IToolList

property Items[Index: Integer]: ITools;

Type Library
TeeChartx

Description
The Items property allows access the ToolList via an index system.

Example [Visual Basic]:

Private Sub Form_Load()

Dim MyAnnotationTool1 As Integer

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

MyAnnotationTool1 = .Tools.Add(tcAnnotate)

With .Tools.Items(MyAnnotationTool1).asAnnotation

.Position = ppLeftTop

.Text = "Access"

End With

End With

End Sub


ITextShape.AutoSize
ITextShape

property AutoSize: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, the text shape rectangle Width and Height size values will be automatically calculated to fit the size of the current Text string contents, using the shape Font size and attributes.

When False, the shape Width and Height values defined by the developer will be used instead.

See also: ClipText, Text and TextAlignment properties.


IClockGauge.Seconds
IClockGauge

property Seconds: IGaugeHand;

Type Library
TeeChartx


ILegendItem.Font
ILegendItem

property Font: ITeeFont;

Type Library
TeeChartx


IValueLists.Items
IValueLists

property Items[Index: Integer]: IValueList;

Type Library
TeeChartx

Description
Use Items to obtain a pointer to a specific IValueList in the IValueLists array.

Example [Visual Basic]:

'Data text file "C:\TestFiles\testcandledata.txt":

'Date,Open,High,Low,Close

'1/1/2000,15,76,7,40

'2/1/2000,40,55,35,37

'3/1/2000,37,61,29,43

Private Sub Form_Load()

Dim colcount As Integer

TChart1.AddSeries scCandle

With SeriesTextSource1

.Series = TChart1.Series(0)

.FileName = "C:\TestFiles\testcandledata.txt"

.HeaderLines = 1

For colcount = 0 To TChart1.Series(0).ValueLists.Count - 1

.AddField TChart1.Series(0).ValueLists.Items(colcount).Name, colcount + 1

Next colcount

.Active = True

End With

End Sub


IAreaSeries.Gradient
IAreaSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
Use Gradient to set the IGradient properties of the Area Series.

Example [Visual Basic]

Private Sub Form_Load()

With TChart1

.Aspect.View3D = False

.AddSeries scArea

.Series(0).FillSampleValues 20

.Series(0).asArea.Gradient.Direction = gdBottomTop

.Series(0).asArea.Gradient.EndColor = vbBlue

.Series(0).asArea.Gradient.MidColor = vbWhite

.Series(0).asArea.Gradient.StartColor = vbRed

.Series(0).asArea.Gradient.Visible = True

End With

End Sub

TeeChart Pro ActiveX Control Documentation. Copyright 1997-2003 Steema Software SL.


ICustomBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries


ICandleSeries.OpenValues
ICandleSeries

property OpenValues: IValueList;

Type Library
TeeChartx

Description
The OpenValues property is used to store all Stock market Open values.

You can access Open values in the same way you can access X or Y values.


IColorGridSeries.Bitmap
IColorGridSeries

property Bitmap: Integer;

Type Library
TeeChartx

Description
The Bitmap property has two uses:

1) Returns the internal bitmap used to paint the color grid series.

This bitmap is created and filled using color grid series "Y" values.

The bitmap dimensions (width and height) are taken from the X and Z values.

2) Setting Bitmap defines the Bitmap used as the color source for the color grid.

The ColorGrid series will use this bitmap as the origin of values.

Each pixel color in the bitmap will determine the "Y" value of the color grid series.

Example [Visual Basic]:

Private Sub Form_Load()

TChart1.Series(0).FillSampleValues 10

TChart1.Series(0).asColorGrid.Bitmap = Picture1.Picture

End Sub


IPointArray.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointArray


IContourSeries.YPositionLevel
IContourSeries

property YPositionLevel: WordBool;

Type Library
TeeChartx

Description
Use with YPosition property to set the Y Axis Level at which to display the Contour Series.


IPanel.BevelOffset
IPanel

property BevelOffset: Integer;

Type Library
TeeChartx

Description
The BevelOffset property defines the width of the TChart Panel border.


IValueList.Total
IValueList

property Total: Double;

Type Library
TeeChartx

Description
The Total double property maintains the sum of all IValueList values. When adding, deleting or modifying point values using the right methods, Total is automatically incremented and decremented.

Total property is used by some Functions to improve speed when performing calculations against point values, where having already calculated the sum of point values is necessary.

Total property Example [Delphi]:

This code informs the user the Total sum of "Sales1997" Series values:

ShowMessage(' Total Sales are: ' + FloatToStr( Sales1997.YValues.Total ) );

Example [Visual Basic]:

MsgBox "Total Sales Are: " & TChart1.Series(0).YValues.Total


IVectorDSeries.EndXValues

IVector3DSeries.EndXValues
IVector3DSeries

property EndXValues: IValueList;

Type Library
TeeChartx

Description
List of values representing the ending X coordinates of vector lines.


IDataTableTool.Left
IDataTableTool

property Left: Integer;

Type Library
TeeChartx

Description
Use this property to get or set the Left position of Data Table Tool.


IThemesList.methods
IThemesList Legend key

Type Library
TeeChartx

In IThemesList

ApplyFromChartLink
ApplyFromChartLinkx64
ApplyFromTee


ITeePanelsList.properties
ITeePanelsList Legend key

Type Library
TeeChartx

In ITeePanelsList

Count


IExport.asText
IExport

property asText: ITextExport;

Type Library
TeeChartx

Description
The asText property accesses the TextExport class which configures the text page to which the selected series data is exported.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Export.asText.IncludeHeader = True

.Export.asText.IncludeLabels = True

.Export.asText.SaveToFile "C:\TestFiles\TeeChart.txt"

End With


IChartGridCols.Widths
IChartGridCols

property Widths[Index: Integer]: Integer;

Type Library
TeeChartx

Description

This property replaces the deprecated ChartGrid.ColWidths property

Read Cols.Widths to determine the width of the cells in the column specified by the Index parameter. An index of 0 refers to the first column. Set Cols.Widths at runtime to change the width of an individual column.

If the width of a column has not been set explicitly by resizing with the mouse, or by using the Cols.Widths property, its width is DefaultColWidth.

Use the Cols.Count property to determine the number of entries in the Cols.Widths array.


ITeeFilter.Region
ITeeFilter

property Region: IFilterRegion;

Type Library
TeeChartx

Description
Access to IFilterRegion properties and methods to define the region to apply the referenced Filter.

A filter region is a simple rectangle defined by Left, Top, Height and Width integer properties.


ITools.ShowEditor
ITools

procedure ShowEditor;

Type Library
TeeChartx

Description
Shows the Chart Editor open at the Tools tab at runtime.

Example [Visual Basic]:

Private Sub Command2_Click()

TChart1.Tools.Items(0).ShowEditor

End Sub


ITChart.ChartLink
ITChart

property ChartLink: Integer;

Type Library
TeeChartx

Description
Read only.

Use the ChartLink property when connecting one of the ancillary TeeChart components (eg. TeeCommander). For Visual Basic its use is optional as you may Connect using the TChart interface directly. See the TeeCommander/TeeListBox ChartLink and Chart properties.

Example

Visual Basic

TeeCommander1.Chart = TChart1

or

TeeCommander1.ChartLink = TChart1.ChartLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetChartLink(m_Chart1.GetChartLink());


ITeeScrollBar.Gradient
ITeeScrollBar

property Gradient: IGradient;

Type Library
TeeChartx


IShapeSeries.Text
IShapeSeries

property Text: IStrings;

Type Library
TeeChartx

Description
The Text property is used by ShapeSeries class to display customized strings inside Shapes.

You can use the Font and Aligment properties to control Text display.

Note: You would maybe need to change Shape Font size to a different value when creating metafiles or when zooming Charts.

Applies to

ShapeSeries class

Declaration

property Text : IStrings;

Description

The Text property is used by ShapeSeries class to display customized strings inside Shapes.

You can use the Font and Aligment properties to control Text display.

Note: You would maybe need to change Shape Font size to a different value when creating metafiles or when zooming Charts.


IMarksSymbol.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMarksSymbol


ISeries.SeriesLinkx

ISeries.SeriesLinkx64
ISeries

property SeriesLinkx64: OleVariant;

Type Library
TeeChartx


ITChart.OnGetSeriesMark
ITChart

property OnGetSeriesMark: TTChartOnGetSeriesMark;

Type Library
TeeChartx

Description
Triggered on placing Mark for each Series Point. Use this method to modify the Mark Text content.


IMapSeries.LoadMapFromSHP
IMapSeries

procedure LoadMapFromSHP(Const map: WideString);

Type Library
TeeChartx


IPen.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPen


IPrinterSettings.DriverExtra
IPrinterSettings

property DriverExtra: Integer;

Type Library
TeeChartx

Description
Contains the number of bytes of private driver-data that follow this structure. If a device driver does not use device-specific information, set this member to zero.


ISelectorTool.Pen
ISelectorTool

property Pen: IPen;

Type Library
TeeChartx

Description
Determines Selector Tool pen characteristics


ISmoothPoints.Interpolate
ISmoothPoints

property Interpolate: WordBool;

Type Library
TeeChartx

Description
Default value: False

By default, smoothing output points do not pass exactly over source points.

When Interpolate property is True, the smooth points are calculated so they pass exactly over the source points.


IIsoSurfaceSeries.methods
IIsoSurfaceSeries Legend key

Type Library
TeeChartx

Derived from ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IColorBandTool.EndLinePen
IColorBandTool

property EndLinePen: IPen;

Type Library
TeeChartx

Description

Pen used to draw the ending line of the color band tool.

The ending line can be mouse dragged when the ResizeEnd property is True.


IMarks.Clear
IMarks

procedure Clear;

Type Library
TeeChartx

Description
Removes all custom marks.

When no custom marks exists, all marks will be displayed using the default formatting properties.


ILegend.ResizeChart
ILegend

property ResizeChart: WordBool;

Type Library
TeeChartx

Description
Default: True

The ResizeChart property indicates if Legend will automatically reduce the Chart rectangle to prevent overlap between Legend and Chart rectangles. When ResizeChart is True, the Legend.HorizMargin and Legend.VertMargin properties control the amount of pixels by which the Chart rectangle will be reduced.


IAlligatorFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAlligatorFunction


ICrossTabSource.Formula
ICrossTabSource

property Formula: EGroupFormula;

Type Library
TeeChartx

Description
Default : gfSum

Determines how the crosstab will use database values to add points to series.

The default is "gfSum", that means values will be acumulated so series points will show the sum of values.

The gfCount option means values will not be used, and the series will show the number of records (count) for each group and label.


ITeeScrollBar
Hierarchy Properties

Type Library
TeeChartx


IPrinterSettings.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPrinterSettings


IFaderTool.methods
IFaderTool Legend key

Type Library
TeeChartx

In IFaderTool

start
Stop


IContourLevel.Clicked
IContourLevel

function Clicked(XCoord, YCoord: Integer; Var SegmentIndex, PointIndex: Integer): WordBool;

Type Library
TeeChartx

Description
Returns True when the XY pixel coordinates are over a segment line.

Returns the SegmentIndex and PointIndex within the segment.


IBackImage.Top
IBackImage

property Top: Integer;

Type Library
TeeChartx

Description
Default is zero.

Origin vertical coordinate in pixels to display the chart background image picture.


ITeeFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeFunction


ICustomPolarSeries.CircleLabelsInside
ICustomPolarSeries

property CircleLabelsInside: WordBool;

Type Library
TeeChartx

Description
The CircleLabelsInside property enables/disables the display of the axis labels inside the circle area.


IFibonacciTool.DrawStyle
IFibonacciTool

property DrawStyle: EFibonacciStyle;

Type Library
TeeChartx

Description

Defines Fibonacci tool drawing style. Tool supports Fibonacci arcs and Fibonacci fans (lines).


ITeePanelsList.Delete
ITeePanelsList

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description
Call Delete to remove the item at a specific position from the list. The index is zero-based, so the first item has an Index value of 0, the second item has an Index value of 1, and so on. Calling Delete moves up all items in the Items array that follow the deleted item, and reduces the Count.


ICallout.methods
ICallout Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


INearestTool.HintStyle
INearestTool

property HintStyle: EMarkStyle;

Type Library
TeeChartx


ITeeFilter.asRotate
ITeeFilter

property asRotate: IRotateFilter;

Type Library
TeeChartx

Description
The asRotate property is used by the TeeFilter Class to access Rotate Filter specific properties.


IRotateTool.Inverted
IRotateTool

property Inverted: WordBool;

Type Library
TeeChartx

Description
When True, rotation is inverted.

That is, when dragging the mouse from left to right the chart will rotate from right to left.

Same for vertical rotation (elevation).


ITreeMapSeries.PaletteSteps
ITreeMapSeries

property PaletteSteps: Integer;

Type Library
TeeChartx

Description
The PaletteSteps property indicates the number of entries in the default color Palette. With more steps, more different colors will be used to fill the TreeMap boxes. Setting this property forces the 3D Series (eg. TTreeMapSeries) to recreate the default color palette.


ISeries.PointLabel
ISeries

property PointLabel[Index: Integer]: WideString;

Type Library
TeeChartx

Description
This array property contains the horizontal Series Labels. You can access the individual Label strings by using the Index parameter. Index must be between 0 and Count - 1 If you modify an PointLabel, the Series will be repainted to reflect any changes.


ITeeScrollBar.MinThumbSize
ITeeScrollBar

property MinThumbSize: Integer;

Type Library
TeeChartx


ICustomDGridSeries.GetXZValue

ICustom3DGridSeries.GetXZValue
ICustom3DGridSeries

function GetXZValue(X, Z: Integer): Double;

Type Library
TeeChartx

Description

Deprecated. Please do not use this method.

The GetXZValue function returns the corresponding Y value for a given X and Z grid coordinates.


IExport.asBMP
IExport

property asBMP: IBMPExport;

Type Library
TeeChartx

Description
Accesses BMP format Export attributes.


ISeries.asBubble
ISeries

property asBubble: IBubbleSeries;

Type Library
TeeChartx

Description
The asBubble property is used by the Series Class to access Bubble Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asBubble.RadiusValues.Value( 0 )=35'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Clear

For t = 1 To 10

.asBubble.AddBubble t, Rnd( 2 ), Rnd(5), "", RGB(255 * Rnd, 128 * Rnd, 255 * Rnd)

Next t

End With


IColorBandTool.DrawBehindAxes
IColorBandTool

property DrawBehindAxes: WordBool;

Type Library
TeeChartx

Description
Default: False

When True, the color band is displayed before the axes grid lines are drawn, so it's behind the grid lines.


ISeries.Depth
ISeries

property Depth: Integer;

Type Library
TeeChartx

Description
Sets the Depth of the series points or interconnecting lines.


IBollingerFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBollingerFunction


ITeeCustomShapeBrushPen.Visible
ITeeCustomShapeBrushPen

property Visible: WordBool;

Type Library
TeeChartx


IPieMarks.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPieMarks


ISeries.YMandatory
ISeries

property YMandatory: WordBool;

Type Library
TeeChartx

Description
Gets or Sets if YValues are required for the Series.


IMapPolygon.AddXY
IMapPolygon

function AddXY(X, Y: Double): Integer;

Type Library
TeeChartx

Description
Use AddXY method to add a boundary co-ordinate to the polygon. The polygon will be drawn in sequential order of the co-ordinates. (ie. from point 1 (X0,Y0) to point 2 (X1,Y1) to point 3 (X2,Y2), ....)


IChartCollection.methods
IChartCollection Legend key

Type Library
TeeChartx

In IChartCollection

AddChart


ICircleLabels.Font
ICircleLabels

property Font: IChartFont;

Type Library
TeeChartx

Description
Label Font.

Example [Visual Basic]:

With TChart1.Series(0)

.asPolar.CircleLabels.Visible = True

.asPolar.CircleLabels.Font.Bold = True

.asPolar.CircleLabels.Rotated = True

End With


IFastLineSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFastLineSeries


IDataExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport


IBackImage.properties
IBackImage Legend key

Type Library
TeeChartx

In IBackImage

Bottom
DrawQuality
Inside
Left
Mode
Right
Top

Derived from ITeePicture

Filters
Handle


IPointer.VerticalSize
IPointer

property VerticalSize: Integer;

Type Library
TeeChartx

Description
Default Value: 4

The VerticalSize property specifies the Series Pointer height in logical pixels.

Series that derive from PointSeries usually override the HorizontalSize and VerticalSize properties.

For example, BubbleSeries uses the Radius property to determine the correct HorizontalSize and VerticalSize, so these properties have no effect in that Series.


ITeeEditor.PixelsPerInch
ITeeEditor

property PixelsPerInch: Integer;

Type Library
TeeChartx

Description
Use to rescale ChartEditorForm to desired PixelsPerInch ratio.


ITeePanelsList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeePanelsList


ITeeEditorOptions.Clone
ITeeEditorOptions

property Clone: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


ITChart.Version
ITChart

property Version: WideString;

Type Library
TeeChartx

Description
Returns the TeeChart version.


IKagiSeries.BuySymbol
IKagiSeries

property BuySymbol: IPointer;

Type Library
TeeChartx

Description
Symbol to draw at buy signals.


IColorLineTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis
|
IColorLineTool


ITeeScrollBar.ThumbBrush
ITeeScrollBar

property ThumbBrush: IBrush;

Type Library
TeeChartx


IAreaSeries.methods
IAreaSeries Legend key

Type Library
TeeChartx

In IAreaSeries

GetOriginPos


IDrawLineTool.DeleteSelected
IDrawLineTool

procedure DeleteSelected;

Type Library
TeeChartx

Description
Delete currently selected DrawLine.


IArrowSeries.StartXValues
IArrowSeries

property StartXValues: IValueList;

Type Library
TeeChartx

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

StartXValues property is the list of X0 values.

StartXValues.DateTime property default value is True.

Example [Visual Basic]:

This code modifies the X0 coordinate of first arrow point:

tmp = TChart1.Series(0).asArrow.StartXValues.Value(0)

TChart1.Series(0).asArrow.StartXValues.Value(0) = tmp + 123


IErrorPointDSeries.methods

IErrorPoint3DSeries methods
IErrorPoint3DSeries Legend key

Type Library
TeeChartx

In IErrorPoint3DSeries

Add

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IDrawLineList.Count
IDrawLineList

property Count: Integer;

Type Library
TeeChartx

Description
Indicates the number of entries in the list that are in use.


ITableLegend.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ITableLegend


IColorFilter.Red
IColorFilter

property Red: Integer;

Type Library
TeeChartx

Description
Red level (0 to 255)


IZoom.properties
IZoom Legend key

Type Library
TeeChartx

In IZoom

Animated
AnimatedSteps
Brush
Direction
Enable
FullRepaint
History
MinimumPixels
MouseButton
MouseWheel
Pen
UpLeftZooms
Zoomed


IMarksSymbol.Pen
IMarksSymbol

property Pen: IPen;

Type Library
TeeChartx

Description
Define Pen draw characteristics.


ICustomDPaletteSeries.EndColor

ICustom3DPaletteSeries.EndColor
ICustom3DPaletteSeries

property EndColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: White

The EndColor property determines the last Range palette color. When UseColorRange property is True, SurfaceSeries create a color palette using StartColor, MidColor and EndColor properties.

Example [Visual Basic]:

This code changes the color range palette:

TChart1.Series(0).asSurface.UseColorRange = True

TChart1.Series(0).asSurface.StartColor = vbWhite

TChart1.Series(0).asSurface.EndColor = vbYellow


ISeriesStatsTool.Mean
ISeriesStatsTool

function Mean: Double;

Type Library
TeeChartx


ITeeEditor.properties
ITeeEditor Legend key

Type Library
TeeChartx

In ITeeEditor

AutoRepaint
DefaultPage
EditorLink
EditorLinkx64
EditorTitle
GalleryHeight
GalleryWidth
Height
HighLightTabs
Options
PixelsPerInch
RememberPosition
ShowPages
TreeView
Width

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IVectorDSeries.MinXValueVector

IVector3DSeries.MinXValueVector
IVector3DSeries

function MinXValueVector: Double;

Type Library
TeeChartx

Description
Use this method to return the Vector MinXValueVector.


EClockGaugeStyle

type EClockGaugeStyle = (cgsDecimal, cgsRoman);

Type Library
TeeChartx


ILegendSymbol.Width
ILegendSymbol

property Width: Integer;

Type Library
TeeChartx

Description
Set Width property to define the width of the color rectangles (symbols).


IChartGrid.RecalcDimensions
IChartGrid

procedure RecalcDimensions;

Type Library
TeeChartx

Description
Recalculate Grid dimensions - It is called automatically by TeeChart. You should not normally need to call it directly.


ITeeEditor.methods
ITeeEditor Legend key

Type Library
TeeChartx

In ITeeEditor

ShowEditor

Derived from ITeeLinked

AboutBox


IPanel.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPanel


IAmountFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAmountFilter


IToolList.methods
IToolList Legend key

Type Library
TeeChartx

In IToolList

Add
Clear
Delete
Exchange
ShowGallery


ITools.asClipSeries
ITools

property asClipSeries: IClipSeriesTool;

Type Library
TeeChartx

Description
The asClipSeries property is used by the Tools Class to access ClipSeries Tool specific properties.


IPolarLabels.properties
IPolarLabels Legend key

Type Library
TeeChartx

In IPolarLabels

AntiOverlap
ClockWise
Inside
Margin
Rotated

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ITeeCustomShapeBrushPen.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShapeBrushPen


IExport.Stream
IExport

function Stream(StreamType: EStreamType): OleVariant;

Type Library
TeeChartx

Description
This method is now deprecated. Please see the IJPEGExport and INativeExport interfaces for the newer, more complete functionality.

Use the Stream method to output the Chart as a Stream. This is useful, typically, for ASP applications in which a Chart can be generated and consecutively fed to a browser page. Stream presently support Jpeg or native tee template formats. If generating a tee template as stream then please use TeeChart's corresponding Import.LoadFromURL to import the Chart.

Examples [VBScript]:

1. ASP Script to create/load a Jpeg Chart (eg. CreateChart.asp).

<%

' Create Chart

Set TChart1 = CreateObject("TeeChart.TChart")

' Set Chart characteristics

TChart1.Header.Text(0)="Performance"

TChart1.Aspect.View3D=False

' Add a Series

TChart1.AddSeries(1) 'scBar

' Use your methods eg via DB to populate Chart or...

TChart1.Series(0).FillSampleValues 50

' Size Chart for image export

TChart1.Height=300

TChart1.Width=500

Response.BinaryWrite TChart1.Export.Stream(0) 'stJpeg

%>

Corresponding HTML page

<HTML>

<HEAD></HEAD>

<BODY>

<P>Run script via image src to display Chart</P>

<IMG src="http://your.chartserver.com/Charts/CreateChart.asp">

</BODY></HTML>

2. Import tee template created via a script called "CreateChartAsTee.asp" (VBScript)

TChart1.Import.LoadFromURL _

("http://your.chartserver.com/Charts/CreateChartAsTee.asp")


IGaugeHands.properties
IGaugeHands Legend key

Type Library
TeeChartx

In IGaugeHands

Items


ITools.asTextD

ITools.asText3D
ITools

property asText3D: IText3DTool;

Type Library
TeeChartx

Description
The asText3D property is used by the Tools Class to access Text3D Tool specific properties.


IActivityGauge.AddActivity
IActivityGauge

function AddActivity(Value: Double; Const label_: WideString; Color: OLE_COLOR): Integer;

Type Library
TeeChartx

Description

Add a new Activity ring


IPointFigureSeries.methods
IPointFigureSeries Legend key

Type Library
TeeChartx

In IPointFigureSeries

AddOHLC
GetInversionColumn


ICircleLabels.properties
ICircleLabels Legend key

Type Library
TeeChartx

In ICircleLabels

DegreeSymbol
Font
Rotated
Visible


ITeeListBox.properties
ITeeListBox Legend key

Type Library
TeeChartx

In ITeeListBox

AllowAddSeries
AllowDeleteSeries
AskDelete
CheckStyle
Color
FontSeriesColor
ItemHeight
Items
Sections
SelectedSeries
SeriesGroup
ShowActive
ShowColor
ShowIcon
ShowTitle
Sorted

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


ISurfaceSeries.methods
ISurfaceSeries Legend key

Type Library
TeeChartx

Derived from ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IPieSeries.OtherSlice
IPieSeries

property OtherSlice: IPieOtherSlice;

Type Library
TeeChartx

Description
Accesses the OtherSlice properties.


IFastLineSeries.TreatNulls
IFastLineSeries

property TreatNulls: ETreatNullsStyle;

Type Library
TeeChartx

Description
Treat Nulls in data according to selected TreatNullsStyle.


IXLSObjectExport
Hierarchy Properties Methods

Type Library
TeeChartx


IEqualizerSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
IEqualizerSeries


ILegend.Formatted
ILegend

function Formatted(SomeSeriesOrValueIndex: Integer): WideString;

Type Library
TeeChartx

Description
This function returns the text string corresponding to a Legend position.

The Legend position depends on the Legend.LegendStyle property. If LegendStyle is lsSeries, then the text string will be the SeriesOrValueIndexth Active Series Title. If LegendStyle is lsValues, then the text string will be the formatted SeriesOrValueIndexth value of the first Active Series in the Chart.If LegendStyle is lsAuto and only one Active Series exists in the Chart,then the LegendStyle is considered to be lsValues. If there's more than one Active Series then LegendStyle will be lsSeries.

Values are formatted accordingly to the LegendTextStyle property.


IDrawLineTool.ClickedTolerance
IDrawLineTool

function ClickedTolerance(X, Y, ClickTolerance: Integer): Integer;

Type Library
TeeChartx

Description
Returns IDrawLine Line at x,y point. Returns -1 if no line is under x,y point using Tolerance.


IExportFormat.methods
IExportFormat Legend key

Type Library
TeeChartx

In IExportFormat

SaveToFile
SaveToStream


IAspect.ChartDPercent

IAspect.Chart3DPercent
IAspect

property Chart3DPercent: Integer;

Type Library
TeeChartx

Description
Default value: 15

The Chart3DPercent property indicates the size ratio between Chart dimensions and Chart depth when Chart.Aspect.View3D is True. You can specify a percent number from 1 to 100.


ISeries.asRenko
ISeries

property asRenko: IRenkoSeries;

Type Library
TeeChartx

Description
Access to Renko Series specific properties.


ILegendPaletteTool.Color
ILegendPaletteTool

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Gets or sets the color used to fill the palette panel.


IMoneyFlowFunction.UpColor
IMoneyFlowFunction

property UpColor: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the colour to paint the upward price changes.


IDataExport.UseSeriesFormat
IDataExport

property UseSeriesFormat: WordBool;

Type Library
TeeChartx

Description

Export Data Values with the format applied to the Series.


IParetoFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IParetoFunction


ICustomSeriesList.First
ICustomSeriesList

function First: Integer;

Type Library
TeeChartx

Description

Returns 1st Series in List.


IMarks.Style
IMarks

property Style: EMarkStyle;

Type Library
TeeChartx

Description
Default Value: smsLabel

The Style property defines how Series Marks are constructed. Each different Style value makes Marks to output a different text. Several options are available.

The different Mark styles are:

smsValue

Shows the point value. It is usually the YValue, except HorizBarSeries that defaults to the XValue. The Series.ValueFormat property is used to format the resulting string.

Example: "1234"

smsPercent

Shows the percent the point value represents. The Series.PercentFormat property is used to format the percent value.

Example: "12 %"

smsLabel

Shows the associated Point Label.

Example: "Cars"

Warning:

If the point has no Label (empty label), then the point value is used.

smsLabelPercent

Shows the point Label and the percent value the point represents. The Series.PercentFormat property is used to format the percent value.

Example: "Cars 12 %"

smsLabelValue

Shows the point Label and the point value. The Series.ValueFormat property is used to format the resulting string.

Example: "Cars 1234"

smsLegend

Shows whatever is shown at Chart Legend. Please refer to Legend.TextStyle property for a list of possible values.

smsPercentTotal

Shows the percent the point represents toghether with the "of" word and the sum of all points absolute values. The Series.PercentFormat property is used to format the percent value.

Example: "12 % of 1234"

NOTE:

You can alter or localize to your language the "of" word by using the "PercentOf" typed constant in Teengine unit:

Example in Spanish: PercentOf := 'sobre';

Output: "12 % sobre 1234"

smsLabelPercentTotal

Shows the point Label toghether with the resulting "smsPercentTotal" style. The Series.PercentFormat property is used to format the percent value.

Example: "Cars 12 % of 1234"

smsXValue

Shows the point XValue (same as smsValue but with X values instead of Y values).

Example: "21/6/1996"


ITChart.CloneSeriesFromChartx

ITChart.CloneSeriesFromChartx64
ITChart

function CloneSeriesFromChartx64(ChartLinkx64: OleVariant; SeriesIndex: Integer): Integer;

Type Library
TeeChartx


IArrowSeries.AddArrow
IArrowSeries

function AddArrow(X0, Y0, X1, Y1: Double; Const ALabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddArrow function adds a new arrow point to the Series. Returns the position of the Arrow in the list. Positions start at zero.

Each arrow is made of 2 points:

(X0,Y0) The starting arrow point.

(X1,Y1) The arrow head end point.

AddArrow Example

This code fills an ArrowSeries with two random arrows:

Delphi

var

x0,y0,x1,y1 : Double;

begin

With TChart1.Series[ 0 ] do

begin

asArrow.StartXValues.DateTime:=False;

asArrow.EndXValues.DateTime:=False;

Clear;

x0 :=Random( 1000 );

y0 :=Random( 1000 );

x1 :=x0 + Random( 1000 ) - 500 ;

y1 :=y0 + Random( 1000 ) - 500 ;

asArrow.AddArrow(x0,y0,x1,y1,'',clBlue);

x0 :=Random( 1000 );

y0 :=Random( 1000 );

x1 :=x0 + Random( 1000 ) - 500 ;

y1 :=y0 + Random( 1000 ) - 500 ;

asArrow.AddArrow( x0, y0, x1, y1, '', clYellow);

end;

end;

Visual Basic

Dim x0, y0, x1, y1 As Double

With TChart1.Series( 0 )

.asArrow.StartXValues.DateTime = False

.asArrow.EndXValues.DateTime = False

.Clear

x0 = (1000 * Rnd(10))

y0 = (1000 * Rnd(10))

x1 = x0 + Rnd(1000) - 100

y1 = y0 + Rnd(1000) - 100

.asArrow.AddArrow x0, y0, x1, y1, "", vbBlue

x0 = (1000 * Rnd(10))

y0 = (1000 * Rnd(10))

x1 = x0 + (500 * Rnd(5)) - 50

y1 = y0 + (500 * Rnd(5)) - 50

.asArrow.AddArrow x0, y0, x1, y1, "", vbYellow

End With


ITeeListBox.ShowActive
ITeeListBox

property ShowActive: WordBool;

Type Library
TeeChartx

Description
Default: True

Display/Hide the 'Active Series' CheckBox in the Series List.


ITeePreviewPanel.AddChart
ITeePreviewPanel

procedure AddChart(Const Value: ITChart);

Type Library
TeeChartx

Description
Adds a specified TChart to the Preview panel.


IRSIFunction.properties
IRSIFunction Legend key

Type Library
TeeChartx

In IRSIFunction

Style


ITeeCommander.ButtonSave
ITeeCommander

property ButtonSave: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonSave

Example:-

TeeCommander1.ButtonSave.Hide


IColorLineTool.Value
IColorLineTool

property Value: Double;

Type Library
TeeChartx

Description
Set Value to the Axis position where the colorline has to be drawn.


IFaderTool.start
IFaderTool

procedure start;

Type Library
TeeChartx


ISeries.Cursor
ISeries

property Cursor: SmallInt;

Type Library
TeeChartx

Description
Default: crDefault

The Cursor property is the image used when the mouse passes into the region covered by a Series point. Each Series determines the intersection of points with mouse coordinates each time the mouse moves. There are many different Cursors available. The Series ZOrder determines the order in which Series will be examined to calculate the clicked Series point.

ValueCursor type

0crDefault Whatever cursor is the default for the window class. Usually crArrow.

-1crNone

-2crArrow

-3crCross

-4crIBeam

-5crSize

-6crSizeNESW

-7crSizeNS

-8crSizeNWSE

-9crSizeWE

-10crUpArrow

-11crHourGlass

-12crDrag

-13crNoDrop

-14crHSplit

-15crVSplit

-16crMultiDrag

-17crSQLWait

-18crNo

-19crAppStart

-20crHelp

-21crHandPoint

TeeChart offers one more Cursor with code 2020 which is an alternative 'hand' to crHandPoint.

Cursor Example

TChart1.Series(1).Cursor = -21 'crHandPoint


ISeriesAnimationTool.Execute
ISeriesAnimationTool

procedure Execute;

Type Library
TeeChartx

Description
Runs the animation.

Make sure you dont call Execute again while the animation is not finished, to avoid re-entrancy.


ICustomAnimationChart.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeAnimation
|
ICustomAnimationChart


IErrorsD.Front

IErrors3D.Front
IErrors3D

property Front: IValueList;

Type Library
TeeChartx


IErrorsBase.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IErrorsBase


ITeeCustomShape.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape


IIsoSurfaceSeries.YPosition
IIsoSurfaceSeries

property YPosition: Double;

Type Library
TeeChartx

Description
Default is zero.

When the IIsoSurfaceSeries.UseYPosition property is True, YPosition value is used as the common vertical coordinate to display all iso-lines and filled cells.

When IIsoSurfaceSeries.UseYPosition is False, YPosition is ignored and each of the cells Y values are used as vertical coordinates.


ICustomGauge.methods
ICustomGauge Legend key

Type Library
TeeChartx

In ICustomGauge

GetPaletteColor
SetCustomBounds


ITeeEditorShowPages.Animations
ITeeEditorShowPages

property Animations: WordBool;

Type Library
TeeChartx


ICustomSeriesList.ClearValues
ICustomSeriesList

procedure ClearValues;

Type Library
TeeChartx

Description

ClearValues will call the Clear method of all series in the list to remove all series points in a single call.

Chart1.SeriesList.ClearValues


IMapMarks.Centroid
IMapMarks

property Centroid: WordBool;

Type Library
TeeChartx


IAverageFunction.properties
IAverageFunction Legend key

Type Library
TeeChartx

In IAverageFunction

IncludeNulls


IMarksSymbol.Visible
IMarksSymbol

property Visible: WordBool;

Type Library
TeeChartx

Description
Set visible to false to hide Marks symbols.


ISeriesSource.methods
ISeriesSource Legend key

Type Library
TeeChartx

In ISeriesSource

Close
Open

Derived from ITeeLinked

AboutBox


IFastLineSeries.LinePen
IFastLineSeries

property LinePen: IPen;

Type Library
TeeChartx

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points.

Example [Visual Basic]:

This code changes FastLineSeries's pen style:

TChart1.Series( 0 ).asFastLine.LinePen.Style = psDot


ITextShape.properties
ITextShape Legend key

Type Library
TeeChartx

In ITextShape

AutoSize
ClipText
Cursor
Margins
Text
TextAlignment

Derived from ITeeShapePosition

CustomPosition
Left
Top

Derived from ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ILegend.ShowEditorLegend
ILegend

procedure ShowEditorLegend;

Type Library
TeeChartx

Description
Shows the Chart Editor dialog positioned at the Legend tab.

Example [Visual Basic]:

TChart1.Legend.ShowEditorLegend


ICustomGaugeMinMax.Horizontal
ICustomGaugeMinMax

property Horizontal: WordBool;

Type Library
TeeChartx

Description

Gets and sets whether the LinearGauge should be displayed horizontally or vertically.


ICustomBarSeries.BarBrush
ICustomBarSeries

property BarBrush: IBrush;

Type Library
TeeChartx

Description
The BarBrush property defines the Brush used to fill Bars. You can set the Brush Color and Brush Style properties. When BarBrush.Style is different than bsSolid, the Series.Color color is the background bar color.

Example [Visual Basic]:

This code will display Bars with patterns:

With TChart1

.AddSeries scBar

.Series(0).FillSampleValues 20

.Series(0).asBar.BarBrush.Style = bsBDiagonal

.Series(0).asBar.BarBrush.Color = vbWhite

.Series(0).Color = vbRed

End With


ITeePreviewerOptions.SetupPrinter
ITeePreviewerOptions

property SetupPrinter: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


IChartAnimations.asTransformation
IChartAnimations

property asTransformation: ITransformAnimation;

Type Library
TeeChartx


ILegendPaletteTool.Title
ILegendPaletteTool

property Title: ITitles;

Type Library
TeeChartx


IAnimationList.ControlDefault
IAnimationList

property ControlDefault[Index: Integer]: OleVariant;

Type Library
TeeChartx


ICircularGauge.HandOffset
ICircularGauge

property HandOffset: Integer;

Type Library
TeeChartx

Description
Use HandOffset to set the length of the pointer. The maximum pointer length is limited by the guage diameter.


ICircledSeries.CustomYRadius
ICircledSeries

property CustomYRadius: Double;

Type Library
TeeChartx

Description

Default 0

The CustomYRadius property indicates the amount in vertical pixels used to calculate ellipse bounds. Setting it to zero means the CircledSeries will automatically calculate the adequate ellipse radius when necessary.


ISubChart.AllowResize
ISubChart

property AllowResize: WordBool;

Type Library
TeeChartx

Description
Default : False

When True, the end user can use the mouse to resize the SubChart.


IKnobGauge.AxisInside
IKnobGauge

property AxisInside: WordBool;

Type Library
TeeChartx

Description
Sets the axis to be drawn on the inside of the knob dial when true.


IPointer.SizeUnits
IPointer

property SizeUnits: EPointerSizeUnits;

Type Library
TeeChartx


IGanttSeries.NextTask
IGanttSeries

property NextTask: IValueList;

Type Library
TeeChartx

Description
The NextTask property is a List class that holds the Gantt bar index each Gantt bar is connected to.

When a Gantt bar is added to GanttSeries, it's NextTask value is assigned to -1 by default. That means the Gantt bar is NOT connected to any other Gantt Bar.

You need to set a valid bar index to NextTask.

Example [Visual Basic]:

Let's add two Gantt bars:

With TChart1

.AddSeries scGantt

.Legend.Visible = False

.Aspect.View3D = False

.Series(0).asGantt.AddGantt DateValue("20/11/00"), DateValue("30/11/00"), 2, "Gary"

.Series(0).asGantt.AddGantt DateValue("20/12/00"), DateValue("30/12/00"), 4, "Jenny"

.Series(0).asGantt.NextTask.Value(0) = 1

End With


IExport.asEPS
IExport

property asEPS: IEPSExport;

Type Library
TeeChartx

Description
Accesses EPS format Export attributes.


IKnobGauge.CenterPoint
IKnobGauge

property CenterPoint: ITeePoint2D;

Type Library
TeeChartx

Description
Accesses the the properties and methods of the knob pointer drawn at center. It allows you to specify

its color, size, style, for example, and more.


INativeExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
INativeExport


IGaugeSeries.LabelsInside
IGaugeSeries

property LabelsInside: WordBool;

Type Library
TeeChartx

Description
Default : True

Defines where to display gauge axis labels.


ILevelSegment.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILevelSegment


IRVIFunction.SignalPen
IRVIFunction

property SignalPen: IPen;

Type Library
TeeChartx

Description
Sets the properties of the pen to draw the signal line.


IHighFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IHighFunction


IEquiVolumeSeries.VolumePointer
IEquiVolumeSeries

property VolumePointer: IPointer;

Type Library
TeeChartx

Description
When Visible this pointer marks points where volume exceeds the previous point. Default behaviour is an up triangle where the Close value is higher than the previous point and a down triangle when Close is lower.


IContourSeries.LegendLines
IContourSeries

property LegendLines: WordBool;

Type Library
TeeChartx

Description

When it's set to True shows the Legend symbols with horizontal lines.


ICanvas.methods
ICanvas Legend key

Type Library
TeeChartx

In ICanvas

ApplyDark
Arc
Arrow
AssignBrush
ClipCube
ClipEllipse
ClipPolygon
ClipRectangle
ClipRoundRectangle
ColorAlpha
ColorFrom
Cone
CreatePath
Cube
CubeHull
Cylinder
Draw
DrawBevel
DrawLine
Ellipse
EllipseWithZ
EraseBackground
Frame3D
GradientFill
GrayScale
HorizLine3D
IsScreenHighColor
Line
LineTo
LineTo3D
LineWithZ
MoveTo
MoveTo3D
Pie
Pie3D
Pixels
Pixels3D
Plane3D
PlaneFour3D
PlaneWithZ
Polygon
PolygonGradient
PolygonWithZ
Polyline
Rectangle
RectangleWithZ
RectangleY
RectangleZ
RotatedEllipse
RotateLabel
RotateLabel3D
RoundRectWithZ
Sphere
StretchDraw
StretchDrawZ
TextHeight
TextOut
TextOut3D
TextWidth
TriangleWithZ
UnClipRectangle
VertLine3D
ZLine3D


IAxis.CustomDrawMinMax
IAxis

procedure CustomDrawMinMax(APosLabels, APosTitle, APosAxis: Integer; GridVisible: WordBool; AMinimum, AMaximum: Double; AStartPosition, AEndPosition: Integer);

Type Library
TeeChartx

Description
Draws a copy of the parent Axis at the the position defined (as pixels) with Minimum and Maximum as percentages and optional Start End as pixels.


ITChart.OnMouseEnterSeries
ITChart

property OnMouseEnterSeries: TTChartOnMouseEnterSeries;

Type Library
TeeChartx

Description
All Series styles now provide OnMouseEnter and OnMouseLeave events.

These events are triggered when the mouse enters and exits a series point.


ITChart.OnDragPointToolStartDrag
ITChart

property OnDragPointToolStartDrag: TTChartOnDragPointToolStartDrag;

Type Library
TeeChartx


ITeePanning.MouseWheel
ITeePanning

property MouseWheel: EPanMouseWheel;

Type Library
TeeChartx


IPolarSeries.methods
IPolarSeries Legend key

Type Library
TeeChartx

In IPolarSeries

AddPolar

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IChartGridRows.Row
IChartGridRows See also

property Row: Integer;

Type Library
TeeChartx

Description

Access/select the ChartGrid row via this property.

See also:
IChartGridCols.Col


ISmoothPoints.properties
ISmoothPoints Legend key

Type Library
TeeChartx

In ISmoothPoints

Active
Factor
Interpolate


ICustomGauge.Value
ICustomGauge

property Value: Double;

Type Library
TeeChartx

Description

Gets or sets the position of gauge arrow line.


IPNGExport.CompressionLevel
IPNGExport

property CompressionLevel: Integer;

Type Library
TeeChartx

Description
Sets the level of PNG compression.


IAxisTitle.properties
IAxisTitle Legend key

Type Library
TeeChartx

In IAxisTitle

Angle
Caption
Font
Position
Visible


IMetafileExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IMetafileExport


IPrinter.Detail
IPrinter

property Detail: Integer;

Type Library
TeeChartx

Description
Default Value: 0

Run-time only.The Detail property controls how screen pixels will be mapped to printer pixels. By default it's zero, meaning screen proportions will be respected when printing. The value is a range from 0 to 100%. The lower the value the higher the resolution of screen pixels passed to the printer. The 0 value represents the Screen resolution printing 'What you See'.

Example [Visual Basic]:

TChart1.Printer.Detail = 0 { this will use screen resolution }

TChart1.Printer.Detail = 100 { this will use more printer resolution }


ITeeListBox.OnMouseMove
ITeeListBox

property OnMouseMove: TTeeListBoxOnMouseMove;

Type Library
TeeChartx

Description
This event is triggered when moving the mouse over the TeeListBox.


IColorBandTool.Gradient
IColorBandTool

property Gradient: IGradient;

Type Library
TeeChartx

Description
Use to set Band colour gradient.


IGaugeRange.properties
IGaugeRange Legend key

Type Library
TeeChartx

In IGaugeRange

EndValue
Format
StartValue


ITagCloudSeries.Filter
ITagCloudSeries

property Filter: WideString;

Type Library
TeeChartx

Description
Default is empty.

Gets or sets a string that determines which tags are going to be displayed.

Only tags that contain the text in Filter property will be displayed.

Text comparation is case-insensitive.


IClockSeries.PenSeconds
IClockSeries

property PenSeconds: IPen;

Type Library
TeeChartx

Description

Pen for the Clock's Second hand.


IPolarGridSeries.Clicked
IPolarGridSeries

function Clicked(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Returns the point index number that contains the XY parameter pixels coordinates.


IXMLExport.properties
IXMLExport Legend key

Type Library
TeeChartx

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


ISeries.asPolarGrid
ISeries

property asPolarGrid: IPolarGridSeries;

Type Library
TeeChartx

Description
The asPolarGrid property is used by the Series Class to access PolarGrid Series specific properties.


IFrameBrush.properties
IFrameBrush Legend key

Type Library
TeeChartx

Derived from IBrush

BackColor
BrushLink
Color
Gradient
Handle
Style


IFaderTool.Stop
IFaderTool

procedure Stop;

Type Library
TeeChartx

Description
Stop the Fader animation.


ICircularGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge
|
ICustomGaugeMinMax
|
ICircularGauge


ICrossTabSource.CaseSensitive
ICrossTabSource

property CaseSensitive: WordBool;

Type Library
TeeChartx

Description
Default : False

When records in the database contain labels or group texts that are only different in case, setting this property to True will consider texts as different, thus creating new series or groups in the final chart.

By default is False, meaning case of texts its not used to compare them.


ICircularGauge.AutoValueNumericGauge
ICircularGauge

property AutoValueNumericGauge: WordBool;

Type Library
TeeChartx

Description
Defatult : True

If this property is set to True, if a Numeric Gauge is active into the Circular gauge, the value assigned to the Numeric gauge would be the same as the value of the Circular gauge.


ICustomSeries.LineBrush
ICustomSeries

property LineBrush: EBrushStyle;

Type Library
TeeChartx

Description
Default Value: bsSolid

The LineBrush property defines the brush style used to fill LineSeries contents.

It has effect only when Chart1.View3D is True.

The Legend reflects automatically the selected brush style.

Setting different brush styles can be useful when printing on monochrome printers.


ITextDTool.properties

IText3DTool properties
IText3DTool Legend key

Type Library
TeeChartx

In IText3DTool

Angle
Font
Position
Rotation
Text


IAnnotationTool.properties
IAnnotationTool Legend key

Type Library
TeeChartx

In IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


IWalls.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IWalls


IPointer.DrawPointer
IPointer

procedure DrawPointer(DC: OleVariant; Is3D: WordBool; px, py, tmpHoriz, tmpVert: Integer; AColor: OLE_COLOR; AStyle: EPointerStyle);

Type Library
TeeChartx

Description
The Draw method displays a pointer at the specified px and py screen pixel coordinates with the tmpHoriz and tmpVert dimensions.


ICursorTool.FullRepaint
ICursorTool

property FullRepaint: WordBool;

Type Library
TeeChartx


IEnvironment.IEPrintWithPage
IEnvironment

property IEPrintWithPage: WordBool;

Type Library
TeeChartx

Description
Default: False.

When set to True, enables Charts and their Series content to be printed in a standard Internet Explorer Menu Page Print job. The property should be set to true for each Chart in the page for which full printing is required to be enabled.

*NOTE*

This property is only essential for the printing of charts from IE for versions of IE up to v4.

See TChart's own Print methods for Chart printing via scripting languages.

Example [VBScript]:

<script language="VBScript"><!--

Sub Window_Onload()

'2 Charts in one browser page

TChart1.Environment.IEPrintWithPage = True

TChart2.Environment.IEPrintWithPage = True

End sub

--></script>


ICanvas.TextOutD

ICanvas.TextOut3D
ICanvas

procedure TextOut3D(X, Y, Z: Integer; Const Text: WideString);

Type Library
TeeChartx

Description
Draws a 2D non-rotated label at XYZ position. Depends on TextAlign property.


IErrorsDFormat.properties

IErrors3DFormat properties
IErrors3DFormat Legend key

Type Library
TeeChartx

In IErrors3DFormat

Back
Front

Derived from IErrorsFormat

Bottom
Left
Right
Top


ITChart.ApplyCustomPalette
ITChart See also

procedure ApplyCustomPalette(colorArray: OleVariant);

Type Library
TeeChartx

Description

Apply a Custom Palette to the Chart.

Example

' Create three custom color palettes (arrays of TColor)

ReDim RedPalette(15)

ReDim BluePalette(15)

ReDim GreenPalette(15)

For t = 0 To 14

RedPalette(t) = RGB(128 + Round(t * (128# / 15#)), 0, 0)

BluePalette(t) = RGB(0, 0, 128 + Round(t * (128# / 15#)))

GreenPalette(t) = RGB(0, 128 + Round(t * (128# / 15#)), 0)

Next t

Combo1.ListIndex = 0

Combo2.ListIndex = 1

End Sub

TChart1.ApplyCustomPalette RedPalette

' or .... TChart1.ApplyCustomPalette BluePalette

'etc

See also:
ApplyPalette


ITeePreviewerOptions.AsBitmap
ITeePreviewerOptions

property AsBitmap: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


ITools.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITools


IVideoTool.FrameCount
IVideoTool

property FrameCount: Integer;

Type Library
TeeChartx

Description
Returns the number of saved frames in the avi video file.


IPieSeries.BevelPercent
IPieSeries

property BevelPercent: Integer;

Type Library
TeeChartx

Description
Sets the Bevel on as a percentage of the Pie thickness


IArrowSeries.EndXValues
IArrowSeries

property EndXValues: IValueList;

Type Library
TeeChartx

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

EndXValues property is the list of X1 values.

Example [Visual Basic]:

This code sets to 123 the X1 coordinate of 6th arrow point: (Remember point index starts at zero)

TChart1.Series(0).asArrow.EndXValues.Value(5) = 123


ICircularGauge.DisplayRotationAngle
ICircularGauge

property DisplayRotationAngle: Integer;

Type Library
TeeChartx

Description
Sets the rotation angle of the Gauge background to be displayed. If the DisplayRotaionAngle is set to "0" and the DisplayTotalAngle = "180" the background draw is the upper part of a circle. If DisplayRotationAngle is now set to "90" the background would appear as the right hand side of a circle.


ICursorTool.Style
ICursorTool

property Style: ECursorToolStyle;

Type Library
TeeChartx

Description
Default Value: cssBoth

The Style property defines which lines of the CursorTool are shown on top of the charts.

The different TCursorTool styles are:

cssHorizontal Shows a horizontal line on top of the charts

cssVertical Shows a verical line on top of the charts

cssBoth Shows a horizontal and vertical line on top of the charts


ISeries.MandatoryValueList
ISeries

property MandatoryValueList: IValueList;

Type Library
TeeChartx

Description
List of required Values (ValueList).


IChartEditorPanel.Editor
IChartEditorPanel

property Editor: ITeeEditor;

Type Library
TeeChartx

Description
The ITeeEditor associated with the Chart EitorPanel


ITools.Description
ITools

property Description: WideString;

Type Library
TeeChartx

Description
The Description property returns string description of the Tool type.

Example [Visual Basic]

Private Sub Form_Load()

Dim MyAnnotationTool1 As Integer

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

MyAnnotationTool1 = .Tools.Add(tcAnnotate)

With .Tools.Items(MyAnnotationTool1).asAnnotation

.Position = ppLeftTop

.Text = "Access"

End With

Label1.Caption = .Tools.Items(MyAnnotationTool1).Description

Label2.Caption = .Tools.Items(MyAnnotationTool1).ToolType

End With

End Sub


ICustomDPaletteSeries.SavePaletteToFile

ICustom3DPaletteSeries.SavePaletteToFile
ICustom3DPaletteSeries

procedure SavePaletteToFile(Const FileName: WideString);

Type Library
TeeChartx


INumericGauge.DigitalFont
INumericGauge

property DigitalFont: EDigitalFont;

Type Library
TeeChartx

Description

The style of digital font.


ITChart.OnSubChartToolResized
ITChart

property OnSubChartToolResized: TTChartOnSubChartToolResized;

Type Library
TeeChartx


IAxisLabels.GetPos
IAxisLabels

function GetPos: Integer;

Type Library
TeeChartx

Description
This function returns the Axis Labels' position.


IDataTableTool.properties
IDataTableTool Legend key

Type Library
TeeChartx

In IDataTableTool

AutoPosition
Brush
ClipText
ColumnPen
Font
Inverted
Left
Legend
RowPen
Top


ISubsetTeeFunction.EndValue
ISubsetTeeFunction

property EndValue: Double;

Type Library
TeeChartx

Description
Determines the maximum value to be included in the subset of points.


ITools.asTeeCursor
ITools

property asTeeCursor: ICursorTool;

Type Library
TeeChartx

Description
The asTeeCursor property is used by the Tools Class to access TeeCursor Tool specific properties.


ICustomImagePointSeries.ImageTransparent
ICustomImagePointSeries

property ImageTransparent: WordBool;

Type Library
TeeChartx

Description
Fills points using the image in transparent mode or opaque mode.


ILegendPaletteTool.SubTitle
ILegendPaletteTool

property SubTitle: ITitles;

Type Library
TeeChartx


IJavaScriptExport.SourceScriptPath
IJavaScriptExport

property SourceScriptPath: WideString;

Type Library
TeeChartx

Description
Set the source script to the location of the teechart.js source files. Default location: "http://www.steema.com/files/public/teechart/html5/jscript/src". You can download the TeeChart javascript files to your own location as required. Steema Software offers Commercial and Non-Commercial License options for use of TeeChart for Javascript. See the TeeChart for Javascript license information here http://www.steema.com/licensing/html5, or contact us for more information.


IPDFExport.methods
IPDFExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


IAxisScrollTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis
|
IAxisScrollTool


ITeeListBox.ShowIcon
ITeeListBox

property ShowIcon: WordBool;

Type Library
TeeChartx

Description
Default: True

Display/Hide the 'Series type icon' in the Series List.


ITChart.OnCompressFunctionGetDate
ITChart

property OnCompressFunctionGetDate: TTChartOnCompressFunctionGetDate;

Type Library
TeeChartx

Description
Event called by the compression function to give the application the opportunity to supply custom date values, instead of using the default date values from the OHLC source series.


IExport.asGIF
IExport

property asGIF: IGIFExport;

Type Library
TeeChartx

Description
Accesses GIF format Export attributes.


IGanttTool.CursorDrag
IGanttTool

property CursorDrag: SmallInt;

Type Library
TeeChartx

Description
Default : crHandPoint

Defines the cursor to show when the user is dragging a Gantt bar.


IVectorDSeries.methods

IVector3DSeries methods
IVector3DSeries Legend key

Type Library
TeeChartx

In IVector3DSeries

AddVector
MaxXValueVector
MaxYValueVector
MaxZValueVector
MinXValueVector
MinYValueVector
MinZValueVector

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ITeeShadow.SmoothBlur
ITeeShadow

property SmoothBlur: Integer;

Type Library
TeeChartx

Description
Default is zero.

Gets or sets the number of "blur" steps to apply to shadow.

The Smooth property must be True for SmoothBlur to apply.

A blurred shadow might decrease brightness so it'll need a darker Color.

Note: A number bigger than 10 might be slow depending on your machine speed.


ISeriesMarkPosition.properties
ISeriesMarkPosition Legend key

Type Library
TeeChartx

In ISeriesMarkPosition

ArrowFrom
ArrowTo
Custom
Height
LeftTop
Width


ISeriesRegionTool.Gradient
ISeriesRegionTool

property Gradient: IGradient;

Type Library
TeeChartx

Description
Gradient characteristics used to fill the series region areas.


IMapPolygon.Z
IMapPolygon

property Z: Double;

Type Library
TeeChartx

Description
Use Z property to specify the position on the Z-axis of the 3D MapSeries.

In Chart terms this will set a Z plane position, a lower value of Z will be drawn in front of a higher Z value. TMapSeries is intended to be viewed in 2D and the Z value is provided to be used as a value for a Polygon (ie. for demographic maps). If colour Palette is used then the Z value will set the Polygon colour.


ICLVFunction.Volume
ICLVFunction

property Volume: OleVariant;

Type Library
TeeChartx

Description
Series to be used as source of volume values.

By default this property is "nil" (empty).

No volume values are used to multiply the CLV calculations.


IFilterItems.properties
IFilterItems Legend key

Type Library
TeeChartx

In IFilterItems

Item


IDrawLine.DrawHandles
IDrawLine

procedure DrawHandles;

Type Library
TeeChartx

Description
Mark the ends of each line drawn with Handles for drag relocation.


IChartGrid.SeriesSymbolClickable
IChartGrid

property SeriesSymbolClickable: WordBool;

Type Library
TeeChartx

Description
When True Series symbol may be clicked on to use ColorDialog.


ISeries.asArrow
ISeries

property asArrow: IArrowSeries;

Type Library
TeeChartx

Description
The asArrow property is used by the Series Class to access Arrow Series specific properties.

eg. 'TChart1.Series(x).asArrow.ArrowHeight=4'.

Example [Visual Basic]:

With TChart1.Series(0)

.asArrow.StartXValues.DateTime = False

.asArrow.EndXValues.DateTime = False

.Clear

.asArrow.AddArrow 30, 35, 70, 65, "", vbBlue

End With


IAxisLabelsItem.properties
IAxisLabelsItem Legend key

Type Library
TeeChartx

In IAxisLabelsItem

Format
LabelPos
Text
Value


IRMSFunction.properties
IRMSFunction Legend key

Type Library
TeeChartx

In IRMSFunction

Complete


ITeeEditor.EditorLinkx

ITeeEditor.EditorLinkx64
ITeeEditor

property EditorLinkx64: OleVariant;

Type Library
TeeChartx


ICanvas.RectangleY
ICanvas

procedure RectangleY(Left, Top, Right, Z0, Z1: Integer);

Type Library
TeeChartx

Description
Horizontal Rectangle from Left to Right, from Z0 to Z1 position, at Top Y.


ICanvas.RectangleZ
ICanvas

procedure RectangleZ(Left, Top, Bottom, Z0, Z1: Integer);

Type Library
TeeChartx

Description
Horizontal Rectangle from Left to Right, from Z0 to Z1 position, at Top Y.


IPointFigureSeries.CloseValues
IPointFigureSeries

property CloseValues: IValueList;

Type Library
TeeChartx

Description
The CloseValues property is used to store all Stock market Close values.

You can access Close values in the same way you can access X or Y values.


IColorBandTool.DrawBehind
IColorBandTool

property DrawBehind: WordBool;

Type Library
TeeChartx

Description
Default: True

When true draws the Colorband behind the series values.


IDrawLineTool.EnableDraw
IDrawLineTool

property EnableDraw: WordBool;

Type Library
TeeChartx

Description
Default value: True

This boolean property enables/disables the drawing of lines on the chart by the user at run-time using the mouse.

All drawn lines are stored in the Lines property


IColorBandTool.methods
IColorBandTool Legend key

Type Library
TeeChartx

In IColorBandTool

Clicked


IMarksSymbol.Gradient
IMarksSymbol

property Gradient: IGradient;

Type Library
TeeChartx

Description
Calls the Gradient characteristics for the shape.


IAxisLabels.Size
IAxisLabels

property Size: Integer;

Type Library
TeeChartx

Description
The AxisLabels' Size property is 0 by default.

Therefore the space between the Axis and the Chart will be automatically calculated based on the Axis Labels Width and Height.

Example [Visual Basic]:

You can set this property both at design or runtime:

TChart1.Axis.Right.Labels.Size = 50 (50 pixels separation)


ITChart.OnScrollPagerScroll
ITChart

property OnScrollPagerScroll: TTChartOnScrollPagerScroll;

Type Library
TeeChartx


IGradientColor.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGradientColor


ILegend.Title
ILegend

property Title: ILegendTitle;

Type Library
TeeChartx

Description
The Legend Title property displays text at top of the Legend rectangle.


ISubGradient.methods
ISubGradient Legend key

Type Library
TeeChartx

Derived from IGradient

ShowEditor


IGanttTool.CursorResize
IGanttTool

property CursorResize: SmallInt;

Type Library
TeeChartx

Description
Default : crSizeWE

Defines the cursor to show when the end user passes the mouse over an edge (left or right) of a gantt series bar.


IPrinter.Print
IPrinter

procedure Print;

Type Library
TeeChartx

Description
Please use the PrintChart method. Print is included with this version of TeeChart for backwards compatibility only.

This property will send the Chart to the currently selected Printer. The current Printer orientation (Portrait or Landscape) can be changed prior to printing.


IMarks.AutoPosition
IMarks

property AutoPosition: WordBool;

Type Library
TeeChartx


ITChart.OnDragMarksToolDraggingMark
ITChart

property OnDragMarksToolDraggingMark: TTChartOnDragMarksToolDraggingMark;

Type Library
TeeChartx

Description
Event called when the end user is moving the mouse dragging a mark.

You can use the chart OnMouseDown and OnMouseUp events to recognize when the end user starts and finishes a dragging operation.


ITeePanelsList.Count
ITeePanelsList

property Count: Integer;

Type Library
TeeChartx

Description
Read Count to determine the number of entries in the Items array.

Increasing the size of Count will add the necessary number of nil pointers to the end of the Items array. Decreasing the size of Count will remove the necessary number of entries from the end of the Items array.


IExport.SaveToJPEGFile
IExport

procedure SaveToJPEGFile(Const FileName: WideString; Gray: WordBool; Performance: EJPEGPerformance; Quality, Width, Height, DPI: Integer);

Type Library
TeeChartx

Description
This method is now deprecated. Please see the IJPEGExport interface for the newer, more complete functionality.

SaveToJPEG exports the entire Chart to a JPEG graphics file.

Quality is a percentage 0 - 100% of which 100% is best quality.

Example [Visual Basic]:

Use a Common Dialog control to name the Chart jpeg file

With CommonDialog1

.Filter = "JPEG|*.jpg"

.ShowSave

If .filename <> "" Then

TChart1.Export.SaveToJPEGFile .filename, False, jpegBestQuality, 100, 300, 200

End If

End With


ISeries.AddNullXY
ISeries

function AddNullXY(X, Y: Double; Const ALabel: WideString): Integer;

Type Library
TeeChartx

Description
Use to add a null point to an XY Series. TeeChart will reserve the X location for the Point filling with 'no-colour'.


IPyramidSeries.SizePercent
IPyramidSeries

property SizePercent: Integer;

Type Library
TeeChartx

Description
Sets size of Pyramid base relative to Chart Axis bounding width.


ITeeFunction.PeriodStyle
ITeeFunction

property PeriodStyle: EFunctionPeriodStyle;

Type Library
TeeChartx

Description
Sets the Period to apply to a range (eg. DateTime month) or a number of Series Points.

Example [Visual Basic]:

TChart1.Series(2).FunctionType.PeriodStyle = psRange

TChart1.Series(2).FunctionType.Period = TChart1.GetDateTimeStep(dtOneMonth)

------------

'The range can also be used for non-datetime series:

TChart1.Series(2).SetFunction (tfAverage)

TChart1.Series(2).FunctionType.PeriodStyle = psRange

TChart1.Series(2).FunctionType.Period = 100

TChart1.Series(2).DataSource = "Series1"

'This will calculate an average for each group of points

'inside every "100" interval.

'(Points with X >=0, X<100 will be used to calculate the

'first average, points with X >=100, X<200 will be used

'to calculate the second average and so on... )

'Notice this is different than calculating an average for

'every 100 points.


IExpAvgFunction.properties
IExpAvgFunction Legend key

Type Library
TeeChartx

In IExpAvgFunction

Weight


IAxis.Minimum
IAxis

property Minimum: Double;

Type Library
TeeChartx

Description
Axis Minimum is the lowest value an Axis will use to scale their dependent Series point values. Can be any number or DateTime value.

Must be lower than the Axis.Maximum value.

VERY IMPORTANT:

Axis.Automatic property must be FALSE. If Axis.Automatic is True, the Axis will set Maximum and Minimum values to Maximum and Minimum dependent Series values.


IGridBandTool.Band

IGridBandTool.Band1
IGridBandTool

property Band1: IGridBandBrush;

Type Library
TeeChartx

Description
Defines the brush to fill first grid band.


IGridBandTool.Band

IGridBandTool.Band2
IGridBandTool

property Band2: IGridBandBrush;

Type Library
TeeChartx

Description
Defines the brush to fill second grid band.


ITools.asFader
ITools

property asFader: IFaderTool;

Type Library
TeeChartx

Description
The asFader property is used by the Tools Class to access Fader Tool specific properties.


IAnnotationCallout.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
ICallout
|
IAnnotationCallout


IScrollBarThumb.Style
IScrollBarThumb

property Style: EScrollThumbStyle;

Type Library
TeeChartx

Description
Default value is stsCustom.

Gets or sets the thumb pre-defined picture used to draw the scrollbar thumb.

By default Style is stsCustom meaning no picture is used, and the brush and gradient properties are used to fill the thumb rectangle.


ILegendPaletteTool.Smooth
ILegendPaletteTool

property Smooth: WordBool;

Type Library
TeeChartx

Description
Default is False.

When True, colors used to display at the legend are made "smoother" by using an internal gradient to gradually change from one color to the next.


IRotateFilter.BackColor
IRotateFilter

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description
Gets or sets the color used to fill the image background before displaying the rotated picture.

When the image is rotated, some areas of the picture aren't covered by image pixels.


IPieSeries.ExplodeBiggest
IPieSeries

property ExplodeBiggest: Integer;

Type Library
TeeChartx

Description
When 0, disables ExplodeBiggest, otherwise sets the Biggest value slice 'explosion' from centre at value (integer).


IMarks.Item
IMarks

property Item[Index: Integer]: IMarksItem;

Type Library
TeeChartx

Description
Returns the formatting object for the Index'th mark.


IPageNumTool.EnabledButton
IPageNumTool

property EnabledButton: IGradient;

Type Library
TeeChartx

Description
Gradient settings used to paint the interior of the two small left and right triangle buttons, when they are enabled.


ICallout.ArrowHeadSize
ICallout

property ArrowHeadSize: Integer;

Type Library
TeeChartx

Description
The size in pixels to display the arrow head at the end of the callout line.


ILegend.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape
|
ITeeShapePosition
|
ILegend


IPrinterSettings.Duplex
IPrinterSettings

property Duplex: SmallInt;

Type Library
TeeChartx

Description
Selects duplex or double-sided printing for printers capable of duplex printing. Following are the possible values.

Value Meaning

1 - DMDUP_SIMPLEX Normal (nonduplex) printing.

2 - DMDUP_VERTICAL Long-edge binding, that is, the long edge of the page is vertical.

3 - DMDUP_HORIZONTAL Short-edge binding, that is, the long edge of the page is horizontal.


ITransposeSeriesTool.methods
ITransposeSeriesTool Legend key

Type Library
TeeChartx

In ITransposeSeriesTool

Transpose


IPieTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IPieTool


ISeriesStatsTool.Statistics
ISeriesStatsTool

property Statistics: IStrings;

Type Library
TeeChartx

Description
Adds basic statistic information to Lines parameter in text format similar to the following example:

Number of values: 25

Maximum value: 427.5 at position 15

Minimum value: 112.5 at position 2

Range: 315

Average: 249.7

Median: 261.25

Mode: 112.5

Std. Deviation: 90.359

Variance: 7,838.16

Root Mean Square: 270.394

Correlation: 0.341

Note: The Lines parameter must be created before calling this method, and it is the responsability of the developer to free it.


IPanel.properties
IPanel Legend key

Type Library
TeeChartx

In IPanel

BackImage
BackImageInside
BackImageMode
BackImageTransparent
BevelInner
BevelOffset
BevelOuter
BevelWidth
Border
BorderRound
BorderStyle
Color
Gradient
MarginBottom
MarginLeft
MarginRight
MarginTop
MarginUnits
Shadow


IZoom.Animated
IZoom

property Animated: WordBool;

Type Library
TeeChartx

Description
Default: False

The animated property determines if Zoom will be performed directly or it will be displayed as an animated sequence of zooms. The AnimatedSteps property controls the number of zoom steps. Animated Zoom can be useful when there are a lot of points.

This boolean property controls if Zoom will be instantaneous or it will be dynamic.

When Animated is True, Zoom is performed by applying succesive Zooms. The number of Zoom steps can be changed using the AnimatedSteps property.


IMapPolygon.methods
IMapPolygon Legend key

Type Library
TeeChartx

In IMapPolygon

AddXY
Centroid
Visible


IAxis.CustomDraw
IAxis

procedure CustomDraw(APosLabels, APosTitle, APosAxis: Integer; GridVisible: WordBool);

Type Library
TeeChartx

Description
The CustomDraw method displays an Axis at the specified screen positions with the current axis scales.

This method can be used in very special Charting applications, as it involves quite good TeeChart internals knowledge.

For normal charting the TChart class provides two horizontal and two vertical axis that are output to the screen automatically.

This method stores the Axis old positions, draws the Axis and restores the positions again.

The PosLabels, PosTitle and PosAxis parameters determine the Axis Labels, Title and Axis positions.

For horizontal Axis like Axis.Top or Axis.Bottom, these positions are in vertical screen coordinates.

For vertical Axis like Axis.Left or Axis.Right, these positions are in horizontal screen coordinates.

The GridVisible parameter determine if the Axis should draw or not the grid lines from the axis to chart edges.

The Axis is drawn using the current formatting properties such as fonts, ticks and colors.

Example

This example draws 2 new axis in Visual Basic

Private Sub TChart1_OnBeforeDrawSeries()

Dim posaxis As Integer

With TChart1

If .Axis.Left.Maximum > 0 Then

'When scrolling or on zoom always keep the gridlines enclosed

'in the Chart rectangle

.Canvas.ClipRectangle .Canvas.Left, .Canvas.Top, _

(.Canvas.Left + .Canvas.Width), _

(.Canvas.Top + .Canvas.Height)

'Always draw the 2nd vertical Axis at the middle point of the

'Chart

posaxis = (.Canvas.Left) + (.Canvas.Width * 0.5)

.Axis.Left.CustomDraw posaxis - 10, posaxis - 20, _

posaxis, True

'Draw the 2nd Horizontal axis at the level of "10" on the

'vertical axis

posaxis = (.Axis.Left.CalcYPosValue(10))

.Axis.Bottom.CustomDraw posaxis + 10, posaxis + 40, _

posaxis, True

.Canvas.UnClipRectangle

End If

End With

End Sub


ICustomDGridSeries.FillGridIndex

ICustom3DGridSeries.FillGridIndex
ICustom3DGridSeries See also

procedure FillGridIndex(StartIndex: Integer);

Type Library
TeeChartx

Description

This method is called by the Series to create an internal grid template upon which to base the Surface or Contour plots.

If you pass exact grid X and Z values to the Series (ie, correlative integer numbers starting from zero), the FillGridIndex method will do nothing.

If the X and Z values are floating point, or they aren't ordered, the FillGridIndex method will construct a grid and sort the X and Z coordinates.

The resulting grid will be then used as an index for every point to display. If you have XYZ values that cannot be fitted on a square grid, you can use the TriSurface Series.

Run this method when using the FastBrush Surface Series paint technique.

Example

With TChart1

.Aspect.Orthogonal = False

.Aspect.Zoom = 70

.Series(0).FillSampleValues (30)

' Speed trick, as we know Surface data will not be modified anymore:

.Series(0).asSurface.FillGridIndex 0

.Series(0).asSurface.ReuseGridIndex = True

.Series(0).asSurface.Pen.Visible = False

.Series(0).asSurface.FastBrush = True

' other setting to increase speed:

.ClipPoints = False

.Walls.Left.Visible = False

.Axis.FastCalc = True ' <-- bypass overflow checkings...

End With

See also:
ReuseGridIndex, ISurfaceSeries.FastBrush


ILowFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILowFunction


IBoxPlotSeries.properties
IBoxPlotSeries Legend key

Type Library
TeeChartx

Derived from ICustomBoxSeries

AdjacentPoint1
AdjacentPoint3
Box
ExtrOut
InnerFence1
InnerFence3
Median
MedianPen
MildOut
OuterFence1
OuterFence3
Position
Quartile1
Quartile3
UseCustomValues
WhiskerLength
WhiskerPen

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IBollingerFunction.LowBand
IBollingerFunction

property LowBand: ISeries;

Type Library
TeeChartx

Description
LowBand Series stores the low band (Mean - Deviation*StdDev) values. High band values (Mean + Deviation*StdDev) values are stored in the ParentSeries.


ITeeEditor.EditorTitle
ITeeEditor

property EditorTitle: WideString;

Type Library
TeeChartx

Description
Set the Title to be displayed on the Chart Editor at runtime.


ITChart.Enabled
ITChart

property Enabled: WordBool;

Type Library
TeeChartx

Description
Enables/disables Chart (true/false).


IMarksTipTool.Style
IMarksTipTool

property Style: EMarkStyle;

Type Library
TeeChartx

Description
Use Series Marks Styles to define the text format of the Mark ToolTip.


IZoomFilter.Percent
IZoomFilter

property Percent: Double;

Type Library
TeeChartx

Description
Percentage to use to generate the zoomed image.


ISeries.asHorizBoxPlot
ISeries

property asHorizBoxPlot: IHorizBoxPlotSeries;

Type Library
TeeChartx

Description
The asHorizBoxPlot property is used by the Series Class to access Horizontal BoxPlot Series specific properties.


ISurfaceSeries.SideBrush
ISurfaceSeries

property SideBrush: IBrush;

Type Library
TeeChartx

Description
Set the SideBrush property to specify the color and pattern to use when filling in the sides of a surface series.


ITeeFilter.asLight
ITeeFilter

property asLight: ILightFilter;

Type Library
TeeChartx

Description

The asLight property is used by the TeeFilter Class to access Light Filter specific properties.


IExpMovAvgFunction.properties
IExpMovAvgFunction Legend key

Type Library
TeeChartx

In IExpMovAvgFunction

IgnoreNulls


IDrawLine.StartHandle
IDrawLine

function StartHandle: TeeRect;

Type Library
TeeChartx

Description
Returns Rect of the DrawLine start handle.


ISeries.asFastLine
ISeries

property asFastLine: IFastLineSeries;

Type Library
TeeChartx

Description
The asFastLine property is used by the Series Class to access FastLine Series specific properties.

eg. 'TChart1.Series(x).asFastLine.LinePen.Width = 2'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.AddXY 12, 10, "1st", clTeeColor

.AddXY 7, 4, "2nd", clTeeColor

.AddXY 9, 7, "3rd", clTeeColor

.AddXY 14, 11, "4th", clTeeColor

.asFastLine.LinePen.Style = psDash

End With


IPrinter.PageWidth
IPrinter

property PageWidth: Integer;

Type Library
TeeChartx

Description
PageWidth returns the page width of the active printer. Use with the PageHeight property and PrinterPartial . to print a Chart proportionally to the available size of the Printer's page.

Example [Visual Basic]:

Private Sub Command2_Click()

With TChart1.Printer

.Orientation = poLandscape

.BeginDoc

.PrintPartial 0, 0, .PageWidth / 2, .PageHeight

End With

With TChart2.Printer

.PrintPartial .PageWidth / 2, 0, .PageWidth, .PageHeight

.EndDoc

End With

End Sub


IOrgItemCollection.Count
IOrgItemCollection

property Count: Integer;

Type Library
TeeChartx

Description
Returns the number of Org Items.


ICustomSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries


ISeries.Selected
ISeries

property Selected: ITeeSelected;

Type Library
TeeChartx


ISelectorTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISelectorTool


IMagnifyTool.Circled
IMagnifyTool

property Circled: WordBool;

Type Library
TeeChartx

Description
Default is False.

Gets or sets the drawing style of the zoomed region.

When True, the zoomed region is a circle.

When False, the zoomed region is a rectangle.


ISurfaceSides.Levels
ISurfaceSides

property Levels: WordBool;

Type Library
TeeChartx

Description
Default value is True.

When True, the Pen property is used to draw horizontal lines at iso-surface sides levels.


ILegendSymbol.Shadow
ILegendSymbol

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Accesses Shadow characteristics of Legend symbols.


ITitles.Alignment
ITitles

property Alignment: ETitleAlignment;

Type Library
TeeChartx

Description
Default: taCenter

The Alignment property controls how TChart Header and Footer text will be aligned within Chart rectangle.

The Header or Footer can optionally be surrounded by a Frame.


IValueList.Maximum
IValueList

property Maximum: Double;

Type Library
TeeChartx

Description
The Maximum property returns the highest of all values inside the list.

As new points are being added to Series, the IValueList object calculates the Maximum, Minimum and TotalABS properties.

This applies to all Series lists of values, such as XValues, YValues, etc.


ITools.asSeriesStats
ITools

property asSeriesStats: ISeriesStatsTool;

Type Library
TeeChartx

Description
The asSeriesStats property is used by the Tools Class to access SeriesStats Tool specific properties.


IMarksSymbol.properties
IMarksSymbol Legend key

Type Library
TeeChartx

In IMarksSymbol

Bevel
BevelWidth
Brush
Frame
Gradient
Pen
Shadow
ShapeStyle
Transparency
Visible


IClockSeries.RomanNumbers
IClockSeries

property RomanNumbers: WordBool;

Type Library
TeeChartx

Description
Default: True

Enable disable the display of Roman numerals on the Clock Perimeter. When False, decimal numeration is used.


ICanvas.ClipEllipse
ICanvas

procedure ClipEllipse(Left, Top, Right, Bottom: Integer; Inverted: WordBool);

Type Library
TeeChartx

Description
Restricts canvas output to either the inside or outside of an ellipse contained inside the Rect coordinates parameter.

The Inverted parameter, when True, restricts output to the outside of the ellipse only.

When Inverted is False, canvas ouput is only possible inside the ellipse.


ICompressFunction.properties
ICompressFunction Legend key

Type Library
TeeChartx

In ICompressFunction

Compress


ICustomGaugeMinMax.properties
ICustomGaugeMinMax Legend key

Type Library
TeeChartx

In ICustomGaugeMinMax

AxisRanges
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
Ranges
RedLine
Ticks

Derived from ICustomGauge

CustomBounds
Face
Frame
Value


IDrawLine.Pen
IDrawLine

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


IGridTransposeTool.methods
IGridTransposeTool Legend key

Type Library
TeeChartx

In IGridTransposeTool

Transpose


ITextDTool.Text

IText3DTool.Text
IText3DTool

property Text: WideString;

Type Library
TeeChartx

Description
Gets or sets the Text to show in the Text 3D Tool.


IAxisBreak.AxisBreakStyle
IAxisBreak

property AxisBreakStyle: EAxisBreakStyle;

Type Library
TeeChartx

Description
Sets the style to be used to draw the axis where the break is.

Style available are;

tabSmallZigZag

tabZigZag

tabLine

tabNone


ICustomBarSeries.ConePercent
ICustomBarSeries

property ConePercent: Integer;

Type Library
TeeChartx

Description
Sets percentage of cone displayed.


ITeeFunction.asMedian
ITeeFunction

property asMedian: IMedianFunction;

Type Library
TeeChartx

Description

The asMedian property is used by the Teefunction Class to access Median Function specific properties.


IMoneyFlowFunction.DownColor
IMoneyFlowFunction

property DownColor: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the colour used to paint the downward price changes.


IGradient.RadialX
IGradient

property RadialX: Integer;

Type Library
TeeChartx

Description
When gradient Direction property is gdRadial, RadialX and RadialY properties are used as an offset in pixels to displace the gradient radial center.

RadialX and RadialY can be positive or negative.

Example [Visual Basic]:

With TChart1.Series(1).asPolar

.CircleGradient.Visible = True

.CircleGradient.Direction = gdRadial

.CircleGradient.RadialX = 25

.CircleGradient.RadialY = -25

End With


IGradient.RadialY
IGradient

property RadialY: Integer;

Type Library
TeeChartx

Description
When gradient Direction property is gdRadial, RadialX and RadialY properties are used as an offset in pixels to displace the gradient radial center.

RadialX and RadialY can be positive or negative.

Example [Visual Basic]:

With TChart1.Series(1).asPolar

.CircleGradient.Visible = True

.CircleGradient.Direction = gdRadial

.CircleGradient.RadialX = 25

.CircleGradient.RadialY = -25

End With


ISeriesRegionTool.OriginPen
ISeriesRegionTool

property OriginPen: IChartHiddenPen;

Type Library
TeeChartx


IClockGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge
|
ICustomGaugeMinMax
|
ICircularGauge
|
IClockGauge


IODSExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
IODSExport


IMosaicFilter.properties
IMosaicFilter Legend key

Type Library
TeeChartx

Derived from IAmountFilter

Amount
Percent


ILegend.Symbol
ILegend

property Symbol: ILegendSymbol;

Type Library
TeeChartx

Description
Setting Symbol controls the width and position of the color rectangle associated with each Legend's item.

Example [Delphi]:

Chart1.Legend.Symbol.Position := spRight


ITeeListBox.AllowAddSeries
ITeeListBox

property AllowAddSeries: WordBool;

Type Library
TeeChartx

Description
Allow a Series to be added when True


IVideoTool.StartRecording
IVideoTool

procedure StartRecording(Const FileName: WideString);

Type Library
TeeChartx

Description
Creates a new avi video file using the FileName property and starts writing frame images into it until the StopRecording method is called.


ICanvas.Arc
ICanvas

procedure Arc(X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer);

Type Library
TeeChartx

Description
The Arc method will draw an arc in the rectangle defined by the 4 co-ordinates.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

TChart1.Canvas.Arc 0, 0, 100, 100, 0, 100, 100, 0

End Sub


ISeriesBandTool.Series

ISeriesBandTool.Series2
ISeriesBandTool

property Series2: OleVariant;

Type Library
TeeChartx

Description
Sets and retrieves the second series associated to this tool.


IBackImage.Mode
IBackImage

property Mode: EBackImageMode;

Type Library
TeeChartx

Description
Controls how the background image is displayed.


IVideoTool.IsRecording
IVideoTool

property IsRecording: WordBool;

Type Library
TeeChartx

Description
Returns True when the avi video file is currently being created.


IGanttSeries.properties
IGanttSeries Legend key

Type Library
TeeChartx

In IGanttSeries

Callout
ConnectingPen
EndValues
NextTask
StartValues

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IDrawLineTool.Style
IDrawLineTool

property Style: EDrawLineStyle;

Type Library
TeeChartx

Description
Determines de DrawLine style :

Styles :

dlLine : Single line

dlHorizParallel : Double horizontal line

dlVertParallel : Double vertical line

dlRectangle : Rectangle from start to end coordinates

dlEllipse : Ellipse from start to end coordinates


IMarksSymbol.Frame
IMarksSymbol

property Frame: IPen;

Type Library
TeeChartx

Description
Define Frame based on TChartPen class's Pen.


ISeriesTextSource.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ISeriesSource
|
ISeriesSourceFile
|
ISeriesTextSource


ITChart.Animate
ITChart

property Animate: ITeeAnimate;

Type Library
TeeChartx


ICountFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICountFunction


IMarks.Tail
IMarks

property Tail: IMarksTail;

Type Library
TeeChartx


IAxis.PositionPercent
IAxis

property PositionPercent: Double;

Type Library
TeeChartx

Description
Axis position, as percentage 0-100%. 0 being Top for a horizontal Axis and Left for a vertical Axis.

Example [Visual Basic]:

TChart1.Axis.Left.PositionPercent = 50


ILegendSymbol.Visible
ILegendSymbol

property Visible: WordBool;

Type Library
TeeChartx

Description
Shows or hides Legend symbols.


ITitles.Clicked
ITitles

function Clicked(X, Y: Integer): WordBool;

Type Library
TeeChartx

Description
Returns True if the XY co-ordinate is over a Title.


IAxisBreaks.methods
IAxisBreaks Legend key

Type Library
TeeChartx

In IAxisBreaks

Add
Clear
Delete


IMarksSymbol.Transparency
IMarksSymbol

property Transparency: Integer;

Type Library
TeeChartx

Description
Value 0 to 100 (percent) to set the transparency level of the MarkSymbol fill Brush.


ILinearGauge.UseValueColorPalette
ILinearGauge

property UseValueColorPalette: WordBool;

Type Library
TeeChartx

Description

Set true to use the ValueColorPalette and so define a custom gradient scheme for the LinearGauge hand.


ICustomBarSeries.GetOriginPos
ICustomBarSeries

function GetOriginPos(SomeValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
The GetOriginPos function returns the corresponding screen pixels coordinate of the leftmost horizontal bar edge.

When MultiBar property is different than Stacked or Stacked 100%, this function returns the Origin screen coordinate.

When several bar Series are stacked, this function returns a different screen coordinate for each Series.

The ValueIndex parameter specifies the bar index.


ITeeEditor.GalleryHeight
ITeeEditor

property GalleryHeight: Integer;

Type Library
TeeChartx

Description
Used in conjunction with GalleryWidth to set a specific Width and Height for the Gallery,

even if it is called through the TeeCommander component.


ITeePreviewPanel.Margins
ITeePreviewPanel

property Margins: IPen;

Type Library
TeeChartx

Description
The Margins property determines the IPen characteristics of the TeePreviewPanel Margins.

Example [Visual Basic]:

Private Sub Command1_Click()

TeePreviewPanel1.PrintPage

End Sub

Private Sub Command2_Click()

With TeePreviewPanel1

.Margins.Color = vbCyan

.Margins.Style = psSolid

End With

End Sub

Private Sub Form_Load()

TChart1.AddSeries scBar

TChart2.AddSeries scLine

TChart1.Series(0).FillSampleValues 10

TChart2.Series(0).FillSampleValues 10

With TChart1.Printer

.PrintProportional = False

.MarginLeft = 2

.MarginTop = 2

.MarginRight = 60

.MarginBottom = 60

End With

With TChart2.Printer

.PrintProportional = False

.MarginLeft = 60

.MarginTop = 60

.MarginRight = 2

.MarginBottom = 2

End With

With TeePreviewPanel1

.AddChart TChart1

.AddChart TChart2

End With

End Sub


IFunnelSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFunnelSeries


ITeeEditorShowPages.PrintPreview
ITeeEditorShowPages

property PrintPreview: WordBool;

Type Library
TeeChartx

Description
Default = True

The PrintPreview property may be used to disable the display of the Print Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


IExpMovAvgFunction.IgnoreNulls
IExpMovAvgFunction

property IgnoreNulls: WordBool;

Type Library
TeeChartx

Description
Default : True

When False, null values in the source series will be included in the calculation.


ITitles.Cursor
ITitles

property Cursor: SmallInt;

Type Library
TeeChartx


IVectorDSeries.properties

IVector3DSeries properties
IVector3DSeries Legend key

Type Library
TeeChartx

In IVector3DSeries

ArrowHeight
ArrowWidth
EndArrow
EndXValues
EndYValues
EndZValues
StartArrow

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


ICircularGauge.Axis
ICircularGauge

property Axis: IAxis;

Type Library
TeeChartx

Description
Accesses the circular axis properties and methods allowing it to be customized as desired.


IAmountFilter.Amount
IAmountFilter

property Amount: Integer;

Type Library
TeeChartx

Description
Amount (value) applied to Filter.


IAxisScrollTool.ScrollInverted
IAxisScrollTool

property ScrollInverted: WordBool;

Type Library
TeeChartx

Description

Invert Scoll direction when dragging Axis


IPageNumTool.DisabledButton
IPageNumTool

property DisabledButton: IGradient;

Type Library
TeeChartx

Description
Gradient settings used to paint the interior of the two small left and right triangle buttons, when they are disabled.


IDrawLineTool.Lines
IDrawLineTool

property Lines: IDrawLineList;

Type Library
TeeChartx

Description
The Lines property contains the list of lines drawn on the chart by the user at run-time.


IPolarLabels.ClockWise
IPolarLabels

property ClockWise: WordBool;

Type Library
TeeChartx


ITeeCommander.FullRotation
ITeeCommander

property FullRotation: WordBool;

Type Library
TeeChartx

Description
Default is False.

Setting FullRotation property to True forces TeeCommander to allow chart rotation and elevation to be 360 degree.

By default, only OpenGL canvas allows full rotation.


IAxisLabelsItem.LabelPos
IAxisLabelsItem

property LabelPos: Integer;

Type Library
TeeChartx


IHover.properties
IHover Legend key

Type Library
TeeChartx

In IHover

Visible

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ITernarySeries.RotateLabels
ITernarySeries

property RotateLabels: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, ternary text labels are rotated accordingly to their position in the ternary chart.

When False, labels aren't rotated and they are displayed all in the same alignment.


IMagnifyTool.FollowMouse
IMagnifyTool

property FollowMouse: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, magnification occurs while moving the mouse, changing the zoomed region position.


ITChart.TimerEnabled
ITChart

property TimerEnabled: WordBool;

Type Library
TeeChartx

Description
Enables/disables Chart's timer (true/false). See the TimerInterval property and OnTimer event.

Example [Visual Basic]:

This example adds a new point to a series every half a second:

Private Sub Form_Load()

With TChart1

.TimerEnabled = True

.TimerInterval = 500

.AddSeries scLine

End With

End Sub

Private Sub TChart1_OnTimer()

With TChart1

.Series(0).Add Rnd(100), "", clTeeColor

End With

End Sub


ILegend.ColumnWidthAuto
ILegend

property ColumnWidthAuto: WordBool;

Type Library
TeeChartx

Description
Disables/Enables automatic calculation of the Legend colums widths. Legend columns are formed by the legend colour rectangles and the text/numeric values.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Legend.ColumnWidthAuto = False

.Legend.ColumnWidths(0) = 100

End With


IAxisLabels.Count
IAxisLabels

function Count: Integer;

Type Library
TeeChartx

Description
Returns the number of added axis labels.


ICustomGauge.Face
ICustomGauge

property Face: ITeeShape;

Type Library
TeeChartx

Description

ChartBrush characteristics of the CustomGauge's face.


ISubsetTeeFunction.StartValue
ISubsetTeeFunction

property StartValue: Double;

Type Library
TeeChartx

Description
Determines the minimum value to be included in the subset of points.


ITeePanning.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IZoomPanning
|
ITeePanning


IGaugeSeriesPointer.properties
IGaugeSeriesPointer Legend key

Type Library
TeeChartx

In IGaugeSeriesPointer

GaugeStyle

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


IPrinter.EndDoc
IPrinter

procedure EndDoc;

Type Library
TeeChartx

Description
Use EndDoc to finish and execute a printer job started with BeginDoc. This may be used with PrintPartial to send a Chart (or multiple Charts) to the printer before ejecting a page. Custom user input may also be included on the same page.

PageWidth and PageHeight may be used to scale the print co-ordinates to the printer page.

Example [Visual Basic]:

Private Sub Command2_Click()

With TChart1.Printer

.Orientation = poLandscape

.BeginDoc

.PrintPartial 0, 0, .PageWidth / 2, .PageHeight

End With

With TChart2.Printer

.PrintPartial .PageWidth / 2, 0, .PageWidth, .PageHeight

.EndDoc

End With

End Sub


IAxes.Bottom
IAxes

property Bottom: IAxis;

Type Library
TeeChartx

Description
The Bottom property (Bottom axis) determines the Labels and formatting attributes of Bottom Chart side. It also controls where Series points will be placed.

Every TChart class has four Axis: Left, Top, Right and Bottom.

Refer to Axis help topic for a complete description.


IAutomaticText.Wrap
IAutomaticText

property Wrap: WordBool;

Type Library
TeeChartx


ICustomSeries.Pointer
ICustomSeries

property Pointer: ISeriesPointerItems;

Type Library
TeeChartx

Description
The Pointer property is a subclass of PointSeries, LineSeries and all other derived PointSeries classes like BubbleSeries.

Each point in a PointSeries is drawn using the Pointer properties.

Pointer contains several properties to control the formatting attributes of Points like Pen, Brush, Draw3D, Visible, etc.

Please refer to IPointer help page for a complete description of IPointer subclass.


IMapSeries.MapMarks
IMapSeries

property MapMarks: IMapMarks;

Type Library
TeeChartx


IArrowTool.DrawD

IArrowTool.Draw2D
IArrowTool

property Draw2D: WordBool;

Type Library
TeeChartx

Description
Sets the Arrow to the corresponding 2D position when the chart is set to 3D. It has no effect on 2D charts.


ICanvas.ColorFrom
ICanvas

function ColorFrom(AColor: OLE_COLOR; Alpha: Integer): OLE_COLOR;

Type Library
TeeChartx


ITools.asMagnify
ITools

property asMagnify: IMagnifyTool;

Type Library
TeeChartx

Description
The asMagnify property is used by the Tools Class to access Magnify Tool specific properties.


IVectorDSeries.MaxXValueVector

IVector3DSeries.MaxXValueVector
IVector3DSeries

function MaxXValueVector: Double;

Type Library
TeeChartx

Description
Use this method to return the Vector MaxXValueVector.


IPage.Current
IPage

property Current: Integer;

Type Library
TeeChartx

Description
Run-time only.

The TChart.Page.Current property determines the current visible points of Series in a Chart with MaxPointsPerPage property greater than zero.

When TChart.Page.MaxPointsPerPage property is greater than zero, TeeChart internally divides all Series points in "pages".

Each page is assigned a different initial and ending X coordinates.

The TChart.Page.NumPages property returns the total number of pages. It equals to the total number of Series points divided the MaxPointsPerPage property.

The TChart.Page.Previous and TChart.Page.Next methods decrement or increment the Current property respectively.


IPointDSeries.DepthSize

IPoint3DSeries.DepthSize
IPoint3DSeries

property DepthSize: Double;

Type Library
TeeChartx

Description
Sets the Depth of each 3DPoint to the value of DepthSize.

Example [Visual Basic]:

With TChart1.Series(0)

.asPoint3D.DepthSize = 3

End With


ICalendarCellUpper.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICalendarCell
|
ICalendarCellUpper


IGaugeSeries.Minimum
IGaugeSeries

property Minimum: Double;

Type Library
TeeChartx

Description
Default : 0

Gets or sets the minimum value for the gauge.


ITeeCorners.LeftBottom
ITeeCorners

property LeftBottom: ITeeCorner;

Type Library
TeeChartx


INumericGauge.UnitsMarker
INumericGauge

property UnitsMarker: INumericMarker;

Type Library
TeeChartx

Description

Gets and sets the Marker object which defines the "Units", e.g. MHz, of the NumericGauge. This allows access to Font, Brush and Pen characteristics of the shape.


IMarksTail.Margin
IMarksTail

property Margin: Integer;

Type Library
TeeChartx

Description

Adds a margin between Point and Tail end. Used when CustomPoint is True. ie. When Pie MarkTail is set to AutoAlign.


ICalendarSeries.Rows
ICalendarSeries

function Rows: Integer;

Type Library
TeeChartx

Description
The Rows method returns the number of Rows present in the Calender Series.

Example [Visual Basic]:

Private Sub Command3_Click()

With TChart1.Series(0).asCalendar

MsgBox .Rows

End With

End Sub


IPolarLabels.Margin
IPolarLabels

property Margin: Integer;

Type Library
TeeChartx


IExport.SaveChartDialog
IExport

function SaveChartDialog: WideString;

Type Library
TeeChartx

Description
Shows SaveChartDialog box and returns name of saved file.


ITeePreviewPanel.Gradient
ITeePreviewPanel

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill the Panel background. Panel background is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the TChartGradient.Direction property. Use the Visible property to show / hide filling.


ICanvas.MoveTo
ICanvas

procedure MoveTo(X, Y: Integer);

Type Library
TeeChartx

Description
Use MoveTo to set the value of PenPos before calling LineTo.

Example [Visual Basic]:

TChart1.Canvas.MoveTo 30, 100

TChart1.Canvas.LineTo 80, 200


IHistogramFunction.IncludeNulls
IHistogramFunction

property IncludeNulls: WordBool;

Type Library
TeeChartx

Description

By default is True.

Set IncludeNulls to False to calculate the Hostigram using only the non-null points of a series.

When IncludeNulls is true, all the series points are used to calculate the histogram value, considering the null values as zeroes.

Example:

TeeFunction1.IncludeNulls := False ;


ISeries.asSurface
ISeries

property asSurface: ISurfaceSeries;

Type Library
TeeChartx

Description
The asSurface property is used by the Series Class to access Surface Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1

Dim i As Integer

.AddSeries scSurface

For i = 0 To 5

.Series(0).asSurface.AddXYZ 1.15, Rnd(5), i, "", clTeeColor

.Series(0).asSurface.AddXYZ 2.15, Rnd(10), i, "", clTeeColor

.Series(0).asSurface.AddXYZ 3.12, Rnd(7), i, "", clTeeColor

.Series(0).asSurface.AddXYZ 3.75, Rnd(6), i, "", clTeeColor

.Series(0).asSurface.AddXYZ 4.01, Rnd(8), i, "", clTeeColor

.Series(0).asSurface.UseColorRange = True

.Series(0).asSurface.StartColor = vbRed

.Series(0).asSurface.EndColor = vbBlue

Next i

.Axis.Depth.Visible = True

End With


IMapMarks.AutoSize
IMapMarks

property AutoSize: WordBool;

Type Library
TeeChartx


IMarksTipTool.MouseAction
IMarksTipTool

property MouseAction: EMarkToolMouseAction;

Type Library
TeeChartx

Description
Action Mouse Mark Tip on Mouse Move or Click.


ICanvas.Left
ICanvas

property Left: Integer;

Type Library
TeeChartx

Description
Read-only

The Left property returns the left co-ordinate of the Chart Panel and should be used when using Canvas methods to draw relative to the Left Panel position. You should NOT use TChart.Left.


ILinearGauge.properties
ILinearGauge Legend key

Type Library
TeeChartx

In ILinearGauge

Axis
Embedded
Hand
MaxValueIndicator
UseValueColorPalette
ValueArea
Visible

Derived from ICustomGaugeMinMax

AxisRanges
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
Ranges
RedLine
Ticks

Derived from ICustomGauge

CustomBounds
Face
Frame
Value


IGradient.Direction
IGradient

property Direction: EGradientDirection;

Type Library
TeeChartx

Description
Default: gdTopBottom

The Direction property specifies the direction the gradient fill will be applied.


IAxis.SubAxes
IAxis

property SubAxes: ICustomAxes;

Type Library
TeeChartx


ICustomCircledSeries.methods
ICustomCircledSeries Legend key

Type Library
TeeChartx

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


ICustomDPaletteSeries.UsePalette

ICustom3DPaletteSeries.UsePalette
ICustom3DPaletteSeries

property UsePalette: WordBool;

Type Library
TeeChartx

Description
Default: False

The UsePalette property indicates that Surface polygons will be filled with a multi-color palette. The PaletteSteps property determines the number of entries in the palette.

Alternatively to Palettesteps you may use UseColorRange property or the Series ColorEachPoint to define colour for the Surface Series.

Example [Visual Basic]:

This fills the Surface polygons with a multi-color palette:

TChart1.Series(0).asSurface.UsePalette = True


ILineSeries.Stacked
ILineSeries

property Stacked: ECustomSeriesStack;

Type Library
TeeChartx

Description
Sets the stacking options of Lines series which are:

cssNone: No overlap action. All Series displayed in individual Z space

cssOverlap: Series displayed in same Z space (all Series take same ZOrder position). This will result in overpainting of equal Series points.

cssStack: Stack Series one above the other. Series begin with lowest index order at bottom, further Series are then plotted above in their respective indexed order with each point taking the cumulative value of lower points as their starting value.

cssStack100: Plots take up full Bottom to Top space of the Chart Area resulting in a percentage division by Area to reflect Series values. The Y displacement below each line equates to its percentage value of total. Thus the Last Line will be parallel with/at the top of the Chart and the area below that line reflects its percentage proportion.


IPen.ShowEditor
IPen

function ShowEditor(HideColor: WordBool; Const Title: WideString; OwnerChart: Integer): WordBool;

Type Library
TeeChartx

Description
Shows the Pen editor dialog.


IPrinter.PrintProportional
IPrinter

property PrintProportional: WordBool;

Type Library
TeeChartx

Description
Default: True

Sets the print dimensions of the Chart to be proportional to the onscreen dimensions.


IBaseClustering.properties
IBaseClustering Legend key

Type Library
TeeChartx

In IBaseClustering

Linkage


IGaugeHandItem.Format
IGaugeHandItem

property Format: IGaugeHand;

Type Library
TeeChartx


IActivityGauge.ActivityValues
IActivityGauge

property ActivityValues[Index: Integer]: IActivityDonut;

Type Library
TeeChartx

Description

Access each Activity Ring


IChartAxisPen.LineMode
IChartAxisPen

property LineMode: EPenLineMode;

Type Library
TeeChartx

Description
Get or sets LineMode to the PenLineMode

(eg. Line,Cylinder or Rectangle) changing the plotted shape of the Axis line.

Note: Best display results are obtained when using the OpenGL canvas.


IPrinter.MarginRight
IPrinter

property MarginRight: Integer;

Type Library
TeeChartx

Description
Default Value: 15

The Chart.Printer class has four margin properties: MarginLeft, MarginRight, MarginTop, MarginBottom.

These margins are expressed as a percentage of paper dimensions.


ITagCloudSeries.Gradient
ITagCloudSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
By default is invisible.

Gets or sets the properties used to fill the area behind the tags.

See also: Pen and Brush properties.


ISeriesBandTool.Pen
ISeriesBandTool

property Pen: IPen;

Type Library
TeeChartx

Description
Determines Series Band Tool pen characteristics


IPanel.BorderStyle
IPanel

property BorderStyle: EBorderStyle;

Type Library
TeeChartx

Description
The Borderstyle property defines the style of the TChart Panel border.

Available styles:

bsNone

bsSingle


IClusteringTool.Centers
IClusteringTool

property Centers: IPointer;

Type Library
TeeChartx


ILegend.MaxNumRows
ILegend

property MaxNumRows: Integer;

Type Library
TeeChartx

Description
Sets the Maximum number of Legend Rows to display for a horizontal (Chart Top or Bottom) Legend.


ICursorTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
ICursorTool


ITChart.properties
ITChart Legend key

Type Library
TeeChartx

In ITChart

Animate
Animations
aSeries
Aspect
AutoRepaint
Axis
BufferedDisplay
CanClip
Canvas
ChartBounds
ChartHeight
ChartLink
ChartLinkx64
ChartWidth
ClipPoints
Cursor
CustomChartRect
DragCursor
DragMode
Enabled
Environment
Export
Footer
Frame
GetChartRect
Header
Height
Hint
Hover
Import
Language
Languaged
Left
Legend
Monochrome
MousePosition
OnSubChartToolDragging
OnSubChartToolResized
OnSubChartToolResizing
OriginalCursor
Page
Panel
Panning
Printer
Printing
Scroll
SeriesCount
SeriesList
ShowHint
SubFooter
SubHeader
Themes
TimerEnabled
TimerInterval
Tools
Top
Version
Visible
Walls
Width
Zoom
ZoomWheel


IActivityGauge.CenterText
IActivityGauge

property CenterText: IAnnotationTool;

Type Library
TeeChartx

Description

Characteristics of the Text at the ActivityGauge centre.


IClockGauge.Style
IClockGauge

property Style: EClockGaugeStyle;

Type Library
TeeChartx


ICanvas.TextOut
ICanvas

procedure TextOut(X, Y: Integer; Const Text: WideString);

Type Library
TeeChartx

Description
The TextOut method displays the "St" string parameter at the specified X Y screen coordinates. Text is outputted to the correct internal Canvas. The X and Y coordinates must be valid and fit inside the Chart rectangle. It uses the current Chart.Canvas.Font attributes.

Writes text at the named co-ordinates.

Example [Visual Basic]:

TChart1.Canvas.TextOut 30, 100, "My message"

TextOut Example

This code displays a message at TChart1 center position:

Private Sub TChart1_OnAfterDraw()

' This prepares the Font attributes

TChart1.Canvas.Font.Name = TChart1.Header.Font.Name

' This sets the Text background mode to Transparent

TChart1.Canvas.Brush.Style = bsClear

' Now a 'Welcome!' message is displayed at TChart1 centre

TChart1.Canvas.TextOut (TChart1.Canvas.Left + _

(TChart1.Canvas.Width / 2)), _

(TChart1.Canvas.Top + _

(TChart1.Canvas.Height / 2)), "Welcome!"

End Sub


ITeeListBoxSection.Visible
ITeeListBoxSection

property Visible: WordBool;

Type Library
TeeChartx

Description
Default is True.

Gets or Sets if the Section specified as parameter is visible.

Example :

Private Sub Command1_Click()

TeeListBox1.Sections(1).Visible = False

End Sub


ITeeEditor.Height
ITeeEditor

property Height: Integer;

Type Library
TeeChartx

Description
Gets or sets the vertical size in pixels of the Editor.


ITowerSeries.DarkD

ITowerSeries.Dark3D
ITowerSeries

property Dark3D: WordBool;

Type Library
TeeChartx

Description
Default value: True

When True, draws right and top sides of cubes using a darker color.


IRectangleTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
IRectangleTool


ITeeListBox.AskDelete
ITeeListBox

property AskDelete: WordBool;

Type Library
TeeChartx

Description
Asks user for confirmation to delete item


ICustomAxes.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomAxes


ITChart.Panel
ITChart

property Panel: IPanel;

Type Library
TeeChartx

Description
The Panel property provides access, via the Panel Interface, to all Chart Panel properties.


IRectangleTool.ClickedEdge
IRectangleTool

function ClickedEdge(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Returns an integer that represents the rectangle edge that is under the xy parameter position, with a tolerance of 4 pixels.

The Left edge returns 0, the Top edge 1, Right edge 2 and Bottom edge 3.


ILegend.BackImageLoad
ILegend

procedure BackImageLoad(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads image of filename onto Background of Legend. The image is tiled across the entire Legend area.


ICustomPolarSeries.methods
ICustomPolarSeries Legend key

Type Library
TeeChartx

In ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IAnnotationTool.Bounds
IAnnotationTool

property Bounds: TeeRect;

Type Library
TeeChartx

Description
The Bounds property returns the biggest rectangle enclosing the Annotation, in logical pixels.


IGanttTool.MinPixels
IGanttTool

property MinPixels: Integer;

Type Library
TeeChartx

Description
Default : 5

Defines the amount in screen pixels to consider the user is moving the mouse over a gantt bar edge (left or right).


IHorizHistogramSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IHistogramSeries
|
IHorizHistogramSeries


ISeriesGroup.Active
ISeriesGroup

property Active: ESeriesGroupActive;

Type Library
TeeChartx

Description

Returns gaYes if all series in the group are Active (Visible).

Returns gaNo if no series are visible.

Returns gaSome if some of the series are visible.


ICalendarSeries.Date
ICalendarSeries

property Date: Double;

Type Library
TeeChartx

Description
The Date property defines, in the form of a double value, the date of the highlighted day ("Today") and causes the calender series to display the associated month.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Date = 24584

End With


IZoomFilter.properties
IZoomFilter Legend key

Type Library
TeeChartx

In IZoomFilter

Percent
Smooth


IColorGridSeries.DrawPosition
IColorGridSeries

property DrawPosition: Integer;

Type Library
TeeChartx

Description
Modifies the position of the Series when the Series is viewewd in a 3D Chart respective to which plane the Series is being viewed (see ColorGridSeries.DrawPlane3D).


ICalendarSeries.Days
ICalendarSeries

property Days: ICalendarCell;

Type Library
TeeChartx

Description
The Days property describes Calender Cell appearance characteristics (font, colour, etc) for all the calender days excluding today, trailing and Sundays.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Days.Font.Name = "Verdana"

End With


IRotateFilter.AutoSize
IRotateFilter

property AutoSize: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, the rotated image is also resized to fit inside the image rectangle.

When False, the rotated image is displayed without resizing, in that case some pixels will not be displayed as they go outside the image width and height rectangle.


ILegend.HorizMargin
ILegend

property HorizMargin: Integer;

Type Library
TeeChartx

Description
Default Value: 0

The HorizMargin property speficies the number of screen pixels between Legend and Chart rectangles. By default its 0, meaning Legend will calculate a predefined margin based on total Legend width.

It's only used when Legend position is Left or Right aligned otherwise use Verticalmargin.


IContourLevel.Color
IContourLevel

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Colour of TContourSeries Level.


ILegendItems.Custom
ILegendItems

property Custom: WordBool;

Type Library
TeeChartx

Description
Setting to True will display the customized items in the Legend :

Example [Visual Basic]:

With TChart1.Legend.Items

.Items(0).Text = "Cust."

.Custom = True

End With


ITChart.ShowEditor
ITChart

procedure ShowEditor(SeriesIndex: Integer);

Type Library
TeeChartx

Description
ShowEditor displays the Chart Editor at runtime opening the Editor at the Series page of the SeriesIndex Series.

Use SeriesIndex = -1 to open the Editor on the first Chart page.

Example [Visual Basic]:

TChart1.ShowEditor (-1)


IExport.asPCX
IExport

property asPCX: IPCXExport;

Type Library
TeeChartx

Description
Accesses PCX format Export attribute


IExport.asPDF
IExport

property asPDF: IPDFExport;

Type Library
TeeChartx

Description
Accesses PDF format Export attributes.


TTChartOnLegendScrollBarToolSetPosition

type TTChartOnLegendScrollBarToolSetPosition = procedure(ASender: TObject; Value: Integer) of object;

Type Library
TeeChartx

Description
Event called when the scrollbar Position property is changed.

This might happen because the end user has clicked or dragged the scrollbar or the program sets Position by code.


IFloatXYZ.properties
IFloatXYZ Legend key

Type Library
TeeChartx

In IFloatXYZ

X
Y
Z


IGaugeHand.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
IGaugeSeriesPointer
|
IGaugeHand


IEnvironment.properties
IEnvironment Legend key

Type Library
TeeChartx

In IEnvironment

ChartVisible
DecimalSeparator
IEPrintWithPage
MouseWheelScroll
MouseWheelToParent
NoPromptDBConnect
TeeClipWhenMetafiling
TeeClipWhenPrinting


IExport.asPNG
IExport

property asPNG: IPNGExport;

Type Library
TeeChartx

Description
Accesses PNG format Export attributes.


IGammaCorrectionFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAmountFilter
|
IGammaCorrectionFilter


IChartAnimations.properties
IChartAnimations Legend key

Type Library
TeeChartx

In IChartAnimations

asSeriesAnimation
asTransformation


ISeriesXMLSource.methods
ISeriesXMLSource Legend key

Type Library
TeeChartx

Derived from ISeriesSourceFile

Load
LoadFromFile
LoadFromURL

Derived from ISeriesSource

Close
Open

Derived from ITeeLinked

AboutBox


IPVOFunction.Percentage
IPVOFunction

property Percentage: WordBool;

Type Library
TeeChartx

Description
Default : True

Controls if the difference of two moving averages will be percentual or not.


ICanvas.DrawBevel
ICanvas

procedure DrawBevel(Value: EPanelBevel; Left, Top, Right, Bottom, Size: Integer);

Type Library
TeeChartx

Description

Draws a beveled line around the R rectangle parameter using the "Width" in pixels.

The "Round" parameter indicates the number of pixels to draw "rounded" rectangle corners.


ITChart.OnMarkTipToolGetText
ITChart

property OnMarkTipToolGetText: TTChartOnMarkTipToolGetText;

Type Library
TeeChartx

Description
The OnMarkTipToolGetText event is fired just before the drawing of the MarkTip Tool text, enabling its modification.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scBar

.Series(0).FillSampleValues 10

.Tools.Add tcMarksTip

With .Tools.Items(0).asMarksTip

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnMarkTipToolGetText(ByVal Tool As Long, Text As String)

If Tool = 0 Then

Text = "YValue " & Text

End If

End Sub


IAxis.CalcXPosValue
IAxis

function CalcXPosValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This function calculates the Horizontal coordinate in pixels of Value parameter.

Example [Visual Basic]:

Our bottom axis has a Minimum of 20 and a Maximum of 1000.

We need to draw a vertical line that represents the value: 500.

Private Sub TChart1_OnAfterDraw()

X = TChart1.Axis.Bottom.CalcXPosValue(500)

TChart1.Canvas.MoveTo X, TChart1.Axis.Bottom.Position

TChart1.Canvas.LineTo X, TChart1.Axis.Top.Position

End Sub


ISeries.asHorizArea
ISeries

property asHorizArea: IHorizAreaSeries;

Type Library
TeeChartx

Description
The asHorizArea property is used by the Series Class to access Horizontal Area Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IGaugeSeries.HandDistance
IGaugeSeries

property HandDistance: Integer;

Type Library
TeeChartx

Description
Default : 24

The amount in pixels that define a gap between the gauge axis and the end of the gauge arrow line.


ITernarySeries.VertexA
ITernarySeries

property VertexA: ITeePoint2D;

Type Library
TeeChartx

Description
Returns Location for A corner vertex.


ITernarySeries.VertexB
ITernarySeries

property VertexB: ITeePoint2D;

Type Library
TeeChartx

Description
Returns Location for B corner vertex.


ITernarySeries.VertexC
ITernarySeries

property VertexC: ITeePoint2D;

Type Library
TeeChartx

Description
Returns Location for C corner vertex.


ITeeAnimate.Animations
ITeeAnimate

property Animations: IAnimations;

Type Library
TeeChartx


IMACDFunction.Histogram
IMACDFunction

property Histogram: ISeries;

Type Library
TeeChartx

Description

Configuration for the Histogram component of the MACD function.

Example [Visual Basic]

TChart1.Series(1).FunctionType.asMACD.Histogram.Active = Check2.Value


ITeePreviewPanel.methods
ITeePreviewPanel Legend key

Type Library
TeeChartx

In ITeePreviewPanel

AddChart
AddChartLink
AddChartLinkx64
PrintPage
Repaint
ShowEditor

Derived from ITeeLinked

AboutBox


IPieMarks.properties
IPieMarks Legend key

Type Library
TeeChartx

In IPieMarks

EmptySlice
InsideSlice
LegSize
Rotated
VertCenter


IAxisBreak.properties
IAxisBreak Legend key

Type Library
TeeChartx

In IAxisBreak

AxisBreakStyle
Enabled
EndValue
StartValue


IPen.methods
IPen Legend key

Type Library
TeeChartx

In IPen

Hide
Show
ShowEditor


INumericGauge.Visible
INumericGauge

property Visible: WordBool;

Type Library
TeeChartx

Description
Determines if the Numeric Gauge will be displayed or not.


IAspect.ZoomText
IAspect

property ZoomText: WordBool;

Type Library
TeeChartx

Description
Default: True

When False, Text size will remain constant regardless of the zoom factor obtained with Aspect.Zoom property.


IChartGrid.ReadOnly
IChartGrid

property ReadOnly: WordBool;

Type Library
TeeChartx

Description
When True new Rows may not be appended to the Grid, and cells cannot be edited.


ICustomGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge


IErrorPointSeries.Add
IErrorPointSeries

function Add(AX, AY, aLeft, aRight, ATop, ABottom: Double; Const AXLabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx


IStrings.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IStrings


ITeePicture.ShowFiltersEditor
ITeePicture

function ShowFiltersEditor: WordBool;

Type Library
TeeChartx

Description
Shows the Filter Editor. If the "Ok" button has been pressed (meaning that changes will be applied to the Chart) will return "True", if we cancel or close the editor will return "False".


IDownSamplingFunction.properties
IDownSamplingFunction Legend key

Type Library
TeeChartx

In IDownSamplingFunction

DisplayedPointCount
DownSampleMethod
ReducedSize
Tolerance


ISeriesTextSource.FieldSeparator
ISeriesTextSource

property FieldSeparator: WideString;

Type Library
TeeChartx

Description
Set FieldSeparator to the character that separates the fields in the text source file.

For a standard csv file (comma separated variable) file the character will typically be a comma. Therefore the FieldSeparator would be ','.


IBrush.Style
IBrush

property Style: EBrushStyle;

Type Library
TeeChartx

Description
The Style property determines the style in which the zone is filled or patterned on the canvas.

Note:

Defining a Brush.Color or Brush.Style will reset the Canvas.BackMode to cbmTransparent. If you want your Canvas shapes to display a Canvas.BackColor then you will have to redefine Canvas.BackMode.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

With TChart1.Canvas

' **** Before

.Brush.Style = bsBDiagonal

.Brush.Color = vbRed

' **** After

.BackColor = vbYellow

.BackMode = cbmNone

.Rectangle 10, 10, 100, 100

End With

End Sub


IAspect.HeightD

IAspect.Height3D
IAspect

property Height3D: Integer;

Type Library
TeeChartx

Description
Run-time and read only. The Height3D property determines the height in pixels of the 3D effect. The Chart.Aspect.View3D property should be True. It equals zero if Chart.Aspect.View3D is False.

Example [Visual Basic]:

This code draws a vertical "frame":

Private Sub TChart1_OnAfterDraw()

With TChart1

.Canvas.Pen.Color = vbBlue

.Canvas.MoveTo .Axis.Left.Position + 150, .Axis.Bottom.Position

.Canvas.LineTo .Axis.Left.Position + 150, .Axis.Top.Position

.Canvas.LineTo .Axis.Left.Position + 150 + .Aspect.Width3D, .Axis.Top.Position - .Aspect.Width3D

.Canvas.LineTo .Axis.Left.Position + 150 + .Aspect.Width3D, .Axis.Bottom.Position - .Aspect.Width3D

.Canvas.LineTo .Axis.Left.Position + 150, .Axis.Bottom.Position

End With


ITeeListBox.CheckStyle
ITeeListBox

property CheckStyle: ECheckBoxesStyle;

Type Library
TeeChartx

Description

Default value : cbsCheck

The ListBox uses this property to display checkboxes or radiobuttons at each list item.


ITagCloudSeries.methods
ITagCloudSeries Legend key

Type Library
TeeChartx

In ITagCloudSeries

AddTag
GetTagFontSize
Sort

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ITools.ToolType
ITools

property ToolType: EToolClass;

Type Library
TeeChartx

Description
The ToolType property returns the ENumber of the Tool type (tcAnnotation = 10).

Example [Visual Basic]

Private Sub Form_Load()

Dim MyAnnotationTool1 As Integer

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

MyAnnotationTool1 = .Tools.Add(tcAnnotate)

With .Tools.Items(MyAnnotationTool1).asAnnotation

.Position = ppLeftTop

.Text = "Access"

End With

Label1.Caption = .Tools.Items(MyAnnotationTool1).Description

Label2.Caption = .Tools.Items(MyAnnotationTool1).ToolType

End With

End Sub


IBrightnessFilter.properties
IBrightnessFilter Legend key

Type Library
TeeChartx

Derived from IAmountFilter

Amount
Percent


ICalendarSeries.properties
ICalendarSeries Legend key

Type Library
TeeChartx

In ICalendarSeries

Date
Days
Months
NextButtonVisible
PreviousButtonVisible
Sunday
Today
Trailing
Weekdays


IDrawLine.EndHandle
IDrawLine

function EndHandle: TeeRect;

Type Library
TeeChartx

Description
Returns Rect of the DrawLine end handle.


IAnnotationTool.Height
IAnnotationTool

property Height: Integer;

Type Library
TeeChartx

Description
Sets the Height in pixels of the annotation rectangle.

You must set AutoSize to False for custom Height values.


ICustomPolarSeries.LoadBackImage
ICustomPolarSeries

procedure LoadBackImage(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads image of filename onto PolarCircle. The image is tiled across the entire area.


ICanvas.Metafiling
ICanvas

property Metafiling: WordBool;

Type Library
TeeChartx

Description
Returns if the Canvas is drawing to a Metafile Handle or to a MetafileCanvas.


IHierarchicalClustering.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseClustering
|
IHierarchicalClustering


ITeeFilter.asSobel
ITeeFilter

property asSobel: ISobelFilter;

Type Library
TeeChartx


ITools.asGantt
ITools

property asGantt: IGanttTool;

Type Library
TeeChartx

Description
The asGantt property is used by the Tools Class to access Gantt Tool specific properties.


IAlligatorFunction.LipsPen
IAlligatorFunction

property LipsPen: IPen;

Type Library
TeeChartx

Description
Sets the pen to draw the Alligators Lips


ICurveFittingFunction.LastPoint
ICurveFittingFunction

property LastPoint: Integer;

Type Library
TeeChartx

Description
Default Value: -1

Sets the last point index used to display the fitting

With FirstCalcPoint and LastCalcPoint properties you can restrict the subset of points CurveFittingFunction will use to calculate the polynomy coefficients and it's point values.

Example [Visual Basic]:

In this example LastPoint is being used with FirstValueIndex / LastValueIndex to refit a fitted curve (CurveFitSeries1) to a 'zoomed' series (LineSeries1).

Private Sub TChart1_OnZoom()

With TChart1

If .Series(0).FirstValueIndex > 0 Then

.Series(1).FunctionType.asCurveFit.FirstCalcPoint = _

.Series(0).FirstValueIndex - 1

.Series(1).FunctionType.asCurveFit.LastCalcPoint = _

.Series(0).LastValueIndex

Else

.Series(1).FunctionType.asCurveFit.FirstCalcPoint = _

.Series(0).FirstValueIndex

.Series(1).FunctionType.asCurveFit.LastCalcPoint = _

.Series(0).LastValueIndex

End If

If .Series(0).LastValueIndex - .Series(0).FirstValueIndex > 6 Then

.Series(1).FunctionType.asCurveFit.FirstPoint = _

.Series(0).FirstValueIndex + 1

.Series(1).FunctionType.asCurveFit.LastPoint = _

.Series(0).LastValueIndex - 1

End If

.Series(0).CheckDataSource

End With

End Sub


IShapeCallout.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IShapeCallout


ISeries.asColorGrid
ISeries

property asColorGrid: IColorGridSeries;

Type Library
TeeChartx

Description
Access to ColorGridSeries specific properties.


IFibonacciTool.TrendPen
IFibonacciTool

property TrendPen: IPen;

Type Library
TeeChartx

Description

Defines trend pen characteristics.


IClusteringTool.QTClustering
IClusteringTool

property QTClustering: IQTClustering;

Type Library
TeeChartx


ITeeRect.Bottom
ITeeRect

property Bottom: Integer;

Type Library
TeeChartx

Description
Sets the bottom position of the rectangle.


ITeePreviewPanel.AsBitmap
ITeePreviewPanel

property AsBitmap: WordBool;

Type Library
TeeChartx

Description
Default: False

Use AsBitmap property to display the chart as bitmap or not. When set to True, the chart will be displayed as a bitmap on the preview panel.


ICalendarCellUpper.properties
ICalendarCellUpper Legend key

Type Library
TeeChartx

In ICalendarCellUpper

Format
UpperCase

Derived from ICalendarCell

Visible

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ICustomGauge.Frame
ICustomGauge

property Frame: IFramedBorder;

Type Library
TeeChartx

Description

The Frame is the object which surrounds the LinearGauge and which consists of three configurable Bands: Inner, Middle and Outer.


ILightTool.Style
ILightTool

property Style: ELightStyle;

Type Library
TeeChartx

Description
The light style.

Values are:

lsLinear Light is uniform around the Left Top position.

lsSpotLight Light is circular

Default value is lsLinear


ICustomDPaletteSeries.methods

ICustom3DPaletteSeries methods
ICustom3DPaletteSeries Legend key

Type Library
TeeChartx

In ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ILinkTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
ILinkTool


ISeries.asActivityGauge
ISeries

property asActivityGauge: IActivityGauge;

Type Library
TeeChartx


ITernarySeries.Pointer
ITernarySeries

property Pointer: IPointer;

Type Library
TeeChartx

Description
Ternary Pointer characteristics.


IActivityDonut
Hierarchy Properties Methods

Type Library
TeeChartx

Description

Defines the characteristics for each activity ring of the ActivityGauge.


ITeeCustomShape.ShapeVisible
ITeeCustomShape

property ShapeVisible: WordBool;

Type Library
TeeChartx


ITChart.OnTimer
ITChart

property OnTimer: TNotifyEvent;

Type Library
TeeChartx

Description
Use with TChart.TimerEnabled and TChart.TimerInterval to implement a timer action.


ILinkTool.properties
ILinkTool Legend key

Type Library
TeeChartx

In ILinkTool

Hint
URL

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


IGradient.Colors
IGradient

property Colors: IGradientColors;

Type Library
TeeChartx


ISeriesList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesList


ITChart.OnVideoToolNewFrame
ITChart

property OnVideoToolNewFrame: TNotifyEvent;

Type Library
TeeChartx

Description
This event is called after a new frame image has been saved into the avi video file during recording time.


ICalendarSeries.Trailing
ICalendarSeries

property Trailing: ICalendarCell;

Type Library
TeeChartx

Description
The Trailing property describes Calender Cell appearance characteristics (font, colour, etc) for the trailing days (the beginnings and ends of the next and previous months to the present one) of the Calender series.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Trailing.Visible = False

End With


ICircularGauge.CircleXCenter
ICircularGauge

property CircleXCenter: Integer;

Type Library
TeeChartx

Description
Returns the horizontal X coordinate of the center of the gauge.


ITeeListBoxSection.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeListBoxSection


ITChart.OnRemoveSeries
ITChart

property OnRemoveSeries: TTChartOnRemoveSeries;

Type Library
TeeChartx

Description
Triggered just after Series is removed. This event wont be triggered when Series has been added through the Chart Editor.


ITeeBasePath.LineTo
ITeeBasePath

procedure LineTo(X, Y: Integer);

Type Library
TeeChartx


ISeriesGroup.Series
ISeriesGroup

property Series: ICustomSeriesList;

Type Library
TeeChartx

Description

The list of series that belong to this group.


ISeries.YScreenToValue
ISeries

function YScreenToValue(ScreenCoord: Integer): Double;

Type Library
TeeChartx

Description
This function returns the corresponding Y value of a Screen position. The Screen position must be between Axis limits.

Example

We want to calculate the Axis.Left value in the Vertical Screen coordinate of 220 pixels.

Visual Basic

value = TChart1.Axis.Left.CalcPosPoint(220)

We could use the Series methods XScreentoValue or YscreenToValue to obtain the samevalue information

Visual Basic

value = TChart1.Series.XScreenToValue(220)


IMarksSymbol.Bevel
IMarksSymbol

property Bevel: EPanelBevel;

Type Library
TeeChartx

Description
Sets the bevel characteristics of the Shape.


ICandleSeries.BorderColor
ICandleSeries

property BorderColor: ECandleBorderColor;

Type Library
TeeChartx


ITChart.CloneToolFromChart
ITChart

function CloneToolFromChart(ChartLink, ToolIndex: Integer): Integer;

Type Library
TeeChartx


ICanvas.IsScreenHighColor
ICanvas

function IsScreenHighColor: WordBool;

Type Library
TeeChartx

Description
The IsScreenHighColor function returns True if the current video mode color depth is greater than 256 colors.

Example [Visual Basic]:

This code shows or hides the Chart.Gradient:

TChart1.Panel.Gradient.Visible = TChart1.Canvas.IsScreenHighColor


ISeries.UseAxis
ISeries

function UseAxis: WordBool;

Type Library
TeeChartx

Description
Returns True if the Series uses and Axis. (eg. IPieSeries does not use an Axis and returns False).


IBannerTool.BlinkDelayOff
IBannerTool

property BlinkDelayOff: Integer;

Type Library
TeeChartx

Description
Time in milliseconds that Banner is not visible when Blink is True.


IMargins.Units
IMargins

property Units: EMarginUnits;

Type Library
TeeChartx

Description

Default value: muPercent

When Units is muPercent, chart margins are calculated as percentage of total chart width and height.

Percent margins are useful to obtain the same margin proportions, no matter the chart size.

When Units is muPixels, chart margins are just the pixel quantity.

Example:

Chart1.Margis.nUnits = muPixels

Chart1.Margins.Left = 10 ' 10 pixels

Chart1.Margins.Right : 10 ' 10 pixels


ICircledSeries.XRadius
ICircledSeries

property XRadius: Integer;

Type Library
TeeChartx

Description
The XRadius property returns the exact ellipse's radius horizontal size in pixels. The ellipse XRadius can be set to a fixed number of pixels by using this property. The CircledSeries.Circled property controls if both radius must be proportional to the Screen X/Y ratio.


ISeries.DatasourceType
ISeries

property DatasourceType: EDatasourceType;

Type Library
TeeChartx

Description
Default = dstAllRecords

The EDataSourceTypes are dstAllRecords and dstSingleRecord. As the default is dstAllRecords, the DatasourceType method only really needs to be called for Single Record charting.

Example [Visual Basic]:

Dim rst

Private Sub Command1_Click()

rst.MovePrevious

CheckKeys

End Sub

Private Sub Command2_Click()

rst.MoveNext

CheckKeys

End Sub

Private Sub Command3_Click()

rst.MoveLast

CheckKeys

End Sub

Private Sub Command4_Click()

rst.MoveFirst

CheckKeys

End Sub

Private Sub Form_Load()

Set Conn = CreateObject("ADODB.Connection")

Set rst = CreateObject("ADODB.Recordset")

Conn.Open "DSN=TeeChart Pro Database"

rst.Open "select * from months", Conn, 1, 1

TChart1.AddSeries scBar

With TChart1.Series(0)

.ColorEachPoint = True

' ****************************************************************

' The DatasourceType line should be run before the Recordset is

' applied to the Series.

' ****************************************************************

.DatasourceType = dstSingleRecord

.DataSource = rst

.YValues.ValueSource = "Jan;Feb;Mar;Apr;May;Jun;Jul;Aug;Sep;Oct;Nov;Dec"

End With

With TChart1.Tools

.Add tcAnnotate

.Items(0).asAnnotation.Position = ppLeftTop

End With

CheckKeys

End Sub

Private Sub CheckKeys()

TChart1.RefreshData

TChart1.Tools.Items(0).asAnnotation.Text = "Year: " & rst!Year

If rst!Year = "1997" Then

Command4.Enabled = False

Command1.Enabled = False

Command2.Enabled = True

Command3.Enabled = True

ElseIf rst!Year = "2000" Then

Command2.Enabled = False

Command3.Enabled = False

Command1.Enabled = True

Command4.Enabled = True

Else

Command4.Enabled = True

Command1.Enabled = True

Command2.Enabled = True

Command3.Enabled = True

End If

End Sub


IJavaScriptExport.ChartName
IJavaScriptExport

property ChartName: WideString;

Type Library
TeeChartx

Description
Sets the Chart name. Uses "chart1" as default. If you have multiple charts on the browser page you will need to control this variabe to give each charta a unique name.


IDarvasSeries.BoxPen
IDarvasSeries

property BoxPen: IPen;

Type Library
TeeChartx

Description
Pen properties used to display a border around box boundaries.


ITransformAnimation.ZoomStyle
ITransformAnimation

property ZoomStyle: ETransformZoom;

Type Library
TeeChartx


IImagePointSeries.properties
IImagePointSeries Legend key

Type Library
TeeChartx

Derived from ICustomImagePointSeries

ImagePoint
ImageTransparent

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ITextShape.TextAlignment
ITextShape

property TextAlignment: ETitleAlignment;

Type Library
TeeChartx

Description
Defines how text will be displayed inside the shape rectangle.

By default it is taLeftJustify.

Text is aligned when the shape rectangle is bigger than the text size, or when the Text property contains multiple lines of text of different length.

See also: Text, AutoSize and ClipText properties.


ITeeEditor.TreeView
ITeeEditor

property TreeView: WordBool;

Type Library
TeeChartx

Description
Gets or sets if the Chart editor is in "tree" mode.

When TreeView is True, the Chart editor shows a treeview control at the left side containing all editor tabs.


IScroll.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IScroll


ICustomPolarSeries.CircleGradient
ICustomPolarSeries

property CircleGradient: IGradient;

Type Library
TeeChartx

Description
Sets the CircleGradient properties.


ITeeEditorShowPages.properties
ITeeEditorShowPages Legend key

Type Library
TeeChartx

In ITeeEditorShowPages

AllSeries
Animations
Aspect
Axis
ExportDialog
ExportNative
General
Legend
Main
OpenGL
Paging
Panel
PrintPreview
SeriesData
SeriesGeneral
SeriesMarks
Themes
Titles
Tools
Walls


IGaugeSeriesPointer.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
IGaugeSeriesPointer


ISmithSeries.ImagSymbol
ISmithSeries

property ImagSymbol: WideString;

Type Library
TeeChartx

Description

Defines the Symbol string to be displayed after Smith perimiter Labels.


ICircularGauge.TotalAngle
ICircularGauge

property TotalAngle: Double;

Type Library
TeeChartx

Description

Default is 300

Gets or sets the angle in degrees (from 0 to 360) that covers the gauge labels and hand.


ITransformAnimation.properties
ITransformAnimation Legend key

Type Library
TeeChartx

In ITransformAnimation

Axis
Clip
Fade
MaxZoom
RotateMax
RotateMin
Scale
Target
TranslateStyle
UseBounds
ZoomStyle

Derived from ICustomAnimationChart

Series

Derived from ITeeAnimation

Duration
Enabled
Inverted
Loop
Parent
StartTime
Timing
TimingStyle
Title
TwoWay


ICustomGaugeMinMax.Ranges
ICustomGaugeMinMax

property Ranges: IGaugeRanges;

Type Library
TeeChartx


ITools.asTransposeSeries
ITools

property asTransposeSeries: ITransposeSeriesTool;

Type Library
TeeChartx

Description
The asTransposeSeries property is used by the Tools Class to access TransposeSeries Tool specific properties.


ICustomBoxSeries.InnerFence

ICustomBoxSeries.InnerFence1
ICustomBoxSeries

property InnerFence1: Double;

Type Library
TeeChartx

Description
Read from InnerFence1 to get SampleValues lower inner fence. Write to InnerFence1 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to InnerFence1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ICustomBoxSeries.InnerFence

ICustomBoxSeries.InnerFence3
ICustomBoxSeries

property InnerFence3: Double;

Type Library
TeeChartx

Description
Read from InnerFence3 to get SampleValues upper inner fence. Write to InnerFence3 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to InnerFence3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ILinearGauge.MaxValueIndicator
ILinearGauge

property MaxValueIndicator: IGaugeSeriesPointer;

Type Library
TeeChartx

Description

A visible marker for the maximum value reached by the LinearGauge.


ITeePointD.X

ITeePoint2D.X
ITeePoint2D

property X: Double;

Type Library
TeeChartx

Description
X point co-ordinate.


IMosaicFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAmountFilter
|
IMosaicFilter


ITeePointD.Y

ITeePoint2D.Y
ITeePoint2D

property Y: Double;

Type Library
TeeChartx

Description
Y point co-ordinate.


ICrossTabSource.HideSeries
ICrossTabSource

property HideSeries: WordBool;

Type Library
TeeChartx

Description
This property allows to hide from the Editor the internal Series which has been automatically.

Example [Visual Basic]:

CrossTabSource1.HideSeries=True


IChartAnimations.asSeriesAnimation
IChartAnimations

property asSeriesAnimation: ISeriesAnimationTool;

Type Library
TeeChartx


IBannerTool.ScrollDirection
IBannerTool

property ScrollDirection: EScrollDirection;

Type Library
TeeChartx

Description
Direction for scrolling text.


ITeeListBox.Color
ITeeListBox

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the colour of the TeeListBox background.


ITChart.aSeries
ITChart See also

property aSeries[SeriesIndex: Integer]: ISeries;

Type Library
TeeChartx

Description

This property (prior name Series) is deprecated due to non-support of indexed properties, at time of writing, at ActiveX component root level in the MS Visual Studio.NET environment. Please use the new Series method instead.

The aSeries property has been maintained to support existing compiled applications.

See also:
Series


ICanvas.Cone
ICanvas

procedure Cone(Vertical: WordBool; Left, Top, Right, Bottom, Z0, Z1: Integer; Dark3D: WordBool; ConePercent: Integer);

Type Library
TeeChartx

Description
Paints a cone. Use ONLY with OPENGL.


IPage.AutoScale
IPage

property AutoScale: WordBool;

Type Library
TeeChartx

Description
Auto-determine the page scaling.


ITChart.DragCursor
ITChart

property DragCursor: SmallInt;

Type Library
TeeChartx

Description
Defines the TChart Drag cursor.


ISeriesTextSource.LoadAsStream
ISeriesTextSource

procedure LoadAsStream(AStream: OleVariant);

Type Library
TeeChartx

Description
Use LoadFromStream to load data from a stream object.


ILinkTool.methods
ILinkTool Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

Clicked
SetBounds


IGridBandBrush.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBrush
|
IGridBandBrush


IPieAngle.MidAngle
IPieAngle

property MidAngle: Double;

Type Library
TeeChartx


ITeeAnimate.Speed
ITeeAnimate

property Speed: Integer;

Type Library
TeeChartx


ITeeFunction.properties
ITeeFunction Legend key

Type Library
TeeChartx

In ITeeFunction

asADX
asAlligator
asATR
asAverage
asBollinger
asCCI
asCLV
asCompress
asCurveFit
asCustom
asDownSampling
asExpAvg
asExpMovAvg
asHistogram
asMACD
asMedian
asMode
asMoneyFlow
asMovAvg
asOBV
asPareto
asPerformance
asPVO
asRMS
asRSI
asRVI
asSAR
asSkewness
asSmoothing
asStdDeviation
asSubset
asTrend
ClassType
Period
PeriodAlign
PeriodStyle


IHTMLExport.methods
IHTMLExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


IExport.asFlex
IExport

property asFlex: IFlexExport;

Type Library
TeeChartx

Description
Accesses the Flex format Export attributes.


IPolarContourSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IPolarSeries
|
IPolarContourSeries


ITeePicture.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeePicture


IAxis.MinimumOffset
IAxis

property MinimumOffset: Integer;

Type Library
TeeChartx

Description
The amount of pixels that will be left as a margin at axis minimum position.

This property is useful when you dont want the series to display points very close to axis boundaries.


ICanvas.Line
ICanvas

procedure Line(X0, Y0, X1, Y1: Integer);

Type Library
TeeChartx

Description
Draws line between end co-ordinates using current Pen.


ITeeLinked.AboutBox
ITeeLinked

procedure AboutBox;

Type Library
TeeChartx

Description
About ...


IPage.Next
IPage

procedure Next;

Type Library
TeeChartx

Description
When MaxPointsPerPage is greater than Zero, TeeChart automatically divides point values in Pages. Calling Next is the same as Page = Page + 1. The NumPages chart property returns the total number of pages.


ITeeCommander.ButtonCopy
ITeeCommander

property ButtonCopy: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonCopy

Example:-

TeeCommander1.ButtonCopy.Hide


IMoneyFlowFunction.AreaPen
IMoneyFlowFunction

property AreaPen: IPen;

Type Library
TeeChartx

Description
Determines the pen properties to paint when CMFStlye is set to Area.


IExport.asJavaScript
IExport

property asJavaScript: IJavaScriptExport;

Type Library
TeeChartx


IExport.asSVG
IExport

property asSVG: ISVGExport;

Type Library
TeeChartx

Description
Returns a string list filled will all chart contents in SVG graphic format.


IPageNumTool.methods
IPageNumTool Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

Clicked
SetBounds


IPointDSeries.Pointer

IPoint3DSeries.Pointer
IPoint3DSeries

property Pointer: IPointer;

Type Library
TeeChartx

Description
The Pointer property is a subclass of PointSeries, LineSeries and all other derived PointSeries classes like BubbleSeries.

Each point in a PointSeries is drawn using the Pointer properties.

Pointer contains several properties to control the formatting attributes of Points like Pen, Brush, Draw3D, Visible, etc.

Please refer to IPointer help page for a complete description of IPointer subclass.


ICanvas.PieD

ICanvas.Pie3D
ICanvas

procedure Pie3D(XCenter, YCenter, XRadius, YRadius, Z0, Z1: Integer; StartAngle, EndAngle: Double; DarkSides, DrawSides: WordBool);

Type Library
TeeChartx

Description
Draws a Pie slice.


IPrinterSettings.BitsPerPel
IPrinterSettings

property BitsPerPel: Integer;

Type Library
TeeChartx

Description
Specifies the color resolution, in bits per pixel, of the display device (for example: 4 bits for 16 colors, 8 bits for 256 colors, or 16 bits for 65,536 colors). Display drivers use this member. Printer drivers do not use this member.


IGradient.UseMiddleColor
IGradient

property UseMiddleColor: WordBool;

Type Library
TeeChartx


ICircledSeries.properties
ICircledSeries Legend key

Type Library
TeeChartx

In ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IPieSeries.UsePatterns
IPieSeries

property UsePatterns: WordBool;

Type Library
TeeChartx

Description
Default: False

The UsePatterns property indicates, when True, that Pie Sectors will be filled using different Brush pattern styles. There are 6 different pattern styles.


ITagCloudSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ITagCloudSeries


ICandleSeries.CloseValues
ICandleSeries

property CloseValues: IValueList;

Type Library
TeeChartx

Description
The CloseValues property is used to store all Stock market Close values.

You can access Close values in the same way you can access X or Y values.

Example [Visual Basic]:

{ this increments the 6th Candle Close value }

With TChart1.Series(0).asCandle

.CloseValues.Value(5) = .CloseValues.Value(5) + 1

End With


ITeePreviewPanel.Title
ITeePreviewPanel

property Title: WideString;

Type Library
TeeChartx

Description
Use Title property to specify a title for the Preview Panel.


IVideoTool.CompressionQuality
IVideoTool

property CompressionQuality: Integer;

Type Library
TeeChartx

Description
Gets or set the level of image quality that compression will try to achieve.


ITChart.OnVideoPlayerToolFrame
ITChart

property OnVideoPlayerToolFrame: TNotifyEvent;

Type Library
TeeChartx

Description
Called just before the current video frame is going to be displayed.


ILegendSymbol.DefaultPen
ILegendSymbol

property DefaultPen: WordBool;

Type Library
TeeChartx

Description
When True, the legend will use series pen properties to draw a border around the coloured box legend symbol.

When False, the Legend will use the legend symbol Pen property.

Example[Visual Basic]:

TChart1.Legend.Symbol.DefaultPen = False

TChart1.Legend.Symbol.Pen.Color = vbGreen


IRotateTool.methods
IRotateTool Legend key

Type Library
TeeChartx

In IRotateTool

Description


IAOFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAOFunction


IAxisBreaksTool.properties
IAxisBreaksTool Legend key

Type Library
TeeChartx

In IAxisBreaksTool

Breaks
Brush
GapSize
Pen

Derived from ICustomToolAxis

Axis


IMarksTipTool.Delay
IMarksTipTool

property Delay: Integer;

Type Library
TeeChartx

Description
Sets the time lag before the Tool Tip appears.


IVectorDSeries.MinZValueVector

IVector3DSeries.MinZValueVector
IVector3DSeries

function MinZValueVector: Double;

Type Library
TeeChartx

Description
Use this method to return the Vector MinZValueVector.


IAxisLabels.Height
IAxisLabels

function Height(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This function returns the Axis Label height of the Value parameter. It uses the Axis formatting specifiers, the Axis Labels Font and the Labels rotation and style.


ITChart.OnCursorToolSnapChange
ITChart

property OnCursorToolSnapChange: TTChartOnCursorToolSnapChange;

Type Library
TeeChartx

Description
Event called when the cursor tool changes the index of the "snap" point in the series.

The snap point is the one that is more close to the cursor positions.

See Snap property and SnapToPoint method.


ITChart.ShowHint
ITChart

property ShowHint: WordBool;

Type Library
TeeChartx

Description
Shows hint when cursor is held over the chart when True

Example:-

TChart1.Hint = "My Hint"

TChart1.ShowHint = True


ISpacing.properties
ISpacing Legend key

Type Library
TeeChartx

In ISpacing

Horizontal
Vertical


ILineSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
ILineSeries


ITeeFont.Depth
ITeeFont

property Depth: Double;

Type Library
TeeChartx


ITextDTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IText3DTool


IScrollPagerTool.RemoveSeries
IScrollPagerTool

procedure RemoveSeries(AIndex: Integer);

Type Library
TeeChartx


IPieSeries.DarkD

IPieSeries.Dark3D
IPieSeries

property Dark3D: WordBool;

Type Library
TeeChartx

Description
Default: True

The Dark3D property indicates, when True, to fill the Pie 3D effect screen areas with darker colors than their corresponding Pie sectors. This colors look much better with 16k colors video mode or greater.

The Pie sector RGB color is increased 40 units to obtain the darker color.


ILegend.FontSeriesColor
ILegend

property FontSeriesColor: WordBool;

Type Library
TeeChartx

Description
Set FontSeriesColor to stipulate whether or not the color of the font of the legend text is the same as the that of the Series color.


IBMPExport.properties
IBMPExport Legend key

Type Library
TeeChartx

In IBMPExport

Colors
Monochrome

Derived from IExportFormat

Height
Width


ITeeCommander.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ITeeCommander


IBubbleSeries.properties
IBubbleSeries Legend key

Type Library
TeeChartx

In IBubbleSeries

RadiusValues
Squared

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ICustomBarSeries.BarImageClear
ICustomBarSeries

procedure BarImageClear;

Type Library
TeeChartx

Description
Clears Bar images set with BarImageLoad.


IScrollPagerTool.ColorBandTool
IScrollPagerTool

property ColorBandTool: IColorBandTool;

Type Library
TeeChartx


IFramedBorder.properties
IFramedBorder Legend key

Type Library
TeeChartx

In IFramedBorder

Brush
Circled
Emboss
InnerBrush
MiddleBrush
OuterBrush
Shadow
Visible
Width


ITeeFilter.properties
ITeeFilter Legend key

Type Library
TeeChartx

In ITeeFilter

asAmount
asBevel
asBlur
asBrightness
asColor
asContrast
asCrop
asEmboss
asGammaCorrection
asGrayScale
asHueLumSat
asLight
asMirror
asMosaic
asResize
asRotate
asSepia
asSharpen
asSobel
asSoften
asTile
asZoom
Enabled
Region


IVolumeSeries.properties
IVolumeSeries Legend key

Type Library
TeeChartx

In IVolumeSeries

LinePen
UseYOrigin
VolumeValues
YOrigin


IPointDSeries.LineTransparency

IPoint3DSeries.LineTransparency
IPoint3DSeries

property LineTransparency: Integer;

Type Library
TeeChartx


ITeeScrollBar.BackColor
ITeeScrollBar

property BackColor: OLE_COLOR;

Type Library
TeeChartx


IGridBandTool.BandBackColor
IGridBandTool

property BandBackColor[ABand: Integer]: OLE_COLOR;

Type Library
TeeChartx

Description
Returns the background color corresponding to ABand parameter.


IChartGridNavigator.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartGridNavigator


ICustomSeries.LineHeight
ICustomSeries

property LineHeight: Integer;

Type Library
TeeChartx

Description
Sets the LineHeight for the Series Line.


ISubChartChart.events
ISubChartChart Legend key

Type Library
TeeChartx

Derived from ITChart

OnAddSeries
OnAfterDraw
OnAllowScroll
OnAnnotationToolClick
OnAxisArrowToolClick
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnBeforePrint
OnCalendarSeriesChange
OnClick
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnColorBandToolClick
OnColorBandToolResized
OnColorLineToolBeginDragLine
OnColorLineToolDragLine
OnColorLineToolEndDragLine
OnCompressFunctionGetDate
OnCursorToolChange
OnCursorToolSnapChange
OnDatabaseRecord
OnDataTableToolFilterSeries
OnDblClick
OnDragMarksToolDraggedMark
OnDragMarksToolDraggingMark
OnDragPointToolDragPoint
OnDragPointToolEndDrag
OnDragPointToolStartDrag
OnDrawAxisLabel
OnDrawLineToolDraggedLine
OnDrawLineToolLineDrag
OnDrawLineToolNewLine
OnDrawLineToolSelecting
OnDrawLineToolSelectLine
OnFaderToolStop
OnFunctionCalculate
OnGanttToolDragBar
OnGanttToolResizeBar
OnGaugeChange
OnGetAxisLabel
OnGetLegendPos
OnGetLegendRect
OnGetLegendText
OnGetNextAxisLabel
OnGetSeriesBarStyle
OnGetSeriesCircleLabel
OnGetSeriesContourLevel
OnGetSeriesMark
OnGetSeriesPointerStyle
OnImageSeriesGetImage
OnKeyDown
OnKeyUp
OnLegendDrawSymbol
OnLegendScrollBarToolChangeSize
OnLegendScrollBarToolScrolled
OnLegendScrollBarToolSetPosition
OnMarkTipToolCancelHint
OnMarkTipToolGetText
OnMouseDown
OnMouseEnterSeries
OnMouseLeaveSeries
OnMouseMove
OnMouseUp
OnNearestToolChange
OnOpenGLInit
OnOpenGLRepaint
OnPageChange
OnRectangleToolClick
OnRectangleToolDragged
OnRectangleToolDragging
OnRectangleToolResized
OnRectangleToolResizing
OnRemoveSeries
OnResize
OnRotateToolRotate
OnScroll
OnScrollPagerScroll
OnSelectorToolDragged
OnSelectorToolDragging
OnSelectorToolResized
OnSelectorToolResizing
OnSelectorToolSelected
OnSeriesAfterAdd
OnSeriesAfterDrawValues
OnSeriesAnimationToolStep
OnSeriesBeforeAdd
OnSeriesBeforeDrawValues
OnSeriesClickPointer
OnSeriesClickPointer3D
OnSeriesContourBeforeDrawLevel
OnSubChartToolDragged
OnSurfaceNearestToolSelectCell
OnSurfaceSeriesGetYValue
OnTagCloudSeriesDrawTag
OnTimer
OnUndoZoom
OnVideoPlayerToolFrame
OnVideoToolNewFrame
OnVideoToolStart
OnVideoToolStop
OnZoom


IMarksTail.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMarksTail


IMomentumDivFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMomentumDivFunction


IAmountFilter.Percent
IAmountFilter

property Percent: WordBool;

Type Library
TeeChartx

Description
If Percent is true, the Amount will be applied as a percentage.


IOrgSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IOrgSeries


ITChart.OnFaderToolStop
ITChart

property OnFaderToolStop: TNotifyEvent;

Type Library
TeeChartx

Description
Event called when the fader animation ends.


IOrgSeries.FirstChild
IOrgSeries

function FirstChild(ValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns the index of the first child of the given ValueIndex item.

Return -1 if the ValueIndex item has no child items.

Child items have a Superior property equal to ValueIndex.


ITools.asLegendPalette
ITools

property asLegendPalette: ILegendPaletteTool;

Type Library
TeeChartx

Description
The asLegendPalette property is used by the Tools Class to access LegendPalette Tool specific properties.


IPanel.MarginUnits
IPanel

property MarginUnits: EMarginUnits;

Type Library
TeeChartx

Description
Default value: muPercent

Determines the units of the four margin properties:

MarginLeft

MarginTop

MarginRight

MarginBottom

When MarginUnits is muPercent, chart margins are calculated as percentage of total chart width and height.

Percent margins are useful to obtain the same margin proportions, no matter the chart size.

When MarginUnits is muPixels, chart margins are just the pixel quantity.

Example[Visual Basic]:

TChart1.Panel.MarginUnits = muPixels

TChart1.Panel.MarginLeft = 10 '10 pixels

TChart1.Panel.MarginBottom = 10 '10 pixels


ITChart.OnDrawLineToolSelectLine
ITChart

property OnDrawLineToolSelectLine: TNotifyEvent;

Type Library
TeeChartx

Description
The DrawLineToolSelectLine event is fired when a DrawLine Tool line has been selected.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcDrawLine

With .Tools.Items(0).asDrawLine

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnDrawLineToolDraggedLine()

Label1.Caption = "Line Dragged"

End Sub

Private Sub TChart1_OnDrawLineToolLineDrag()

Label1.Caption = "Line Drag"

End Sub

Private Sub TChart1_OnDrawLineToolNewLine()

Label1.Caption = "NewLine"

End Sub


IFramedBorder.Visible
IFramedBorder

property Visible: WordBool;

Type Library
TeeChartx

Description

Gets and sets the visibility of the Frame object.


IHorizBarSeries.BarHeight
IHorizBarSeries

property BarHeight: Integer;

Type Library
TeeChartx

Description
The BarHeight property returns the height of horizontal Bars in pixels. Bar heights change at run-time when resizing or zooming the Chart. You may change the Barheight value manually using this property.

Example [Visual Basic]:

tmp = TChart1.Series(0).asHorizBar.BarHeight


IBevelFilter.Bright
IBevelFilter

property Bright: Integer;

Type Library
TeeChartx

Description
Increase/decrease brightness of the Bevel.


IBrush.AssignImage
IBrush

procedure AssignImage(ImageHandle: Integer);

Type Library
TeeChartx

Description
The AssignImage method assigns a bitmap image to an IBrush element.

Example [Visual Basic]:

Dim PicIndex

Private Sub Form_Load()

Dim i As Integer

Dim X As ListImage

'Load images into the ImageList.

For i = 1 To 11

Set X = ImageList1.ListImages. _

Add(, , LoadPicture("C:\TestFiles\BrushStyles\TeeBrush" & i & ".bmp"))

Picture1(i - 1).Picture = ImageList1.ListImages.Item(i).Picture

Next i

TChart1.AddSeries scBar

TChart1.Series(0).FillSampleValues 7

Picture1_Click (0)

End Sub

Private Sub Picture1_Click(Index As Integer)

PicIndex = Index

TChart1.Series(0).asBar.BarBrush.AssignImage ImageList1.ListImages.Item(PicIndex + 1).Picture

TChart1.Repaint

End Sub

Private Sub TChart1_OnAfterDraw()

With TChart1

.Canvas.Brush.AssignImage ImageList1.ListImages.Item(PicIndex + 1).Picture

.Canvas.Rectangle .Axis.Right.Position - 120, 40, .Axis.Right.Position - 10, 100

.Canvas.TextOut .Axis.Right.Position - 115, 45, "Canvas rectangle"

End With

End Sub

Private Sub Text1_DblClick()

TChart1.ShowEditor

End Sub


IContourSeries.Smoothing
IContourSeries

property Smoothing: ISmoothPoints;

Type Library
TeeChartx

Description
Determines the properties to use to apply "smoothing" to contour level lines.


IContourSeries.CreateAutoLevels
IContourSeries

procedure CreateAutoLevels;

Type Library
TeeChartx

Description
Calculate Level values and colors.


IAxisGridPen.properties
IAxisGridPen Legend key

Type Library
TeeChartx

In IAxisGridPen

DrawEvery
ZPosition


ISeriesAnimationTool.StartValue
ISeriesAnimationTool

property StartValue: Double;

Type Library
TeeChartx

Description
The initial value to set all series points when the animation starts.

Example [Visual Basic]:

With TChart1.Tools.Items(1).asSeriesAnimation

.StartValue = 0

.StartAtMin = False

End With


ITeeEditorOptions.EditData
ITeeEditorOptions

property EditData: WordBool;

Type Library
TeeChartx


ITChart.OnSelectorToolResizing
ITChart

property OnSelectorToolResizing: TNotifyEvent;

Type Library
TeeChartx

Description
Called when the end-user moves the mouse while resizing the chart.


IExport.asXML
IExport

property asXML: IXMLExport;

Type Library
TeeChartx

Description
The asXML property accesses the XMLExport class which configures the xml page to which the selected series data is exported.

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Export.asXML.IncludeHeader = True

.Export.asXML.IncludeLabels = True

.Export.asXML.SaveToFile "C:\TestFiles\TeeChart.xml"

End With


IPanel.Border
IPanel

property Border: IPen;

Type Library
TeeChartx

Description
Pen properties used to display a border around chart boundaries.

By default Border is hidden.

To show a border:

TChart1.Panel.Border.Visible = True


IPrinterSettings.Fields
IPrinterSettings

property Fields: Integer;

Type Library
TeeChartx

Description
Specifies whether certain members of the DEVMODE structure have been initialized. If a member is initialized, its corresponding bit is set, otherwise the bit is clear. A driver supports only those DEVMODE members that are appropriate for the printer or display technology.

The following values are defined, and are listed here with the corresponding structure members.

Value Structure member

1 DM_ORIENTATION dmOrientation

2 DM_PAPERSIZE dmPaperSize

4 DM_PAPERLENGTH dmPaperLength

8 DM_PAPERWIDTH dmPaperWidth

$10 DM_SCALE dmScale

$20 DM_POSITION dmPosition

$100 DM_COPIES dmCopies

$200 DM_DEFAULTSOURCE dmDefaultSource

$400 DM_PRINTQUALITY dmPrintQuality

$800 DM_COLOR dmColor

$1000 DM_DUPLEX dmDuplex

$2000 DM_YRESOLUTION dmYResolution

$4000 DM_TTOPTION dmTTOption

$8000 DM_COLLATE dmCollate

$10000 DM_FORMNAME dmFormName

$20000 DM_LOGPIXELS dmLogPixels

$40000 DM_BITSPERPEL dmBitsPerPel

$80000 DM_PELSWIDTH dmPelsWidth

$100000 DM_PELSHEIGHT dmPelsHeight

$200000 DM_DISPLAYFLAGS dmDisplayFlags

$400000 DM_DISPLAYFREQUENCY dmDisplayFrequency

$00800000 DM_PANNINGWIDTH Windows 2000/XP: dmPanningWidth

$01000000 DM_PANNINGHEIGHT Windows 2000/XP: dmPanningHeight

$2000000 DM_ICMMETHOD dmICMMethod

$4000000 DM_ICMINTENT dmICMIntent

$8000000 DM_MEDIATYPE dmMediaType

$10000000 DM_DITHERTYPE dmDitherType


IExport.asXLS
IExport

property asXLS: IXLSExport;

Type Library
TeeChartx

Description
The asXLS property accesses the XLSExport class which configures the xls (Excel) page to which the selected series data is exported.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Export.asXLS.IncludeHeader = True

.Export.asXLS.IncludeLabels = True

.Export.asXLS.SaveToFile "C:\TestFiles\TeeChart.xls"

End With


ITChart.SubFooter
ITChart

property SubFooter: ITitles;

Type Library
TeeChartx

Description
The SubFooter property defines the Text and formatting properties to be drawn at the bottom of the Chart, just above the Footer text. Use the Text property to enter the desired SubFooter lines, set Visible to True and change the Font, Frame and Brush properties. Use the Alignment property to control text output position.


IChartFont.Size
IChartFont

property Size: Integer;

Type Library
TeeChartx

Description
The ChartFont.Size property sets Font sizing (in points) for text. When managing Font sizes of Canvas custom outputted text relative to Chart text (titles, labels, etc.), use Font.Height to size the Canvas text.

Example [Visual Basic]:

TChart1.Header.Font.Size = 12

Sizing custom outputted text:

With TChart1

.Canvas.Font.Height = .Axis.Left.Title.Font.Size * _

.Axis.Left.Title.Font.PixelsPerInch /72

.Canvas.TextOut 100, 100, "Text same size as Left Axis Title"

End with


IMarksSymbol.ShapeStyle
IMarksSymbol

property ShapeStyle: EChartObjectShapeStyle;

Type Library
TeeChartx

Description
Shape may be rectagular or rounded rectangular in shape.


ISeriesGroups.FindByName
ISeriesGroups

function FindByName(Const Name: WideString; CaseSensitive: WordBool): Integer;

Type Library
TeeChartx

Description
Functión useful to verify if a Series Group exists. If found it returns a TSeriesGroup object to be able to be utilized subsequently.


ICanvas.ZLineD

ICanvas.ZLine3D
ICanvas

procedure ZLine3D(X, Y, Z0, Z1: Integer);

Type Library
TeeChartx

Description
Line from (X,Y,Z0) to (X,Y,Z1)


IClockGauge.properties
IClockGauge Legend key

Type Library
TeeChartx

In IClockGauge

CustomTime
Hours
Minutes
Seconds
SnapToSeconds
Style
Time

Derived from ICircularGauge

AutoPositionLinearGauge
AutoPositionNumericGauge
AutoValueLinearGauge
AutoValueNumericGauge
Axis
Center
Circled
CircleXCenter
CircleYCenter
CircularFrame
DisplayRotationAngle
DisplayTotalAngle
EndPoint
FillToSemiCircle
Hand
HandOffset
Hands
LabelsInside
LinearGauge
NumericGauge
RotateLabels
RotationAngle
TotalAngle
UseAxis
XRadius
YRadius

Derived from ICustomGaugeMinMax

AxisRanges
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
Ranges
RedLine
Ticks

Derived from ICustomGauge

CustomBounds
Face
Frame
Value


IODSExport.properties
IODSExport Legend key

Type Library
TeeChartx

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


ILegendPaletteTool.Top
ILegendPaletteTool

property Top: Integer;

Type Library
TeeChartx

Description
Gets or sets the vertical legend location in pixels.


ILegendSymbol.Pen
ILegendSymbol

property Pen: IPen;

Type Library
TeeChartx

Description
This pen is used to draw a border around the color box legend symbols.

By default this pen is not used. Instead, the appropiate Series pen is used to draw the symbols borders.

To use this Pen, first set the DefaultPen property to False.

Example[Visual Basic]:

TChart1.Legend.Symbol.DefaultPen = False

TChart1.Legend.Symbol.Pen.Color = vbGreen


IMapPolygon.ParentPen
IMapPolygon

property ParentPen: WordBool;

Type Library
TeeChartx

Description
To have a polygon use the same Pen as its Parentseries, set ParentPen to True. If ParentPen is False, the polygon uses its own Pen property.


ISeries.asBezier
ISeries

property asBezier: IBezierSeries;

Type Library
TeeChartx

Description
The asBezier property is used by the Series Class to access Bezier Series specific properties.


ICanvas.Cube
ICanvas

procedure Cube(Left, Right, Top, Bottom, Z0, Z1: Integer; DarkSides: WordBool);

Type Library
TeeChartx

Description
Draws a Cube, with optionally shadowed top and right sides.


ICanvas.CreatePath
ICanvas

function CreatePath: ITeeBasePath;

Type Library
TeeChartx


ICustomBarSeries.DarkPen
ICustomBarSeries

property DarkPen: Integer;

Type Library
TeeChartx

Description
The DarkPen property sets the border of the Bar to a middle grey when false.

When true, the border is drawn using the border color selected.


ILinearGauge.methods
ILinearGauge Legend key

Type Library
TeeChartx

Derived from ICustomGauge

GetPaletteColor
SetCustomBounds


ILegendItems.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILegendItems


ISeries.LegendToValueIndex
ISeries

function LegendToValueIndex(LegendIndex: Integer): Integer;

Type Library
TeeChartx

Description
Use with Legend.Clicked to return the Series ValueIndex of the clicked Legend item.


IErrorsBase.Size
IErrorsBase

property Size: Integer;

Type Library
TeeChartx


IGrayScaleFilter.properties
IGrayScaleFilter Legend key

Type Library
TeeChartx

In IGrayScaleFilter

Method


ISurfaceSeries.Transparency
ISurfaceSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
The percentage of transparency, from 0 to 100.

All surface cells will be displayed using the specified transparency.

Note: A transparency bigger than zero can affect performance on large surfaces.


INearestTool.properties
INearestTool Legend key

Type Library
TeeChartx

In INearestTool

Brush
Distance
DrawLine
FullRepaint
Hint
HintStyle
Pen
Point
Size
Style

Derived from ICustomToolSeries

Series


IErrorPointDSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
IPoint3DSeries
|
IErrorPoint3DSeries


IDarvasSeries.BoxBrush
IDarvasSeries

property BoxBrush: IBrush;

Type Library
TeeChartx

Description
The BoxBrush property defines the Brush used to fill the boxes. You can set the Brush Color and Brush Style properties.


ICustomErrorSeries.ErrorValues
ICustomErrorSeries

property ErrorValues: IValueList;

Type Library
TeeChartx

Description
The ErrorValues property manages the corresponding Error value for each Bar. The Error value will be displayed as a "T" on top of each Bar.

Example [Visual Basic]

This code changes the Error value of first Error Bar:

TChart1.Series(0).asErrorBar.ErrorValues.Value(0) = 34.56


IDrawLineList.methods
IDrawLineList Legend key

Type Library
TeeChartx

In IDrawLineList

Clear
Delete


ITeeLinked.methods
ITeeLinked Legend key

Type Library
TeeChartx

In ITeeLinked

AboutBox


ITeePicture.properties
ITeePicture Legend key

Type Library
TeeChartx

In ITeePicture

Filters
Handle


IDataExport.AsString
IDataExport

function AsString: WideString;

Type Library
TeeChartx

Description
The AsString function returns the series data values in text format.

Each different Series Data component has properties to control the text conversion of series values.

Depending on the format, the resulting text can be HTML, XML or comma separated values.


IGradientColors.Delete
IGradientColors

procedure Delete(Index: Integer);

Type Library
TeeChartx


IChartGrid.LeftCol
IChartGrid

property LeftCol: Integer;

Type Library
TeeChartx

Description
Read LeftCol to determine the index of the first column in the scrollable region that is visible. Set LeftCol to scroll the columns in the grid so that the column with index LeftCol is the first column after the fixed columns.


IATRFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IATRFunction


ITeePreviewerOptions.MoveImage
ITeePreviewerOptions

property MoveImage: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


IDataTableTool.Brush
IDataTableTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Sets the DataTableTool Brush characteristics.


ITeePicture.SaveToFile
ITeePicture

procedure SaveToFile(Const FileName: WideString);

Type Library
TeeChartx

Description
Saves the Picture to a file.


IContourSeries.methods
IContourSeries Legend key

Type Library
TeeChartx

In IContourSeries

CreateAutoLevels

Derived from ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IPolygonSeries.properties
IPolygonSeries Legend key

Type Library
TeeChartx

In IPolygonSeries

Polygon

Derived from ISeries

Active
asActivityGauge
asArea
asArrow
asBar
asBar3D
asBarJoin
asBezier
asBoxPlot
asBubble
asBubble3D
asCalendar
asCandle
asCircularGauge
asClock
asClockGauge
asColorGrid
asContour
asDarvas
asDeltaPoint
asDonut
asDoubleHorizBar
asEqualizerSeries
asEquiVolume
asError
asErrorBar
asErrorPoint
asErrorPoint3D
asFastLine
asFunnel
asGantt
asGauge
asHighLow
asHighLowLine
asHistogram
asHorizArea
asHorizBar
asHorizBoxPlot
asHorizHistogram
asHorizLine
asImageBar
asImagePoint
asIsoSurface
asKagi
asKnobGauge
asLine
asLinearGauge
asLinePoint
asMap
asNumericGauge
asOrganizational
asPie
asPoint
asPoint3D
asPointFigure
asPolar
asPolarBar
asPolarContour
asPolarGrid
asPyramid
asRadar
asRenko
asRose
asShape
asSmith
asSurface
asTagCloud
asTernary
asTower
asTreeMap
asTriSurface
asVector3D
asVolume
asVolumePipe
asWaterfall
asWindRose
asWorld
Brush
CalcVisiblePoints
Color
ColorEachPoint
ColorSource
Count
Cursor
DataSource
DatasourceType
DefaultNullValue
Depth
FirstValueIndex
FunctionType
HorizontalAxis
HorizontalAxisCustom
LabelsSource
LastValueIndex
Legend
LegendTitle
MandatoryValueList
Marks
MouseValues
Name
NotMandatoryValueList
Pen
PercentFormat
PointColor
PointLabel
PointValue
Selected
SeriesLink
SeriesLinkx64
SeriesType
ShowInEditor
ShowInLegend
Tag
Title
Transparency
ValueFormat
ValueLists
ValueMarkText
VerticalAxis
VerticalAxisCustom
XValues
YMandatory
YValues
ZOrder


IColorGridSeries.DrawPlaneD

IColorGridSeries.DrawPlane3D
IColorGridSeries

property DrawPlane3D: ECanvas3DPlane;

Type Library
TeeChartx

Description
Sets the plane to which you wish to rotate the ColorGridSeries in a 3D Chart.


ICandleSeries.HighLowPen
ICandleSeries

property HighLowPen: IPen;

Type Library
TeeChartx

Description
Defines the pen properties used to draw the line from High value to Low value.

Note: HighLowPen is used only when the CandleStyle property is csCandle, and only when the Pen.Visible property is False.

When the Candle.Pen property is visible, HighLowPen is used only when HighLowPen.Color is different than "clTeeColor".


IAxisLabels.DateTimeFormat
IAxisLabels

property DateTimeFormat: WideString;

Type Library
TeeChartx

Description
Chart AxisLabels have a DateTimeFormat property. DateTimeFormat is a standard DateTime formatting string specifier. Chart Axis uses it to draw the axis labels.

SpecifierDisplays

cDisplays the date using the format given by the ShortDateFormat global variable, followed by the time using the format given by the LongTimeFormat global variable. The time is not displayed if the fractional part of the DateTime value is zero.

dDisplays the day as a number without a leading zero (1-31).

ddDisplays the day as a number with a leading zero (01-31).

dddDisplays the day as an abbreviation (Sun-Sat) using the strings given by the ShortDayNames global variable.

ddddDisplays the day as a full name (Sunday-Saturday) using the strings given by the LongDayNames global variable.

dddddDisplays the date using the format given by the ShortDateFormat global variable.

ddddddDisplays the date using the format given by the LongDateFormat global variable.

mDisplays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mmDisplays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mmmDisplays the month as an abbreviation (Jan-Dec) using the strings given by the ShortMonthNames global variable.

mmmm Displays the month as a full name (January-December) using the strings given by the LongMonthNames global variable.

yyDisplays the year as a two-digit number (00-99).

yyyyDisplays the year as a four-digit number (0000-9999).

hDisplays the hour without a leading zero (0-23).

hhDisplays the hour with a leading zero (00-23).

nDisplays the minute without a leading zero (0-59).

nnDisplays the minute with a leading zero (00-59).

sDisplays the second without a leading zero (0-59).

ssDisplays the second with a leading zero (00-59).

zzzDisplays the millisecond (0.000 - 0.999)

tDisplays the time using the format given by the ShortTimeFormat global variable.

ttDisplays the time using the format given by the LongTimeFormat global variable.

am/pmUses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/pUses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

ampmUses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.

/Displays the date separator character given by the DateSeparator global variable.

:Displays the time separator character given by the TimeSeparator global variable.

'xx'/"xx"Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.

Format specifiers may be written in upper case as well as in lower case letters--both produce the same result.

If the string given by the Format parameter is empty, the date and time value is formatted as if a 'c' format specifier had been given.


IChartGridCols.Col
IChartGridCols

property Col: Integer;

Type Library
TeeChartx

Description

This property replaces the ChartGrid.Col property.

Use Col at runtime to determine the current column in the grid. Setting Col moves focus to the cell in the current row that is in the new column. The first column has an index of 0, the second column an index of 1, and so on.

The selected cell in the grid can be located by reading the Col property and the Row property to obtain the indexes of its column and row. When focus moves to the grid, the selected cell gets input focus.


ITeeGDIPlus.Scale
ITeeGDIPlus

property Scale: Integer;

Type Library
TeeChartx


ITeeShadow.Smooth
ITeeShadow

property Smooth: WordBool;

Type Library
TeeChartx

Description
Gets or sets if the shadow will be displayed as a simple rectangle of uniform color (Smooth False), or as a rectangle with smooth edges (Smooth = True).


IMarksItem.Text
IMarksItem

property Text: IStrings;

Type Library
TeeChartx

Description
The Text of the MarkItem.


IChartEditorPanel.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
IChartEditorPanel


IImport.CheckURL
IImport

property CheckURL: WordBool;

Type Library
TeeChartx


ITableLegend.Symbol
ITableLegend

property Symbol: ILegendSymbol;

Type Library
TeeChartx

Description
Allow you to customise the Legend symbols of the DataTable Tool.

Example:-

With TChart1.Tools

.Add tcDataTable

.Items(0).asDataTable.Legend.FontSeriesColor = True

.Items(0).asDataTable.Legend.Otherside = True

.Items(0).asDataTable.Legend.Symbol.Visible = False

End With


ISeries.asDonut
ISeries

property asDonut: IDonutSeries;

Type Library
TeeChartx

Description
The asDonut property is used by the Series Class to access Donut Series specific properties.


IClusteringTool.ShowBounds
IClusteringTool

property ShowBounds: WordBool;

Type Library
TeeChartx

Description
Draws a 3 dimensional polygon bounding each group of cluster points.

Default value: True


ISeries.asKagi
ISeries

property asKagi: IKagiSeries;

Type Library
TeeChartx

Description
Access to KagiSeries specific properties.


ITChart.OnGetLegendRect
ITChart

property OnGetLegendRect: TTChartOnGetLegendRect;

Type Library
TeeChartx

Description
An OnGetLegendRect event occurs whenever the TChart Legend is going to be displayed.

You can use this event to force an specific Legend position and dimensions.

The Rect parameter determines the default Legend position and dimensions in screen pixels.

After drawing the Legend, the available Chart space will be decreased to not overlap with Legend unless you set the Legend.ResizeChart property to False.

When using this event you'll need to use the TChart.OnGetLegendPos event as well, to supply the exact coordinates for the Legend contents.

Example [Visual Basic]:

Private Sub TChart1_OnGetLegendRect(Left As Long, Top As Long, Right As Long, Bottom As Long)

'Move Legend Rectangle

Left = Left - 10

Top = Top - 5

Right = Right - 10

Bottom = Bottom + 5

End Sub


IGradientColors.AddColor
IGradientColors

function AddColor(AOffset: Double; AColor: OLE_COLOR; ATransparency: Integer): Integer;

Type Library
TeeChartx


ICustomSeriesList.Items
ICustomSeriesList

property Items[Index: Integer]: ISeries;

Type Library
TeeChartx

Description

Access individual Series of List by Index.


IAverageFunction.IncludeNulls
IAverageFunction

property IncludeNulls: WordBool;

Type Library
TeeChartx

Description
The IncludeNulls property enables/disables the inclusion of NullValues in the calculation of the Average Function. The effect of this can be seen in the following example:

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.AddSeries scLine

.AddSeries scLine

For i = 0 To 20

If i Mod 4 = 0 Then

.Series(0).AddNullXY i, 0, ""

Else

.Series(0).AddXY i, Rnd(i) * 100, "", clTeeColor

End If

Next i

.Series(1).SetFunction tfAverage

.Series(1).DataSource = "Series0"

.Series(1).FunctionType.asAverage.IncludeNulls = True

.Series(1).CheckDataSource

.Series(2).SetFunction tfAverage

.Series(2).DataSource = "Series0"

.Series(2).FunctionType.asAverage.IncludeNulls = False

.Series(2).CheckDataSource

End With


ITeeFont.Shadow
ITeeFont

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Setting Shadow defines the shadows of fonts via TTeeShadow properties and methods.


IPieOtherSlice.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPieOtherSlice


IAxis.MinYValue
IAxis

function MinYValue: Double;

Type Library
TeeChartx

Description
This function returns the calculted Minimum Vertical value for the specified AAxis (EAxisType ). AAxis can be Axis.Left or Axis.Right.

Calculated means that the return value will the Minimum value of the Minimum Series Y Values. Only Series with the VerticalAxis equal to AAxis will be considered.

Example [Delphi]:

TChart1.Axis.Right.Automatic := False ;

TChart1.Axis.Right.Minimum := Chart1.MinYValue( atRight ) ;

Example [Visual Basic]:

TChart1.Axis.Right.Automatic = False

TChart1.Axis.Right.Minimum = TChart1.Axis.Right.MinYValue


ICustomGaugeMinMax.MinorTickDistance
ICustomGaugeMinMax

property MinorTickDistance: Integer;

Type Library
TeeChartx

Description

The minor tick offset.


IBarDSeries.AddBar

IBar3DSeries.AddBar
IBar3DSeries

function AddBar(AX, AY, AOffset: Double; Const ALabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Adds a Bar with an X value, a Y value and a Y start point for the Bar (AOffset).


IFilterRegion.Width
IFilterRegion

property Width: Integer;

Type Library
TeeChartx

Description
Width of the region to which the filter will be applied.


ITeeShadow.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeShadow


ITeeShape.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ITeeShape


IContourSeries.YPosition
IContourSeries

property YPosition: Double;

Type Library
TeeChartx

Description
When YPositionLevel property is set to true, use this property to set the Y-Axis height of the Contour Series. This may be useful for adding several ContourSeries to a Chart and activating/deactivating layers.


IMoneyFlowFunction.CMFStyle
IMoneyFlowFunction

property CMFStyle: ECMFStyle;

Type Library
TeeChartx

Description
Sets the Style of the MoneyFlow function.

Choose between Line, Area, Volume or Histogram.


IAspect.OpenGL
IAspect

property OpenGL: ITeeOpenGL;

Type Library
TeeChartx

Description
Characteristics of OpenGL Chart display. Set Aspect.OpenGL.Active=True to activate OpenGL rendering.

When activated, OpenGL supports full 360º rotation in all directions for Chart y custom drawn Canvas objects. OpenGL drivers must be active in Windows for TeeChart's OpenGL Canvas to function correctly.

3D Rotation Example

The following example in VBScript for Internet Explorer will generate a webpage with animated Chart rotation, Elevation and Zoom. The Chart uses Perspective and animation is activated by TeeChart's its own timer events.

<SCRIPT LANGUAGE="VBScript">

<!--

Dim DeltaRot

Dim DeltaElev

Dim DeltaZoom

DeltaRot=2

DeltaElev=2

DeltaZoom=2

Sub TChart1_OnTimer()

if TChart1.SeriesCount > 0 then

TChart1.Aspect.Rotation = TChart1.Aspect.Rotation + DeltaRot

If (TChart1.Aspect.Rotation <= 275) Or (TChart1.Aspect.Rotation >= 355) Then

DeltaRot = -DeltaRot

End If

TChart1.Aspect.Elevation = TChart1.Aspect.Elevation + DeltaElev

If (TChart1.Aspect.Elevation <= 275) Or (TChart1.Aspect.Elevation >= 355) Then

DeltaElev = -DeltaElev

End If

TChart1.Aspect.Zoom = TChart1.Aspect.Zoom + DeltaZoom

If (TChart1.Aspect.Zoom <= 40) Or (TChart1.Aspect.Zoom >= 280) Then

DeltaZoom = -DeltaZoom

End If

end if

end sub

Sub Animate()

TChart1.TimerInterval=100

TChart1.TimerEnabled=not TChart1.TimerEnabled

End sub

Sub LoadChart()

TChart1.AddSeries(1)

TChart1.AddSeries(0)

TChart1.Series(0).FillSampleValues(10)

TChart1.Series(1).FillSampleValues(10)

TChart1.Series(0).asBar.AutoBarSize=True

TChart1.Series(0).asBar.BarPen.Color=RGB(153,0,0)

TChart1.Aspect.Orthogonal=False

TChart1.Aspect.Chart3DPercent=80

TChart1.Aspect.Perspective=50

TChart1.Panel.Gradient.Visible=true

If TChart1.Canvas.IsScreenHighColor = True then

TChart1.Panel.Gradient.EndColor=RGB(0,0,151)

TChart1.Header.Font.Color = vbYellow

else

TChart1.Header.Font.Color = vbBlack

end if

TChart1.Header.Font.Bold=True

TChart1.Header.Font.Size=10

TChart1.Header.Text(0)="TeeChart 3D example"

cmdChart1.disabled=True

End sub

'To use OpenGL add TChart1.Aspect.OpenGL.Active = True

-->

</SCRIPT>

<html><head><TITLE>TeeChart 3D animation example</TITLE></head>

<BODY bgcolor=#FFFFFF>

<p><input type="button" value="LoadChart" onclick="LoadChart()" name="cmdChart1"> <br>

<input type="button" value="Stop/Start animation !" onclick="Animate()"

name="cmdChart3"> </p>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:008BBE7E-C096-11D0-B4E3-00A0C901D681">

codebase="TeeChart.ocx#version=4,0,0,0" TYPE="application/x-oleobject"

</OBJECT>

</BODY>

</html>


IFullScreenTool.ReleaseKey
IFullScreenTool

property ReleaseKey: Integer;

Type Library
TeeChartx

Description

Defines the key to reset the mode, i.e :

ChartTool1.ReleaseKey:=VK_DELETE;


IClockSeries.Hours
IClockSeries

property Hours: IClockHand;

Type Library
TeeChartx


ITeeScrollBar.Thumb
ITeeScrollBar

property Thumb: IScrollBarThumb;

Type Library
TeeChartx


IActivityGauge
Hierarchy Properties Methods

Type Library
TeeChartx

Description

The Activity Gauge offer the means to compare task goals (100%) and current status (percentage shown by each task band).


IValueList.FillSequence
IValueList

procedure FillSequence;

Type Library
TeeChartx

Description
(Advanced )

The FillSequence method renumbers all values in a IValueList class. Values start at zero.

Warning: Calling FillSequence removes any previous value in a IValueList.

See IValueList.Sort method example. Use FillSequence when deleting points at runtime.


ISeries.LegendTitle
ISeries

property LegendTitle: WideString;

Type Library
TeeChartx

Description
Used to display an annotation on top of the chart legend.


IAxis.AxisLink
IAxis

property AxisLink: Integer;

Type Library
TeeChartx

Description

TeeChart Internal use only


ISeriesRegionTool.Brush
ISeriesRegionTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Color and pattern used to fill the region.


IAxisArrowTool.HeadWidth
IAxisArrowTool

property HeadWidth: Integer;

Type Library
TeeChartx

Description
HeadWidth determines the width of the arrow head in pixels.


ISepiaFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISepiaFilter


IErrorsDFormat.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IErrorsFormat
|
IErrors3DFormat


IPieMarks.LegSize
IPieMarks

property LegSize: Integer;

Type Library
TeeChartx

Description
Default : 0

Size of the legs drawn between the Marks shape and Pie slice boundaries.


ICrossPointsFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICrossPointsFunction


ICalendarSeries.Weekdays
ICalendarSeries

property Weekdays: ICalendarCellUpper;

Type Library
TeeChartx

Description
The Weekdays property describes Calender Cell appearance characteristics (font, colour, etc) for weekday titles of the Calender series.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Weekdays.Format = "dddd"

End With


ITChart.OnUndoZoom
ITChart

property OnUndoZoom: TNotifyEvent;

Type Library
TeeChartx

Description
An OnUndoZoom event occurs when Chart Axis scales are reset to the Minimum and Maximum values that fit all Series points. Users can undo zoom by dragging the left mouse button drawing a rectangle from bottom-right to top-left. You can undo zoom by calling the TChart.Zoom.Undo procedure. Both techniques cause this event to be triggered. You can use this event together with TChart.OnZoom and TChart.OnScroll events to react to changes in Axis scales.

Example [Visual Basic]:

This code will reset axis scales at Zoom.Undo event:

Private Sub TChart1_OnUndoZoom()

With TChart1

.Axis.Left.SetMinMax 20, 80

.Axis.Bottom.SetMinMax DateValue("04/10/00"), DateValue("12/10/00")

End With

End Sub


IScroll.MouseButton
IScroll

property MouseButton: EMouseButton;

Type Library
TeeChartx

Description
Sets the mousebutton to use to enable the scroll action.


IAxis.UsePartnerAxis
IAxis

property UsePartnerAxis: WordBool;

Type Library
TeeChartx

Description
Uses the partner axis to delimti the custom axis on a chart when set to True.


ITChart.SetTheme
ITChart

procedure SetTheme(aTheme: EChartTheme; aPalette: EColorPalette);

Type Library
TeeChartx

Description

Set Chart Theme:

Example

Private Sub List1_Click(Index As Integer)

Select Case List1.Item(1).ListIndex

Case 0: TChart1.SetTheme ctDefault, cpDefault

Case 1: TChart1.SetTheme ctExcel, cpDefault

Case 2: TChart1.SetTheme ctClassic, cpDefault

Case 3: TChart1.SetTheme ctBusiness, cpDefault

Case 4: TChart1.SetTheme ctWeb, cpDefault

Case 5: TChart1.SetTheme ctWindowsXP, cpDefault

Case 6: TChart1.SetTheme ctBlueSky, cpDefault

Case 7: TChart1.SetTheme ctFacts, cpDefault

End Select

End Sub


IAxis.Position
IAxis

property Position: Integer;

Type Library
TeeChartx

Description
Read-only

The Position property returns the position of the Axis in pixels relative to the Chart Panel. For horizontal axes the number is a Y position, for vertical axes an X position.


IShapeSeries.Font
IShapeSeries

property Font: IChartFont;

Type Library
TeeChartx

Description
The Font property determines the font attributes used to output ShapeSeries.Text strings. No auto font sizing is performed, so you must specify the desired font size to avoid shape text going over Shape boundaries.

Example [Visual Basic]:

This code sets Shape text and font:

With TChart1

.AddSeries scShape

With .Series(0).asShape

.Style = chasDiamond

.Font.Size = 12

.Font.Bold = True

.Text.Clear

.Text.Add "Hello"

.Text.Add "World"

End With

End With


IAxes.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxes


IGaugeHandItem.properties
IGaugeHandItem Legend key

Type Library
TeeChartx

In IGaugeHandItem

Format
Value


IClusteringTool.KMeans
IClusteringTool

property KMeans: IKMeansClustering;

Type Library
TeeChartx


IDrawLineTool.Selected
IDrawLineTool

property Selected: Integer;

Type Library
TeeChartx

Description
The Selected property returns the line or lines that are currently selected.

Selected lines are displayed with additional small squares indicating the selection.

It returns "nil" if no lines are selected.

Setting Selected to "nil" removes (clears) the current selection.


IAxis.CalcXSizeValue
IAxis

function CalcXSizeValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This function calculates the Horizontal SIZE in pixels of Value parameter.


IRSIFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IRSIFunction


ITChart.OnRectangleToolClick
ITChart

property OnRectangleToolClick: TTChartOnRectangleToolClick;

Type Library
TeeChartx

Description
Event triggered when the user clicks on the rectangle boundaries.


IPageControl.TabPosition
IPageControl

property TabPosition: ETabPosition;

Type Library
TeeChartx


IClusteringTool.MinkowskiLambda
IClusteringTool

property MinkowskiLambda: Double;

Type Library
TeeChartx


IRotateTool.Inertia
IRotateTool

property Inertia: Integer;

Type Library
TeeChartx

Description
Defines the percent amount of rotation movement that will be applied to a chart after the user releases the mouse button.

By default it is zero, meaning there is no inertia and the chart stops rotating inmediately after the mouse button is released.

Valid values for Inertia property are from 0 to 100.

See also: Speed property.


ICustomSortedFunction.properties
ICustomSortedFunction Legend key

Type Library
TeeChartx

In ICustomSortedFunction

IncludeNulls


ISeries.asGantt
ISeries

property asGantt: IGanttSeries;

Type Library
TeeChartx

Description
The asGantt property is used by the Series Class to access Gantt Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asGantt.ConnectingPen.Width = 2'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Marks.BackColor = vbYellow

.asGantt.AddGantt DateValue("1,1,1997"), DateValue("31,1,1997"), 2, "1st"

.asGantt.AddGantt DateValue("1997,1,15"), DateValue("1997,2,15"), 1, "2nd"

End With


IHighLowSeries.LowPen
IHighLowSeries

property LowPen: IPen;

Type Library
TeeChartx

Description
Setting LowPen defines the Pen properties for the Low value.


ISeriesStatsTool.Skewness
ISeriesStatsTool

function Skewness: Double;

Type Library
TeeChartx


IHover.methods
IHover Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IOrgItem.Format
IOrgItem

property Format: IOrgShape;

Type Library
TeeChartx

Description
Gets the visual attributes used to draw the item text.

(Font, Color, Brush, Gradient, etc, etc)


ITextShape.methods
ITextShape Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IPointSeries.properties
IPointSeries Legend key

Type Library
TeeChartx

In IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IGradientColor.Color
IGradientColor

property Color: OLE_COLOR;

Type Library
TeeChartx


IEPSExport.properties
IEPSExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

Height
Width


ITrendFunction.methods
ITrendFunction Legend key

Type Library
TeeChartx

In ITrendFunction

CalculateTrend


ITeeFunction.asTrend
ITeeFunction

property asTrend: ITrendFunction;

Type Library
TeeChartx

Description
Accesses Trend function specific properties.


IFrameTool.Style
IFrameTool

property Style: Integer;

Type Library
TeeChartx

Description
Default : 1

Defines which Frame style to use. Available styles are :

0 : Custom

1 : Metal

2 : Gold

3 : Silver

4 : Wood

5 : Cherry

6 : Modern

7 : Pine


ILegendScrollBarTool.DrawStyle
ILegendScrollBarTool

property DrawStyle: EScrollBarDrawStyle;

Type Library
TeeChartx

Description
Defines when the scrollbar will be displayed.

Values are "ssAlways" and "ssWhenNeeded".


ITChart.Repaint
ITChart

procedure Repaint;

Type Library
TeeChartx

Description
This Chart method forces the Chart to Repaint. You don't normally call Repaint directly. It can be used after adding text to the Chart Title (Header or Footer) and other specific circumstances when modifying some derived Series characteristics.


IRMSFunction.Complete
IRMSFunction

property Complete: WordBool;

Type Library
TeeChartx

Description
The Complete boolean property defines the RMS formula.

RMS = Sqrt(Sum(Sqr(x[i]))/NumPoints)...Complete = true

RMS = Sqrt(Sum(Sqr(x[i]))/(NumPoints-1))...Complete = false


IAxis.Clicked
IAxis

function Clicked(XCoord, YCoord: Integer): WordBool;

Type Library
TeeChartx

Description
This function returns if X and Y coordinates are close to the Axis position.


ICircularGauge.properties
ICircularGauge Legend key

Type Library
TeeChartx

In ICircularGauge

AutoPositionLinearGauge
AutoPositionNumericGauge
AutoValueLinearGauge
AutoValueNumericGauge
Axis
Center
Circled
CircleXCenter
CircleYCenter
CircularFrame
DisplayRotationAngle
DisplayTotalAngle
EndPoint
FillToSemiCircle
Hand
HandOffset
Hands
LabelsInside
LinearGauge
NumericGauge
RotateLabels
RotationAngle
TotalAngle
UseAxis
XRadius
YRadius

Derived from ICustomGaugeMinMax

AxisRanges
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
Ranges
RedLine
Ticks

Derived from ICustomGauge

CustomBounds
Face
Frame
Value


ITChart.OnSeriesContourBeforeDrawLevel
ITChart

property OnSeriesContourBeforeDrawLevel: TTChartOnSeriesContourBeforeDrawLevel;

Type Library
TeeChartx

Description
Called just before drawing each level segments.

Use this event to customize the pen used to draw each level segments, for example.


ITChart.Draw
ITChart

procedure Draw(DC: OleVariant; Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Use the Draw method to paint the Chart in your preferred Canvas and region.

It can also be used to PrintChart the Chart in a customized way:

Example [Visual Basic]:

With TChart1

.Printer.BeginDoc

.Draw .Canvas.HandleDC, 0, 0, .Printer.PageWidth / 2, .Printer.PageHeight / 2

.Printer.EndDoc

End With


IPen.SmallSpace
IPen

property SmallSpace: Integer;

Type Library
TeeChartx

Description
This is a property used when pen is SmallDots and indicates the space between those points.

Example [Visual Basic]:

tChart1.Series(0).asLine.LinePen.Style=psSmallDots

tChart1.Series(0).asLine.LinePen.SmallSpace=10


IGatorFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGatorFunction


ICanvas.Height
ICanvas

property Height: Integer;

Type Library
TeeChartx

Description
Read-only

The Height property returns the height, in pixels, of the Chart Panel and should be used when using Canvas methods to draw relative to the Panel height. You should NOT use TChart.Height.


IBubbleSeries.Squared
IBubbleSeries

property Squared: WordBool;

Type Library
TeeChartx

Description
Default value: True

The Squared property determines how Bubble size is calculated. By default, the horizontal and vertical Bubble sizes are equal to each Bubble's radius. When Squared is False, Bubble horizontal and vertical sizes are calculated independently based on Series axis scales.


ITChart.StopMouse
ITChart

procedure StopMouse;

Type Library
TeeChartx

Description
This method should be run if you wish TeeChart Engine to STOP handling mouseclicks and NOT to start zoom or scroll. This method ONLY effectuates this activity for the next mouseclick after it has been called.

Example [Visual Basic]:

Private Sub TChart1_OnClickSeries(ByVal SeriesIndex As Long, ByVal ValueIndex As Long, ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)

If Button = mbRight Then

With TChart1.Series(SeriesIndex)

.PointColor(ValueIndex) = vbGreen

End With

TChart1.StopMouse

End If

End Sub


IHTMLExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
IHTMLExport


IMomentumFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMomentumFunction


ITeeCustomShape.Frame
ITeeCustomShape

property Frame: IPen;

Type Library
TeeChartx

Description
Accesses to the Shape Frame properties and methods.


IFrameTool.properties
IFrameTool Legend key

Type Library
TeeChartx

In IFrameTool

Brush
Frame
Paspartou
Pen
ResizeChart
Size
Style


ISeriesGroup.Add
ISeriesGroup

procedure Add(SeriesIndex: Integer);

Type Library
TeeChartx

Description

Add Series to Group.

Example

' Create some Line series, and fill them with random values...

For t = 0 To 9

TChart1.AddSeries scLine

TChart1.Series(t).Title = "Line " & t

TChart1.Series(t).FillSampleValues (10)

Next t

' Create two "Series Groups", and add some series to each group...

TChart1.SeriesList.AddGroup "First group"

With TChart1.SeriesList.Groups.Items(0)

.Add (0)

.Add (2)

.Add (4)

.Add (6)

.Add (8)

End With


ITools.asColorLine
ITools

property asColorLine: IColorLineTool;

Type Library
TeeChartx

Description
The asColorLine property is used by the Tools Class to access ColorLine Tool specific properties.


IBubbleDSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
IPoint3DSeries
|
IBubble3DSeries


IKnobGauge.properties
IKnobGauge Legend key

Type Library
TeeChartx

In IKnobGauge

ActiveCenter
AxisInside
CenterPoint
HighLight

Derived from ICircularGauge

AutoPositionLinearGauge
AutoPositionNumericGauge
AutoValueLinearGauge
AutoValueNumericGauge
Axis
Center
Circled
CircleXCenter
CircleYCenter
CircularFrame
DisplayRotationAngle
DisplayTotalAngle
EndPoint
FillToSemiCircle
Hand
HandOffset
Hands
LabelsInside
LinearGauge
NumericGauge
RotateLabels
RotationAngle
TotalAngle
UseAxis
XRadius
YRadius

Derived from ICustomGaugeMinMax

AxisRanges
GreenLine
Horizontal
Maximum
Minimum
MinorTickDistance
MinorTicks
Ranges
RedLine
Ticks

Derived from ICustomGauge

CustomBounds
Face
Frame
Value


ICircularGauge.Hands
ICircularGauge

property Hands: IGaugeHands;

Type Library
TeeChartx


ICustomSeriesList.methods
ICustomSeriesList Legend key

Type Library
TeeChartx

In ICustomSeriesList

ClearValues
First
Last


IMarksTipTool.SystemHints
IMarksTipTool

property SystemHints: WordBool;

Type Library
TeeChartx


IGridTransposeTool.Transpose
IGridTransposeTool

procedure Transpose;

Type Library
TeeChartx

Description
3D Transpose tool "rotates" a 3D series 90 degrees.

It will exchange x with z values. Works with any Grid3D series (surface, etc).

A similar effect can be obtained setting the Bottom and Depth axes

Inverted property to True.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Tools.Items(0).asGridTranspose.Transpose

End Sub

Private Sub Form_Load()

Dim i As Integer

TChart1.Tools.Add tcGridTranspose

TChart1.Tools.Items(0).asGridTranspose.Series = TChart1.Series(0)

TChart1.Tools.Items(0).Active = True

' Fill Series with sample values

For z = 1 To 30

For x = 1 To 20

TChart1.Series(0).asSurface.AddXYZ x, GetXZValue(x, z), z, "", clTeeColor

Next x

Next z

End Sub


ITeeScrollBar.DisabledArrow
ITeeScrollBar

property DisabledArrow: IBrush;

Type Library
TeeChartx


IChartGrid.TopRow
IChartGrid

property TopRow: Integer;

Type Library
TeeChartx


IErrorsBase.Left
IErrorsBase

property Left: IValueList;

Type Library
TeeChartx


IPolarGridSeries.GetCellColor
IPolarGridSeries

function GetCellColor(Value: Double): OLE_COLOR;

Type Library
TeeChartx

Description
Returns the cell Color or the specified point value.


ITeeAnimation.properties
ITeeAnimation Legend key

Type Library
TeeChartx

In ITeeAnimation

Duration
Enabled
Inverted
Loop
Parent
StartTime
Timing
TimingStyle
Title
TwoWay


IPen.JoinStyle
IPen

property JoinStyle: EPenJoinStyle;

Type Library
TeeChartx


IDataExport.IncludeColors
IDataExport

property IncludeColors: WordBool;

Type Library
TeeChartx

Description

Whether or not to include the point Colors of the data Series source in the exported data.


IGaugeRange.StartValue
IGaugeRange

property StartValue: Double;

Type Library
TeeChartx


IWalls.Bottom
IWalls

property Bottom: IWall;

Type Library
TeeChartx

Description
The TChart.Walls.Bottom property defines the pen and brush used to fill the bottom chart side. Available IWall properties are Brush, Color, Dark3D, Gradient, Pen, Size and Transparent. TChart.Aspect.View3D and TChart.Walls.Visible properties should be True to use TChart.Walls.Back, TChart.Walls.Bottom, TChart.Walls.Left and TChart.Walls.Right.


ITeePanelsList.Clear
ITeePanelsList

procedure Clear;

Type Library
TeeChartx

Description
Call Clear to empty the Items array and set the Count to 0. Clear also frees the memory used to store the Items array and sets the Capacity to 0.


ITeeListBox.Repaint
ITeeListBox

procedure Repaint;

Type Library
TeeChartx

Description
Repaints the TeeListBox.


ICanvas.Pen
ICanvas

property Pen: IPen;

Type Library
TeeChartx

Description
The Canvas Pen property indicates the kind of pen used to draw Canvas lines.

Please note that the Pen used to draw Custom Canvas lines does not support Pen EndStyle.


IKagiSeries.CloseValues
IKagiSeries

property CloseValues: IValueList;

Type Library
TeeChartx

Description
Alias toYValues value list.


ICanvas.Pie
ICanvas

procedure Pie(X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer);

Type Library
TeeChartx

Description
Use Pie to draw a pie-shaped wedge on the image. The wedge is defined by the ellipse bounded by the rectangle determined by the points (X1, Y1) and X2, Y2). The section drawn is determined by two lines radiating from the center of the ellipse through the points (X3, Y3) and (X4, Y4).

The wedge is outlined using Pen, and filled using Brush.


ITChart.ActiveSeriesLegend
ITChart

function ActiveSeriesLegend(ItemIndex: Integer): Integer;

Type Library
TeeChartx

Description
The ActiveSeriesLegend function returns the nth Active Series.

If all Series are Active, calling then the above function is the same as using the Chart1.Series property.


ICustomSeriesList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeriesList


ITernarySeries.AxisScale
ITernarySeries

property AxisScale: ETernaryAxisScale;

Type Library
TeeChartx

Description
Set Axis scale for all three bounding Axes. Valid values are 1,2,5,10,20,25 and 50.


ISeries.asHorizLine
ISeries

property asHorizLine: IHorizLineSeries;

Type Library
TeeChartx

Description
The asHorizLine property is used by the Series Class to access Horizontal Line Series specific properties.


ITChart.OnGetSeriesCircleLabel
ITChart

property OnGetSeriesCircleLabel: TTChartOnGetSeriesCircleLabel;

Type Library
TeeChartx

Description
Triggered as Circle Label is rendered.


IVideoPlayerTool.Delay
IVideoPlayerTool

property Delay: Integer;

Type Library
TeeChartx

Description
Gets or sets the number of milliseconds to wait between each played video frame.


IFaderTool.Style
IFaderTool

property Style: EFaderStyle;

Type Library
TeeChartx

Description
Default : fsFadeIn

Determines a Fader style :

fsFadeIn

fsFadeOut

See also: EFaderStyle


IAreaSeries.MultiArea
IAreaSeries

property MultiArea: EMultiArea;

Type Library
TeeChartx

Description
Default maNone

The MultiArea property determines the kind of displayed Area when there's more than one AreaSeries with the same ParentChart. The default value is maNone, meaning all Areas will be drawn one behind the other. maStacked and maStacked100 modes will draw each Area on top of previous one. msStacked100 adjusts each individual point to a common 0..100 axis scale. The order which Series are accumulated depends on the Chart.SeriesList property.


ISeries.Add
ISeries

function Add(AValue: Double; Const ALabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The Series Add method can be used to insert new Series points when you do not have an X Value for the point.

This function inserts a new point in the Series. The new point only has Y values. X value is automatically calculated.

The ALabel parameter is optional (can be empty "").

The AColor parameter is optional.

The function returns the new point position in the Values list.

Add Examples

Delphi

With TChart1.Series[ 0 ] do

Begin

Add(3,' Pears ',clRed);

Add(4,' Apples ',clBlue);

Add(2,' Oranges ',clGreen);

end;

Visual Basic

With TChart1.Series( 0 )

.Add 3, "Pears", vbRed

.Add 4, "Apples", vbBlue

.Add 2, "Oranges", vbGreen

End With


ICircledSeries.RotationAngle
ICircledSeries

property RotationAngle: Integer;

Type Library
TeeChartx

Description
The RotationAngle can be a valid integer number between 0 and 359. This angle can be changed by code to rotate the Pie (or Polar).


ICircledSeries.CircleWidth
ICircledSeries

property CircleWidth: Integer;

Type Library
TeeChartx

Description
Runtime and Read only.

The CircleWidth property returns the width of the bounding Circle.


IPrinterSettings.DefaultSource
IPrinterSettings

property DefaultSource: SmallInt;

Type Library
TeeChartx

Description
Specifies the paper source. To retrieve a list of the available paper sources for a printer, use the DeviceCapabilities function with the DC_BINS flag.

This member can be one of the following values, or it can be a device-specific value greater than or equal to DMBIN_USER.

DMBIN_UPPER = 1;

DMBIN_FIRST = DMBIN_UPPER;

DMBIN_ONLYONE = 1;

DMBIN_LOWER = 2;

DMBIN_MIDDLE = 3;

DMBIN_MANUAL = 4;

DMBIN_ENVELOPE = 5;

DMBIN_ENVMANUAL = 6;

DMBIN_AUTO = 7;

DMBIN_TRACTOR = 8;

DMBIN_SMALLFMT = 9;

DMBIN_LARGEFMT = 10;

DMBIN_LARGECAPACITY = 11;

DMBIN_CASSETTE = 14;

DMBIN_FORMSOURCE = 15;

DMBIN_LAST = DMBIN_FORMSOURCE;

DMBIN_USER = $100;


IAxis.AutomaticMaximum
IAxis

property AutomaticMaximum: WordBool;

Type Library
TeeChartx

Description
Default: True

The AutomaticMaximum property controls if Axis will adjust the Maximum value automatically based on the maximum value of its associated Series.


IAxis.Ticks
IAxis

property Ticks: IPen;

Type Library
TeeChartx

Description
The Ticks property determines the kind of Pen used to draw Axis marks along the Axis line.

Ticks position is calculated based on Axis.Increment, Axis.Labels.Separation and Axis.Label.Style properties.

There are three kind of ticks available: Ticks, MinorTicks and TicksInner.

You can show or hide any of them of have all of them Visible.

The TickLength property defines the length of Axis Ticks in logical pixels.


IHistogramSeries.Transparency
IHistogramSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Default 0

Set Transparency level from 0 to 100%


IPointSeries.FastPoint
IPointSeries

property FastPoint: WordBool;

Type Library
TeeChartx

Description
When FastPoint is True TeeChart doesn't consult the OnGetSeriesPointerStyle event. That saves an important quantity of time for Series that use that event, making plots very much quicker. Note that any content you place in that event will be inactive when FastPoint is True.


ITernarySeries.AddBubbleXYZWeight
ITernarySeries

function AddBubbleXYZWeight(AX, AY, AZ, ARadius, AWeight: Double; Const ALabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Add Ternary point with location, radius and weight parameters.


IAnimations.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnimations


ILegendScrollBarTool.ThumbBrush
ILegendScrollBarTool

property ThumbBrush: IBrush;

Type Library
TeeChartx

Description
The brush used to fill the scrollbar thumb.


IAxisLabels.Behind
IAxisLabels

property Behind: WordBool;

Type Library
TeeChartx

Description
Having an axis in the middle of your chart, now you can show the labels over the grid lines.

Use this property to draw the labels behing the axis.


ISeries.LegendString
ISeries

function LegendString(LegendIndex: Integer; LegendTextStyle: ELegendTextStyle): WideString;

Type Library
TeeChartx

Description
Get/set LegendString for LegendIndexth item.


IKnobGauge.methods
IKnobGauge Legend key

Type Library
TeeChartx

Derived from ICustomGauge

GetPaletteColor
SetCustomBounds


IChartFont.Color
IChartFont

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
The ChartFont.Color property should be used to define a Font colour for text.

Example [Visual Basic]:

TChart1.Header.Font.Color = vbYellow


IFaderTool.properties
IFaderTool Legend key

Type Library
TeeChartx

In IFaderTool

Color
InitialDelay
Speed
Style


ITeeCustomShape.Angle
ITeeCustomShape

property Angle: Integer;

Type Library
TeeChartx


IContourSeries.NumLevels
IContourSeries

property NumLevels: Integer;

Type Library
TeeChartx

Description
Use this property to define the number of 'isobar like' levels for the ContourSeries.


IDownSamplingFunction.DisplayedPointCount
IDownSamplingFunction

property DisplayedPointCount: Integer;

Type Library
TeeChartx

Description

Number of points to be displayed.


IMapSeries.Emboss
IMapSeries

property Emboss: ITeeEmboss;

Type Library
TeeChartx


IExpAvgFunction.Weight
IExpAvgFunction

property Weight: Double;

Type Library
TeeChartx

Description
Default Value: 0.2

The Weight property specifies the factor to use to calculate Exponential Average values.

The following formula is used to calculate each ExpAverageFunction points:

Y:= YValue[ValueIndex-1]*(1.0-Weight)+YValue[ValueIndex]*Weight


IEqualizerSeries.DegradeHigh
IEqualizerSeries

property DegradeHigh: WordBool;

Type Library
TeeChartx

Description

When True degrades saved max over time.


IFlexExport.properties
IFlexExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

Height
Width


ISeries.Get_asActivityGauge
ISeries

function Get_asActivityGauge: IActivityGauge;

Type Library
TeeChartx


ISeriesSource.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ISeriesSource


ICustomBoxSeries.MedianPen
ICustomBoxSeries

property MedianPen: IPen;

Type Library
TeeChartx

Description
Read MedianPen to obtain the Pen object that represents the color and style of the median line. Use the properties of MedianPen to change the color or style of median pen.


ITeeEditorShowPages.Titles
ITeeEditorShowPages

property Titles: WordBool;

Type Library
TeeChartx

Description
Default = True

The Titles property may be used to disable the display of the Titles Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITools.asArrow
ITools

property asArrow: IArrowTool;

Type Library
TeeChartx


IGLPosition.properties
IGLPosition Legend key

Type Library
TeeChartx

In IGLPosition

X
Y
Z


IAxis.MaximumOffset
IAxis

property MaximumOffset: Integer;

Type Library
TeeChartx

Description
The amount of pixels that will be left as a margin at axis maximum position.

This property is useful when you dont want the series to display points very close to axis boundaries.


ISeriesTextFields.Count
ISeriesTextFields

property Count: Integer;

Type Library
TeeChartx

Description
Count contains the number of items in the SeriesTextFields array.


IKagiSeries.SellSymbol
IKagiSeries

property SellSymbol: IPointer;

Type Library
TeeChartx

Description
Symbol to draw at sell signals.


IWaterfallSeries.methods
IWaterfallSeries Legend key

Type Library
TeeChartx

Derived from ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IWorldFlags.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IWorldFlags


ITeeCustomShape.ShadowSize
ITeeCustomShape

property ShadowSize: Integer;

Type Library
TeeChartx

Description
Size in pixels of shape's shadowed items.


IPanel.BevelWidth
IPanel

property BevelWidth: Integer;

Type Library
TeeChartx

Description
The Bevelwidth property defines the width of the bevel of the TChart Panel border.


IMapPolygon.Text
IMapPolygon

property Text: WideString;

Type Library
TeeChartx

Description
Use Text to specify the text string that labels the polygon.


ITeeFunction.asStdDeviation
ITeeFunction

property asStdDeviation: IStdDeviationFunction;

Type Library
TeeChartx

Description
Access StdDeviation function specific properties


ITeePointD.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeePoint2D


IMovingAvgFunction.properties
IMovingAvgFunction Legend key

Type Library
TeeChartx

In IMovingAvgFunction

Weighted


IFastLineSeries.DrawStyle
IFastLineSeries

property DrawStyle: EFastLineDrawStyle;

Type Library
TeeChartx


ITransposeSeriesTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITransposeSeriesTool


IAspect.WidthD

IAspect.Width3D
IAspect

property Width3D: Integer;

Type Library
TeeChartx

Description
Run-time and read only. The Width3D property determines the width in pixels of the Chart 3D effect. The Chart.Aspect.View3D property should be True. It equals zero if Chart.Aspect.View3D is False. It changes when changing the Chart.Aspect.Chart3DPercent property.


ILegend.Visible
ILegend

property Visible: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The Visible property determines if Chart Legend will be displayed or not.


ICropFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IResizeFilter
|
ICropFilter


IAxisBreaksTool.Brush
IAxisBreaksTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


ICanvas.SupportsDText

ICanvas.Supports3DText
ICanvas

property Supports3DText: WordBool;

Type Library
TeeChartx

Description
Returns if Canvas can rotate text in 3D mode.

Currently only the OpenGL Canvas can rotate text in 3D.

The normal Windows Canvas can only rotate text in one dimension.


IAntiAliasTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAntiAliasTool


ISmoothingFunction.Factor
ISmoothingFunction

property Factor: Integer;

Type Library
TeeChartx

Description
Default : 4

Gets or sets the number of times the resulting smooth points are in quantity compared to source points.

For example, a value of 4 means the smooth points will be 4 times the number of source points.

The bigger the factor property is, the smoothest resulting curves will be.

TChart1.Series(1).FunctionType.asSmoothing.Factor = 10


IPage.ScaleLastPage
IPage

property ScaleLastPage: WordBool;

Type Library
TeeChartx

Description
Default True

The ScaleLastPage property controls how will be the last Chart page displayed. It only has effect when TChart.MaxPointsPerPage property is greater than zero. When True, the last Chart page will have the same horizontal scaling than the other pages. When False, the last Chart page scaling will be adjusted based on the number of visible points on that last page.


IHistogramFunction.properties
IHistogramFunction Legend key

Type Library
TeeChartx

In IHistogramFunction

Cumulative
IncludeNulls
NumBins


ILegendScrollBarTool.Size
ILegendScrollBarTool

property Size: Integer;

Type Library
TeeChartx

Description
The total scrollbar virtual Size magnitude.

See also the Position property.


IAxisLabels.FormattedValue
IAxisLabels

function FormattedValue(SomeValue: Double): WideString;

Type Library
TeeChartx

Description
This function returns the corresponding text representation of the Value parameter. It uses the Axis formatting specifiers.


ISeriesGroup.Hide
ISeriesGroup

procedure Hide;

Type Library
TeeChartx

Description

For all Series in the group, sets their Visible property to False.


IBMPExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IBMPExport


ILegend.CheckBoxes
ILegend

property CheckBoxes: WordBool;

Type Library
TeeChartx

Description
Setting CheckBoxes enables/disables the display of Legend check boxes.


ISeries.HorizontalAxisCustom
ISeries

property HorizontalAxisCustom: Integer;

Type Library
TeeChartx

Description
After adding a new Custom Axis to a Chart, use HorizontalAxisCustom to associate the Series to the Custom Axis.

Example [Visual Basic]:

Private Sub Command1_Click()

Dim NumVert, NumHoriz As Integer

With TChart1

'Add 2 Custom Axes, vertical and horizontal

NumVert = .Axis.AddCustom(False)

NumHoriz = .Axis.AddCustom(True)

'Associate Series with the new Axes

.Series(1).VerticalAxisCustom = NumVert

.Series(1).HorizontalAxisCustom = NumHoriz

'Position the new Axes relative to Chart

.Axis.Left.EndPosition = 50

.Axis.Custom(0).StartPosition = 50

.Axis.Custom(0).PositionPercent = 50

.Axis.Custom(1).StartPosition = 50

.Axis.Custom(1).PositionPercent = 50

'Change characteristics of a Custom Axis

.Axis.Custom(0).Labels.Font.Bold = True

.Axis.Custom(0).Labels.Font.Color = vbBlue

End With


IColorGridSeries.SmoothBitmap
IColorGridSeries

property SmoothBitmap: WordBool;

Type Library
TeeChartx

Description

When True, the colorgrid display is done using the internal "smooth stretch" algorithm to improve the number of colors in the grid bitmap.


ITagCloudSeries.Font
ITagCloudSeries

property Font: ITeeFont;

Type Library
TeeChartx

Description
Gets or sets the font used to display all tags.

The font size determines the maximum size allowed for the tag with the biggest YValue.

The GetTagFontSize function calculates each tag font size proportional to the tag value.

Font can be changed to customize each tag using the OnDrawTag event.

See also: TagSeparation


ITChart.GetDateTimeStep
ITChart

function GetDateTimeStep(DateTimeStep: EDateTimeStep): Double;

Type Library
TeeChartx

Description
GetDateTimeStep should be used to set DateTime steps (intervals) on TChart Axes.

Example [Visual Basic]:

'set bottom axis to date-time, showing one label per month...

With TChart1.Axis.Bottom

.Increment = TChart1.GetDateTimeStep(dtOneMonth)

.DateTimeFormat = "mmm-yyyy"

End With


ICanvas.HandleDC
ICanvas

property HandleDC: OleVariant;

Type Library
TeeChartx

Description
Read only

Returns the DC Handle of the TChart Canvas allowing images to be sent directly to the Canvas. Not currently supported with OpenGL rendering.

Example [Visual Basic]:

Private Sub Form_Load()

'Add an Imagelist to the Form

'Found in Microsoft Common Controls

Dim X As ListImage

'Load one image into the ImageList.

'eg. .bmp or .jpg

Set X = ImageList1.ListImages. _

Add(, , LoadPicture("c:\images\myimage.bmp"))

End Sub

Private Sub TChart1_OnBeforeDraw()

ScaleMode = vbPoints ' Set ScaleMode to points.

ImageList1.ListImages(1).Draw TChart1.Canvas.HandleDC, 40, 40, imlNormal

End Sub


ICustomBoxSeries.Quartile

ICustomBoxSeries.Quartile1
ICustomBoxSeries

property Quartile1: Double;

Type Library
TeeChartx

Description
Read from Quartile1 to get SampleValues first quartile. Approximately 25% of the data will fall on or

below Quartile1. Write to Quartile1 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to Quartile1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ICustomBoxSeries.Quartile

ICustomBoxSeries.Quartile3
ICustomBoxSeries

property Quartile3: Double;

Type Library
TeeChartx

Description
Read from Quartile3 to get SampleValues third quartile. Approximately 75% of the data will fall on or

below Quartile3. Write to Quartile3 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to Quartile3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


IMetafileExport.properties
IMetafileExport Legend key

Type Library
TeeChartx

In IMetafileExport

Enhanced

Derived from IExportFormat

Height
Width


IWindRoseSeries.methods
IWindRoseSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


ISeriesStatsTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
ISeriesStatsTool


ITeePreviewPanel.Orientation
ITeePreviewPanel

property Orientation: ETeePreviewPanelOrientation;

Type Library
TeeChartx

Description
Default: ppoDefault.

Use Orientation to specify the orientation of the PreviewPanel. It can has one of the following values:

ppoDefault Not defined

ppoPortrait Portrait orientation

ppoLandscape Landscape orientation


ICircleLabels.DegreeSymbol
ICircleLabels

property DegreeSymbol: WideString;

Type Library
TeeChartx

Description
Sets symbol to be used for CircleLabel angles.


IAutomaticText.properties
IAutomaticText Legend key

Type Library
TeeChartx

In IAutomaticText

Hide
Move
Resize
Rotate
Trim
Wrap


ITools.asLink
ITools

property asLink: ILinkTool;

Type Library
TeeChartx

Description
The asLink property is used by the Tools Class to access Link Tool specific properties.


IHover.Visible
IHover

property Visible: WordBool;

Type Library
TeeChartx


ICustomPolarSeries.RadiusIncrement
ICustomPolarSeries

property RadiusIncrement: Double;

Type Library
TeeChartx

Description
RadiusIncrement is the same as accessing the Chart1.Axis.Left.Increment property when using PolarSeries.

It determines the increment, in polar radius scales, used to draw the ring grid lines. You can find the property in the PolarSeries page of the editor

You may use RadiusIncrement with PolarSeries.AngleIncrement to control how gridlines are displayed in Polar charts.


ICanvas.RotateLabel
ICanvas

procedure RotateLabel(X, Y: Integer; Const St: WideString; RotDegree: Integer);

Type Library
TeeChartx

Description
This method will draw a rotated text string at the specified xy coordinates with the RotDegree rotation angle. RotDegree values must be between 0 and 360. The string is drawn on the Chart.Canvas.

See the Windows API SetTextAlign procedure for text alignment.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

TChart1.Canvas.RotateLabel 100, 100, "Hello", 90

End Sub


ITeePreviewPanel.DragImage
ITeePreviewPanel

property DragImage: WordBool;

Type Library
TeeChartx

Description
Default: False

Use DragImage property to allow dragging of the chart margins on the preview panel. When set to True, the user can drag the chart via movement of its boundary to a position on the preview panel. When set to False, dragging of the chart is not allowed.


ITChart.Width
ITChart

property Width: Integer;

Type Library
TeeChartx

Description
The Chart width (pixels).


IChartGrid.ColCount
IChartGrid See also

property ColCount: Integer;

Type Library
TeeChartx

Description

This property is deprecated. Please use the Cols.Count property instead.

Read ColCount to determine the number entries in the ColWidths array. Set ColCount to add or delete columns at the righthand side of the grid. The value of ColCount includes any fixed columns at the left of the grid as well as the scrollable columns in the body of the grid.

See also:
IChartGridCols.Count


IPieSeries.DarkPen
IPieSeries

property DarkPen: Integer;

Type Library
TeeChartx

Description

When DarkPen property is True, the pie slices will be displayed using the PiePen border but with each slice color instead of PiePen color.

The slice color is made darker for better visual effect.

When DarkPen is False, the PiePen properties and color are used to draw a border around each pie slice.


ICrossTabSource.properties
ICrossTabSource Legend key

Type Library
TeeChartx

In ICrossTabSource

CaseSensitive
DataSet
Formula
GroupField
HideSeries
LabelField
ValueField

Derived from ISeriesSource

Active
Series

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


ICanvas.StretchDrawZ
ICanvas

procedure StretchDrawZ(Left, Top, Right, Bottom: Integer; Const Image: IPicture; Z: Integer);

Type Library
TeeChartx

Description
Call StretchDrawZ to draw an image on the canvas so that it fits into the specified rectangle with Z offset. StretchDraw calls the Draw method of the image. The image object determines how it will fit into the rectangle. This may involve changing magnification and/or aspect ratio.

To render the image in its natural size, use the Draw method, instead.

Images can be bitmaps, icons, or metafiles. If it is a IBitmap object, the bitmap is rendered using the value of CopyMode.


IPrinterSettings.SpecVersion
IPrinterSettings

property SpecVersion: Integer;

Type Library
TeeChartx

Description
Specifies the version number of the initialization data specification on which the structure is based. To ensure the correct version is used for any operating system, use DM_SPECVERSION.


IDataTableTool.Legend
IDataTableTool

property Legend: ITableLegend;

Type Library
TeeChartx

Description
Determines the Legend attribrutes


ILegend.properties
ILegend Legend key

Type Library
TeeChartx

In ILegend

Alignment
CheckBoxes
CheckBoxesStyle
ColorWidth
ColumnWidthAuto
ColumnWidths
CurrentPage
DividingLines
DrawBehind
FirstValue
FontSeriesColor
GlobalTransparency
HorizMargin
Inverted
Item
Items
LastValue
LeftPercent
LegendStyle
MaxNumRows
PositionUnits
ResizeChart
Selected
Series
Symbol
TextStyle
TextSymbolGap
Title
TopPercent
TopPos
Vertical
VertMargin
Vertspacing
Visible

Derived from ITeeShapePosition

CustomPosition
Left
Top

Derived from ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ILinearGauge.Embedded
ILinearGauge

property Embedded: WordBool;

Type Library
TeeChartx

Description
Using the Embedded property, multiple Numeric Gauges

and/or LinearGauges can be embedded in a CircularGauge.


ICustomBarSeries.Origin
ICustomBarSeries

property Origin: Double;

Type Library
TeeChartx

Description
Default Value: 0

The Origin property determines the axis value used as a common bottom for all Bar points.

The UseOrigin property must be True (the default) to use the Origin property.

Bars with a value bigger than Origin are drawn in one direction and Bars with a lower value are drawn in the opposite direction.

This applies both to BarSeries and HorizBarSeries classes.


IChartHiddenPen.properties
IChartHiddenPen Legend key

Type Library
TeeChartx

Derived from IPen

Color
EndStyle
Fill
JoinStyle
Mode
SmallDots
SmallSpace
Style
Visible
Width


IPNGExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IPNGExport


ICircularGauge.XRadius
ICircularGauge

property XRadius: Integer;

Type Library
TeeChartx

Description
Returns the size in pixels for the horizontal gauge radius.

See also #link TCircularGauge.Circled#Circled# property.


ITools.asDrawLine
ITools

property asDrawLine: IDrawLineTool;

Type Library
TeeChartx

Description
The asDrawLine property is used by the Tools Class to access DrawLine Tool specific properties.


IFibonacciTool.ShowLabels
IFibonacciTool

property ShowLabels: WordBool;

Type Library
TeeChartx

Description

If true, show individual Fibonacci level labels.


ICanvas.PolygonWithZ
ICanvas

procedure PolygonWithZ(ArraySize: Integer; XArray, YArray: OleVariant; Z: Integer);

Type Library
TeeChartx

Description
Draws a 2D polygon onto the Chart Canvas at ZValue Z.

Example [Visual Basic]

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

With TChart1

.Aspect.Chart3DPercent = 50

.Aspect.Zoom = 50

.Aspect.Orthogonal = False

.AddSeries scPoint3D

.Series(0).FillSampleValues 20

.Axis.Depth.Visible = True

End With

End Sub

Private Sub TChart1_OnAfterDraw()

Dim XArray(4), YArray(4) As Variant

Dim Count As Integer

With TChart1

XArray(0) = .Series(0).CalcXPos(5)

YArray(0) = .Axis.Bottom.Position

For i = 1 To 3

XArray(i) = .Series(0).CalcXPos(i + 4)

YArray(i) = .Series(0).CalcYPos(i + 4)

Next i

XArray(4) = .Series(0).CalcXPos(8)

YArray(4) = .Axis.Bottom.Position

.Canvas.PolygonWithZ 5, XArray, YArray, 40

End With

End Sub


ITools.asSeriesRegion
ITools

property asSeriesRegion: ISeriesRegionTool;

Type Library
TeeChartx

Description
The asSeriesRegion property is used by the Tools Class to access SeriesRegion Tool specific properties.


ITeeCommanderButton.methods
ITeeCommanderButton Legend key

Type Library
TeeChartx

In ITeeCommanderButton

Hide


ILegend.Selected
ILegend

property Selected: ITeeSelected;

Type Library
TeeChartx


ITeeShadow.HorizSize
ITeeShadow

property HorizSize: Integer;

Type Library
TeeChartx

Description
Horizontal size of the shadow in pixels.


ISelectorTool.Brush
ISelectorTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


ITeeListBoxSection.properties
ITeeListBoxSection Legend key

Type Library
TeeChartx

In ITeeListBoxSection

Visible
Width


IFibonacciLevels.properties
IFibonacciLevels Legend key

Type Library
TeeChartx

In IFibonacciLevels

Level


IAxis.TitleSize
IAxis

property TitleSize: Integer;

Type Library
TeeChartx

Description
The TitleSize property is 0 by default.

Therefore the space between the Axis Title and the Chart will be automatically calculated based on the Axis Title Width and Height. You can set this property both at design or runtime.

Example [Visual Basic]:

{50 pixels separation}

TChart1.Axis.Top.TitleSize = 50


IDragPointTool.DragStyle
IDragPointTool See also

property DragStyle: EDragPointStyle;

Type Library
TeeChartx

Description
Allows dragging of points in x,y or both planes.

See also:
EDragPointStyle


IBMPExport.Colors
IBMPExport

property Colors: EPixelFormat;

Type Library
TeeChartx

Description
Sets the pixel format of the BMP image.


IDonutSeries.properties
IDonutSeries Legend key

Type Library
TeeChartx

In IDonutSeries

DonutPercent

Derived from IPieSeries

Angles
AngleSize
AutoMarkPosition
BevelPercent
Dark3D
DarkPen
EdgeStyle
ExplodeBiggest
ExplodedSlice
Gradient
GradientBright
MultiPie
OtherSlice
PieMarks
PiePen
PieValues
SliceHeight
Transparency
UniqueCustomRadius
UsePatterns

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IDragMarksTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IDragMarksTool


IStrings.Item
IStrings

property Item[Index: Integer]: OleVariant;

Type Library
TeeChartx

Description
Use the IStrings Item property grants access to the indexed text line from the TChart Header.

Example [Visual Basic]:

MsgBox TChart1.Header.Text.Item(2)


ICircularGauge.Center
ICircularGauge

property Center: IGaugeSeriesPointer;

Type Library
TeeChartx

Description

Returns a sub-object with properties that control the appearance of a shape at the middle of gauge.


ICropFilter.Top
ICropFilter

property Top: Integer;

Type Library
TeeChartx

Description
Top bound beginning co-ordinate (Pixels) to set crop area.


ISeriesMarkPosition.Height
ISeriesMarkPosition

property Height: Integer;

Type Library
TeeChartx

Description
Defines the Mark Height in pixels


ITChart.OnTagCloudSeriesDrawTag
ITChart

property OnTagCloudSeriesDrawTag: TTChartOnTagCloudSeriesDrawTag;

Type Library
TeeChartx

Description
This event is called every time a tag is going to be displayed and every time a tag text and font are used to calculate the tag width and height dimensions in pixels.

This event can be used to customize a different font size for each tag.


IAxis.StartPosition
IAxis

property StartPosition: Double;

Type Library
TeeChartx

Description
Axis Starting position on its own Axis expressed as percentage 0-100%. For a vertical Axis a StartPosition of 75 would place the top of the Axis 75% down the Chart.


IShapeSeries.ShapeImageClear
IShapeSeries

procedure ShapeImageClear;

Type Library
TeeChartx

Description
Clears the Shape background image.


ITeeCommander.Editor
ITeeCommander

property Editor: ITeeEditor;

Type Library
TeeChartx

Description
Select the TeeChart Editor whose properties should define the TeeCommander Editor properties. Use the TeeCommander EditorLink property in programming environments (eg. MS VC++) that don't support connection directly to the Editor interface.

Example

eg. Visual Basic

TeeCommander1.Editor = TeeEditor1

or

TeeCommander1.EditorLink = TChart1.EditorLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetEditorLink(m_Chart1.GetEditorLink());


ICircularGauge.methods
ICircularGauge Legend key

Type Library
TeeChartx

Derived from ICustomGauge

GetPaletteColor
SetCustomBounds


ITChart.OnSurfaceSeriesGetYValue
ITChart

property OnSurfaceSeriesGetYValue: TTChartOnSurfaceSeriesGetYValue;

Type Library
TeeChartx

Description
The OnGetYValue event occurs when the Surface Series needs to recreate the grid of values. Calling the ReCreateValues method forces Surface Series to be created again. You should return the corresponding Y value for a given X and Z values. Usually you will place a formula or algorithm that calculates its value based on X and Z parameters.


ICustomPolarSeries.Transparency
ICustomPolarSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Default 0

Set Transparency level from 0 to 100%


IPrinter.PrintChart
IPrinter

procedure PrintChart;

Type Library
TeeChartx

Description
Please use the PrintChart method to print the whole Chart to a page as a complete print job. The Print method is included with this version of TeeChart for backwards compatibility only.

The PrintChart method will send the Chart to the currently selected Printer. The current Printer orientation (Portrait or Landscape) can be changed prior to printing. After changing the print orientation you need to call PrintChart to print the page.


ILegendTitle.Caption
ILegendTitle

property Caption: WideString;

Type Library
TeeChartx

Description
Gets or sets the string for the first line of Text TStrings property.

TChart1.Legend.Title.Caption = "Hello"

is equivalent to:

TChart1.Legend.Title.Text.Clear

TChart1.Legend.Title.Text.Add "Hello"


ISARFunction.MaxStep
ISARFunction

property MaxStep: Double;

Type Library
TeeChartx

Description
Default value: 0.20

Defines the minimum or maximum value to consider as a SAR calculation.

See ISARFunction formula explanation.


INearestTool.Brush
INearestTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


IMarks.methods
IMarks Legend key

Type Library
TeeChartx

In IMarks

Clear
Clicked
ResetPositions
ShowEditorMarks

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ICircularGauge.DisplayTotalAngle
ICircularGauge

property DisplayTotalAngle: Integer;

Type Library
TeeChartx

Description
Sets the total angle of the Gauge background to be displayed. If the DisplayRotaionAngle is set to "0" and the DisplayTotalAngle = "180" the background drawn is a semi-circle equivalent to the upper part of a circle. If DisplayRotationAngle is now set to "90" the background would appear as the right hand side of a circle.


IScrollPagerTool.NoLimitDrag
IScrollPagerTool

property NoLimitDrag: WordBool;

Type Library
TeeChartx


IHistogramSeries.LinePen
IHistogramSeries

property LinePen: IPen;

Type Library
TeeChartx

Description

Pen For Histogram Border.


ITeeFilter.asContrast
ITeeFilter

property asContrast: IContrastFilter;

Type Library
TeeChartx

Description
The asContrast property is used by the TeeFilter Class to access Contrast Filter specific properties.


ICandleSeries.DownCloseColor
ICandleSeries

property DownCloseColor: OLE_COLOR;

Type Library
TeeChartx

Description
By default, UpCloseColor is clWhite and DownCloseColor is clRed.

Each Candle will be filled with a different color depending its Open and Close values.

If Open value is greater than Close value, then the selected color will be the UpCloseColor color property.

If Close value is greater or equal than Open value, then the selected color will be the DownCloseColor color property.

DownCloseColor Example

You can change both at design or runtime the color values:

TChart1.Series(2).asCandle.UpCloseColor = vbGreen

TChart1.Series(2).asCandle.DownCloseColor = vbYellow

That will force to repaint the Chart class containing CandleSeries2.


IHighLowLineSeries.LowPointer
IHighLowLineSeries

property LowPointer: IPointer;

Type Library
TeeChartx

Description
Properties that configure the optional symbol pointer to draw at each series point "Low" value position.


IGradientColors.methods
IGradientColors Legend key

Type Library
TeeChartx

In IGradientColors

AddColor
Clear
Delete


IPolarBarSeries.properties
IPolarBarSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ITeeEditor.RememberPosition
ITeeEditor

property RememberPosition: WordBool;

Type Library
TeeChartx

Description
Default value: False

When True, the Chart editor dialog will store its Left and Top position into Windows Registry for later reuse.

When False, the Chart editor dialog will be shown at default screen centered position.


IPrinter.ShowSetupDlg
IPrinter

function ShowSetupDlg: WordBool;

Type Library
TeeChartx

Description
Show the Setup dialog to select printer settings.


ICLVFunction.Accumulate
ICLVFunction

property Accumulate: WordBool;

Type Library
TeeChartx

Description
Default: True

Function results are acumulated (using previous point calculation) when this property is True.


IMarksTail.CustomPoint
IMarksTail

property CustomPoint: WordBool;

Type Library
TeeChartx

Description

Advanced use only. Sets custom locations for Tail end. Pie Series uses this internally when AutoAlign is True.


IAxisBreak.EndValue
IAxisBreak

property EndValue: Double;

Type Library
TeeChartx

Description
Set EndValue to the Axis position from where the axis break finishes.


ITeeGDIPlus.Active
ITeeGDIPlus

property Active: WordBool;

Type Library
TeeChartx

Description
Enables GDIPlus when set to True.


IColorBandTool.EndValue
IColorBandTool

property EndValue: Double;

Type Library
TeeChartx

Description
Set EndValue to the Axis position to where the colorband has to be drawn.


ITeeCommander.RotateInertia
ITeeCommander

property RotateInertia: Integer;

Type Library
TeeChartx

Description
Intertia may be applied to the Rotate Tool. The higher the inertia level the longer the damped slow-to-stop of the

Chart.


IHighLowSeries.properties
IHighLowSeries Legend key

Type Library
TeeChartx

In IHighLowSeries

HighBrush
HighPen
LowBrush
LowPen
Pen
Transparency

Derived from IBaseHighLowSeries

HighValues
LowValues


ITools.asBanner
ITools

property asBanner: IBannerTool;

Type Library
TeeChartx

Description
The asBanner property is used by the Tools Class to access Banner Tool specific properties.


ITeeListBox.OnRefresh
ITeeListBox

property OnRefresh: TNotifyEvent;

Type Library
TeeChartx

Description
Triggered when the listbox refills again all series from chart.


ISeriesGroup.Insert
ISeriesGroup

procedure Insert(IndexInGroup, SeriesIndex: Integer);

Type Library
TeeChartx

Description

Insert Series by Index to Group. The Chart SeriesIndex should be used to identify the Series. The IndexInGroup variable defines where in the Group it should be inserted.


ICircledSeries.CircleBrush
ICircledSeries

property CircleBrush: IBrush;

Type Library
TeeChartx


IHistogramSeries.Brush
IHistogramSeries

property Brush: IBrush;

Type Library
TeeChartx

Description

Brush fill for HistogramSeries.


ICropFilter.properties
ICropFilter Legend key

Type Library
TeeChartx

In ICropFilter

Left
Top

Derived from IResizeFilter

Height
Width


IPieSeries.Angles
IPieSeries

property Angles[Index: Integer]: IPieAngle;

Type Library
TeeChartx


IHistogramFunction.Cumulative
IHistogramFunction

property Cumulative: WordBool;

Type Library
TeeChartx

Description
Default is False.

Gets or sets if the histogram calculation will be accumulated or not.

Accumulated means an histogram point value will add to the previous calculation.


IKagiSeries.UpSwing
IKagiSeries

property UpSwing: IPen;

Type Library
TeeChartx

Description
Pen properties used to draw vertical lines when trend is up.


ITeeAnimation.Timing
ITeeAnimation

property Timing: EAnimationTiming;

Type Library
TeeChartx


IGradientColors.properties
IGradientColors Legend key

Type Library
TeeChartx

In IGradientColors

Items


ICalendarCell.methods
ICalendarCell Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IBannerTool.Scroll
IBannerTool

property Scroll: WordBool;

Type Library
TeeChartx

Description
Scrolls banner text when True.


IAxis.AdjustMaxMin
IAxis

procedure AdjustMaxMin;

Type Library
TeeChartx

Description
This Axis method calculates Maximum and Minimum values based on Max and Min values of the dependent Series.

AdjustMaxMin is automatically called if Axis.Automatic is True.

The Chart Zoom.Undo method calls AdjustMaxMin for Left, Right,Top and Bottom axis.


ILegendSymbol.Position
ILegendSymbol

property Position: ELegendSymbolPosition;

Type Library
TeeChartx

Description
Use the Position property to set the position of the color rectangles. It can have one of the following values:

spLeft The color rectangles are placed left of the legend items

spRight The color rectangles are placed right of the legend items


IAxisLabels.Position
IAxisLabels

property Position: EAxisLabelsPosition;

Type Library
TeeChartx


IBezierSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IBezierSeries


IChartGridRows.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartGridRows


IShapeSeries.ShapeImageLoad
IShapeSeries

procedure ShapeImageLoad(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads a bitmap image into the Shape background.


IColorGridSeries.Frame
IColorGridSeries

property Frame: IChartHiddenPen;

Type Library
TeeChartx

Description
Hidden pen that is used to draw a border line around the colorgrid.


ITeeEmboss.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeShadow
|
ITeeEmboss


ITChart.OnNearestToolChange
ITChart

property OnNearestToolChange: TNotifyEvent;

Type Library
TeeChartx

Description
Triggers when the NearestTool's selected Point changes.


IColorBandTool.Cursor
IColorBandTool

property Cursor: SmallInt;

Type Library
TeeChartx

Description
Defines the cursor to show when the end user moves the mouse inside the color band space.


IWorldSeries.KeepAspect
IWorldSeries

property KeepAspect: WordBool;

Type Library
TeeChartx


IAxis.TickInnerLength
IAxis

property TickInnerLength: Integer;

Type Library
TeeChartx

Description
Default Value: 0

The TickInnerLength property defines the length in pixels of Axis ticks drawn inside Chart boundaries.

Inner ticks are hidden by default. Set it to a value greater than zero to show the inner Axis Ticks.

Use the TickInner property to determine the Pen used to draw them.

You can combine Axis.Ticks, Axis.MinorTicks and Axis.TicksInner at same time.


ITeeCustomShape.properties
ITeeCustomShape Legend key

Type Library
TeeChartx

In ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IWorldSeries.methods
IWorldSeries Legend key

Type Library
TeeChartx

Derived from IMapSeries

LoadMapFromSHP

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IColorBandTool.NoLimitDrag
IColorBandTool

property NoLimitDrag: WordBool;

Type Library
TeeChartx


ITChart.Frame
ITChart

property Frame: IPen;

Type Library
TeeChartx

Description
The Frame property indicates the Pen used to draw a frame around the Chart axis. The frame is displayed using the Chart.ChartRect coordinates.


ITeeCommander.Color
ITeeCommander

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the colour of the TeeCommander back panel.

Example [Visual Basic]:

TeeCommander1.Color = vbRed


IPageNumTool.ButtonPen
IPageNumTool

property ButtonPen: IPen;

Type Library
TeeChartx

Description
Defines the pen properties used to paint a border around the small left and right arrow buttons inside the tool rectangle.


IVolumeSeries.VolumeValues
IVolumeSeries

property VolumeValues: IValueList;

Type Library
TeeChartx

Description
The VolumeValues property is used to store all Stock Volume quantities in VolumeSeries.

It's equivalent to YValues property.

You can access VolumeValues in the same way you can access XValues or YValues properties.


IMapPolygon.Index
IMapPolygon

property Index: Integer;

Type Library
TeeChartx

Description
Gets the Index of the Polygon item .


ICanvas.TriangleWithZ
ICanvas

procedure TriangleWithZ(X1, Y1, X2, Y2, X3, Y3, Z: Integer);

Type Library
TeeChartx

Description
Draws a triangle of (X1,Y1),(X2,Y2),(X3,Y3) at Z position.


IGaugePointerRange.Spiralled
IGaugePointerRange

property Spiralled: WordBool;

Type Library
TeeChartx


IColorBandTool.Brush
IColorBandTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


ITeeFunction.asPareto
ITeeFunction

property asPareto: IParetoFunction;

Type Library
TeeChartx


IJSONExport.properties
IJSONExport Legend key

Type Library
TeeChartx

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


ISmoothingFunction.properties
ISmoothingFunction Legend key

Type Library
TeeChartx

In ISmoothingFunction

Factor
Interpolate


ITeeFilter.asHueLumSat
ITeeFilter

property asHueLumSat: IHueLumSatFilter;

Type Library
TeeChartx

Description
The asHueLumSat property is used by the TeeFilter Class to access HueLumSat Filter specific properties.


IDrawLineTool.SelectNewLines
IDrawLineTool

property SelectNewLines: WordBool;

Type Library
TeeChartx

Description
After painting a new line using IDrawLineTool, the line is not selected. By setting this property to True will do so.

Example [Visual Basic]:

TChart1.Tools.Items(0).asDrawLine.SelectNewLines = True


ITeePreviewPanel.AddChartLink
ITeePreviewPanel

procedure AddChartLink(Value: Integer);

Type Library
TeeChartx

Description
Adds a specified TChart to the Preview panel. Use the TeePreviewPanel AddChart property in programming environments (eg. VB) that support connection directly to the Previewer interface.


ICircleLabels.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircleLabels


ITeeListBox.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ITeeListBox


IBannerTool.properties
IBannerTool Legend key

Type Library
TeeChartx

In IBannerTool

Blink
BlinkDelayOff
BlinkDelayOn
Scroll
ScrollDelay
ScrollDirection

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


ICustomCircledSeries.DrawStyle
ICustomCircledSeries

property DrawStyle: ECustomSeriesDrawStyle;

Type Library
TeeChartx


IHueLumSatFilter.Luminance
IHueLumSatFilter

property Luminance: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount to change each pixel Luminosity.

Luminance means the brightness of the pixel.

Valid range of values is from -255 to 255.


ITitles.TextAlignment
ITitles

property TextAlignment: ETitleAlignment;

Type Library
TeeChartx


IAxisLabels.methods
IAxisLabels Legend key

Type Library
TeeChartx

In IAxisLabels

Add
Clear
Count
FormattedValue
GetPos
Height
MaxWidth
TeeSplitInLines
Width


IAxisLabels.Style
IAxisLabels

property Style: EAxisLabelStyle;

Type Library
TeeChartx

Description
Setting the Axis.Label.Style property to talAuto will force the Axis to guess what labels will be drawn.

For each Active associated Series, if the Series have XLabels then the Label.Style will be talText.

If no Series have XLabels, then Label.Style will be talValue.

If no Active Series are associated with the Axis, the Label.Style will be talNone.


ISeriesSource.Close
ISeriesSource

procedure Close;

Type Library
TeeChartx

Description
Called when the Active property is set to False.

The Source component should disconnect the Series from the data origin and clear the Series.


ICandleSeries.ShowCloseTick
ICandleSeries

property ShowCloseTick: WordBool;

Type Library
TeeChartx

Description
Default: True

The ShowCloseTick property controls if Close prices will be displayed. This property has only effect when CandleSeries.CandleStyle is set to csCandleBar. The CandleWidth property determines the length in pixels of Open and Close ticks.


IDrawLineTool.FromPoint
IDrawLineTool

property FromPoint: ITeePoint2D;

Type Library
TeeChartx

Description

Read-only

Returns the X and Y FromPoint (start) values for the currently selected Line..


ITransformAnimation.Axis
ITransformAnimation

property Axis: IAxis;

Type Library
TeeChartx


IFastLineSeries.methods
IFastLineSeries Legend key

Type Library
TeeChartx

In IFastLineSeries

AddRealTime


ISeries.MouseValues
ISeries

property MouseValues: ITeePoint2D;

Type Library
TeeChartx

Description
The MouseValues method returns the corresponding Series X and Y value over which the mouse cursor is. The X and Y values correspond to the Series associated Axis scales.


ISARFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISARFunction


ISeriesRegionTool.Pen
ISeriesRegionTool

property Pen: IPen;

Type Library
TeeChartx

Description
Attributes used to draw lines around the region.


IMarks.Callout
IMarks

property Callout: IMarksCallout;

Type Library
TeeChartx

Description
Determines the properties to draw a line connecting a series mark to its series point.


IShapeSeries.RoundRectangle
IShapeSeries

property RoundRectangle: WordBool;

Type Library
TeeChartx

Description
Default : False

The RoundRectangle property determines if ShapeSeries draws rounded rectangle corners. It has effect only when shape Style is chasRectangle.


IPointArray.properties
IPointArray Legend key

Type Library
TeeChartx

In IPointArray

Count
Item


ICustomTextShape.TextFormat
ICustomTextShape

property TextFormat: ETextFormat;

Type Library
TeeChartx


IRVIFunction.Signal
IRVIFunction

property Signal: ISeries;

Type Library
TeeChartx

Description
Read only.


IColorBandTool.Clicked
IColorBandTool

function Clicked(X, Y: Integer): WordBool;

Type Library
TeeChartx

Description

Returns True when the point specified by x and y pixels is inside the color band bounds rectangle.


ITeeSelected.ItemIndex
ITeeSelected

property ItemIndex: Integer;

Type Library
TeeChartx


IEnvironment.NoPromptDBConnect
IEnvironment

property NoPromptDBConnect: WordBool;

Type Library
TeeChartx

Description
Default False. When set to true, enables login parameters to be placed in DSN connection string such as that required with Microsoft's Active Server Page scripting.

Example [VBScript]:

<!-- Create the ActiveX object -->

<OBJECT RUNAT=Server

classid="clsid:008BBE7E-C096-11D0-B4E3-00A0C901D681"

codebase="TeeChart.ocx#version=4,0,0,0"

id=TChart1

TYPE="application/x-oleobject"

width=500

height=250

align=center

hspace=0

vspace=0

>

</OBJECT>

<!-- Fill and save the Chart on the server -->

<SCRIPT Language="VBScript" RUNAT=Server>

SUB FillSave()

TChart1.AddSeries(1)

TChart1.Environment.NoPromptDBConnect = True

TChart1.Series(0).DataSource = "DSN=MyDSN;UID=MyLoginName;PWD=MyPassword; sql=SELECT Type, SUM(Value) sumvalues from Sales where Value > 25 group by Type"

TChart1.Series(0).LabelsSource = "Type"

TChart1.Series(0).YValues.ValueSource = "sumvalues"

TChart1.Series(0).CheckDatasource

TChart1.Export.SaveToFile "c:\tempfiles\mychart.tee"

END SUB

</SCRIPT>


ICustomDPaletteSeries.properties

ICustom3DPaletteSeries properties
ICustom3DPaletteSeries Legend key

Type Library
TeeChartx

In ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IAxisTitle.Angle
IAxisTitle

property Angle: Integer;

Type Library
TeeChartx

Description
The Angle property determines the Axis Title rotation in degree units.

Valid values are 0, 90, 180, 270 and 360 degrees.

Axis.Title.Caption property should be non empty.

By default, horizontal Axis (Axis.Top and Axis.Bottom) have a Title Angle of 0.

Axis.Left.Title.Angle is 90 by default.

Axis.Right.Title.Angle is 270 by default.

Warning:

Rotated Fonts are partially supported in Windows 16bit GDI Metafile format. Some printer devices can't print rotated fonts. Check you have the latest Printer Driver version.


ICanvas.ClipCube
ICanvas

procedure ClipCube(Left, Top, Right, Bottom, MinZ, MaxZ: Integer);

Type Library
TeeChartx


ITChart.GetFreeSeriesColor
ITChart

function GetFreeSeriesColor(CheckBackgroundColor: WordBool): OLE_COLOR;

Type Library
TeeChartx

Description
The GetFreeSeriesColor function returns a color from the default color palette not used by any Series. The CheckBackGround parameter controls if the returned color should or shouldn't be the Chart.Panel.BackWallColor color. This function returns a Color which is not used by any Series in the Chart.


ITeeCommander.BorderStyle
ITeeCommander

property BorderStyle: EBorderStyle;

Type Library
TeeChartx

Description

The Borderstyle property defines the style of the TeeCommander Panel border.

Available styles:

bsNone

bsSingle


IStrings.Text
IStrings

property Text: WideString;

Type Library
TeeChartx

Description
Text of the IStrings.


IWaterfallSeries.Waterfall
IWaterfallSeries

property Waterfall: WordBool;

Type Library
TeeChartx

Description
Default = True

When true, the Waterfall property enables/disables the display of a Waterfall series as a waterfall and when false as a surface.


IValueLists.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IValueLists


IEnvironment.InternalRepaint
IEnvironment

procedure InternalRepaint;

Type Library
TeeChartx

Description
The InternalRepaint method repaints the internal Chart canvas, which is the canvas TeeChart uses as a "mock-up" before painting to the Chart canvas itself.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 20

.Tools.Add tcCursor

With .Tools.Items(0).asTeeCursor

.Active = True

.Style = cssBoth

End With

.Environment.InternalRepaint

With .Tools.Items(0).asTeeCursor

.XVal = 10

.YVal = 50

End With

End With


IJPEGExport.properties
IJPEGExport Legend key

Type Library
TeeChartx

In IJPEGExport

CompressionQuality
GrayScale

Derived from IExportFormat

Height
Width


ISeries.NotMandatoryValueList
ISeries

property NotMandatoryValueList: IValueList;

Type Library
TeeChartx

Description
List of not-required Values (ValueList).


IExplodedSlices.Value
IExplodedSlices

property Value[Index: Integer]: Integer;

Type Library
TeeChartx

Description
Set explosion displacement for indexth Pie Series point.

Example [Visual Basic]:

TChart1.Series(0).asPie.ExplodedSlice.Value(3) = 5 'Explodes 4th Point by 5.


IPrinterSettings.Scale
IPrinterSettings

property Scale: SmallInt;

Type Library
TeeChartx

Description
Specifies the factor by which the printed output is to be scaled. The apparent page size is scaled from the physical page size by a factor of dmScale/100. For example, a letter-sized page with a dmScale value of 50 would contain as much data as a page of 17- by 22-inches because the output text and graphics would be half their original height and width.


IPointFigureSeries.DateValues
IPointFigureSeries

property DateValues: IValueList;

Type Library
TeeChartx

Description
The DateValues property is used to store all Stock market Date values.

You can access Date values in the same way you can access X or Y values.


IScrollPagerTool.methods
IScrollPagerTool Legend key

Type Library
TeeChartx

In IScrollPagerTool

AddSeries
RemoveSeries


ICustomGauge.CustomBounds
ICustomGauge

property CustomBounds: ITeeRect;

Type Library
TeeChartx

Description
Use this property to set the bounds rectangle of the Gauge.


IGanttSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
IGanttSeries


IFrameTool.Paspartou
IFrameTool

property Paspartou: Integer;

Type Library
TeeChartx

Description
Default : 16

Defines the size of a margin between the Frame and the Chart.


ITeeShadow.properties
ITeeShadow Legend key

Type Library
TeeChartx

In ITeeShadow

Clip
Color
HorizSize
Smooth
SmoothBlur
Transparency
VertSize
Visible


ITeeShape.properties
ITeeShape Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IChartAxisPen.properties
IChartAxisPen Legend key

Type Library
TeeChartx

In IChartAxisPen

LineMode

Derived from IPen

Color
EndStyle
Fill
JoinStyle
Mode
SmallDots
SmallSpace
Style
Visible
Width


IOrgItem.properties
IOrgItem Legend key

Type Library
TeeChartx

In IOrgItem

Format
Series
Superior
Text


IClusteringTool.Centroids
IClusteringTool

property Centroids: IPointer;

Type Library
TeeChartx


ICanvas.PolygonGradient
ICanvas

procedure PolygonGradient(ArraySize: Integer; Var Points: OleVariant; StartColor, MiddleColor, EndColor: OLE_COLOR; Direction: EGradientDirection);

Type Library
TeeChartx

Description
Plots a Polygon for an array of co-ordinate pairs with specific Gradient characteristics.


IAxisBreaksTool.GapSize
IAxisBreaksTool

property GapSize: Integer;

Type Library
TeeChartx

Description
Gets or sets the gap size (in pixels) of all the breaks of the tool.

Integer Value.

Default value : 5


ICanvas.ClipRectangle
ICanvas

procedure ClipRectangle(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
The ClipRectangle method creates a Windows GDI clipping region and selects it into

TChart.Canvas device context handle.

The UnClipRectangle method removes any clipping region applied to TChart.Canvas.

You can use this method to avoid Series or custom drawing to go over the desired rectangle

coordinates.

Note: Printing and creating metafiles do not accept clipping regions in logical pixels.


IVectorDSeries.StartArrow

IVector3DSeries.StartArrow
IVector3DSeries

property StartArrow: IPen;

Type Library
TeeChartx

Description
When Visible, this pen is used to display arrows at the starting coordinate of vector lines.


IChartGrid.GridHeight
IChartGrid

property GridHeight: Integer;

Type Library
TeeChartx

Description
Read GridHeight to determine the size of the grid. If GridHeight is less than the value of ClientHeight, all of the rows of the grid appear in the control with an empty region below the grid. If the underlying grid is too tall to appear in the control, GridHeight is the same as ClientHeight, and the user must scroll to see the entire contents of the grid.


IDrawLine.EndPos
IDrawLine

property EndPos: ITeePoint2D;

Type Library
TeeChartx

Description
X, Y position of the End point of line.


ITeeCorners.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCorners


IToolList.Exchange
IToolList

procedure Exchange(Index1, Index2: Integer);

Type Library
TeeChartx

Description
This method exchanges the order of the Tools index specified as parameters.


IImport.VTeeCompatible

IImport.V5TeeCompatible
IImport

property V5TeeCompatible: WordBool;

Type Library
TeeChartx

Description
Enables compatibility with TeeChart v5 tee files

Example [Visual Basic]:

tChart1.Import.V5TeeCompatible = True


IActivityDonut.methods
IActivityDonut Legend key

Type Library
TeeChartx

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


ICandleSeries.UpCloseGradient
ICandleSeries

property UpCloseGradient: IGradient;

Type Library
TeeChartx

Description
The UpCloseGradient property specifies the color gradient used to fill the UpClose values.

The Candle color is based on a given candle close price compared to its previous candle close price.


ICursorTool.AxisAnnotation
ICursorTool

property AxisAnnotation: IAnnotationTool;

Type Library
TeeChartx


ICustomDSeries.methods

ICustom3DSeries methods
ICustom3DSeries Legend key

Type Library
TeeChartx

In ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ISeriesRegionTool.properties
ISeriesRegionTool Legend key

Type Library
TeeChartx

In ISeriesRegionTool

AutoBounds
Brush
Color
DrawBehind
Gradient
LowerBound
Origin
OriginPen
Pen
Transparency
UpperBound
UseOrigin

Derived from ICustomToolSeries

Series


IVolumePipeSeries.properties
IVolumePipeSeries Legend key

Type Library
TeeChartx

In IVolumePipeSeries

ConePercent
Gradient
LinesPen


IBoxPlotSeries.methods
IBoxPlotSeries Legend key

Type Library
TeeChartx

In IBoxPlotSeries

MaxXValue
MinXValue


IVideoPlayerTool.Filters
IVideoPlayerTool

property Filters: IFilterItems;

Type Library
TeeChartx

Description
Collection of filters used to manipulate video frames before displaying them.


IErrorsBase.Right
IErrorsBase

property Right: IValueList;

Type Library
TeeChartx


IPanel.BorderRound
IPanel

property BorderRound: Integer;

Type Library
TeeChartx

Description
Default value: zero (0)

Defines the amount in pixels to draw a border around chart boundaries with "rounded" corners.

A value of zero means no rounding.

Example[Visual Basic]:

TChart1.Panel.Border.Visible = True

TChart1.Panel.BorderRound = 15


IMACDFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMACDFunction


IRectangleTool.AllowResize
IRectangleTool

property AllowResize: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, users can click and drag a rectangle edge to change its width and height size values.

For example, IMagnifyTool also allows resizing as it derives from IRectangleTool and inherits this behaviour.

See also: Resizing property, OnRectangleToolResizing and OnRectangleToolResized events.


IChartImageTool.methods
IChartImageTool Legend key

Type Library
TeeChartx

In IChartImageTool

ImageClear
ImageLoad


IChartFont.Name
IChartFont

property Name: WideString;

Type Library
TeeChartx

Description
The ChartFont.Name property should be used to define a Font type for text.

Example [Visual Basic]:

TChart1.Header.Font.Name = "Times New Roman"


ITeeCustomShape.Transparent
ITeeCustomShape

property Transparent: WordBool;

Type Library
TeeChartx

Description
Enables/disables transparency of shape. See Transparency property which sets percentage transparency when Transparent is True.


ISeries.CalcXSizeValue
ISeries

function CalcXSizeValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
Returns the pixel Screen Horizontal DIMENSION (or size) of the specified Value.

This coordinate is calculated using the Series associated Horizontal Axis.

CalcXSizeValue Method (Series) Example

We want to know how much Screen pixel size corresponds to a 12.1 X value:

Delphi

tmp := TChart1.Series[ 0 ].CalcXSizeValue( 12.1 ) ;

Visual Basic

tmp = TChart1.Series( 0 ).CalcXSizeValue(12.1)

That means tmp is the quantity of horizontal pixels an offset of 12.1 needs.


ILegendScrollBarTool.Position
ILegendScrollBarTool

property Position: Integer;

Type Library
TeeChartx

Description
The value where the scrollbar thumb is positioned in respect the scrollbar virtual Size property.

See also the Size property.


ISeries.FirstValueIndex
ISeries

property FirstValueIndex: Integer;

Type Library
TeeChartx

Description
This function / property returns the ValueIndex of the First point in the Series that has an X value which is between the Horizontal Axis Maximum and Minimum values.

When no Zoom is applied to the Chart, and the Axis are Automatic, the FirstValueIndex is 0. If the Series has no points or there are no visible points, the FirstValueIndex returns -1.


IAxis.ZPosition
IAxis

property ZPosition: Double;

Type Library
TeeChartx

Description
The axis position along the "Z" depth direction, in percentage ( % ) on the total depth length.

In 3D or orthogonal display modes, ZPosition controls where to display the axis line.

This property is useful if you want to move axis to front or to back in 3D view.

TChart1.Axes.Left.ZPosition = 100 ' moves Left axis to back 100%


IJavaScriptExport.methods
IJavaScriptExport Legend key

Type Library
TeeChartx

In IJavaScriptExport

SaveToHTML5File

Derived from IExportFormat

SaveToFile
SaveToStream


IAxisArrowTool.Pen
IAxisArrowTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


ISeriesList.ClearValues
ISeriesList

procedure ClearValues;

Type Library
TeeChartx

Description
Use this property to clear all the values from the Series List.


IVideoPlayerTool.properties
IVideoPlayerTool Legend key

Type Library
TeeChartx

In IVideoPlayerTool

Delay
EndFrame
FileName
Filters
Image
Loop
Paused
Playing
Position
StartFrame


ITextDTool.Font

IText3DTool.Font
IText3DTool

property Font: ITeeFont;

Type Library
TeeChartx

Description
Defines the font properties to draw text.


IFibonacciItem.Value
IFibonacciItem

property Value: Double;

Type Library
TeeChartx

Description
Defines Fibonaccio arc value in range (0,100).


IImport.LoadFromStream
IImport

procedure LoadFromStream(AStream: OleVariant);

Type Library
TeeChartx

Description
The LoadFromStream method can be used to export Charts (in Picture format, Native format or Series Data) to a stream object.

Example [Visual Basic]:

Dim MyStream

Private Sub Command1_Click()

TChart2.Import.LoadFromStream MyStream

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

MyStream = .Export.asNative.SaveToStream(True)

End With

End Sub


ISeries.CheckDataSource
ISeries

procedure CheckDataSource;

Type Library
TeeChartx

Description
The CheckDataSource method will refresh all Series point values, either from database Tables, Queries or another Series points. You can call this method regularly if you want new or modified data to appear in realtime in the Series. The parent Chart will be repainted to reflect any changes.


IPrinterSettings.Collate
IPrinterSettings

property Collate: SmallInt;

Type Library
TeeChartx

Description
Specifies whether collation should be used when printing multiple copies. (This member is ignored unless the printer driver indicates support for collation by setting the dmFields member to DM_COLLATE.) This member can be one of the following values.

ValueMeaning

DMCOLLATE_TRUE (0)Collate when printing multiple copies.

DMCOLLATE_FALSE (1) Do not collate when printing multiple copies.


ITeeFunction.BeginUpdate
ITeeFunction

procedure BeginUpdate;

Type Library
TeeChartx

Description
See also the EndUpdate method.

These methods can be used when adding or modifying many values at once at a source Series to recalculate the function just one time, when finished adding points.

Example [Visual Basic]:

'Set Function Period

TChart1.Series(2).FunctionType.Period = 3

'Begin Update

TChart1.Series(2).FunctionType.BeginUpdate

'Add Series points

For i = 0 To 500

With TChart1.Series(0)

.AddXY .Count, 500 * Rnd(1000), "", clTeeColor

End With

With TChart1.Series(1)

.AddXY .Count, 500 * Rnd(1000), "", clTeeColor

End With

Next i

'End update and display function Series

TChart1.Series(2).FunctionType.EndUpdate


IWindRoseSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IWindRoseSeries


ITools.methods
ITools Legend key

Type Library
TeeChartx

In ITools

ShowEditor


ISubChart.Top
ISubChart

property Top: Integer;

Type Library
TeeChartx

Description
Gets or sets the vertical Top position in pixels of the subchart.


ICurveFittingFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICurveFittingFunction


ITowerSeries.MaxZValueTower
ITowerSeries

function MaxZValueTower: Double;

Type Library
TeeChartx

Description
Use this method to return the Tower MaxZValueTower.


IAutomaticText.Move
IAutomaticText

property Move: WordBool;

Type Library
TeeChartx


IMapMarks.properties
IMapMarks Legend key

Type Library
TeeChartx

In IMapMarks

AutoSize
Centroid
TextStyle
UpperCase


IFilterItems.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFilterItems


ISeriesSource.Active
ISeriesSource

property Active: WordBool;

Type Library
TeeChartx

Description
Opens / Closes the source.


ITransformAnimation.Clip
ITransformAnimation

property Clip: WordBool;

Type Library
TeeChartx


IAxes.Visible
IAxes

property Visible: WordBool;

Type Library
TeeChartx

Description
Default value: True

This property shows or hides the five Chart Axes at once.

Each Axis will be drawn depending also on their Visible property.

Example [Visual Basic]:

TChart1.Axis.Visible = True


ITChart.OnColorLineToolDragLine
ITChart

property OnColorLineToolDragLine: TNotifyEvent;

Type Library
TeeChartx

Description
Use event to action while the ColorLine is being dragged.


ILegendSymbol.Height
ILegendSymbol

property Height: Integer;

Type Library
TeeChartx


IRoseSeries.MultiRose
IRoseSeries

property MultiRose: EMultiRose;

Type Library
TeeChartx

Description
The MultiRose property allows two or more Rose Charts to be stacked so that additional Charts are stacked on the previous ones when TMultiRose=(mrStacked); or overlaid on top or each other using the centre point as the origin for all Charts when TMultiRose=(mrNone);


ITeeShadow.Clip
ITeeShadow

property Clip: WordBool;

Type Library
TeeChartx

Description

Restricts Shadows to Chart axes space, when true.


IAxis.CalcYPosValue
IAxis

function CalcYPosValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This function calculates the Vertical coordinate in pixels of Value parameter.


IClockSeries.Time
IClockSeries

property Time: Double;

Type Library
TeeChartx


IMapPolygon.Transparency
IMapPolygon

property Transparency: Integer;

Type Library
TeeChartx

Description

Set Transparency level from 0 to 100 (max).


ISeries.ValueMarkText
ISeries

property ValueMarkText[ValueIndex: Integer]: WideString;

Type Library
TeeChartx

Description
Returns the String representation of a Index point used to draw the Mark.


IErrorPointSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
IErrorPointSeries


IChartFont.Strikethrough
IChartFont

property Strikethrough: WordBool;

Type Library
TeeChartx

Description
The ChartFont.Strikethrough property sets Font strikethrough on/off.

Example [Visual Basic]:

TChart1.Header.Font.Strikethrough = True


ITeeScrollBar.RoundSize
ITeeScrollBar

property RoundSize: Integer;

Type Library
TeeChartx


ISeries.FunctionType
ISeries

property FunctionType: ITeeFunction;

Type Library
TeeChartx

Description
The FunctionType property is used with TeeFunction classes to define Period.

FunctionType property Example

To set the period for Function you should use the FunctionType property

To define a functioned series by code you should first create a new series for the function. The series may be of any type.

Visual Basic

{ Set the function using the SetFunction method}.

TChart1.Series( 0 ).SetFunction(tfAdd)

{You may then define the period for the function - here setting it to to 5}

TChart1.Series(0).FunctionType.Period = 5

To undefine (delete) a function defined for the series either delete por inactivate the Function Series.


ISkewnessFunction.Complete
ISkewnessFunction

property Complete: WordBool;

Type Library
TeeChartx

Description
Enables complete Skewness of input Series.


IValueList.Modified
IValueList

property Modified: WordBool;

Type Library
TeeChartx

Description

Read to check if ValueList modified, set to True to recalculate Max and Min values.


ISeries.CountLegendItems
ISeries

function CountLegendItems: Integer;

Type Library
TeeChartx

Description
Returns number of Legend items.


IFlexExport.CompileDeleteShow
IFlexExport

procedure CompileDeleteShow(AWidth, AHeight: Integer; Const TempDirectoryPath, FileName, FlexDirectory: WideString; DeleteTemp, EmbedImages, Show: WordBool);

Type Library
TeeChartx


IThemesList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IThemesList


IZoom.History
IZoom

property History: WordBool;

Type Library
TeeChartx

Description
Creates an historical recording of Chart zoom-ins, so that zoom-out is in their reverse sequence.


ICustomDPaletteSeries.StartColor

ICustom3DPaletteSeries.StartColor
ICustom3DPaletteSeries

property StartColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: Navy

The StartColor property defines one of the three colors used to create the palette to fill the Surface polygons. The UseColorRange property should be True.

Example [Visual Basic]:

This code will create a gradient color palette from Red to White:

TChart1.Series(0).asSurface.StartColor = vbRed

TChart1.Series(0).asSurface.EndColor = vbWhite

TChart1.Series(0).asSurface.UseColorRange = True


ISeries.PointColor
ISeries

property PointColor[Index: Integer]: OLE_COLOR;

Type Library
TeeChartx

Description
The Series PointColor property is an array of TColor values. Each color value corresponds to a different point in the Series.

Example [Visual Basic]:

You can change by coding the point's color. The following code will change the (2+1)rd point color to vbGreen.

TChart1.Series(0).PointColor(2) = vbGreen

It can be done in most Series types.


ISeriesMarkPosition.LeftTop
ISeriesMarkPosition

property LeftTop: ITeePoint2D;

Type Library
TeeChartx

Description
Defines the Left Top position of Mark in pixels.


IBubbleSeries.AddBubble
IBubbleSeries

function AddBubble(AX, AY, ARadius: Double; Const AXLabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddBubble method appends a new Bubble point to the Series Points List. The Bubble point is assigned to be at AX,AY coordinates and have ARadius, Label and Color parameters. The Label parameter is used to draw Axis Labels, Bubble Marks and Legend.

Example

This example randomly creates bubble values.

Example [Visual Basic]:

Dim t As Integer

With TChart1

.Series(0).Clear

For t = 1 To 10

.Series(0).asBubble.AddBubble t, Rnd(2), Rnd(5), "", _

RGB(255 * Rnd, 128 * Rnd, 255 * Rnd)

Next t

End With


IMapPolygon.Points
IMapPolygon

property Points: IPolygonSeries;

Type Library
TeeChartx


ICanvas.ClipRoundRectangle
ICanvas

procedure ClipRoundRectangle(Left, Top, Right, Bottom, RoundSize: Integer);

Type Library
TeeChartx

Description
Clips the specified region as round rectangle.


ITeeFunction.ClassType
ITeeFunction

property ClassType: EFunctionType;

Type Library
TeeChartx


IWalls.Size
IWalls

property Size: Integer;

Type Library
TeeChartx

Description
Write-only.

Sets the Size property of all walls to the same value:

TChart1.Walls.Size = 10


ITeeRect.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeRect


ILegendPointer.properties
ILegendPointer Legend key

Type Library
TeeChartx

In ILegendPointer

Value

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


ITChart.OnGetSeriesBarStyle
ITChart

property OnGetSeriesBarStyle: TTChartOnGetSeriesBarStyle;

Type Library
TeeChartx

Description
The OnGetSeriesBarStyle event is called for every Bar that's going to be displayed. You can specify a different Bar style for each Bar point. Using this event overrides the BarStyle property.


IMagnifyTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
IRectangleTool
|
IMagnifyTool


ILegendPaletteTool.Shadow
ILegendPaletteTool

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Defines color and size of a dropshadow to display below the palette tool panel.


ITChart.OnScroll
ITChart

property OnScroll: TNotifyEvent;

Type Library
TeeChartx

Description
An OnScroll event occurs when users scroll Chart contents by dragging the right mouse button.

This event gets called repeteadly while users move the mouse BEFORE the Chart class is repainted to show the new Axis scales.

You can use this event together with TChart.OnZoom and TChart.OnUndoZoom events to know of changes on Axis scales.


ICustomSeries.DrawStyle
ICustomSeries

property DrawStyle: ECustomSeriesDrawStyle;

Type Library
TeeChartx


IRotateTool.Button
IRotateTool

property Button: EMouseButton;

Type Library
TeeChartx

Description
Default value is mbLeft

The Button property defines by which mousebutton the TTeeCustomTool is activated.

The following values are possible:

mbLeft Pressing the left mouse button and moving the cursor together allows rotation/elevation of the chart

mbRight Pressing the right mouse button and moving the cursor together allows rotation/elevation of the chart

mbMiddle Pressing the middle mouse button and moving the cursor together allows rotation/elevation of the chart


ILegend.Vertical
ILegend

property Vertical: WordBool;

Type Library
TeeChartx

Description
The Vertical property is read only and returns True only if the legend is left or right aligned.


ITeeShapes.properties
ITeeShapes Legend key

Type Library
TeeChartx

In ITeeShapes

Item


ITeeAnimation.Inverted
ITeeAnimation

property Inverted: WordBool;

Type Library
TeeChartx


IBubbleSeries.RadiusValues
IBubbleSeries

property RadiusValues: IValueList;

Type Library
TeeChartx

Description
The RadiusValues property is a TList object that stores each Bubble point Radius value. You can change Radius values by using the RadiusValues.Value[] array of doubles property:

Example [Visual Basic]:

TChart1.Series(0).asBubble.RadiusValues.Value(0) = 45.1

This sets the first bubble point radius to 45.1

Use AddBubble and Delete methods to add and delete points.


ITChart.ChartRect
ITChart

procedure ChartRect(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
The ChartRect function sets the Axis bounding rectangle adding the 3D percent offset in pixels to the Right and Top coordinates. It should be used before painting the Chart component to which you wish it to apply.

The bounding rectangle can be obtained via Axis Positions:

TChart.Axis.Left.Position,

TChart.Axis.Top.Position - TChart.Aspect.Height3D,

TChart.Axis.Right.Position + TChart.Aspect.Width3D,

TChart.Axis.Bottom.Position

Example [Visual Basic]:

'Draws 4 Pies on a Chart

Private Sub Form_Load()

With TChart1

.Aspect.View3D = False

.Legend.Visible = False

.Aspect.ApplyZOrder = False

'Pie 0

.AddSeries scPie

.Series(0).FillSampleValues 3

'Pie 1

.AddSeries scPie

.Series(1).FillSampleValues 7

'Pie 2

.AddSeries scPie

.Series(2).FillSampleValues 5

'Pie 3

.AddSeries scPie

.Series(0).FillSampleValues 6

End With

End Sub

Private Sub TChart1_OnSeriesBeforeDrawValues(ByVal SeriesIndex As Long)

With TChart1

Select Case SeriesIndex

Case 0: .ChartRect 0, 0, _

.Canvas.Width/2, .Canvas.Height/2

Case 1: .ChartRect .Canvas.Width/2, 0, _

.Canvas.Width, .Canvas.Height/2

Case 2: .ChartRect 0, .Canvas.Height/2, _

.Canvas.Width/2, .Canvas.Height

Case 3: .ChartRect .Canvas.Width/2, .Canvas.Height/2, _

.Canvas.Width, .Canvas.Height

End Select

End With

End Sub


IAutomaticText.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAutomaticText


ICustomSeries.InvertedStairs
ICustomSeries

property InvertedStairs: WordBool;

Type Library
TeeChartx

Description
This boolean property controls the LineSeries or AreaSeries drawing.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step. - see Stairs.

In most normal situations, the Series draws a line between each Line point. This makes the Line appear as a "mountain" shape. However, setting Stairs to TRUE will make the Series draw 2 Lines between each pair of points, thus giving a "stairs" appearance. This is most used in some financial Chart representations. You may invert the stair by setting InvertedStairs to true.


ITernarySeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ITernarySeries


ISeries.CalcXPosValue
ISeries

function CalcXPosValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
Returns the pixel Screen Horizontal coordinate of the specified Value.

This coordinate is calculated using the Series associated Horizontal Axis.

Example [Visual Basic]:

We want to know which is the Horizontal Screen coordinate of 1234.56 value:

tmp = TChart1.Series(0).CalcXPosValue(1234.56)


IVideoPlayerTool.FileName
IVideoPlayerTool

property FileName: WideString;

Type Library
TeeChartx

Description
Gets or sets the name and path of the video file.


ITeeFilter.asZoom
ITeeFilter

property asZoom: IZoomFilter;

Type Library
TeeChartx

Description
The asZoom property is used by the TeeFilter Class to access Zoom Filter specific properties.


IChartPageNavigator.Color
IChartPageNavigator

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the Color for the Navigator panel.


IGLLightSource.SpotDegrees
IGLLightSource

property SpotDegrees: Double;

Type Library
TeeChartx

Description
Gets or sets the spot degrees to be used for each Light.

The default is 180.


ISeriesMarkPosition.Custom
ISeriesMarkPosition

property Custom: WordBool;

Type Library
TeeChartx

Description
Use the Custom property to enable Custom Mark positioning.


ITChart.Height
ITChart

property Height: Integer;

Type Library
TeeChartx

Description
The Chart height (pixels).


IMapSeries.properties
IMapSeries Legend key

Type Library
TeeChartx

In IMapSeries

Emboss
MapMarks
Pointer
PointSize
RenderMode
Shadow
Shapes
Transparency
Transparent

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IChartCollection.properties
IChartCollection Legend key

Type Library
TeeChartx

In IChartCollection

Count
Items


IChartGrid.ShowLabels
IChartGrid

property ShowLabels: WordBool;

Type Library
TeeChartx

Description
Use ShowLabels property to show/hide the series labels in the grid. When set to True, Series labels are shown in a seperate column. When set to False, the Series labels are not shown inside the grid.


ITChart.OnGetLegendText
ITChart

property OnGetLegendText: TTChartOnGetLegendText;

Type Library
TeeChartx

Description
You can use this event to override the text strings that Legend paints.

Legend has two principal modes (or LegendStyles):

lsSeries Legend contains Series Names or Titles.

lsValues Legend contains a Series values or labels.

If the LegendStyle is lsAuto, Legend paints in lsSeries mode if more than one Active Series exists in the Chart.

Example [Visual Basic]:

By using this event, you can set the LegendText string parameter to your customized text:

Private Sub TChart1_OnGetLegendText(ByVal LegendStyle As Long, ByVal ValueIndex As Long, LegendText As String)

If LegendStyle = IsSeries Then

LegendText = "My Series #: " & ValueIndex

Else

LegendText = "Value #: " & ValueIndex

End If

End Sub


ITeeCustomShape.Pen
ITeeCustomShape

property Pen: IPen;

Type Library
TeeChartx

Description
Define Pen draw characteristics.


IPointFigureSeries.LowValues
IPointFigureSeries

property LowValues: IValueList;

Type Library
TeeChartx

Description
The LowValues property is used to store all Stock market Low values.

You can access Low values in the same way you can access X or Y values.


IResizeFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IResizeFilter


IPointFigureSeries.HighValues
IPointFigureSeries

property HighValues: IValueList;

Type Library
TeeChartx

Description
The HighValues property is used to store all Stock market High values.

You can access High values in the same way you can access X or Y values.


IDataTableTool.RowPen
IDataTableTool

property RowPen: IPen;

Type Library
TeeChartx

Description
Determines the Pen used to fill the Data Table rows.


IAmountFilter.properties
IAmountFilter Legend key

Type Library
TeeChartx

In IAmountFilter

Amount
Percent


IChartFont.Height
IChartFont

property Height: Integer;

Type Library
TeeChartx

Description
Height should be used in place of Font Size to size Canvas text for outputting to a printer. Height represents the height of the characters plus the internal leading.

To specify the size of fonts in Points, use the Font Size property instead.

The value of Height may be obtained from the point size using the following formula:

Font.Height = Font.Size * Font.PixelsPerInch / 72

Example [Visual Basic]:

' Size Canvas text to display/print out the same size as the

' Left Axis Title.

Private Sub TChart1_OnAfterDraw()

With TChart1

.Canvas.Font.Height = .Axis.Left.Title.Font.Size * _

.Axis.Left.Title.Font.PixelsPerInch / 72

.Canvas.TextOut 100, 100, "Text same size as Left Axis Title"

End With

End Sub


ITChart.GetLabelsSeries
ITChart

function GetLabelsSeries(DestAxis: EAxisType): ISeries;

Type Library
TeeChartx

Description
The GetLabelsSeries function returns the Series class associated with the Axis parameter.

Each Series is associated with an horizontal and vertical axis through the Series.HorizontalAxis and VerticalAxis properties.

The Axes classes call this function to get the correct Series class to draw all Labels.

If no Series exists, or if no Series is associated with the Axis parameter, nil is returned.


ICustomBoxSeries.Box
ICustomBoxSeries

property Box: IPointer;

Type Library
TeeChartx

Description
Use Box property to control the appearance of CustomBoxSeries box. Box contains several properties to control the formatting attributes of box like Pen, Brush, Draw3D, Visible, etc.


IHighLowLineSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseHighLowSeries
|
IHighLowLineSeries


ITransformAnimation.Target
ITransformAnimation

property Target: EChartClickedPartStyle;

Type Library
TeeChartx


ITeeEditorShowPages.Walls
ITeeEditorShowPages

property Walls: WordBool;

Type Library
TeeChartx

Description
Default = True

The Walls property may be used to disable the display of the Walls Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ISeriesSource.Series
ISeriesSource

property Series: OleVariant;

Type Library
TeeChartx

Description
Indentifies the Series to use as a destination for data.


ISeriesPointerItems.Items
ISeriesPointerItems

property Items[AIndex: Integer]: IPointer;

Type Library
TeeChartx


ICurveFittingFunction.GetCurveYValue
ICurveFittingFunction

function GetCurveYValue(X: Double): Double;

Type Library
TeeChartx

Description
The GetCurveYValue function returns the Y vertical value that corresponds to the X value parameter.

The internal Curve fitting polynomy is used to calculate the Y value.

This function can be called after the Series has been displayed.

The internal polynomy coefficients are calculated just before the Series is drawn.

CurveFittingFunction draws one point for each of the DataSource Series points.

It internally calls the GetCurveYValue function to calculate the correct Y value that corresponds to each point X coordinate.

X and Y values are expressed in the associated Axis scales.


IFunnelSeries.BelowColor
IFunnelSeries

property BelowColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default value = vbRed

The BelowColor property defines the color used to paint the Funnel segment if Opportunity value is more than the DifferenceLimit % below the Quote value.


ICircledSeries.CustomXRadius
ICircledSeries

property CustomXRadius: Double;

Type Library
TeeChartx

Description

Default 0

The CustomXRadius property indicates the amount in horizontal pixels used to calculate ellipse bounds. Setting it to zero means the CircledSeries will automatically calculate the adequate ellipse radius when necessary.


IAxisBreak.StartValue
IAxisBreak

property StartValue: Double;

Type Library
TeeChartx

Description
Set StartValue to the Axis position from where the axis break begins.


ITextShape.Cursor
ITextShape

property Cursor: SmallInt;

Type Library
TeeChartx

Description
Determines the mouse Cursor displayed when the mouse is inside the shape rectangle.

By default it is: crDefault


ITeeFunction.asMoneyFlow
ITeeFunction

property asMoneyFlow: IMoneyFlowFunction;

Type Library
TeeChartx

Description
The asMoneyFlow property is used by the Teefunction Class to access MoneyFlow Function specific properties.


ICustomPolarSeries.AngleIncrement
ICustomPolarSeries

property AngleIncrement: Double;

Type Library
TeeChartx

Description
The AngleIncrement property indicates the number of degrees that will be used to draw the dividing grid lines in anti-clockwise direction. The 0 starting angle is located at rightmost Polar coordinate. Valid increments are between 0 and 359 degree.

You can control the grid lines pen by using the Chart.Axis.Bottom.GridPen property.

Example [Visual Basic]:

TChart1.Series(0).asPolar.AngleIncrement = 45 { grid lines each 45 degree }


IDoubleHorizBarSeries.InvertedVert
IDoubleHorizBarSeries

property InvertedVert: WordBool;

Type Library
TeeChartx


ITChart.OnGanttToolDragBar
ITChart

property OnGanttToolDragBar: TTChartOnGanttToolDragBar;

Type Library
TeeChartx

Description
Event called when dragging a gantt bar.


ITeeCustomShape.ShapeStyle
ITeeCustomShape

property ShapeStyle: EChartObjectShapeStyle;

Type Library
TeeChartx

Description
Shape may be rectagular or rounded rectangular in shape.


IExportFormat.SaveToStream
IExportFormat

function SaveToStream: OleVariant;

Type Library
TeeChartx

Description
Save the Chart to a Stream.

Example [ASP]

<%

Response.BinaryWrite(RunChart)

Function RunChart()

Set Chart = CreateObject("TeeChart.TChart")

Chart.AddSeries(0)

Chart.Series(0).FillSampleValues 10

img=Chart.Export.asGIF.SaveToStream

Set Chart=Nothing

RunChart=img

End function

%>


IClockSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IClockSeries


ITableLegend.Otherside
ITableLegend

property Otherside: WordBool;

Type Library
TeeChartx

Description
Changes the postion of Sieries title from one side of the table to the other.

Example:-

With TChart1.Tools

.Add tcDataTable

.Items(0).asDataTable.Legend.FontSeriesColor = True

.Items(0).asDataTable.Legend.Otherside = True

.Items(0).asDataTable.Legend.Symbol.Visible = False

End With


IMapSeries.Transparency
IMapSeries

property Transparency: Integer;

Type Library
TeeChartx

Description

Defines the percentage of transparencyt used to display the shapes of Map series.


ITChart.OnMouseUp
ITChart

property OnMouseUp: TTChartOnMouseUp;

Type Library
TeeChartx

Description
This event is triggered when releasing the mouse button whilst over the Chart Panel.


ISeries.Transparency
ISeries

property Transparency: Integer;

Type Library
TeeChartx


IGaugeSeries.ShapeStyle
IGaugeSeries

property ShapeStyle: EGaugeShapeStyle;

Type Library
TeeChartx


ITeeCommander.RepositionControls
ITeeCommander

procedure RepositionControls;

Type Library
TeeChartx

Description
This method will reorder all Visible buttons in the toolbar, eliminating gaps if some buttons are hidden.


ITChart.OnMouseLeaveSeries
ITChart

property OnMouseLeaveSeries: TTChartOnMouseLeaveSeries;

Type Library
TeeChartx

Description
All Series styles now provide OnMouseEnterSeries and OnMouseLeaveSeries events.

These events are triggered when the mouse enters and exits a series point.


IPage.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPage


IRepaintMonitorTool.methods
IRepaintMonitorTool Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

Clicked
SetBounds


IOBVFunction.Volume
IOBVFunction

property Volume: OleVariant;

Type Library
TeeChartx

Description
Set Volume property to the series to use to add or subtract values.

See OBV function for an explanation.


IChartGrid.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
IChartGrid


IExport.asHTML
IExport

property asHTML: IHTMLExport;

Type Library
TeeChartx

Description
The asHTML property accesses the HTMLExport class which configures the HTML page to which the selected series data is exported.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Export.asHTML.IncludeHeader = True

.Export.asHTML.IncludeLabels = True

.Export.asHTML.SaveToFile "C:\TestFiles\TeeChart.htm"

End With


ITChart.OnSeriesBeforeDrawValues
ITChart

property OnSeriesBeforeDrawValues: TTChartOnSeriesBeforeDrawValues;

Type Library
TeeChartx

Description
The SeriesBeforeDrawValues event is called just before a specific Series' points are painted. You can then paint on the Chart.Canvas your customized drawings.

WARNING:

Do not change Series properties that would force the Series to be repainted. This may cause recursion and endless repainting !

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.Height = 4000

.Width = 6000

.AddSeries scBar

.AddSeries scLine

.AddSeries scPoint

.Series(0).FillSampleValues 6

.Series(1).FillSampleValues 6

.Series(2).FillSampleValues 6

End With

End Sub

Private Sub DrawTheCircle()

With TChart1.Canvas

.Brush.Color = vbYellow

.Brush.Style = bsSolid

.Pen.Color = vbBlue

.Pen.Style = psDot

.Ellipse 80, 80, 290, 160

End With

End Sub

Private Sub Option1_Click()

TChart1.Repaint

End Sub

Private Sub Option2_Click()

TChart1.Repaint

End Sub

Private Sub TChart1_OnSeriesAfterDrawValues(ByVal SeriesIndex As Long)

If Option1.Value = True And SeriesIndex = 0 Then

DrawTheCircle

End If

End Sub

Private Sub TChart1_OnSeriesBeforeDrawValues(ByVal SeriesIndex As Long)

If Option2.Value = True And SeriesIndex = 0 Then

DrawTheCircle

End If

End Sub


IColorBandTool.StartLinePen
IColorBandTool

property StartLinePen: IPen;

Type Library
TeeChartx

Description

Pen used to draw the starting line of the color band tool.

The ending line can be mouse dragged when the ResizeStart property is True.


IAnnotationTool.PositionUnits
IAnnotationTool

property PositionUnits: EPositionUnits;

Type Library
TeeChartx

Description

Determines if the Position property is specified as pixels (the default), or as percentage of

Chart width and height.

Setting PositionUnits to poPercent makes the annotation to move proportionally when the chart is resized or printed.


IChartGrid.ShowFields
IChartGrid

property ShowFields: WordBool;

Type Library
TeeChartx

Description
Default True

Set to False to hide Grid title fields.


IWall.DarkD

IWall.Dark3D
IWall

property Dark3D: WordBool;

Type Library
TeeChartx

Description
The Dark3D property colours the 3D Depth area of a wall a darker shade than the rest of it.

Example [Visual Basic]:

Private Sub Command1_Click()

With TChart1

.Walls.Left.Dark3D = Not .Walls.Left.Dark3D

End With

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 20

.Walls.Left.Size = 10

End With

End Sub


IShapeSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IShapeSeries


IScrollBarThumb.Image
IScrollBarThumb

property Image: ITeePicture;

Type Library
TeeChartx

Description
The image used to fill the scrollbar thumb.

Note: The Style property can be set to a pre-defined image.


ISubsetTeeFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISubsetTeeFunction


ISeries.properties
ISeries Legend key

Type Library
TeeChartx

In ISeries

Active
asActivityGauge
asArea
asArrow
asBar
asBar3D
asBarJoin
asBezier
asBoxPlot
asBubble
asBubble3D
asCalendar
asCandle
asCircularGauge
asClock
asClockGauge
asColorGrid
asContour
asDarvas
asDeltaPoint
asDonut
asDoubleHorizBar
asEqualizerSeries
asEquiVolume
asError
asErrorBar
asErrorPoint
asErrorPoint3D
asFastLine
asFunnel
asGantt
asGauge
asHighLow
asHighLowLine
asHistogram
asHorizArea
asHorizBar
asHorizBoxPlot
asHorizHistogram
asHorizLine
asImageBar
asImagePoint
asIsoSurface
asKagi
asKnobGauge
asLine
asLinearGauge
asLinePoint
asMap
asNumericGauge
asOrganizational
asPie
asPoint
asPoint3D
asPointFigure
asPolar
asPolarBar
asPolarContour
asPolarGrid
asPyramid
asRadar
asRenko
asRose
asShape
asSmith
asSurface
asTagCloud
asTernary
asTower
asTreeMap
asTriSurface
asVector3D
asVolume
asVolumePipe
asWaterfall
asWindRose
asWorld
Brush
CalcVisiblePoints
Color
ColorEachPoint
ColorSource
Count
Cursor
DataSource
DatasourceType
DefaultNullValue
Depth
FirstValueIndex
FunctionType
HorizontalAxis
HorizontalAxisCustom
LabelsSource
LastValueIndex
Legend
LegendTitle
MandatoryValueList
Marks
MouseValues
Name
NotMandatoryValueList
Pen
PercentFormat
PointColor
PointLabel
PointValue
Selected
SeriesLink
SeriesLinkx64
SeriesType
ShowInEditor
ShowInLegend
Tag
Title
Transparency
ValueFormat
ValueLists
ValueMarkText
VerticalAxis
VerticalAxisCustom
XValues
YMandatory
YValues
ZOrder


IWorldSeries.Flags
IWorldSeries

property Flags: IWorldFlags;

Type Library
TeeChartx


ITeeCommander.Controls
ITeeCommander

property Controls: OleVariant;

Type Library
TeeChartx

Description
The Controls property defines the buttons to be displayed on the TeeCommander Control.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeCommander1.Controls = Array(tcbRotate, _

tcbSeparator, _

tcbZoom, _

tcbSeparator, _

tcbEdit)

End Sub


IChartGrid.GridLink
IChartGrid

property GridLink: Integer;

Type Library
TeeChartx

Description
Read only.

Use the GridLink property when connecting a ChartGrid with a ChartGridNavigator in environments other than Visual Basic.

Example [HTML]

<%METADATA NAME="TeeChart Pro v4 ActiveX Control" TYPE="TypeLib" UUID="{B6C10489-FB89-11D4-93C9-006008A7EED4}"%>

<HTML>

<HEAD></HEAD><BODY>

<SCRIPT LANGUAGE=VBSCRIPT>

Sub FillChart()

With TChart1

.AddSeries(scLine)

.AddSeries(scLine)

.AddSeries(scLine)

.AddSeries(scLine)

.Series(0).FillSampleValues 10

.Series(1).FillSampleValues 10

.Series(2).FillSampleValues 10

.Series(3).FillSampleValues 10

End With

TeeListBox1.ChartLink = TChart1.ChartLink

TeeCommander1.ChartLink = TChart1.ChartLink

TeePreviewPanel1.ChartLink = TChart1.ChartLink

ChartGrid1.ChartLink = TChart1.ChartLink

ChartGridNavigator1.GridLink = ChartGrid1.GridLink

ChartPageNavigator1.ChartLink = TChart1.ChartLink

ChartEditorPanel1.ChartLink = TChart1.ChartLink

end sub

Sub Window_Onload()

FillChart

End sub

Sub TChart1_OnAfterDraw()

End sub

</SCRIPT>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:B6C10489-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeeListBox1" WIDTH=200 HEIGHT=100

CLASSID="CLSID:B6C1052D-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeeCommander1" WIDTH=450 HEIGHT=35

CLASSID="CLSID:B6C10532-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeePreviewPanel1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:1FDB3FEB-A12B-4A8F-9BA7-CC342949D9AF">

</OBJECT>

<br></br>

<OBJECT ID="ChartGrid1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:F069C83A-876F-4C9D-B540-D761428606DB">

</OBJECT>

<br></br>

<OBJECT ID="ChartGridNavigator1" WIDTH=450 HEIGHT=35

CLASSID="CLSID:A92B03A8-D509-4D2F-A953-B26ED8498AB0">

</OBJECT>

<br></br>

<OBJECT ID="ChartPageNavigator1" WIDTH=450 HEIGHT=35

CLASSID="CLSID:C4BB55C5-9F2C-4B46-86F3-F3BB52A83B4E">

</OBJECT>

<br></br>

<OBJECT ID="ChartEditorPanel1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:2C37B0AD-0FF7-4E18-BF8A-B43469A2C414">

</OBJECT>

<br></br>

</BODY></HTML>


IMapMarks.TextStyle
IMapMarks

property TextStyle: EMapMarksText;

Type Library
TeeChartx


IHorizLineSeries.properties
IHorizLineSeries Legend key

Type Library
TeeChartx

Derived from ILineSeries

Gradient
Stacked

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IBevelFilter.Size
IBevelFilter

property Size: Integer;

Type Library
TeeChartx

Description
Increase/decrease size of the Bevel.


ISeries.asVolumePipe
ISeries

property asVolumePipe: IVolumePipeSeries;

Type Library
TeeChartx

Description
The asVolumePipe property is used by the Series Class to access VolumePipe Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IErrorsD.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IErrorsBase
|
IErrors3D


ITeeFunction.asPerformance
ITeeFunction

property asPerformance: IPerformanceFunction;

Type Library
TeeChartx

Description
The asPerformance property is used by the Teefunction Class to access Performance Function specific properties.


IPage.FirstValueIndex
IPage

property FirstValueIndex: Integer;

Type Library
TeeChartx

Description
Returns the ValueIndex of the first point on the current page.


IHighLowSeries.methods
IHighLowSeries Legend key

Type Library
TeeChartx

Derived from IBaseHighLowSeries

AddHighLow
MaxYValue
MinYValue


IStrings.Remove
IStrings

procedure Remove(Index: Integer);

Type Library
TeeChartx

Description
Use the IStrings Remove method to remove the indexed text line from the TChart Header.

Example [Visual Basic]:

TChart1.Header.Text.Remove 1


IChartGridRows.Heights
IChartGridRows

property Heights[Index: Integer]: Integer;

Type Library
TeeChartx

Description

Use this property to read/change the Heights of indexed ChartGrid Rows.


ICanvas.GetPixels
ICanvas

property GetPixels[X, Y: Integer]: OLE_COLOR;

Type Library
TeeChartx

Description
Returns Color at x,y pixel location.


ITriSurfaceSeries.properties
ITriSurfaceSeries Legend key

Type Library
TeeChartx

In ITriSurfaceSeries

Border
CacheTriangles
HideTriangles

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IGanttSeries.AddGantt
IGanttSeries

function AddGantt(AStart, AEnd, AY: Double; Const SomeLabel: WideString): Integer;

Type Library
TeeChartx

Description
The AddGantt function adds a new Gantt bar to the Series. Each Gantt bar has the following parameters: AStart and AEnd The starting and ending Gantt bar horizontal coordinates. These can be normal floating values or DateTime values.

AY is the vertical Gantt bar coordinate. You can add as many Gantt bars you want, with or without same vertical coordinate. The vertical coordinate is usually a value starting from zero, but you can choose any other arbitrary value.

AXLabel is the associated Gantt bar text. It will be optionally shown as a Label at vertical axis and at GanttSeries.Marks.

You can assign connecting lines between Gantt bars by using the GanttSeries.NextTask property. You can assign a specific color to each Gantt bar by using the Series.PointColor property or by calling the TGanttBar.AddGanttColor method. This function returns the corresponding internal point index. You can then refer to this Gantt bar by using this index. New added points are optionally sorted in ascending or descending order either by their horizontal or vertical coordinates. You can turn sorting off by setting the XValues and YValues Order property to loNone.

Example [Visual Basic]:

This code adds several Gantt bars and connects them:

TChart1.AddSeries scGantt

With TChart1.Series(0).asGantt

.AddGantt DateValue("1/1/1997"), DateValue("31/1/1997"), 2, "Hello"

.AddGantt DateValue("15/1/1997"), DateValue("15/2/1997"), 1, "Nice"

.AddGantt DateValue("1/2/1997"), DateValue("28/2/1997"), 0, "World"

.AddGantt DateValue("1/3/1997"), DateValue("31/3/1997"), 2, ""

.AddGantt DateValue("1/4/1997"), DateValue("30/4/1997"), 0, ""

.AddGantt DateValue("15/3/1997"), DateValue("15/4/1997"), 1, ""

.NextTask.Value(0) = 3

.NextTask.Value(1) = 5

'change connecting lines

.ConnectingPen.Width = 3

.ConnectingPen.Color = vbBlue

' increase bar heights

.Pointer.VerticalSize = 16

End With

' remove legend

TChart1.Legend.Visible = False

'arrange bottom axis to show exact datetime labels

TChart1.Axis.Bottom.ExactDateTime = True

TChart1.Axis.Bottom.Increment = TChart1.GetDateTimeStep(dtOneMonth)


ITeeEditorShowPages.Tools
ITeeEditorShowPages

property Tools: WordBool;

Type Library
TeeChartx

Description
Default = True

The Tools property may be used to disable the display of the Tools Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ISeriesSourceFile.Load
ISeriesSourceFile

procedure Load;

Type Library
TeeChartx

Description
This virtual method will use the FileName or URL properties to load the file into the SeriesSource object, to then assign the data into the Series.


IPolarGridSeries.Centered
IPolarGridSeries

property Centered: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, sectors are displayed at the middle of their specified degree values.

When False, cells start at their sector (degree) values.


ITools.asFullScreen
ITools

property asFullScreen: IFullScreenTool;

Type Library
TeeChartx

Description
The asFullScreen property is used by the Tools Class to access FullScreen Tool specific properties.


ICrossTabSource.GroupField
ICrossTabSource

property GroupField: WideString;

Type Library
TeeChartx

Description
The field in the dataset used as grouping field.

Different values in this field will be used to create additional series.


ISeriesGroups.Delete
ISeriesGroups

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description

Delete indexed Group from List.


IAnnotationTool.Selected
IAnnotationTool

property Selected: ITeeSelected;

Type Library
TeeChartx


IAxis.PartnerAxis
IAxis

property PartnerAxis: OleVariant;

Type Library
TeeChartx

Description
As with earlier versions of TeeChart, Chart Custom Axes can be created and modified at design-time or at runtime. New for this version is Grid

zoning. Grid zoning permits the pairing of Axes so that Gridlines plotted from either Axis are delimited by the zone of the partner.

Sets the partner axis used to delimit the axis zone


IMapSeries.Transparent
IMapSeries

property Transparent: WordBool;

Type Library
TeeChartx

Description

When True, all shapes in the map series are set to transparent.

Returns True if all shapes in the map series are transparent and returns False if at least one of the shapes is transparent.


IWalls.Left
IWalls

property Left: IWall;

Type Library
TeeChartx

Description
The TChart.Walls. property defines the pen and brush used to fill the bottom chart side. Available IWall properties are Brush, Color, Dark3D, Gradient, Pen, Size and Transparent. TChart.Aspect.View3D and TChart.Walls.Visible properties should be True to use TChart.Walls.Back, TChart.Walls.Bottom, TChart.Walls.Left and TChart.Walls.Right.


IZoomFilter.Smooth
IZoomFilter

property Smooth: WordBool;

Type Library
TeeChartx

Description
Gets of sets smooth for Zoom filter.


ITeeEditorShowPages.SeriesGeneral
ITeeEditorShowPages

property SeriesGeneral: WordBool;

Type Library
TeeChartx

Description
Default = True

The SeriesGeneral property may be used to disable the display of the Series Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


IColorGridSeries.XGridEvery
IColorGridSeries

property XGridEvery: Integer;

Type Library
TeeChartx

Description
Default is 1.

Indicates how many lines to skip when drawing the vertical grid lines.


ITChart.OnResize
ITChart

property OnResize: TNotifyEvent;

Type Library
TeeChartx

Description
This event is triggered when resizing the Chart Panel at runtime.


IMargins.Bottom
IMargins

property Bottom: Integer;

Type Library
TeeChartx

Description

Sets Bottom margin as percentage of paper dimensions.


IWalls.Right
IWalls

property Right: IWall;

Type Library
TeeChartx

Description
The TChart.Walls.Right property defines the pen and brush used to fill the left right side. Available IWall properties are Brush, Color, Dark3D, Gradient, Pen, Size and Transparent. TChart.Aspect.View3D and TChart.Walls.Visible properties should be True to use TChart.Walls.Back, TChart.Walls.Bottom, TChart.Walls.Left and TChart.Walls.Right.


ITeePreviewPanel.PaperRect
ITeePreviewPanel

property PaperRect: ITeeRect;

Type Library
TeeChartx

Description
Use PaperRect to define the printable area of the TeePreviewPanel

Example [Visual Basic]:

Private Sub TeePreviewPanel1_OnAfterDraw()

With TeePreviewPanel1.Canvas

.Font.Color = vbRed

.Font.Size = 12

.TextOut TeePreviewPanel1.PaperRect.Left + 10, _

TeePreviewPanel1.PaperRect.Top + 6, _

"Some text"

End With

End Sub


ICanvas.LineToD

ICanvas.LineTo3D
ICanvas

procedure LineTo3D(X, Y, Z: Integer);

Type Library
TeeChartx

Description
Use LineTo3D to draw a line from the current Pen position up to, but not including the point (X,Y,Z). LineTo3D changes the value of Pen position to (X,Y,Z).

The line is drawn using the current IPen.


IColorLineTool.Pen
IColorLineTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


ITextExport.methods
ITextExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


ICandleSeries.properties
ICandleSeries Legend key

Type Library
TeeChartx

In ICandleSeries

AutoSize
BorderColor
CandleStyle
CandleWidth
CloseTickColor
CloseValues
ColorStyle
DateValues
DownCloseColor
DownCloseGradient
Draw3D
HighLowColor
HighLowPen
HighValues
LowValues
OpenTickColor
OpenValues
RemoveGaps
ShowCloseTick
ShowOpenTick
UpCloseColor
UpCloseGradient

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ISurfaceNearestTool.GetCol
ISurfaceNearestTool

function GetCol: Integer;

Type Library
TeeChartx

Description
This method fills in the Col parameters of the column number that is under the mouse cursor.


ISurfaceNearestTool.CellColor
ISurfaceNearestTool

property CellColor: OLE_COLOR;

Type Library
TeeChartx

Description
Gets or sets the color used to fill the surface cell under the mouse cursor.

Setting CellColor to clNone will hide the cell.

Setting it to clTeeColor will not modify the default cell color.


IMagnifyTool.methods
IMagnifyTool Legend key

Type Library
TeeChartx

Derived from IRectangleTool

ClickedEdge

Derived from IAnnotationTool

Clicked
SetBounds


ITChart.ChangeSeriesType
ITChart

procedure ChangeSeriesType(SeriesIndex: Integer; NewSeriesType: ESeriesClass);

Type Library
TeeChartx

Description
The ChangeSeriesType method changes the Series type for the Series of the given index.

Example [Visual Basic]:

TChart1.ChangeSeriesType 0, scBar


ILinearGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge
|
ICustomGaugeMinMax
|
ILinearGauge


IGradient.Balance
IGradient

property Balance: Integer;

Type Library
TeeChartx

Description
From 0 to 100. Default value: 50

Determines the balance preference to use between gradient start and end colors.

By default, Balance property is 50, that means both start and end colors have the same priority.

Setting Balance to zero will give priority to start gradient color.

Setting Balance to 100 gives priority to end gradient color.


IErrorBarSeries.methods
IErrorBarSeries Legend key

Type Library
TeeChartx

Derived from ICustomErrorSeries

AddErrorBar

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IExport.ShowExport
IExport

procedure ShowExport;

Type Library
TeeChartx

Description
ShowExport displays the TeeChart Export dialogue window for exporting to BMP, WMF, EMF and JPEG formats.


IDrawLine.Style
IDrawLine

property Style: EDrawLineStyle;

Type Library
TeeChartx

Description
Determines how lines will be displayed and dragged.

dlLine : default mode, lines are diagonal.

dlHorizParallel : two horizontal lines are displayed

dlVertParallel : two vertical lines are displayed


ISeries.FreeDatasource
ISeries

procedure FreeDatasource(SurePrompt: WordBool);

Type Library
TeeChartx

Description
When True, the FreeDatasource deletes the Dataset associated to the Series.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).FreeDatasource True

End Sub

Private Sub Command2_Click()

TChart1.ShowEditor

End Sub

Private Sub Form_Load()

' This example uses Microsoft OLE DB

' ActiveX Data Objects 2.0 Library.

' declare a Connection and RecordSet variables...

Dim Data As New ADODB.Connection

Dim Record As New ADODB.Recordset

' Open the sample table and database...

' The "TeeChart Pro Database" ODBC DSN is

' automatically added when installing TeeChart Pro...

Data.Open "TeeChart Pro Database"

Record.Open "employee", Data, 1, 1

' Retrieve records....

TChart1.AddSeries scBar

TChart1.Series(0).ColorEachPoint = True

TChart1.Series(0).Clear

TChart1.Series(0).DataSource = Record

TChart1.Series(0).YValues.ValueSource = Record.Fields(1).Name

TChart1.Series(0).LabelsSource = Record.Fields(0).Name

' release variables...

Set Record = Nothing

Set Data = Nothing

End Sub


IPrinterSettings.InitPrinterOrientation
IPrinterSettings

procedure InitPrinterOrientation;

Type Library
TeeChartx


ITileFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITileFilter


ILinearGauge.ValueArea
ILinearGauge

property ValueArea: ITeeShape;

Type Library
TeeChartx

Description

Brush characteristics of the area behind the value, or hand, pointer.


ILightFilter.Factor
ILightFilter

property Factor: Integer;

Type Library
TeeChartx

Description
The size of the "light spot" in percentage of maximum filer region dimensions.

Default value is 10.


ISmoothedMovAvgFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISmoothedMovAvgFunction


IStdDeviationFunction.Complete
IStdDeviationFunction

property Complete: WordBool;

Type Library
TeeChartx

Description
When enabled calculates a 'complete' standard deviation.


ITeeEditor.ShowPages
ITeeEditor

property ShowPages: ITeeEditorShowPages;

Type Library
TeeChartx

Description
Default = True

Disable the display of the First Chart Editor page (containing the Series list) at runtime.


ICompressFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICompressFunction


IAxisGridPen.DrawEvery
IAxisGridPen

property DrawEvery: Integer;

Type Library
TeeChartx

Description
Use DrawEvery to set the distance between consecutive grid lines.


IPieOtherSlice.Style
IPieOtherSlice

property Style: EPieOtherStyle;

Type Library
TeeChartx

Description
Defines whether to use value or percentage to group the 'other' Pie slice. EPieOtherStyle=(poNone,poBelowPercent,poBelowValue); Use the Value property to set the value/percentage.


ITools.Active
ITools

property Active: WordBool;

Type Library
TeeChartx

Description
The Active property enables/disables the indexed Tool.

Example [Visual Basic]:

Dim MyAnnotationTool1 As Integer

Private Sub Command1_Click()

TChart1.Tools.Items(MyAnnotationTool1).Active = False

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

MyAnnotationTool1 = .Tools.Add(tcAnnotate)

With .Tools.Items(MyAnnotationTool1).asAnnotation

.Position = ppLeftTop

.Text = "Access"

End With

End With

End Sub


IBubbleSeries.methods
IBubbleSeries Legend key

Type Library
TeeChartx

In IBubbleSeries

AddBubble


ITeeShapePosition.Left
ITeeShapePosition

property Left: Integer;

Type Library
TeeChartx

Description
Reads/Writes the Left position of the TeeChart shape.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcAnnotate

With .Tools.Items(0).asAnnotation

.Shape.CustomPosition = True

.Shape.Left = 200

.Shape.Top = 200

.Text = "Custom Position"

End With

End With

End Sub


ICustomSeries.Transparency
ICustomSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Default 0

Set Transparency level from 0 to 100%


IExtraLegendTool.properties
IExtraLegendTool Legend key

Type Library
TeeChartx

In IExtraLegendTool

Legend

Derived from ICustomToolSeries

Series


ITeeCustomAnimation.Speed
ITeeCustomAnimation

property Speed: Integer;

Type Library
TeeChartx


IPolarGridSeries.CellValues
IPolarGridSeries

property CellValues: IValueList;

Type Library
TeeChartx

Description
Access the array of values that define the color of each grid cell.

Every cell in the polar grid is defined by is XValue (sector), YValue (track) and its CellValue (color).


IAxisGridPen.ZPosition
IAxisGridPen

property ZPosition: Double;

Type Library
TeeChartx

Description
The 3D position ( from 0 to 100 in percentage ) of grid lines.

A value of 0 means grid lines will be displayed to front chart side.

A value of 100 means grid lines will not display in 3D space.


ISeriesTextFields.methods
ISeriesTextFields Legend key

Type Library
TeeChartx

In ISeriesTextFields

Clear
Delete


ITeeFilter.Enabled
ITeeFilter

property Enabled: WordBool;

Type Library
TeeChartx

Description
Default : True.

Setting it to False disables the referenced Filter.


IVolumeSeries.LinePen
IVolumeSeries

property LinePen: IPen;

Type Library
TeeChartx

Description
Allows access to TeeChart's IPen properties which change the Pen properties (Colour, Style, Visible, Width) of the VolumeSeries's line.


ISeriesStatsTool.properties
ISeriesStatsTool Legend key

Type Library
TeeChartx

In ISeriesStatsTool

Statistics

Derived from ICustomToolSeries

Series


ITeeListBox.Sections
ITeeListBox

property Sections[Index: Integer]: ITeeListBoxSection;

Type Library
TeeChartx

Description
Accesses to the characteristics of the Section specified in the parameter.


ITeeShapePosition.methods
ITeeShapePosition Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ITChart.Hint
ITChart

property Hint: WideString;

Type Library
TeeChartx

Description
Defines the text to be shown in the Hint box

Example:-

TChart1.Hint = "My Hint"

TChart1.ShowHint = True


IHueLumSatFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IHueLumSatFilter


IPen.Mode
IPen

property Mode: EPenMode;

Type Library
TeeChartx

Description
Defines line plot according to EPenMode.


ILegend.CurrentPage
ILegend

property CurrentPage: WordBool;

Type Library
TeeChartx

Description
Set CurrentPage to stipulate whether or not the Legend shows only the current page items when the Chart is divided into pages.


ICalendarSeries.methods
ICalendarSeries Legend key

Type Library
TeeChartx

In ICalendarSeries

ClickedDate
NextMonth
PreviousMonth
RectCell
Rows
SeriesRect


ICandleSeries.CandleWidth
ICandleSeries

property CandleWidth: Integer;

Type Library
TeeChartx

Description
Default value: 6

The CandleWidth property is the horizontal Candle Size. It is based on pixels for Screen charts.

When printing, this number is multiplied by the ratio between the Printer width and the Screen width.


ICanvas.FontHeight
ICanvas

property FontHeight: Integer;

Type Library
TeeChartx

Description
Returns the default height in pixels for the largest character (usually the "W" letter) based on the current selected Canvas Font and Canvas parameters.


ISeries.asPolarContour
ISeries

property asPolarContour: IPolarContourSeries;

Type Library
TeeChartx


IWall.AutoHide
IWall

property AutoHide: WordBool;

Type Library
TeeChartx

Description
Gets or sets if the Wall will automatically hide when the chart rotation forces to display the wall over series contents.

Setting AutoHide to True will automatically hide walls so that they will never obscure the series points.

The default value is False for compatibility with previous TeeChart versions, where walls were never hidden automatically.

If you want to manually hide a wall, set the wall Visible property to False.

TChart1.Walls.Left.AutoHide = True


IRotateFilter.properties
IRotateFilter Legend key

Type Library
TeeChartx

In IRotateFilter

Angle
AutoSize
BackColor


IPrinter.MarginTop
IPrinter

property MarginTop: Integer;

Type Library
TeeChartx

Description
Default Value: 15

The Chart.Printer class has four margin properties: MarginLeft, MarginRight, MarginTop, MarginBottom.

These margins are expressed as a percentage of paper dimensions.


IImageBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
IImageBarSeries


IAxisLabels.Align
IAxisLabels

property Align: EAxisLabelAlign;

Type Library
TeeChartx

Description
The default position of an AxisLabel will depend on the Axis with which it is associated. A Bottom Axis will place Labels below the Axis by default. A Top Axis will place the Labels above the Axis.

alDefault Default position

alOpposite Labels positioned on the opposite side to the default position


INativeExport.SaveToBaseStream

INativeExport.SaveToBase64Stream
INativeExport See also

function SaveToBase64Stream(IncludeData: WordBool): OleVariant;

Type Library
TeeChartx

Description
Stream saves a Chart as Base64 encoded.

See also:
IImport.LoadFromBase64Stream


ITools.asSeriesAnimation
ITools

property asSeriesAnimation: ISeriesAnimationTool;

Type Library
TeeChartx

Description
The asSeriesAnimation property is used by the Tools Class to access SeriesAnimation Tool specific properties.


IChartGrid.GridDMode

IChartGrid.Grid3DMode
IChartGrid

property Grid3DMode: WordBool;

Type Library
TeeChartx

Description
Determines how ChartGrid number of rows and columns are calculated.

When Grid3DMode is False (the default), the number of rows are the number of points in the series (plus the header rows), and the number of columns are one for the series values, another if series has "X" values, and another colum for colors and labels.

When Grid3DMode is True, the Series must be a Custom3DGrid series.

The number of rows will be the Custom3DGrid NumXValues property, and the number of columns will be the NumZValues property.

Thus, the chart grid will display a grid of values, each corresponding to a point in 3D series.

Series(0).Grid3DMode := True ;


ILegend.ColorWidth
ILegend

property ColorWidth: Integer;

Type Library
TeeChartx

Description
Default Value: 12

The ColorWidth property defines the width of Legend marks in percent of total Legend width. Each Series is shown in Chart Legend both with text and color mark. The color mark is a different shape for each different Series type.


ITeePreviewerOptions.ResizeImage
ITeePreviewerOptions

property ResizeImage: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


ITeeEditorShowPages.Axis
ITeeEditorShowPages

property Axis: WordBool;

Type Library
TeeChartx

Description
Default = True

The Axis property may be used to disable the display of the Axis Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITextDTool.Position

IText3DTool.Position
IText3DTool

property Position: IFloatXYZ;

Type Library
TeeChartx

Description
Contains the X,Y and Z properties to define the Text 3D position.


ISeries.Tag
ISeries

property Tag: OleVariant;

Type Library
TeeChartx


ITeeCommander.Buttons
ITeeCommander

property Buttons: OleVariant;

Type Library
TeeChartx

Description
The Buttons property defines the array of buttons to be displayed on the TeeCommander Control.

It has a similar function to TeeCommander.Controls.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Buttons = Array(tcbRotate, tcbZoom, tcbSeparator, tcbEdit)

End Sub


IPieAngle.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPieAngle


ITeePreviewer.Maximized
ITeePreviewer

property Maximized: WordBool;

Type Library
TeeChartx

Description
Default: False

Open TeePreviewer maximised.


IMapSeries.Shadow
IMapSeries

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description

Defines the Shadow.


IPolarContourSeries.methods
IPolarContourSeries Legend key

Type Library
TeeChartx

Derived from IPolarSeries

AddPolar

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IPointer.DrawD

IPointer.Draw3D
IPointer

property Draw3D: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The Draw3D property controls if Series Pointers will be drawn in a 3D way or not. Currently only rectangle points have 3D capability.


ICustomBarSeries.BevelSize
ICustomBarSeries

property BevelSize: Integer;

Type Library
TeeChartx

Description

Amount in pixels of bar bevel.

Used only when BarStyle property is bsBevel (only in 2D and 3D orthogonal display modes)

Chart1.View3D=False

Series1.BarStyle = bsBevel

Series1.BevelSize = 3


ITChart.SubHeader
ITChart

property SubHeader: ITitles;

Type Library
TeeChartx

Description
The SubHeader property defines the Text and formatting properties to be drawn at the top of the Chart, just below the Header text. Use the Text property to enter the desired SubHeader lines, set Visible to True and change the Font, Frame and Brush properties. Use the Alignment property to control text output position.


IDrawLineTool.properties
IDrawLineTool Legend key

Type Library
TeeChartx

In IDrawLineTool

Button
ClickTolerance
EnableDraw
EnableSelect
FromPoint
FullRepaint
Lines
Pen
Selected
SelectNewLines
Style
ToPoint

Derived from ICustomToolSeries

Series


ITChart.OnZoom
ITChart

property OnZoom: TNotifyEvent;

Type Library
TeeChartx

Description
An OnZoom event occurs whenever Chart contents is being zoomed.

Zoom can be performed by dragging the mouse at run-time or by calling the TChart.ZoomRect or TChart.ZoomPercent methods.

This event gets called BEFORE the Chart class is repainted to show the new Axis scales.

You can use this event together with TChart.OnUndoZoom and TChart.OnScroll events to know of changes on Axis scales.


ICustomFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomFunction


IMapSeries.RenderMode
IMapSeries

property RenderMode: EMapRenderMode;

Type Library
TeeChartx


IAreaSeries.AreaChartBrush
IAreaSeries

property AreaChartBrush: IBrush;

Type Library
TeeChartx

Description
The AreaChartBrush property returns the pattern object used to fill the interior of Area segments.


ISeries.asHighLow
ISeries

property asHighLow: IHighLowSeries;

Type Library
TeeChartx

Description
The asHighLow property is used by the Series Class to access HighLow Series specific properties.


ITChart.OnClickAxis
ITChart

property OnClickAxis: TTChartOnClickAxis;

Type Library
TeeChartx

Description
An OnClickAxis event occurs whenever the user clicks on a Chart axis subclass.

The Sender parameter specifies the Chart class that triggered the event.

The Axis parameter is the corresponding clicked Chart axis. It can be the Left, Right, Top or Bottom Chart Axis subclass.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the axis was clicked.

This event has a higher priority than OnClickBackGround event and lower priority than OnClickSeries event.

Example [Visual Basic]:

Private Sub TChart1_OnClickAxis(ByVal Axis As Long, ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)

If Axis = atBottom Then

MsgBox "Clicked Bottom Axis !"

End If

End Sub


IDataTableTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataTableTool


IExport.CopyToClipboardMetafile
IExport

procedure CopyToClipboardMetafile(Enhanced: WordBool);

Type Library
TeeChartx

Description
Copies the whole chart area to the clipboard in metafile format. You may specify either Windows Metafile (WMF) or Enhanced Metafile (EMF) using the boolean operator.

Example [Visual Basic]:

TChart1.Export.CopyToClipboardMetafile True

{ Enhanced Metafile = True }


ITools.asRotate
ITools

property asRotate: IRotateTool;

Type Library
TeeChartx

Description
The asRotate property is used by the Tools Class to access Rotate Tool specific properties.


ICustomErrorSeries.ErrorStyle
ICustomErrorSeries

property ErrorStyle: EErrorSeriesStyle;

Type Library
TeeChartx

Description
Defines the Error Series Style according to EErrorSeriesStyle.


ITeeListBox.OnOtherItemsChange
ITeeListBox

property OnOtherItemsChange: TNotifyEvent;

Type Library
TeeChartx

Description
Internally used.


IAxisArrowTool.ScrollInverted
IAxisArrowTool

property ScrollInverted: WordBool;

Type Library
TeeChartx

Description

Reverses the applied Axis Arrow scroll direction.


ICursorTool.Snap
ICursorTool

property Snap: WordBool;

Type Library
TeeChartx

Description
Set Snap property to True to align the TCursorTool with the nearest series point.

Snap has no effect unless a series is assigned to the Series property.


ITeeListBox.ClearItems
ITeeListBox

procedure ClearItems;

Type Library
TeeChartx

Description
Deletes all the items from the TeeListBox.


ITChart.OnRectangleToolDragged
ITChart

property OnRectangleToolDragged: TNotifyEvent;

Type Library
TeeChartx

Description
Event triggered when the user releases the mouse button after the Rectangle has been moved.


IStdDeviationFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IStdDeviationFunction


ICanvas.Polyline
ICanvas

procedure Polyline(ArraySize: Integer; XArray, YArray: OleVariant; Z: Integer);

Type Library
TeeChartx

Description
Draws multiple line segments joining all points in Points parameter.

Polyline might be faster depending your machine hardware configuration and operating system version.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

Dim ptX As Variant, ptY As Variant

TChart1.Canvas.RotatedEllipse 50, 90, 250, 160, 10, HScroll1.Value

ptX = Array(300, 350, 380, 320, 290)

ptY = Array(200, 190, 210, 90, 180)

TChart1.Canvas.Polyline 5, ptX, ptY, 20

'TChart1.Canvas.Draw 0, 0, Picture1.Picture 'If active, this line draws an image

End Sub


IGradient.SubGradient
IGradient

property SubGradient: ISubGradient;

Type Library
TeeChartx

Description
Applies a secondary (superimposed) Gradient to the Gradient area.


IAxis.MinVisibleSeriesValue
IAxis See also

function MinVisibleSeriesValue(AllSeries: WordBool; SeriesIndex: Integer): Double;

Type Library
TeeChartx

Description

The MaxVisibleSeriesValues and MinVisibleSeriesValues methods return the Max and Min values of a specific Series or between all Active Series currently visible Points related to that Axis.

When the boolean variable AllSeries is set to true the second variable, SeriesIndex, is ignored otherwise the Series[SeriesIndex] Max or Min is returned.

See also:
IAxis, MaxVisibleSeriesValue


IRenkoSeries.BoxSize
IRenkoSeries

property BoxSize: Double;

Type Library
TeeChartx

Description
Default is 1.0

Defines the amount to consider as the minimum price change to switch from a Up brick to a Down brick an vice-versa.


IPointer.properties
IPointer Legend key

Type Library
TeeChartx

In IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


ILegendSymbol.HeightUnits
ILegendSymbol

property HeightUnits: ELegendSymbolSize;

Type Library
TeeChartx


ITeeEditor.Options
ITeeEditor

property Options: ITeeEditorOptions;

Type Library
TeeChartx

Description
First Chart Editor page available options.


IColorLineTool.DrawBehind
IColorLineTool

property DrawBehind: WordBool;

Type Library
TeeChartx

Description
In 3D mode, controls if color line will be displayed behind series or in-front.

Example [Visual Basic]:

Private Sub Check2_Click()

TChart1.Tools.Items(0).asColorLine.DrawBehind = (Check2.Value = 1)

End Sub


IGridTransposeTool.properties
IGridTransposeTool Legend key

Type Library
TeeChartx

In IGridTransposeTool

Series


ISeriesGroups.Count
ISeriesGroups

property Count: Integer;

Type Library
TeeChartx

Description

Returns the number of Groups.


ISpacing.Vertical
ISpacing

property Vertical: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount of pixels to be used as vertical space between one item and its child items.


ISeriesRegionTool.Color
ISeriesRegionTool

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Gets or sets the color used to fill the series region areas.


ITeeEditor.ShowEditor
ITeeEditor

procedure ShowEditor;

Type Library
TeeChartx

Description
Open the Chart Editor.


ISeriesPointerItems.properties
ISeriesPointerItems Legend key

Type Library
TeeChartx

In ISeriesPointerItems

Items

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


ITChart.OnLegendScrollBarToolChangeSize
ITChart

property OnLegendScrollBarToolChangeSize: TNotifyEvent;

Type Library
TeeChartx

Description
Event called when the scrollbar Size property is changed.

Can be used to re-align or resize panel or chart controls that contain a scrollbar.


IPrinterSettings.properties
IPrinterSettings Legend key

Type Library
TeeChartx

In IPrinterSettings

BitsPerPel
Collate
Color
Copies
DefaultSource
DeviceName
DisplayFlags
DisplayFrequency
DriverExtra
DriverVersion
Duplex
Fields
FormName
ICMIntent
ICMMethod
LogPixels
Orientation
PaperLength
PaperSize
PaperWidth
PelsHeight
PelsWidth
PrintQuality
Scale
Size
SpecVersion
TTOption
YResolution


ITernarySeries.TernaryMarkStyle
ITernarySeries

property TernaryMarkStyle: ETernaryMarkStyle;

Type Library
TeeChartx

Description
Determines the style of the Marks in the Ternary Chart

They can be tmsShort, tmsLong or tmsLongLabelled.


IXLSObjectExport.properties
IXLSObjectExport Legend key

Type Library
TeeChartx

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


IVideoPlayerTool.methods
IVideoPlayerTool Legend key

Type Library
TeeChartx

In IVideoPlayerTool

Pause
Play
Stop


ISeries.Marks
ISeries

property Marks: IMarks;

Type Library
TeeChartx

Description
The Marks Series subclass defines all necessary properties to draw a mark near to each Series point.

A mark consist of a colored rectangle with a text string on it and a line that indicates which points corresponds to which mark.

Each different Series type draws it's marks differently.


IRotateTool.Speed
IRotateTool

property Speed: Integer;

Type Library
TeeChartx

Description
Defines the percent amount of chart rotation velocity that performs when the mouse is moving.

By default it is 50. ( 50% means normal speed ).

Valid values are from 0 to 100.

Bigger values mean faster rotation and smaller values mean less speed.

See also: Inertia property.


IErrorsBase.Top
IErrorsBase

property Top: IValueList;

Type Library
TeeChartx


IFlexExport.methods
IFlexExport Legend key

Type Library
TeeChartx

In IFlexExport

Compile
CompileDeleteShow

Derived from IExportFormat

SaveToFile
SaveToStream


IPolarSeries.properties
IPolarSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ICircledSeries.methods
ICircledSeries Legend key

Type Library
TeeChartx

In ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IFramedBorder.MiddleBrush
IFramedBorder

property MiddleBrush: IFrameBrush;

Type Library
TeeChartx

Description

Gets and sets the MiddleBand's ChartBrush characteristics.


IBaseHighLowSeries.properties
IBaseHighLowSeries Legend key

Type Library
TeeChartx

In IBaseHighLowSeries

HighValues
LowValues


IGanttSeries.StartValues
IGanttSeries

property StartValues: IValueList;

Type Library
TeeChartx

Description
The StartValues property defines the starting Gantt bar date values. The ending Gantt bar point date is stored at GanttSeries.EndValues list property.

StartValues and EndValues can be specified both as DateTime or double values.

Both are standard IValueList classes. That means you can access their values with same methods as you can access X or Y values.

The GanttSeries.AddGantt and / or GanttSeries.AddGanttColor methods must be used to add Gantt bar points.


IAxisBreaks.Delete
IAxisBreaks

procedure Delete(AIndex: Integer);

Type Library
TeeChartx

Description
Removes all axis breaks.


IAspect.Zoom
IAspect

property Zoom: Integer;

Type Library
TeeChartx

Description
Zooms the entire Chart. Increasing the value of Zoom brings the entire Chart towards the viewer. 'In Chart' zoom will still function by mouse dragging within the Chart area and is distinct from whole Chart zooming.


IPen.Fill
IPen

property Fill: IBrush;

Type Library
TeeChartx


ISeriesTextFields.Clear
ISeriesTextFields

procedure Clear;

Type Library
TeeChartx

Description
Clear empties the Items array and destroys each SeriesTextField.


ICandleSeries.OpenTickColor
ICandleSeries

property OpenTickColor: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the colour for the open ticks.

Financial Candle series provides the option to customize the colors for open and close ticks when CandleStyle is csCandleBar.


IErrorsBase.SeriesColor
IErrorsBase

property SeriesColor: WordBool;

Type Library
TeeChartx


IColorGridSeries.methods
IColorGridSeries Legend key

Type Library
TeeChartx

In IColorGridSeries

MaxXValue
MaxYValue
MinYValue

Derived from ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IPrinter.FixedFontPPI
IPrinter

property FixedFontPPI: Integer;

Type Library
TeeChartx


IGradientColors.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGradientColors


IContourMarks.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IContourMarks


IBollingerFunction.Deviation
IBollingerFunction

property Deviation: Double;

Type Library
TeeChartx

Description
Default : 2

Deviation defines the standard deviation (StdDev) multiplier, used to calculate low and high Bollinger band value.


IFibonacciTool.Levels
IFibonacciTool

property Levels: IFibonacciLevels;

Type Library
TeeChartx

Description

Returns the list of Fibonacci levels.


IEqualizerSeries.DegradeInterval
IEqualizerSeries

property DegradeInterval: Integer;

Type Library
TeeChartx

Description

mSec. time to down adjust high


IAreaSeries.UseYOrigin
IAreaSeries

property UseYOrigin: WordBool;

Type Library
TeeChartx

Description
Default: False

The UseYOrArea property enables/disables the setting of the Y value (via the YOrigin property) that defines the bottom position for area points.


ISeries.ValueFormat
ISeries

property ValueFormat: WideString;

Type Library
TeeChartx

Description
Default Value: '#,##0.###'

The ValueFormat specifies the desired formatting string to be applied to Axis Labels. It has effect when Axis associated Series have their XValues.DateTime or YValues.DateTime property set to False.

For DateTime Axis labels use the AxisLabels.DateTimeFormat property.

ValueFormat is a standard formatting string specifier.

Chart Axis uses it to draw the axis labels.

Chart Series uses it to draw the Marks.

Example

Format string-1234-12340.50

1234-12340.50

01234-123410

0.00 1234.00-1234.000.500.00

#.## 1234-1234.5

#,##0.001,234.00-1,234.000.500.00

#,##0.00;(#,##0.00)1,234.00(1,234.00)0.500.00

#,##0.00;;Zero 1,234.00-1,234.000.50Zero

0.000E+00 1.234E+03-1.234E+035.000E-010.000E+00

#.###E-0 1.234E3-1.234E35E-10E0

Example[Visual Basic]:

1. TChart1.Series(0).ValueFormat = "#,##0.00"

{Output marks eg. 10.00, 25.00, 150.00}

2.TChart1.Series(0).ValueFormat = "#,##0.##"

{Output marks eg. 10, 25, 150}


ICustomDSeries.MaxZValue

ICustom3DSeries.MaxZValue
ICustom3DSeries

function MaxZValue: Double;

Type Library
TeeChartx

Description
Returns MaxZValue.


IShapeSeries.VertAlign
IShapeSeries

property VertAlign: ETeeVertAlign;

Type Library
TeeChartx

Description
Sets vertical alignment of Text within a TChartShape Series shape (vaTop, vaCenter, vaBottom).


ISeries.YValues
ISeries

property YValues: IValueList;

Type Library
TeeChartx

Description
By default, any Series has an YValues property. This is the IValueList where the point values will be stored at runtime. Also by default, YValues is a Public property.

Some derived Series publish it: LineSeries, BarSeries, PointSeries, and some others publish it with another, more friendly name: PieSeries.PieValues, etc.

WARNING:

You CAN'T Delete, Clear or Add values DIRECTLY. You need to call the Series equivalent methods to do it.

Example [Visual Basic]:

Many things can be done with the YValues property.

For example, you can modify its values (thus forcing the Chart to repaint):

TChart1.Series 0).YValues.Value(35) = 10

That will change the 35th point vertical value to 10

Or...

With TChart1.Series 0).YValues

.Value(35) = .Value(35)+1

End With

Or, if contains DateTime YValues...

TChart1.Series(0).YValues.Value(35) = DateValue("22/4/98")


ITChart.Import
ITChart

property Import: IImport;

Type Library
TeeChartx

Description
Use the TChart.Import property to access Chart import properties and methods.

Example [Visual Basic]:

TChart1.Import.LoadFromFile("c:\temp\mychart.tee")


IPointer.InflateMargins
IPointer

property InflateMargins: WordBool;

Type Library
TeeChartx

Description
The InflateMargins property controls if Chart dimensions will be rescaled to accomodate the Series.Pointer HorizontalSize and VerticalSize pixels. When False, Chart Axis scales will be preserved and points close to the Axis limits will be partially displayed.


IChartGridCols.Count
IChartGridCols

property Count: Integer;

Type Library
TeeChartx

Description

This property replaces the ChartGrid.ColCount property.

Read ColCount to determine the number entries in the ColWidths array. Set ColCount to add or delete columns at the righthand side of the grid. The value of ColCount includes any fixed columns at the left of the grid as well as the scrollable columns in the body of the grid.


IFunnelSeries.DifferenceLimit
IFunnelSeries

property DifferenceLimit: Double;

Type Library
TeeChartx

Description
Default value = 30.0

The DifferenceLimit property defines the difference (expressed in Quote percentage), used by the internal algorithm to define the Funnel segment color.

If Opportunity value falls below (100-Difference)*Quote/100 then the BelowColor will be used to paint the Funnel segment. If Opportunity falls between (100-Difference)*Quote/100 and Quote, then the WithinColor will be used to paint the Funnel segment. Otherwise (if Opportunity > Quote) the AboveColor will be used to paint the Funnel segment.


ICanvas.UseBuffer
ICanvas

property UseBuffer: WordBool;

Type Library
TeeChartx

Description
Drawn items are drawn to an "internal" canvas and then it is shown on screen. This prevents "flickering".


ISeriesGroup.Show
ISeriesGroup

procedure Show;

Type Library
TeeChartx

Description

For all series in the group, sets their Visible property to True.


IMarksCallout.methods
IMarksCallout Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


IAxisArrowTool.SizePercent
IAxisArrowTool

property SizePercent: Integer;

Type Library
TeeChartx

Description
Changes de size of the Arrows of the AxisArrowTool in percent.

Example [Visual Basic]:

With TChart1

.AddSeries scArrow

.Series(0).FillSampleValues (5)

.Tools.Add tcAxisArrow

With .Tools.Items(0).asAxisArrow

.Axis = TChart1.Axis.Bottom

.SizePercent = 50

End With

End With


ITransformAnimation.Scale
ITransformAnimation

property Scale: ETransformScale;

Type Library
TeeChartx


IChartGrid.AllowInsertSeries
IChartGrid

property AllowInsertSeries: WordBool;

Type Library
TeeChartx

Description
When True you may use the ChartGrid.AppendRow to add Rows and new Series to Grid.


IAxes.Top
IAxes

property Top: IAxis;

Type Library
TeeChartx

Description
The Top property (Top axis) determines the Labels and formatting attributes of Top Chart side. It also controls where Series points will be placed.

Every TChart class has four Axis: Left, Top, Right and Bottom.

The Top is pre-defined to be:

Horizontal = True

OtherSide = True

Refer to Axis help topic for a complete description.


IStrings.properties
IStrings Legend key

Type Library
TeeChartx

In IStrings

Item
Text


IFrameTool.Frame
IFrameTool

property Frame: ITeePicture;

Type Library
TeeChartx

Description
Having Frame style set to "Custom" allows to access to ITeePicture properties and methods to assign an image and filters if desired.


IFramedBorder.OuterBrush
IFramedBorder

property OuterBrush: IFrameBrush;

Type Library
TeeChartx

Description

Gets and sets the OuterBand's ChartBrush characteristics.


IPen.properties
IPen Legend key

Type Library
TeeChartx

In IPen

Color
EndStyle
Fill
JoinStyle
Mode
SmallDots
SmallSpace
Style
Visible
Width


ICanvas.RotationCenter
ICanvas

property RotationCenter: ITeePoint3D;

Type Library
TeeChartx

Description
The RotationAngle can be a valid integer number between 0 and 359. This angle can be changed by code to rotate the Pie (or Polar).


IAspect.VertOffset
IAspect

property VertOffset: Integer;

Type Library
TeeChartx

Description
Moves the entire Chart on a vertical plane. Not Active for 2D or 3D orthogonal Charts.


ICCIFunction.properties
ICCIFunction Legend key

Type Library
TeeChartx

In ICCIFunction

Constant


IBezierSeries.properties
IBezierSeries Legend key

Type Library
TeeChartx

In IBezierSeries

BezierStyle
NumBezierPoints

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ICustomGaugeMinMax.Ticks
ICustomGaugeMinMax

property Ticks: IGaugeSeriesPointer;

Type Library
TeeChartx

Description

Gets and sets the characteristics of the Axis' major tick marks.


ITileFilter.NumRows
ITileFilter

property NumRows: Integer;

Type Library
TeeChartx

Description
Sets the number of rows that must be used to generate de copies.


ISeriesMarksPositions.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesMarksPositions


ISeries.DeleteRange
ISeries

procedure DeleteRange(start, Quantity: Integer);

Type Library
TeeChartx

Description
DeleteRange deletes a range of points from the Series very quickly. It is ideal for limiting use of memory for high volume real-time data.

Dim totalCtr As Double

Private Sub Check1_Click()

Timer1.Enabled = Check1.Value

End Sub

Private Sub Form_Load()

Timer1.Interval = 25

Check1.Value = 1

TeeCommander1.Chart = TChart1

With TChart1

.Aspect.View3D = False

.Header.Text.Clear

.AddSeries scFastLine

.Series(0).asFastLine.AddRealTime 0, Sin(0)

For i = 0 To 49

.Series(0).asFastLine.AddRealTime .Series(0).XValues.Last + 1, Sin((.Series(0).XValues.Last + 1) / 2)

Next i

totalCtr = .Series(0).Count

End With

End Sub

Private Sub TChart1_OnAfterDraw()

TChart1.Canvas.TextOut 10, 10, "Point count: " & TChart1.Series(0).Count & ", Total points processed: " & totalCtr

End Sub

Private Sub Timer1_Timer()

If Check1.Value = 1 Then

With TChart1

.Series(0).asFastLine.AddRealTime .Series(0).XValues.Last + 1, Sin((.Series(0).XValues.Last + 1) / 2)

totalCtr = totalCtr + 1

If .Series(0).Count > 100 And .Axis.Bottom.Minimum > .Series(0).XValues.Minimum + 199 Then

.Series(0).DeleteRange 0, 100

End If

End With

End If

End Sub


ITeeOpenGL.Active
ITeeOpenGL

property Active: WordBool;

Type Library
TeeChartx

Description
Default: False

Enable this property to activate OpenGL Canvas and full 360º Chart rotation. OpenGL drivers must be active in Windows for TeeChart's OpenGL Canvas to fucntion correctly.


IGradient.Angle
IGradient

property Angle: Integer;

Type Library
TeeChartx

Description
Gradient Angle.


IThemesList.ApplyFromChartLinkx

IThemesList.ApplyFromChartLinkx64
IThemesList

procedure ApplyFromChartLinkx64(Chartx64: OleVariant);

Type Library
TeeChartx


IAxes.FastCalc
IAxes

property FastCalc: WordBool;

Type Library
TeeChartx

Description

This property controls if calculations from series values to screen pixel co-ordinates will be performed with "overflow checking" or not.

FastCalc is False by default.

When False, calculations are checked against Microsoft Windows GDI limits (XP,2000 and NT have bigger limits than Me,98 and 95).

When True, calculations are done using fast assembler code, without checking GDI overflows.

The main use of FastCalc=True is for real-time charts to obtain more drawing speed, when we know points will not be outside the chart space by a really big amount of pixels.

The default calculation (with checking) is necessary when zooming-in a chart many times, to avoid confusing Windows GDI with very big pixel coordinates.


IPolarGridSeries.NumSectors
IPolarGridSeries

property NumSectors: Integer;

Type Library
TeeChartx

Description
Default is 10.

Defines the number of sectors (degree portions) in the polar grid.

See also: IPolarGridSeries.NumTracks


ISeries.asIsoSurface
ISeries

property asIsoSurface: IIsoSurfaceSeries;

Type Library
TeeChartx

Description
Access to IsoSurfaceSeries specific properties.


IAspect.OrthoAngle
IAspect

property OrthoAngle: Integer;

Type Library
TeeChartx

Description
Default value: 45

The OrthoAngle property sets the angle of inclination of the Depth axis when the Chart is set in Orthogonal mode, i.e. when Orthogonal property is set to true.


IPrinterSettings.DriverVersion
IPrinterSettings

property DriverVersion: Integer;

Type Library
TeeChartx

Description
Specifies the driver version number assigned by the driver developer.


IDeltaPointSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICustomImagePointSeries
|
IDeltaPointSeries


ITextExport.properties
ITextExport Legend key

Type Library
TeeChartx

In ITextExport

TextDelimiter

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


INearestTool.DrawLine
INearestTool

property DrawLine: WordBool;

Type Library
TeeChartx

Description
Default value: True

Set this property to True if a temporary line has to be drawn from the mouse coordinates to the nearest point.


INearestTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
INearestTool


IValueList.TempValue
IValueList

property TempValue: Double;

Type Library
TeeChartx

Description
Run-time only.

The TempValue property is a special internal property used when adding values from one Series to another or when adding values to a Series with more than "X" and "Y" values, such as TBubbleSeries which has "Radius" values as well.

Example [Visual Basic]:

Dim ApplyFunction As Boolean

Private Sub Check1_Click()

ApplyFunction = Check1.Value

End Sub

Private Sub Command1_Click()

AddData

End Sub

Private Sub Form_Load()

Check1.Caption = "Apply custom function to data y=(y*x)+2"

Command1.Caption = "Refresh data"

TChart1.AddSeries scLine

ApplyFunction = False

AddData

End Sub

Private Sub AddData()

With TChart1.Series(0)

.Clear

.AddXY 1, 1, "", clTeeColor

.AddXY 2, 2, "", clTeeColor

.AddXY 3, 3, "", clTeeColor

.AddXY 4, 4, "", clTeeColor

.AddXY 5, 5, "", clTeeColor

End With

End Sub

Private Sub TChart1_OnSeriesBeforeAdd(ByVal SeriesIndex As Long, Continue As Boolean)

If ApplyFunction = True Then

With TChart1.Series(SeriesIndex)

.YValues.TempValue = (.YValues.TempValue * .XValues.TempValue) + 2

End With

End If

End Sub


ITChart.OnDblClick
ITChart

property OnDblClick: TNotifyEvent;

Type Library
TeeChartx

Description
An OnDblClick event occurs whenever the user double clicks onto a Chart. The Sender parameter specifies the Chart class that originated the event.

The Series.GetMousePoint function returns the corresponding point under mouse cursor position. It returns -1 if no point is under mouse cursor. The Series.MouseValues property returns the mouse cursor X and Y position in Axis scales coordinates. The Series.XScreenToValue and Series.YScreenToValue functions convert from screen pixel coordinates to Series scales.

WARNING:

Use the Stopmouse method to control how the mouse button behaves with dual modes (scroll or zoom after the OnDblClick event)

Example [Visual Basic]:

Private Sub TChart1_OnDblClick()

MsgBox "You've double-clicked the Chart!!"

TChart1.StopMouse

End Sub


IPolarSeries.AddPolar
IPolarSeries

function AddPolar(Angle, Value: Double; Const ALabel: WideString; Valu: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddPolar function inserts a new Point to draw. The new point coordinates are expressed in Angle -> Vector format. Angles are expressed in degree units. Points are sorted and drawn in Angle ascending order.

Example [Visual Basic]

This code adds some random points to a PolarSeries:

TChart1.AddSeries scPolar

With TChart1.Series(0)

.asPolar.AddPolar 90, Rnd(1000), pi / 2, vbRed

.asPolar.AddPolar 180, Rnd(1000), pi, vbBlue

.asPolar.AddPolar 270, Rnd(1000), 3 * pi / 4, vbGreen

.asPolar.AddPolar 360, Rnd(1000), 2 * pi, vbYellow

End With


IFramedBorder.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFramedBorder


ITeeFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeFilter


IVolumeSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IVolumeSeries


IMetafileExport.Enhanced
IMetafileExport

property Enhanced: WordBool;

Type Library
TeeChartx

Description
When true exports TChart in Enhanced Metafile format


ITeeScrollBar.Size
ITeeScrollBar

property Size: Integer;

Type Library
TeeChartx


IZoom.Enable
IZoom

property Enable: WordBool;

Type Library
TeeChartx

Description
The Zoom Enable boolean property toggles the runtime Zoom. Setting it to True will allow runtime Zoom by dragging the mouse.

Enable Example

Visual Basic

TChart1.Zoom.Enable = True

You can also Zoom a specific chart region by coding:

( This example uses the Bottom and Left axis)

Delphi

TChart1.Axis.Bottom.Automatic := False ;

TChart1.Axis.Bottom.Minimum := 45.2 ;

TChart1.Axis.Bottom.Maximum := 67.1 ;

TChart1.Axis.Left.Automatic := False ;

TChart1.Axis.Left.Minimum := 150 ;

TChart1.Axis.Left.Maximum := 300 ;


IWorldFlags.properties
IWorldFlags Legend key

Type Library
TeeChartx

In IWorldFlags

Visible


IAxisBreaks.Add
IAxisBreaks

function Add(AStart, AEnd: Double): Integer;

Type Library
TeeChartx

Description
Adds an axis break.


IAxisLabels.Exponent
IAxisLabels

property Exponent: WordBool;

Type Library
TeeChartx

Description
Default: False

The Exponent property enables/disables the display of Axis Labels in exponent format with super-script fonts.

Example [Visual Basic]:

TChart1.Axis.Left.Labels.Exponent=True

TChart1.Axis.Left.Labels.ValueFormat="00e-0"


IContourLevels.Clicked
IContourLevels

function Clicked(XCoord, YCoord: Integer; Var SegmentIndex, PointIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns -1 if the XY pixel coordinates are *not* over any level segment lines.

Returns the level index (starting from zero) otherwise.

Example

'where Series(0) is a ContourSeries

levelndex = TChart1.Series(0).Clicked(X, Y) ' Get the contour point index.

If levelndex <> -1 Then

myText = Format(TChart1.Series(0).asContour.Levels.Items(levelndex).UpToValue, "0.0")


IClusteringTool.ColorEach
IClusteringTool

property ColorEach: WordBool;

Type Library
TeeChartx


INativeExport.SaveToFile
INativeExport

procedure SaveToFile(Const FileName: WideString; IncludeData: WordBool);

Type Library
TeeChartx

Description
This method will save the current chart as a native TeeChart 'tee' template to the specified File Name. Use the IncludeData boolean property to include or exclude data from the tee file.


IColorFilter.Blue
IColorFilter

property Blue: Integer;

Type Library
TeeChartx

Description
Blue level (0 to 255)


ICalendarSeries.RectCell
ICalendarSeries

function RectCell(Column, Row: Integer): TeeRect;

Type Library
TeeChartx

Description
The RectCell method returns the bounderies of a 2D-Rectangle which is defined as the outline of the specified Calender series cell.

Example [Visual Basic]:

Dim aa As TeeChart.TeeRect

Dim aaSet As Boolean

Private Sub Command2_Click()

aa = TChart1.Series(0).asCalendar.RectCell(2, 5)

aaSet = True

TChart1.Repaint

End Sub

Private Sub Form_Load()

TChart1.AddSeries scCalendar

aaSet = False

End Sub

Private Sub TChart1_OnAfterDraw()

If aaSet = True Then

With TChart1

.Canvas.Brush.Style = bsClear

.Canvas.Pen.Color = vbYellow

.Canvas.Rectangle aa.Left, aa.Top, aa.Right, aa.Bottom

End With

End If

End Sub


ICircularGauge.AutoPositionLinearGauge
ICircularGauge

property AutoPositionLinearGauge: WordBool;

Type Library
TeeChartx

Description
Set AutoPositionLinearGauge to True to Automatically position a Linear Gauge within the Circular Gauge.


IClockSeries.properties
IClockSeries Legend key

Type Library
TeeChartx

In IClockSeries

Center
CustomTime
Hours
Minutes
PenHours
PenMinutes
PenSeconds
RomanNumbers
Seconds
Style
Time

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IFrameBrush.methods
IFrameBrush Legend key

Type Library
TeeChartx

Derived from IBrush

AssignImage
ClearImage
LoadImage
ShowEditor


IPolarGridSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IPolarGridSeries


IPieSeries.PiePen
IPieSeries

property PiePen: IPen;

Type Library
TeeChartx

Description
Line pen for Pie.


ICustomFunction.properties
ICustomFunction Legend key

Type Library
TeeChartx

In ICustomFunction

NumPoints
StartX
X


ISmoothPoints.Active
ISmoothPoints

property Active: WordBool;

Type Library
TeeChartx

Description
Enables smoothing of values.


ITChart.OnSubChartToolDragging
ITChart

property OnSubChartToolDragging: TTChartOnSubChartToolDragging;

Type Library
TeeChartx


ISeriesAnimationTool.Stop
ISeriesAnimationTool

procedure Stop;

Type Library
TeeChartx

Description
Stops the animation.

See also the Running property.


ISubGradient.Transparency
ISubGradient

property Transparency: Integer;

Type Library
TeeChartx

Description
Defines the amount of transparency between subgradient colors and its parent gradient colors.


IVideoPlayerTool.Image
IVideoPlayerTool

property Image: ITeePicture;

Type Library
TeeChartx

Description
Gets the current video frame image.


IDrawLine.properties
IDrawLine Legend key

Type Library
TeeChartx

In IDrawLine

EndPos
Pen
StartPos
Style


ITeeAnimate.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeAnimate


IHighLowLineSeries.HighPointer
IHighLowLineSeries

property HighPointer: IPointer;

Type Library
TeeChartx

Description
Properties that configure the optional symbol pointer to draw at each series point "High" value position.


INativeExport.methods
INativeExport Legend key

Type Library
TeeChartx

In INativeExport

SaveToBase64Stream
SaveToFile
SaveToStream


IFlipFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFlipFilter


ISubChart.properties
ISubChart Legend key

Type Library
TeeChartx

In ISubChart

AllowDrag
AllowResize
Chart
Height
Left
Top
Transparent
Width


IAnnotationTool.Clicked
IAnnotationTool

function Clicked(X, Y: Integer): WordBool;

Type Library
TeeChartx

Description
Returns True when the xy coordinates are inside the Annotation shape's rectangle.


ITChart.Canvas
ITChart

property Canvas: ICanvas;

Type Library
TeeChartx

Description
Use the Canvas property to access TeeChart Draw properties and methods.

Example [Visual Basic]:

With TChart1.Canvas

.TextOut 30,30,"MyMessage"

End With


IErrorsDFormat.Front

IErrors3DFormat.Front
IErrors3DFormat

property Front: IPen;

Type Library
TeeChartx


ISeriesTextSource.methods
ISeriesTextSource Legend key

Type Library
TeeChartx

In ISeriesTextSource

AddField
LoadAsStream
LoadFromStrings

Derived from ISeriesSourceFile

Load
LoadFromFile
LoadFromURL

Derived from ISeriesSource

Close
Open

Derived from ITeeLinked

AboutBox


ISeries.ShowInEditor
ISeries

property ShowInEditor: WordBool;

Type Library
TeeChartx

Description
Allows you to Hide specific Series in Editor.

Example [Visual Basic]:

tChart1.Series(0).ShowInEditor=False


ICustomAnimationChart.properties
ICustomAnimationChart Legend key

Type Library
TeeChartx

In ICustomAnimationChart

Series

Derived from ITeeAnimation

Duration
Enabled
Inverted
Loop
Parent
StartTime
Timing
TimingStyle
Title
TwoWay


IGaugePointerRange.StartValue
IGaugePointerRange

property StartValue: Double;

Type Library
TeeChartx

Description

Get or Sets the StartValue.


ISeries.AddArray
ISeries

procedure AddArray(ArraySize: Integer; YArray, XArray: OleVariant);

Type Library
TeeChartx

Description
The Series AddArray method may be used to add an array of data directly to the Series.

Example [Visual Basic]:

Private Sub Command1_Click()

Dim MyXArray() As Double

Dim MyYArray() As Double

Dim t, Num As Integer

Num = Text1.Text

ReDim MyXArray(Num)

ReDim MyYArray(Num)

MyXArray(0) = 0

MyYArray(0) = Rnd(10000)

For t = 1 To UBound(Y) - 1

MyXArray(t) = t

MyYArray(t) = Y(t - 1) + Rnd(101) - 50

Next t

With TChart1

.AddSeries scLine

.Series(0).AddArray UBound(MyYArray), MyYArray(), MyXArray()

End With

End Sub


ISeries.asSmith
ISeries

property asSmith: ISmithSeries;

Type Library
TeeChartx

Description
The asSmith property is used by the Series Class to access Smith Series specific properties.


ITitles.Margins
ITitles

property Margins: IMargins;

Type Library
TeeChartx


IGaugeRange.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGaugeRange


IBlurFilter.Amount
IBlurFilter

property Amount: Integer;

Type Library
TeeChartx

Description
Blur amount. Default 1.


IBaseHighLowSeries.HighValues
IBaseHighLowSeries

property HighValues: IValueList;

Type Library
TeeChartx

Description
ValueList of Series HighValues.


IMapSeries.methods
IMapSeries Legend key

Type Library
TeeChartx

In IMapSeries

LoadMapFromSHP

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ITeeFilter.asMosaic
ITeeFilter

property asMosaic: IMosaicFilter;

Type Library
TeeChartx

Description
The asMosaic property is used by the TeeFilter Class to access Mosaic Filter specific properties.


IPage.properties
IPage Legend key

Type Library
TeeChartx

In IPage

AutoScale
Count
Current
FirstValueIndex
MaxPointsPerPage
ScaleLastPage


IChartGrid.methods
IChartGrid Legend key

Type Library
TeeChartx

In IChartGrid

Cols
RecalcDimensions
Rows

Derived from ITeeLinked

AboutBox


ITChart.ShowSeriesEditor
ITChart

procedure ShowSeriesEditor(SeriesIndex: Integer);

Type Library
TeeChartx


ISeries.Brush
ISeries

property Brush: IBrush;

Type Library
TeeChartx

Description
Defines the Brush and Pattern for the Series.


ITeePreviewer.PreviewTitle
ITeePreviewer

property PreviewTitle: WideString;

Type Library
TeeChartx

Description
Text to be set as title to the Previewer dialog at runtime.


ISeriesGroup.methods
ISeriesGroup Legend key

Type Library
TeeChartx

In ISeriesGroup

Add
Delete
Hide
Insert
Show


IExport.asJPEG
IExport

property asJPEG: IJPEGExport;

Type Library
TeeChartx

Description
Accesses JPEG format Export attributes.


IDrawLineList.Items
IDrawLineList

property Items[Index: Integer]: IDrawLine;

Type Library
TeeChartx

Description

Access the DrawLineTool's Lines by index value. First line takes index 0.


ICanvas.TextHeight
ICanvas

function TextHeight(Const SomeText: WideString): Integer;

Type Library
TeeChartx

Description
The TextHeight function returns the vertical size in pixels of the string "St" parameter.


ITeeOpenGL.AmbientLight
ITeeOpenGL

property AmbientLight: Integer;

Type Library
TeeChartx

Description
Set percentage of Ambient light from 0..100.


IPointer.Brush
IPointer

property Brush: IBrush;

Type Library
TeeChartx

Description
The Brush property determines the kind of brush used to fill Series Pointers.


IAxisLabels.Item
IAxisLabels

property Item[Index: Integer]: IAxisLabelsItem;

Type Library
TeeChartx

Description
Returns an individual axis label item object.

Example [Visual Basic]:

Private Sub AddCustomLabels()

TChart1.Axis.Left.Labels.Clear

TChart1.Axis.Left.Labels.Add 123, "Hello"

TChart1.Axis.Left.Labels.Item(0).Font.Size = 16

TChart1.Axis.Left.Labels.Add 466, "Good" & Chr(13) & "Bye"

TChart1.Axis.Left.Labels.Item(1).Transparent = False

TChart1.Axis.Left.Labels.Add 300, ""

TChart1.Axis.Left.Labels.Add -100, ""

With TChart1.Axis.Left.Labels.Item(3)

.Transparent = False

.Transparency = 50

.Color = vbBlue

End With

End Sub


IMarksItem.properties
IMarksItem Legend key

Type Library
TeeChartx

In IMarksItem

Text
Visible

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IADXFunction.properties
IADXFunction Legend key

Type Library
TeeChartx

In IADXFunction

DMDown
DMUp


IActivityDonut.BackColor
IActivityDonut

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description

Activity Back colour.


ITeeFilter.asCrop
ITeeFilter

property asCrop: ICropFilter;

Type Library
TeeChartx

Description
The asCrop property is used by the TeeFilter Class to access Crop Filter specific properties.


IAxisTitle.methods
IAxisTitle Legend key

Type Library
TeeChartx

In IAxisTitle

Clicked


IPieAngle.properties
IPieAngle Legend key

Type Library
TeeChartx

In IPieAngle

EndAngle
MidAngle
StartAngle


IMargins.Right
IMargins

property Right: Integer;

Type Library
TeeChartx

Description

Sets Right margin as percentage of paper dimensions.


IGaugePointerRange.methods
IGaugePointerRange Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


IPen.Color
IPen

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
The Color property determines the color used by the pen to draw lines on the canvas.

The Color property can be any valid Delphi colour constant like clRed, clGreen, clBtnText, etc. or Visual Basic colours, vbRed, vbBlue, etc.

A special color constant unique to TeeChart is: clTeeColor This is the "default color".

Each TeeChart drawing object has a different default color. For example, the TChart.Frame property has a default color of vbBlack.


ITeeCommander.ButtonRotate
ITeeCommander

property ButtonRotate: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonRotate

Example:-

TeeCommander1.ButtonRotate.Hide


ITChart.OnLegendScrollBarToolSetPosition
ITChart

property OnLegendScrollBarToolSetPosition: TTChartOnLegendScrollBarToolSetPosition;

Type Library
TeeChartx

Description
Event called when the scrollbar Position property is changed.

This might happen because the end user has clicked or dragged the scrollbar or the program sets Position by code.


IColorBandTool.StartLine
IColorBandTool

property StartLine: IColorLineTool;

Type Library
TeeChartx


IPointer.Style
IPointer

property Style: EPointerStyle;

Type Library
TeeChartx

Description
Default Value: psRectangle

The Style property defines the shape used to display the Series Points.

The default psRectangle style can be optionally in 3D mode by setting the Pointer.Draw3D property to True.

The Series Pointer.Visible property should be True.


IAxis.TickOnLabelsOnly
IAxis

property TickOnLabelsOnly: WordBool;

Type Library
TeeChartx

Description
Default True

This property sets the Axis Ticks and Axis Grid to be drawn only to coincide at Labels. Otherwise they will be drawn at all axis increment positions. When the Axis.Labels.Separation property is greater than 0 (default 10), Axis increases the increment property to avoid Axis Label overlap.


IPieAngle.EndAngle
IPieAngle

property EndAngle: Double;

Type Library
TeeChartx


IMarksSymbol.Brush
IMarksSymbol

property Brush: IBrush;

Type Library
TeeChartx

Description
Corresponds to the Brush object that is used to fill the shape interior.


ICustomDPaletteSeries.GetSurfacePaletteColor

ICustom3DPaletteSeries.GetSurfacePaletteColor
ICustom3DPaletteSeries

function GetSurfacePaletteColor(Y: Double): OLE_COLOR;

Type Library
TeeChartx

Description
The GetSurfacePaletteColor function returns the color that corresponds to a given Y value. The Palette is used to lookup the color intervals. This function can be use to draw Surface color legends.

Example [Visual Basic]:

Form1.Canvas.Pen.Color = TChart1.Series(0).asSurface.GetSurfacePaletteColor 1234.56


ISeries.LastValueIndex
ISeries

property LastValueIndex: Integer;

Type Library
TeeChartx

Description
This property returns the ValueIndex of the Last point in the Series that has an X value which is between the Horizontal Axis Maximum and Minimum values.

When no Zoom is applied to the Chart, and the Axis are Automatic, the LastValueIndex is the same as Series.Count-1.

If the Series has no points or there are no visible points, the LastValueIndex returns -1.


IMarksItem.Visible
IMarksItem

property Visible: WordBool;

Type Library
TeeChartx

Description
Sets individual Mark visibility.


ITChart.OnDataTableToolFilterSeries
ITChart

property OnDataTableToolFilterSeries: TTChartOnDataTableToolFilterSeries;

Type Library
TeeChartx


ISoftenFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IConvolveFilter
|
ISoftenFilter


INearestTool.Distance
INearestTool

property Distance: Integer;

Type Library
TeeChartx


IWalls.Visible
IWalls

property Visible: WordBool;

Type Library
TeeChartx

Description
Default value: True

TChart.Walls.Visible will draw Left and Bottom "walls" to simulate 3D effect. You can control the 3D Wall proportion by using Chart.Aspect.Chart3DPercent property. Chart.Aspect.View3D controls (on/off) Walls.Visible property.


ISeries.EndUpdate
ISeries

procedure EndUpdate;

Type Library
TeeChartx

Description
See also the BeginUpdate method.

These methods can be used when adding or modifying many values at once at a source Series to recalculate the function just one time, when finished adding points.


ISeries.DataSource
ISeries

property DataSource: OleVariant;

Type Library
TeeChartx

Description
Any Series can be optionally connected to a "point provider" (or DataSource). The "point provider" (or DataSource) can be:

1) Another Chart Series.

2) Any OLE DB or ODBC Table or Query (via ADO).

Points must be manually added by coding if no DataSource class is specified.

Please refer to Line, Bar, Point, Area, Bubble, Gantt,

DataSource property Example

This example shows how to connect a Series to an OLE DB or ODBC Table using the DataSource property. All that is demonstrated here by code can be done VISUALLY, using the Chart Editor Dialog.

By code, to add an OLE DB or ODBC datasource to a Series:

1) Have a DSN defined.

2) Add a Bar Series to TChart.

Visual Basic

With TChart1.Series (0)

.DataSource = "DSN=SQLSource; TABLE=DOLLAR"

.YValues.ValueSource = "WEIGHT"

' -- Where WEIGHT is the Field for Bar Values

.LabelsSource:="NAME" '--Where NAME is the Field for Bar Labels }

End with

This example shows how to connect a Series to another Series using the DataSource property.

TChart1.Series(2).DataSource = "Series1"

'-- Where "Series1" is the name of another Series in your Form

Note

Don't confuse Series1 with Series(1). Series0 is the default name given to the first Series on a form and would be accessible by index (0) eg. TChart1.Series(0) but you may change the names of Series by using the Series.Title property, Thus Series(0) could be entitled "MySeries" which is the name that should be used for the Datasource if it should be included as datasource for another Series.

More than one Series at a time may be accessed by the Datasource property:

TChart1.Series(1).DataSource = "Series0, Series2, Series3"

To allow definition of multiple Series input Function for Series(1).

Points must be manually added by coding if no DataSource class is specified. See Series.Add(), AddXY(), AddNull() and AddNullXY().

Refreshing Recordset data

In this case, when datasourcing to a Recordset you'll need to reset the Datasource property when modifying the Recordset.

eg.

Code (Visual Basic):

Private Sub AddPoint(DT As Date, Value As Double)

rs.AddNew

rs(DField) = DT

rs(VField) = Value

rs.Update

TChart1.Series(0).DataSource = rs

End Sub


IMargins.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMargins


IDragPointTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IDragPointTool


ITeeShapes.methods
ITeeShapes Legend key

Type Library
TeeChartx

In ITeeShapes

Add


ICrossTabSource.methods
ICrossTabSource Legend key

Type Library
TeeChartx

In ICrossTabSource

Load

Derived from ISeriesSource

Close
Open

Derived from ITeeLinked

AboutBox


IGradient.properties
IGradient Legend key

Type Library
TeeChartx

In IGradient

Angle
Balance
Colors
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
UseMiddleColor
Visible


ITChart.OnOpenGLRepaint
ITChart

property OnOpenGLRepaint: TNotifyEvent;

Type Library
TeeChartx

Description
Event called when any of the properties of a GLCanvas is changed and the chart needs to be repainted.


IAxisTitle.Caption
IAxisTitle

property Caption: WideString;

Type Library
TeeChartx

Description
The Caption property defines the string of text used to draw near to each Chart Axis. When empty, no Title is displayed. Use the Angle and Font properties to control Axis Title formatting.


IEPSExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IEPSExport


IWorldSeries.map
IWorldSeries

property map: EWorldMap;

Type Library
TeeChartx


IPanel.BevelOuter
IPanel

property BevelOuter: EPanelBevel;

Type Library
TeeChartx

Description
The Bevelouter property defines the outer bevel type of the TChart Panel border.

Available types:

bvNone

bvLowered

bvRaised


ILegendItem.SymbolRect
ILegendItem

property SymbolRect: TeeRect;

Type Library
TeeChartx

Description
Returns bounding rectangle in pixels of the Symbol.


ICustomPolarSeries.RadiusValues
ICustomPolarSeries

property RadiusValues: IValueList;

Type Library
TeeChartx

Description
The list of radius values for each polar point.

The RadiusValues property is a TList object that stores each Polar point Radius value. You can change Radius values by using the RadiusValues.Value[] array of doubles property:

Example [Visual Basic]:

TChart1.Series( 0 ).asPolar.RadiusValues.Value( 0 ) = 49

This sets the first point radius to 49


ITriSurfaceSeries.HideTriangles
ITriSurfaceSeries

property HideTriangles: WordBool;

Type Library
TeeChartx

Description
Default True

Constructed triangles behind other triangles are hidden before displaying them.


IPrinter.MarginBottom
IPrinter

property MarginBottom: Integer;

Type Library
TeeChartx

Description
Default Value: 15

The Chart.Printer class has four margin properties: MarginLeft, MarginRight, MarginTop, MarginBottom.

These margins are expressed as a percentage of paper dimensions.


IPieSeries.GradientBright
IPieSeries

property GradientBright: Integer;

Type Library
TeeChartx

Description

Gradient Bright.


IAxisLabels.Visible
IAxisLabels

property Visible: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The Labels Visible property shows or hide Axis Labels. Set it to False to draw the Axis Ticks and / or Grid lines only.

Use the Labels.Angle and Label.Style properties to control Label appearing.

Use the Visible property to show or hide both the Axis Labels, Ticks and Grid lines.


ITeeEditorOptions.Change
ITeeEditorOptions

property Change: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


IPolarLabels.AntiOverlap
IPolarLabels

property AntiOverlap: WordBool;

Type Library
TeeChartx


IPointDSeries.properties

IPoint3DSeries properties
IPoint3DSeries Legend key

Type Library
TeeChartx

In IPoint3DSeries

BaseLine
DepthSize
LinePen
LineTransparency
Pointer

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IOrgSeries.Add
IOrgSeries

function Add(Const Text: WideString; Superior: Integer): Integer;

Type Library
TeeChartx

Description
Adds a new item to the Items collection with the specified Text and Superior parameters.


IAxis.SetMinMax
IAxis

procedure SetMinMax(AMin, AMax: Double);

Type Library
TeeChartx

Description
The SetMinMax method changes the current Axis Minimum and Maximum scales. The Axis.Automatic property is set to False.

Example [Visual Basic]:

This call:

TChart1.Axis.Bottom.SetMinMax 100, 300

is equivalent to:

TChart1.Axis.Bottom.Automatic = False

TChart1.Axis.Bottom.Maximum = 300

TChart1.Axis.Bottom.Minimum = 100


IDataTableTool.AutoPosition
IDataTableTool

property AutoPosition: WordBool;

Type Library
TeeChartx

Description
To assign Automatic position of the Table. True by default.

Example [Visual Basic]:

tChart1.Tools.Items(0).asDataTable.AutoPosition = True


IPrinter.PageHeight
IPrinter

property PageHeight: Integer;

Type Library
TeeChartx

Description
PageHeight returns the page height of the active printer. Use with the PageWidth property and PrinterPartial . to print a Chart proportionally to the available size of the Printer's page.

Example [Visual Basic]:

Private Sub Command2_Click()

With TChart1.Printer

.Orientation = poLandscape

.BeginDoc

.PrintPartial 0, 0, .PageWidth / 2, .PageHeight

End With

With TChart2.Printer

.PrintPartial .PageWidth / 2, 0, .PageWidth, .PageHeight

.EndDoc

End With

End Sub


IClockGauge.Minutes
IClockGauge

property Minutes: IGaugeHand;

Type Library
TeeChartx


ICropFilter.Left
ICropFilter

property Left: Integer;

Type Library
TeeChartx

Description
Left bound beginning co-ordinate (Pixels) to set crop area.


ISeries.asBarD

ISeries.asBar3D
ISeries

property asBar3D: IBar3DSeries;

Type Library
TeeChartx

Description
Access to Bar3DSeries specific properties.


IPrinter.PrintPartial
IPrinter

procedure PrintPartial(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Use PrintPartial to send a Chart to the printer without ejecting a page. Multiple Charts may then be included on the same page. Use BeginDoc and EndDoc methods to start and end the print jobs.

PageWidth and PageHeight may be used to scale the print co-ordinates to the printer page. To mix TeeChart printer output with other print utput on the same page use the PrintPartialHandle method.

Example [Visual Basic]:

Private Sub Command2_Click()

With TChart1.Printer

.Orientation = poLandscape

.BeginDoc

.PrintPartial 0, 0, .PageWidth / 2, .PageHeight

End With

With TChart2.Printer

.PrintPartial .PageWidth / 2, 0, .PageWidth, .PageHeight

.EndDoc

End With

End Sub


ITowerSeries.PercentDepth
ITowerSeries

property PercentDepth: Integer;

Type Library
TeeChartx

Description
Default is 100 (full depth).

The percentage of "Z" depth size for tower cubes.


ICandleSeries.DrawD

ICandleSeries.Draw3D
ICandleSeries

property Draw3D: WordBool;

Type Library
TeeChartx


IShapeSeries.Gradient
IShapeSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description

Access Gradient fill characteristics for the ShapeSeries Shape.


ISubChart.Transparent
ISubChart

property Transparent: WordBool;

Type Library
TeeChartx

Description
Sets the transparency of the SubChart as a percentage.


ISurfaceSeries.DotFrame
ISurfaceSeries

property DotFrame: WordBool;

Type Library
TeeChartx

Description
Default False

This property sets the SurfaceSeries to display as a grid of dots (pixels). It's very similar to the WireFrame mode except that no lines connect the Surface's points.


IWindRoseSeries.MirrorAngles
IWindRoseSeries

property MirrorAngles: WordBool;

Type Library
TeeChartx

Description
Default is False.

When True, points displayed in the WindRose series will be horizontally mirrored.

Labels showing the wind coordinates (S,N,W,E, etc) around the series aren't mirrored.

If you want to mirror the labels but not the points, use the MirrorLabels property.


ITeeBasePath.Curve
ITeeBasePath

procedure Curve(ArraySize: Integer; XArray, YArray: OleVariant; Tension: Integer; Closed: WordBool);

Type Library
TeeChartx


IActivityGauge.BackColor
IActivityGauge

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description

Main Activity Back colour.


IZoom.FullRepaint
IZoom

property FullRepaint: WordBool;

Type Library
TeeChartx


ISeriesBandTool.properties
ISeriesBandTool Legend key

Type Library
TeeChartx

In ISeriesBandTool

Brush
DrawBehindSeries
Gradient
Pen
Series2
Transparency

Derived from ICustomToolSeries

Series


ISeriesAnimationTool.Loop
ISeriesAnimationTool

property Loop: ESeriesAnimationLoop;

Type Library
TeeChartx

Description
Gets or sets if the animation will stop when finished or will re-start again.

Possible values are:

salNo (no loop, single pass animation, the animation stops when finished)

salOneWay (the animation loops starting from the beggining)

salCircular (the animation loops from the last step to the first and then to the last again)

The default value is salNo meaning the animation will not perform any loop.


IBackImage.Left
IBackImage

property Left: Integer;

Type Library
TeeChartx

Description
Default is zero.

Origin horizontal coordinate in pixels to display the chart background image picture.


ISeries.asDeltaPoint
ISeries

property asDeltaPoint: IDeltaPointSeries;

Type Library
TeeChartx

Description
The asDeltaPoint property is used by the Series Class to access DeltaPoint Series specific properties.


ICustomDGridSeries.ReCreateValues

ICustom3DGridSeries.ReCreateValues
ICustom3DGridSeries

procedure ReCreateValues;

Type Library
TeeChartx

Description
This method forces Surface Series to delete all points and create them again using the OnGetYValue event. The CreateValues method is called using the current X and Z grid dimensions.


ISeries.CalcYPos
ISeries

function CalcYPos(SomeValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns the pixel Screen Vertical coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Vertical Axis.

CalcYPos Method (Series) Example

We want to know which is the Vertical Screen coordinate of the 22nd Series point:

Visual Basic

tmp = TChart1.Series( 0 ).CalcYPos(21)

'remember points start at 0


IFaderTool.Color
IFaderTool

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Default : Black

Defines the initial (Fade in) or end (Fade out) Color to use.


ITChart.OnKeyDown
ITChart

property OnKeyDown: TTChartOnKeyDown;

Type Library
TeeChartx

Description

When the Chart has focus the event triggers when a key pressed down.


IAnnotationCallout.XPosition
IAnnotationCallout

property XPosition: Integer;

Type Library
TeeChartx

Description
The X pixel coordinate of the ending point of the annotation callout line.


ICLVFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICLVFunction


ICustomDPaletteSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries


ITeeScrollBar.Arrows
ITeeScrollBar

property Arrows: WordBool;

Type Library
TeeChartx


IGaugeSeries.properties
IGaugeSeries Legend key

Type Library
TeeChartx

In IGaugeSeries

Axis
Center
CircleGradient
EndPoint
FullRepaint
HandDistance
HandStyle
LabelsInside
Maximum
Minimum
MinorTickDistance
ShapeStyle
TotalAngle
Value

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ISeriesAnimationTool.Series
ISeriesAnimationTool

property Series: OleVariant;

Type Library
TeeChartx


IAreaSeries.YOrigin
IAreaSeries

property YOrigin: Double;

Type Library
TeeChartx

Description
The YOrigin property defines the YValue to be used as the origin for the specified Area Series.

Example [Visual Basic]:

TChart1.Series(0).asArea.UseYOrigin = True

TChart1.Series(0).asArea.YOrigin = 200


ITChart.OnSeriesClickPointer
ITChart

property OnSeriesClickPointer: TTChartOnSeriesClickPointer;

Type Library
TeeChartx

Description
This event is similar to the OnClick event except it will only trigger when mouse clicks over Pointers, not Lines.


ISeriesStatsTool.Kurtosis
ISeriesStatsTool

function Kurtosis: Double;

Type Library
TeeChartx


IAutomaticText.Hide
IAutomaticText

property Hide: WordBool;

Type Library
TeeChartx


IMapPolygonList.Exchange
IMapPolygonList

procedure Exchange(a, b: Integer);

Type Library
TeeChartx


ISeries.asFunnel
ISeries

property asFunnel: IFunnelSeries;

Type Library
TeeChartx

Description
The asFunnel property is used by the Series Class to access Funnel Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1

.AddSeries scFunnel

.Series(0).FillSampleValues 10

.Legend.Visible = False

With .Series(0).asFunnel

.AboveColor = vbCyan

.BelowColor = vbBlue

.WithinColor = vbRed

.LinesPen.Color = vbGreen

End With

End With


IPrinterSettings.TTOption
IPrinterSettings

property TTOption: SmallInt;

Type Library
TeeChartx

Description
Specifies how TrueType fonts should be printed. This member can be one of the following values.

Value - Meaning

1 - DMTT_BITMAP Prints TrueType fonts as graphics. This is the default action for dot-matrix printers.

2 - DMTT_DOWNLOAD Downloads TrueType fonts as soft fonts. This is the default action for Hewlett-Packard printers that use Printer Control Language (PCL).

3 - DMTT_SUBDEV Substitutes device fonts for TrueType fonts. This is the default action for PostScript printers.

4 - DMTT_DOWNLOAD_OUTLINE Window 95/98/Me, Windows NT 4.0 and later: Downloads TrueType fonts as outline soft fonts.


ITeePointD.properties

ITeePoint3D properties
ITeePoint3D Legend key

Type Library
TeeChartx

In ITeePoint3D

Z

Derived from ITeePoint2D

X
Y


ICustomToolAxis.Axis
ICustomToolAxis

property Axis: OleVariant;

Type Library
TeeChartx

Description
Assign to this property the Chart Axis to which Tool will belong. Axes as numeric values are as follows (see EAxisType):

atLeft = Left axis = 0

atTop = Top axis = 1

atRight = Right axis = 2

atBottom =Bottom axis = 3

atDepth =Depth axis = 4

atCustom =Custom axis = 5

The values increment 1 for each Custom Axis starting at Custom Axis = 5.

Example [Visual Basic]

TChart1.Tools.Items(0).asAxisArrow.Axis = atRight 'Right Axis

Example [Visual C++]

VARIANT TheAxis;

TheAxis.vt=VT_I2;

TheAxis.intVal=2;

m_Chart1.GetTools().GetItems(0).GetAsAxisArrow().SetAxis(TheAxis);

Alternatively use the Axis by passing it as an interface.

Example [Visual Basic]

TChart1.Tools.Items(0).asAxisArrow.Axis = TChart1.Axis.Right

Example [Visual C++]

VARIANT TheAxis;

CAxis LeftAxis=m_Chart1.GetAxis().GetRight();

TheAxis.vt=VT_DISPATCH;

TheAxis.pdispVal=RightAxis;

m_Chart1.GetTools().GetItems(0).GetAsAxisArrow().SetAxis(TheAxis);


ITChart.AboutBox
ITChart

procedure AboutBox;

Type Library
TeeChartx

Description
Displays the TeeChart Pro Aboutbox which contains version information.


IFibonacciLevels.Level
IFibonacciLevels

property Level[Index: Integer]: IFibonacciItem;

Type Library
TeeChartx

Description

Defines the Level of specific Level.


IZoom.methods
IZoom Legend key

Type Library
TeeChartx

In IZoom

Undo
ZoomPercent
ZoomRect


IPanel.MarginRight
IPanel

property MarginRight: Integer;

Type Library
TeeChartx

Description
Each Chart.Panel class has four margin properties: LeftMargin, RightMargin, TopMargin, BottomMargin.

These properties are expressed as a percentage of the pixel height (for top and bottom margins) and width (for left and right margins) of the Chart Canvas. Default values are 8 for top and bottom margins and 12 for left and right margins.

Example [Visual Basic]:

You can change both at design and runtime the margins properties:

TChart1.Panel.MarginRight = 60


ISeriesAnimationTool.methods
ISeriesAnimationTool Legend key

Type Library
TeeChartx

In ISeriesAnimationTool

Execute
Stop


ISeriesRegionTool.UseOrigin
ISeriesRegionTool

property UseOrigin: WordBool;

Type Library
TeeChartx

Description
Default is True.

When UseOrigin is True, the regions are filled using the point values and the Origin property constant value.

When UseOrigin is False, regions are filled between the series point values and the axis line.


ISeries.asBoxPlot
ISeries

property asBoxPlot: IBoxPlotSeries;

Type Library
TeeChartx

Description
The asBoxPlotSeries property is used by the Series Class to access BoxPlot Series specific properties.


IBarDSeries.OffsetValues

IBar3DSeries.OffsetValues
IBar3DSeries

property OffsetValues: IValueList;

Type Library
TeeChartx

Description
Set OffsetValues property to specify a different ORIGIN value for EACH bar point.

This can be used with standard TBarSeries series components to make a "Stacked-3D" chart type.

Series1.OffsetValues(3) = 25


ITeePreviewerOptions.ChangeMargins
ITeePreviewerOptions

property ChangeMargins: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


IPointFigureSeries.DownSymbol
IPointFigureSeries

property DownSymbol: IPointer;

Type Library
TeeChartx

Description
Refers to the symbol that is painted for price down periods.


IShapeCallout.Size
IShapeCallout

property Size: Integer;

Type Library
TeeChartx


ITChart.OnGetSeriesPointerStyle
ITChart

property OnGetSeriesPointerStyle: TTChartOnGetSeriesPointerStyle;

Type Library
TeeChartx

Description
This event is triggered when TeeChart Series Points are drawn. It may be used to modify the PointerStyle of individual points.

Example [Visual Basic]:

Private Sub TChart1_OnGetSeriesPointerStyle(ByVal SeriesIndex As Long, ByVal ValueIndex As Long, AStyle As TeeChart.EPointerStyle)

Select Case ValueIndex Mod 3

Case 0: AStyle = psDownTriangle

Case 1: AStyle = psDiamond

Case 2: AStyle = psRectangle

End Select

End Sub


IImagePointSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICustomImagePointSeries
|
IImagePointSeries


ISeries.MinVisibleValue
ISeries See also

function MinVisibleValue(valueList: Integer): Double;

Type Library
TeeChartx

Description
Returns the Min Visible Value for a given ValueList.

Example

--------------

With TChart1.Series(0)

If .Count > 0 Then

OpenLabelMx.Caption = .ValueLists.Items(4).Name

OpenLabelMn.Caption = .ValueLists.Items(4).Name

OpenValMx.Caption = .MaxVisibleValue(4)

OpenValMn.Caption = .MinVisibleValue(4)

End if

End with

See also:
IAxis.MinVisibleSeriesValue


IContourMarks.ColorLevel
IContourMarks

property ColorLevel: WordBool;

Type Library
TeeChartx

Description
When True sets Font colour of Mark text to that of the Segment it is on.


IErrors.Format
IErrors

property Format: IErrorsFormat;

Type Library
TeeChartx


ICircledSeries.CircleBackColor
ICircledSeries

property CircleBackColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: clTeeColor

The CircleBackColor determines the color to fill the ellipse. Setting it to clTeeColor indicates the CircledSeries to use to TChart.Panel.Color color.


IKMeansClustering.properties
IKMeansClustering Legend key

Type Library
TeeChartx

In IKMeansClustering

MaxIterations
NumClusters

Derived from IBaseClustering

Linkage


IRadarSeries.methods
IRadarSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IPageNumTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
IPageNumTool


ILegend.Clicked
ILegend

function Clicked(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Returns the index of the clicked Legend Point.


IZoom.MouseWheel
IZoom

property MouseWheel: EMouseWheelStyle;

Type Library
TeeChartx


ITools.asSubChart
ITools

property asSubChart: ISubChartTool;

Type Library
TeeChartx

Description
The asSubChart property is used by the Tools Class to access SubChart Tool specific properties.


IHueLumSatFilter.Hue
IHueLumSatFilter

property Hue: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount to change each pixel Hue.

"Hue" means the color component of the pixel (ie: if the pixel is red or orange or yellow, green, blue, etc)

Valid range of values is from -255 to 255.


ITeeGDIPlus.properties
ITeeGDIPlus Legend key

Type Library
TeeChartx

In ITeeGDIPlus

Active
Antialias
AntiAliasText
Scale


IColorLineTool.properties
IColorLineTool Legend key

Type Library
TeeChartx

In IColorLineTool

AllowDrag
Annotation
AnnotationValue
DragRepaint
Draw3D
DrawBehind
NoLimitDrag
Pen
Style
Value

Derived from ICustomToolAxis

Axis


IGIFExport.DitherMode
IGIFExport

property DitherMode: EGIFDitherMode;

Type Library
TeeChartx

Description
Sets the type of GIF dithermode.

Options:

dmNearest

dmFloydSteinburg

dmStucki

dmSierra

dmJaJuNI

dmSteveArche

dmBurkes


IBrightnessFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAmountFilter
|
IBrightnessFilter


IColorBandTool.Color
IColorBandTool

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Set Band colour.


IPrinter.MarginLeft
IPrinter

property MarginLeft: Integer;

Type Library
TeeChartx

Description
Default Value: 15

The Chart.Printer class has four margin properties: MarginLeft, MarginRight, MarginTop, MarginBottom.

These margins are expressed as a percentage of paper dimensions.


IFunnelSeries.methods
IFunnelSeries Legend key

Type Library
TeeChartx

In IFunnelSeries

AddSegment
Recalc


ITChart.MultiLineTextWidth
ITChart

function MultiLineTextWidth(Const AString: WideString; NumLines: Integer; TextFormat: ETextFormat): Integer;

Type Library
TeeChartx

Description
Returns width of longest line of text in S string.

The NumLines parameter returns the number of lines in S string.


ISeriesGroups.properties
ISeriesGroups Legend key

Type Library
TeeChartx

In ISeriesGroups

Count
Items


IExport.SaveToFile
IExport

procedure SaveToFile(Const FileName: WideString);

Type Library
TeeChartx

Description
This method is now deprecated. Please see the INativeExport interface for the newer, more complete functionality.

SaveToFile saves a .tee format Chart template file. The native TeeChart format files are an efficient way to store Chart definition and (optionally) data.

Example [Visual Basic]:

TChart1.Export.SaveToFile "c:\temp\mychart.tee"


ITernarySeries.properties
ITernarySeries Legend key

Type Library
TeeChartx

In ITernarySeries

AxisScale
Gradient
LinesPen
Pointer
RadiusValues
RotateLabels
TernaryLegendStyle
TernaryMarkStyle
TernaryStyle
VertexA
VertexB
VertexC
WeightValues

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


ICustomBarSeries.BarStyle
ICustomBarSeries

property BarStyle: EBarStyle;

Type Library
TeeChartx

Description
Default Value: bsRectangle

The BarStyle property defines the Bar shape used to draw Bars.

Example [Visual Basic]:

This example sets the BarStyle to the Pyramid type.

TChart1.Series(0).asBar.BarStyle = bsPyramid


IHorizBarSeries.properties
IHorizBarSeries Legend key

Type Library
TeeChartx

In IHorizBarSeries

BarHeight

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


ITChart.ClearChart
ITChart

procedure ClearChart;

Type Library
TeeChartx

Description
The ClearChart method internally creates a new Chart thereby deleted all changes made to the Chart Series and configuration.


IClockSeries.PenMinutes
IClockSeries

property PenMinutes: IPen;

Type Library
TeeChartx

Description

Pen for the Clock's Minute hand.


ITeeFunction.asCompress
ITeeFunction

property asCompress: ICompressFunction;

Type Library
TeeChartx

Description
The asCompress property is used by the Teefunction Class to access Compress Function specific properties.


IGaugeSeries.Maximum
IGaugeSeries

property Maximum: Double;

Type Library
TeeChartx

Description
Default : 100

Gets or sets the maximum value for the gauge.


ICCIFunction.Constant
ICCIFunction

property Constant: Double;

Type Library
TeeChartx

Description
Default value: 0.015

Value to multiply mean deviation.


ITernarySeries.methods
ITernarySeries Legend key

Type Library
TeeChartx

In ITernarySeries

AddBubbleXYZ
AddBubbleXYZWeight
CalcPointFromValues

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ITextShape.Margins
ITextShape

property Margins: IMargins;

Type Library
TeeChartx

Description

The Margins property sets the four margins, Left, Top, Right, and Bottom.


ITeeAnimate.SpeedFactor
ITeeAnimate

property SpeedFactor: Double;

Type Library
TeeChartx


IColorFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IColorFilter


ICalendarCell.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICalendarCell


IAxis.Index
IAxis See also

property Index: Integer;

Type Library
TeeChartx

Description

Returns the Axis Index. Use to obtain Indices when setting Axes to Isometric.

See also:
IAxes.SetIsometric


IMarks.Visible
IMarks

property Visible: WordBool;

Type Library
TeeChartx

Description
The Visible property controls if Series Marks will be displayed or not.


ILegendScrollBarTool.InitialDelay
ILegendScrollBarTool

property InitialDelay: Integer;

Type Library
TeeChartx

Description
The amount in milliseconds that the scrollbar will delay before starting the auto-repeat feature.

See also the AutoRepeat property.


ICandleSeries.CloseTickColor
ICandleSeries

property CloseTickColor: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the colour for the close ticks.

Financial Candle series provides the option to customize the colors for open and close ticks when CandleStyle is csCandleBar.


ISeriesRegionTool.UpperBound
ISeriesRegionTool

property UpperBound: Double;

Type Library
TeeChartx

Description
Default is zero.

When AutoBounds property is False, UpperBound value is used as the index of the last point in the series to start filling regions.

See also LowerBound property.


ISeries.LabelsSource
ISeries

property LabelsSource: WideString;

Type Library
TeeChartx

Description
The LabelsSource is the name of an ODBC DataSet field. DataSet can be a Table or Query. This is the database field that contains the point Labels. Valid Field types are all that have a valid AsString method. This property is optional. If no LabelsSource specified, Series XLabels will be empty.


IBMPExport.Monochrome
IBMPExport

property Monochrome: WordBool;

Type Library
TeeChartx

Description
When True exports BMP as monochrome


ITeeListBox.SelectedSeries
ITeeListBox

property SelectedSeries: Integer;

Type Library
TeeChartx

Description
Shows the SeriesList index value of the selected Series.


IAntiAliasTool.Bitmap
IAntiAliasTool

property Bitmap: ITeePicture;

Type Library
TeeChartx

Description
Accesses to the IPicture properties and methods which allow to return Anti-Aliased bitmap.


IValueList.TotalABS
IValueList

property TotalABS: Double;

Type Library
TeeChartx

Description
Run-time and read only.

The TotalABS property returns the sum of all values in the list. The values are first converted to their absolute value.

PieSeries, for example, uses this property to calculate the percent each Pie slice represents.

See IValueList.Maximum property for more information.


IFastLineSeries.properties
IFastLineSeries Legend key

Type Library
TeeChartx

In IFastLineSeries

AutoRepaint
AutoSizeVertAxis
DrawAllPoints
DrawAllPointsStyle
DrawStyle
FastPen
IgnoreNulls
InvertedStairs
LinePen
Stairs
TreatNulls


ITeeListBox.ShowEditor
ITeeListBox

procedure ShowEditor;

Type Library
TeeChartx

Description
Allows you to edit the text of one particular item in the TeeListBox.


ITools.ShowInEditor
ITools

property ShowInEditor: WordBool;

Type Library
TeeChartx

Description
Allow to Hide a specific Tool in the Editor.

Example [Visual Basic]:

tChart1.Tools.Items(0).ShowInEditor = False


ISARFunction.properties
ISARFunction Legend key

Type Library
TeeChartx

In ISARFunction

AccelerationFactor
MaxStep


ITitles.VertMargin
ITitles

property VertMargin: Integer;

Type Library
TeeChartx

Description
Space between Title and top of Chart Rectangle.


IMapSeries.Shapes
IMapSeries

property Shapes: IMapPolygonList;

Type Library
TeeChartx

Description
The Shapes property contains all polygon shapes used to draw the Map Series. Use this property to have access to the different polygon shapes.


ITeeShapes.Item
ITeeShapes

property Item[AIndex: Integer]: ITeeShapeItem;

Type Library
TeeChartx


IWaterfallSeries.properties
IWaterfallSeries Legend key

Type Library
TeeChartx

In IWaterfallSeries

Waterfall
WaterLines

Derived from ISurfaceSeries

DotFrame
FastBrush
HideCells
SideBrush
SideLines
SmoothPalette
Transparency
WireFrame

Derived from ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IAspect.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAspect


IVideoTool.Compression
IVideoTool

property Compression: WideString;

Type Library
TeeChartx

Description
Returns the name of the current selected video compression codec (if any).


ITeeFunction.asAverage
ITeeFunction

property asAverage: IAverageFunction;

Type Library
TeeChartx

Description
The asAverage property is used by the Teefunction Class to access Bollinger Function specific properties.


IAxisLabels.Angle
IAxisLabels

property Angle: Integer;

Type Library
TeeChartx

Description
Default Value: 0

The Axis.Labels.Angle property defines the rotation degree applied to each Axis Label. Valid degree angle values are 0, 90, 180, 270 and 360. Some printers and video drivers fail when drawing rotated fonts or calculating the rotated font dimensions. Metafile Charts containing rotated fonts sometimes place text at sligthly different coordinates.


IPointer.Emboss
IPointer

property Emboss: ITeeEmboss;

Type Library
TeeChartx


IChartImageTool.ImageLoad
IChartImageTool

procedure ImageLoad(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads an image from a specified file path.


ISubChart.Left
ISubChart

property Left: Integer;

Type Library
TeeChartx

Description
Gets or sets the horizontal Left position in pixels of the subchart.


IDrawLineTool.Clicked
IDrawLineTool

function Clicked(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Returns DrawLine Line at x,y point.


IAnimationList.Count
IAnimationList

property Count: Integer;

Type Library
TeeChartx


ITeePreviewPanel.AllowResize
ITeePreviewPanel

property AllowResize: WordBool;

Type Library
TeeChartx

Description
Default: True

When True permits mousedrag resize of the Chart for the printed page.


IMapMarks.UpperCase
IMapMarks

property UpperCase: WordBool;

Type Library
TeeChartx


ITeeOpenGL.FontExtrusion
ITeeOpenGL

property FontExtrusion: Double;

Type Library
TeeChartx

Description
OpenGL text can be displayed with "extrusion" (this means 3D solid fonts).

Default value is zero (no extrusion), and can be set to a positive number of pixels.


ICustomPolarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries


ISeriesRegionTool.AutoBounds
ISeriesRegionTool

property AutoBounds: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, the LowerBound and UpperBound properties are automatically calculated using the number of points in the series:

LowerBound is set to zero (this is the index of the first point in the series).

UpperBound is set to Series(x).Count -1 (the index of the last point in the series).

When False, you can set the custom bound values, for example:

With tChart1.Tools.Items(0).asSeriesRegion do

AutoBounds = False

LowerBound = 12

UpperBound = 35

End With


IColorLineTool.DragRepaint
IColorLineTool

property DragRepaint: WordBool;

Type Library
TeeChartx

Description
Default False

When False the Chart doesn't repaint until the dragged ColorLine is released. Set to True to repaint the Chart while moving the ColorLine.


IPrinterSettings.methods
IPrinterSettings Legend key

Type Library
TeeChartx

In IPrinterSettings

InitPrinterOrientation


ITeeListBox.OnChangeOrder
ITeeListBox

property OnChangeOrder: TTeeListBoxOnChangeOrder;

Type Library
TeeChartx

Description
Triggered when a series in the listbox is exchanged with another series (series order in the list is changed).


IMetafileExport.methods
IMetafileExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


ITeeCustomShape.Width
ITeeCustomShape

property Width: Integer;

Type Library
TeeChartx

Description
Gets or sets the width of the shape.

The width corresponds to ShapeBounds.Right - ShapeBounds.Left


ISeriesMarksPositions.Automatic
ISeriesMarksPositions

procedure Automatic(Index: Integer);

Type Library
TeeChartx

Description
Sets the mark of Point Index to Automatic. If the Mark was previously at a Custom position the Chart must be repainted for the change to take effect.

Example [Visual Basic]:

'Place Mark of Point ValueIndex 3 to automatic position

TChart1.Series(0).Marks.Positions.Automatic(3)

TChart1.Repaint


ICustomAxes.methods
ICustomAxes Legend key

Type Library
TeeChartx

In ICustomAxes

Add
ResetScales


ICurveFittingFunction.TypeFitting
ICurveFittingFunction

property TypeFitting: ETypeFitting;

Type Library
TeeChartx

Description
Default Value: cfPolynomial

The TypeFitting property specifies the method used by CurveFittingFunction to calculate their point values. Currently only one fitting method is used: cfPolynomial

cfPolynomial means CurveFittingFunction will solve a linear equation system having as input all DataSource points.

Then, for each DataSource X coordinate a new Y value will be obtained by applying the resulting polynomy coefficients.


IAxisBreaks.Item
IAxisBreaks

property Item[Index: Integer]: IAxisBreak;

Type Library
TeeChartx


IBannerTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
IBannerTool


IMoneyFlowFunction.HistogramPen
IMoneyFlowFunction

property HistogramPen: IPen;

Type Library
TeeChartx

Description
Defines the Pen used to draw the border of the Histogram


IExpTrendFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExpTrendFunction


IZoomPanning.properties
IZoomPanning Legend key

Type Library
TeeChartx

In IZoomPanning

Active


IPrinter.PrintPartialHandle
IPrinter

procedure PrintPartialHandle(DC: OleVariant; Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Use PrintPartialHandle to 'attach' a TeeChart to an existing print job. This permits the mixture of TChart[s] with other non-chart, printer page output. Take care to change the TeeChart Printer Orientation to reflect that of the current print job.

Example [Visual Basic]:

Private Sub Command1_Click()

Dim HWidth, HHeight, ChartLeft, ChartTop, ChartRight, ChartBottom ' Declare variables.

On Error GoTo ErrorHandler ' Set up error handler.

Printer.Orientation = vbPRORPortrait

'Scale & position text.

HWidth = Printer.TextWidth(Text1.Text) / 2 ' Get half width.

HHeight = Printer.TextHeight(Text1.Text) / 2 ' Get half height.

Printer.CurrentX = Printer.ScaleWidth / 3 - HWidth

Printer.CurrentY = Printer.ScaleHeight / 3 - HHeight

Printer.Print Text1.Text ' Print 1st Text box

With TChart1.Printer

'Chart needs to orientated separately

.Orientation = poPortrait

'Set the chart position

ChartLeft = .PageWidth / 3

ChartTop = (.PageHeight / 3) + 30

ChartRight = (.PageWidth / 3) * 2

ChartBottom = (2 * (.PageHeight / 3)) - HHeight - 10

'Attach the Chart output to the open print job

.PrintPartialHandle Printer.hDC, ChartLeft, _

ChartTop, ChartRight, ChartBottom

End With

Printer.CurrentY = 2 * Printer.ScaleHeight / 3 - HHeight

Printer.CurrentX = Printer.ScaleWidth / 3 - HWidth

Printer.Print Text2.Text ' Print 2nd Text box

Printer.EndDoc ' Printing is finished.

Exit Sub

ErrorHandler:

MsgBox "There was a problem printing to your printer."

Exit Sub

End Sub


IAspect.Rotation
IAspect

property Rotation: Integer;

Type Library
TeeChartx

Description
Rotation is supported when TChart is in Native 3D or OpenGL Canvas mode. Rotate is not supported for 2D Charts or for 3D orthogonal Charts.

When in Native Windows 3D mode the Chart supports rotation through 270º to 360º. If the openGL canvas is enabled (Aspect.OpenGL.Active property = True) then the Chart may be rotated through a full 360º.

See the Elevation, Zoom, HorizOffset and VertOffset for more possibilities of Chart animation. The TeeCommander component offers a runtime Control bar to enable movement by mouse dragging on the Chart.

Example [Visual Basic]:

With TChart1.Aspect

.Orthogonal = False

.Chart3DPercent = 60

.Rotation = 350

End With


IContourLevels.Items
IContourLevels

property Items[Index: Integer]: IContourLevel;

Type Library
TeeChartx

Description
Accesses each Level of the ContourLevels list by index to read/modify characteristics.


IPrinter.PrintLandscape
IPrinter

procedure PrintLandscape;

Type Library
TeeChartx

Description
This method will set the current Printer orientation to Landscape (Horizontal paper). Then, the default TChart.Printer.Print method will be called and the previous Printer orientation will be restored.


ITChart.OnAddSeries
ITChart

property OnAddSeries: TTChartOnAddSeries;

Type Library
TeeChartx

Description
Triggered just after Series is added. This event wont be triggered when Series has been added through the Chart Editor.


ISeriesGroup.GroupLink
ISeriesGroup

property GroupLink: Integer;

Type Library
TeeChartx

Description

Internal use. Used when associating a Group with a TeeListBox.


ITeeRectArray.Count
ITeeRectArray

property Count: Integer;

Type Library
TeeChartx

Description
Number if ITeeRect in the array.


IRenkoSeries.UpSwingColor
IRenkoSeries

property UpSwingColor: OLE_COLOR;

Type Library
TeeChartx

Description
Color used to fill the bricks when trend is up.


IChartGrid.GridWidth
IChartGrid

property GridWidth: Integer;

Type Library
TeeChartx

Description
Read GridWidth to determine the size of the grid. If GridWidth is less than the value of ClientWidth, all of the columns of the grid appear in the control with an empty region to the right of the grid. If the underlying grid is too wide to appear in the control, GridWidth is the same as ClientWidth, and the user must scroll to see the entire contents of the grid.


IAxisArrowTool.properties
IAxisArrowTool Legend key

Type Library
TeeChartx

In IAxisArrowTool

Brush
HeadWidth
Length
Pen
Position
ScrollInverted
ScrollPercent
SizePercent

Derived from ICustomToolAxis

Axis


IDataTableTool.ClipText
IDataTableTool

property ClipText: WordBool;

Type Library
TeeChartx

Description
When True, restricts Text from displaying outside the Data Table.


IChartGridNavigator.GridLinkx

IChartGridNavigator.GridLinkx64
IChartGridNavigator

property GridLinkx64: OleVariant;

Type Library
TeeChartx


ITChart.OnRectangleToolDragging
ITChart

property OnRectangleToolDragging: TNotifyEvent;

Type Library
TeeChartx

Description
This event is called when the user is moving the mouse to drag the rectangle.

Dragging starts when the user maintains the left mouse button pressed over the rectangle.


IAxisLabels.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxisLabels


ICanvas.GrayScale
ICanvas

procedure GrayScale(Inverted: WordBool);

Type Library
TeeChartx

Description
The GrayScale method enables/disables the display of the TeeChart Canvas in GrayScale.


IPageNumTool.properties
IPageNumTool Legend key

Type Library
TeeChartx

In IPageNumTool

ButtonPen
ButtonWidth
DisabledButton
EnabledButton
Format
ShowButtons

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


IPointFigureSeries.BoxSize
IPointFigureSeries

property BoxSize: Double;

Type Library
TeeChartx

Description
Default value: 1

Determines the amount in price scales that is multiplied by ReversalAmount property.

ReversalAmount by BoxSize defines the maximum price difference allowed before adding a new column of symbols.

BoxSize itself defines the minimum change in price to draw a new symbol in the same column.


IGLPosition.X
IGLPosition

property X: Double;

Type Library
TeeChartx

Description
X pixel location.


IGLPosition.Y
IGLPosition

property Y: Double;

Type Library
TeeChartx

Description
Y pixel location.


IGLPosition.Z
IGLPosition

property Z: Double;

Type Library
TeeChartx

Description
Z pixel location.


ITreeMapSeries.methods
ITreeMapSeries Legend key

Type Library
TeeChartx

In ITreeMapSeries

AddValue

Derived from IOrgSeries

Add
FirstChild


IBezierSeries.NumBezierPoints
IBezierSeries

property NumBezierPoints: Integer;

Type Library
TeeChartx

Description
Default value: 32

Defines the number of points used in the Bezier calculation.


IHighLowLineSeries.Clicked
IHighLowLineSeries

function Clicked(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Return the index of the point clicked if click over point. If not returns -1.


ISurfaceSides.Pen
ISurfaceSides

property Pen: IPen;

Type Library
TeeChartx

Description
Attributes used to draw lines around the side edges of an iso-surface chart.


IResizeFilter.Height
IResizeFilter

property Height: Integer;

Type Library
TeeChartx

Description
Gets or sets the desired Height in pixels of the new image.


ITeeEditor.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ITeeEditor


ITeePicture.LoadImage
ITeePicture

procedure LoadImage(Const FileName: WideString);

Type Library
TeeChartx

Description
The LoadImage method loads a bitmap into an ITeePicture element from the specified path.

See an example of use at IBrush.LoadImage.


ITeeAnimation.StartTime
ITeeAnimation

property StartTime: Integer;

Type Library
TeeChartx


ISurfaceNearestTool.GetRow
ISurfaceNearestTool

function GetRow: Integer;

Type Library
TeeChartx

Description
This method fills in Row parameters of the row number that is under the mouse cursor.


IOrgItemCollection.Items
IOrgItemCollection

property Items[Index: Integer]: IOrgItem;

Type Library
TeeChartx

Description
Returns the item at the given index'th position.


ISeries.BeginUpdate
ISeries

procedure BeginUpdate;

Type Library
TeeChartx

Description
See also the EndUpdate method.

These methods can be used when adding or modifying many values at once at a source Series to recalculate the function just one time, when finished adding points.

Example (assumes Series(2) to be a function Series (eg. average))

Private Sub Command1_Click()

Dim i As Integer

'Set Function Period

TChart1.Series(2).FunctionType.Period = 3

'Begin Update

TChart1.Series(2).FunctionType.BeginUpdate

'Add Series points

For i = 0 To 500

TChart1.Series(0).AddXY TChart1.Series(0).Count, 500 * (Rnd * 1000), "", clTeeColor

TChart1.Series(1).AddXY TChart1.Series(1).Count, 500 * (Rnd * 1000), "", clTeeColor

Next i

'End update and display function Series

TChart1.Series(2).FunctionType.EndUpdate

End Sub


ILevelSegment.Points
ILevelSegment

property Points[Index: Integer]: ITeePoint2D;

Type Library
TeeChartx

Description
Use the Points property to have access to the co-ordinates PointList


ICircularFrame.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFramedBorder
|
ICircularFrame


ICircledSeries.PointToAngle
ICircledSeries

function PointToAngle(XCoord, YCoord: Integer): Double;

Type Library
TeeChartx

Description
The PointToAngle function returns the angle from the XY point parameter to the circle center. It currently works with Circled ellipses.

The formula used to calculate the Angle is:

result:=ArcTan(Abs(y-YCenter)/Abs(x-XCenter));

Angles are returned in radians from 0 to 2*PI.


IBackImage.Right
IBackImage

property Right: Integer;

Type Library
TeeChartx


IPieOtherSlice.Text
IPieOtherSlice

property Text: WideString;

Type Library
TeeChartx

Description
Title for otherSlice (default 'Other').


IScrollPagerTool.StartLinePointer
IScrollPagerTool

property StartLinePointer: IPointer;

Type Library
TeeChartx


ILegendPaletteTool.Foot
ILegendPaletteTool

property Foot: ITitles;

Type Library
TeeChartx


ICustomErrorSeries.ErrorWidthUnits
ICustomErrorSeries

property ErrorWidthUnits: EErrorWidthUnits;

Type Library
TeeChartx

Description
Default ewuPercent

The ErrorWidthUnits property determines if ErrorWidth property is expressed either in pixels or in percent of Bar width. By default, Error's "T" width is 100% of Bar width.

Example [Visual Basic]:

This code sets the Error "T" width to 25 % of Bar width:

TChart1.Series(0).asErrorBar.ErrorWidthUnits = ewuPercent

TChart1.Series(0).asErrorBar.ErrorWidth = 25


ISeries.VisibleCount
ISeries

function VisibleCount: Integer;

Type Library
TeeChartx

Description
Return the count of visible Series items. May be used with Chart zooming events to act when a zoom intensity has been reached.


ICustomDGridSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries


ITools.asRepaintMonitor
ITools

property asRepaintMonitor: IRepaintMonitorTool;

Type Library
TeeChartx


IColorBandTool.ResizeEnd
IColorBandTool

property ResizeEnd: WordBool;

Type Library
TeeChartx

Description

Gets or sets if the ColorBand tool allows mouse dragging of the edge corresponding to the end value.


IThemesList.ApplyFromChartLink
IThemesList

procedure ApplyFromChartLink(Chart: Integer);

Type Library
TeeChartx


IAxis.Increment
IAxis See also

property Increment: Double;

Type Library
TeeChartx

Description
Axis Increment is the minimum step between axis labels. It must be a positive number or DateTime value. TChart will use this value as the starting axis labels step. If there is not enough space for all labels, TChart will calculate a bigger one. You can use the DateTimeStep constant array for DateTime increments.

Example [Visual Basic]:

TChart1.Axis.Bottom.Increment = TChart1.GetDateTimeStep(dtOneHour)

TChart1.Axis.Right.Increment = 1000

To return the value of dynamically created increments on a plotted Chart please use the CalcIncrement method.

See also:
CalcIncrement


IWindRoseSeries.MirrorLabels
IWindRoseSeries

property MirrorLabels: WordBool;

Type Library
TeeChartx

Description
When is True mirrored labels are displayed.


IErrorsFormat.Top
IErrorsFormat

property Top: IPen;

Type Library
TeeChartx


IGaugeSeries.methods
IGaugeSeries Legend key

Type Library
TeeChartx

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IActivityDonut.Value
IActivityDonut

property Value: Double;

Type Library
TeeChartx

Description

Activity Value (from 0 to 100)


IAxisArrowTool.Brush
IAxisArrowTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


IAnnotationTool.Top
IAnnotationTool

property Top: Integer;

Type Library
TeeChartx

Description
Defines a Top position for the Annotation Tool text box and text.


ITeeCustomAnimation.Loop
ITeeCustomAnimation

property Loop: WordBool;

Type Library
TeeChartx


IPrinterSettings.LogPixels
IPrinterSettings

property LogPixels: Integer;

Type Library
TeeChartx

Description
Specifies the number of pixels per logical inch. Printer drivers do not use this member


ITeeAnimation.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeAnimation


ITeePreviewPanel.PaperColor
ITeePreviewPanel

property PaperColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: clWhite

Use Color to read or change the background color of the Preview Panel. This can be used to mimic different paper colors.


IOrgSeries.methods
IOrgSeries Legend key

Type Library
TeeChartx

In IOrgSeries

Add
FirstChild


IGanttSeries.EndValues
IGanttSeries

property EndValues: IValueList;

Type Library
TeeChartx

Description
The EndValues property defines the ending Gantt bar date value. The starting Gantt bar point is stored at GanttSeries.StartValues list property.

StartValues and EndValues can be specified both as DateTime or double values.

Both are standard IValueList classes. That means you can access their values with same methods as you can access X or Y values.

The GanttSeries.AddGantt and / or GanttSeries.AddGanttColor methods must be used to add Gantt bar points.


IGradientColors.Clear
IGradientColors

procedure Clear;

Type Library
TeeChartx


ICustomSortedFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSortedFunction


ISeries.CalcYPosValue
ISeries

function CalcYPosValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
Returns the pixel Screen Vertical coordinate of the specified Value.

This coordinate is calculated using the Series associated Vertical Axis.


ITeePreviewer.ShowPreview
ITeePreviewer

procedure ShowPreview;

Type Library
TeeChartx

Description
Show the previewer.


ITChart.Monochrome
ITChart

property Monochrome: WordBool;

Type Library
TeeChartx

Description
Default Value: False

The Monochrome property will allow Charts to be draw using only black and white colors. It's not yet completely implemented. It uses the internal Bitmap.Monochrome property to create a grey-scaled image output.


IScrollPagerTool.AddSeries
IScrollPagerTool

procedure AddSeries(AIndex: Integer);

Type Library
TeeChartx


IDrawLineList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDrawLineList


ILinearGauge.Visible
ILinearGauge

property Visible: WordBool;

Type Library
TeeChartx

Description
Determines if the Linear Gauge will be displayed or not.


IOrgSeries.LineStyle
IOrgSeries

property LineStyle: EOrgLineStyle;

Type Library
TeeChartx

Description
Gets or sets the style of lines to draw between item superiors and their child items.

Default is: lsSquared


IVideoTool.FrameDuration
IVideoTool

property FrameDuration: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount of milliseconds of delay between each frame when the video is played.


IAxes.Behind
IAxes

property Behind: WordBool;

Type Library
TeeChartx

Description
Controls wether axis will be displayed in-front or behind series.

Default value is: True.

(Corresponds to old Chart1.#link TCustomAxisPanel.AxisBehind#AxisBehind# property)


ITeePreviewer.PreviewerLink
ITeePreviewer

property PreviewerLink: Integer;

Type Library
TeeChartx

Description
Use this property to associate the TeePreviewer characteristics with the Previewer opended from a TeeCommander component.

Example

eg. Visual Basic

TeeCommander1.Previewer = TeePreviewer1

or

TeeCommander1.PreviewerLink = TChart1.PreviewerLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetPreviewerLink(m_Chart1.GetPreviewerLink());


ICustomPolarSeries.CircleLabels
ICustomPolarSeries

property CircleLabels: ICircleLabels;

Type Library
TeeChartx

Description
Sets CicleLabel properties.


ICanvas.AssignBrush
ICanvas

procedure AssignBrush(ABrush: Integer);

Type Library
TeeChartx

Description
The AssignBrush method copies the passed Brush properties into the Canvas brush, to fill graphical drawings using the specified brush color, pattern and image.

AssignBrush does additional tasks, like assigning the brush image ( if used ), and the background color parameter.

The BackColor parameter defines the background color used when the Brush Style property is not solid ( patterns, different than bsSolid ).

The foreground color is set to the Brush.Color property.


IPieSeries.SliceHeight
IPieSeries

property SliceHeight[Index: Integer]: Integer;

Type Library
TeeChartx

Description

Pen used to define perimiter of selected slice.


ISeries.asImagePoint
ISeries

property asImagePoint: IImagePointSeries;

Type Library
TeeChartx

Description
Access to ImagePointSeries specific properties.


IAspect.FontZoom
IAspect

property FontZoom: Integer;

Type Library
TeeChartx

Description

Default: 100 %

Determines the percentage to increase all font sizes.

For example, setting Chart1.View3DOptions.FontZoom := 200 will display all texts with double font size.


IChartFont.PixelsPerInch
IChartFont

property PixelsPerInch: Integer;

Type Library
TeeChartx

Description
Read only.

Indicates the conversion factor between logical inches and the pixels of the device (printer or screen) using the font.

PixelsPerInch is used to ensure that when a font is copied from the Form Canvas to the printer, the font is the same size in points. The property affects only printer fonts.

Example [Visual Basic]:

With TChart1

.Canvas.Font.Height = .Axis.Left.Title.Font.Size * _

.Axis.Left.Title.Font.PixelsPerInch / 72

.Canvas.TextOut 100, 100, "Text same size as Left Axis Title"

End With


IHierarchicalClustering.properties
IHierarchicalClustering Legend key

Type Library
TeeChartx

In IHierarchicalClustering

NumClusters

Derived from IBaseClustering

Linkage


ITowerSeries.Transparency
ITowerSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Default value: 0 (no transparency)

The percentage of semi-glass effect to display tower points.


IPage.Count
IPage

property Count: Integer;

Type Library
TeeChartx

Description
The Count property returns the number of Chart pages. The TChart.Page.MaxPointsPerPage property must be greater than zero to activate auto paging.

The TChart.Page.Current property determines the current visible page.

Example [Visual Basic]:

This code traverses all Chart pages:

For t = 1 To TChart1.Page.Count

TChart1.Page.Current = t

Next t

This code moves Chart to the last page

With TChart1

.Page.Current = .Page.Count

End With

This code moves the Chart to the first page

TChart1.Page.Current = 1


IWorldSeries.properties
IWorldSeries Legend key

Type Library
TeeChartx

In IWorldSeries

Flags
KeepAspect
map

Derived from IMapSeries

Emboss
MapMarks
Pointer
PointSize
RenderMode
Shadow
Shapes
Transparency
Transparent

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IMACDFunction.Period

IMACDFunction.Period2
IMACDFunction

property Period2: Double;

Type Library
TeeChartx

Description
The Period property controls how many points or X range(sse note below) will trigger a new point calculation.

You may switch between number of points or X range by using the TeeFunction.PeriodStyle property.


IGaugeSeries.Axis
IGaugeSeries

property Axis: IAxis;

Type Library
TeeChartx

Description
Returns the Axis object that Gauge series uses to display scales.


IMACDFunction.Period

IMACDFunction.Period3
IMACDFunction

property Period3: Integer;

Type Library
TeeChartx

Description
Determines the number of samples used to calculate a MACD function.


IColorGridSeries.Transparency
IColorGridSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Colour fill transparency level. Values 0 to 100.


ITChart.CanClip
ITChart

property CanClip: WordBool;

Type Library
TeeChartx

Description
Read-only property.

The CanClip returns if the Chart Canvas has the capability of "clipping" lines and polygons.

"Clipping" means the feature that allows hiding drawing outside the rectangle or polygon specifed by the developer.

CanClip returns False when the Chart is displayed in OpenGL 3D, or when the Chart is printed and the TeeClipWhenPrinting constant is True, or when the Chart is converted to a metafile image and the TeeClipWhenMetafiling constant is True.

By default all display drivers and printers support clipping.

You can turn off the clipping constants in case the printer or display driver has a bug related to clipping.

See also:

ClipPoints property.

TeeClipWhenPrinting constant.

TeeClipWhenMetafiling constant.

ClipCanvas global procedure.

UnClipCanvas global procedure.

ClipRoundRectangle global procedure.

ClipPolygon global procedure.


ISeries.asWaterfall
ISeries

property asWaterfall: IWaterfallSeries;

Type Library
TeeChartx

Description
The asWaterfall property is used by the Series Class to access Waterfall Series specific properties.


ISeriesTextField.properties
ISeriesTextField Legend key

Type Library
TeeChartx

In ISeriesTextField

FieldIndex
FieldName


IErrorsFormat.Left
IErrorsFormat

property Left: IPen;

Type Library
TeeChartx


IBevelFilter.properties
IBevelFilter Legend key

Type Library
TeeChartx

In IBevelFilter

Bright
Size


IPen.Hide
IPen

procedure Hide;

Type Library
TeeChartx

Description
Hides the Pen.


ISeriesTextSource.HeaderLines
ISeriesTextSource

property HeaderLines: Integer;

Type Library
TeeChartx

Description
Setting HeaderLines defines the number of lines that act as headers to the data in the text source file. The contents of these lines will then be ignored when data is taken from the source text file.


IPolarBarSeries.methods
IPolarBarSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IToolList.Count
IToolList

property Count: Integer;

Type Library
TeeChartx

Description
Read Count to determine the number of entries in the ToolList.


ILightTool.Left
ILightTool

property Left: Integer;

Type Library
TeeChartx

Description
The horizontal coordinate in pixels for the light spot center.


ITeeOpenGL.Light
ITeeOpenGL

property Light: IGLLightSource;

Type Library
TeeChartx

Description
Returns first Light object in the OpenGL canvas.


IColorLineTool.Clicked
IColorLineTool

function Clicked(X, Y: Integer): WordBool;

Type Library
TeeChartx

Description
Returns True when the ColorLineTool is clicked.


IHighLowSeries.Transparency
IHighLowSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Value 0 to 100 (percent) to set the transparency level of the HighLow fill Brush.


ISurfaceSeries.HideCells
ISurfaceSeries

property HideCells: WordBool;

Type Library
TeeChartx

Description
Default : False

Depending on some aspect settings like rotation, elevation, 3D percent, etc.. some surface cells can be painted baldy. Setting this property to "True" these specific cells will be repainted.


ICurveFittingFunction.AnswerVector
ICurveFittingFunction

property AnswerVector[Index: Integer]: Double;

Type Library
TeeChartx

Description
Read-only and run time only. The AnswerVector array property returns the polynomical coefficients used to calculate all CurveFitting points. TCurveFittingFunction calculates the coefficients just before drawing all points. The GetCurveYValue method returns the corresponding Y value for a given X value.

This code [Delphi] displays the polynomy:

for t := 1 to CurveFittingSeries1.PolyDegree do

begin

WriteLn( 'Degree: ', t, CurveFittingSeries1.AnswerVector[ t ]:15:5 );

end;


ITChart.methods
ITChart Legend key

Type Library
TeeChartx

In ITChart

AboutBox
ActiveSeriesLegend
AddSeries
ApplyCustomPalette
ApplyPalette
ChangeSeriesType
ChartRect
ClearChart
CloneSeries
CloneSeriesFromChart
CloneSeriesFromChartx64
CloneToolFromChart
CloneToolFromChartx64
CreateNewSeriesGallery
CreateSeriesChangeGallery
Draw
EditOneSeries
EditStrings
ExchangeSeries
GetDateTimeStep
GetFreeSeriesColor
GetLabelsSeries
IsFreeSeriesColor
MultiLineTextHeight
MultiLineTextWidth
RefreshData
RemoveAllSeries
RemoveSeries
Repaint
Series
SeriesTitleLegend
SetChartRect
SetTheme
ShowEditor
ShowSeriesEditor
ShowThemesEditor
StopMouse


ITowerSeries.Clicked
ITowerSeries

function Clicked(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Returns the tower point index that contains the xy pixel coordinates.

Returns -1 if no point contains xy.


IChartGrid.AllowAppend
IChartGrid

property AllowAppend: WordBool;

Type Library
TeeChartx

Description
When True you may use the ChartGrid.AppendRow method to add Rows to Grid.


IBaseHighLowSeries.MaxYValue
IBaseHighLowSeries

function MaxYValue: Double;

Type Library
TeeChartx

Description
Returns MaxYValue.


IPolygonSeries.Polygon
IPolygonSeries

property Polygon: IMapPolygon;

Type Library
TeeChartx


IPointer.DarkD

IPointer.Dark3D
IPointer

property Dark3D: WordBool;

Type Library
TeeChartx

Description
The Dark3D property shades the 3D Depth of an IPointer shape a darker shade than the rest of the IPointer colour.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).asPoint.Pointer.Dark3D = Not TChart1.Series(0).asPoint.Pointer.Dark3D

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scPoint

.Series(0).FillSampleValues 10

.Series(0).asPoint.Pointer.Style = psTriangle

End With

End Sub


IPDFExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IPDFExport


IAxis.MaxXValue
IAxis

function MaxXValue: Double;

Type Library
TeeChartx

Description
This function returns the calculated Maximum Horizontal value for the specified AAxis. AAxis can be Axis.Top or Axis.Bottom.

Calculated means that the return value will the Maximum value of the Maximum Series X Values. Only Series with the HorizontalAxis equal to AAxis will be considered.

Example [Delphi]:

TChart1.Axis.Bottom.Automatic := False ;

TChart1.Axis.Bottom.Maximum := TChart1.MaxXValue(atBottom);

Example [Visual Basic]:

TChart1.Axis.Bottom.Automatic = False

TChart1.Axis.Bottom.Maximum = TChart1.Axis.Bottom.MaxXValue


IBannerTool.Blink
IBannerTool

property Blink: WordBool;

Type Library
TeeChartx

Description
Set Blinking True for Banner.


ITeeEditorShowPages.OpenGL
ITeeEditorShowPages

property OpenGL: WordBool;

Type Library
TeeChartx

Description

Permits show/hide of OpenGL Editor page


ITeeFunction.methods
ITeeFunction Legend key

Type Library
TeeChartx

In ITeeFunction

BeginUpdate
EndUpdate
Recalculate


ITeeFunction.EndUpdate
ITeeFunction

procedure EndUpdate;

Type Library
TeeChartx

Description
See also the BeginUpdate method.

These methods can be used when adding or modifying many values at once at a source Series to recalculate the function just one time, when finished adding points.

Example [Visual Basic]:

'Set Function Period

TChart1.Series(2).FunctionType.Period = 3

'Begin Update

TChart1.Series(2).FunctionType.BeginUpdate

'Add Series points

For i = 0 To 500

With TChart1.Series(0)

.AddXY .Count, 500 * Rnd(1000), "", clTeeColor

End With

With TChart1.Series(1)

.AddXY .Count, 500 * Rnd(1000), "", clTeeColor

End With

Next i

'End update and display function Series

TChart1.Series(2).FunctionType.EndUpdate


ICandleSeries.UpCloseColor
ICandleSeries

property UpCloseColor: OLE_COLOR;

Type Library
TeeChartx

Description
By default, UpCloseColor is clWhite and DownCloseColor is clRed.

Each Candle will be filled with a different color depending its Open and Close values.

If Open value is greater than Close value, then the selected color will be the UpCloseColor color property.

If Close value is greater or equal than Open value, then the selected color will be the DownCloseColor color property.

UpCloseColor Example

You can change both at design or runtime the color values:

TChart1.Series(2).asCandle.UpCloseColor = vbGreen

TChart1.Series(2).asCandle.DownCloseColor = vbYellow

That will force to repaint the Chart class containing CandleSeries2.


ITChart.CloneSeries
ITChart

function CloneSeries(SourceSeriesIndex: Integer): Integer;

Type Library
TeeChartx

Description
The CloneSeries method duplicates the Series (Seriesindex) to a new Series. The function returns the SeriesIndex of the new Series

Example [Visual Basic]:

Dim tmpindex As Integer

tmpindex = TChart1.CloneSeries(0)

TChart1.Series(tmpindex).Color = vbYellow


ILightTool.Top
ILightTool

property Top: Integer;

Type Library
TeeChartx

Description
The vertical coordinate in pixels for the light spot center.


ILightFilter.Style
ILightFilter

property Style: ELightStyle;

Type Library
TeeChartx

Description
The light style.

Values are:

lsLinear Light is uniform around the Left Top position.

lsSpotLight Light is circular

Default value is lsLinear


IHorizBoxPlotSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICustomBoxSeries
|
IHorizBoxPlotSeries


IMoneyFlowFunction.properties
IMoneyFlowFunction Legend key

Type Library
TeeChartx

In IMoneyFlowFunction

AreaPen
CMFStyle
DownColor
HistogramPen
UpColor

Derived from ICLVFunction

Accumulate
Volume


ITools.asColorband
ITools

property asColorband: IColorBandTool;

Type Library
TeeChartx

Description
The asColorband property is used by the Tools Class to access Colorband Tool specific properties.


IHorizBoxPlotSeries.properties
IHorizBoxPlotSeries Legend key

Type Library
TeeChartx

Derived from ICustomBoxSeries

AdjacentPoint1
AdjacentPoint3
Box
ExtrOut
InnerFence1
InnerFence3
Median
MedianPen
MildOut
OuterFence1
OuterFence3
Position
Quartile1
Quartile3
UseCustomValues
WhiskerLength
WhiskerPen

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IAxisTitle.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxisTitle


ISubChart.AllowDrag
ISubChart

property AllowDrag: WordBool;

Type Library
TeeChartx

Description
Default : True

When True, the end user can use the mouse to click and drag the SubChart.


ITeeCorner.Style
ITeeCorner

property Style: ECornerStyle;

Type Library
TeeChartx


IPrinterSettings.PaperLength
IPrinterSettings

property PaperLength: SmallInt;

Type Library
TeeChartx

Description
For printer devices only, overrides the length of the paper specified by the dmPaperSize member, either for custom paper sizes or for devices such as dot-matrix printers that can print on a page of arbitrary length. These values, along with all other values in this structure that specify a physical length, are in tenths of a millimeter.


IArrowTool.properties
IArrowTool Legend key

Type Library
TeeChartx

In IArrowTool

Angle
Draw2D
Filled
FromPoint
Gradient
Height
Percent
RotateGradient
ToPoint
Transparency
Width
Z


ITeeFont.Outline
ITeeFont

property Outline: IPen;

Type Library
TeeChartx

Description

Pen properties for the outline pen of the Font characters.


ISeriesTextSource.LoadFromStrings
ISeriesTextSource

procedure LoadFromStrings(Const AStrings: WideString);

Type Library
TeeChartx

Description

Use LoadFromStrings to load data from a string resource.


IPointer.Depth
IPointer

property Depth: Integer;

Type Library
TeeChartx


IChartGridRows.properties
IChartGridRows Legend key

Type Library
TeeChartx

In IChartGridRows

Count
Heights
Row


IMargins.Left
IMargins

property Left: Integer;

Type Library
TeeChartx

Description

Sets Left margin as percentage of paper dimensions.


ICanvas.TeeCheckPenWidth
ICanvas

property TeeCheckPenWidth: WordBool;

Type Library
TeeChartx

Description
Default is True.

This global boolean variable determines if lines and borders displayed with a Pen width size of "1" will be adjusted to a width size of "0" (zero).

This adjustment is a workaround to a bug that frequently appears in printer device drivers for several versions of Windows, usually for printers of Hewlett Packard brand.

It is recommended always to update printer device drivers directly from printer's manufacturer web sites, replacing the default drivers that come with Windows installations.


IAreaSeries.StackGroup
IAreaSeries

property StackGroup: Integer;

Type Library
TeeChartx

Description
Associate Series with StackGroup index value.


IColorBandTool.Transparency
IColorBandTool

property Transparency: Integer;

Type Library
TeeChartx

Description
Transparency is a value between 0 and 100 which sets the transparency percentage with respect foreground to background.


IPieSeries.AutoMarkPosition
IPieSeries

property AutoMarkPosition: WordBool;

Type Library
TeeChartx

Description
When True, the Pie series will display marks trying to not overlap one mark with another.


IContourLevel.methods
IContourLevel Legend key

Type Library
TeeChartx

In IContourLevel

ClearSegments
Clicked
ClickedSegment


IErrorsFormat.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IErrorsFormat


ITeeLinked.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked


IAxisArrowTool.Position
IAxisArrowTool

property Position: EAxisArrowToolPosition;

Type Library
TeeChartx

Description
Set the Position property to specify where on the Axis the arrows are drawn.

The following values are possible for the Position:

aaStart Draws an error at the beginning of the Axis, assigned to the Axis property

aaEnd Draws an error at the end of the Axis, assigned to the Axis property

aaBoth Draws an error at the beginning and end of the Axis, assigned to the Axis property


ICustomErrorSeries.properties
ICustomErrorSeries Legend key

Type Library
TeeChartx

In ICustomErrorSeries

ErrorPen
ErrorStyle
ErrorValues
ErrorWidth
ErrorWidthUnits

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


IBubbleDSeries.RadiusValues

IBubble3DSeries.RadiusValues
IBubble3DSeries

property RadiusValues: IValueList;

Type Library
TeeChartx

Description

The Collection of RadiusValues for the 3D Bubble Series


IRenkoSeries.CloseValues
IRenkoSeries

property CloseValues: IValueList;

Type Library
TeeChartx

Description
Alias to YValues value list.


ISmithSeries.ResistenceValues
ISmithSeries

property ResistenceValues: IValueList;

Type Library
TeeChartx

Description
ValueList (resistance values)

Use ResistanceValues property to get access to the resistance values of the Series.


ISeriesGroup.Name
ISeriesGroup

property Name: WideString;

Type Library
TeeChartx

Description

Group name.


ICursorTool.UseChartRect
ICursorTool

property UseChartRect: WordBool;

Type Library
TeeChartx

Description
This property determines if the Cursor will use the whole chart rectangle to display, or just the rectangle occupied by the associated Series vertical and horizontal axes.

When UseChartRect is False (the default), the Cursor will display using the starting and ending positions, in pixels, of the axes that correspond to the Cursor Series property.

When UseChartRect is True, the Cursor will be displayed across the total width and height of the Chart "ChartRect" rectangle dimensions.


IExportFormat.Width
IExportFormat

property Width: Integer;

Type Library
TeeChartx

Description
Sets Width of Chart


IJPEGExport.methods
IJPEGExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


IAspect.Perspective
IAspect

property Perspective: Integer;

Type Library
TeeChartx

Description
Perspective offers a distance adjustment for the Chart display, giving a perspective appearance between the nearer and further parts of the Chart.

See the comparison below:

No perspective

Perspective = 50


IGaugeRanges.Items
IGaugeRanges

property Items[Index: Integer]: IGaugeRange;

Type Library
TeeChartx


IImport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IImport


ITeeFunction.asADX
ITeeFunction

property asADX: IADXFunction;

Type Library
TeeChartx

Description
The asADX property is used by the Teefunction Class to access ADX Function specific properties.


ITagCloudSeries.Sort
ITagCloudSeries

procedure Sort(SortBy: ETagCloudOrder; Order: EValueListOrder);

Type Library
TeeChartx

Description
Orders tags alphabetically or by their values.

Ascending or descending according to the Order parameter.


IBaseClustering.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseClustering


ILightTool.properties
ILightTool Legend key

Type Library
TeeChartx

In ILightTool

Factor
FollowMouse
Left
Style
Top


ICustomDSeries.AddXYZ

ICustom3DSeries.AddXYZ
ICustom3DSeries

function AddXYZ(AX, AY, AZ: Double; Const AXLabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddXYZ method adds a new point to a 3D Series. Specific colors can be assigned to each Surface polygon by using the colour parameter.

Example [Visual Basic]:

This code creates a new Surface Series :

With TChart1.Series(0)

.Clear

For x= 1 to 20

For z = 1 to 30

.asSurface.AddXYZ x, Random(100), z, vbGreen

Next z

Next x


IFunnelSeries.properties
IFunnelSeries Legend key

Type Library
TeeChartx

In IFunnelSeries

AboveColor
AutoUpdate
BelowColor
Brush
DifferenceLimit
LinesPen
OpportunityValues
Pen
QuotesSorted
QuoteValues
WithinColor


IBarSeries.CalcBarBounds
IBarSeries

function CalcBarBounds(ValueIndex: Integer): ITeeRect;

Type Library
TeeChartx

Description
Given a bar value index, this method calculates the bar series BarBounds rectangle property.

BarBounds rectangle defines the enclosing rectangle in pixels that a given bar point needs to display in 2D.


IPVOFunction.Period

IPVOFunction.Period2
IPVOFunction

property Period2: Integer;

Type Library
TeeChartx

Description
Default : 26

Defines the period of the second exponential moving average.

Use the Period property to set the first average period.

TeeFunction1.Period = 12

TeeFunction1.Period2 = 28


IPanel.BackImageMode
IPanel

property BackImageMode: EBackImageMode;

Type Library
TeeChartx

Description
Default: pbmStretch

The BackImageMode property determines how will the background bitmap be displayed.


ILegend.Items
ILegend

property Items: ILegendItems;

Type Library
TeeChartx

Description
Access the TeeChart Legend Items by index.

Example [Visual Basic]:

tChart1.Legend(Index).xxx


ITeeFunction.asATR
ITeeFunction

property asATR: IATRFunction;

Type Library
TeeChartx


IShapeSeries.X

IShapeSeries.X0
IShapeSeries

property X0: Double;

Type Library
TeeChartx

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing ShapeSeries rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and Series methods like XScreenToValue and YScreenToValue.


IShapeSeries.X

IShapeSeries.X1
IShapeSeries

property X1: Double;

Type Library
TeeChartx

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing ShapeSeries rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and Series methods like XScreenToValue and YScreenToValue.


ISeries.asShape
ISeries

property asShape: IShapeSeries;

Type Library
TeeChartx

Description
The asShape property is used by the Series Class to access Shape Series specific properties.

eg. 'TChart1.Series(x).asShape.Brush.Color = vbYellow'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Clear

.asShape.X0 = 10

.asShape.Y0 = 12

.asShape.X1 = 37

.asShape.Y1 = 40

End With


IShapeSeries.Y

IShapeSeries.Y0
IShapeSeries

property Y0: Double;

Type Library
TeeChartx

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing ShapeSeries rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and Series methods like XScreenToValue and YScreenToValue.


IShapeSeries.Y

IShapeSeries.Y1
IShapeSeries

property Y1: Double;

Type Library
TeeChartx

Description
These properties define the Top - Left and Bottom - Right coordinates of the englobing ShapeSeries rectangle.

The values should be expressed in Axis coordinates.

You can convert from Screen pixel coordinates to values and vice-versa using several TChart and Series methods like XScreenToValue and YScreenToValue.


ILegendScrollBarTool.Thumb
ILegendScrollBarTool

property Thumb: IScrollBarThumb;

Type Library
TeeChartx

Description
Gets properties that define how to draw the scroll bar "thumb" (the dragable region that represents the current scrolling position in the bar).


IAxis.ExactDateTime
IAxis

property ExactDateTime: WordBool;

Type Library
TeeChartx

Description
Default Value: False

The ExactDateTime property controls if Axis.Increment property calculates Axis Labels in exact DateTime steps.

This is very useful when Axis.Increment is a DateTimeStep constant value:

Example [Visual Basic]:

TChart1.Axis.Bottom.Increment = TChart1.GetDateTimeStep(dtOneMonth)

In this example, the Increment property should be considered to be an exact month. So, if an axis label is:

'1-April-1996'

then the next axis label would be:

'1-May-1996'

and the next:

'1-June-1996'

When ExactDateTime is False (the default value), the dtOneMonth increment equals to 30 days, and axis do not calculate how many days a month has.

The Series XValues or YValues properties should have the DateTime property True. ( XValues for horizontal Axis and YValues for vertical Axis).


ITChart.CustomChartRect
ITChart

property CustomChartRect: WordBool;

Type Library
TeeChartx

Description
Default is False.

Gets or sets a flag indicating the ChartRect (TRect) public variable should be automatically calculated or not.

By default Charts automatically calculate the ChartRect rectangle based on the size of Chart margins, bevels, border, and the size of Axis Ticks, Labels and Axis LabelsFont size.

You can customize ChartRect to fixed pixel values by setting CustomChartRect property to True.

Example:

TChart1.CustomChartRect = True

TChart1.ChartRect(35, 60, 22, 40)


IColorGridSeries.MinYValue
IColorGridSeries

function MinYValue: Double;

Type Library
TeeChartx

Description
Returns the Minimum Value of the Series Y Values Lists. As some Series have more than one Y Values List, this Minimum Value is the "Minimum of Minimums" of all Series Y Values lists.


ISubChart.Height
ISubChart

property Height: Integer;

Type Library
TeeChartx

Description
Gets or sets the vertical size in pixels of the subchart.


ICanvas.UnClipRectangle
ICanvas

procedure UnClipRectangle;

Type Library
TeeChartx

Description
(Advanced)

The UnClipRectangle method removes any clipping region applied to Chart Canvas. Clipping regions are used to prevent drawing to escape from desired rectangle coordinates. It is used internally to keep Marks and Series points to display outside ChartRect rectangle.

Note: Metafiles do not accept clipping regions. Metafile format is used when printing, so clipping can not be performed.


ISmithSeries.CLabels
ISmithSeries

property CLabels: WordBool;

Type Library
TeeChartx

Description
Show/hide xCircle labels.

Use CLabels property to show/hide the constant reactance labels. When set to True constant reactance labels are shown.


ICalendarSeries.SeriesRect
ICalendarSeries

function SeriesRect: TeeRect;

Type Library
TeeChartx

Description
The SeriesRect method returns the Bottom, Left, Right and Top pixel positions of the Calender series rectangle:

Example [Visual Basic]:

Private Sub Command3_Click()

With TChart1.Series(0).asCalendar

MsgBox .SeriesRect.Bottom & " " & .SeriesRect.Left & " " & .SeriesRect.Right & " " & .SeriesRect.Top

End With

End Sub


ITChart.Animations
ITChart

property Animations: IAnimationList;

Type Library
TeeChartx

Description
Gets or Sets a list of IAnimation objects.


ILegend.LeftPercent
ILegend

property LeftPercent: Integer;

Type Library
TeeChartx

Description
The Legend.LeftPercent property can be used in Left or Right Legend alignments to control horizontal distance between Legend and Left Chart Margin as a percentage.


ILegendPaletteTool.Height
ILegendPaletteTool

property Height: Integer;

Type Library
TeeChartx

Description
Gets or sets the vertical size in pixels of the legend.


ICustomPolarSeries.Brush
ICustomPolarSeries

property Brush: IBrush;

Type Library
TeeChartx

Description
Sets Polar Back Brush.


IRectangleTool.Dragging
IRectangleTool

property Dragging: WordBool;

Type Library
TeeChartx

Description
Read-only public property that returns True when the rectangle tool is being dragged (moved) by the end-user using the mouse.

See also: AllowDrag property, OnRectangleToolDragging and OnRectangleToolDragged events.


IChartGridNavigator.Grid
IChartGridNavigator

property Grid: IChartGrid;

Type Library
TeeChartx

Description
Use the Grid property to link the Grid Navigator with a Chartgrid.

Example [Visual Basic]

Private Sub Form_Load()

With TChart1

.AddSeries scLine

For i = 0 To 20

.Series(0).AddXY i, Rnd(i) * 100, Chr(65 + i), clTeeColor

Next i

End With

ChartGrid1.Chart = TChart1

ChartGridNavigator1.Grid = ChartGrid1

End Sub


IWindRoseSeries.properties
IWindRoseSeries Legend key

Type Library
TeeChartx

In IWindRoseSeries

MirrorAngles
MirrorLabels

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ISeriesXMLSource.properties
ISeriesXMLSource Legend key

Type Library
TeeChartx

In ISeriesXMLSource

SeriesNode
ValueSource
XML

Derived from ISeriesSourceFile

FileName
LoadMode

Derived from ISeriesSource

Active
Series

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


ILegendPaletteTool.properties
ILegendPaletteTool Legend key

Type Library
TeeChartx

In ILegendPaletteTool

Axis
Border
Chart
Color
Emboss
Foot
Gradient
Height
Inverted
Left
Pen
Pointer
PositionUnits
Shadow
Smooth
SubFoot
SubTitle
Title
Top
Transparent
Vertical
Width

Derived from ICustomToolSeries

Series


ICustomDPaletteSeries.AddCustomPalette

ICustom3DPaletteSeries.AddCustomPalette
ICustom3DPaletteSeries

procedure AddCustomPalette(colorArray: OleVariant);

Type Library
TeeChartx

Description
This method adds a new color Palette array The Array's Colors will be used to fill polygons with Y values up to the Value parameter. The UsePalette property should be True to use the palette entries.


ITriSurfaceSeries.Border
ITriSurfaceSeries

property Border: IPen;

Type Library
TeeChartx

Description
Read Border to obtain the TChartHiddenPen object that represents the color and style of the TriSurface border. Use the properties of Border to change the color or style.


IDeltaPointSeries.GreaterImage
IDeltaPointSeries

property GreaterImage: ITeePicture;

Type Library
TeeChartx

Description
Set the GreaterImage property to provide an image which will be displayed when the previous point value is lower. If set to nil, no image is displayed on the bar points. The image will be stretched.


ITChart.OnGetNextAxisLabel
ITChart

property OnGetNextAxisLabel: TTChartOnGetNextAxisLabel;

Type Library
TeeChartx

Description
An OnGetNextAxisLabel event is used to define custom Axis Labels. Using this event you can customize Axis Labels positions and values.

This event gets called in a loop until you set the MoreLabels parameter to False OR the LabelValue parameter is BIGGER than the Axis Maximum value.

The MoreLabels parameter is True by default, meaning that if it's not set to False the first time this event gets called, TeeChart will draw the default Axis Labels.

The Sender parameter specifies the Axis subclass. It can be the Chart Axis.Left, Axis.Right, Axis.Top or Axis.Bottom axis classes.

The LabelIndex parameter is an incremental counter for you to know which Label the event is asking for a value.

The LabelValue parameter must be filled with the desired Axis Label value.

You can use the TChart.OnGetAxisLabel event to override the default Axis Labels text with your preferred Axis Label string representation.

Example [Visual Basic]:

Private Sub TChart1_OnGetNextAxisLabel(ByVal Axis As Long, ByVal LabelIndex As Long, LabelValue As Double, MoreLabels As Boolean)

If Axis = atBottom Then

MoreLabels = True

'Only label if following cases are true

Select Case LabelIndex

Case 0: LabelValue = 11

Case 1: LabelValue = 19

Case 2: LabelValue = 23

Case Else: MoreLabels = False

End Select

End If

End Sub


ITeeEditor.Width
ITeeEditor

property Width: Integer;

Type Library
TeeChartx

Description
Gets or sets the horizontal size in pixels of the Editor.


ILegendSymbol.Continuous
ILegendSymbol

property Continuous: WordBool;

Type Library
TeeChartx

Description
Use Continous property to let the different legend color rectangles flow into each other. When set to True, the color rectangles of the different items are drawn attached to each other (no vertical spacing). When set to False, the color rectangles are drawn as seperate rectangles.


IMarksTipTool.HideDelay
IMarksTipTool

property HideDelay: Integer;

Type Library
TeeChartx

Description
Milliseconds to wait before the Mark tip disappear.


ICumulativeFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICumulativeFunction


ISeriesAnimationTool.DrawEvery
ISeriesAnimationTool

property DrawEvery: Integer;

Type Library
TeeChartx

Description
Default : 0

By default, DrawEvery is zero. This means the animation will be performed using all series points at once.

Setting DrawEvery to, for example, one, means the animation will be performed to each series point individually.


ITChart.OnClickLegend
ITChart

property OnClickLegend: TTChartOnClickLegend;

Type Library
TeeChartx

Description
An OnClickLegend event occurs whenever the user clicks onto Chart Legend rectangle.

The Sender parameter specifies the Chart class that originated the event.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Chart Legend was clicked.


IPen.Visible
IPen

property Visible: WordBool;

Type Library
TeeChartx

Description
The Visible property determines if the pen will draw lines or not.

For example, TChart.Frame can be hidden by setting it's Visible property to False:

TChart1.Frame.Visible = False


IGrayScaleFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGrayScaleFilter


IPrinterSettings.ICMIntent
IPrinterSettings

property ICMIntent: Integer;

Type Library
TeeChartx

Description
Specifies which color matching method, or intent, should be used by default. This member is primarily for non-ICM applications. ICM applications can establish intents by using the ICM functions. This member can be one of the following predefined values, or a driver defined value greater than or equal to the value of DMICM_USER.

Value - Meaning

1 - DMICM_SATURATE Color matching should optimize for color saturation. This value is the most appropriate choice for business graphs when dithering is not desired.

2 - DMICM_CONTRAST Color matching should optimize for color contrast. This value is the most appropriate choice for scanned or photographic images when dithering is desired.

3 - DMICM_COLORIMETRIC Color matching should optimize to match the exact color requested. This value is most appropriate for use with business logos or other images when an exact color match is desired.


ITChart.SeriesTitleLegend
ITChart

function SeriesTitleLegend(ASeriesIndex: Integer): WideString;

Type Library
TeeChartx

Description
The SeriesTitleLegend function returns the Series.Title string.

SeriesTitleLegend Example

That will assign the first Chart Series Title to a label caption

Label1.Caption = TChart1.SeriesTitleLegend(0)


IGaugeHand.methods
IGaugeHand Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


IDoubleHorizBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IHorizBarSeries
|
IDoubleHorizBarSeries


ILegendScrollBarTool.MinThumbSize
ILegendScrollBarTool

property MinThumbSize: Integer;

Type Library
TeeChartx

Description
Number of pixels that define the minimum size (width or height) of the scrollbar thumb indicator.


IColorGridSeries.properties
IColorGridSeries Legend key

Type Library
TeeChartx

In IColorGridSeries

Bitmap
CenteredPoints
DrawPlane3D
DrawPosition
Frame
SmoothBitmap
Transparency
XGridEvery
ZGridEvery

Derived from ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IChartFont.Charset
IChartFont

property Charset: SmallInt;

Type Library
TeeChartx

Description
The ChartFont.Charset property defines Font character set. Check the information supplied by the font vendor to determine what values of Charset are valid.

ValueDescription

0ANSI characters.

1Font is chosen based solely on Name and Size. If the described font is not available on the system, Windows will substitute another font.

2Standard symbol set.

77Macintosh characters. Not available on NT 3.51.

128Japanese shift-jis characters.

129Korean characters (Wansung).

130Korean characters (Johab). Not available on NT 3.51

134Simplified Chinese characters (mainland china).

136Traditional Chinese characters (taiwanese).

161Greek characters. Not available on NT 3.51.

162Turkish characters. Not available on NT 3.51

163Vietnamese characters. Not available on NT 3.51.

177Hebrew characters. Not available on NT 3.51

178Arabic characters. Not available on NT 3.51

186Baltic characters. Not available on NT 3.51.

204Cyrillic characters. Not available on NT 3.51.

222Thai characters. Not available on NT 3.51

238Includes diacritical marks for eastern european countries. Not available on NT 3.51.

255Depends on the codepage of the operating system.

Example:

Shows symbol character set

TChart1.Header.Font.Charset = 2


IPanel.MarginBottom
IPanel

property MarginBottom: Integer;

Type Library
TeeChartx

Description
Each Chart.Panel class has four margin properties: LeftMargin, RightMargin, TopMargin, BottomMargin.

These properties are expressed as a percentage of the pixel height (for top and bottom margins) and width (for left and right margins) of the Chart Canvas. Default values are 8 for top and bottom margins and 12 for left and right margins

Example [Visual Basic]:

You can change both at design and runtime the margins properties:

TChart1.Panel.MarginBottom = 60


IFramedBorder.Width
IFramedBorder

property Width: Integer;

Type Library
TeeChartx

Description

Gets and sets the width of the Frame object as a percentage of its bounding rectangle.


IAxis.PositionUnits
IAxis See also

property PositionUnits: EPositionUnits;

Type Library
TeeChartx

Description
Units used when positioning a Custom Axis.

See also:
EPositionUnits


ISeries.MaxVisibleValue
ISeries See also

function MaxVisibleValue(valueList: Integer): Double;

Type Library
TeeChartx

Description
Returns the Max Visible Value for a given ValueList.

Example

--------------

With TChart1.Series(0)

If .Count > 0 Then

OpenLabelMx.Caption = .ValueLists.Items(4).Name

OpenLabelMn.Caption = .ValueLists.Items(4).Name

OpenValMx.Caption = .MaxVisibleValue(4)

OpenValMn.Caption = .MinVisibleValue(4)

End if

End with

See also:
IAxis.MaxVisibleSeriesValue


IDownSamplingFunction.ReducedSize
IDownSamplingFunction

property ReducedSize: Integer;

Type Library
TeeChartx

Description

Returns the number of reduced points.


ICanvas.UseAntiAlias
ICanvas

property UseAntiAlias: WordBool;

Type Library
TeeChartx

Description
When True the Chart renders with Anti-aliasing.


ITChart.OnSeriesAfterDrawValues
ITChart

property OnSeriesAfterDrawValues: TTChartOnSeriesAfterDrawValues;

Type Library
TeeChartx

Description
The SeriesAfterDrawValues event is called just before a specific Series' points are painted. You can then paint on the Chart.Canvas your customized drawings.

WARNING:

Do not change Series properties that would force the Series to be repainted. This may cause recursion and endless repainting !

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.Height = 4000

.Width = 6000

.AddSeries scBar

.AddSeries scLine

.AddSeries scPoint

.Series(0).FillSampleValues 6

.Series(1).FillSampleValues 6

.Series(2).FillSampleValues 6

End With

End Sub

Private Sub DrawTheCircle()

With TChart1.Canvas

.Brush.Color = vbYellow

.Brush.Style = bsSolid

.Pen.Color = vbBlue

.Pen.Style = psDot

.Ellipse 80, 80, 290, 160

End With

End Sub

Private Sub Option1_Click()

TChart1.Repaint

End Sub

Private Sub Option2_Click()

TChart1.Repaint

End Sub

Private Sub TChart1_OnSeriesAfterDrawValues(ByVal SeriesIndex As Long)

If Option1.Value = True And SeriesIndex = 0 Then

DrawTheCircle

End If

End Sub

Private Sub TChart1_OnSeriesBeforeDrawValues(ByVal SeriesIndex As Long)

If Option2.Value = True And SeriesIndex = 0 Then

DrawTheCircle

End If

End Sub


ICustomSeriesList.properties
ICustomSeriesList Legend key

Type Library
TeeChartx

In ICustomSeriesList

Items


IHighLowLineSeries.methods
IHighLowLineSeries Legend key

Type Library
TeeChartx

In IHighLowLineSeries

Clicked

Derived from IBaseHighLowSeries

AddHighLow
MaxYValue
MinYValue


IStrings.Count
IStrings

function Count: Integer;

Type Library
TeeChartx

Description
Use the IStrings Count method to count all text lines in the TChart Header.

Example [Visual Basic]:

Msgbox TChart1.Header.Text.Count


IPieSeries.PieValues
IPieSeries

property PieValues: IValueList;

Type Library
TeeChartx

Description
The PieValues property stores the Pie slice values. It's a standard List, so you can access it as follows:

Example [Visual Basic]:

tmp = TChart1.Series( 1 ).asPie.PieValues(3)


ITeeEditorShowPages.AllSeries
ITeeEditorShowPages

property AllSeries: WordBool;

Type Library
TeeChartx

Description
Permits show/hide of Series Editor page


ISeriesTextFields.Delete
ISeriesTextFields

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description
Delete removes the SeriesTextField specified by the Index parameter, where Index is the index of the item in the Items property array.


IValueList.Locate
IValueList

function Locate(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This new function returns the corresponding point index which has the specified "Value". You can use it to calculate X co-ordinates based on Y values or vice-versa:

Example [Visual Basic]:

'Add some series points

Private Sub Command1_Click()

With TChart1.Series( 0 )

.AddXY (DateValue("1996,1,1")), 3, "", clTeeColor

.AddXY (DateValue("1996,3,1")), 8, "", clTeeColor

.AddXY (DateValue("1996,5,1")), 6, "", clTeeColor

.AddXY (DateValue("1996,7,1")), 7, "", clTeeColor

.AddXY (DateValue("1996,9,1")), 2, "", clTeeColor

.AddXY (DateValue("1996,11,1")), 9, "", clTeeColor

End With

End Sub

'Find the point value !

Private Sub Command2_Click()

Dim tmp As Integer

tmp = TChart1.Series( 0 ).XValues.Locate(DateValue("1996,9,1"))

If tmp <> -1 Then

MsgBox (Str$(TChart1.Series( 0 ).YValues.Value(tmp)))

End If

End Sub


ILevelSegment.NumPoints
ILevelSegment

property NumPoints: Integer;

Type Library
TeeChartx

Description
Gets or sets the number of points.

The function will call its OnCalculate event this number of times.


ISmithSeries.ReactanceValues
ISmithSeries

property ReactanceValues: IValueList;

Type Library
TeeChartx

Description
ValueList (reactance values)

Use ReactanceValues property to get access to the reactance values of the Series.


IZoomPanning.Active
IZoomPanning

property Active: WordBool;

Type Library
TeeChartx


IKMeansClustering.NumClusters
IKMeansClustering

property NumClusters: Integer;

Type Library
TeeChartx


IWaterfallSeries.WaterLines
IWaterfallSeries

property WaterLines: IPen;

Type Library
TeeChartx

Description
Read WaterLines to obtain the TChartPen object that represents the color and style of the valuelines. Use the properties of WaterLine to change the color or style.


IXMLExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
IXMLExport


ITChart.Axis
ITChart

property Axis: IAxes;

Type Library
TeeChartx

Description
The Axis property grants access to the four axes, Top, Left, Right, Bottom.

Example [Visual Basic]:

TChart.Axis.Visible = False 'Hides all axes

TChart.Axis.Left.Visible = False 'Hides only the Left Axis


IClockHand.properties
IClockHand Legend key

Type Library
TeeChartx

In IClockHand

Arrow
Height
Size
Width

Derived from ITeeCustomShapeBrushPen

Brush
Frame
Pen
Visible


ITriSurfaceSeries.CacheTriangles
ITriSurfaceSeries

property CacheTriangles: WordBool;

Type Library
TeeChartx

Description
Default False

When True, Triangles are preserved on consecutive displays (ie: rotating or zooming). This gives much better speed when repainting the series without modifying values.


ITeeCustomShape.Font
ITeeCustomShape

property Font: ITeeFont;

Type Library
TeeChartx

Description
Font for Shape outputted text.


IFaderTool.InitialDelay
IFaderTool

property InitialDelay: Integer;

Type Library
TeeChartx

Description
Default : 100

Sets the milliseconds to delay before to do the Fade in or Fade out.


IBevelFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBevelFilter


ICustomBoxSeries.Position
ICustomBoxSeries

property Position: Double;

Type Library
TeeChartx

Description
The Position property specifies the position of box series. If series is a TBoxSeries then Position specifies the horizontal axis position. If series is a THorizBoxSeries then Position specifies the vertical axis position.


IPolarLabels.methods
IPolarLabels Legend key

Type Library
TeeChartx

Derived from ITeeShape

AssignImage
ClearImage
LoadImage

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ITChart.OnVideoToolStart
ITChart

property OnVideoToolStart: TNotifyEvent;

Type Library
TeeChartx

Description
This event is called just before the IVideoTool is going to create the avi video file.


IMapPolygonList.ByCode
IMapPolygonList

property ByCode[Const ACode: WideString]: IMapPolygon;

Type Library
TeeChartx


ITeeFunction.asMode
ITeeFunction

property asMode: IModeFunction;

Type Library
TeeChartx

Description

The asMode property is used by the Teefunction Class to access Mode Function specific properties.


IRotateTool.Cursor
IRotateTool

property Cursor: SmallInt;

Type Library
TeeChartx

Description
The Cursor to show when the user rotates the Chart.

ValueCursor type

0crDefault Whatever cursor is the default for the window class. Usually crArrow.

-1crNone

-2crArrow

-3crCross

-4crIBeam

-5crSize

-6crSizeNESW

-7crSizeNS

-8crSizeNWSE

-9crSizeWE

-10crUpArrow

-11crHourGlass

-12crDrag

-13crNoDrop

-14crHSplit

-15crVSplit

-16crMultiDrag

-17crSQLWait

-18crNo

-19crAppStart

-20crHelp

-21crHandPoint

Example [Visual Basic]:

TChart1.Tools.Items(0).asRotate.Cursor = -21


IPieSeries.Transparency
IPieSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Sets the transparency of the Chart.


ICustomDPaletteSeries.InvertPalette

ICustom3DPaletteSeries.InvertPalette
ICustom3DPaletteSeries

procedure InvertPalette;

Type Library
TeeChartx

Description
Reverses the order of the colours in the palette.


IAxisArrowTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis
|
IAxisArrowTool


ISARFunction.AccelerationFactor
ISARFunction

property AccelerationFactor: Double;

Type Library
TeeChartx

Description
Default value: 0.02

Constant value used in calculating the SAR values.

See ISARFunction formula explanation.


ISVGExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
ISVGExport


IVectorDSeries.MinYValueVector

IVector3DSeries.MinYValueVector
IVector3DSeries

function MinYValueVector: Double;

Type Library
TeeChartx

Description
Use this method to return the Vector MinYValueVector.


IMapPolygon.properties
IMapPolygon Legend key

Type Library
TeeChartx

In IMapPolygon

Active
Brush
Closed
Code
Color
GetPoints
Gradient
Index
ParentBrush
ParentPen
Pen
Picture
Points
Size
Text
Transparency
Transparent
Z


IBubbleDSeries.properties

IBubble3DSeries properties
IBubble3DSeries Legend key

Type Library
TeeChartx

In IBubble3DSeries

RadiusValues

Derived from IPoint3DSeries

BaseLine
DepthSize
LinePen
LineTransparency
Pointer

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


ITChart.OnBeforePrint
ITChart

property OnBeforePrint: TNotifyEvent;

Type Library
TeeChartx

Description
Triggered just before a Chart is printed. Allows modifications for printed output


ICustomSeries.properties
ICustomSeries Legend key

Type Library
TeeChartx

In ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ITools.asGridBand
ITools

property asGridBand: IGridBandTool;

Type Library
TeeChartx

Description
The asGridBand property is used by the Tools Class to access GridBand Tool specific properties.


ICustomCircledSeries.Pointer
ICustomCircledSeries

property Pointer: IPointer;

Type Library
TeeChartx


ICursorTool.properties
ICursorTool Legend key

Type Library
TeeChartx

In ICursorTool

AxisAnnotation
ClickTolerance
FollowMouse
FullRepaint
HorizSize
Pen
ScopeSize
ScopeStyle
Snap
SnapStyle
Style
UseChartRect
UseSeriesZ
VertSize
XVal
YVal

Derived from ICustomToolSeries

Series


IPolarGridSeries.AddCell
IPolarGridSeries

function AddCell(Sector, Track: Integer; Value: Double): Integer;

Type Library
TeeChartx

Description
Adds a new cell to the grid, at the given Sector and Track coordinates with the passed Value.

Returns the index of this cell in the series XValues and YValues arrays.


IPrinterSettings.PaperWidth
IPrinterSettings

property PaperWidth: SmallInt;

Type Library
TeeChartx

Description
For printer devices only, overrides the width of the paper specified by the dmPaperSize member.


IMarks.ResetPositions
IMarks

procedure ResetPositions;

Type Library
TeeChartx

Description
Reset Marks to their default positions.


IAxisLabels.Automatic
IAxisLabels

property Automatic: WordBool;

Type Library
TeeChartx

Description

If Axis.Automatic property is True, then the Maximum and Minimum values for the Axis will be automatically calculated based on all Axis dependent Series.


ITools.asAntiAlias
ITools

property asAntiAlias: IAntiAliasTool;

Type Library
TeeChartx

Description
The asAntiAlias property is used by the Tools Class to access AntiAlias Tool specific properties.


IFaderTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFaderTool


ISeries.XScreenToValue
ISeries

function XScreenToValue(ScreenCoord: Integer): Double;

Type Library
TeeChartx

Description
This function returns the corresponding X value of a Screen position. The Screen position must be between Axis limits.

Example

We want to calculate the Axis.Left value in the Vertical Screen coordinate of 220 pixels.

Visual Basic

value = TChart1.Axis.Left.CalcPosPoint(220)

We could use the Series methods XScreentoValue or YscreenToValue to obtain the samevalue information

Visual Basic

value = TChart1.Series.XScreenToValue(220)


ITableLegend.properties
ITableLegend Legend key

Type Library
TeeChartx

In ITableLegend

FontSeriesColor
Otherside
Symbol

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IWall.Size
IWall

property Size: Integer;

Type Library
TeeChartx

Description
The Size property defines the Chart Walls thickness.


ICustomSortedFunction.IncludeNulls
ICustomSortedFunction

property IncludeNulls: WordBool;

Type Library
TeeChartx

Description

When True, null values in the source series will be included in the calculation.

The default is True.


ILegendScrollBarTool.Bevel
ILegendScrollBarTool

property Bevel: EPanelBevel;

Type Library
TeeChartx

Description
Style for the scrollbar border.


ITeePreviewPanel.AllowMove
ITeePreviewPanel

property AllowMove: WordBool;

Type Library
TeeChartx

Description
Default: True

When true allows mousedrag move of Chart on printed page.


ITeeRect.Right
ITeeRect

property Right: Integer;

Type Library
TeeChartx

Description
Sets the right position of the rectangle.


IArrowTool.Height
IArrowTool

property Height: Integer;

Type Library
TeeChartx

Description
Sets the height of the arrow head as a portion of the overall arrow length.


IPVOFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPVOFunction


ITeeCommander.ButtonPrint
ITeeCommander

property ButtonPrint: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonPrint

Example:-

TeeCommander1.ButtonPrint.Hide


ICanvas.LineWithZ
ICanvas

procedure LineWithZ(X0, Y0, X1, Y1, Z: Integer);

Type Library
TeeChartx

Description
Line from (X0,Y0,Z) to (X1,Y1,Z)


IAxisArrowTool.ScrollPercent
IAxisArrowTool

property ScrollPercent: Integer;

Type Library
TeeChartx

Description
Default value: 10

Sets the percentage of the associated axis by which the TChart will scroll.


ITChart.Left
ITChart

property Left: Integer;

Type Library
TeeChartx

Description
The Left side position of the Chart relative to its parent (pixels). When requiring the Chart Panel Left co-ordinate for drawing with the TChart Canvas, use the Canvas Left property.


IVolumePipeSeries.LinesPen
IVolumePipeSeries

property LinesPen: IPen;

Type Library
TeeChartx

Description
Determines what kind of pen will be used to draw the VolumePipe lines.


ISeries.asHorizBar
ISeries

property asHorizBar: IHorizBarSeries;

Type Library
TeeChartx

Description
The asHorizBar property is used by the Series Class to access HorizBar Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'tmp = TChart1.Series(x).asHorizBar.BarHeight'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Add 10, "1st", clTeeColor

.Add 4, "2nd", clTeeColor

.Add 7, "3rd", clTeeColor

.Add 11, "4th", clTeeColor

.asHorizBar.BarHeight =.asHorizBarBar.BarHeight * 2

End With


IFibonacciTool.properties
IFibonacciTool Legend key

Type Library
TeeChartx

In IFibonacciTool

DrawStyle
EndX
EndY
LabelsAngle
LabelsFont
Levels
ShowLabels
StartX
StartY
TrendPen

Derived from ICustomToolSeries

Series


IAxis.Visible
IAxis

property Visible: WordBool;

Type Library
TeeChartx

Description
This boolean property Shows / Hides the Axis lines, ticks, grids, labels and title. You can change it both at design and runtime:

Example [Visual Basic]:

TChart1.Axis.Bottom.Visible = False


ISeries.SeriesType
ISeries

property SeriesType: ESeriesClass;

Type Library
TeeChartx

Description
The SeriesType property returns the Series type of the Series.

Example [Visual Basic]:

Dim t As Integer

For t = 0 To TChart1.SeriesCount - 1

With TChart1.Series(t)

If .SeriesType = scBar Then

.asBar.BarStyle = bsCilinder

End If

End With

Next t


IClockSeries.Style
IClockSeries

property Style: EClockSeriesStyle;

Type Library
TeeChartx


IAxisTitle.Clicked
IAxisTitle

function Clicked(X, Y: Integer): WordBool;

Type Library
TeeChartx

Description

Returns True if the passed x and y values correspond to the Axis Title position.


IStrings.Add
IStrings

function Add(AItem: OleVariant): Integer;

Type Library
TeeChartx

Description
Use the IStrings Add method to add new text to the TChart Header.

Example [Visual Basic]:

TChart1.Header.Text.Add "Mytext"

To add a second line simply:

TChart1.Header.Text.Add "My second line of text"


IPanel.BackImageClear
IPanel

procedure BackImageClear;

Type Library
TeeChartx

Description
The BackImageClear method removes the Chart Panel BackImage.


ISeriesSourceFile.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ISeriesSource
|
ISeriesSourceFile


IGaugeRange.EndValue
IGaugeRange

property EndValue: Double;

Type Library
TeeChartx


ICanvas.Polygon
ICanvas

procedure Polygon(NumPoints: Integer; Points: OleVariant);

Type Library
TeeChartx

Description

Plots a Polygon for an array of co-ordinate pairs.

if NumPoints is equal to or greater than the number of point pairs in the array the whole array is plotted. If the value is less the first NumPoints pairs are plotted from the array.

Example (Visual Basic)

a = Array(100, 100, 150, 50, 170, 100, 250, 100, 200, 200)

TChart1.Canvas.Polygon 5, a


ICustomBarSeries.DarkD

ICustomBarSeries.Dark3D
ICustomBarSeries

property Dark3D: WordBool;

Type Library
TeeChartx

Description
Default: True

The Dark3D property controls if bar sides will be filled with shadowed colors. This has effect only when Chart.Aspect.View3D is True. High color video modes (greater than 256 colors) will show dark colors much better than 256 or 16 color modes.


ITChart.Footer
ITChart

property Footer: ITitles;

Type Library
TeeChartx

Description
The Footer property defines the Text and formatting properties to be drawn at the bottom of the Chart. Use the Text property to enter the desired Footer lines, set Visible to True and change the Font, Frame and Brush properties. Use the Alignment property to control text output position.


ILinePointSeries.LinesPen
ILinePointSeries

property LinesPen: IPen;

Type Library
TeeChartx

Description
Read LinesPen to obtain the #link TChartPen#TChartPen# object that represents the color and style of the LinePointSeries. Use the properties of LinesPen to change the color or style of the LinePointSeries.


ICanvas.HorizLineD

ICanvas.HorizLine3D
ICanvas

procedure HorizLine3D(Left, Right, Y, Z: Integer);

Type Library
TeeChartx

Description
Line from (Left,Y,Z) to (Right,Y,Z)


ITeeScrollBar.DrawStyle
ITeeScrollBar

property DrawStyle: EScrollBarDrawStyle;

Type Library
TeeChartx


ICustomGaugeMinMax.MinorTicks
ICustomGaugeMinMax

property MinorTicks: IGaugeSeriesPointer;

Type Library
TeeChartx

Description

Gets and sets the characteristics of the Axis' minor tick marks.


ILegendItem.Top
ILegendItem

property Top: Integer;

Type Library
TeeChartx

Description
Returns the Top pos of the Legend items. Read only property.

Example [Visual Basic]:

MsgBox TChart1.Legend.Items.Items(0).Top


IRotateTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IRotateTool


IHorizAreaSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IAreaSeries
|
IHorizAreaSeries


ITools.asFrame
ITools

property asFrame: IFrameTool;

Type Library
TeeChartx

Description
The asFrame property is used by the Tools Class to access Frame Tool specific properties.


IZoom.MouseButton
IZoom

property MouseButton: EMouseButton;

Type Library
TeeChartx

Description
Default: mbLeft

Sets the mousebutton to use to enable the zoom action. Note that Scroll action uses the right (mbRight) mousebutton as default.

Example [Visual Basic]

TChart1.Zoom.MouseButton = mbRight


IScrollPagerTool.PointerHighlightColor
IScrollPagerTool

property PointerHighlightColor: OLE_COLOR;

Type Library
TeeChartx


ITeeListBox.ShowColor
ITeeListBox

property ShowColor: WordBool;

Type Library
TeeChartx

Description
Default: True

Display/Hide the 'Series Colour' box in the Series List.


IPrinter.PrinterCount
IPrinter

property PrinterCount: Integer;

Type Library
TeeChartx

Description
PrinterCount contains the number of installed printers. This property can be used when getting the Printer descriptions of installed printers. Use the PrinterIndex property to step through and set the printer. The PrinterIndex may vary from that of Windows at runtime if a new printer is added during the current Windows session. We therefore recommend that you use PrinterDescription to offer the user a list of available printers.


ICanvas.FrameD

ICanvas.Frame3D
ICanvas

procedure Frame3D(Left, Top, Right, Bottom: Integer; TopColor, BottomColor: OLE_COLOR; Width: Integer);

Type Library
TeeChartx

Description
Use Frame3D to create a 3D effect. The Rect (Left,Top,Right,Bottom) specifies the position where the three-dimensional canvas should appear. For a raised effect, set TopColor as a light color and BottomColor as a shadow color.


ISeriesGroups.methods
ISeriesGroups Legend key

Type Library
TeeChartx

In ISeriesGroups

Contains
Delete
FindByName


ISeries.asOrganizational
ISeries

property asOrganizational: IOrgSeries;

Type Library
TeeChartx

Description
Access to Organizational specific properties.


IScroll.properties
IScroll Legend key

Type Library
TeeChartx

In IScroll

Enable
MouseButton


IChartHiddenPen.methods
IChartHiddenPen Legend key

Type Library
TeeChartx

Derived from IPen

Hide
Show
ShowEditor


IClockSeries.Seconds
IClockSeries

property Seconds: IClockHand;

Type Library
TeeChartx


IPolarGridSeries.LegendString
IPolarGridSeries

function LegendString(LegendIndex: Integer; LegendTextStyle: ELegendTextStyle): WideString;

Type Library
TeeChartx

Description
Returns the String of specific item in the Legend, giving its legend index and Text formatted.


IJPEGExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IJPEGExport


ICanvas.Sphere
ICanvas

procedure Sphere(X, Y, Z: Integer; Radius: Double);

Type Library
TeeChartx

Description
Paints a sphere. Use ONLY with OPENGL.


ITeeFont.Brush
ITeeFont

property Brush: IBrush;

Type Library
TeeChartx


ISeries.asKnobGauge
ISeries

property asKnobGauge: IKnobGauge;

Type Library
TeeChartx

Description
The asKnobGauge property is used by the Series Class to access KnobGauge Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties


ITeeCustomShape.Gradient
ITeeCustomShape

property Gradient: IGradient;

Type Library
TeeChartx

Description
Call Gradient characteristics for the shape.


ILegendPaletteTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
ILegendPaletteTool


IMarks.properties
IMarks Legend key

Type Library
TeeChartx

In IMarks

Arrow
ArrowLength
Automatic
AutoPosition
BackColor
Callout
Clip
DrawEvery
FontSeriesColor
Item
Margins
Multiline
OnTop
Positions
SoftClip
Style
Symbol
Tail
TextAlign
UseSeriesTransparency
Visible
ZPosition

Derived from ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IAxisLabelsItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxisLabelsItem


ICanvas.ChartYCenter
ICanvas

property ChartYCenter: Integer;

Type Library
TeeChartx

Description
This function returns the middle Vertical coordinate of the Chart.

This IS NOT the same as Chart1.Height / 2, because Chart margins, Axis margins, Legend width, etc are first substracted to the Chart vertical size.

i.e.: PieSeries uses ChartYCenter for the Pie center.


ITeeFont.SizeFloat
ITeeFont

property SizeFloat: Double;

Type Library
TeeChartx


ITChart.OnAfterDraw
ITChart

property OnAfterDraw: TNotifyEvent;

Type Library
TeeChartx

Description
This event gets called just after TChart has drawn all series.

Warning:

Do not modify any property in this event that would force a TChart repaint. Doing this will cause a recursive loop.


IMarksTipTool.Format
IMarksTipTool

property Format: ITextShape;

Type Library
TeeChartx


IPanel.BackImageTransparent
IPanel

property BackImageTransparent: WordBool;

Type Library
TeeChartx

Description
Sets Panel BackImage to Transparent if image supports transparency.


ICustomErrorSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
ICustomErrorSeries


IPieSeries.PieMarks
IPieSeries

property PieMarks: IPieMarks;

Type Library
TeeChartx

Description
Property to access to specific Marks properties for Pie Series.


ITeeEditor.HighLightTabs
ITeeEditor

property HighLightTabs: WordBool;

Type Library
TeeChartx

Description
When True, editor tabs are "highlighted" using default Windows method of painting the selected tab background in blue color.


ISeries.SwapValues
ISeries

procedure SwapValues(a, b: Integer);

Type Library
TeeChartx

Description
The SwapValues method interchanges two Series points. The A and B parameter should be valid point indexes, from 0 to Series Count-1.

The Chart class is automatically redrawn to display the new Series points order.


ICanvas.ColorAlpha
ICanvas

function ColorAlpha(AColor: OLE_COLOR): Integer;

Type Library
TeeChartx


ICustomBoxSeries.WhiskerLength
ICustomBoxSeries

property WhiskerLength: Double;

Type Library
TeeChartx

Description
The WhiskerLength property defines the length of the whiskers as a function of the inter-quartike range (IQR). Default value for WhiskerLength is 1.50.


IScrollBarThumb.Brush
IScrollBarThumb

property Brush: IBrush;

Type Library
TeeChartx

Description
Gets or sets the color and pattern used to fill the interior of the scrollbar thumb.

Note: When the Image property is used, Brush is ignored.


IAnnotationTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool


IGridTransposeTool.Series
IGridTransposeTool

property Series: OleVariant;

Type Library
TeeChartx

Description
Gets or sets the 3D grid series to transpose.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Tools.Items(0).asGridTranspose.Transpose

End Sub

Private Sub Form_Load()

Dim i As Integer

TChart1.Tools.Add tcGridTranspose

TChart1.Tools.Items(0).asGridTranspose.Series = TChart1.Series(0)

TChart1.Tools.Items(0).Active = True

' Fill Series with sample values

For z = 1 To 30

For x = 1 To 20

TChart1.Series(0).asSurface.AddXYZ x, GetXZValue(x, z), z, "", clTeeColor

Next x

Next z

End Sub


ITChart.AutoRepaint
ITChart

property AutoRepaint: WordBool;

Type Library
TeeChartx

Description
Default True

Use AutoRepaint false to disable Chart repainting whilst (for example) adding a large number of points to a Chart Series. This avoids repainting of the Chart whilst the points are added. AutoRepaint may be re-enabled, followed by a manual Repaint command when all points are added.

Example [Visual Basic]:

TChart1.AutoRepaint = False

With TChart1.Series(0)

.AddXY .Count, 500 * Rnd(1000), "", clTeeColor

End With

TChart1.AutoRepaint = True

TChart1.Repaint


IMapPolygon.Transparent
IMapPolygon

property Transparent: WordBool;

Type Library
TeeChartx


IColorBandTool.AllowDrag
IColorBandTool

property AllowDrag: WordBool;

Type Library
TeeChartx


IPieTool.properties
IPieTool Legend key

Type Library
TeeChartx

In IPieTool

Pen
Slice
Style

Derived from ICustomToolSeries

Series


ICustomDGridSeries.properties

ICustom3DGridSeries properties
ICustom3DGridSeries Legend key

Type Library
TeeChartx

In ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IActivityDonut.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
IPieSeries
|
IDonutSeries
|
IActivityDonut


ITeeListBox.ShowTitle
ITeeListBox

property ShowTitle: WordBool;

Type Library
TeeChartx

Description
Default: True

Display/Hide the 'Series Title' in the Series List.


ISubChartChart.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITChart
|
ISubChartChart


ISeriesTextFields.properties
ISeriesTextFields Legend key

Type Library
TeeChartx

In ISeriesTextFields

Count
Items


IPNGExport.properties
IPNGExport Legend key

Type Library
TeeChartx

In IPNGExport

CompressionLevel

Derived from IExportFormat

Height
Width


ICustomBarSeries.MultiBar
ICustomBarSeries

property MultiBar: EMultiBar;

Type Library
TeeChartx

Description
If you have more than one BarSeries in the same Chart, then you can choose if they will be drawn side-by-side, back-to-front or Stacked. Side-by-side means the Bar width will be divided by the number of Bar Series.


IDeltaPointSeries.LowerImage
IDeltaPointSeries

property LowerImage: ITeePicture;

Type Library
TeeChartx

Description
Set the LowerImage property to provide an image which will be displayed when the previous point value is higher. If set to nil, no image is displayed on the bar points. The image will be stretched.


ITChart.EditStrings
ITChart

function EditStrings(Var Strings: WideString; ReadOnly: WordBool): WordBool;

Type Library
TeeChartx

Description

Shows a form which allows to edit the passed string.


ICustomSeries.PointerBehind
ICustomSeries

property PointerBehind: WordBool;

Type Library
TeeChartx


IGIFExport.ColorReduction
IGIFExport

property ColorReduction: EGIFColorReduction;

Type Library
TeeChartx

Description
Sets the type of GIF color reduction.

Options:

rmNone

rmWindows20

rmWindows256

rmWindowsGray

rmMonochrome

rmGrayScale

rmNetscape

rmQuantize

rmQuantize256


IPieTool.Pen
IPieTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.

The element will use this pen properties to draw lines and borders.


ITeeCustomAnimation.methods
ITeeCustomAnimation Legend key

Type Library
TeeChartx

In ITeeCustomAnimation

Play


IThemesList.ApplyFromTee
IThemesList

procedure ApplyFromTee(Const FileName: WideString);

Type Library
TeeChartx


ICandleSeries.DateValues
ICandleSeries

property DateValues: IValueList;

Type Library
TeeChartx

Description
The DateValues property is used to store all Stock market Date values. You can access Date values in the same way you can access X or Y values.

Example [Visual Basic]:

{ this code returns the Stock market Date with bigger Open value }

Dim tmp As Double

Dim t As Integer

Dim tmpDate As Date

With TChart1.Series(0).asCandle

If TChart1.Series(0).Count > 0 Then

For t = 0 To TChart1.Series(0).Count - 1

If t = 0 Or .OpenValues.Value(t) > tmp Then

tmp = .OpenValues.Value(t)

tmpDate = .DateValues.Value(t)

End If

Next t

End If

End With

MsgBox tmpDate

End Sub


ICustomGaugeMinMax.Minimum
ICustomGaugeMinMax

property Minimum: Double;

Type Library
TeeChartx

Description

Gets or sets the minimum value for the gauge.


IExpandAnimation.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomAnimation
|
IExpandAnimation


IFullScreenTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFullScreenTool


ITChart.CloneToolFromChartx

ITChart.CloneToolFromChartx64
ITChart

function CloneToolFromChartx64(ChartLinkx64: OleVariant; ToolIndex: Integer): Integer;

Type Library
TeeChartx


ICustomDPaletteSeries.LoadPaletteFromFile

ICustom3DPaletteSeries.LoadPaletteFromFile
ICustom3DPaletteSeries

procedure LoadPaletteFromFile(Const FileName: WideString);

Type Library
TeeChartx


ISeriesPointerItems.methods
ISeriesPointerItems Legend key

Type Library
TeeChartx

In ISeriesPointerItems

Clear
Count

Derived from IPointer

DrawPointer


IDataExport.properties
IDataExport Legend key

Type Library
TeeChartx

In IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


ICustomDPaletteSeries.PaletteSteps

ICustom3DPaletteSeries.PaletteSteps
ICustom3DPaletteSeries

property PaletteSteps: Integer;

Type Library
TeeChartx

Description
Default: 32

The PaletteSteps property indicates the number of entries in the default color Palette. As more steps, more different colors will be used to fill the Surface polygons. Setting this property forces SurfaceSeries to recreate the default color palette.

Example [Visual Basic]:

TChart1.Series(0).asSurface.PaletteSteps = 100


ILegendPointer.methods
ILegendPointer Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


ITeeFilter.asAmount
ITeeFilter

property asAmount: IAmountFilter;

Type Library
TeeChartx

Description
The asAmount property is used by the TeeFilter Class to access Amount Filter specific properties.


ICustomErrorSeries.AddErrorBar
ICustomErrorSeries

function AddErrorBar(AX, AY, AError: Double; Const AXLabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddErrorBar function adds a new Error Bar point to the Series. Returns the position of the Error Bar in the list. Positions start at zero. The AError parameter is stored at ErrorValues list.

Each Bar is displayed with an Error "T" on top. You can control the "T" appearance by using the ErrorPen and ErrorWidth properties.

Example [Visual Basic]:

This code adds a new Error Bar (Series( 0 )):

Series( 0 ).AsErrorBar.AddErrorBar 1234, 5678, 23, "MyErrorBar", vbBlue


ITriSurfaceSeries.methods
ITriSurfaceSeries Legend key

Type Library
TeeChartx

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IMarks.ArrowLength
IMarks

property ArrowLength: Integer;

Type Library
TeeChartx

Description
Default Value: 16

The ArrowLength property determines the number of pixels used to display a line connecting the Series Marks to their corresponding points.

The Arrow property is the Pen used to draw this line.

Example [Visual Basic]:

This code checks series type and changes the ArrowLength.

With TChart1.Series(0)

If .SeriesType=scBar then

.Marks.ArrowLength = 10

Else

.Marks.ArrowLength = 0

End If

End With


ISeries.Color
ISeries

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Default color is clTeeColor.

The Series Color property is the default color in which the Series points will be drawn on. This property value could be any valid Visual Basic, Delphi or Windows color. If you add points with clTeeColor color, then they will be drawn with the 'Color' colour. This property is the default Color associated to the Series.

When you place a new Series class in a Chart, TeeChart will assign a free color to this property (a Color that no other Series in the same Chart use). Some Series have the ColorEachPoint boolean property. Setting this to TRUE will force the Series to paint each point with a different color, thus without using its Series.Color

Series.Color is also used to paint the small rectangle in Legend.

Example [Visual Basic]:

TChart1.Series(3).Color = vbBlue

TChart1.Series(1).Color = vbYellow


ITChart.Panning
ITChart

property Panning: ITeePanning;

Type Library
TeeChartx

Description
Property accesses characteristics of the Class IZoomPanning.


ITeeEditorShowPages.Paging
ITeeEditorShowPages

property Paging: WordBool;

Type Library
TeeChartx

Description
Default = True

The Paging property may be used to disable the display of the Paging Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITeeEditorOptions.Add
ITeeEditorOptions

property Add: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


ICanvas.SupportsFullRotation
ICanvas

property SupportsFullRotation: WordBool;

Type Library
TeeChartx

Description
Returns if Canvas can do rotation and elevation of more than 90 degree. Only OpenGL Canvas has 360 degree rotation.

Example [Visual Basic]:

If (TChart1.Canvas.SupportsFullRotation = True) then

TChart1.Aspect.Rotation = 195

End if


IFastLineSeries.DrawAllPointsStyle
IFastLineSeries

property DrawAllPointsStyle: EDrawAllPointsStyle;

Type Library
TeeChartx

Description
DrawAllPointsStyle property allows you to choose the method which will be used for displaying repeated points at same horizontal pixel.

daFirst: When the series has several points that share the same X pixel position, but with different Y position, it will only display the first point.

daMinMax: Plots both the minimum and maximum Y that map to each X pixel.


IRenkoSeries.Transparency
IRenkoSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Default is 0.

Percentage of transparency when drawing the bricks against the background.


ICalendarSeries.PreviousButtonVisible
ICalendarSeries See also

property PreviousButtonVisible: WordBool;

Type Library
TeeChartx

Description
Default True

Previous Month button on the Calendar Panel. Set to False to hide button.

See also:
NextButtonVisible


ISeries.asLinePoint
ISeries

property asLinePoint: ILinePointSeries;

Type Library
TeeChartx

Description

The asLinePoint property is used by the Series Class to access LinePoint Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


ILegend.PositionUnits
ILegend

property PositionUnits: EPositionUnits;

Type Library
TeeChartx

Description
Defines Legend Position units (pixels or percentage)


ITeeCustomShape.methods
ITeeCustomShape Legend key

Type Library
TeeChartx

In ITeeCustomShape

Hide
Show
ShowEditorShape


ITreeMapSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IOrgSeries
|
ITreeMapSeries


IAxis.CalcYSizeValue
IAxis

function CalcYSizeValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This function calculates the Vertical SIZE in pixels of Value parameter.


ITransposeSeriesTool.Transpose
ITransposeSeriesTool

procedure Transpose;

Type Library
TeeChartx

Description
Performs series data transposition.

Rows are converted to columns and vice-versa.

That means if you have 3 series with 5 points each, after transposing the chart will show 5 series with 3 points each.


IExportFormat.properties
IExportFormat Legend key

Type Library
TeeChartx

In IExportFormat

Height
Width


IVideoTool.FileName
IVideoTool

property FileName: WideString;

Type Library
TeeChartx

Description
Gets or sets the name and path of the file used to store the *.avi video file.


IKMeansClustering.MaxIterations
IKMeansClustering

property MaxIterations: Integer;

Type Library
TeeChartx


IExpandAnimation.Target
IExpandAnimation

property Target: EChartClickedPartStyle;

Type Library
TeeChartx


IHierarchicalClustering.NumClusters
IHierarchicalClustering

property NumClusters: Integer;

Type Library
TeeChartx


IHorizLineSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
ILineSeries
|
IHorizLineSeries


IPolarContourSeries.Levels
IPolarContourSeries

property Levels: IContourLevels;

Type Library
TeeChartx


IFunnelSeries.Brush
IFunnelSeries

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


ISeries.asEqualizerSeries
ISeries

property asEqualizerSeries: IEqualizerSeries;

Type Library
TeeChartx


ICustomDSeries.CalcZPos

ICustom3DSeries.CalcZPos
ICustom3DSeries

function CalcZPos(ValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns the pixel integer value of the Z position of the ValueIndex'th point.

It uses the Chart's Width3D and Height3D displacement to set the offset of the return value.

This works correctly with all TeeChart 3D modes, orthogonal, native 3D and OpenGL.


IActivityGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
IPieSeries
|
IDonutSeries
|
IActivityGauge


ISeries.asTower
ISeries

property asTower: ITowerSeries;

Type Library
TeeChartx

Description
The asTowerproperty is used by the Series Class to access Tower Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IExpMovAvgFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExpMovAvgFunction


ICustomBarSeries.MarksLocation
ICustomBarSeries

property MarksLocation: EMarksLocation;

Type Library
TeeChartx

Description
When MarksOnBar is set to True, this property allows you to move the Marks to the start, center or end of the Bars (mlStart, mlCenter, mlEnd)


ITeeAnimation.Duration
ITeeAnimation

property Duration: Integer;

Type Library
TeeChartx


IAreaSeries.properties
IAreaSeries Legend key

Type Library
TeeChartx

In IAreaSeries

AreaBrush
AreaChartBrush
AreaColor
AreaPen
Gradient
MultiArea
StackGroup
UseYOrigin
YOrigin

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ISeries.Title
ISeries

property Title: WideString;

Type Library
TeeChartx

Description
By default, Title is empty.

Every Series has a Title property of type String. The Title property is used in TChart.Legend to draw the series descriptions. If Title is empty, then the Series class Name will be used to draw the legend. Setting Title both at design time and runtime will force the Chart to repaint.

Example [Visual Basic]:

TChart1.Series(0).Title = "Total Population"


ICustomDPaletteSeries.CreateDefaultPalette

ICustom3DPaletteSeries.CreateDefaultPalette
ICustom3DPaletteSeries

procedure CreateDefaultPalette(NumSteps: Integer);

Type Library
TeeChartx

Description
The CreateDefaultPalette creates a multi-color Palette used to fill Surface polygons. The NumSteps parameter defines the number of different colors in the Palette.

Example [Visual Basic]:

This code makes a more precisely color palette:

With TChart1

.Series(1).asSurface.CreateDefaultPalette 100

.Series(1).asSurface.UsePalette = True

.Repaint

End With


ICandleSeries.LowValues
ICandleSeries

property LowValues: IValueList;

Type Library
TeeChartx

Description
The LowValues property is used to store all Stock market Low values. You can access Low values in the same way you can access X or Y values.

Example [Visual Basic]:

{ this code makes all Candle Low values the same as Close values }

With TChart1.Series(0).asCandle

For t = 0 To .LowValues.Count - 1

.LowValues.Value(t) = .CloseValues.Value(t)

Next t

End With


ICalendarCellUpper.methods
ICalendarCellUpper Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ILegend.ColumnWidths
ILegend

property ColumnWidths[Index: Integer]: Integer;

Type Library
TeeChartx

Description
Sets width of the Legend column width specified by the Index number.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Legend.ColumnWidthAuto = False

.Legend.ColumnWidths(0) = 100

End With


ISeries.asBubbleD

ISeries.asBubble3D
ISeries

property asBubble3D: IBubble3DSeries;

Type Library
TeeChartx

Description
The asBubble3D property is used by the Series Class to access Bubble3D Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asBubble3D.RadiusValues.Value( 0 )=35'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Clear

For t = 1 To 10

.asBubble.AddBubble3D t, Rnd( 2 ), Rnd(5), "", RGB(255 * Rnd, 128 * Rnd, 255 * Rnd)

Next t

End With


ITeeEditorShowPages.Panel
ITeeEditorShowPages

property Panel: WordBool;

Type Library
TeeChartx

Description
Default = True

The Panel property may be used to disable the display of the Panel Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITChart.OnDrawLineToolSelecting
ITChart

property OnDrawLineToolSelecting: TTChartOnDrawLineToolSelecting;

Type Library
TeeChartx

Description
This is event is called just when a line is selected clicking it with the mouse.

You can set the AllowSelect parameter to False if you wish to avoid selecting the Line.


ICustomDSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries


ITChart.OnBeforeDrawChart
ITChart

property OnBeforeDrawChart: TNotifyEvent;

Type Library
TeeChartx

Description
Triggered before drawing any Chart objects are painted. The event permits custom drawing or bitmaps to be placed on the Chart Panel 'below' all Chart objects.


IDataTableTool.Top
IDataTableTool

property Top: Integer;

Type Library
TeeChartx

Description
Use this property to get or set the Top position of Data Table Tool.


ITransformAnimation.RotateMax
ITransformAnimation

property RotateMax: Integer;

Type Library
TeeChartx


ITChart.OnCursorToolChange
ITChart

property OnCursorToolChange: TTChartOnCursorToolChange;

Type Library
TeeChartx

Description
The OnCursorToolChange event is fired on changing the position of a specified Cursor Tool.

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcCursor

With .Tools.Items(0).asTeeCursor

.FollowMouse = True

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnCursorToolChange(ByVal Tool As Long, ByVal X As Long, ByVal Y As Long, ByVal XVal As Double, ByVal YVal As Double, ByVal Series As Long, ByVal ValueIndex As Long)

If Tool = 0 Then

If Series = 0 Then

Label1.Caption = XVal

Label2.Caption = YVal

End If

End If

End Sub


IMarksSymbol.Shadow
IMarksSymbol

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Configures all the properties used to draw a shadow around the shape boundaries.


IAxisGridPen.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxisGridPen


INearestTool.FullRepaint
INearestTool

property FullRepaint: WordBool;

Type Library
TeeChartx

Description
Default: True


IMapMarks.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMapMarks


ITeeFilter.asSepia
ITeeFilter

property asSepia: ISepiaFilter;

Type Library
TeeChartx


ISeries.asHorizHistogram
ISeries

property asHorizHistogram: IHorizHistogramSeries;

Type Library
TeeChartx

Description
The asHorizHistogram property is used by the Series Class to access HorizHistogram Series specific properties.


ILegendItem.Align
ILegendItem

property Align: Integer;

Type Library
TeeChartx

Description
Controls the Legend Items horizontal position.

Example [Visual Basic]:

ILegendItem.Left

ILegendItem.Top


ISeriesAnimationTool.Duration
ISeriesAnimationTool

property Duration: Integer;

Type Library
TeeChartx


ITransformAnimation.RotateMin
ITransformAnimation

property RotateMin: Integer;

Type Library
TeeChartx


IPrinterSettings.FormName
IPrinterSettings

property FormName: WideString;

Type Library
TeeChartx

Description
Windows NT/2000/XP: A zero-terminated character array that specifies the name of the form to use; for example, "Letter" or "Legal". A complete set of names can be retrieved by using the EnumForms function.

Windows 95/98/Me: Printer drivers do not use this member.


IAnnotationTool.Cursor
IAnnotationTool

property Cursor: SmallInt;

Type Library
TeeChartx

Description
The Cursor to show when the user moves the mouse over the Annotation bounds.


IMapPolygon.Closed
IMapPolygon

property Closed: WordBool;

Type Library
TeeChartx

Description
When Closed is True, the polygon is displayed and filled using the polygon Pen and Brush properties. When Closed is False, a poly-line is displayed using the Pen property.


Legend key
Published
ReadOnly
Abstract


IChartAxisPen.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPen
|
IChartAxisPen


IOrgItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IOrgItem


IHistogramSeries.YOrigin
IHistogramSeries

property YOrigin: Double;

Type Library
TeeChartx

Description
Default Value: 0

The YOrigin property determines the axis value used as a common bottom for all Histogram Bar points.

The UseYOrigin property must be True (the default) to use the YOrigin property.

Histogram Bars with a value bigger than YOrigin are drawn in one direction and Histogram Bars with a lower value are drawn in the opposite direction.


ITeeAnimation.TwoWay
ITeeAnimation

property TwoWay: WordBool;

Type Library
TeeChartx


IXLSExport.methods
IXLSExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


ITeeShapes.Add
ITeeShapes

function Add: Integer;

Type Library
TeeChartx


IClockSeries.Center
IClockSeries

property Center: IPointer;

Type Library
TeeChartx


ICalendarSeries.Months
ICalendarSeries

property Months: ICalendarCellUpper;

Type Library
TeeChartx

Description
The Months property describes Calender Cell appearance characteristics (font, colour, etc) for the month name underneath the header of the Calender series.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Months.UpperCase = True

End With


IDonutSeries.DonutPercent
IDonutSeries

property DonutPercent: Integer;

Type Library
TeeChartx

Description
Set DonutPercent to determine the dimension of the middle hole.


ICanvas.PlaneD

ICanvas.Plane3D
ICanvas

procedure Plane3D(X0, Y0, X1, Y1, Z0, Z1: Integer);

Type Library
TeeChartx

Description
Rectangle from (X0,Y0,Z0) to (X1,Y1,Z1)


ILegendPaletteTool.Pointer
ILegendPaletteTool

property Pointer: ILegendPointer;

Type Library
TeeChartx


IFramedBorder.Brush
IFramedBorder

property Brush: IBrush;

Type Library
TeeChartx

Description

Defines the Brush of the Frame.


IPieSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
IPieSeries


IAnnotationCallout.YPosition
IAnnotationCallout

property YPosition: Integer;

Type Library
TeeChartx

Description
The Y pixel coordinate of the ending point of the annotation callout line.


IMarks.Clip
IMarks

property Clip: WordBool;

Type Library
TeeChartx

Description
The Clip boolean property toggles if Marks outside Chart limits will overwrite any other Chart region.

By default is True, meaning Marks will be drawn only within inner chart boundaries, keeping Axis Labels, Titles, Legend, etc almost untouched.


IMapPolygon.Picture
IMapPolygon

property Picture: IBackImage;

Type Library
TeeChartx


ITeeShadow.Visible
ITeeShadow

property Visible: WordBool;

Type Library
TeeChartx

Description
Default is True.

Shows or hides the shadow.

Note: For a shadow to be visible, its HorizSize and / or VertSize properies should not be zero.


IPolarGridSeries.Palette
IPolarGridSeries

property Palette: ICustom3DPaletteSeries;

Type Library
TeeChartx

Description
Returns properties that configure polar grid cell colors based on their values.


ISeries.IsNan
ISeries

function IsNan(Value: Double): WordBool;

Type Library
TeeChartx

Description

Use IsNan if you expect to use 'non-clean' data that may contain Nans (Not a Number) or Infinite values. By Boolean checking for these values you can avoid trying to add them to a Chart Series.

Note: We recommend you use VB's With, VC++'s CSeries declaration as pointer to Series, or equivalent to avoid multiple recreates of the ISeries interface if this method is used with large datasets. Large gains may be made in performance. This holds true for maximising all use of With.

Example [Visual Basic]

With TChart1.Series(0)

For i = 0 To Numdata - 1

If .IsNan(Mydata(i)) = False Then

.AddXY i, Mydata(i), "", clTeeColor

Else

.AddNullXY i, 0, ""

End If

Next i

End With


ITeeEditorOptions.properties
ITeeEditorOptions Legend key

Type Library
TeeChartx

In ITeeEditorOptions

Add
AllGroups
AskDelete
Change
Clone
DataSource
Delete
EditData
Groups
Help
OrderSeries
Title


ITeeRect.properties
ITeeRect Legend key

Type Library
TeeChartx

In ITeeRect

Bottom
Left
Right
Top


IChartGrid.Cols
IChartGrid

function Cols: IChartGridCols;

Type Library
TeeChartx

Description

Use this method to access/return the ChartGrid Columns Cols collection.


IColorBandTool.ResizeStart
IColorBandTool

property ResizeStart: WordBool;

Type Library
TeeChartx

Description

Gets or sets if the ColorBand tool allows mouse dragging of the edge corresponding to the start value.


IFastLineSeries.InvertedStairs
IFastLineSeries

property InvertedStairs: WordBool;

Type Library
TeeChartx

Description
This boolean property controls the FastLine series drawing.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step. - see Stairs.

In most normal situations, the Series draws a line between each Line point.

This makes the Line appear as a "mountain" shape.

However, setting Stairs to TRUE will make the Series draw 2 Lines between each pair of points, thus giving a "stairs" appearance.

This is most used in some financial Chart representations. You may invert the stair by setting InvertedStairs to True.

Example [Visual Basic]:

Private Sub Check1_Click()

TChart1.Series(0).asFastLine.Stairs = Check1.Value = 1

' enable / disable

Check2.Enabled = TChart1.Series(0).asFastLine.Stairs

End Sub

Private Sub Check2_Click()

TChart1.Series(0).asFastLine.InvertedStairs = Check2.Value = 1

End Sub


ISharpenFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IConvolveFilter
|
ISharpenFilter


IExpandAnimation.properties
IExpandAnimation Legend key

Type Library
TeeChartx

In IExpandAnimation

SizeBy
Target
Trigger

Derived from ITeeCustomAnimation

Animate
Animations
Loop
Speed


ISeriesSourceFile.FileName
ISeriesSourceFile

property FileName: WideString;

Type Library
TeeChartx

Description
The FileName property refers to the file that will be used by the SeriesSource object to import data to series.


IExport.EmailFile
IExport

procedure EmailFile(Const FileName, Subject: WideString);

Type Library
TeeChartx

Description
The EmailFile proceedure attaches a specified file to an email created by your default emailing software.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Export.EmailFile "C:\TestFiles\TeeChart.txt"

End With


IImageBarSeries.ClearImage
IImageBarSeries

procedure ClearImage;

Type Library
TeeChartx

Description

Clear ImageBarSeries assigned image.


IChartGridCols.properties
IChartGridCols Legend key

Type Library
TeeChartx

In IChartGridCols

Col
Count
Widths


IContourSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries
|
IContourSeries


IAxes.properties
IAxes Legend key

Type Library
TeeChartx

In IAxes

Behind
Bottom
Custom
CustomCount
Depth
DepthTop
DrawAxesBeforeSeries
FastCalc
Items
Left
Right
Top
Visible


ICandleSeries.HighValues
ICandleSeries

property HighValues: IValueList;

Type Library
TeeChartx

Description
The HighValues property is used to store all Stock market High values. You can access High values in the same way you can access X or Y values.

Example [Visual Basic]:

{ this code decreases the last Candle High value }

With TChart1.Series(0).asCandle

.HighValues.Value(.HighValues.Count - 1) = .HighValues.Value(.HighValues.Count - 1) - 1

End With


ISurfaceNearestTool.ColumnColor
ISurfaceNearestTool

property ColumnColor: OLE_COLOR;

Type Library
TeeChartx

Description
Gets or sets the color used to fill all the surface cells that belong to the grid column under the mouse cursor.

Setting the ColumnColor to clNone will hide all cells in the selected column.

Setting it to clTeeColor will not modify the default cell color.


ICustomPolarSeries.AngleValues
ICustomPolarSeries

property AngleValues: IValueList;

Type Library
TeeChartx

Description
The list of angle values for each polar point

The AngleValues property is a TList object that stores each Polar point Angle value. You can change angle values by using the AngleValues.Value( ) array of doubles property:

Example [Visual Basic]:

TChart1.Series(0).asPolar.AngleValues.Value(0) = 270

This sets the first point angle to 270


IExtraLegendTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IExtraLegendTool


IDownSamplingFunction.Tolerance
IDownSamplingFunction

property Tolerance: Integer;

Type Library
TeeChartx

Description

Reduce sensitivity by increasing the Tolerance.


ISeriesList.AddGroup
ISeriesList

procedure AddGroup(Const Name: WideString);

Type Library
TeeChartx

Description

Adds a new series group to the groups list.

The Name parameter specifies the new group name.


IErrorBarSeries.properties
IErrorBarSeries Legend key

Type Library
TeeChartx

Derived from ICustomErrorSeries

ErrorPen
ErrorStyle
ErrorValues
ErrorWidth
ErrorWidthUnits

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


ITeeListBox.Items
ITeeListBox

property Items: IStrings;

Type Library
TeeChartx

Description
List of ListBox items.


IClockGauge.SnapToSeconds
IClockGauge

property SnapToSeconds: WordBool;

Type Library
TeeChartx


IMarks.DrawEvery
IMarks

property DrawEvery: Integer;

Type Library
TeeChartx

Description
Use DrawEvery to set the number of consecutive Marks to be drawn. Setting this property to two will draw every other Mark, to three every third etc.


ITChart.OnColorBandToolResized
ITChart

property OnColorBandToolResized: TNotifyEvent;

Type Library
TeeChartx

Description
Event triggers when ColorBand is resized.


ITeePreviewer.PaperColor
ITeePreviewer

property PaperColor: OLE_COLOR;

Type Library
TeeChartx

Description
Set the Previewer paper colour.


IAxis.Automatic
IAxis

property Automatic: WordBool;

Type Library
TeeChartx

Description
If Automatic property is True, then the Maximum and Minimum values for the Axis will be calculated with all Axis dependent Series.

Example [Visual Basic]:

TChart1.Axis.Left.Automatic = True


ITChart.OnRectangleToolResizing
ITChart

property OnRectangleToolResizing: TNotifyEvent;

Type Library
TeeChartx

Description
This event is called when the user resizes an edge of the rectangle.


ITChart.OnDrawLineToolNewLine
ITChart

property OnDrawLineToolNewLine: TNotifyEvent;

Type Library
TeeChartx

Description
The DrawLineToolNewLine event is fired when a DrawLine Tool line has been created.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcDrawLine

With .Tools.Items(0).asDrawLine

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnDrawLineToolDraggedLine()

Label1.Caption = "Line Dragged"

End Sub

Private Sub TChart1_OnDrawLineToolLineDrag()

Label1.Caption = "Line Drag"

End Sub

Private Sub TChart1_OnDrawLineToolNewLine()

Label1.Caption = "NewLine"

End Sub

Private Sub TChart1_OnDrawLineToolSelectLine()

Label1.Caption = "Line selected"

End Sub


IMarks.ZPosition
IMarks

property ZPosition: Integer;

Type Library
TeeChartx

Description
Set Z position for Marks


IMapPolygonList.ByName
IMapPolygonList

property ByName[Const AName: WideString]: IMapPolygon;

Type Library
TeeChartx


IChartCollection.Count
IChartCollection

property Count: Integer;

Type Library
TeeChartx

Description
Returns the number of sub-Charts in the collection.


IContourSeries.Filled
IContourSeries

property Filled: WordBool;

Type Library
TeeChartx


ICustomSeries.LinePen
ICustomSeries

property LinePen: IPen;

Type Library
TeeChartx

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points.

Example [Visual Basic]:

This code changes FastLineSeries's pen style:

TChart1.Series( 0 ).asFastLine.LinePen.Style = psDot


ICustomBarSeries.MarksOnBar
ICustomBarSeries

property MarksOnBar: WordBool;

Type Library
TeeChartx

Description
This neat feature for Bar and HorizBar Series lets you position Marks on the bars easily, whilst also allowing you to choose the desired alignment within

the bar itself.

Use in conjunction with the MarksLocation (mlStart, mlCenter, mlEnd) property.


IAxisArrowTool.Length
IAxisArrowTool

property Length: Integer;

Type Library
TeeChartx

Description
Default value: 16

Sets the length of the Arrows.


IDoubleHorizBarSeries.methods
IDoubleHorizBarSeries Legend key

Type Library
TeeChartx

Derived from IHorizBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IPolarLabels.Rotated
IPolarLabels

property Rotated: WordBool;

Type Library
TeeChartx


IGIFExport.Compression
IGIFExport

property Compression: EGIFCompression;

Type Library
TeeChartx

Description
Sets the type of GIF compression.

* Important note

GIF LZW compression has been disabled in TeeChart Pro AX v5 until the use and licensing of LZW has been completely clarified with Unisys. Unisys's position on LZW licensing has led us to the interim conclusion (unfortunately) that by not including LZW we protect ourselves and our customers against unexpected licensing battles with Unisys at a later stage. TeeChart continues to support GIF with RLE compression which is not subject to Unisys license.

For more information see: http://www.unisys.com/unisys/lzw/

We will be happy to discuss the issue with any customer who feels that they need to use LZW and to make a joint approach to Unisys to clarify the license position.

The image format PNG is superior in many respects to GIF with LZW, particularly in the case of TeeChart where animations are not exported. We recommend the use of PNG where possible.

EGIFCompressionOptions:

gcLZW = 0

gcRLE = 1

This version of TeeChart only supports RLE encoding. Please see note above.


ISubChartChart.methods
ISubChartChart Legend key

Type Library
TeeChartx

Derived from ITChart

AboutBox
ActiveSeriesLegend
AddSeries
ApplyCustomPalette
ApplyPalette
ChangeSeriesType
ChartRect
ClearChart
CloneSeries
CloneSeriesFromChart
CloneSeriesFromChartx64
CloneToolFromChart
CloneToolFromChartx64
CreateNewSeriesGallery
CreateSeriesChangeGallery
Draw
EditOneSeries
EditStrings
ExchangeSeries
GetDateTimeStep
GetFreeSeriesColor
GetLabelsSeries
IsFreeSeriesColor
MultiLineTextHeight
MultiLineTextWidth
RefreshData
RemoveAllSeries
RemoveSeries
Repaint
Series
SeriesTitleLegend
SetChartRect
SetTheme
ShowEditor
ShowSeriesEditor
ShowThemesEditor
StopMouse


IExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExport


IChartGridNavigator.Color
IChartGridNavigator

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Sets the Color for the Navigator panel.


IExport.methods
IExport Legend key

Type Library
TeeChartx

In IExport

ConvertTeeFileToText
CopyToClipboardBitmap
CopyToClipboardMetafile
EmailFile
SaveChartDialog
SaveToBitmapFile
SaveToFile
SaveToJPEGFile
SaveToMetafile
SaveToMetafileEnh
SaveToXMLFile
SaveToXMLStream
ShowExport
Stream


ITeeShape.ClearImage
ITeeShape

procedure ClearImage;

Type Library
TeeChartx


IGaugeSeries.Center
IGaugeSeries

property Center: IPointer;

Type Library
TeeChartx

Description
Returns a sub-object with properties that control the appearance of a shape at the middle of gauge.


IPrinter.PrinterIndex
IPrinter

property PrinterIndex: Integer;

Type Library
TeeChartx

Description
This property will set the Printer to the required PrinterIndex. The PrinterIndex may vary from that of Windows at runtime if a new printer is added during the current Windows session. We therefore recommend that you use TeeChart's PrinterDescription property to offer the user a list of available printers. The PrinterCount property will return the number of printers.


IGLPosition.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGLPosition


ISeries.AddNull
ISeries

function AddNull(Const SomeLabel: WideString): Integer;

Type Library
TeeChartx

Description
The Series AddNull method can be used to insert new Null points to a Series. The null is represented as an index point of the Chart without value.

The ALabel parameter is optional (can be empty "").

The function returns the new point position in the Values list.

Example [Visual Basic]:

In this example the Axis and Legend labels ("1st", "2nd", "null", etc) are generated by the ALabel parameter of the Add and AddNull methods to clarify how points are added. In your own Chart, creating and displaying Labels is optional.

With TChart1

.AddSeries scLine

.Series(0).Add Rnd(100), "1st", clTeeColor

.Series(0).Add Rnd(100), "2nd", clTeeColor

.Series(0).AddNull "Null"

.Series(0).Add Rnd(100), "4th", clTeeColor

.Series(0).Add Rnd(100), "5th", clTeeColor

.Series(0).Add Rnd(100), "6th", clTeeColor

.Series(0).Add Rnd(100), "7th", clTeeColor

.Series(0).Add Rnd(100), "8th", clTeeColor

End With


ITeeCustomShape.ShapeBounds
ITeeCustomShape

property ShapeBounds: ITeeRect;

Type Library
TeeChartx

Description
The ShapeBounds property defines the boundaries of the TeeCustomShape.


IJSONExport.methods
IJSONExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


IClusteringTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IClusteringTool


ICustomDSeries.MinZValue

ICustom3DSeries.MinZValue
ICustom3DSeries

function MinZValue: Double;

Type Library
TeeChartx

Description
Returns MinZValue.


IFilterItems.LoadImage
IFilterItems

procedure LoadImage(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads an image from the filename.


ICustomBarSeries.properties
ICustomBarSeries Legend key

Type Library
TeeChartx

In ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


IVectorDSeries.AddVector

IVector3DSeries.AddVector
IVector3DSeries

function AddVector(X0, Y0, Z0, X1, Y1, Z1: Double; Const ALabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Adds a new 3D vector line to series.

Label and Color are optional parameters.

TChart2.Series(1).Add 10, 20, 30


IHover.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
IHover


ITeeOpenGL.LightPosition
ITeeOpenGL

property LightPosition: ITeePoint3D;

Type Library
TeeChartx

Description
Sets the X,Y,Z location of the light source.


IPrinter.JobTitle
IPrinter

property JobTitle: WideString;

Type Library
TeeChartx

Description
JobTitle sets the title used when sending printer jobs over a network.


ICustomSeries.DarkD

ICustomSeries.Dark3D
ICustomSeries

property Dark3D: WordBool;

Type Library
TeeChartx

Description
Default = True

The Dark3D property colours the parts of a 3D Line series which give it depth a darker shade then the rest of the series.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).asLine.Dark3D = Not TChart1.Series(0).asLine.Dark3D

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Aspect.Chart3DPercent = 100

.Series(0).Color = vbYellow

End With

End Sub


ISeries.PointValue
ISeries

property PointValue[Index: Integer]: Double;

Type Library
TeeChartx

Description
The PointValue property returns the value of the Series point at the index specified.


ITagCloudSeries.properties
ITagCloudSeries Legend key

Type Library
TeeChartx

In ITagCloudSeries

Filter
Font
Gradient
TagSeparation

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IContourLevel.Segments
IContourLevel

property Segments[Index: Integer]: ILevelSegment;

Type Library
TeeChartx

Description
Returns a collection of "segments" (arrays of TPoints) containing the coordinates for all the points of the given contour level.


IPointer.Picture
IPointer

property Picture: ITeePicture;

Type Library
TeeChartx


ITreeMapSeries.MapStyle
ITreeMapSeries

property MapStyle: ETreeMapTiling;

Type Library
TeeChartx

Description
The Style property allows you to choose a tiling style. The Slice&Dice shows the nested rectangles in a veertical layout whilsst the Strips format shows the rectangles horizontally or as the name suggests, in strips.

Default:- Slice&Dice (FStyle=tmSlice)


IVideoPlayerTool.Playing
IVideoPlayerTool

property Playing: WordBool;

Type Library
TeeChartx

Description
Returns True if the video is currently being played.


IClipSeriesTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IClipSeriesTool


ILegendItems.methods
ILegendItems Legend key

Type Library
TeeChartx

In ILegendItems

Clear


ICalendarSeries.Today
ICalendarSeries

property Today: ICalendarCell;

Type Library
TeeChartx

Description
The Today property describes Calender Cell appearance characteristics (font, colour, etc) for the Today (highlighted day) of the Calender series.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Today.ShapeStyle = fosRoundRectangle

End With


IExpandAnimation.methods
IExpandAnimation Legend key

Type Library
TeeChartx

Derived from ITeeCustomAnimation

Play


IErrors.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IErrorsBase
|
IErrors


ICanvas.RectangleWithZ
ICanvas

procedure RectangleWithZ(Left, Top, Right, Bottom, Z: Integer);

Type Library
TeeChartx

Description
Rectangle at Z position.


ITChart.ChartLinkx

ITChart.ChartLinkx64
ITChart

property ChartLinkx64: OleVariant;

Type Library
TeeChartx


ITChart.OnColorLineToolEndDragLine
ITChart

property OnColorLineToolEndDragLine: TNotifyEvent;

Type Library
TeeChartx

Description
Use event to action on end of ColorLine drag.


IColorLineTool.AllowDrag
IColorLineTool

property AllowDrag: WordBool;

Type Library
TeeChartx

Description
Default False.

When true allows mousedrag of Line.


IPointer.methods
IPointer Legend key

Type Library
TeeChartx

In IPointer

DrawPointer


ITeeFont.Quality
ITeeFont

property Quality: EFontQuality;

Type Library
TeeChartx


IBrush.Color
IBrush

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
The Brush Color property determines the color used to fill a zone when using the IBrush Interface.

Note:

Defining a Brush.Color or Brush.Style will reset the Canvas.BackMode to cbmTransparent. If you want your Canvas shapes to display a Canvas.BackColor then you will have to redefine Canvas.BackMode.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

With TChart1.Canvas

' **** Before

.Brush.Style = bsBDiagonal

.Brush.Color = vbRed

' **** After

.BackColor = vbYellow

.BackMode = cbmNone

.Rectangle 10, 10, 100, 100

End With

End Sub


ITeeFont.methods
ITeeFont Legend key

Type Library
TeeChartx

In ITeeFont

ShowEditor


IAxisScrollTool.properties
IAxisScrollTool Legend key

Type Library
TeeChartx

In IAxisScrollTool

ScrollInverted

Derived from ICustomToolAxis

Axis


IDataExport.ValueFormat
IDataExport

property ValueFormat: WideString;

Type Library
TeeChartx

Description

Gets or sets a specific value format.


ICustomBarSeries.BarRound
ICustomBarSeries

property BarRound: EBarRound;

Type Library
TeeChartx

Description
Gets or Sets the BarRound Style.

Styles : None, AtValue, BothEnds


IShapeSeries.Transparent
IShapeSeries

property Transparent: WordBool;

Type Library
TeeChartx

Description
Default : False

The Transparent property controls if ShapeSeries classes will use the Shape Brush attributes to fill the interior of the Shape.

When False, Shapes do not redraw their background so charting contents behind Shape Series is seen inside the Shape.


ITools.asAxisArrow
ITools

property asAxisArrow: IAxisArrowTool;

Type Library
TeeChartx

Description
The asAxisArrow property is used by the Tools Class to access AxisArrow Tool specific properties.


IImport.LoadFromBaseStream

IImport.LoadFromBase64Stream
IImport See also

procedure LoadFromBase64Stream(AStream: OleVariant);

Type Library
TeeChartx

Description
Imports a Chart Stream saved encoded as Base64.

See also:
INativeExport.SaveToBase64Stream


ICustomPolarSeries.properties
ICustomPolarSeries Legend key

Type Library
TeeChartx

In ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IMirrorFilter.properties
IMirrorFilter Legend key

Type Library
TeeChartx

In IMirrorFilter

Direction


ISeries.methods
ISeries Legend key

Type Library
TeeChartx

In ISeries

Add
AddArray
AddNull
AddNullXY
AddXY
AppendArray
AssignValues
BeginUpdate
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CheckDataSource
Clear
Clicked
CountLegendItems
Delete
DeleteRange
DisconnectAxisCustom
EndUpdate
FillSampleValues
FreeDatasource
Get_asActivityGauge
Get_asEqualizerSeries
GetMousePoint
IsNan
IsNull
IsValidSeriesSource
IsValidSourceOf
LegendItemColor
LegendString
LegendToValueIndex
MaxVisibleValue
MinVisibleValue
RefreshSeries
SetFunction
SetNull
SortByLabels
SwapValues
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText


IMarksSymbol.BevelWidth
IMarksSymbol

property BevelWidth: Integer;

Type Library
TeeChartx

Description
Sets the Bevelwidth of the Shape.


IRectangleTool.Resizing
IRectangleTool

property Resizing: WordBool;

Type Library
TeeChartx

Description
Read-only public property that returns True when the rectangle tool is being resized (edges being dragged) by the end-user using the mouse.

See also: AllowResize property, OnRectangleToolResizing and OnRectangleToolResized events.


IClockHand.Width
IClockHand

property Width: Integer;

Type Library
TeeChartx


ILegendTitle.TextAlignment
ILegendTitle

property TextAlignment: ETitleAlignment;

Type Library
TeeChartx

Description
Determines if text is displayed at left, center or right side of chart legend title.

The default value is taCenter


IAxis.Shape
IAxis

property Shape: ITeeShape;

Type Library
TeeChartx


IExportFormat.SaveToFile
IExportFormat

procedure SaveToFile(Const FileName: WideString);

Type Library
TeeChartx

Description
Save Chart to File - Enter file path/name as string.


IBubbleSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
IBubbleSeries


IGaugeHand.properties
IGaugeHand Legend key

Type Library
TeeChartx

In IGaugeHand

Distance
Offset

Derived from IGaugeSeriesPointer

GaugeStyle

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


ISeriesRegionTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
ISeriesRegionTool


IValueList.Count
IValueList

property Count: Integer;

Type Library
TeeChartx

Description
This property returns the number of values in the List.

Count Property (IValueList) Example [Visual Basic]:

You can, for example, use this function to locate a specific value:

Dim t As Integer

With TChart1.Series(0)

For t = 0 To .YValues.Count - 1

If .YValues.Value(t) > 700 Then

.PointColor(t) = vbBlue

End If

Next t

End With


IArrowSeries.StartYValues
IArrowSeries

property StartYValues: IValueList;

Type Library
TeeChartx

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

StartXValues property is the list of Y0 values.

Example [Visual Basic]:

This code modifies the Y0 coordinate of first arrow point:

tmp = TChart1.Series(0).asArrow.StartYValues.Value(0)

TChart1.Series(0).asArrow.StartYValues.Value(0) = tmp + 123


ITeeGDIPlus.Antialias
ITeeGDIPlus

property Antialias: WordBool;

Type Library
TeeChartx

Description
AntiAlias Active when True.


IPercentChangeFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPercentChangeFunction


ISeries.IsValidSourceOf
ISeries

function IsValidSourceOf(SeriesIndex: Integer): WordBool;

Type Library
TeeChartx

Description
The IsValidSourceOf function returns False if the Value parameter is the same as Self.

It's used to validate the DataSource property both at design and run-time.


IChartFont.Bold
IChartFont

property Bold: WordBool;

Type Library
TeeChartx

Description
The ChartFont.Bold property sets Font bold for text.

Example [Visual Basic]:

TChart1.Header.Font.Bold = True


IScrollPagerTool.SubChartTool
IScrollPagerTool

property SubChartTool: ISubChartTool;

Type Library
TeeChartx


ITChart.ApplyPalette
ITChart

procedure ApplyPalette(paletteIndex: EColorPalette);

Type Library
TeeChartx

Description

Apply a predefined Palette to the Chart.

Example

Private Sub Form_Load()

' Add pre-defined ColorPalettes to combobox:

With Combo2

.Clear

.AddItem "cpClassic"

.AddItem "cpDefault"

.AddItem "cpExcel"

.AddItem "cpModern"

.AddItem "cpPastel"

.AddItem "cpRainbow"

.AddItem "cpSolid"

.AddItem "cpTeeChart"

.AddItem "cpVictorian"

.AddItem "cpWeb"

.AddItem "cpWindowsXP"

End With

End Sub

Private Sub Combo2_Click()

' Set a pre-defined color palette

TChart1.ApplyPalette Combo2.ListIndex

End Sub


ILegend.Inverted
ILegend

property Inverted: WordBool;

Type Library
TeeChartx

Description
Default: False

The Inverted property indicates, when True, to draw the Legend items in opposite direction. Legend strings are displayed starting at top for Left and Right Aligment and starting at left for Top and Bottom Legend orientations. You can use the Legend.FirstValue property to determine the ValueIndex for the first Legend text item.


IAxes.methods
IAxes Legend key

Type Library
TeeChartx

In IAxes

AddCustom
Hide
RemoveAllCustom
RemoveCustom
SetIsometric


IFramedBorder.Emboss
IFramedBorder

property Emboss: ITeeEmboss;

Type Library
TeeChartx

Description
The Emboss property produces a "Shadow-like" effect in the

opposite direction of a Shadow.

This property has been implemented in the same classes in which the

Shadow is implemented, meaning that the property is widely available

throughout the Chart.


IVectorDSeries.MaxYValueVector

IVector3DSeries.MaxYValueVector
IVector3DSeries

function MaxYValueVector: Double;

Type Library
TeeChartx

Description
Use this method to return the Vector MaxYValueVector.


ITeeEditor.EditorLink
ITeeEditor

property EditorLink: Integer;

Type Library
TeeChartx

Description
Use this property to assciate the TeeEditor characteristics with the Editor opended from a TeeCommander component.

Example

eg. Visual Basic

TeeCommander1.Editor = TeeEditor1

or

TeeCommander1.EditorLink = TChart1.EditorLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetEditorLink(m_Chart1.GetEditorLink());


ICandleSeries.DownCloseGradient
ICandleSeries

property DownCloseGradient: IGradient;

Type Library
TeeChartx

Description
The DownCloseGradient property specifies the color gradient used to fill the DownClose values.

The Candle color is based on a given candle close price compared to its previous candle close price.


ITeeFunction.asRMS
ITeeFunction

property asRMS: IRMSFunction;

Type Library
TeeChartx

Description
The asRMS property is used by the Teefunction Class to access RMS Function specific properties.


IVectorDSeries.ArrowHeight

IVector3DSeries.ArrowHeight
IVector3DSeries

property ArrowHeight: Integer;

Type Library
TeeChartx

Description
Gets and sets the arrow height in pixels.


IZoom.UpLeftZooms
IZoom

property UpLeftZooms: WordBool;

Type Library
TeeChartx

Description
Gets or sets if the zoom object will apply "un-zoom" when the end user drags the mouse from bottom-right to up-left direction.

By default is True.

Setting to False means the end-user will not have any way to "undo" zoom using the mouse, so you'll need to provide another way to un-zoom.

When false, dragging a rectangle will always zoom, no matter in which direction has been dragged the rectangle.


IAxis.AxisPen
IAxis

property AxisPen: IChartAxisPen;

Type Library
TeeChartx

Description
The AxisPen property determines the kind of pen used to draw the Axis major lines. These are the lines which go from Axis Minimum to Axis Maximum screen positions.


ITeeFunction.asRSI
ITeeFunction

property asRSI: IRSIFunction;

Type Library
TeeChartx

Description
The asRSI property is used by the Teefunction Class to access RSI Function specific properties.


ITeeFunction.asRVI
ITeeFunction

property asRVI: IRVIFunction;

Type Library
TeeChartx

Description
The asRVI property is used by the Teefunction Class to access RVI Function specific properties.


ICustomDGridSeries.IrregularGrid

ICustom3DGridSeries.IrregularGrid
ICustom3DGridSeries

property IrregularGrid: WordBool;

Type Library
TeeChartx

Description
Use IrregularGrid property to determine if X and Z values are equi-distant or not.


ICustomBarSeries.BarImageLoad
ICustomBarSeries

procedure BarImageLoad(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads image of filename onto Bar. The image is tiled across all Bars.

Example [Visual Basic]:

With TChart1

.Series(0).asBar.BarImageLoad "d:\data\bitmaps\fruit.bmp"

.Series(1).asBar.BarImageLoad "d:\data\bitmaps\veg.bmp"

End With


IWalls.Back
IWalls

property Back: IWall;

Type Library
TeeChartx

Description
The TChart.Walls.Back property defines the pen and brush used to fill the back chart side. Available IWall properties are Brush, Color, Dark3D, Gradient, Pen, Size and Transparent. TChart.Aspect.View3D and TChart.Walls.Visible properties should be True to use TChart.Walls.Back, TChart.Walls.Bottom, TChart.Walls.Left and TChart.Walls.Right.


IPointDSeries.LinePen

IPoint3DSeries.LinePen
IPoint3DSeries

property LinePen: IPen;

Type Library
TeeChartx

Description
Sets the Pen for the Point3D connecting Lines.

Example [Visual Basic]:

With TChart1.Series(0)

.asPoint3D.DepthSize = 3

.asPoint3D.LinePen.Color = vbRed

End With


ISeries.asPolar
ISeries

property asPolar: IPolarSeries;

Type Library
TeeChartx

Description
The asPolar property is used by the Series Class to access Polar Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


ISeries.SetFunction
ISeries

procedure SetFunction(AFunction: EFunctionType);

Type Library
TeeChartx

Description
AddFunction class Example

To set the period for AddFunction you should use the FunctionType property of Series

To define a function series by code you should first create a new series for the function. The series may be of any type.

Visual Basic

{ Set the function using the SetFunction method}.

TChart1.Series(0).SetFunction(tfAdd)

{You may then define the period for the function - here setting it to to 5}

TChart1.Series(0).FunctionType.Period = 5

To undefine (delete) a function defined for the series you should either delete the Series, make it inactive, or reassign the datasource to another Function or other.


IPCXExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IPCXExport


IConvolveFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IConvolveFilter


IMarks.Symbol
IMarks

property Symbol: IMarksSymbol;

Type Library
TeeChartx

Description
Series Marks can display a small "symbol", similar to the Chart Legend symbol, inside each series mark rectangle.

The Symbol property includes several formatting properties used to display the symbol inside the mark.

By default Symbol.Visible is False.


IVideoPlayerTool.Play
IVideoPlayerTool

procedure Play;

Type Library
TeeChartx

Description
Starts playing video frames until the video file ends or the Stop or Pause methods are called.


IAnnotationTool.TextAlignment
IAnnotationTool

property TextAlignment: ETextAlignment;

Type Library
TeeChartx

Description
Determines how text will be horizontally displayed inside the Annotation rectangle.

Values can be Left, Center or Right.


IAxisLabels.Separation
IAxisLabels

property Separation: Integer;

Type Library
TeeChartx

Description
Default Value: 10

The Separation property specifies the percent amount of minimum distance between Axis Labels.

Setting it to "0" zero makes Axis skip calculating overlapping labels. (No clipping is performed).

Labels visibility depends also on Labels.Font size, Labels.Angle and Axis.Increment properties.


IGanttTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IGanttTool


IResizeFilter.properties
IResizeFilter Legend key

Type Library
TeeChartx

In IResizeFilter

Height
Width


IPanel.BevelInner
IPanel

property BevelInner: EPanelBevel;

Type Library
TeeChartx

Description
The BevelInner property defines the inner bevel type of the TChart Panel border.

Available types:

bvNone

bvLowered

bvRaised


IDataExport.IncludeLabels
IDataExport

property IncludeLabels: WordBool;

Type Library
TeeChartx

Description
Default False.

Whether or not to include Labels with the output Series data.


ITeeFilter.asSoften
ITeeFilter

property asSoften: ISoftenFilter;

Type Library
TeeChartx

Description
The asSoften property is used by the TeeFilter Class to access Soften Filter specific properties.


ITeeFont.Picture
ITeeFont

property Picture: ITeePicture;

Type Library
TeeChartx

Description
Using ITeePicture properties and methods allows to define a picture to be filled into the font region.


ITextShape.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape
|
ITeeShapePosition
|
ITextShape


ITools.asClustering
ITools

property asClustering: IClusteringTool;

Type Library
TeeChartx


IMarks.TextAlign
IMarks

property TextAlign: ETextAlignment;

Type Library
TeeChartx

Description

Gets or sets a specific alignment for Series Marks.


IMarksTail.Align
IMarksTail

property Align: ETailAlign;

Type Library
TeeChartx

Description

Align, Near, Center, Far. For vertical edges that is top to bottom, for horizontal edges that is left to right.


IPrinter.PrinterSettings
IPrinter

property PrinterSettings: IPrinterSettings;

Type Library
TeeChartx

Description
Advanced.

Offer direct access to advanced PrinterSettings. See the IPrinterSettings interface for options.


IToolList.Clear
IToolList

procedure Clear;

Type Library
TeeChartx

Description
Empties the ToolList and sets the Count to 0.


IPolarLabels.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ITeeShape
|
IPolarLabels


ITeeGDIPlus.GDIPlusShutdown
ITeeGDIPlus

procedure GDIPlusShutdown;

Type Library
TeeChartx


ITeeFunction.asSAR
ITeeFunction

property asSAR: ISARFunction;

Type Library
TeeChartx

Description
Accesses SAR function specific properties.


IEnvironment.methods
IEnvironment Legend key

Type Library
TeeChartx

In IEnvironment

CodeUTF8String
DecodeUTF8String
GoToURL
InternalRepaint


IPen.Show
IPen

procedure Show;

Type Library
TeeChartx

Description
Shows the Pen.


ISeriesMarkPosition.ArrowTo
ISeriesMarkPosition

property ArrowTo: ITeePoint2D;

Type Library
TeeChartx

Description
Defines the position (X,Y) to which the line connecting the Series Point and Series Mark is drawn.

Example [Visual Basic]:

This example draws a line from the Series' second value on the XAxis to the Series' second mark:

With TChart1.Series(0).Marks.Positions.Position(1)

.Custom = True

.ArrowFrom.X = TChart1.Series(0).CalcXPos(1)

.ArrowFrom.Y = TChart1.Series(0).CalcYPos(0)

.ArrowTo.X = TChart1.Series(0).CalcXPos(1)

.ArrowTo.Y = TChart1.Series(0).CalcYPos(1) - 16

End With


ISeries.Count
ISeries

property Count: Integer;

Type Library
TeeChartx

Description
This property returns the number of points in the Series.

Count Example

You can, for example, use this value to iterate:

Delphi

With TChart1.Series[ 0 ] do

begin

for t := 0 to Count - 1 do

if YValues.Value[t] > 50 then

PointColor [t] := clRed ;

end;

Or simply count the points in the Series...

Visual Basic

MsgBox TChart1.Series(0).Count


IAxisLabels.Font
IAxisLabels

property Font: ITeeFont;

Type Library
TeeChartx

Description
The Font property (AxisLabels) determines the Font used to draw Axis Labels. The default Font is Arial. TrueType fonts look much better and perform more exactly. The LabelsFont.Size determines the number of non-overlapping axis labels.


IContourLevels.methods
IContourLevels Legend key

Type Library
TeeChartx

In IContourLevels

AddLevel
Clicked


IVideoTool.methods
IVideoTool Legend key

Type Library
TeeChartx

In IVideoTool

StartRecording
StopRecording


ITChart.Printing
ITChart

property Printing: WordBool;

Type Library
TeeChartx

Description
Run-time and read only. The Printing property indicates Chart is being printed, for example calling the Print method.


IAxisScrollBarTool.properties
IAxisScrollBarTool Legend key

Type Library
TeeChartx

In IAxisScrollBarTool

Margin

Derived from ITeeScrollBar

AllowResize
ArrowBrush
Arrows
AutoRepeat
BackColor
Bevel
DisabledArrow
DrawStyle
Gradient
InitialDelay
MinThumbSize
RoundSize
Size
Thumb
ThumbBrush
ThumbSize


ITeePointD.Z

ITeePoint3D.Z
ITeePoint3D

property Z: Double;

Type Library
TeeChartx

Description
Z point co-ordinate.


ISeries.asImageBar
ISeries

property asImageBar: IImageBarSeries;

Type Library
TeeChartx

Description
Access to ImageBarSeries specific properties.


ICustomBarSeries.Gradient
ICustomBarSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill the bars of the Chart CustomBarSeries. These can be filled with these three colors: StartColor, MidColor, EndColor. You can control the drawing output by setting the Direction property. Use the Visible property to show / hide filling.


ICallout.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
ICallout


ITools.properties
ITools Legend key

Type Library
TeeChartx

In ITools

Active
asAnnotation
asAntiAlias
asArrow
asAxisArrow
asAxisBreaks
asAxisScroll
asAxisScrollBar
asBanner
asChartImage
asClipSeries
asClustering
asColorband
asColorLine
asDataTable
asDragMarks
asDragPoint
asDrawLine
asExtraLegend
asFader
asFibonacci
asFrame
asFullScreen
asGantt
asGridBand
asGridTranspose
asLegendPalette
asLegendScrollBar
asLight
asLink
asMagnify
asMarksTip
asNearest
asPageNum
asPie
asRectangle
asRepaintMonitor
asRotate
asScrollPager
asSelector
asSeriesAnimation
asSeriesBand
asSeriesRegion
asSeriesStats
asSubChart
asSurfaceNearest
asTeeCursor
asText3D
asTransposeSeries
asVideo
asVideoPlayer
Description
ShowInEditor
Tag
ToolType


IHistogramFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IHistogramFunction


IJPEGExport.CompressionQuality
IJPEGExport

property CompressionQuality: Integer;

Type Library
TeeChartx

Description
Quality is a percentage 0 - 100% of which 100% is best quality.


ISurfaceNearestTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
ISurfaceNearestTool


IPen.Style
IPen

property Style: EChartPenStyle;

Type Library
TeeChartx

Description
The Style property determines the style in which the pen draw lines on the canvas.


ITChart.OnSelectorToolResized
ITChart

property OnSelectorToolResized: TNotifyEvent;

Type Library
TeeChartx

Description
Called when the end-user releases the left mouse button after a chart resizing operation.

When chart resizing is finished this event is triggered.


IArrowTool.RotateGradient
IArrowTool

property RotateGradient: WordBool;

Type Library
TeeChartx


IValueList.Minimum
IValueList

property Minimum: Double;

Type Library
TeeChartx

Description
Run-time and read only. The Minimum property returns the lowest of all values inside the list. See IValueList.Maximum property for more information.


IPageControl.properties
IPageControl Legend key

Type Library
TeeChartx

In IPageControl

TabPosition
TabStyle


ISeriesRegionTool.LowerBound
ISeriesRegionTool

property LowerBound: Double;

Type Library
TeeChartx

Description
Default is zero.

When AutoBounds property is False, LowerBound value is used as the index of the first point in the series to start filling regions, until UpperBound point index.


IArrowSeries.FillD

IArrowSeries.Fill2D
IArrowSeries

property Fill2D: WordBool;

Type Library
TeeChartx


IMapPolygon.Size
IMapPolygon

property Size: Double;

Type Library
TeeChartx


IDataTableTool.Font
IDataTableTool

property Font: IChartFont;

Type Library
TeeChartx

Description
Determines the Font characteristics.


ITChart.Environment
ITChart

property Environment: IEnvironment;

Type Library
TeeChartx

Description
Property accesses general enviornment characteristics.


ICustomBoxSeries.Median
ICustomBoxSeries

property Median: Double;

Type Library
TeeChartx

Description
Read from Median to get SampleValues median value. Write to Median to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to Median does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ITeeBasePath.ArcTo
ITeeBasePath

procedure ArcTo(X, Y, Width, Height, StartAngle, SweepAngle: Integer);

Type Library
TeeChartx


ICustomToolAxis.properties
ICustomToolAxis Legend key

Type Library
TeeChartx

In ICustomToolAxis

Axis


ITernarySeries.CalcPointFromValues
ITernarySeries

function CalcPointFromValues(a, b, C: Double): ITeePoint2D;

Type Library
TeeChartx

Description
Returns 2D point plot location for three Ternary vertex values.


ICanvas.MoveToD

ICanvas.MoveTo3D
ICanvas

procedure MoveTo3D(X, Y, Z: Integer);

Type Library
TeeChartx

Description
Use MoveTo3D to set the value of the Pen position before calling LineTo3D


ITools.asAxisScroll
ITools

property asAxisScroll: IAxisScrollTool;

Type Library
TeeChartx

Description

The asAxisScroll property is used by the Tools Class to access AxisScroll Tool specific properties.


ILegendPaletteTool.PositionUnits
ILegendPaletteTool

property PositionUnits: EPositionUnits;

Type Library
TeeChartx

Description
Default is muPixels.

Determines how will be the LegendPaletteTool Left and LegendPaletteTool Top properties be considered, if as pixels or as a percentage of chart width and height.


IMarks.BackColor
IMarks

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default Value: ChartMarkColor = $80FFFF (Yellow)

The BackColor property defines the color used to fill the Marks background rectangle.

You can make Marks transparent by setting the Transparent property to False.


ITeeShapeItem.Shape
ITeeShapeItem

property Shape: ITeeCustomShape;

Type Library
TeeChartx


ILegend.TopPos
ILegend

property TopPos: Integer;

Type Library
TeeChartx

Description
Default Value: 10

The TopPos property specifies the Legend's top position in percent of total chart height.

It's used when Legend.Alignment is laLeft or laRight only. For laTop or laBottom Legend alignments, you can use the Chart's MarginTop and MarginBottom properties.

The TChart.OnGetLegendRect event can be used to supply specific Legend position and dimensions.


IPieSeries.EdgeStyle
IPieSeries

property EdgeStyle: EEdgeStyle;

Type Library
TeeChartx

Description
Determines the style on the Pie Chart Edge: None, Flat or Curved.


ITeeEditorOptions.AskDelete
ITeeEditorOptions

property AskDelete: WordBool;

Type Library
TeeChartx


IRectangleTool.properties
IRectangleTool Legend key

Type Library
TeeChartx

In IRectangleTool

AllowDrag
AllowResize
Dragging
Resizing

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


ITeeLinked.ChartLink
ITeeLinked

property ChartLink: Integer;

Type Library
TeeChartx

Description
The TeeChart to control. (ie: TChart1.ChartLink)

Example [HTML]:

<HTML>

<SCRIPT LANGUAGE=VBSCRIPT>

Sub FillChart()

With TChart1

.AddSeries(0)

.Series(0).FillSampleValues 6

End With

TeeListBox1.ChartLink = TChart1.ChartLink

End Sub

Sub Window_Onload()

FillChart

End Sub

Sub TChart1_OnAfterDraw()

End Sub

</SCRIPT>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:B6C10489-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeeListBox1" WIDTH=200 HEIGHT=100

CLASSID="CLSID:B6C1052D-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

</HTML>


ISeriesMarksPositions.properties
ISeriesMarksPositions Legend key

Type Library
TeeChartx

In ISeriesMarksPositions

Position


ISeriesGroup.Delete
ISeriesGroup

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description

Delete Series from Group.-


IBarSeries.BarWidth
IBarSeries

property BarWidth: Integer;

Type Library
TeeChartx

Description
The BarWidth property returns the width of vertical Bars in pixels. Bar widths change at run-time when resizing or zooming the Chart. The BarWidth value may be changed manually by code (pixels).

Example [Visual Basic]:

TChart1.Series(0).asBar.BarWidth = TChart1.Series(0).asBar.BarWidth + 5


IBoxPlotSeries.MaxXValue
IBoxPlotSeries

function MaxXValue: Double;

Type Library
TeeChartx

Description
Returns the Maximum Value of the Series X Values List.


ICircledSeries.AngleToPoint
ICircledSeries

function AngleToPoint(Angle, AXRadius, AYRadius: Double): ITeePoint2D;

Type Library
TeeChartx

Description
The AngleToPoint functions returns the exact Screen position for a given pair of Angle and Radius values.

The first argument, Angle, accepts degrees which as default count from due 'east' as zero degrees anti-clockwise.


IChartAxisPen.methods
IChartAxisPen Legend key

Type Library
TeeChartx

Derived from IPen

Hide
Show
ShowEditor


IOrgItem.methods
IOrgItem Legend key

Type Library
TeeChartx

In IOrgItem

AddBrother
AddChild


IPrinter.properties
IPrinter Legend key

Type Library
TeeChartx

In IPrinter

Detail
FixedFontPPI
JobTitle
MarginBottom
MarginLeft
MarginRight
MarginTop
Orientation
PageHeight
PageWidth
PrinterCount
PrinterDescription
PrinterIndex
PrinterSettings
PrintProportional


IVideoTool.properties
IVideoTool Legend key

Type Library
TeeChartx

In IVideoTool

Compression
CompressionQuality
FileName
FrameCount
FrameDuration
IsRecording


ITools.asDataTable
ITools

property asDataTable: IDataTableTool;

Type Library
TeeChartx

Description
The asDataTable property is used by the Tools Class to access DataTable Tool specific properties.


IHighLowLineSeries.properties
IHighLowLineSeries Legend key

Type Library
TeeChartx

In IHighLowLineSeries

HighPointer
LowPointer

Derived from IBaseHighLowSeries

HighValues
LowValues


IAxisLabels.TeeSplitInLines
IAxisLabels

procedure TeeSplitInLines(Var St: WideString; Const Separator: WideString);

Type Library
TeeChartx

Description
Replaces input string St with separator to be used to break lines at each occurrence of the separator.

Example [Visual Basic]:

In OnGetAxisLabel event

With TChart1

If .SeriesCount > 0 Then

If (.Series(0).Count > 0) And (Axis = atBottom) Then

.Axis.Bottom.Labels.TeeSplitInLines LabelText, " "

End If

End If

End With


IAntiAliasTool.Filters
IAntiAliasTool

property Filters: IFilterItems;

Type Library
TeeChartx

Description
List of Filter effects associated with AntiAlias Tool.


ICustomCircledSeries.properties
ICustomCircledSeries Legend key

Type Library
TeeChartx

In ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ICustomDPaletteSeries.MidColor

ICustom3DPaletteSeries.MidColor
ICustom3DPaletteSeries

property MidColor: OLE_COLOR;

Type Library
TeeChartx

Description
The MidColor property determines the middle Range palette color. When UseColorRange property is True, SurfaceSeries create a color palette using StartColor, MidColor and EndColor properties.


ITChart.Language
ITChart

property Language: ELanguage;

Type Library
TeeChartx


IErrorsDFormat.Back

IErrors3DFormat.Back
IErrors3DFormat

property Back: IPen;

Type Library
TeeChartx


IXLSExport.properties
IXLSExport Legend key

Type Library
TeeChartx

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


IBaseHighLowSeries.AddHighLow
IBaseHighLowSeries

function AddHighLow(AX, AHigh, ALow: Double; Const AXLabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Add new datapoint at x displacement AX, and with Y values AHigh and ALow.


IDoubleHorizBarSeries.InvertedHoriz
IDoubleHorizBarSeries

property InvertedHoriz: WordBool;

Type Library
TeeChartx


ISurfaceSides.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISurfaceSides


ISelectorTool.properties
ISelectorTool Legend key

Type Library
TeeChartx

In ISelectorTool

AllowDrag
AllowResizeChart
Brush
HandleSize
Pen


IBrush.BrushLink
IBrush

property BrushLink: Integer;

Type Library
TeeChartx

Description
Gets the Link to allow to assign the Brush.


IClockGauge.Hours
IClockGauge

property Hours: IGaugeHand;

Type Library
TeeChartx


IPyramidSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPyramidSeries


IAnnotationTool.AutoSize
IAnnotationTool

property AutoSize: WordBool;

Type Library
TeeChartx

Description
Default: True

When AutoSize is True, the annotation rectangle Width and Height dimensions will be automatically calculated based on the width and height of the annotation text.

When setting AutoSize to False, you must also set your custom Width and Height properties.


ISeriesSourceFile.methods
ISeriesSourceFile Legend key

Type Library
TeeChartx

In ISeriesSourceFile

Load
LoadFromFile
LoadFromURL

Derived from ISeriesSource

Close
Open

Derived from ITeeLinked

AboutBox


ICustomPolarSeries.CloseCircle
ICustomPolarSeries

property CloseCircle: WordBool;

Type Library
TeeChartx

Description
Default: True

The CloseCircle property determines if a Line will be drawn between the last and first PolarSeries point coordinates. If True, the PolarSeries polygon is closed.


IChartGrid.DefaultColWidth
IChartGrid

property DefaultColWidth: Integer;

Type Library
TeeChartx

Description
Set DefaultColWidth to change the size of all columns in the grid. When DefaultColWidth is set, columns that have been resized using the mouse or by setting the ColWidths property are given the DefaultColWidth as well.

When new columns are added to the grid using the ColCount property, they are created with a width of DefaultColWidth.


ICustomBarSeries.methods
ICustomBarSeries Legend key

Type Library
TeeChartx

In ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IPrinterSettings.DisplayFlags
IPrinterSettings

property DisplayFlags: Integer;

Type Library
TeeChartx

Description
Specifies the device's display mode. This member can be a combination of the following values.

Value Meaning

1 DM_GRAYSCALE Specifies that the display is a noncolor device. If this flag is not set, color is assumed.

2 DM_INTERLACED Specifies that the display mode is interlaced. If the flag is not set, noninterlaced is assumed.

Display drivers use this member, for example, in the ChangeDisplaySettings function. Printer drivers do not use this member.


ITableLegend.methods
ITableLegend Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ISeries.VerticalAxisCustom
ISeries

property VerticalAxisCustom: Integer;

Type Library
TeeChartx

Description
After adding a new Custom Axis to a Chart, use VerticalAxisCustom to associate the Series to the Custom Axis.

Example [Visual Basic]:

Private Sub Command1_Click()

Dim NumVert, NumHoriz As Integer

With TChart1

'Add 2 Custom Axes, vertical and horizontal

NumVert = .Axis.AddCustom(False)

NumHoriz = .Axis.AddCustom(True)

'Associate Series with the new Axes

.Series(1).VerticalAxisCustom = NumVert

.Series(1).HorizontalAxisCustom = NumHoriz

'Position the new Axes relative to Chart

.Axis.Left.EndPosition = 50

.Axis.Custom(0).StartPosition = 50

.Axis.Custom(0).PositionPercent = 50

.Axis.Custom(1).StartPosition = 50

.Axis.Custom(1).PositionPercent = 50

'Change characteristics of a Custom Axis

.Axis.Custom(0).Labels.Font.Bold = True

.Axis.Custom(0).Labels.Font.Color = vbBlue

End With


ITeeShadow.ShowEditor
ITeeShadow

procedure ShowEditor(OwnerChart: Integer);

Type Library
TeeChartx

Description
Shows the Shadow editor dialog at runtime.

Returns True if the user closes the dialog using the OK button, otherwise returns False if the user cancels the dialog.

Example [Visual Basic]:

Private Sub Command4_Click()

TChart1.Series(0).asPie.Shadow.ShowEditor

End Sub


IDragMarksTool.properties
IDragMarksTool Legend key

Type Library
TeeChartx

Derived from ICustomToolSeries

Series


IClipSeriesTool.properties
IClipSeriesTool Legend key

Type Library
TeeChartx

Derived from ICustomToolSeries

Series


ISeriesMarkPosition.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesMarkPosition


IVolumePipeSeries.ConePercent
IVolumePipeSeries

property ConePercent: Integer;

Type Library
TeeChartx

Description
Defines the taper of the VolumePipe Trapezium. 100% is maximum taper, ie. with no flat top (right-hand side) to the trapezium.


IClockGauge.methods
IClockGauge Legend key

Type Library
TeeChartx

Derived from ICustomGauge

GetPaletteColor
SetCustomBounds


IDrawLineTool.AxisPoint
IDrawLineTool

function AxisPoint(X, Y: Double): ITeePoint2D;

Type Library
TeeChartx

Description
Returns the coordinate position in pixels corresponding to the ""P"" point in respectively vertical and horizontal axis scales.


IODSExport.methods
IODSExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


ISeries.XValues
ISeries

property XValues: IValueList;

Type Library
TeeChartx

Description
By default, any Series has an XValues property. This is the IValueList where the point values will be stored at runtime. Also by default, XValues is a Public property. Some derived Series publish it: LineSeries, BarSeries, PointSeries, etc. Some others publish it with another, more friendly name: GanttSeries.StartValues, etc.

WARNING:

You CAN NOT Delete, Clear or Add values DIRECTLY. You need to call the Series equivalent methods to do this.

Example [Visual Basic]:

Many things can be done with the XValues property.

For example, you can modify its values (thus forcing the Chart to repaint):

This will change the 5th point horizontal value to 10.

TChart1.Series(0).XValues.Value(5) = 10

Or, if contains DateTime XValues...

TChart1.Series(0).XValues.Value(5) = DateValue("10/11/01")

Or...

With TChart1.Series(0).XValues

.Value(5) = .Value(5) + 1

End With


ISeries.ColorEachPoint
ISeries

property ColorEachPoint: WordBool;

Type Library
TeeChartx

Description
Default value: False.

The Series ColorEachPoint property is a boolean property that controls which color will be drawn on the Series points. If False, all points will be drawn using the Series Series.Color color property. If True, each Series point will be "colored" with its corresponding point color. The point colors are stored in the Series.PointColor array property. If a point has a clTeeColor color value, then a TeeChart determined, available color value will be used to draw it.

You can change this property both at design and runtime:

Example [Visual Basic]:

TChart1.Series( 0 ).ColorEachPoint = True


ITeeCommander.DefaultButton
ITeeCommander

property DefaultButton: ETeeCommanderControls;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander DefaultButton

Example:-

TeeCommander1.DefaultButton.Hide


IColorBandTool.EndLine
IColorBandTool

property EndLine: IColorLineTool;

Type Library
TeeChartx


ITeePicture.AssignImage
ITeePicture

procedure AssignImage(ImageHandle: Integer);

Type Library
TeeChartx

Description
The AssignImage method assigns a bitmap image to an ITeePicture element.

See an example of use at IBrush.AssignImage.


IRepaintMonitorTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
IRepaintMonitorTool


ITChart.OnRotateToolRotate
ITChart

property OnRotateToolRotate: TNotifyEvent;

Type Library
TeeChartx

Description
Event triggered when the end user drags the mouse over a chart.


ITeeFont.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartFont
|
ITeeFont


ITChart.OnSeriesClickPointerD

ITChart.OnSeriesClickPointer3D
ITChart

property OnSeriesClickPointer3D: TTChartOnSeriesClickPointer3D;

Type Library
TeeChartx

Description
Event called when the user clicks a 3D point.


ICustomBarSeries.TickLines
ICustomBarSeries

property TickLines: IPen;

Type Library
TeeChartx

Description
Pen used to display lines in front of Bar series values, one line at each axis grid position.


IRoseSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IPolarSeries
|
IRoseSeries


IPolarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IPolarSeries


IPVOFunction.properties
IPVOFunction Legend key

Type Library
TeeChartx

In IPVOFunction

Percentage
Period2


ISeries.CalcYSizeValue
ISeries

function CalcYSizeValue(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
Returns the pixel Screen Vertical DIMENSION (or size) of the specified Value.

This coordinate is calculated using the Series associated Vertical Axis.

Example [Visual Basic]:

We want to know how much Screen pixels size corresponds to a 5.32 Y value:

tmp = TChart1.Series(0).CalcYSizeValue(5.32)

That means tmp is the quantity of vertical pixels an offset of 5.32 needs.


IBrush.BackColor
IBrush

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description
Brush BackColor.


IArrowSeries.EndYValues
IArrowSeries

property EndYValues: IValueList;

Type Library
TeeChartx

Description
Each Arrow has (X0,Y0) and (X1,Y1) coordinates.

EndYValues property is the list of Y1 values.

Example [Visual Basic]:

This code modifies the Y1 coordinate of first arrow point:

tmp = TChart1.Series(0).asArrow.EndYValues.Value(0)

TChart1.Series(0).asArrow.EndYValues.Value(0) = tmp + 123


ITeeAnimation.Loop
ITeeAnimation

property Loop: WordBool;

Type Library
TeeChartx


ITowerSeries.methods
ITowerSeries Legend key

Type Library
TeeChartx

In ITowerSeries

Clicked
MaxXValueTower
MaxZValueTower
MinXValueTower
MinZValueTower

Derived from ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IContourLevels.AddLevel
IContourLevels

function AddLevel(LevelValue: Double; Color: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Add new Contour level at value Value with colour Color.


ISeriesTextField.FieldName
ISeriesTextField

property FieldName: WideString;

Type Library
TeeChartx

Description
Use the AddField method to add a new field with Index FieldIndex and Name: FieldName.

When adding new fields, the FieldName should coincide with the Series' Valuelist name. The SeriesTextSource component will then link the input text file column associated with the name to the Series ValueList of that name.

Eg.

BarSeries uses as FieldNames:

- 'Labels'

- 'X'

- 'Bar'

AreaSeries uses as FieldNames:

- 'Labels'

- 'X'

- 'Y'


IImageBarSeries.methods
IImageBarSeries Legend key

Type Library
TeeChartx

In IImageBarSeries

ClearImage
LoadImage

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IInvertFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IInvertFilter


ILegendItems.properties
ILegendItems Legend key

Type Library
TeeChartx

In ILegendItems

Custom
Items


ISeriesAnimationTool.StartAtMin
ISeriesAnimationTool

property StartAtMin: WordBool;

Type Library
TeeChartx

Description
Default : True

The animation starts changing all series point values to the lowest series value.

Setting StartAtMin to False, and setting the StartValue property, makes the animation to start at that value.

Example [Visual Basic]:

With TChart1.Tools.Items(1).asSeriesAnimation

.StartValue = 0

.StartAtMin = False

End With


ICustomDPaletteSeries.CountLegendItems

ICustom3DPaletteSeries.CountLegendItems
ICustom3DPaletteSeries

function CountLegendItems: Integer;

Type Library
TeeChartx


IContrastFilter.properties
IContrastFilter Legend key

Type Library
TeeChartx

Derived from IAmountFilter

Amount
Percent


ITeeFunction.Recalculate
ITeeFunction See also

procedure Recalculate;

Type Library
TeeChartx

Description

The Recalculate method performs a CheckDataSource method on ParentSeries.

Basically, all points in ParentSeries are being recalculated.

The recalculating is performed only if internal IUpdate flag is set to false.

To make sure IUpdate is set to false, you can call TeeFunction EndUpdate method prior to calling TeeFunction ReCalculate.

See also:
BeginUpdate, EndUpdate


ICanvas.ApplyDark
ICanvas

function ApplyDark(Color: OLE_COLOR; HowMuch: Integer): OLE_COLOR;

Type Library
TeeChartx

Description

The ApplyDark function converts the Color parameter to a darker color.

The HowMuch parameter indicates the quantity of dark increment.

It is used by TBarSeries and TPieSeries to calculate the right color to draw Bar sides and Pie 3D zones.

The TeCanvas unit must be in your uses clause.

This is the ApplyDark source code:

Example

With TChart1

.Series(0).Color = .Canvas.ApplyDark( .Series(0).Color, 128 )


ICanvas.RotatedEllipse
ICanvas

procedure RotatedEllipse(Left, Top, Right, Bottom, Z: Integer; Angle: Double);

Type Library
TeeChartx

Description
Draws an ellipse with a rotation angle (from 0 to 360 degree)

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

Dim ptX As Variant, ptY As Variant

TChart1.Canvas.RotatedEllipse 50, 90, 250, 160, 10, HScroll1.Value

ptX = Array(300, 350, 380, 320, 290)

ptY = Array(200, 190, 210, 90, 180)

TChart1.Canvas.Polyline 5, ptX, ptY, 20

'TChart1.Canvas.Draw 0, 0, Picture1.Picture 'If active, this line draws an image

End Sub


ICustomSeries.ClickableLine
ICustomSeries

property ClickableLine: WordBool;

Type Library
TeeChartx

Description
Default: True (False in PointSeries)

(Advanced)

The ClickableLine property determines if LineSeries accepts mouse clicks over the line drawn between points.


IHTMLExport.properties
IHTMLExport Legend key

Type Library
TeeChartx

Derived from IDataExport

Encoding
IncludeColors
IncludeHeader
IncludeIndex
IncludeLabels
Series
UseSeriesFormat
ValueFormat


ICanvas.properties
ICanvas Legend key

Type Library
TeeChartx

In ICanvas

BackColor
BackMode
Brush
ChartXCenter
ChartYCenter
CustomEditColors
Font
FontHeight
GetPixels
GetPixels3D
HandleDC
Height
IsAvailable
Left
Metafiling
Monochrome
Pen
RotationCenter
StretchDrawQuality
Supports3DText
SupportsFullRotation
TeeCheckPenWidth
TextAlign
Top
UseAntiAlias
UseBuffer
Width


ITeeCommander.EditorLink
ITeeCommander

property EditorLink: Integer;

Type Library
TeeChartx

Description
Select the TeeChart Editor whose properties should define the TeeCommander Editor properties. Use the TeeCommander Editor property in programming environments (eg. VB, VBScript) that support connection directly to the Previewer interface.

Example

eg. Visual Basic

TeeCommander1.Editor = TeeEditor1

or

TeeCommander1.EditorLink = TChart1.EditorLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetEditorLink(m_Chart1.GetEditorLink());


ITeeCorners.RightBottom
ITeeCorners

property RightBottom: ITeeCorner;

Type Library
TeeChartx


ITeeCustomShape.Shadow
ITeeCustomShape

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Configures all the properties used to draw a shadow around the shape boundaries.


ICustomGaugeMinMax.GreenLine
ICustomGaugeMinMax

property GreenLine: IGaugePointerRange;

Type Library
TeeChartx

Description

The 'greenline' object is the curved shape with a gradient which is used to signal a low or minimum value.


ICanvas.Draw
ICanvas

procedure Draw(X, Y: Integer; Const Image: IPicture);

Type Library
TeeChartx

Description
Use the Draw method to paint the Chart in your preferred Canvas and region.

It can also be used to PrintChart the Chart in a customized way:

Example [Delphi]:

Printer.BeginDoc ;

Chart1.Draw( Printer.Canvas , MyRectangle ) ;

Printer.EndDoc ;

Where "MyRectangle" could be any valid rectangular region for the canvas.

MyRectangle.Left := 0 ;

MyRectangle.Right := Printer.PageWidth div 2 ;

MyRectangle.Top := 0 ;

MyRectangle.Bottom:= Printer.PageHeight div 3 ;


ITileFilter.properties
ITileFilter Legend key

Type Library
TeeChartx

In ITileFilter

NumCols
NumRows


IVideoPlayerTool.Position
IVideoPlayerTool

property Position: Integer;

Type Library
TeeChartx

Description
Returns the index of the current frame in the video that is being played.


IErrorPointDSeries.Errors

IErrorPoint3DSeries.Errors
IErrorPoint3DSeries

property Errors: IErrors3D;

Type Library
TeeChartx


ISubChartTool.Charts
ISubChartTool

property Charts: IChartCollection;

Type Library
TeeChartx

Description
Contains the list of #link TSubChart#SubCharts# added to the parent Chart.


IMapPolygonList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMapPolygonList


IPointArray.Count
IPointArray

property Count: Integer;

Type Library
TeeChartx

Description
Returns the number of points in the array.

Read only.


IChartGrid.FirstRowNum
IChartGrid

property FirstRowNum: Integer;

Type Library
TeeChartx

Description
Internal use. Returns first Row index.


ICustomDSeries.AddArrayXYZColor

ICustom3DSeries.AddArrayXYZColor
ICustom3DSeries

procedure AddArrayXYZColor(XArray, YArray, ZArray, Colors: OleVariant);

Type Library
TeeChartx


ISeries.SortByLabels
ISeries

procedure SortByLabels(Order: EValueListOrder);

Type Library
TeeChartx

Description
Re-orders series points using their text labels to determine the order.

The "Order" parameter can be ascending or descending.

Note: After sorting points using labels text, "X" values are lost. (They are re-numbered).

For this reason, after sorting points it is not possible to go back or "undo" sorting.


IAxis.Inverted
IAxis

property Inverted: WordBool;

Type Library
TeeChartx

Description
Default: False

When Inverted is True, Axis Minimum and Maximum scales will be swapped. Axis labels and Series points will be displayed accordingly. This applies both to vertical and horizontal axis.


IClockGauge.Time
IClockGauge

property Time: Double;

Type Library
TeeChartx


ITChart.OnAxisArrowToolClick
ITChart

property OnAxisArrowToolClick: TTChartOnAxisArrowToolClick;

Type Library
TeeChartx

Description
Called when the end user clicks an arrow.


IPolarContourSeries.NumLevels
IPolarContourSeries

property NumLevels: Integer;

Type Library
TeeChartx


ILegendPaletteTool.Inverted
ILegendPaletteTool

property Inverted: WordBool;

Type Library
TeeChartx

Description
Default is False.

When True, legend item colors will be displayed in reverse order.


IAxisLabels.GridIgnoresLabelSize
IAxisLabels

property GridIgnoresLabelSize: WordBool;

Type Library
TeeChartx

Description
When True, the Axis grid will not try to resize to accomodate the Label Font size.


ITeeFunction.asHistogram
ITeeFunction

property asHistogram: IHistogramFunction;

Type Library
TeeChartx

Description
Accesses Histogram function specific properties.


ITeeCorners.LeftTop
ITeeCorners

property LeftTop: ITeeCorner;

Type Library
TeeChartx


ISeries.asDoubleHorizBar
ISeries

property asDoubleHorizBar: IDoubleHorizBarSeries;

Type Library
TeeChartx


ITeeFunction.asMovAvg
ITeeFunction

property asMovAvg: IMovingAvgFunction;

Type Library
TeeChartx

Description
The asMovAvg property is used by the Teefunction Class to access Moving Average Function specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 ).FunctionType

.Period = 5

.asMovAvg.Weighted = true

end with


ITernarySeries.WeightValues
ITernarySeries

property WeightValues: IValueList;

Type Library
TeeChartx

Description
Weight values to be displayed as graded colours when UseColorRange is true for Ternary plot.


ITeeAnimation.Title
ITeeAnimation

property Title: WideString;

Type Library
TeeChartx


IMargins.properties
IMargins Legend key

Type Library
TeeChartx

In IMargins

Bottom
Left
Right
Top
Units


ICanvas.Rectangle
ICanvas

procedure Rectangle(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Will draw a rectangle between the defined co-ordinates.

Example [Visual Basic]:

TChart1.Canvas.Pen.Color = vbBlue

TChart1.Canvas.Rectangle 10, 10, 80, 200


ISmithSeries.CLabelsFont
ISmithSeries

property CLabelsFont: ITeeFont;

Type Library
TeeChartx

Description
xCircle labels font.


ISeries.asArea
ISeries

property asArea: IAreaSeries;

Type Library
TeeChartx

Description
The asArea property is used by the Series Class to access Area Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asArea.AreaPen.Color = vbGreen'.

Example [Visual Basic]:

With TChart1.Series(0)

.Add 10, "Area 1", clTeeColor

.Add 4, "Area 2", clTeeColor

.Add 7, "Area 3", clTeeColor

.asArea.MultiArea = maStacked

End With


ITagCloudSeries.AddTag
ITagCloudSeries

function AddTag(Const Text: WideString; Value: Double): Integer;

Type Library
TeeChartx

Description
Draws the list of XLabel text values (tags) sorted alphabetically or by their YValue.

Each label (tag) is displayed using a different font size, that is proportional to its value compared to the other labels (tags). The GetTagFontSize function returns the appropiate font size for a given tag index.

Tags can be added using the AddTag method which is simplier but equivalent to call the inherited Add method.

The tag color is obtained using the default ValueColor method which calculates colors based on the tag YValue and the Palette or UseColorRange properties.

Tags can be filtered using the Filter property.

Separation between tags is controlled by the TagSeparation property.

The Pen, Brush and Gradient properties can be used to fill the area behind the tags.

The Chart ClipPoints property controls if tags can be displayed outside the chart boundaries or not.

You can customize the font used to display each tag by using the OnDrawTag event, which is called everytime a tag is displayed and when the series needs to calculate a tag width and height.


ITChart.EditOneSeries
ITChart

procedure EditOneSeries(SeriesIndex: Integer);

Type Library
TeeChartx

Description
Shows an Editor dialog for the SeriesIndexth Series.

Example [Visual Basic]:

TChart1.EditOneSeries 0


ILinearGauge.Axis
ILinearGauge

property Axis: IAxis;

Type Library
TeeChartx

Description
The UseMiddleColor enables the Gradient to make use of the MiddleColor property.

A gradient can be created with two colors ( StartColor and EndColor ) or three colors (when using the MiddleColor property).


ITeePreviewPanel.ShowImage
ITeePreviewPanel

property ShowImage: WordBool;

Type Library
TeeChartx

Description
Use ShowImage property to show/hide the chart image.


ITChart.OnSelectorToolDragged
ITChart

property OnSelectorToolDragged: TNotifyEvent;

Type Library
TeeChartx

Description
Called when the end-user releases the left mouse button after a dragging operation.

When chart elements dragging is finished this event is triggered.


IFastLineSeries.Stairs
IFastLineSeries

property Stairs: WordBool;

Type Library
TeeChartx

Description
This boolean property controls the drawing of FastLine series.

In most normal situations, a series draws a line between each Line point.

This makes the Line appear as a "mountain" shape.

However, setting Stairs to TRUE will make the Series to draw 2 Lines between each pair of points, thus giving a "stairs" appearance.

This is most used in some financial Chart representations.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step.

Example [Visual Basic]:

Private Sub Check1_Click()

TChart1.Series(0).asFastLine.Stairs = Check1.Value = 1

' enable / disable

Check2.Enabled = TChart1.Series(0).asFastLine.Stairs

End Sub

Private Sub Check2_Click()

TChart1.Series(0).asFastLine.InvertedStairs = Check2.Value = 1

End Sub


ITChart.OnSelectorToolSelected
ITChart

property OnSelectorToolSelected: TNotifyEvent;

Type Library
TeeChartx

Description
Called when the end-user clicks a chart element that is different than the previously selected one.


ITeeFunction.asBollinger
ITeeFunction

property asBollinger: IBollingerFunction;

Type Library
TeeChartx

Description
The asBollinger property is used by the Teefunction Class to access Bollinger Function specific properties.


ICustomBarSeries.Shadow
ICustomBarSeries

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Access Bar shadow characteristics.


IVectorDSeries.EndArrow

IVector3DSeries.EndArrow
IVector3DSeries

property EndArrow: IPen;

Type Library
TeeChartx

Description
When Visible, this pen is used to display arrows at the ending coordinate of vector lines.


ITableLegend.FontSeriesColor
ITableLegend

property FontSeriesColor: WordBool;

Type Library
TeeChartx

Description
Allows you to change the Font Color

Example:-

With TChart1.Tools

.Add tcDataTable

.Items(0).asDataTable.Legend.FontSeriesColor = True

.Items(0).asDataTable.Legend.Otherside = True

.Items(0).asDataTable.Legend.Symbol.Visible = False

End With


ICustomErrorSeries.ErrorPen
ICustomErrorSeries

property ErrorPen: IPen;

Type Library
TeeChartx

Description
The ErrorPen property determines what kind of pen will be used for drawing Error "T" on top of Error Bars.

Example [Visual Basic]:

This code changes Error Bar's appearance:

TChart1.Series(0).asErrorBar.ErrorPen.Visible = True

TChart1.Series(0).asErrorBar.ErrorPen.Width = 2

TChart1.Series(0).asErrorBar.ErrorPen.Color = vbRed

TChart1.Series(0).asErrorBar.ErrorPen.Style = psSolid


IShapeSeries.XYStyle
IShapeSeries

property XYStyle: EShapeXYStyle;

Type Library
TeeChartx

Description
Default : xysAxis

Can be xysAxis, xysAxisOrigin or xysPixels.


ICustomPolarSeries.Pen
ICustomPolarSeries

property Pen: IPen;

Type Library
TeeChartx

Description
The Pen property indicates the kind of pen used to draw the Line connecting PolarSeries points. Points can be displayed by seting the Pointer.Visible property to True. You can set the Pen used to draw the circle using the CirclePen property.

Example [Visual Basic]:

This changes the PolarSeries line color to blue:

TChart1.Series(0).asPolar.Pen.Color = vbBlue


ITeeCustomAnimation.Play
ITeeCustomAnimation

procedure Play;

Type Library
TeeChartx


IBoxPlotSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICustomBoxSeries
|
IBoxPlotSeries


IContourLevel.ClickedSegment
IContourLevel

function ClickedSegment(XCoord, YCoord, SegmentIndex: Integer; Var PointIndex: Integer): WordBool;

Type Library
TeeChartx

Description
Returns True if the XY pixel coordinates are over any point of the specified SegmentIndex.


IValueList.Order
IValueList

property Order: EValueListOrder;

Type Library
TeeChartx

Description
Run-time only. The Order property determines if points will be automatically sorted or it they will remain always at their original positions. This Order is used by default by the Series XValues to draw lines from Left to Right. Setting the XValues.Order property to loNone will respect the points order at point creation. This can be used to draw polygons.

Order Example [Delphi]

This code creates a new LineSeries class that draws a triangle. The code assumes that you already have a line Series defined as Series(0) :

TChart1.Series[ 0 ].Clear;

TChart1.Series[ 0 ].XValues.Order:=loNone;

TChart1.Series[ 0 ].AddXY(-100, 0,'',clRed);

TChart1.Series[ 0 ].AddXY( 0,100,'',clBlue);

TChart1.Series[ 0 ].AddXY( 100, 0,'',clGreen);

TChart1.Series[ 0 ].AddXY(-100, 0,'',clYellow); { the closing line }

Example [Visual Basic]:

TChart1.Series(0).Clear

TChart1.Series(0).XValues.Order = loNone

TChart1.Series(0).AddXY -100, 0, "", vbRed

TChart1.Series(0).AddXY 0, 100, "", vbBlue

TChart1.Series(0).AddXY 100, 0, "", vbGreen

TChart1.Series(0).AddXY -100, 0, "", vbYellow


IExport.properties
IExport Legend key

Type Library
TeeChartx

In IExport

asBMP
asEPS
asFlex
asGIF
asHTML
asJavaScript
asJPEG
asJSON
asMetafile
asNative
asOpenDocument
asPCX
asPDF
asPNG
asSVG
asText
asXAML
asXLS
asXLSX
asXML
LabelHeader


ICustomToolSeries.properties
ICustomToolSeries Legend key

Type Library
TeeChartx

In ICustomToolSeries

Series


ICustomSeries.ClickTolerance
ICustomSeries

property ClickTolerance: Integer;

Type Library
TeeChartx


ILegendItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILegendItem


ISurfaceSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries
|
ISurfaceSeries


IPage.methods
IPage Legend key

Type Library
TeeChartx

In IPage

Next
Previous


IPolygonSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeries
|
IPolygonSeries


IMarks.Clicked
IMarks

function Clicked(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
Returns Series Index of Clicked Mark.


IMarks.ShowEditorMarks
IMarks

procedure ShowEditorMarks;

Type Library
TeeChartx

Description
Shows the Chart Editor dialog, positioned at the Series tab, and locating and selecting the ASeries parameter.

It then switches to the Series Marks tab.


ICallout.properties
ICallout Legend key

Type Library
TeeChartx

In ICallout

Arrow
ArrowHead
ArrowHeadSize
Distance

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


ITitles.ClipText
ITitles

property ClipText: WordBool;

Type Library
TeeChartx


ITools.asFibonacci
ITools

property asFibonacci: IFibonacciTool;

Type Library
TeeChartx

Description
The asFibonacci property is used by the Tools Class to access Fibonacci Tool specific properties.


IPrinterSettings.Orientation
IPrinterSettings

property Orientation: SmallInt;

Type Library
TeeChartx

Description
For printer devices only, selects the orientation of the paper. This member can be either DMORIENT_PORTRAIT (1) or DMORIENT_LANDSCAPE (2).


ICustomDGridSeries.methods

ICustom3DGridSeries methods
ICustom3DGridSeries Legend key

Type Library
TeeChartx

In ICustom3DGridSeries

FillGridIndex
GetXZValue
ReCreateValues
SmoothGrid3D

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


IVideoPlayerTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IVideoPlayerTool


IHorizBoxPlotSeries.methods
IHorizBoxPlotSeries Legend key

Type Library
TeeChartx

In IHorizBoxPlotSeries

MaxYValue
MinYValue


IVideoPlayerTool.EndFrame
IVideoPlayerTool

property EndFrame: Integer;

Type Library
TeeChartx

Description
Returns the index of the last frame in the video file.


IFibonacciItem.properties
IFibonacciItem Legend key

Type Library
TeeChartx

In IFibonacciItem

Pen
Value


ITChart.Printer
ITChart

property Printer: IPrinter;

Type Library
TeeChartx

Description
Use the TChart.Printer property to access printer properties and methods.

Example [Visual Basic]:

TChart1.Printer.Print


IRenkoSeries.DrawD

IRenkoSeries.Draw3D
IRenkoSeries

property Draw3D: WordBool;

Type Library
TeeChartx

Description
Default is True.

When chart is in 3D mode, draw bricks as cubes or rectangles depending on Draw3D value.


IVolumeSeries.YOrigin
IVolumeSeries

property YOrigin: Double;

Type Library
TeeChartx

Description
The YOrigin property defines the YValue to be used as the origin for the specified Volume Series.

Example [Visual Basic]:

TChart1.Series(0).asVolume.UseYOrigin = True

TChart1.Series(0).asVolume.YOrigin = 200


ISeries.asWindRose
ISeries

property asWindRose: IWindRoseSeries;

Type Library
TeeChartx

Description
The asWindRose property is used by the Series Class to access WindRose Series specific properties.


ISubChart.Width
ISubChart

property Width: Integer;

Type Library
TeeChartx

Description
Gets or sets the horizontal size in pixels of the subchart.


IMapPolygon.Brush
IMapPolygon

property Brush: IBrush;

Type Library
TeeChartx

Description
The Brush property determines the kind of brush used to fill the polygon interior.


IXAMLExport.methods
IXAMLExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


ITeeListBox.OnMouseDown
ITeeListBox

property OnMouseDown: TTeeListBoxOnMouseDown;

Type Library
TeeChartx

Description
This event is triggered when clicking mouse button down over the TeeListBox.


ISeriesXMLSource.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ISeriesSource
|
ISeriesSourceFile
|
ISeriesXMLSource


IArrowTool.Width
IArrowTool

property Width: Integer;

Type Library
TeeChartx

Description
Deterines the width of the Arrow including the arrow head.


ICalendarCell.properties
ICalendarCell Legend key

Type Library
TeeChartx

In ICalendarCell

Visible

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ICustomTextShape.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape


IFunnelSeries.QuoteValues
IFunnelSeries

property QuoteValues: IValueList;

Type Library
TeeChartx

Description
Use QuoteValues property to get access to the quote values of the FunnelSeries.


IContourLevel.ClearSegments
IContourLevel

procedure ClearSegments;

Type Library
TeeChartx

Description
Removes all segments in level.


ITextShape.Text
ITextShape

property Text: WideString;

Type Library
TeeChartx

Description
Defines the text to display inside the shape.

Text might contain "line breaks" (the #13 character) to display multiple lines of text.

with tChart1.Tools.Items(0).asAnnotation.

.Shape.Text = "Hello" & chr(13) & "World !"

See also: TextAlignment and AutoSize properties.


IPrinterSettings.PelsWidth
IPrinterSettings

property PelsWidth: Integer;

Type Library
TeeChartx

Description
Specifies the width, in pixels, of the visible device surface. Display drivers use this member, for example, in the ChangeDisplaySettings function. Printer drivers do not use this member.


ICustomDGridSeries.NumZValues

ICustom3DGridSeries.NumZValues
ICustom3DGridSeries

property NumZValues: Integer;

Type Library
TeeChartx

Description
Default 20

The NumZValues property indicates the Surface's depth size in number of points. A Surface is a grid of NumXValues x NumZValues dimensions. Changing NumZValues forces the Surface to recreate all values.

Example [Visual Basic]:

This code changes the Surface's grid size:

TChart1.Series(0)asSurface.NumZValues = 10

TChart1.Series(0).asSurface.NumXValues = 15


IMovingAvgFunction.Weighted
IMovingAvgFunction

property Weighted: WordBool;

Type Library
TeeChartx

Description
Default Value: False

The Weighted property controls if the moving average points will be calculated using or not the corresponding X point values.

When False, (the default), the average is calculated as the simple sum of Y values divided by the number of points.

When True, each Y value is first multiplied by it's X value and the total sum is divided by the sum of all X point values.


IDataExport.Encoding
IDataExport

property Encoding: EExportEncoding;

Type Library
TeeChartx


IChartEditorPanel.BevelOuter
IChartEditorPanel

property BevelOuter: EPanelBevel;

Type Library
TeeChartx

Description
The Bevelouter property defines the outer bevel type of the TChart Editor Panel border.

Available types:

bvNone

bvLowered

bvRaised


INearestTool.Style
INearestTool

property Style: ENearestToolStyle;

Type Library
TeeChartx

Description
Set the style property to indicate the shape of the NearestTool.

These are the possible values of Style:

hsNone No shape is drawn

hsCircle Shape is a circle

hsRectangle Shape is a rectangle


ITChart.OnFunctionCalculate
ITChart

property OnFunctionCalculate: TTChartOnFunctionCalculate;

Type Library
TeeChartx

Description
For use with Custom Function to permit OnBeforeAdd value modification.


IArrowSeries.ArrowHeight
IArrowSeries

property ArrowHeight: Integer;

Type Library
TeeChartx

Description
Default value: 4

The ArrowHeight property determines the vertical arrow head size in pixels.

ArrowHeight property example

This code checks series type and changes the ArrowHeight accordingly.

With TChart1.Series(0)

If .SeriesType = scArrow Then

.asArrow.ArrowHeight = 10

End If

End With


ICircularGauge.NumericGauge
ICircularGauge

property NumericGauge: INumericGauge;

Type Library
TeeChartx

Description
Accesses the attributes of the Numeric Gauge.


ITeeRectArray.Item
ITeeRectArray

property Item[Index: Integer]: ITeeRect;

Type Library
TeeChartx

Description
Accesses to properties for specific ITeeRect.


IAnnotationCallout.properties
IAnnotationCallout Legend key

Type Library
TeeChartx

In IAnnotationCallout

XPosition
YPosition
ZPosition

Derived from ICallout

Arrow
ArrowHead
ArrowHeadSize
Distance

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


IPanel.Shadow
IPanel

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Properties used to draw a shadow effect behind the chart panel.

Example[Visual Basic]:

TChart1.Panel.Shadow.HorizSize = 5

TChart1.Panel.Shadow.VertSize = 5

TChart1.Panel.Shadow.Color = vbGray


IWall.properties
IWall Legend key

Type Library
TeeChartx

In IWall

AutoHide
Dark3D
Size
StartPosition
Visible

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IPolarBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IPolarBarSeries


ITeeGDIPlus.AntiAliasText
ITeeGDIPlus

property AntiAliasText: EGDIPlusFontQuality;

Type Library
TeeChartx

Description
When True, text displayed with big font sizes has smooth diagonal and curved lines.


IFrameTool.Brush
IFrameTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Frame Fill Brush


IErrorPointSeries.methods
IErrorPointSeries Legend key

Type Library
TeeChartx

In IErrorPointSeries

Add


IErrors.properties
IErrors Legend key

Type Library
TeeChartx

In IErrors

Format

Derived from IErrorsBase

Bottom
Left
Right
SeriesColor
Size
SizeUnits
Top


IFibonacciTool.LabelsFont
IFibonacciTool

property LabelsFont: ITeeFont;

Type Library
TeeChartx

Description

Controls level font properties.


IOrgSeries.Bounds
IOrgSeries

property Bounds: TeeRect;

Type Library
TeeChartx

Description
Returns the bounding rectangle in pixels that contains all items in the series.


ILegend.FirstValue
ILegend

property FirstValue: Integer;

Type Library
TeeChartx

Description
Default Value: 0

The FirstValue property defines the number of the first displayed Legend item. Legend can display all active Series names or all points of a single Series.

FirstValue should be set accordingly, taking care not to overflow the number of active Series or the number of Series points.

You can use FirstValue to show in Legend a specific subset of Series or points.

It should be greater or equal than zero, and lower than number of active Series or Series points.

See Legend.LegendStyle for a description of the different Legend styles.


INumericGauge.properties
INumericGauge Legend key

Type Library
TeeChartx

In INumericGauge

DigitalFont
Embedded
TextMarker
UnitsMarker
ValueMarker
Visible

Derived from ICustomGauge

CustomBounds
Face
Frame
Value


IChartPageNavigator.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
IChartPageNavigator


ICustomBarSeries.UseOrigin
ICustomBarSeries

property UseOrigin: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The UseOrigin property defines if Bars will be bottom aligned to the Origin property value.

When False, the minimum of all Bar values is used as the Bar origins value.

When True, the Origin property is used as the start point for Bars.


IAntiAliasTool.properties
IAntiAliasTool Legend key

Type Library
TeeChartx

In IAntiAliasTool

Antialias
Bitmap
Filters


ICalendarCellUpper.Format
ICalendarCellUpper

property Format: WideString;

Type Library
TeeChartx

Description
The format property defines the DateValue format for the months and weekdays.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Months.Format = "mmmm yyyy"

.Weekdays.Format = "dddd"

End With


ITeeEditorShowPages.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeEditorShowPages


IMapPolygon.Pen
IMapPolygon

property Pen: IPen;

Type Library
TeeChartx

Description
Set Pen property to specify the Pen to be used to draw the border of the polygon.


IAnnotationTool.SetBounds
IAnnotationTool

procedure SetBounds(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Sets the Bounds of the Annotation Tool.


ITitles.Clear
ITitles

procedure Clear;

Type Library
TeeChartx

Description
Use this method to clear Titles


ICurveFittingFunction.FirstCalcPoint
ICurveFittingFunction

property FirstCalcPoint: Integer;

Type Library
TeeChartx

Description
Default Value: -1

Sets the first point index used to calculate the fitting

With FirstCalcPoint and LastcalcPoint properties you can restrict the subset of points CurveFittingFunction will use to calculate the polynomy coefficients and it's point values. Use FirstPoint and LastPoint to restrict the display range.

By default is -1, meaning all datasource points from the beginning will be used to perform the calculation.

The CheckDataSource method must be called after setting FirstPoint and LastPoint properties, forcing CurveFittingSeries to recalculate again all point values.

Example [Visual Basic]:

In this example FirstPoint is being used with FirstValueIndex / LastValueIndex to refit a fitted curve (CurveFitSeries1) to a 'zoomed' series (LineSeries1).

Private Sub TChart1_OnZoom()

With TChart1

If .Series(0).FirstValueIndex > 0 Then

.Series(1).FunctionType.asCurveFit.FirstCalcPoint = _

.Series(0).FirstValueIndex - 1

.Series(1).FunctionType.asCurveFit.LastCalcPoint = _

.Series(0).LastValueIndex

Else

.Series(1).FunctionType.asCurveFit.FirstCalcPoint = _

.Series(0).FirstValueIndex

.Series(1).FunctionType.asCurveFit.LastCalcPoint = _

.Series(0).LastValueIndex

End If

If .Series(0).LastValueIndex - .Series(0).FirstValueIndex > 6 Then

.Series(1).FunctionType.asCurveFit.FirstPoint = _

.Series(0).FirstValueIndex + 1

.Series(1).FunctionType.asCurveFit.LastPoint = _

.Series(0).LastValueIndex - 1

End If

.Series(0).CheckDataSource

End With

End Sub


IErrorsFormat.Right
IErrorsFormat

property Right: IPen;

Type Library
TeeChartx


ISeriesBandTool.DrawBehindSeries
ISeriesBandTool

property DrawBehindSeries: WordBool;

Type Library
TeeChartx

Description
When true draws the Bands behind the series values.


IPanel.methods
IPanel Legend key

Type Library
TeeChartx

In IPanel

BackImageClear
BackImageLoad


IGradientColor.Offset
IGradientColor

property Offset: Double;

Type Library
TeeChartx


IZoom.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IZoom


ISeriesBandTool.Transparency
ISeriesBandTool

property Transparency: Integer;

Type Library
TeeChartx

Description
Transparency is a value between 0 and 100 which sets the transparency percentage with respect to foreground versus background.


ILegendPaletteTool.Axis
ILegendPaletteTool

property Axis: ELegendPaletteAxis;

Type Library
TeeChartx

Description
Gets or sets which axes will be displayed on the legend.

Axes to show depend on the LegendPaletteTool.Vertical property.


ICustomDGridSeries.ReuseGridIndex

ICustom3DGridSeries.ReuseGridIndex
ICustom3DGridSeries See also

property ReuseGridIndex: WordBool;

Type Library
TeeChartx

Description

Set this property to True when using the FastBrush Surface Series paint technique.

Example

With TChart1

.Aspect.Orthogonal = False

.Aspect.Zoom = 70

.Series(0).FillSampleValues (30)

' Speed trick, as we know Surface data will not be modified anymore:

.Series(0).asSurface.FillGridIndex 0

.Series(0).asSurface.ReuseGridIndex = True

.Series(0).asSurface.Pen.Visible = False

.Series(0).asSurface.FastBrush = True

' other setting to increase speed:

.ClipPoints = False

.Walls.Left.Visible = False

.Axis.FastCalc = True ' <-- bypass overflow checkings...

End With

See also:
ISurfaceSeries.FastBrush


ICrossTabSource.ValueField
ICrossTabSource

property ValueField: WideString;

Type Library
TeeChartx

Description
The field in the dataset from where values will be obtained to perform acumulation in the final crosstab chart.


ITeeFunction.asExpAvg
ITeeFunction

property asExpAvg: IExpAvgFunction;

Type Library
TeeChartx

Description
The asExpAvg property is used by the Teefunction Class to access Exponential Average Function specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 ).FunctionType

.asExpAvg.Weight = 1

end with


ITeeCommander.methods
ITeeCommander Legend key

Type Library
TeeChartx

In ITeeCommander

RepositionControls

Derived from ITeeLinked

AboutBox


IArrowSeries.ArrowPercent
IArrowSeries

property ArrowPercent: Integer;

Type Library
TeeChartx

Description
Changes the size of the Arrow in percent.

Example [Visual Basic]:

With TChart1

.AddSeries scArrow

.Series(0).FillSampleValues (5)

.Series(0).asArrow.ArrowPercent = HScroll1.Value

End With


IAxes.Left
IAxes

property Left: IAxis;

Type Library
TeeChartx

Description
The Axis.Left property (LeftAxis) determines the Labels and formatting attributes of Left Chart side. It also controls where Series points will be placed.

Every TChart class has four Axis: Left, Top, Right and Bottom.

Example [Visual Basic]:

TChart1.Axis.Left.Visible = True


ICustomPolarSeries.LabelsMargin
ICustomPolarSeries

property LabelsMargin: Integer;

Type Library
TeeChartx

Description

Defines the percentage of polar radius for distance between the polar circle to text labels.


ISurfaceNearestTool.RowColor
ISurfaceNearestTool

property RowColor: OLE_COLOR;

Type Library
TeeChartx

Description
Gets or sets the color used to fill all the surface cells that belong to the grid row under the mouse cursor.

Setting the RowColor to clNone will hide all cells in the selected row.

Setting it to clTeeColor will not modify the default cell color.


ITagCloudSeries.GetTagFontSize
ITagCloudSeries

function GetTagFontSize(ValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns the appropiate font size for a given ValueIndex'th tag.

Font size is calculated using the maximum and minimum tag values.

The maximum value is assigned the Font.Size property.


ISeries.Name
ISeries

property Name: WideString;

Type Library
TeeChartx

Description
You may change the name of a Series with this property. Use is optional, It is not necessary to name Series for them to function correctly. Use the Series.Title property to give Series titles to display in Legends and the Chart Editor.


ICandleSeries.RemoveGaps
ICandleSeries

property RemoveGaps: WordBool;

Type Library
TeeChartx


IValueList.Last
IValueList

property Last: Double;

Type Library
TeeChartx

Description
This property returns the Last point value. This is the same value as the Count - 1 index value:

Last Example

This is the same value as the Count - 1 index value:

Delphi

With TChart1 do

Begin

Series[ 0 ].YValues.Value[ Series[ 0 ].YValues.Count - 1 ] := 1234.56 ;

ShowMessage( FloatToStr(Series[ 0 ].YValues.Last ) );

end;

Visual Basic

With TChart1.Series( 0 )

.YValues.Value(.Count - 1) = 1234.56

MsgBox .YValues.Last

End With


ITeeBasePath.MoveTo
ITeeBasePath

procedure MoveTo(X, Y: Integer);

Type Library
TeeChartx


IValueList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IValueList


INumericMarker.properties
INumericMarker Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


ITriSurfaceSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ITriSurfaceSeries


IScrollPagerTool.properties
IScrollPagerTool Legend key

Type Library
TeeChartx

In IScrollPagerTool

Align
ColorBandTool
DivisionRatio
EndLinePointer
NoLimitDrag
PointerHighlightColor
StartLinePointer
SubChartTChart
SubChartTool

Derived from ICustomToolSeries

Series


ISeriesTextSource.AddField
ISeriesTextSource

function AddField(Const AName: WideString; AIndex: Integer): ISeriesTextField;

Type Library
TeeChartx

Description
Use AddField to add a field a the text source file. The Field name should coincide with the name used to define the value in the Series ValueList. The name of the column is not important in the text file of origin but note that the index of the first column starts at 1.

Example [Visual Basic]:

Data text file "C:\TestFiles\web.txt"

Date,Open,High,Low,Close

1/1/2000,15,76,7,40

2/1/2000,40,55,35,37

3/1/2000,37,61,29,43

Private Sub Command1_Click()

With TChart1

.RemoveAllSeries

.AddSeries scCandle

End With

With SeriesTextSource1

.Series = TChart1.Series(0)

.FileName = "C:\TestFiles\web.txt"

.HeaderLines = 1

.AddField "Date", 1

.AddField "Open", 2

.AddField "High", 3

.AddField "Low", 4

.AddField "Close", 5

.Active = True

End With

End Sub


IXLSExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
IXLSExport


ITeeGDIPlus.methods
ITeeGDIPlus Legend key

Type Library
TeeChartx

In ITeeGDIPlus

GDIPlusShutdown


ICustomDGridSeries.SmoothGridD

ICustom3DGridSeries.SmoothGrid3D
ICustom3DGridSeries

procedure SmoothGrid3D;

Type Library
TeeChartx

Description

Use to smooth surface, setting grid size.

Example

Private Sub Command1_Click()

With TChart1

' Smooth the surface !

.Series(0).asSurface.SmoothGrid3D

' Now re-calculate NumX and NumX to display at Label1.Caption

.Series(0).asSurface.FillGridIndex 0

' Display new grid size at Label1

Label1.Caption = "Grid size = " + Str(TChart1.Series(0).asSurface.NumXValues) + " x " + _

Str(.Series(0).asSurface.NumZValues)

End With

End Sub


IDarvasSeries.ClickedBox
IDarvasSeries

function ClickedBox(X, Y: Integer): Integer;

Type Library
TeeChartx

Description
This functions returns the Index of the "clicked" box.

Clicked means the X and Y coordinates are in the box screen region bounds.

If no box is "touched", Clicked returns -1


ICircularGauge.FillToSemiCircle
ICircularGauge

property FillToSemiCircle: WordBool;

Type Library
TeeChartx

Description
Default : True

Allows to draw a semi-circled circular gauge if is set to true.


IPieSeries.methods
IPieSeries Legend key

Type Library
TeeChartx

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IPrinterSettings.Color
IPrinterSettings

property Color: SmallInt;

Type Library
TeeChartx

Description
Switches between color and monochrome on color printers. Following are the possible values:

DMCOLOR_COLOR (2)

DMCOLOR_MONOCHROME (1)


ILegend.TextStyle
ILegend

property TextStyle: ELegendTextStyle;

Type Library
TeeChartx

Description
Default Value: ltsLeftValue

The TextStyle property indicates how Legend text items will be formatted.

ltsPlain shows the point Label only.

ltsLeftValue shows the point Value and the point Label.

ltsRightValue shows the point Label and the point Value.

ltsLeftPercent shows the percent the point represents and the point Label.

ltsRightPercent shows the point Label and the percent the points represent.

ltsXValue shows the point's X value. It applies only to Series with X (horizontal) values.

Values are pre-formatted using the Series ValueFormat property. Percents are pre-formatted using the Series PercentFormat property.

You can also use the TTChartOnGetLegendText event to supply customized Legend texts.

TextStyle property Example

These are examples of different Legend's TextStyle values:

ltsPlain Summer

ltsLeftValue 1234 Summer

ltsRightValue Summer 1234

ltsLeftPercent 5.1 % Summer

ltsRightPercent Summer 5.1 %

**ltsXValue 4321

**Applies only to Series with X values. See Series.AddXY method.


ITeeShadow.Transparency
ITeeShadow

property Transparency: Integer;

Type Library
TeeChartx

Description
The percentage of semi-glass effect for the shadow, from 0 to 100.


ITChart.Legend
ITChart

property Legend: ILegend;

Type Library
TeeChartx

Description
The Legend property determines the text and drawing attributes of Chart's textual representation of Series and Series values.

The Legend class draws a rectangle and for each Series in a Chart (or for each point in a Series) outputs a text representation of that Series (or that point).

You can use the Legend.LegendStyle and Legend.TextStyle properties to control the text used to draw the legend.

The Legend can be positioned at Left, Right, Top and Bottom chart sides using the Legend.Alignment property.

Use the Legend.Visible property to show / hide the Legend.

The Inverted property makes Legend to draw text starting from bottom.

The Frame, Font and Color properties allow you to change Legend appearance.

The Legend.ColorWidth property determines the percent width of each item's "colored" mark.

The Legend.FirstValue property controls which Series (or Series point) will be used to draw first Legend item.


IGaugeHands.Items
IGaugeHands

property Items[AIndex: Integer]: IGaugeHandItem;

Type Library
TeeChartx


IRMSFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IRMSFunction


IAxis.properties
IAxis Legend key

Type Library
TeeChartx

In IAxis

Automatic
AutomaticMaximum
AutomaticMinimum
AxisLink
AxisPen
AxisType
EndPosition
ExactDateTime
Grid
GridCentered
GridPen
GridZPosition
Horizontal
IAxisSize
IEndPos
Increment
Index
Inverted
IStartPos
Labels
Logarithmic
LogarithmicBase
Maximum
MaximumOffset
MaximumRound
Minimum
MinimumOffset
MinimumRound
MinorGrid
MinorTickCount
MinorTickLength
MinorTicks
Otherside
PartnerAxis
Position
PositionPercent
PositionUnits
Shape
StartPosition
SubAxes
TickInnerLength
TickLength
TickOnLabelsOnly
Ticks
TicksInner
Title
TitleSize
UsePartnerAxis
Visible
ZPosition


ITeePreviewerOptions.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeePreviewerOptions


IAspect.Orthogonal
IAspect

property Orthogonal: WordBool;

Type Library
TeeChartx

Description
Default True

Orthogonal displays the Chart in a simulated 3D fashion by drawing the Chart depth at an inclined angle. The bottom of the Chart is always horizontal. When false and the Chart is in 3D, the Chart will display in true 3D mode either as Windows Native or OpenGL Canvases.


ITeeAnimate.properties
ITeeAnimate Legend key

Type Library
TeeChartx

In ITeeAnimate

Animations
Loop
Speed
SpeedFactor
State


ICustomDPaletteSeries.PaletteStyle

ICustom3DPaletteSeries.PaletteStyle
ICustom3DPaletteSeries

property PaletteStyle: EPaletteStyle;

Type Library
TeeChartx

Description
Selects Pale or Strong colour palette.


ICanvas.GetPixelsD

ICanvas.GetPixels3D
ICanvas

property GetPixels3D[X, Y, Z: Integer]: OLE_COLOR;

Type Library
TeeChartx

Description
Returns Color at x,y,z pixel location.


ISeries.Clicked
ISeries

function Clicked(XCoord, YCoord: Integer): Integer;

Type Library
TeeChartx

Description
This functions returns the ValueIndex of the "clicked" point in the Series. Clicked means the X and Y coordinates are in the point screen region bounds. If no point is "touched", Clicked returns -1


ITreeMapSeries.AddValue
ITreeMapSeries

function AddValue(AValue: Double; Const ALabel: WideString; ASuperior: Integer; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx


ITeeFont.Emboss
ITeeFont

property Emboss: ITeeEmboss;

Type Library
TeeChartx


IContourLevels.properties
IContourLevels Legend key

Type Library
TeeChartx

In IContourLevels

Items


ILegendPaletteTool.Left
ILegendPaletteTool

property Left: Integer;

Type Library
TeeChartx

Description
Gets or sets the horizontal legend location in pixels.


IRectangleTool.AllowDrag
IRectangleTool

property AllowDrag: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, users can click and drag a rectangle tool to change its position inside a chart panel.

For example, IMagnifyTool also allows dragging as it derives from IRectangleTool and inherits this behaviour.

See also: Dragging property, OnRectangleToolDragging and OnRectangleToolDragged events.


ITernarySeries.AddBubbleXYZ
ITernarySeries

function AddBubbleXYZ(AX, AY, AZ, ARadius: Double; Const ALabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Add Ternary point with location and radius parameters.


IAxis.GridZPosition
IAxis

property GridZPosition: Double;

Type Library
TeeChartx

Description
The 3D position ( from 0 to 100 in percentage ) of grid lines.

A value of 0 means grid lines will be displayed to front chart side.

A value of 100 means grid lines will not display in 3D space.


ICustomTextShape.properties
ICustomTextShape Legend key

Type Library
TeeChartx

In ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IEnvironment.CodeUTFString

IEnvironment.CodeUTF8String
IEnvironment

function CodeUTF8String(Const AString: WideString; addPrefix: WordBool): WideString;

Type Library
TeeChartx

Description
TeeChart Unicode version only.

Codes input text to UTF8 format for internal TeeChart use. Could be used to prepare input text to be stored in ascii format for later rendering as Unicode characters.

TeeChart tags UTF8 strings with the prefix: "@U#". The addPrefix parameter when true adds the prefix to the generated string.

Example

Dim strings

'generate UTF strings. Typically strings stored in this way would be from non-latin

'charactersets not supported on all Windows machines.

strings = Array(TChart1.Environment.CodeUTF8String("morning", True), _

TChart1.Environment.CodeUTF8String("midday", True), _

TChart1.Environment.CodeUTF8String("afternoon", True), _

TChart1.Environment.CodeUTF8String("evening", True), _

TChart1.Environment.CodeUTF8String("night", True))

With TChart1.Series(0)

.Clear

.AddXY 0, 3, strings(0), clTeeColor

.AddXY 1, 5, strings(1), clTeeColor

.AddXY 2, 4, strings(2), clTeeColor

.AddXY 3, 4, strings(3), clTeeColor

.AddXY 4, 5, strings(4), clTeeColor

End With

An example thus, with sample Japanese strings:

' 'japanese charset not globally supported in VB designtime environment

With TChart1.Series(0)

.Clear

.AddXY 0, 3, "@U#E4B88AE3818BE38289E4B88BE381B8", clTeeColor

.AddXY 1, 5, "@U#E58FB3E3818BE38289E5B7A6E381B8", clTeeColor

.AddXY 2, 4, "@U#E5B7A6E3818BE38289E58FB3E381B8", clTeeColor

.AddXY 3, 4, "@U#E58FB3E4B88BE99A85E3818BE38289", clTeeColor

End With


ITeeEditorShowPages.General
ITeeEditorShowPages

property General: WordBool;

Type Library
TeeChartx

Description
Default = True

The General property may be used to disable the display of the General Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


IGridBandTool.properties
IGridBandTool Legend key

Type Library
TeeChartx

In IGridBandTool

Band1
Band2
BandBackColor

Derived from ICustomToolAxis

Axis


IFrameTool.Size
IFrameTool

property Size: Integer;

Type Library
TeeChartx

Description
Default size : 16

Defines de Size of the Frame.


ITools.asDragMarks
ITools

property asDragMarks: IDragMarksTool;

Type Library
TeeChartx

Description
The asDragMarks property is used by the Tools Class to access DragMarks Tool specific properties.


ICustomPolarSeries.ClockWiseLabels
ICustomPolarSeries

property ClockWiseLabels: WordBool;

Type Library
TeeChartx

Description
The ClockWiseLabels property enables/disables the display of the circle labels in a clockwise direction.


ILegend.Alignment
ILegend

property Alignment: ELegendAlignment;

Type Library
TeeChartx

Description
Default Value: laRight

The Alignment property defines the Legend position.

Legend can be currently placed at Top, Left, Right and Bottom side of Chart.

Left and Right Legend alignments define a vertical Legend with currently one single column of items.

Top and Bottom Legend alignments define an horizontal Legend with currently one single row of items.

The Legend itself automatically reduces the number of displayed legend items based on the available charting space.

The Legend.ResizeChart property controls if Legend dimensions should be used to reduce Chart points space.

The Legend.OnGetLegendRect event provides a mechanism to supply the desired Rectangle Legend dimensions and placement.

The Legend.OnGetLegendPos event can be used to specify fixed Legend items X Y coordinates.

The Legend.HorizMargin and VertMargin properties control distance between Legend and Left and Right margins.

The Legend.TopPos property can be used in Left or Right Legend alignments to control vertical distance between Legend and Top Chart Margin.

These techniques allow almost complete Legend control.

Legend is quite a big class with many available formatting and dimensioning properties.


IAxes.Items
IAxes

property Items[AxisIndex: Integer]: IAxis;

Type Library
TeeChartx


IPieSeries.AngleSize
IPieSeries

property AngleSize: Integer;

Type Library
TeeChartx

Description
Determines the internal angle of the Pie slice displayed.


IShapeCallout.PointPosition
IShapeCallout

property PointPosition: Integer;

Type Library
TeeChartx


IMapPolygonList.Add
IMapPolygonList

function Add: Integer;

Type Library
TeeChartx

Description
Call Add to insert a new polygon at the end of the Polygons array. Add returns the new added Polygon.


ISeries.asLinearGauge
ISeries

property asLinearGauge: ILinearGauge;

Type Library
TeeChartx

Description

The asLinearGauge property is used by the Series Class to access LinearGauge Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


ILegendScrollBarTool.BackColor
ILegendScrollBarTool

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description
The color used to fill the scrollbar background.


IChartEditorPanel.EditorLink
IChartEditorPanel

property EditorLink: Integer;

Type Library
TeeChartx

Description
Integer value to link with ITeeEditor.

Example.

ChartEditrorPanel1.EditorLink = TeeEditor1.EditorLink


ITeeCustomShapeBrushPen.Brush
ITeeCustomShapeBrushPen

property Brush: IBrush;

Type Library
TeeChartx


ITChart.ZoomWheel
ITChart

property ZoomWheel: EMouseWheelStyle;

Type Library
TeeChartx


ISeriesAnimationTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesAnimationTool


ILightFilter.Left
ILightFilter

property Left: Integer;

Type Library
TeeChartx

Description
The horizontal coordinate in pixels for the light spot center.


IColorBandTool.properties
IColorBandTool Legend key

Type Library
TeeChartx

In IColorBandTool

AllowDrag
Brush
Color
Cursor
DrawBehind
DrawBehindAxes
EndLine
EndLinePen
EndValue
Gradient
NoLimitDrag
Pen
Picture
ResizeEnd
ResizeStart
StartLine
StartLinePen
StartValue
Transparency

Derived from ICustomToolAxis

Axis


ITeeListBox.SeriesGroup
ITeeListBox

property SeriesGroup: ISeriesGroup;

Type Library
TeeChartx

Description

Associate SeriesGroup with the TeeListBox.

Example

Private Sub Combo1_Click()

' Hide series in current group

TeeListBox1.SeriesGroup.Hide

' Change series group to show at listbox...

TeeListBox1.SeriesGroup = TChart1.SeriesList.Groups.Items(Combo1.ListIndex)

' Show series in newly selected group

TeeListBox1.SeriesGroup.Show

TeeListBox1.UpdateSeries

End Sub


ILinePointSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ILinePointSeries


IPolarGridSeries.LegendItemColor
IPolarGridSeries

function LegendItemColor(LegendIndex: Integer): OLE_COLOR;

Type Library
TeeChartx

Description
Returns the item Color of the specified legend index. This can be useful using ColorRange or Palettes.


IMultiplyFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMultiplyFunction


IPage.MaxPointsPerPage
IPage

property MaxPointsPerPage: Integer;

Type Library
TeeChartx

Description
Default Value: 0

The MaxPointsPerPage property controls "TeeChart AutoPaging".

Setting it to a number greater than zero makes TeeChart to internally divide Series points in Pages.

You can then navigate across Chart pages by using the Chart.Page and Chart.NumPages properties.

For each Page, TeeChart will automatically calculate and display the corresponding Series points.

The last page can have less number of points than other pages. You can use the Chart.ScaleLastPage to control if last page will be "stretched" or not.


IAnnotationTool.Width
IAnnotationTool

property Width: Integer;

Type Library
TeeChartx

Description
Sets the Width in pixels of the annotation rectangle.

You must set AutoSize to False for custom Width values.


IBaseHighLowSeries.MinYValue
IBaseHighLowSeries

function MinYValue: Double;

Type Library
TeeChartx

Description
Returns MinYValue.


IFaderTool.Speed
IFaderTool

property Speed: Double;

Type Library
TeeChartx

Description
Default : 3

Sets the animation speed to be used.


IPieMarks.Rotated
IPieMarks

property Rotated: WordBool;

Type Library
TeeChartx


IContourMarks.AntiOverlap
IContourMarks

property AntiOverlap: WordBool;

Type Library
TeeChartx

Description
Avoids overlap when True.


IExport.CopyToClipboardBitmap
IExport

procedure CopyToClipboardBitmap;

Type Library
TeeChartx

Description
Copies the whole Chart area to clipboard in bitmap format.


IGaugeHand.Offset
IGaugeHand

property Offset: Integer;

Type Library
TeeChartx

Description

Gets or Sets the Hand's Offset.


IAxis.MinXValue
IAxis

function MinXValue: Double;

Type Library
TeeChartx

Description
This function returns the calculated Minimum Horizontal value for the specified AAxis. AAxis can be Axis.Top or Axis.Bottom.

Calculated means that the return value will the Minimum value of the Minimum Series X Values. Only Series with the HorizontalAxis equal to AAxis will be considered.

Example [Delphi]:

TChart1.Axis.Top.Automatic := False ;

TChart1.Axis.Top.Minimum := Chart1.MinXValue( atTop ) ;

Example [Visual Basic]:

TChart1.Axis.Top.Automatic = False

TChart1.Axis.Top.Minimum = TChart1.Axis.Top.MinXValue


ISeriesMarksPositions.Position
ISeriesMarksPositions

property Position[Index: Integer]: ISeriesMarkPosition;

Type Library
TeeChartx

Description
Set the position characteristics of the Mark for Series point 'Index'


ISubChartTool.properties
ISubChartTool Legend key

Type Library
TeeChartx

In ISubChartTool

Charts
Cursor


ITChart.RemoveAllSeries
ITChart

procedure RemoveAllSeries;

Type Library
TeeChartx

Description
The RemoveAllSeries method removes all Series in the Chart SeriesList. The removed Series are freed.


ICalendarSeries.NextMonth
ICalendarSeries

procedure NextMonth;

Type Library
TeeChartx

Description
The NextMonth method moves the Calender series onto the month after the present one.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).asCalendar.NextMonth

End Sub

Private Sub Command2_Click()

TChart1.Series(0).asCalendar.PreviousMonth

End Sub


IWall.methods
IWall Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IAxes.CustomCount
IAxes

property CustomCount: Integer;

Type Library
TeeChartx

Description
Returns the number of custom axes.

Example [Visual Basic]:

'Number of Custom Axes in Chart

MsgBox (TChart1.Axis.CustomCount)


IOrgItem.Series
IOrgItem

property Series: OleVariant;

Type Library
TeeChartx

Description
Gtes the IOrgSeries that owns and displays this item.


ILegendSymbol.WidthUnits
ILegendSymbol

property WidthUnits: ELegendSymbolSize;

Type Library
TeeChartx

Description
Defines Width units for width of Symbol.

- Percent is percentage of Legend box width

- Pixels, width in standard pixels


IMapPolygonList.Count
IMapPolygonList

property Count: Integer;

Type Library
TeeChartx

Description
Returns the number of Polygons.


ISmoothPoints.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISmoothPoints


IExport.SaveToMetafileEnh
IExport

procedure SaveToMetafileEnh(Const FileName: WideString);

Type Library
TeeChartx

Description
This method is now deprecated. Please see the IMetafileExport interface for the newer, more complete functionality.

The SaveToMetafileEnh method creates a new Enhanced WMF file and stores Chart drawing instructions on it. WMF's are created to be "placeable" and prefixed with the Aldus header. That means the image can be resized when embedded in container applications like MS Word. The Metafile format has the advantage of being smaller than equivalent saved images in bitmap format. Disadvantages are that some Windows GDI (graphic API) calls can't be used with metafiles. EMF format (using the 32bit version) is a much better format supporting more graphic instructions than 'simple' metafile format.

Example [Visual Basic]:

This code creates a new Enhanced WMF metafile:

TChart1.Export.SaveToMetafileEnh "c:\mychart.emf"


ITeePreviewPanel.ShadowSize
ITeePreviewPanel

property ShadowSize: Integer;

Type Library
TeeChartx

Description
Use ShadowSize property to define the Size of the PreviewPanel Shadow.


IMarksTipTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IMarksTipTool


ITeeCommander.ButtonNormal
ITeeCommander

property ButtonNormal: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonNormal

Example:-

TeeCommander1.ButtonNormal.Hide


ITChart.Header
ITChart

property Header: ITitles;

Type Library
TeeChartx

Description
The Header property defines the Text and formatting properties to be drawn at the top of the Chart. Use the Text property to enter the desired Header lines, set Visible to True and change the Font, Frame and Brush properties. Use the Alignment property to control text output position.


ICLVFunction.properties
ICLVFunction Legend key

Type Library
TeeChartx

In ICLVFunction

Accumulate
Volume


IIsoSurfaceSeries.Sides
IIsoSurfaceSeries

property Sides: ISurfaceSides;

Type Library
TeeChartx

Description
Gets properties that configure how to display the side walls of the iso-surface.


IRenkoSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IRenkoSeries


IExport.SaveToMetafile
IExport

procedure SaveToMetafile(Const FileName: WideString);

Type Library
TeeChartx

Description
This method is now deprecated. Please see the IMetafileExport interface for the newer, more complete functionality.

The SaveToMetafile method creates a new WMF file and stores Chart drawing instructions on it. WMF's are created to be "placeable" and prefixed with the Aldus header. That means the image can be resized when embedded in container applications like MS Word. The Metafile format has the advantadge of being smaller than equivalent saved images in bitmap format. Disadvantages are that some Windows GDI (graphic API) calls can't be used with metafiles. Clipping points from chart bounds is not possible with metafiles.

The new EMF format (using the 32bit version) promises to be a much better format supporting more graphic instructions.

Example [Visual Basic]:

This code creates a new WMF metafile:

TChart1.Export.SaveToMetafile "c:\mychart.wmf"


IVolumePipeSeries.Gradient
IVolumePipeSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
Determines the kind of interior gradient effect for the VolumePipe.


IChartPageNavigator.EnableButtons
IChartPageNavigator

procedure EnableButtons;

Type Library
TeeChartx

Description
Use EnableButtons to refresh the TChartPageNavigator after any change of Chart data/page status not caused by the navigator.


ILegendSymbol.Squared
ILegendSymbol

property Squared: WordBool;

Type Library
TeeChartx

Description
When True, the legend symbol will be resized to have the same width as height.

When False, the legend symbol height is determined by the legend font size, and the symbol width is calculated using the Width and WidthUnits properties.

Example[Visual Basic]:

TChart1.Legend.Symbol.Squared = True


IChartGrid.RowHeights
IChartGrid

property RowHeights[Index: Integer]: Integer;

Type Library
TeeChartx


ICursorTool.FollowMouse
ICursorTool

property FollowMouse: WordBool;

Type Library
TeeChartx

Description
Set FollowMouse to True to make CursorTool stick to the mouse movements


ITeePreviewPanel.Canvas
ITeePreviewPanel

property Canvas: ICanvas;

Type Library
TeeChartx

Description
Use the Canvas property to access all Canvas and Canvas3D properties and methods.


IAxisBreaks.Count
IAxisBreaks

property Count: Integer;

Type Library
TeeChartx


ICanvas.StretchDrawQuality
ICanvas

property StretchDrawQuality: ECanvasStretchQuality;

Type Library
TeeChartx


ICustomBoxSeries.properties
ICustomBoxSeries Legend key

Type Library
TeeChartx

In ICustomBoxSeries

AdjacentPoint1
AdjacentPoint3
Box
ExtrOut
InnerFence1
InnerFence3
Median
MedianPen
MildOut
OuterFence1
OuterFence3
Position
Quartile1
Quartile3
UseCustomValues
WhiskerLength
WhiskerPen

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ITeeOpenGL.properties
ITeeOpenGL Legend key

Type Library
TeeChartx

In ITeeOpenGL

Active
AmbientLight
Antialias
FontExtrusion
FontOutlines
Light
Light1
Light2
LightColor
LightPosition
ShadeQuality
Shininess


IGLLightSource.Position
IGLLightSource

property Position: IGLPosition;

Type Library
TeeChartx

Description
Use Position property to set the X,Y,Z coordinates of the LightSource on the canvas.

See also the FixedPosition property to disable 3D rotation of light coordinates.


ITChart.OnMouseMove
ITChart

property OnMouseMove: TTChartOnMouseMove;

Type Library
TeeChartx

Description
This event is triggered when moving the mouse over the Chart Panel.


IRenkoSeries.DownSwingColor
IRenkoSeries

property DownSwingColor: OLE_COLOR;

Type Library
TeeChartx

Description
Color used to fill the bricks when trend is down.


ILegend.TopPercent
ILegend

property TopPercent: Integer;

Type Library
TeeChartx

Description
The Legend.TopPercent property can be used in Left or Right Legend alignments to control vertical distance between Legend and Top Chart Margin as a percentage.


ISubtractFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISubtractFunction


ITowerSeries.MinXValueTower
ITowerSeries

function MinXValueTower: Double;

Type Library
TeeChartx

Description
Use this method to return the Tower MinXValueTower.

Example [Visual Basic]:

MsgBox ("X Range: " & TChart1.Series(0).asTower.MaxXValueTower - TChart1.Series(0).asTower.MinXValueTower)


IExportFormat.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat


IOBVFunction.properties
IOBVFunction Legend key

Type Library
TeeChartx

In IOBVFunction

Volume


IPointer.Visible
IPointer

property Visible: WordBool;

Type Library
TeeChartx

Description
The Visible property controls if Series pointers will be displayed or not.

When using a PointSeries (or any Series class derived from PointSeries), setting Visible to False will not display anything.

Pointers can be useful with LineSeries or AreaSeries.

When points are Visible, an extra margins are applied to the four chart axis (Left, Right, Top and Bottom).

This is to make points just at axis limits to be shown.

You can deactivate this extra margins by setting the IPointer.InflateMargins property to False.

Points are filled using IPointer.Brush property.


IDrawLineTool.methods
IDrawLineTool Legend key

Type Library
TeeChartx

In IDrawLineTool

AddLine
AxisPoint
Clicked
ClickedTolerance
DeleteSelected
ScreenPoint


IEnvironment.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IEnvironment


IAxes.SetIsometric
IAxes See also

procedure SetIsometric(aVertical, aHorizontal: Integer);

Type Library
TeeChartx

Description

Sets the Grid Scales of the input Axes to Isometric. Use the Index of the Axes as parameters. The Index may be obtained from the Axis.Index property.

Example

[Visual Basic]

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TChart1.AddSeries scLine

With TChart1.Series(0)

.AddXY 0, 4, "", clTeeColor

.AddXY 1, 3, "", clTeeColor

.AddXY 2, 2, "", clTeeColor

.AddXY 3, 4, "", clTeeColor

End With

End Sub

Private Sub Command1_Click()

With TChart1

With .Series(0)

.AddXY .XValues.Last + 1, Rnd(.YValues.Last + 2), "", clTeeColor

End With

With .Axis

.SetIsometric .Left.Index, .Bottom.Index

TChart1.Environment.InternalRepaint

.Left.Labels.Separation = 0

.Left.Increment = .Bottom.CalcIncrement

End With

End With

End Sub

See also:
IAxis.Index


ISeriesSource.Open
ISeriesSource

procedure Open;

Type Library
TeeChartx

Description
Called when the Active property is True.

The Open method should add points to the Series, obtaining the points data from the corresponding source.


ISeries.SetNull
ISeries

procedure SetNull(ValueIndex: Integer);

Type Library
TeeChartx

Description
Makes the ValueIndex referred point to be "hidden" (invisible).

Corresponds to setting the point's color to "clNone":

Series(0).SetNull 123

...is the same as...

Series(0).ValueColor( 123 )= clNone


IImageBarSeries.properties
IImageBarSeries Legend key

Type Library
TeeChartx

In IImageBarSeries

ImageTiled

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


ISeriesTextFields.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesTextFields


ICustomSeries.Shadow
ICustomSeries

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description
Properties (size and color) used to draw a shadow "line" near the series line to make a visual "shadow" effect.


ICustomToolSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries


ITeeListBox.OnMouseUp
ITeeListBox

property OnMouseUp: TTeeListBoxOnMouseUp;

Type Library
TeeChartx

Description
This event is triggered when releasing the mouse button whilst over the TeeListBox.


IPieSeries.MultiPie
IPieSeries

property MultiPie: EMultiPie;

Type Library
TeeChartx

Description

Sets automatic Pie positioning when multiple Pie series exist.


ITChart.Page
ITChart

property Page: IPage;

Type Library
TeeChartx

Description
Use the TChart.Page property to access multiple page characteristics of the Chart.

See the IPage interface.


ICircularGauge.LinearGauge
ICircularGauge

property LinearGauge: ILinearGauge;

Type Library
TeeChartx

Description
Accesses the attributes of the Linear Gauge.


IMovingAvgFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMovingAvgFunction


ICircularFrame.TotalAngle
ICircularFrame

property TotalAngle: Integer;

Type Library
TeeChartx

Description
Gets or sets the angle in degrees (from 0 to 360) that the frame covers.


ITowerSeries.PercentWidth
ITowerSeries

property PercentWidth: Integer;

Type Library
TeeChartx

Description
Default is 100 (full width).

The percentage of "X" width size for tower cubes.


IContourLevel.NumSegments
IContourLevel

property NumSegments: Integer;

Type Library
TeeChartx

Description
Returns the number of segments (lines) for this level.


ITChart.OnSeriesAfterAdd
ITChart

property OnSeriesAfterAdd: TTChartOnSeriesAfterAdd;

Type Library
TeeChartx

Description
Every Series component has an OnSeriesAfterAdd event. This event is triggered whenever a new point has been Added or Inserted.


ITChart.OnAllowScroll
ITChart

property OnAllowScroll: TTChartOnAllowScroll;

Type Library
TeeChartx

Description
Triggered when Scrolling the Chart.


IColorLineTool.NoLimitDrag
IColorLineTool

property NoLimitDrag: WordBool;

Type Library
TeeChartx

Description
Default False

When True allows drag of ColorLine outside of the Chart rectangle.


IMirrorFilter.Direction
IMirrorFilter

property Direction: EMirrorDirection;

Type Library
TeeChartx

Description
Direction used to generate the mirrored image.

EMirrorDirection:

mdDown

mdUp

mdRight

mdLeft


ITeePreviewerOptions.PrintPanel
ITeePreviewerOptions

property PrintPanel: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


ITeeFunction.asSubset
ITeeFunction

property asSubset: ISubsetTeeFunction;

Type Library
TeeChartx

Description
Accesses Subset function specific properties.


IClusteringTool.Linkage
IClusteringTool

property Linkage: ELinkageMethod;

Type Library
TeeChartx

Description
The are several ways to calculate the "distance" between clusters when one or both clusters have more than one item. This is called "Linkage"

The simplest way is using each cluster "centre". This means no linkage occurs.


IBaseHighLowSeries.LowValues
IBaseHighLowSeries

property LowValues: IValueList;

Type Library
TeeChartx

Description
ValueList of Series LowValues.


IEquiVolumeSeries.VolumeValues
IEquiVolumeSeries

property VolumeValues: IValueList;

Type Library
TeeChartx

Description
Gets and sets all event Volume values.


ITeeFilter.asGrayScale
ITeeFilter

property asGrayScale: IGrayScaleFilter;

Type Library
TeeChartx

Description
The asGrayScale property is used by the TeeFilter Class to access GrayScale Filter specific properties.


ITChart.Walls
ITChart

property Walls: IWalls;

Type Library
TeeChartx

Description
Use the TChart.Walls property to access left, bottom and back wall characteristics of the Chart.

Example [Visual Basic]:

TChart1.Walls.Visible = False


ITChart.Series
ITChart

function Series(SeriesIndex: Integer): ISeries;

Type Library
TeeChartx

Description
The Series method returns the list of Series that the Chart class maintains and draws.

(Series can be Active or not).

Example [Visual Basic]:

The following example will set all Bar Series Style to Cylinders

Dim t As Integer

For t = 0 To TChart1.SeriesCount - 1

With TChart1.Series(t)

If .SeriesType = scBar Then

.asBar.BarStyle = bsCilinder

End If

End With

Next t

The following example will count all Active Series points

Dim Counter As Integer

Counter = 0

For t = 0 To TChart1.SeriesCount - 1

Counter = Counter + TChart1.Series(t).Count

Next t

MsgBox Counter

*Note

The Series method replaces the Series array property (now renamed to aSeries to support existing compiled applications) deprecated due to non-supported of indexed properies at root level of an ActiveX component when imported to MS Visual Studio.NET. See the TeeChart release notes for any environment specific information about this property to method change.

The Series method offers a direct substitute for functionality of the Series property predecesor.


ICustomSeriesList.Last
ICustomSeriesList

function Last: Integer;

Type Library
TeeChartx

Description

Returns last Series in list.


ILegend.LastValue
ILegend

property LastValue: Integer;

Type Library
TeeChartx

Description
Returns the Last ValueIndex of the Legend items. Read only property.

Example [Visual Basic]:

MsgBox TChart1.Legend.FirstValue


ITeeFilter.asBlur
ITeeFilter

property asBlur: IBlurFilter;

Type Library
TeeChartx

Description
The asBlur property is used by the TeeFilter Class to access Blur Filter specific properties.


ITeePreviewer.Options
ITeePreviewer

property Options: ITeePreviewerOptions;

Type Library
TeeChartx

Description
Runtime display options for the Print Previewer.


IFloatXYZ.X
IFloatXYZ

property X: Double;

Type Library
TeeChartx

Description
X component of the XYZ 3D point.


IFloatXYZ.Y
IFloatXYZ

property Y: Double;

Type Library
TeeChartx

Description
Y component of the XYZ 3D point.


IFloatXYZ.Z
IFloatXYZ

property Z: Double;

Type Library
TeeChartx

Description
Z component of the XYZ 3D point.


IPolarContourSeries.Contour
IPolarContourSeries

property Contour: IContourSeries;

Type Library
TeeChartx


IAspect.GDIPlus
IAspect

property GDIPlus: ITeeGDIPlus;

Type Library
TeeChartx


IHighLowSeries.HighPen
IHighLowSeries

property HighPen: IPen;

Type Library
TeeChartx

Description
Setting HighPen defines the Pen properties for the High value.


IAxisLabels.MaxWidth
IAxisLabels

function MaxWidth: Integer;

Type Library
TeeChartx

Description
This function returns the maximum width in Screen pixels of all Axis Labels.

It is internally used to calculate the Axis Increment in order to prevent overlapped Axis Labels.

Example [Visual Basic]:

MsgBox TChart1.Axis.Left.Labels.MaxWidth


ICustomGaugeMinMax.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge
|
ICustomGaugeMinMax


ISeries.asNumericGauge
ISeries

property asNumericGauge: INumericGauge;

Type Library
TeeChartx

Description

The asNumericGauge property is used by the Series Class to access NumericGauge Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IAspect.CanvasZoomText
IAspect

property CanvasZoomText: ECanvasZoomText;

Type Library
TeeChartx


IContourLevel.Pen
IContourLevel

property Pen: IPen;

Type Library
TeeChartx

Description
Defines the Pen to use to draw this level segments.


IGLLight.Color
IGLLight

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Use Color property to define the Color of the GLLight object.

By default OpenGL lights color is white ( clWhite ). Setting Color to gray ( ie: clDkGray, clSilver ) simulates light intensity.


IChartEditorPanel.properties
IChartEditorPanel Legend key

Type Library
TeeChartx

In IChartEditorPanel

BevelOuter
Editor
EditorLink
MainPage
SubPage

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IAutomaticText.Resize
IAutomaticText

property Resize: WordBool;

Type Library
TeeChartx


IDarvasSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICandleSeries
|
IDarvasSeries


IChartEditorPanel.SubPage
IChartEditorPanel

property SubPage: IPageControl;

Type Library
TeeChartx


ITools.asChartImage
ITools

property asChartImage: IChartImageTool;

Type Library
TeeChartx

Description
The asChartImage property is used by the Tools Class to access ChartImage Tool specific properties.


ITeeEditorShowPages.Legend
ITeeEditorShowPages

property Legend: WordBool;

Type Library
TeeChartx

Description
Default = True

The Legend property may be used to disable the display of the Legend Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


IKagiSeries.DownSwing
IKagiSeries

property DownSwing: IPen;

Type Library
TeeChartx

Description
Pen properties used to draw vertical lines when trend is down.


ITChart.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITChart


IAspect.properties
IAspect Legend key

Type Library
TeeChartx

In IAspect

ApplyZOrder
CanvasZoomText
Chart3DPercent
Elevation
ElevationFloat
FontZoom
GDIPlus
Height3D
HorizOffset
OpenGL
OrthoAngle
Orthogonal
Perspective
Rotation
RotationFloat
Tilt
VertOffset
View3D
Width3D
Zoom
ZoomText


IExpAvgFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExpAvgFunction


IPrinter.methods
IPrinter Legend key

Type Library
TeeChartx

In IPrinter

BeginDoc
EndDoc
Print
PrintChart
PrintLandscape
PrintPages
PrintPartial
PrintPartialHandle
PrintPortrait
ShowPreview
ShowSetupDlg


IChartGridRows.Count
IChartGridRows

property Count: Integer;

Type Library
TeeChartx

Description

Returns the count of ChartGrid Rows.


IGridBandBrush.Transparency
IGridBandBrush

property Transparency: Integer;

Type Library
TeeChartx

Description
Sets the transparency level as a percentage.


ITeePointD.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeePoint2D
|
ITeePoint3D


ITeePreviewerOptions.ChangePaperOrientation
ITeePreviewerOptions

property ChangePaperOrientation: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


IHueLumSatFilter.properties
IHueLumSatFilter Legend key

Type Library
TeeChartx

In IHueLumSatFilter

Hue
Luminance
Saturation


IHorizAreaSeries.methods
IHorizAreaSeries Legend key

Type Library
TeeChartx

Derived from IAreaSeries

GetOriginPos


ICircularGauge.CircleYCenter
ICircularGauge

property CircleYCenter: Integer;

Type Library
TeeChartx

Description
Returns the vertical Y coordinate of the center of the gauge.


ITeeOpenGL.Light

ITeeOpenGL.Light1
ITeeOpenGL

property Light1: IGLLightSource;

Type Library
TeeChartx

Description
Returns second light object in the OpenGL canvas.


ITeeOpenGL.Light

ITeeOpenGL.Light2
ITeeOpenGL

property Light2: IGLLightSource;

Type Library
TeeChartx

Description
Returns third light object in the OpenGL canvas.


ITeeCommander.LabelValues
ITeeCommander

property LabelValues: WordBool;

Type Library
TeeChartx

Description
Default True

Enables/disables the display of TeeCommander's advisory status messages.eg. Rotation and Elevation angles.


IMarksCallout.Length
IMarksCallout

property Length: Integer;

Type Library
TeeChartx

Description
The amount in pixels from the series point to series mark.


ICustomGaugeMinMax.AxisRanges
ICustomGaugeMinMax

property AxisRanges: IGaugeRanges;

Type Library
TeeChartx


IPCXExport.methods
IPCXExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


ITitles.AutoSize
ITitles

property AutoSize: WordBool;

Type Library
TeeChartx


ITools.asLegendScrollBar
ITools

property asLegendScrollBar: ILegendScrollBarTool;

Type Library
TeeChartx

Description
The asLegendScrollBar property is used by the Tools Class to access LegendScrollBar Tool specific properties.


IAxis.MinorTickCount
IAxis

property MinorTickCount: Integer;

Type Library
TeeChartx

Description
Default 3

The MinorTickCount property determines the number of Axis minor ticks. Axis minor ticks are the Axis sub-ticks between major ticks.

It should be a positive number greater than zero and less than half the number of pixels between major ticks, otherwise Minor ticks will "overlap".

Example [Visual Basic]:

This code sets the number of Axis Minor ticks:

TChart1.Axis.Left.MinorTickCount = 4


ICircledSeries.YRadius
ICircledSeries

property YRadius: Integer;

Type Library
TeeChartx

Description
The YRadius property returns the exact ellipse's radius vertical size in pixels. The ellipse YRadius can be set to a fixed number of pixels by using this property. The CircledSeries.Circled property controls if both radius must be proportional to the Screen X/Y ratio.


ICustomGaugeMinMax.methods
ICustomGaugeMinMax Legend key

Type Library
TeeChartx

Derived from ICustomGauge

GetPaletteColor
SetCustomBounds


IAddFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAddFunction


IChartImageTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IChartImageTool


IZoom.Direction
IZoom

property Direction: ETeeZoomDirection;

Type Library
TeeChartx

Description
Default: tzdBoth

Set the direction of the zoom (tzdHorizontal, tzdVertical, tzdBoth) on a selected area. Eg. tzdHorizontal will zoom only on a horizontal plane although the mouse is dragged across a vertical and horizontal plane.


ISeriesGroups.Items
ISeriesGroups

property Items[Index: Integer]: ISeriesGroup;

Type Library
TeeChartx

Description

Access the Groups in the List by Index.


ITeeCustomShapeBrushPen.properties
ITeeCustomShapeBrushPen Legend key

Type Library
TeeChartx

In ITeeCustomShapeBrushPen

Brush
Frame
Pen
Visible


IChartGrid.ShowXValues
IChartGrid

property ShowXValues: EChartGridShow;

Type Library
TeeChartx

Description
Virtual class houses properties and methods for use with the ChartGrid Control.


ISeriesList.First
ISeriesList

function First: Integer;

Type Library
TeeChartx

Description
Returns the index of first Series in the list.


IActivityGauge.Clear
IActivityGauge

procedure Clear;

Type Library
TeeChartx

Description

Clear all activities


IRotateTool.Style
IRotateTool

property Style: ERotateToolStyle;

Type Library
TeeChartx

Description
Controls if rotate tool will apply horizontal rotation, vertical elevation or both.

Default setting is both.


ICustomSeries.Brush
ICustomSeries

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


IRSIFunction.Style
IRSIFunction

property Style: ERSIStyle;

Type Library
TeeChartx

Description
The Style property will associate the RSI function to:

rsiOpenClose:Uses Close values comparitive to their respective Open Values.

rsiClose:Use Close values comparitive to prior Close values.


ITChart.Themes
ITChart

property Themes: IThemesList;

Type Library
TeeChartx


ICanvas.Font
ICanvas

property Font: IChartFont;

Type Library
TeeChartx

Description
The Font property determines the font to be used in outputted text when using the Canvas.

Example [Visual Basic]:

TChart1.Canvas.Font = "Times New Roman"


IPieSeries.UniqueCustomRadius
IPieSeries

property UniqueCustomRadius: WordBool;

Type Library
TeeChartx


IDrawLineTool.Pen
IDrawLineTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


IFrameTool.Pen
IFrameTool

property Pen: IPen;

Type Library
TeeChartx

Description
Frame Pen


ISmithSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ISmithSeries


IClusteringTool.Method
IClusteringTool

property Method: EClusteringMethod;

Type Library
TeeChartx


IBrush.ClearImage
IBrush

procedure ClearImage;

Type Library
TeeChartx

Description
The ClearImage method clears the IBrush element from all associated bitmap images.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).asBar.BarBrush.ClearImage

End Sub

Private Sub Form_Load()

TChart1.AddSeries scBar

TChart1.Series(0).FillSampleValues 7

TChart1.Series(0).asBar.BarBrush.LoadImage "C:\TestFiles\BrushStyles\TeeBrush10.bmp"

End Sub


ITagCloudSeries.TagSeparation
ITagCloudSeries

property TagSeparation: Integer;

Type Library
TeeChartx

Description
Default is 5.

Gets or sets the percentage of space used to separate tags in the horizontal direction.

See also: Font property.


ITeeCommander.OnEditedChart
ITeeCommander

property OnEditedChart: TNotifyEvent;

Type Library
TeeChartx

Description

This event is called when the Chart Editor, called from the TeeCommander panel, is closed.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

End Sub

Private Sub TeeCommander1_OnEditedChart()

MsgBox "Edited!"

End Sub


IColorBandTool.StartValue
IColorBandTool

property StartValue: Double;

Type Library
TeeChartx

Description
Set StartValue to the Axis position from where the colorband has to be drawn.


ITeeShape.AssignImage
ITeeShape

procedure AssignImage(ImageHandle: Integer);

Type Library
TeeChartx


ITChart.Tools
ITChart

property Tools: IToolList;

Type Library
TeeChartx

Description
List of TChartTools linked to Chart.


ITeeScrollBar.ArrowBrush
ITeeScrollBar

property ArrowBrush: IBrush;

Type Library
TeeChartx


IRectangleTool.methods
IRectangleTool Legend key

Type Library
TeeChartx

In IRectangleTool

ClickedEdge

Derived from IAnnotationTool

Clicked
SetBounds


IPieMarks.InsideSlice
IPieMarks

property InsideSlice: WordBool;

Type Library
TeeChartx


ITChart.OnGetSeriesContourLevel
ITChart

property OnGetSeriesContourLevel: TTChartOnGetSeriesContourLevel;

Type Library
TeeChartx

Description
Use ONLY for ContourSeries. May be used to modify a ContourSeries' LevelColor and LevelValue characteristics at runtime.


IOrgShape.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape
|
ITeeShapePosition
|
ITextShape
|
IOrgShape


ITeeOpenGL.ShadeQuality
ITeeOpenGL

property ShadeQuality: WordBool;

Type Library
TeeChartx

Description
Fill drawings using smooth color gradients.


ITeeCustomShape.BevelWidth
ITeeCustomShape

property BevelWidth: Integer;

Type Library
TeeChartx

Description

Bevel width in pixels


ILinkTool.Hint
ILinkTool

property Hint: WideString;

Type Library
TeeChartx

Description

Gets or Sets the Hint to be used.


ITeeCustomShape.Show
ITeeCustomShape

procedure Show;

Type Library
TeeChartx

Description
Shows the Shape.


IFastLineSeries.AutoSizeVertAxis
IFastLineSeries

property AutoSizeVertAxis: WordBool;

Type Library
TeeChartx

Description
Default: True

Setting AutoSizeVertAxis to False will disable the automatic rescaling of the Chart's vertical axis.

Example [Visual Basic]

Private Sub Check1_Click()

With TChart1

.Series(0).asFastLine.AutoSizeVertAxis = Check1.Value

If .Series(0).asFastLine.AutoSizeVertAxis = False Then

.Axis.Left.SetMinMax 30, 70

.Repaint

End If

End With

End Sub

Private Sub Form_Load()

With TChart1

.Aspect.View3D = False

.AddSeries scFastLine

.Series(0).XValues.DateTime = True

.Axis.Bottom.Labels.Angle = 90

.Axis.Bottom.Labels.DateTimeFormat = "hh:mm:ss"

.Series(0).asFastLine.AddRealTime Now, Rnd * 100

.Axis.Bottom.SetMinMax Now - 8 / 86400, Now + 2 / 86400

.TimerEnabled = True

.TimerInterval = 1000

End With

Check1.Value = 1

End Sub

Private Sub TChart1_OnAfterDraw()

Check1_Click

End Sub

Private Sub TChart1_OnTimer()

With TChart1

.Series(0).asFastLine.AddRealTime Now, Rnd * 100

.Axis.Bottom.SetMinMax Now - 8 / 86400, Now + 2 / 86400

End With

End Sub

TeeChart Pro ActiveX Control Documentation. Copyright 1997-2003 Steema Software SL.


ICircularGauge.Hand
ICircularGauge

property Hand: IGaugeHand;

Type Library
TeeChartx

Description
Defines the visual aspects to draw the gauge hand (the arrow that points to current gauge #link TCustomGauge.Value#Value#).


IModeFunction.properties
IModeFunction Legend key

Type Library
TeeChartx

Derived from ICustomSortedFunction

IncludeNulls


ITeeShadow.methods
ITeeShadow Legend key

Type Library
TeeChartx

In ITeeShadow

ShowEditor


ITeeShape.methods
ITeeShape Legend key

Type Library
TeeChartx

In ITeeShape

AssignImage
ClearImage
LoadImage

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IGridTransposeTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGridTransposeTool


ILegend.VertMargin
ILegend

property VertMargin: Integer;

Type Library
TeeChartx

Description
Default Value: 0

The VertMargin property determines the amount of pixels that Legend will reduce Chart rectangle. The Legend.ResizeChart property must be True and Legend.Alignment property must be laTop or laBottom. When 0, the corresponding Chart margin property is used to determine the amount of pixels for margins (Chart.MarginTop for laTop Legend.alignment and Chart.MarginBottom for laBottom Legend.Alignment).


ICustomCircledSeries.ColorEachLine
ICustomCircledSeries

property ColorEachLine: WordBool;

Type Library
TeeChartx


IAxisBreaksTool.Pen
IAxisBreaksTool

property Pen: IPen;

Type Library
TeeChartx

Description
Defines the Pen to use to draw the axis breaks..


INativeExport.SaveToStream
INativeExport

function SaveToStream(IncludeData: WordBool): OleVariant;

Type Library
TeeChartx

Description
Saves TChart to a Stream as a native tee template. Use the IncludeData boolean property to include or exclude data from the tee file.


IDarvasSeries.properties
IDarvasSeries Legend key

Type Library
TeeChartx

In IDarvasSeries

BoxBrush
BoxesRect
BoxPen
BoxTransparency
NumBoxes

Derived from ICandleSeries

AutoSize
BorderColor
CandleStyle
CandleWidth
CloseTickColor
CloseValues
ColorStyle
DateValues
DownCloseColor
DownCloseGradient
Draw3D
HighLowColor
HighLowPen
HighValues
LowValues
OpenTickColor
OpenValues
RemoveGaps
ShowCloseTick
ShowOpenTick
UpCloseColor
UpCloseGradient

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IDrawLineTool.FullRepaint
IDrawLineTool

property FullRepaint: WordBool;

Type Library
TeeChartx


ICustomAxes.properties
ICustomAxes Legend key

Type Library
TeeChartx

In ICustomAxes

Items


IStochasticFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IStochasticFunction


ITChart.Cursor
ITChart

property Cursor: SmallInt;

Type Library
TeeChartx

Description
Defines the TChart Cursor.

ValueCursor type

0crDefault Whatever cursor is the default for the window class. Usually crArrow.

-1crNone

-2crArrow

-3crCross

-4crIBeam

-5crSize

-6crSizeNESW

-7crSizeNS

-8crSizeNWSE

-9crSizeWE

-10crUpArrow

-11crHourGlass

-12crDrag

-13crNoDrop

-14crHSplit

-15crVSplit

-16crMultiDrag

-17crSQLWait

-18crNo

-19crAppStart

-20crHelp

-21crHandPoint

Example [Visual Basic]:

TChart1.Cursor = -21


IPen.SmallDots
IPen

property SmallDots: WordBool;

Type Library
TeeChartx


IAnnotationCallout.ZPosition
IAnnotationCallout

property ZPosition: Integer;

Type Library
TeeChartx

Description
The Z pixel coordinate of the ending point of the annotation callout line.


IGLLightSource.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGLLight
|
IGLLightSource


ISlopeFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISlopeFunction


ITools.asGridTranspose
ITools

property asGridTranspose: IGridTransposeTool;

Type Library
TeeChartx

Description
The asGridTranspose property is used by the Tools Class to access GridTranspose Tool specific properties.


IGridBandBrush.properties
IGridBandBrush Legend key

Type Library
TeeChartx

In IGridBandBrush

Transparency

Derived from IBrush

BackColor
BrushLink
Color
Gradient
Handle
Style


ISeries.asLine
ISeries

property asLine: ILineSeries;

Type Library
TeeChartx

Description
The asLine property is used by the Series Class to access Line Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asLine.LinePen.Width = 2'.

Example [Visual Basic]:

With TChart1.Series( 0 )

.AddXY 12, 10, "1st", clTeeColor

.AddXY 7, 4, "2nd", clTeeColor

.AddXY 9, 7, "3rd", clTeeColor

.AddXY 14, 11, "4th", clTeeColor

.asLine.Stairs = True

End With


IErrorSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
ICustomErrorSeries
|
IErrorSeries


ICustomBarSeries.DepthPercent
ICustomBarSeries

property DepthPercent: Integer;

Type Library
TeeChartx

Description
Defines the percentage, from 0 to 100, that the bars will occupy in the "Z" depth space direction.

The default value of DepthPercent is 100, meaning bars will be displayed using all the available Z (depth) space for the series.


IGaugeSeries.EndPoint
IGaugeSeries

property EndPoint: IPointer;

Type Library
TeeChartx

Description
Returns a sub-object with properties that control the appearance of a shape at the end of the gauge arrow.


IZoomPanning.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IZoomPanning


ICanvas.TextWidth
ICanvas

function TextWidth(Const SomeText: WideString): Integer;

Type Library
TeeChartx

Description
The TextWidth function returns the horizontal size in pixels of the string "St" parameter.


INumericGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge
|
INumericGauge


IMarks.UseSeriesTransparency
IMarks

property UseSeriesTransparency: WordBool;

Type Library
TeeChartx


IDrawLineTool.ToPoint
IDrawLineTool

property ToPoint: ITeePoint2D;

Type Library
TeeChartx

Description

Read-only

Returns the X and Y ToPoint (end) values for the currently selected Line.


IWalls.properties
IWalls Legend key

Type Library
TeeChartx

In IWalls

Back
BackColor
Bottom
Left
Right
Size
Visible


ITeeFunction.asExpMovAvg
ITeeFunction

property asExpMovAvg: IExpMovAvgFunction;

Type Library
TeeChartx

Description
Accesses ExpMovAvg function specific properties.


ICursorTool.YVal
ICursorTool

property YVal: Double;

Type Library
TeeChartx

Description
The YVal property defines a series YValue along which the horizontal component (if activated) of the Cursor Tool will be drawn.

Example [Visual Basic]:

ith TChart1

.AddSeries scLine

.Series(0).FillSampleValues 20

.Tools.Add tcCursor

.Tools.Items(0).Active = True

With .Tools.Items(0).asTeeCursor

.Style = cssBoth

End With

.Environment.InternalRepaint

With .Tools.Items(0).asTeeCursor

.XVal = 10

.YVal = 50

End With

End With


ITeePreviewPanel.PrintPage
ITeePreviewPanel

procedure PrintPage;

Type Library
TeeChartx

Description
The PrintPage methods prints the TeePreviewPanel contents as they can be seen.

Example [Visual Basic]:

Private Sub Command1_Click()

TeePreviewPanel1.PrintPage

End Sub

Private Sub Command2_Click()

With TeePreviewPanel1

.Margins.Color = vbCyan

.Margins.Style = psSolid

End With

End Sub

Private Sub Form_Load()

TChart1.AddSeries scBar

TChart2.AddSeries scLine

TChart1.Series(0).FillSampleValues 10

TChart2.Series(0).FillSampleValues 10

With TChart1.Printer

.PrintProportional = False

.MarginLeft = 2

.MarginTop = 2

.MarginRight = 60

.MarginBottom = 60

End With

With TChart2.Printer

.PrintProportional = False

.MarginLeft = 60

.MarginTop = 60

.MarginRight = 2

.MarginBottom = 2

End With

With TeePreviewPanel1

.AddChart TChart1

.AddChart TChart2

End With

End Sub


IBackImage.DrawQuality
IBackImage

property DrawQuality: ECanvasStretchQuality;

Type Library
TeeChartx


IChartFont.properties
IChartFont Legend key

Type Library
TeeChartx

In IChartFont

Bold
Charset
Color
Height
Italic
Name
PixelsPerInch
Size
Strikethrough
Underline


IShapeSeries.Pen
IShapeSeries

property Pen: IPen;

Type Library
TeeChartx

Description
The Pen property specifies the pen used to draw the shape.


ITChart.RemoveSeries
ITChart

procedure RemoveSeries(SeriesIndex: Integer);

Type Library
TeeChartx

Description
The RemoveSeries method deletes the specified Series from the Chart list of series.

RemoveSeries simply removes the series from the chart.

It is equivalent to:

Chart1[0].ParentChart := nil;

or:

Series1.ParentChart := nil;

To destroy the series, do:

Series1.Free;

or:

Chart1[0].Free;

or, for all series in a chart:

Chart1.FreeAllSeries;


ICanvas.IsAvailable
ICanvas

property IsAvailable: WordBool;

Type Library
TeeChartx


ICustomGauge.SetCustomBounds
ICustomGauge

procedure SetCustomBounds(aLeft, ATop, aRight, ABottom: Integer);

Type Library
TeeChartx

Description
Use this property to set the bounds rectangle of the Gauge.


IOrgItemCollection.properties
IOrgItemCollection Legend key

Type Library
TeeChartx

In IOrgItemCollection

Count
Items


IHistogramFunction.NumBins
IHistogramFunction

property NumBins: Integer;

Type Library
TeeChartx

Description
Default is 20.

Defines the maximum number of intervals to distribute the datasource Series values.


IKMeansClustering.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseClustering
|
IKMeansClustering


IAxis.Grid
IAxis

property Grid: IAxisGridPen;

Type Library
TeeChartx

Description
The Grid property determines the kind of pen used to draw the Axis lines at every Axis Label position.

These are the lines which go from "cousin Axis" Axis.Minimum to "cousin Axis" Axis.Maximum screen positions at each of our Label's position.


IPrinter.PrintPages
IPrinter

procedure PrintPages(FromPage, ToPage: Integer);

Type Library
TeeChartx

Description
Use PrintPages procedure to print multiple pages, when a chart has more than one page.


ICustomDSeries.Brush

ICustom3DSeries.Brush
ICustom3DSeries

property Brush: IBrush;

Type Library
TeeChartx

Description
The Brush property determines the kind of brush that will be used to draw the Surface polygons. It only works when UsePalette and UseColorRange properties are False.

Example [Visual Basic]:

This code changes the Surface brush:

With TChart1.Series( 0 ).asSurface

.UsePalette = False

.UseColorRange = False

.Brush.Style = bsDiagCross

End with


IAxis.AxisType
IAxis

property AxisType: EAxisType;

Type Library
TeeChartx

Description
The AxisType property may be used to determine the Axistype when accessing an axis via a Chart event.

Example [Visual Basic]:

This code shows a message describing which axis has been clicked upon.

Private Sub TChart1_OnClickAxis(ByVal Axis As Long, ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)

MsgBox Axis

End Sub

Please refer to ENum Constants for the output of this example.


ICandleSeries.ColorStyle
ICandleSeries

property ColorStyle: ECandleColorStyle;

Type Library
TeeChartx

Description
Default value: cssRelativeToOpen

Possible values:

cssRelativeToOpen

(Default behaviour)

The Candle color is based on a given candle close price compared to its open price.

cssRelativeToClose

The Candle color is based on a given candle close price compared to its previous candle close price.


ITeeShapePosition.Top
ITeeShapePosition

property Top: Integer;

Type Library
TeeChartx

Description
Reads/Writes the Top position of the TeeChart shape.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcAnnotate

With .Tools.Items(0).asAnnotation

.Shape.CustomPosition = True

.Shape.Left = 200

.Shape.Top = 200

.Text = "Custom Position"

End With

End With

End Sub


IBarDSeries.methods

IBar3DSeries methods
IBar3DSeries Legend key

Type Library
TeeChartx

In IBar3DSeries

AddBar

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IBackImage.Inside
IBackImage

property Inside: WordBool;

Type Library
TeeChartx

Description
Default = False

When True, the Chart BackImage is displayed at Chart "axes boundaries" rectangle defined by Chart ChartRect property.

When False, the image is used to fill the whole chart panel.


IValueList.Sort
IValueList

procedure Sort;

Type Library
TeeChartx

Description
The Sort method re-orders Series points interchanging their position in the Series values lists so they will be displayed in different coordinates. By default, Series are set to sort points in ascending order using their X coordinates. This is accomplished with this code:

TChart1.Series( 0 ).XValues.Order = loAscending

TChart1.Series( 0 ).YValues.Order = loNone

By default, Series draw points using the point ValueIndex, except in some non common situations like having the horizontal axis inverted.

Important Note: Re-Ordering Series points do NOT change point X coordinates. Series points which have no X coordinates are assigned a unique incremental number to determine the point horizontal positions. Automatic Point indexes start at zero. You will need to change every point X coordinate when sorting Series points with automatic X values.

Example [Visual Basic]

The following code re-orders a Series by it's Y values in descending order:

Note: XValues.FillSequence should not be called when sorting XY points.

With TChart1.Series(0)

.FillSampleValues 8

.XValues.Order = loNone

.YValues.Order = loDescending

.YValues.Sort

.XValues.FillSequence

End With

Example [Delphi]:

procedure TForm1.BitBtn3Click(Sender: TObject);

begin

With TChart1.Series[ 1 ] do { <-- use a BarSeries for example }

begin

FillSampleValues(8);

XValues.Order:=loNone ;

YValues.Order:=loDescending ;

YValues.Sort ;

XValues.FillSequence ;

TChart1.Repaint ;

end;

end;


IFilterRegion.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFilterRegion


IAxis.AutomaticMinimum
IAxis

property AutomaticMinimum: WordBool;

Type Library
TeeChartx

Description
Default: True

The AutomaticMinimum property controls if Axis will adjust the Minimum value automatically based on the minimum value of its associated Series.


ITeeFilter.asSharpen
ITeeFilter

property asSharpen: ISharpenFilter;

Type Library
TeeChartx

Description
The asSharpen property is used by the TeeFilter Class to access Sharpen Filter specific properties.


ITeeOpenGL.ShowEditor
ITeeOpenGL

procedure ShowEditor;

Type Library
TeeChartx

Description
Shows the OpenGL editor.


IFilterRegion.properties
IFilterRegion Legend key

Type Library
TeeChartx

In IFilterRegion

Height
Left
Top
Width


IChartCollection.AddChart
IChartCollection

function AddChart(Const AName: WideString): ISubChartChart;

Type Library
TeeChartx

Description
Adds a Chart to the collection.


ITChart.ShowThemesEditor
ITChart

function ShowThemesEditor: WordBool;

Type Library
TeeChartx

Description

Shows the Theme Editor to apply a new Theme to the Chart.


ITeeCommander.ButtonDepth
ITeeCommander

property ButtonDepth: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonDepth

Example:-

TeeCommander1.ButtonDepth.Hide


ILegend.methods
ILegend Legend key

Type Library
TeeChartx

In ILegend

BackImageClear
BackImageLoad
Clicked
DrawLegend
Formatted
FormattedValue
ShowEditorLegend

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ICanvas.Monochrome
ICanvas

property Monochrome: WordBool;

Type Library
TeeChartx

Description
Sets the internal Bitmap.Monochrome property.


IPerformanceFunction.Calculate
IPerformanceFunction

function Calculate(SourceSeriesIndex, FirstIndex, LastIndex: Integer): Double;

Type Library
TeeChartx

Description
Calculates the percentage of difference between each point and the first point of the source series.


ITeeCustomShape.Children
ITeeCustomShape

property Children: ITeeShapes;

Type Library
TeeChartx


IMarksTail.AutoAlign
IMarksTail

property AutoAlign: WordBool;

Type Library
TeeChartx

Description

Let TeeChart decide how to orientate the Mark Tail.


ITitles.Visible
ITitles

property Visible: WordBool;

Type Library
TeeChartx

Description
The Visible property controls if Chart Header or Footer will be displayed or not. When False, Chart dimensions grow to fit all available space.


IBubbleDSeries.methods

IBubble3DSeries methods
IBubble3DSeries Legend key

Type Library
TeeChartx

In IBubble3DSeries

AddBubble

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ITools.asAxisBreaks
ITools

property asAxisBreaks: IAxisBreaksTool;

Type Library
TeeChartx

Description
The asAxisBreaks property is used by the Tools Class to access AxisBreaks Tool specific properties.


ICandleSeries.AutoSize
ICandleSeries

property AutoSize: WordBool;

Type Library
TeeChartx


IWalls.BackColor
IWalls

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description
*Note. This property is available for backwards compatibility only. Please use the TChart.Walls.Back property to change the Back Wall colour and other Back Wall characteristics.

The BackColor property is the color the Chart rectangle is filled with. The Chart rectangle is the screen area between axis.

Setting BackColor to clTeeColor sets colour fill off for the above rectangle. Thus assigning clTeeColor to Chart.Walls.BackColor makes the Chart back area transparent so Gradient fills and Background Bitmaps can be shown.

Examples [Visual Basic]:

TChart1.Walls.BackColor = vbBlue 'sets Chart rectangle to Blue

TChart1.Walls.BackColor = clTeeColor

'sets Chart rectangle to transparent


ISeries.asContour
ISeries

property asContour: IContourSeries;

Type Library
TeeChartx

Description
The asContour property is used by the Series Class to access Contour Series specific properties.


IReverseFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IReverseFilter


IValueList.properties
IValueList Legend key

Type Library
TeeChartx

In IValueList

Count
DateTime
First
Last
Maximum
Minimum
Modified
Name
Order
TempValue
Total
TotalABS
Value
ValueSource


ILegendScrollBarTool.Pen
ILegendScrollBarTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.

The element will use this pen properties to draw lines and borders.


IBubbleDSeries.AddBubble

IBubble3DSeries.AddBubble
IBubble3DSeries

function AddBubble(AX, AY, AZ, ARadius: Double; Const AXLabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description

Use this method to Add a 3D Bubble. The Z variable sets the Z offset of the centre of the Bubble.


ICustomBarSeries.BarPen
ICustomBarSeries

property BarPen: IPen;

Type Library
TeeChartx

Description
The BarPen property indicates the kind of pen used to draw the Bar rectangles. You can set BarPen.Visible = False to hide these lines.


ITeeEditorShowPages.SeriesData
ITeeEditorShowPages

property SeriesData: WordBool;

Type Library
TeeChartx

Description
Default = True

The SeriesData property may be used to disable the display of the Data Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


IContourLevel.DefaultPen
IContourLevel

property DefaultPen: WordBool;

Type Library
TeeChartx

Description
Returns True when this level has no special custom pen.

By default all levels have no custom pen, that is, they use the Contour series pen property to draw all levels with the same pen.

As soon you change a level Pen property, this function returns False.

Series1.Levels(0).Pen.Color = vbRed

To use the default series pen, set pen to "nil" :

Series1.Levels(0).Pen = nil


IOrgSeries.properties
IOrgSeries Legend key

Type Library
TeeChartx

In IOrgSeries

Bounds
Format
Item
Items
LineStyle
Spacing


IExport.SaveToBitmapFile
IExport

procedure SaveToBitmapFile(Const FileName: WideString; DPI: Integer);

Type Library
TeeChartx

Description
This method is now deprecated. Please see the IBMPExport interface for the newer, more complete functionality.

This method will save the current chart image to the specified File Name. You should pass a valid path and name, ending with the BMP extension.


IAxis.MinorTickLength
IAxis

property MinorTickLength: Integer;

Type Library
TeeChartx

Description
Default: 2

The MinorTickLength property indicates the length in pixels of Axis Minor ticks. You can control the number of Minor ticks by using the Axis.MinorTickCount property. Minor ticks are displayed using the Axis.MinorTicks pen property.


IMarksTail.Height
IMarksTail

property Height: Integer;

Type Library
TeeChartx

Description

Modifies Tail Height. Use ArrowLength for Pie Series.


ITeeListBox.methods
ITeeListBox Legend key

Type Library
TeeChartx

In ITeeListBox

ClearItems
HideEditor
Repaint
ShowEditor
UpdateSeries

Derived from ITeeLinked

AboutBox


ITChart.CreateNewSeriesGallery
ITChart

function CreateNewSeriesGallery(AGalleryWidth, AGalleryHeight: Integer): ISeries;

Type Library
TeeChartx

Description
Shows the Gallery and asks the user a Series type. If user double clicks a chart or presses Ok, a new Series is created and returned. The new Series is owned by AOwner parameter (usually the Form).


ISeries.asError
ISeries

property asError: IErrorSeries;

Type Library
TeeChartx

Description
The asError property is used by the Series Class to access Error Series specific properties.


IContourLevels.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IContourLevels


IAnimationList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnimationList


IFibonacciItem.Pen
IFibonacciItem

property Pen: IPen;

Type Library
TeeChartx

Description

Defines individual Fibonacci level pen characteristics.


IAxisLabelsItem.Text
IAxisLabelsItem

property Text: WideString;

Type Library
TeeChartx

Description
The text to display as axis label at specified Value position.


ITeeCorner.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCorner


ISkewnessFunction.properties
ISkewnessFunction Legend key

Type Library
TeeChartx

In ISkewnessFunction

Complete


IXAMLExport.properties
IXAMLExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

Height
Width


IAxis.methods
IAxis Legend key

Type Library
TeeChartx

In IAxis

AdjustMaxMin
CalcIncrement
CalcPosPoint
CalcXPosValue
CalcXSizeValue
CalcYPosValue
CalcYSizeValue
Clicked
CustomDraw
CustomDrawMinMax
IsDateTime
MaxVisibleSeriesValue
MaxXValue
MaxYValue
MinVisibleSeriesValue
MinXValue
MinYValue
Scroll
SetMinMax


IFrameBrush.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBrush
|
IFrameBrush


ISeries.CalcXPos
ISeries

function CalcXPos(SomeValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns the pixel Screen Horizontal coordinate of the ValueIndex Series value.

This coordinate is calculated using the Series associated Horizontal Axis.

CalcXPos Example

We want to know which is the Horizontal Screen coordinate of the 4th Series point:

Visual Basic

tmp = TChart1.Series( 2 ).CalcXPos(3)

'remember points start at 0


IToolList.Active
IToolList

property Active: WordBool;

Type Library
TeeChartx

Description
Allowsyou to set to Active or not all the added tools by setting this property to true or false.

Example [Visual Basic]:

TChart1.Tools.Active = False


ITransformAnimation.TranslateStyle
ITransformAnimation

property TranslateStyle: ETransformTranslate;

Type Library
TeeChartx


IAnimations.Animation
IAnimations

property Animation[AIndex: Integer]: ITeeAnimation;

Type Library
TeeChartx


ITeeCommander.PreviewerLinkx

ITeeCommander.PreviewerLinkx64
ITeeCommander

property PreviewerLinkx64: OleVariant;

Type Library
TeeChartx


ITeePreviewPanel.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ITeePreviewPanel


IPanel.BackImageInside
IPanel

property BackImageInside: WordBool;

Type Library
TeeChartx

Description
Default: False

When True this property restricts display of the BackImage to inside the chart Frame area.


ITChart.Visible
ITChart

property Visible: WordBool;

Type Library
TeeChartx

Description
Enables/disables Chart visible (true/false)


IGaugeSeries.FullRepaint
IGaugeSeries

property FullRepaint: WordBool;

Type Library
TeeChartx

Description
Default : False

Set to True to force redisplay of the whole chart when the Gauge arrow value changes.

By default is False, meaning the gauge will only repaint the arrow line when the value changes, instead of repainting the whole chart.


IDrawLineTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IDrawLineTool


ITeeEditorOptions.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeEditorOptions


IPrinterSettings.Size
IPrinterSettings

property Size: Integer;

Type Library
TeeChartx

Description
Specifies the size, in bytes, of the DEVMODE structure, not including any private driver-specific data that might follow the structure's public members. Set this member to sizeof(DEVMODE) to indicate the version of the DEVMODE structure being used.


ITeeCustomAnimation.properties
ITeeCustomAnimation Legend key

Type Library
TeeChartx

In ITeeCustomAnimation

Animate
Animations
Loop
Speed


IGLLight.Visible
IGLLight

property Visible: WordBool;

Type Library
TeeChartx

Description
Use Visible to prevent the user from seeing the GLLight.


IMagnifyTool.properties
IMagnifyTool Legend key

Type Library
TeeChartx

In IMagnifyTool

Circled
FollowMouse
Percent
Smooth

Derived from IRectangleTool

AllowDrag
AllowResize
Dragging
Resizing

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


IAxis.Otherside
IAxis

property Otherside: WordBool;

Type Library
TeeChartx

Description
Sets the Axis to Otherside which moves labels on a vertical Axis to the right of the Axis.

This property is useful when adding a Custom Axis, to place the labelling to the Right for a right vertical Axis, or to the Top for a Top Axis.


ITeeFont.InterCharSize
ITeeFont

property InterCharSize: Integer;

Type Library
TeeChartx

Description
Setting InterCharSize defines the size of the space between characters.


IMarksTail.Edge
IMarksTail

property Edge: ETailEdge;

Type Library
TeeChartx

Description

Sets Edge for Tail.


ICustomToolSeries.Series
ICustomToolSeries

property Series: OleVariant;

Type Library
TeeChartx

Description
The Series array property is the list of Series to which Tool belongs. A Tool will only be associated with these series points.

Series property can be nil (none) applying the Tool globally to the Chart. Series are numeric values:

The values increment 1 for each Series starting at Series = 0.

Example [Visual Basic]

TChart1.Tools.Items(0).asNearest.Series = 0 'Series0

Example [Visual C++]

VARIANT TheSeries;

TheSeries.vt=VT_I2;

TheSeries.intVal=0;

m_Chart1.GetTools().GetItems(0).GetAsNearest().SetSeries(TheSeries);

Alternatively use the Series by passing it as an interface.

Example [Visual Basic]

TChart1.Tools.Items(0).asNearest.Series = TChart1.Series(0)

Example [Visual C++]

VARIANT TheSeries;

CSeries SeriesZero=m_Chart1.GetSeries(0);

TheSeries.pdispVal=SeriesZero;

m_Chart1.GetTools().GetItems(0).GetAsNearest().SetSeries(TheSeries);


IAxis.CalcIncrement
IAxis See also

function CalcIncrement: Double;

Type Library
TeeChartx

Description

CalcIncrement returns the calculated Axis Label increment and serves as a useable measure when Labelling is set to manual or automatic increments. Please note that the related Increment property only returns the increment value when those increments are manuallyset via the same property.

See also:
Increment


ITeeEditorShowPages.Aspect
ITeeEditorShowPages

property Aspect: WordBool;

Type Library
TeeChartx

Description
Default = True

The Aspect property may be used to disable the display of the Aspect (3D) Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


IArrowTool.ToPoint
IArrowTool

property ToPoint: ITeePoint2D;

Type Library
TeeChartx

Description
Defines the end point of the arrow.


ITeeOpenGL.Antialias
ITeeOpenGL

property Antialias: WordBool;

Type Library
TeeChartx

Description
Enables diagonal and curved lines smoothing.

Note: OpenGL has a limitation in that it cannot smooth lines that aren't displayed in the correct order following their Z position in the 3D space.


ILegend.DrawLegend
ILegend

procedure DrawLegend;

Type Library
TeeChartx

Description
Use the DrawLegend method to draw multiple Legends on a Chart.

Example [Delphi]:

Assigns Series1 to the 1st Legend and Series2 to the 2nd.

procedure TMultiLegendForm.FormCreate(Sender: TObject);

begin

inherited;

Series1.FillSampleValues(4);

Series2.FillSampleValues(4);

Chart1.Legend.LegendStyle:=lsValues;

Chart1.Legend.Series:=Series1;

end;

procedure TMultiLegendForm.Chart1AfterDraw(Sender: TObject);

begin

With Chart1.Legend do

begin

Top:=125;

Series:=Series2;

DrawLegend;

CustomPosition:=False;

Series:=Series1;

end;

end;


ITeeListBox.UpdateSeries
ITeeListBox

procedure UpdateSeries;

Type Library
TeeChartx

Description
Use this method to update the Series List when a change has been made to the Chart.


ICustomBoxSeries.MildOut
ICustomBoxSeries

property MildOut: IPointer;

Type Library
TeeChartx

Description
Use MildOut property to control the appearance of the mid range of outer points. MildOut contains several properties to control the formatting attributes of the mid range of outer points like Pen, Brush, Draw3D, Visible, etc.


ISeriesList.Last
ISeriesList

function Last: Integer;

Type Library
TeeChartx

Description
Returns the index of last Series in the list.


ICircleLabels.Visible
ICircleLabels

property Visible: WordBool;

Type Library
TeeChartx

Description
Enable CircleLabels.

Example [Visual Basic]:

With TChart1.Series(0)

.asPolar.CircleLabels.Visible = True

.asPolar.CircleLabels.Rotated = True

End With


IWaterfallSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries
|
ISurfaceSeries
|
IWaterfallSeries


ICallout.Distance
ICallout

property Distance: Integer;

Type Library
TeeChartx

Description
The length in pixels between a series point and the line connecting the series mark or annotation.


IDataExport.SaveToFile
IDataExport

procedure SaveToFile(Const FileName: WideString);

Type Library
TeeChartx

Description
Saves DataExport Series data to File 'Filename' in DataExport child component format (eg. as Text, XML, HTML table or Excel spreadsheet).


IGradient.methods
IGradient Legend key

Type Library
TeeChartx

In IGradient

ShowEditor


ITChart.Languaged
ITChart

property Languaged: ELanguage;

Type Library
TeeChartx


IContourSeries.properties
IContourSeries Legend key

Type Library
TeeChartx

In IContourSeries

AutomaticLevels
ContourMarks
Filled
Frame
LegendLines
Levels
LinesColor
NumLevels
Pointer
Smoothing
Transparency
YPosition
YPositionLevel

Derived from ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IDoubleHorizBarSeries.SplitSize
IDoubleHorizBarSeries

property SplitSize: Integer;

Type Library
TeeChartx


IAxisLabels.properties
IAxisLabels Legend key

Type Library
TeeChartx

In IAxisLabels

Align
Alternate
Angle
Automatic
Behind
DateTimeFormat
Exponent
Font
Format
GridIgnoresLabelSize
Item
Multiline
OnAxis
Position
RoundFirstLabel
Selected
Separation
Size
Style
ValueFormat
Visible


IGaugeHands.Add
IGaugeHands

function Add(AValue: Double): Integer;

Type Library
TeeChartx


IBarJoinSeries.JoinPen
IBarJoinSeries

property JoinPen: IPen;

Type Library
TeeChartx

Description
The JoinPen property determines the kind of pen used to draw the lines between each bar point of a BarJoin Series.


IBarDSeries.properties

IBar3DSeries properties
IBar3DSeries Legend key

Type Library
TeeChartx

In IBar3DSeries

OffsetValues

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


ISeries.IsValidSeriesSource
ISeries

function IsValidSeriesSource(SeriesIndex: Integer): WordBool;

Type Library
TeeChartx

Description
The IsValidSeriesSource function checks if the Value series parameter is a valid candidate series point provider.

When Series.DataSource property is assigned to another Series, all points inserted in that Series are automatically propagated to all other associated Series.

This function is currently used only in IRSIFunction component. This special Series type allows only one specific Series type as DataSource: a IOHLCSeries or ICandleSeries.

All other Series components will return True.


ITowerSeries.properties
ITowerSeries Legend key

Type Library
TeeChartx

In ITowerSeries

Dark3D
Origin
PercentDepth
PercentWidth
Stacked
TowerStyle
Transparency
UseOrigin

Derived from ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


ISeriesGroups.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesGroups


ITeePreviewer.PreviewerLinkx

ITeePreviewer.PreviewerLinkx64
ITeePreviewer

property PreviewerLinkx64: OleVariant;

Type Library
TeeChartx


IMarks.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape
|
IMarks


IFibonacciTool.EndX
IFibonacciTool

property EndX: Double;

Type Library
TeeChartx

Description

Defines trendline end point x coordinate.


IFibonacciTool.EndY
IFibonacciTool

property EndY: Double;

Type Library
TeeChartx

Description

Defines trendline end point y coordinate.


IGaugeSeries.MinorTickDistance
IGaugeSeries

property MinorTickDistance: Integer;

Type Library
TeeChartx

Description
Default : 0 pixels

Set to a value bigger than zero to display the axis minor ticks ( ticks inside normal ticks ) displaced from the axis line by the specified number of pixels.


ICustomSeries.ColorEachLine
ICustomSeries

property ColorEachLine: WordBool;

Type Library
TeeChartx

Description
Enables/Disables the coloring of each connecting line of a series.


ITChart.OnDragPointToolEndDrag
ITChart

property OnDragPointToolEndDrag: TTChartOnDragPointToolEndDrag;

Type Library
TeeChartx


IBrush.ShowEditor
IBrush

function ShowEditor(OwnerChart: Integer): WordBool;

Type Library
TeeChartx

Description
Shows the Brush editor dialog using the ChartBrush parameter.

Returns True if the user closes the dialog using the OK button, otherwise returns False if the user cancels the dialog.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Walls.Left.Brush.ShowEditor

End Sub


ILegendScrollBarTool.Brush
ILegendScrollBarTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


ISeries.ColorSource
ISeries

property ColorSource: WideString;

Type Library
TeeChartx

Description
This property is only used when connecting a Series to a database dataset or datasource.

The ColorSource property must be a valid numeric Data Field Name.

When loading the dataset records, a TChart component assigns every point's color to the ColorSource field value.

Color Values in Table or Query fields must be expressed as RGB values (integer).

Example:

Supose you have a table with the following fields: Color, Value, Text

Then you link the Series to this table:

with TChart1.Series(0)

.YValues.ValueSource = "Value"

.LabelsSource = "Text2

.ColorSource = "Color"

.DataSource = Record

end

For each record, a point will be added to Series using the fields Color, Value and Text.


IAxis.EndPosition
IAxis

property EndPosition: Double;

Type Library
TeeChartx

Description
Axis EndPoint as a percentage (0-100%). For a Vertical Axis a value of 75% would place the beginning of the scale at 75% down from Top.

Example [Visual Basic]:

'Sets Left Vertical Axis

TChart1.Axis.Left.StartPosition = 25

TChart1.Axis.Left.EndPosition = 10

Which results in the following Axis...


IQTClustering.properties
IQTClustering Legend key

Type Library
TeeChartx

In IQTClustering

MaxDiameter
MinCount

Derived from IBaseClustering

Linkage


ISeries.PercentFormat
ISeries

property PercentFormat: WideString;

Type Library
TeeChartx

Description
Chart Series classes have a PercentFormat property. PercentFormat is a standard string specifier. It is used to draw the Series Marks Percent Style figures. See also ValueFormat

Example [Visual Basic]:

TChart1.Series(0).PercentFormat = "##0.0# %"


ICanvas.EraseBackground
ICanvas

procedure EraseBackground(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Clears background defined for Rectangle Left, Top, Right, Bottom.


IDataExport.SaveToStream
IDataExport

function SaveToStream: OleVariant;

Type Library
TeeChartx

Description
Saves DataExport Series data to Stream in DataExport child component format (eg. as Text, XML, HTML table or Excel spreadsheet).


ITeePicture.Filters
ITeePicture

property Filters: IFilterItems;

Type Library
TeeChartx

Description
Returns a collection of filter instances that are classes derived from ITeeFilter interface.

Enabled filters are processed consecutively and applied to the picture owner.


ITChart.GetChartRect
ITChart

property GetChartRect: ITeeRect;

Type Library
TeeChartx

Description
Accesses to the specific Rect properties of the Chart.


IPrinterSettings.Copies
IPrinterSettings

property Copies: SmallInt;

Type Library
TeeChartx

Description
Selects the number of copies printed if the device supports multiple-page copies.


ISeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeries


ITreeMapSeries.Value
ITreeMapSeries

property Value[Index: Integer]: Double;

Type Library
TeeChartx

Description
The value


IEqualizerSeries.DownStep
IEqualizerSeries

property DownStep: Double;

Type Library
TeeChartx

Description

Value step to reduce HighMarker by if degrading.


IAspect.ElevationFloat
IAspect

property ElevationFloat: Double;

Type Library
TeeChartx

Description
ElevationFloat is an alias to Elevation property.

It allows specifying elevation degree values with more precision and decimals.

Elevation describes front plane rotation by rotation degrees (0 - 360º). Increasing the value positively will bring the top of the Chart towards

the viewer and the bottom of the Chart away, moving around an horizontal axis at the central vertical point of the Chart.

*Important. Orthogonal should be set to False for Elevation to act on the Chart.


IVideoTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IVideoTool


IBlurFilter.properties
IBlurFilter Legend key

Type Library
TeeChartx

In IBlurFilter

Amount
Steps


ITeePreviewPanel.properties
ITeePreviewPanel Legend key

Type Library
TeeChartx

In ITeePreviewPanel

AllowMove
AllowResize
AsBitmap
Canvas
DragImage
Gradient
Margins
Orientation
Panels
PaperColor
PaperRect
ShadowColor
ShadowSize
ShowImage
Title

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IFunnelSeries.Recalc
IFunnelSeries

procedure Recalc;

Type Library
TeeChartx

Description
The Recalc method uses all Quote and Opportunity values to reconstruct the Funnel chart.


ISubChartChart.properties
ISubChartChart Legend key

Type Library
TeeChartx

Derived from ITChart

Animate
Animations
aSeries
Aspect
AutoRepaint
Axis
BufferedDisplay
CanClip
Canvas
ChartBounds
ChartHeight
ChartLink
ChartLinkx64
ChartWidth
ClipPoints
Cursor
CustomChartRect
DragCursor
DragMode
Enabled
Environment
Export
Footer
Frame
GetChartRect
Header
Height
Hint
Hover
Import
Language
Languaged
Left
Legend
Monochrome
MousePosition
OnSubChartToolDragging
OnSubChartToolResized
OnSubChartToolResizing
OriginalCursor
Page
Panel
Panning
Printer
Printing
Scroll
SeriesCount
SeriesList
ShowHint
SubFooter
SubHeader
Themes
TimerEnabled
TimerInterval
Tools
Top
Version
Visible
Walls
Width
Zoom
ZoomWheel


IAxes.DepthTop
IAxes

property DepthTop: IAxis;

Type Library
TeeChartx

Description
Returns the Depth chart axis located at the left-top edge of chart.

Example [Visual Basic]:

With TChart1

.Axis.DepthTop.Visible = True

End With


IColorGridSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries
|
IColorGridSeries


ISmithSeries.RLabelsFont
ISmithSeries

property RLabelsFont: ITeeFont;

Type Library
TeeChartx

Description
rCircle labels font.


ITeeShapes.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeShapes


IPointer.Transparency
IPointer

property Transparency: Integer;

Type Library
TeeChartx

Description
Sets Transparency level from 0 to 100%.


ITeeFilter.asTile
ITeeFilter

property asTile: ITileFilter;

Type Library
TeeChartx

Description
The asTile property is used by the TeeFilter Class to access Tile Filter specific properties.


IChartPageNavigator.methods
IChartPageNavigator Legend key

Type Library
TeeChartx

In IChartPageNavigator

EnableButtons

Derived from ITeeLinked

AboutBox


IBarJoinSeries.properties
IBarJoinSeries Legend key

Type Library
TeeChartx

In IBarJoinSeries

JoinPen

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


IBarSeries.properties
IBarSeries Legend key

Type Library
TeeChartx

In IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


ITransformAnimation.Fade
ITransformAnimation

property Fade: ETransformFade;

Type Library
TeeChartx


ITextShape.ClipText
ITextShape

property ClipText: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, and when the shape Width and Height size values are smaller than the size of the text to display, text will be limited inside the shape rectangle.

ie: Text outside the shape rectangle will not be displayed (it will be clipped), when ClipText is True.

See also: Text, TextAlignment and AutoSize properties.


IHighLowSeries.Pen
IHighLowSeries

property Pen: IPen;

Type Library
TeeChartx

Description
Pen characteristics of the vertical dividing lines of the HighLowSeries.


IDarvasSeries.BoxesRect
IDarvasSeries

property BoxesRect[Index: Integer]: ITeeRect;

Type Library
TeeChartx

Description
Returns the dimensions of the indexed Darvas box.


ITeeFont.ShowEditor
ITeeFont

function ShowEditor: WordBool;

Type Library
TeeChartx

Description
Shows the Font editor which allow to define the Font characteristics.

Example :

Private Sub Command1_Click()

TChart1.Legend.Font.ShowEditor

End Sub


IAutomaticText.Rotate
IAutomaticText

property Rotate: WordBool;

Type Library
TeeChartx


ICanvas.DrawLine
ICanvas

procedure DrawLine(X0, Y0, X1, Y1: Integer);

Type Library
TeeChartx

Description
Draws line between end co-ordinates using current Pen. Does the same as Line method but it has been created to use it in VB and others environments that have Line word reserved.

Private Sub TChart1_OnAfterDraw()

TChart1.Canvas.DrawLine 0, 0, TChart1.Width, TChart1.Height

End Sub


IHistogramSeries.properties
IHistogramSeries Legend key

Type Library
TeeChartx

In IHistogramSeries

Brush
LinePen
LinesPen
Transparency
UseYOrigin
YOrigin


IArrowSeries.ArrowWidth
IArrowSeries

property ArrowWidth: Integer;

Type Library
TeeChartx

Description
Default value: 4

The ArrowHeight property determines the horizontal arrow head size in pixels.


IAxisScrollBarTool.Margin
IAxisScrollBarTool

property Margin: Integer;

Type Library
TeeChartx


ICandleSeries.ShowOpenTick
ICandleSeries

property ShowOpenTick: WordBool;

Type Library
TeeChartx

Description
Default True

The ShowOpenTick property controls if Open prices will be displayed. This property has only effect when CandleSeries.CandleStyle is set to csCandleBar. The CandleWidth property determines the length in pixels of Open and Close ticks.


IStdDeviationFunction.properties
IStdDeviationFunction Legend key

Type Library
TeeChartx

In IStdDeviationFunction

Complete


INumericGauge.Embedded
INumericGauge

property Embedded: WordBool;

Type Library
TeeChartx

Description
Set Embedded to true to embed the NumericGauge.


IFastLineSeries.FastPen
IFastLineSeries

property FastPen: WordBool;

Type Library
TeeChartx

Description
Defines the Pen characteristics used to draw the FastLineSeries.


IHorizBoxPlotSeries.MaxYValue
IHorizBoxPlotSeries

function MaxYValue: Double;

Type Library
TeeChartx

Description
The MaxYValue function returns the highest of all the current Series Y point values.


ISeriesPointerItems.Count
ISeriesPointerItems

function Count: Integer;

Type Library
TeeChartx


IMapSeries.PointSize
IMapSeries

property PointSize: Integer;

Type Library
TeeChartx

Description

Defines the size in pixels of the rectangle used to display shapes that contain just a single XY point instead of a polygon.

In certain situations, for example when displaying locations over a map such as cities, shapes aren't represented with polygons and are simple points.


ITeeEmboss.properties
ITeeEmboss Legend key

Type Library
TeeChartx

Derived from ITeeShadow

Clip
Color
HorizSize
Smooth
SmoothBlur
Transparency
VertSize
Visible


IRepaintMonitorTool.properties
IRepaintMonitorTool Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

AutoSize
Bounds
Callout
Cursor
Height
Left
Position
PositionUnits
Selected
Shape
Text
TextAlignment
Top
Width


ICustomDPaletteSeries.UseColorRange

ICustom3DPaletteSeries.UseColorRange
ICustom3DPaletteSeries

property UseColorRange: WordBool;

Type Library
TeeChartx

Description
Default: True

When True, the UseColorRange property indicates that Surface polygons will be filled with a gradient color palette. The Palette is defined with three colors: StartColor, MidColor and EndColor. When both UseColorRange and UsePalette are False, all Surface polygons are filled with Surface's Series.Color color.

Example [Visual Basic]:

This code will create a gradient color palette from Green to Blue:

TChart1.Series(0).asSurface.StartColor = vbGreen

TChart1.Series(0).asSurface.EndColor = vbBlue

TChart1.Series(0).asSurface.UseColorRange = True


IErrorsD.Format

IErrors3D.Format
IErrors3D

property Format: IErrors3DFormat;

Type Library
TeeChartx


ICustomDPaletteSeries.AddPalette

ICustom3DPaletteSeries.AddPalette
ICustom3DPaletteSeries

function AddPalette(Value: Double; Color: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
This method adds a new color Palette entry to the end of Palette list. Add returns the position of the entry in the Palette list. The Color parameter will be used to fill polygons with Y values up to the Value parameter. Custom color palettes can be created using this method. The UsePalette property should be True to use the palette entries.

Example [Visual Basic]:

This code creates a customized color palette. Polygons with Y values lower than or equal to 3000 will be filled in Green color, Polygons with Y values lower than or equal to 2000 will be filled in Yellow color and Polygons with Y values lower than or equal to 1000 will be filled in Red color.

With TChart1

.Series(0).asSurface.ClearPalette

.Series(0).asSurface.AddPalette 1000, vbRed

.Series(0).asSurface.AddPalette 2000, vbYellow

.Series(0).asSurface.AddPalette 3000, vbGreen

.Repaint

End With


ITrendFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITrendFunction


IZoom.Pen
IZoom

property Pen: IPen;

Type Library
TeeChartx

Description
Pen used to draw surrounding rectangle of zoom area as mouse is dragged.


ITChart.Top
ITChart

property Top: Integer;

Type Library
TeeChartx

Description
The Top side position of the Chart relative to its parent (pixels). When requiring the Chart Panel Top co-ordinate for drawing with the TChart Canvas, use the Canvas Top property.


ISeries.asCalendar
ISeries

property asCalendar: ICalendarSeries;

Type Library
TeeChartx

Description
The asCalender property is used by the Series Class to access Calender Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Date = 24584

.Days.Font.Color = vbGreen

.Sunday.Gradient.Visible = True

.Today.ShapeStyle = fosRoundRectangle

.Trailing.Font.Bold = True

End With


ISobelFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISobelFilter


IBaseHighLowSeries.methods
IBaseHighLowSeries Legend key

Type Library
TeeChartx

In IBaseHighLowSeries

AddHighLow
MaxYValue
MinYValue


ITeeScrollBar.InitialDelay
ITeeScrollBar

property InitialDelay: Integer;

Type Library
TeeChartx


ITChart.ChartWidth
ITChart

property ChartWidth: Integer;

Type Library
TeeChartx

Description
Run-time and read only. The ChartWidth property indicates the total width in pixels between the Left and Right Chart Axis positions.

It is equal to:

ChartWidth=TChart1.GetChartRect.Right - TChart1.GetChartRect.Left

This IS NOT the same as Chart1.Width, because Chart margins, Axis margins, Legend width, etc are first substracted from the Chart horizontal size.


IBrush.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBrush


ILineSeries.properties
ILineSeries Legend key

Type Library
TeeChartx

In ILineSeries

Gradient
Stacked

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IContourLevel.UpToValue
IContourLevel

property UpToValue: Double;

Type Library
TeeChartx

Description
Range value for ContourLevel. Sets the range to which to apply the ContourLevel.Color within the ContourSeries data range.


IValueList.Name
IValueList

property Name: WideString;

Type Library
TeeChartx

Description
The Name property returns the name of the specified ValueList as a string.

Example [Visual Basic]:

'Data text file "C:\TestFiles\testcandledata.txt":

'Date,Open,High,Low,Close

'1/1/2000,15,76,7,40

'2/1/2000,40,55,35,37

'3/1/2000,37,61,29,43

Private Sub Form_Load()

Dim colcount As Integer

TChart1.AddSeries scCandle

With SeriesTextSource1

.Series = TChart1.Series(0)

.FileName = "C:\TestFiles\testcandledata.txt"

.HeaderLines = 1

For colcount = 0 To TChart1.Series(0).ValueLists.Count - 1

.AddField TChart1.Series(0).ValueLists.Items(colcount).Name, colcount + 1

Next colcount

.Active = True

End With

End Sub


ICircularGauge.RotateLabels
ICircularGauge

property RotateLabels: WordBool;

Type Library
TeeChartx

Description

Default is True.

When True, gauge text labels are rotated accordingly to their position in the gauge circle.

When False, labels aren't rotated and they are displayed all in the same alignment.


ICurveFittingFunction.methods
ICurveFittingFunction Legend key

Type Library
TeeChartx

In ICurveFittingFunction

GetCurveYValue


IDeltaPointSeries.EqualImage
IDeltaPointSeries

property EqualImage: ITeePicture;

Type Library
TeeChartx

Description
Set the EqualImage property to provide an image which will be displayed when the previous point value is the same. If set to nil, no image is displayed on the bar points. The image will be stretched.


ISubsetTeeFunction.properties
ISubsetTeeFunction Legend key

Type Library
TeeChartx

In ISubsetTeeFunction

EndValue
StartValue


ITeeFilter.asResize
ITeeFilter

property asResize: IResizeFilter;

Type Library
TeeChartx

Description
The asResize property is used by the TeeFilter Class to access Resize Filter specific properties.


ISeriesStatsTool.FreeStatsSeries
ISeriesStatsTool

procedure FreeStatsSeries;

Type Library
TeeChartx


IClockSeries.CustomTime
IClockSeries

property CustomTime: WordBool;

Type Library
TeeChartx


ITChart.OnDrawLineToolDraggedLine
ITChart

property OnDrawLineToolDraggedLine: TNotifyEvent;

Type Library
TeeChartx

Description
The OnDrawLineToolDraggedLine event is fired when a DrawLine Tool line has finished being dragged.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcDrawLine

With .Tools.Items(0).asDrawLine

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnDrawLineToolDraggedLine()

Label1.Caption = "Line Dragged"

End Sub

Private Sub TChart1_OnDrawLineToolLineDrag()

Label1.Caption = "Line Drag"

End Sub

Private Sub TChart1_OnDrawLineToolNewLine()

Label1.Caption = "NewLine"

End Sub

Private Sub TChart1_OnDrawLineToolSelectLine()

Label1.Caption = "Line selected"

End Sub


IJavaScriptExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IJavaScriptExport


ICustomBarSeries.GradientRelative
ICustomBarSeries

property GradientRelative: WordBool;

Type Library
TeeChartx


ITeeSelected.methods
ITeeSelected Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IBollingerFunction.Exponential
IBollingerFunction

property Exponential: WordBool;

Type Library
TeeChartx

Description
Default : True

When Exponential is true, then exponential moving average function will be used to calculate mean value. Otherwise standard moving average function will be used to calculate mean value.


ITeePointD.properties

ITeePoint2D properties
ITeePoint2D Legend key

Type Library
TeeChartx

In ITeePoint2D

X
Y


ICustomPolarSeries.DrawZone
ICustomPolarSeries

procedure DrawZone(Min, Max: Double; Z: Integer);

Type Library
TeeChartx

Description
Draws an elliptical "zone" (like a donut) from Min to Max (in axis scales).


ITChart.OnSeriesBeforeAdd
ITChart

property OnSeriesBeforeAdd: TTChartOnSeriesBeforeAdd;

Type Library
TeeChartx

Description
The OnSeriesBeforeAdd event is triggered whenever a new point is going to be Added or Inserted. You can delegate this event in your Form's code to, for example, control if new points will be really added to the Series. This event also happens when a Series component is connected to a Table or Query.

*NOTE*

The OnSeriesBeforeAdd event has superceeded the now redundant OnDatabaseRecord event and should be used in place of the TeeChart v4 event.

Example [Visual Basic]:

Dim ApplyFunction As Boolean

Private Sub Check1_Click()

ApplyFunction = Check1.Value

End Sub

Private Sub Command1_Click()

AddData

End Sub

Private Sub Form_Load()

Check1.Caption = "Apply custom function to data y=(y*x)+2"

Command1.Caption = "Refresh data"

TChart1.AddSeries scLine

ApplyFunction = False

AddData

End Sub

Private Sub AddData()

With TChart1.Series(0)

.Clear

.AddXY 1, 1, "", clTeeColor

.AddXY 2, 2, "", clTeeColor

.AddXY 3, 3, "", clTeeColor

.AddXY 4, 4, "", clTeeColor

.AddXY 5, 5, "", clTeeColor

End With

End Sub

Private Sub TChart1_OnSeriesBeforeAdd(ByVal SeriesIndex As Long, Continue As Boolean)

If ApplyFunction = True Then

With TChart1.Series(SeriesIndex)

.YValues.TempValue = (.YValues.TempValue * .XValues.TempValue) + 2

End With

End If

End Sub


ILegendItems.Items
ILegendItems

property Items[Index: Integer]: ILegendItem;

Type Library
TeeChartx

Description
Accesses the TeeChart Legend Item specifying the index.

Example [Visual Basic]:

tChart1.Legend.Items.Items(Index).xxx


ICandleSeries.CandleStyle
ICandleSeries

property CandleStyle: ECandleStyle;

Type Library
TeeChartx

Description
Default Value: csCandleStick

The CandleStyle property indicates how will be Candle points drawn. When it is csCandleStick, a vertical rectangle represents each candle point. When it is csCandleBar, a vertical line is drawn, among Open and Close horizontal tick marks. You can control both the candle colors and width.


ICalendarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICalendarSeries


IVideoTool.StopRecording
IVideoTool

procedure StopRecording;

Type Library
TeeChartx

Description
Ends the creation of avi video and closes the file.


ITChart.OnMouseDown
ITChart

property OnMouseDown: TTChartOnMouseDown;

Type Library
TeeChartx

Description
This event is triggered when clicking mouse button down over the Chart Panel.


ITChart.CloneSeriesFromChart
ITChart

function CloneSeriesFromChart(ChartLink, SeriesIndex: Integer): Integer;

Type Library
TeeChartx


IAnimationList.properties
IAnimationList Legend key

Type Library
TeeChartx

In IAnimationList

Active
ControlDefault
Count
Items


INearestTool.Point
INearestTool

property Point: Integer;

Type Library
TeeChartx

Description
Returns the Point index of the nearest point.


IShapeSeries.Style
IShapeSeries

property Style: EShapeStyle;

Type Library
TeeChartx

Description
Default Value: chasHorizLine

The Style property defines how a ShapeSeries class appears on a Chart.

These are the possible values and their meanings:

chasRectangleThe shape is a rectangle

chasCircleThe shape is a circle

chasVertLineThe shape is a vertical line

chasHorizLineThe shape is an horizontal line

chasTriangleThe shape is a triangle

chasInvertTriangleThe shape is an inverted triangle

chasLineThe shape is a line

chasDiamondThe shape is a diamond

Style property (ShapeSeries) Example

You can change the Shape style both at design and run-time.

TChart1.Series( 0 ).asShape.Style = chasTriangle


ICrossTabSource.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ISeriesSource
|
ICrossTabSource


ISeriesList.AllActive
ISeriesList

property AllActive: WordBool;

Type Library
TeeChartx

Description

Returns True when all series in the list are Active (Visible).


IKagiSeries.AbsoluteReversal
IKagiSeries

property AbsoluteReversal: WordBool;

Type Library
TeeChartx

Description
Default is False.

Determines if the ReversalAmount property value will be considered absolute or relative to previous values.


IChartGrid.properties
IChartGrid Legend key

Type Library
TeeChartx

In IChartGrid

AllowAppend
AllowInsertSeries
Col
ColCount
ColorsColumn
Colwidths
DefaultColWidth
EditorMode
FirstRowNum
GradientCell
Grid3DMode
GridHeight
GridLink
GridLinkx64
GridWidth
LabelHeader
LabelsColumn
LeftCol
ReadOnly
RowHeights
SeriesSymbolClickable
ShowColors
ShowFields
ShowLabels
ShowXValues
TopRow

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


ILegendPaletteTool.Pen
ILegendPaletteTool

property Pen: IPen;

Type Library
TeeChartx

Description
Set Pen property to specify the Pen to be used to draw the border of the LegendPalette Tool.


IColorBandTool.Picture
IColorBandTool

property Picture: ITeePicture;

Type Library
TeeChartx

Description
The ColorBandTool Back Picture.


IColorFilter.Green
IColorFilter

property Green: Integer;

Type Library
TeeChartx

Description
Green level (0 to 255)


IFilterRegion.Height
IFilterRegion

property Height: Integer;

Type Library
TeeChartx

Description
Height of the region where the filter will be applied to.


IMapPolygon.Active
IMapPolygon

property Active: WordBool;

Type Library
TeeChartx

Description
Set Active property to True to start rendering the Map polygon.


IEqualizerSeries
Hierarchy Properties Methods

Type Library
TeeChartx

Description

The Equalizer Series uses DegradeInterval and DegradeStep to vary the speed that the top point brings itself in line with the Bar value if the Bar value changes over time.


IFibonacciTool.StartX
IFibonacciTool

property StartX: Double;

Type Library
TeeChartx

Description

Defines trendline start point x coordinate.


IFibonacciTool.StartY
IFibonacciTool

property StartY: Double;

Type Library
TeeChartx

Description

Defines trendline start point y coordinate.


ISubGradient.properties
ISubGradient Legend key

Type Library
TeeChartx

In ISubGradient

Transparency

Derived from IGradient

Angle
Balance
Colors
Direction
EndColor
MidColor
RadialX
RadialY
StartColor
SubGradient
UseMiddleColor
Visible


IDrawLineList.Delete
IDrawLineList

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description
Removes the item at the position given by the Index parameter.


ICanvas.Ellipse
ICanvas

procedure Ellipse(X1, Y1, X2, Y2: Integer);

Type Library
TeeChartx

Description
The Ellipse method will draw an ellipse between the 2 co-ordinates.

Example [Visual Basic]:

TChart1.Canvas.Ellipse 0, 0, 30, 100


ICanvas.Brush
ICanvas

property Brush: IBrush;

Type Library
TeeChartx

Description
The Brush property determines the kind of brush used to fill the Canvas draw rectangle background.


IGanttSeries.ConnectingPen
IGanttSeries

property ConnectingPen: IPen;

Type Library
TeeChartx

Description
The ConnectingPen property determines the kind of pen used to draw the optional lines that connect Gantt Bars.

Gantt Bars are "connected" by using the GanttSeries.NextTask property.


ICanvas.ChartXCenter
ICanvas

property ChartXCenter: Integer;

Type Library
TeeChartx

Description
This function returns the centre Horizontal co-ordinate of the Chart.

This IS NOT the same as Chart1.Width / 2, because Chart margins, Axis margins, Legend width, etc are first substracted from the Chart horizontal size.

i.e.: PieSeries uses ChartXCenter for the Pie center.


ISeriesAnimationTool.properties
ISeriesAnimationTool Legend key

Type Library
TeeChartx

In ISeriesAnimationTool

Delay
DrawEvery
Duration
Loop
Running
Series
StartAtMin
StartValue
Steps


IAnimationList.Items
IAnimationList

property Items[Index: Integer]: IChartAnimations;

Type Library
TeeChartx


IFrameTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFrameTool


IOrgSeries.Item
IOrgSeries

property Item[Index: Integer]: IOrgItem;

Type Library
TeeChartx

Description
Returns the item in the Items collection at the given Index'th position.


ITools.asVideo
ITools

property asVideo: IVideoTool;

Type Library
TeeChartx

Description
The asVideo property is used by the Tools Class to access Video Tool specific properties.


IColorLineTool.Style
IColorLineTool

property Style: EColorLineStyle;

Type Library
TeeChartx

Description
Provides automatic positioning of color line inside axis scales.

clCustom : Line is positioned to custom value (see Value property).

clMaximum : Line is positioned to axis maximum.

clCenter : Line is positioned at axis center position.

clMinimum : Line is positioned at axis minimum position.

This property can be useful to draw a line like a "divider" between 2 axis.


IFilterItems.Item
IFilterItems

property Item[Index: Integer]: ITeeFilter;

Type Library
TeeChartx

Description
Filters collection of ITeeFilter instances for the referenced object.


IGaugeHandItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGaugeHandItem


IFilterItems.methods
IFilterItems Legend key

Type Library
TeeChartx

In IFilterItems

Add
AssignImage
LoadImage


IPolarGridSeries.properties
IPolarGridSeries Legend key

Type Library
TeeChartx

In IPolarGridSeries

CellValues
Centered
NumSectors
NumTracks
Palette

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IPageControl.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPageControl


IPolarContourSeries.AutomaticLevels
IPolarContourSeries

property AutomaticLevels: WordBool;

Type Library
TeeChartx


IGradient.StartColor
IGradient

property StartColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: vbWhite

The StartColor property is one of the three colors used to create the gradient fill. The gradient fill is composed of the three colors: StartColor, MidColor and EndColor.


ICustomBarSeries.SideMargins
ICustomBarSeries

property SideMargins: WordBool;

Type Library
TeeChartx

Description
Default: True

The SideMargins property controls if first and last displayed Bar will be separated from the Chart rectangle. By default, margins are set to half the sum of all Bar Series bar widths.


ITeeCustomShape.Picture
ITeeCustomShape

property Picture: IBackImage;

Type Library
TeeChartx

Description
Gets or sets an image to be displayed at shape background.

The picture can be drawn stretched, tiled or centered, and it can be customized applying visual filters to manipulate the image pixels.


ISeriesAnimationTool.Steps
ISeriesAnimationTool

property Steps: Integer;

Type Library
TeeChartx

Description
Default : 100

Number of animation steps.

When the number of steps is bigger, the animation is slower.


IGrayScaleFilter.Method
IGrayScaleFilter

property Method: EGrayMethod;

Type Library
TeeChartx

Description
Default : gmSimple

Determines the method to be used :

gmSimple

gmEye

gmEye2


ISeries.asHistogram
ISeries

property asHistogram: IHistogramSeries;

Type Library
TeeChartx

Description
The asHistogram property is used by the Series Class to access Histogram Series specific properties.


IPointFigureSeries.ReversalAmount
IPointFigureSeries

property ReversalAmount: Double;

Type Library
TeeChartx

Description
Default value: 3

Determines the number that is multiplied by BoxSize property.

ReversalAmount by BoxSize defines the maximum price difference allowed before adding a new column of symbols.


ITChart.OnDragPointToolDragPoint
ITChart

property OnDragPointToolDragPoint: TTChartOnDragPointToolDragPoint;

Type Library
TeeChartx

Description
Event called when the end user is moving the mouse dragging a series point.

You can use the chart OnMouseDown and OnMouseUp events to recognize when the end user starts and finishes a dragging operation.


IAlligatorFunction.TeethPen
IAlligatorFunction

property TeethPen: IPen;

Type Library
TeeChartx

Description
Sets the pen to draw the Alligators Teeth


ITeeCustomShape.Transparency
ITeeCustomShape

property Transparency: Integer;

Type Library
TeeChartx

Description
Transparency is a value between 0 and 100 which sets the transparency percentage with respect to foreground versus background.


IPageControl.TabStyle
IPageControl

property TabStyle: ETabStyle;

Type Library
TeeChartx


IMirrorFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMirrorFilter


IAxis.MaxYValue
IAxis

function MaxYValue: Double;

Type Library
TeeChartx

Description
This function returns the calculated Maximum Vertical value for the specified AAxis. AAxis can be Axis.Left or Axis.Right.

Calculated means that the return value will the Maximum value of the Maximum Series Y Values. Only Series with the VerticalAxis equal to AAxis will be considered.

Example [Delphi]:

TChart1.Axis.Left.Automatic := False ;

TChart1.Axis. Left.Maximum := TChart1.MaxYValue(atLeft);

Example [Visual Basic]:

TChart1.Axis.Left.Automatic = False

TChart1.Axis.Left.Maximum = TChart1.Axis.Left.MaxYValue


ITeeEditorShowPages.Main
ITeeEditorShowPages

property Main: WordBool;

Type Library
TeeChartx

Description
Default = True

The Main property may be used to disable the display of the Main Tab (the Series Tab under the Chart Tab) to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITChart.OnVideoToolStop
ITChart

property OnVideoToolStop: TNotifyEvent;

Type Library
TeeChartx

Description
This event is called just after the video file recording has been stopped.


ICircularGauge.YRadius
ICircularGauge

property YRadius: Integer;

Type Library
TeeChartx

Description
Returns the size in pixels for the vertical gauge radius.

See also #link TCircularGauge.Circled#Circled# property.


IExport.asMetafile
IExport

property asMetafile: IMetafileExport;

Type Library
TeeChartx

Description
Accesses Metafile format Export attribute


ITitles.Caption
ITitles

property Caption: WideString;

Type Library
TeeChartx

Description
Gets or sets the first text line of the Text String property.

TChart1.Header.Caption = "Hello"

is equivalent to:

TChart1.Header.Text.Clear

TChart1.Header.Text.Add "Hello"


IPanel.MarginTop
IPanel

property MarginTop: Integer;

Type Library
TeeChartx

Description
Each Chart.Panel class has four margin properties: LeftMargin, RightMargin, TopMargin, BottomMargin.

These properties are expressed as a percentage of the pixel height (for top and bottom margins) and width (for left and right margins) of the Chart Canvas. Default values are 8 for top and bottom margins and 12 for left and right margins.

Example [Visual Basic]:

You can change both at design and runtime the margins properties:

TChart1.Panel.MarginTop = 60


IPointFigureSeries.GetInversionColumn
IPointFigureSeries

function GetInversionColumn(Index: Integer): Integer;

Type Library
TeeChartx

Description
Returns the column index where the index'th parameter point is located.

Point and Figure series draw columns where each step in the column corresponds to a point in the underlying datasource series.


IPolarGridSeries.CountLegendItems
IPolarGridSeries

function CountLegendItems: Integer;

Type Library
TeeChartx

Description
Returns the number of points to show at the Legend.

In case of a TPolarGridSeries it corresponds to the number of colors in the palette.


ICustomBarSeries.RoundSize
ICustomBarSeries

property RoundSize: Integer;

Type Library
TeeChartx

Description
Gets or Sets the size to be used for round bar corners.

Gets or Sets the Round size used to draw the bars.


ISeries.asPointFigure
ISeries

property asPointFigure: IPointFigureSeries;

Type Library
TeeChartx

Description
The asPointFigure property is used by the Series Class to access Point & Figure Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IClusteringTool.Transparency
IClusteringTool

property Transparency: Integer;

Type Library
TeeChartx

Description
Sets Transparency level from 0 to 100% for the bounds around each cluster.


ITeeCommander.BevelInner
ITeeCommander

property BevelInner: EPanelBevel;

Type Library
TeeChartx

Description

The BevelInner property defines the inner bevel type of the TeeCommander Panel border.

Available types:

bvNone

bvLowered

bvRaised


IValueList.methods
IValueList Legend key

Type Library
TeeChartx

In IValueList

Delete
FillSequence
Locate
Sort


IColorBandTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis
|
IColorBandTool


ICanvas.PlaneFourD

ICanvas.PlaneFour3D
ICanvas

procedure PlaneFour3D(X1, Y1, X2, Y2, X3, Y3, X4, Y4, Z0, Z1: Integer);

Type Library
TeeChartx

Description
Draws a polygon of four points. The first and second point at Z0 position, the third and fourth point at Z1 position.


ICursorTool.VertSize
ICursorTool

property VertSize: Integer;

Type Library
TeeChartx

Description
Vertical size of Cursortool (full height if 0).


ISeriesBandTool.Brush
ISeriesBandTool

property Brush: IBrush;

Type Library
TeeChartx

Description
Element Brush characteristics.


IDataTableTool.ColumnPen
IDataTableTool

property ColumnPen: IPen;

Type Library
TeeChartx

Description
Determines the Pen used to fill the Data Table columns.


ITChart.SetChartRect
ITChart

procedure SetChartRect(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx


ITeeRectArray.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeRectArray


IGammaCorrectionFilter.properties
IGammaCorrectionFilter Legend key

Type Library
TeeChartx

Derived from IAmountFilter

Amount
Percent


IAreaSeries.GetOriginPos
IAreaSeries

function GetOriginPos(AValueIndex: Integer): Integer;

Type Library
TeeChartx

Description
The GetOriginPos function returns the corresponding screen pixels coordinate of the leftmost horizontal area edge. When MultiArea property is different than Stacked or Stacked 100%, this function returns the Origin screen coordinate.

When several Area Series are stacked, this function returns a different screen coordinate for each Series.

The ValueIndex parameter specifies the Area index.

See the GetOriginPos method for the BarSeries and HorizBarSeries classes.


ICanvas.Arrow
ICanvas

procedure Arrow(Filled: WordBool; X0, Y0, X1, Y1, HeadWidth, HeadHeight, Z: Integer);

Type Library
TeeChartx

Description
Draws a line with an arrow head of ArrowWidth and ArrowHeight dimensions in pixels.


ISeries.ShowInLegend
ISeries

property ShowInLegend: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The property controls whether or not the series title should display in Chart.Legend. It is only meaningful when when LegendStyle is lsSeries or lsLastValues.


ITeeFunction.Period
ITeeFunction

property Period: Double;

Type Library
TeeChartx

Description
The Period property controls how many points or X range(see note below) will trigger a new point calculation.

For example, AverageFunction uses the Period property to calculate a new average point each time the "Period" number of points or X range(see note below) is exceed.

Period property Example

For example, this code uses a TeeFunction to show one point for every 5 points in the Series2 datasource series:

Delphi

With TChart1 do

Begin

Series0.Pointer.Visible:= True; {Function}

Series1.Pointer.Visible:= True; {Source Series}

Series0.FunctionType.Period:= 5;

end;

Visual Basic

With TChart2

.Series( 2 ).asLine.Pointer.Visible = True

.Series( 0 ).asLine.Pointer.Visible = True

.Series( 2 ).FunctionType.Period = 5

End With


IPieTool.Slice
IPieTool

property Slice: Integer;

Type Library
TeeChartx

Description
Returns the currently focused slice. (Point index)

Example [Visual Basic]:

Dim tmp

With TChart1.Tools.Items(0).asPie

tmp = .Slice

If tmp = -1 Then

Label1.Caption = ""

Else

Label1.Caption = TChart1.Series(0).PointLabel(tmp)

End If

End With


IScroll.Enable
IScroll

property Enable: EChartScroll;

Type Library
TeeChartx

Description
The property controls runtime Scrolling.

Possible values are:

pmNone Deny scrolling.

pmHorizontal Allow only Horizontal Scrolling.

pmVertical Allow only Vertical Scrolling.

pmBoth Allow complete Horizontal and Vertical Scrolling.


ICanvas.CubeHull
ICanvas

function CubeHull(Left, Top, Right, Bottom, MinZ, MaxZ: Integer): IPointArray;

Type Library
TeeChartx


ICustomBarSeries.BarWidthPercent
ICustomBarSeries

property BarWidthPercent: Integer;

Type Library
TeeChartx

Description
Default Value: 70

The BarWidthPercent property determines the percent of total Bar width used. Setting BarWidthPercent := 100 makes joined Bars. You can control how many Bars appear at same time by using Page.MaxPointsPerPage property. The BarWidth and BarHeight properties indicate Bar dimensions in pixels.

Note

BarwidthPercent only has effect when BarWidth is set to 0.


IBarJoinSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
IBarJoinSeries


IBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries


IEqualizerSeries.properties
IEqualizerSeries Legend key

Type Library
TeeChartx

In IEqualizerSeries

DegradeHigh
DegradeInterval
DownStep
HighMarker

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


IDrawLineTool.ClickTolerance
IDrawLineTool

property ClickTolerance: Integer;

Type Library
TeeChartx

Description
Allows to get or set the tolerance or the click in the lines expressed in pixels.

Example [Visual Basic]:

tChart1.Tools.Items(0).asDrawLine.ClickTolerance = 10


IGradient.ShowEditor
IGradient

procedure ShowEditor(OnlyStartColor: WordBool; OwnerChart: Integer);

Type Library
TeeChartx

Description
Shows the Gradient Editor dialog.


ITeeCustomShape.ShapeCallout
ITeeCustomShape

property ShapeCallout: IShapeCallout;

Type Library
TeeChartx


IRadarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries
|
ICustomPolarSeries
|
IRadarSeries


IAxis.IEndPos
IAxis

property IEndPos: Integer;

Type Library
TeeChartx

Description
Returns the end position of the Axis in pixels, from the top or left extreme of the Chart. A vertical Axis returns the Y displacement to the furthest extreme of the Axis to the top of the Chart. See IStartPos and IAxisSize.


IMACDFunction.properties
IMACDFunction Legend key

Type Library
TeeChartx

In IMACDFunction

Histogram
MACDExp
Period2
Period3


IBarDSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
IBar3DSeries


IRotateTool.properties
IRotateTool Legend key

Type Library
TeeChartx

In IRotateTool

Active
Button
Cursor
Inertia
Inverted
Outline
Speed
Style


ITeeFilter.asGammaCorrection
ITeeFilter

property asGammaCorrection: IGammaCorrectionFilter;

Type Library
TeeChartx

Description
The asGammaCorrection property is used by the TeeFilter Class to access GammaCorrection Filter specific properties.


ITeeSelected.properties
ITeeSelected Legend key

Type Library
TeeChartx

In ITeeSelected

Hover
HoverIndex
ItemIndex

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IGaugeSeries.Value
IGaugeSeries

property Value: Double;

Type Library
TeeChartx

Description
Default : 0

Gets or sets the position of the gauge arrow line.

Must be a number between gauge Minimum and Maximum.

When Value is changed, the gauge arrow is automatically redisplayed at the new position.

The FullRepaint property controls if the whole chart will be repainted or just the gauge arrow line.


IAxis.MinimumRound
IAxis

property MinimumRound: WordBool;

Type Library
TeeChartx

Description
Round Axis Minimum to nearest Integer value.


IHistogramSeries.UseYOrigin
IHistogramSeries

property UseYOrigin: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The UseYOrigin property defines if the Histogram Bars will be bottom aligned to the YOrigin property value.

When False, the minimum of all the Histogram Bar values is used as the Histogram Bar origins value.

When True, the YOrigin property is used as the start point for Histogram Bars.


IAxis.IAxisSize
IAxis

property IAxisSize: Integer;

Type Library
TeeChartx

Description
Length in pixels of Axis IStartPos to IEndPos.


ICustomDSeries.Pen

ICustom3DSeries.Pen
ICustom3DSeries

property Pen: IPen;

Type Library
TeeChartx

Description
The Pen property determines the kind of pen used to draw the Surface polygons. You can make it invisible by turning the Pen.Visible property to False.


IPolarGridSeries.methods
IPolarGridSeries Legend key

Type Library
TeeChartx

In IPolarGridSeries

AddCell
Clicked
CountLegendItems
GetCellColor
LegendItemColor
LegendString

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


ITeeListBox.Sorted
ITeeListBox

property Sorted: WordBool;

Type Library
TeeChartx

Description
Setting this property to True the Series in the TeeList Box remains in the original order even when we change the order of the series shown in the Chart.


IPointer.Pen
IPointer

property Pen: IPen;

Type Library
TeeChartx

Description
The Pen property determines the kind of pen used to draw a frame around Series Pointers.

You can make it invisible by setting Pen.Visible property to False.


ITChart.SeriesList
ITChart

property SeriesList: ISeriesList;

Type Library
TeeChartx

Description

Run-time only. The SeriesList property is an array property that contains a list of pointers to all Series linked to a TChart component.


ILegendSymbol.Gradient
ILegendSymbol

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill the symbols. They are filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


ICustomDPaletteSeries.LegendEvery

ICustom3DPaletteSeries.LegendEvery
ICustom3DPaletteSeries

property LegendEvery: Integer;

Type Library
TeeChartx


IAxis.TickLength
IAxis

property TickLength: Integer;

Type Library
TeeChartx

Description
Default Value: 4

The TickLength property defines the length of Axis Ticks in logical pixels.

Use the Ticks Pen property to change pen attributes.

Set it to zero to hide Axis Ticks.

You can combine Axis.Ticks, Axis.MinorTicks and Axis.TicksInner at same time.


ITeePicture.ClearImage
ITeePicture

procedure ClearImage;

Type Library
TeeChartx

Description
The ClearImage method clears the ITeePicture element from all associated bitmap images.


ITransformAnimation.MaxZoom
ITransformAnimation

property MaxZoom: Integer;

Type Library
TeeChartx


IMagnifyTool.Smooth
IMagnifyTool

property Smooth: WordBool;

Type Library
TeeChartx

Description
Default is False.

When True, the zoomed image is displayed using a smooth resizing algorithm to soften diagonal pixels.


IChartHiddenPen.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPen
|
IChartHiddenPen


IChartGrid.Col
IChartGrid See also

property Col: Integer;

Type Library
TeeChartx

Description
This property is deprecated. Please use the Cols.Col property instead.

Use Col at runtime to determine the current column in the grid. Setting Col moves focus to the cell in the current row that is in the new column. The first column has an index of 0, the second column an index of 1, and so on.

The selected cell in the grid can be located by reading the Col property and the Row property to obtain the indexes of its column and row. When focus moves to the grid, the selected cell gets input focus.

See also:
IChartGridCols.Col


IVolumeSeries.UseYOrigin
IVolumeSeries

property UseYOrigin: WordBool;

Type Library
TeeChartx

Description
Deafult: False

The UseYOrArea property enables/disables the setting of the Y value (via the YOrigin property) that defines the bottom position for Volume points.


IAnnotationTool.methods
IAnnotationTool Legend key

Type Library
TeeChartx

In IAnnotationTool

Clicked
SetBounds


IAxisBreaksTool.Breaks
IAxisBreaksTool

property Breaks: IAxisBreaks;

Type Library
TeeChartx

Description
Returns the collection of breaks (TAxisBreaks) assigned to the Tool.


IDeltaPointSeries.properties
IDeltaPointSeries Legend key

Type Library
TeeChartx

In IDeltaPointSeries

EqualImage
GreaterImage
ImageStyle
LowerImage

Derived from ICustomImagePointSeries

ImagePoint
ImageTransparent

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ISeries.asPyramid
ISeries

property asPyramid: IPyramidSeries;

Type Library
TeeChartx

Description
The asPyramid property is used by the Series Class to access Pyramid Series specific properties.


IAxisTitle.Font
IAxisTitle

property Font: ITeeFont;

Type Library
TeeChartx

Description
The Font property determines the kind of font used to draw each Axis Title.

Axis.Title.Caption property should be non empty.

Title text can be rotated using the Angle property.

Example [Visual Basic]:

TChart1.Axis.Left.Title.Font = TChart1.Axis.Bottom.Title.Font


ICalendarSeries.ClickedDate
ICalendarSeries

function ClickedDate(X, Y: Integer; Out ADate: TDateTime): WordBool;

Type Library
TeeChartx

Description
Triggered when Datebox is clicked.


IEqualizerSeries.HighMarker
IEqualizerSeries

property HighMarker: IPointSeries;

Type Library
TeeChartx

Description

Characteristics of the HighMarker Pointer


IBezierSeries.BezierStyle
IBezierSeries

property BezierStyle: EBezierStyle;

Type Library
TeeChartx

Description
Select the Bezier style type for the Bezier plot.

bsWindows:

The first curve is drawn from the first point to the fourth point, using the second and third points as control points. Each subsequent curve in the sequence needs exactly three more points: the ending point of the previous curve is used as the starting point, the next two points in the sequence are control points, and the third is the ending point.

bsBezier3:

The first curve is drawn from the first point to the third point, using the second point as control point. Each subsequent curve in the sequence needs exactly three more points: the ending point of the previous curve is used as the starting point, the next two points in the sequence are control points, and the third is the ending point.

bsBezier4:

The first curve is drawn from the first point to the fourth point, using the second and third points as control points. Each subsequent curve in the sequence needs exactly four more points: the ending point of the previous curve is used as the starting point, the next two points in the sequence are control points, and the third is the ending point.


ILegendItem.properties
ILegendItem Legend key

Type Library
TeeChartx

In ILegendItem

Align
Font
Left
SymbolRect
Text
Top


ISurfaceSeries.properties
ISurfaceSeries Legend key

Type Library
TeeChartx

In ISurfaceSeries

DotFrame
FastBrush
HideCells
SideBrush
SideLines
SmoothPalette
Transparency
WireFrame

Derived from ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


ICustomBoxSeries.ExtrOut
ICustomBoxSeries

property ExtrOut: IPointer;

Type Library
TeeChartx

Description
Use ExtrOut property to control the appearance of the extreme range of outer points. ExtrOut contains several properties to control the formatting attributes of the extreme range of outer points like Pen, Brush, Draw3D, Visible, etc.


IFibonacciTool.LabelsAngle
IFibonacciTool

property LabelsAngle: Integer;

Type Library
TeeChartx

Description

Labels angle.


ITChart.Scroll
ITChart

property Scroll: IScroll;

Type Library
TeeChartx

Description
Use the TChart.Scroll property to access scrolling characteristics of the Chart.

Example [Visual Basic]:

TChart12.Scroll.Enable = pmVertical


ISeries.asErrorPointD

ISeries.asErrorPoint3D
ISeries

property asErrorPoint3D: IErrorPoint3DSeries;

Type Library
TeeChartx


IContourLevel.properties
IContourLevel Legend key

Type Library
TeeChartx

In IContourLevel

Color
DefaultPen
NumSegments
Pen
Segments
UpToValue


ISmoothPoints.Factor
ISmoothPoints

property Factor: Integer;

Type Library
TeeChartx

Description
Default : 4

Gets or sets the number of times the resulting smooth points are in quantity compared to source points.

For example, a value of 4 means the smooth points will be 4 times the number of source points.

The bigger the factor property is, the smoothest resulting curves will be.

TChart1.Series(1).FunctionType.asSmoothing.Factor = 10


ITitles.methods
ITitles Legend key

Type Library
TeeChartx

In ITitles

Clear
Clicked

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ITChart.ChartBounds
ITChart

property ChartBounds: ITeeRect;

Type Library
TeeChartx

Description
Run-time and read only. The ChartBounds property defines the rectangle dimension the last time the Chart was displayed. When drawing to Screen, it equals to the Left, Top, Width and Height properties. When drawing to Printer, it equals to the paper rectangle section where Chart is printed. You should always use the ChartBounds property. Never assume the Chart Left and Top coordinates are zero.

Example

This code draws a frame around a Chart component:

Private Sub Command1_Click()

With TChart1.Canvas

.Brush.Style = bsClear

.Pen.Color = vbRed

With TChart1.ChartBounds

TChart1.Canvas.Rectangle .Left, .Top, .Right, .Bottom

End With

End With

End Sub


ITeeScrollBar.AutoRepeat
ITeeScrollBar

property AutoRepeat: WordBool;

Type Library
TeeChartx


IPrinter.PrinterDescription
IPrinter

property PrinterDescription[Index: Integer]: WideString;

Type Library
TeeChartx

Description
This property can be used to get the Printer descriptions of installed printers. Use the PrinterIndex property to set the printer. The PrinterIndex may vary from that of Windows at runtime if a new printer is added during the current Windows session. We therefore recommend that you use PrinterDescription to offer the user a list of available printers. PrinterCount contains the number of installed printers.


IGaugeRanges.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGaugeRanges


ISeriesRegionTool.Transparency
ISeriesRegionTool

property Transparency: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount of transparency to apply to filled region areas.

Default is zero (no transparency).


ILegend.GlobalTransparency
ILegend

property GlobalTransparency: Integer;

Type Library
TeeChartx


IDoubleHorizBarSeries.LeftChart
IDoubleHorizBarSeries

property LeftChart: ISubChartChart;

Type Library
TeeChartx


IPieOtherSlice.properties
IPieOtherSlice Legend key

Type Library
TeeChartx

In IPieOtherSlice

Legend
Style
Text
Value


IExport.SaveToXMLStream
IExport

function SaveToXMLStream(IncludeData, XMLHeader: WordBool): OleVariant;

Type Library
TeeChartx

Description

Export Chart to XML stream.


IAxisLabelsItem.Value
IAxisLabelsItem

property Value: Double;

Type Library
TeeChartx

Description
The position in axis scales where to display the axis label.


IGLLight.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGLLight


IOrgItem.Superior
IOrgItem

property Superior: Integer;

Type Library
TeeChartx

Description
Gets or sets the index of the item that is the "parent" of this item.

When Superior value is -1 it means it has no parent item and so it is displayed on top of chart.


IContrastFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAmountFilter
|
IContrastFilter


ISeriesStatsTool.StdDeviation
ISeriesStatsTool

function StdDeviation: Double;

Type Library
TeeChartx


ISeriesTextSource.properties
ISeriesTextSource Legend key

Type Library
TeeChartx

In ISeriesTextSource

Fields
FieldSeparator
HeaderLines

Derived from ISeriesSourceFile

FileName
LoadMode

Derived from ISeriesSource

Active
Series

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IAnnotationTool.Text
IAnnotationTool

property Text: WideString;

Type Library
TeeChartx

Description
The Text property defines the text for the Annotation Tool.

Example [Visual Basic]:

With TChart1

.Tools.Add tcAnnotate

With .Tools.Items(0).asAnnotation

.Active = True

.Position = ppRightBottom

.Shape.Gradient.Visible = True

.Shape.ShapeStyle = fosRoundRectangle

.Shape.Font.Name = "Verdana"

.Text = "My Text"

End With

End With


ITChart.MultiLineTextHeight
ITChart

function MultiLineTextHeight(Const AString: WideString; NumLines: Integer; TextFormat: ETextFormat): Integer;

Type Library
TeeChartx

Description
This function returns the largest height in pixels for a given "S" string. It also considers multi-line strings, returning in the NumLines parameter the total number of lines.


ITools.asMarksTip
ITools

property asMarksTip: IMarksTipTool;

Type Library
TeeChartx

Description
The asMarksTip property is used by the Tools Class to access MarksTip Tool specific properties.


IBaseClustering.Linkage
IBaseClustering

property Linkage: ELinkageMethod;

Type Library
TeeChartx


IZoom.MinimumPixels
IZoom

property MinimumPixels: Integer;

Type Library
TeeChartx

Description
Sets the minimum number of onscreen pixels traversed by the mouse drag for the zoom action to actuate.


ITeeListBox.FontSeriesColor
ITeeListBox

property FontSeriesColor: WordBool;

Type Library
TeeChartx

Description
When True shows Series names in Listbox in same colour as SeriesColor.


ITeeFilter.asBrightness
ITeeFilter

property asBrightness: IBrightnessFilter;

Type Library
TeeChartx

Description
The asBrightness property is used by the TeeFilter Class to access Brightness Filter specific properties.


ICallout.Arrow
ICallout

property Arrow: IPen;

Type Library
TeeChartx

Description
The pen used to display a line between a Series Mark and a Series point, and also used by Annotation tool to draw a line connecting the annotation and the series point.

In previous versions, this property was referred as "ArrowPen" ( Series1.Marks.ArrowPen )

Example of use:

TChart1.Series(0).Marks.Callout.Arrow.Color = Blue


IMarks.Multiline
IMarks

property Multiline: WordBool;

Type Library
TeeChartx

Description
Setting Multiline enables/disables multiline Axis labels.

Example [Delphi]:

Series1.Add( 123, 'Hello'+TeeLineSeparator+'World' );

Series1.Marks.MultiLine:=True;


IDoubleHorizBarSeries.properties
IDoubleHorizBarSeries Legend key

Type Library
TeeChartx

In IDoubleHorizBarSeries

InvertedHoriz
InvertedVert
LeftChart
SplitSize

Derived from IHorizBarSeries

BarHeight

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


IGLLightSource.FixedPosition
IGLLightSource

property FixedPosition: WordBool;

Type Library
TeeChartx

Description
Gets or sets if the light position is fixed or it will rotate together with the panel.

The default value is False, that is, the Position property determines the XYZ location of the light in 3D coordinates, but these coordinates are rotated according to the panel View3DOptions rotation values.


ITeeFunction.asCustom
ITeeFunction

property asCustom: ICustomFunction;

Type Library
TeeChartx

Description
The asCustom property is used by the Teefunction Class to access Custom Function specific properties.


ITeeCommander.events
ITeeCommander Legend key

Type Library
TeeChartx

In ITeeCommander

OnEditedChart


ITChart.ChartHeight
ITChart

property ChartHeight: Integer;

Type Library
TeeChartx

Description
Run-time and read only. The ChartHeight property indicates the total height in pixels between the Top and Bottom Chart Axis positions.

It is equal to:

ChartHeight = TChart1.GetChartRect.Bottom - TChart1.GetChartRect.Top

This IS NOT the same as Chart1.Height, because Chart margins, Axis margins, Legend width, etc are first substracted from the Chart vertical size.


IGaugeSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
IGaugeSeries


IHorizAreaSeries.properties
IHorizAreaSeries Legend key

Type Library
TeeChartx

Derived from IAreaSeries

AreaBrush
AreaChartBrush
AreaColor
AreaPen
Gradient
MultiArea
StackGroup
UseYOrigin
YOrigin

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IClockSeries.Minutes
IClockSeries

property Minutes: IClockHand;

Type Library
TeeChartx


ITeePicture.methods
ITeePicture Legend key

Type Library
TeeChartx

In ITeePicture

AssignImage
ClearImage
LoadImage
SaveToFile
ShowFiltersEditor


ITChart.OnAnnotationToolClick
ITChart

property OnAnnotationToolClick: TTChartOnAnnotationToolClick;

Type Library
TeeChartx

Description
Event triggered when the user clicks on the annotation boundaries.


IMapPolygon.ParentBrush
IMapPolygon

property ParentBrush: WordBool;

Type Library
TeeChartx

Description
To have a polygon use the same Brush as its parentseries (MapSeries), set ParentBrush to True. If ParentBrush is False, the polygon uses its own Brush property.


IGradient.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGradient


ISeriesSourceFile.LoadMode
ISeriesSourceFile

property LoadMode: ELoadMode;

Type Library
TeeChartx

Description
LoadMode can be asigned to "lmAppend" or to "lmClear".

When LoadMode is "lmAppend", XML data is appended to series. Default is "lmClear".

Example [Visual Basic]:

SeriesXMLSource1.LoadMode = lmAppend


ITeeEditorOptions.Delete
ITeeEditorOptions

property Delete: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


ISeriesList.Clicked
ISeriesList

function Clicked(X, Y, ValueIndex: Integer): Integer;

Type Library
TeeChartx


ICustomBoxSeries.OuterFence

ICustomBoxSeries.OuterFence1
ICustomBoxSeries

property OuterFence1: Double;

Type Library
TeeChartx

Description
Read from OuterFence1 to get SampleValues lower outer fence. Write to OuterFence1 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to OuterFence1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ICustomBoxSeries.OuterFence

ICustomBoxSeries.OuterFence3
ICustomBoxSeries

property OuterFence3: Double;

Type Library
TeeChartx

Description
Read from OuterFence3 to get SampleValues upper outer fence. Write to OuterFence3 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to OuterFence3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ITChart.OnSubChartToolDragged
ITChart

property OnSubChartToolDragged: TNotifyEvent;

Type Library
TeeChartx


ISpacing.Horizontal
ISpacing

property Horizontal: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount of pixels to be used as horizontal space between one item and its siblings.


IAnimations.properties
IAnimations Legend key

Type Library
TeeChartx

In IAnimations

Animation


IAxis.Labels
IAxis

property Labels: IAxisLabels;

Type Library
TeeChartx

Description
Access the Label characteristics of Axis Labels.

Example [Visual Basic]:

TChart1.Axis.Left.Labels.Style = talText


ISpacing.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISpacing


ITowerSeries.Stacked
ITowerSeries

property Stacked: ETowerStacked;

Type Library
TeeChartx


ICustomFunction.NumPoints
ICustomFunction

property NumPoints: Integer;

Type Library
TeeChartx

Description
Gets or sets the number of points.

The function will call its OnCalculate event this number of times.


ITeeCustomShape.Height
ITeeCustomShape

property Height: Integer;

Type Library
TeeChartx

Description
Gets or sets the height of the shape.

The height corresponds to ShapeBounds.Bottom - ShapeBounds.Top


ITChart.OnDrawLineToolLineDrag
ITChart

property OnDrawLineToolLineDrag: TNotifyEvent;

Type Library
TeeChartx

Description
The DrawLineToolLineDrag event is fired when a DrawLine Tool line is being dragged.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcDrawLine

With .Tools.Items(0).asDrawLine

.Series = 0

End With

End With

End Sub

Private Sub TChart1_OnDrawLineToolDraggedLine()

Label1.Caption = "Line Dragged"

End Sub

Private Sub TChart1_OnDrawLineToolLineDrag()

Label1.Caption = "Line Drag"

End Sub

Private Sub TChart1_OnDrawLineToolNewLine()

Label1.Caption = "NewLine"

End Sub

Private Sub TChart1_OnDrawLineToolSelectLine()

Label1.Caption = "Line selected"

End Sub


ISubGradient.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGradient
|
ISubGradient


ITeeCommander.ButtonZoom
ITeeCommander

property ButtonZoom: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonZoom

Example:-

TeeCommander1.ButtonZoom.Hide


IZoom.Undo
IZoom

procedure Undo;

Type Library
TeeChartx

Description
The Chart.Zom.Undo method will rescale the Chart Axis to their Maximum and Minimum values.Each Axis "depends" on one or more Series classes, so Axis values will depend on their associated Series Maximum and Minimum values. Undo also restores any runtime Scrolling.


ITeeRect.Left
ITeeRect

property Left: Integer;

Type Library
TeeChartx

Description
Sets the left position of the rectangle.


ITeeCustomShape.ShowEditorShape
ITeeCustomShape

procedure ShowEditorShape(HideTexts: WordBool; Const Caption: WideString);

Type Library
TeeChartx

Description
Shows the Shape editor dialog at runtime.

Returns True if the user closes the dialog using the OK button, otherwise returns False if the user cancels the dialog.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).Marks.ShowEditorShape

End Sub


IEnvironment.GoToURL
IEnvironment

procedure GoToURL(Const URL: WideString);

Type Library
TeeChartx


IImport.LoadFromFile
IImport

procedure LoadFromFile(Const FileName: WideString);

Type Library
TeeChartx

Description
LoadFromFile loads a .tee format Chart template file. The native TeeChart format files are an efficient way to store Chart definition and (optionally) data.

Example [Visual Basic]:

TChart1.Import.LoadFromFile("c:\temp\mychart.tee")


IResizeFilter.Width
IResizeFilter

property Width: Integer;

Type Library
TeeChartx

Description
Gets or sets the desired Width in pixels of the new image.


IPolarContourSeries.properties
IPolarContourSeries Legend key

Type Library
TeeChartx

In IPolarContourSeries

AutomaticLevels
Contour
Levels
NumLevels

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IGaugeSeries.HandStyle
IGaugeSeries

property HandStyle: EHandStyle;

Type Library
TeeChartx

Description
Default : hsLine

The gauge can display its arrow as a simple line ( hsLine style ) or as a filled triangle ( hsTriangle style ).

TChart1.Series(1).asGauge.HandStyle = hsTriangle


IPrinter.PrintPortrait
IPrinter

procedure PrintPortrait;

Type Library
TeeChartx

Description
This method will set the current Printer orientation to Portrait (Vertical paper). Then, the default Chart.Printer.Print method will be called and the previous Printer orientation will be restored.


IHighLowSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseHighLowSeries
|
IHighLowSeries


IRotateTool.Outline
IRotateTool

property Outline: IPen;

Type Library
TeeChartx

Description
The OutLine pen property determines the pen used to display a "border" or "outline" of the Chart when being rotated by the RotateTool.


ITeeListBox.OnChangeActive
ITeeListBox

property OnChangeActive: TTeeListBoxOnChangeActive;

Type Library
TeeChartx

Description
Called when the end user clicks the checkbox near to each list item.

By default, checking / unchecking the checkbox corresponds to setting the Series Visible property.


ILegendPointer.Value
ILegendPointer

property Value: Double;

Type Library
TeeChartx


ICircledSeries.Shadow
ICircledSeries

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description

Defines the offset shadow.


IAnimationList.Active
IAnimationList

property Active: WordBool;

Type Library
TeeChartx


IChartGridNavigator.GridLink
IChartGridNavigator

property GridLink: Integer;

Type Library
TeeChartx

Description
An alternative method for linking a ChartGridNavigator to a ChartGrid designed for use in environments other than Visual Basic.

Example [HTML]

<%METADATA NAME="TeeChart Pro v4 ActiveX Control" TYPE="TypeLib" UUID="{B6C10489-FB89-11D4-93C9-006008A7EED4}"%>

<HTML>

<HEAD></HEAD><BODY>

<SCRIPT LANGUAGE=VBSCRIPT>

Sub FillChart()

With TChart1

.AddSeries(scLine)

.AddSeries(scLine)

.AddSeries(scLine)

.AddSeries(scLine)

.Series(0).FillSampleValues 10

.Series(1).FillSampleValues 10

.Series(2).FillSampleValues 10

.Series(3).FillSampleValues 10

End With

TeeListBox1.ChartLink = TChart1.ChartLink

TeeCommander1.ChartLink = TChart1.ChartLink

TeePreviewPanel1.ChartLink = TChart1.ChartLink

ChartGrid1.ChartLink = TChart1.ChartLink

ChartGridNavigator1.GridLink = ChartGrid1.GridLink

ChartPageNavigator1.ChartLink = TChart1.ChartLink

ChartEditorPanel1.ChartLink = TChart1.ChartLink

end sub

Sub Window_Onload()

FillChart

End sub

Sub TChart1_OnAfterDraw()

End sub

</SCRIPT>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:B6C10489-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeeListBox1" WIDTH=200 HEIGHT=100

CLASSID="CLSID:B6C1052D-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeeCommander1" WIDTH=450 HEIGHT=35

CLASSID="CLSID:B6C10532-FB89-11D4-93C9-006008A7EED4">

</OBJECT>

<br></br>

<OBJECT ID="TeePreviewPanel1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:1FDB3FEB-A12B-4A8F-9BA7-CC342949D9AF">

</OBJECT>

<br></br>

<OBJECT ID="ChartGrid1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:F069C83A-876F-4C9D-B540-D761428606DB">

</OBJECT>

<br></br>

<OBJECT ID="ChartGridNavigator1" WIDTH=450 HEIGHT=35

CLASSID="CLSID:A92B03A8-D509-4D2F-A953-B26ED8498AB0">

</OBJECT>

<br></br>

<OBJECT ID="ChartPageNavigator1" WIDTH=450 HEIGHT=35

CLASSID="CLSID:C4BB55C5-9F2C-4B46-86F3-F3BB52A83B4E">

</OBJECT>

<br></br>

<OBJECT ID="ChartEditorPanel1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:2C37B0AD-0FF7-4E18-BF8A-B43469A2C414">

</OBJECT>

<br></br>

</BODY></HTML>


ITChart.OnDrawAxisLabel
ITChart

property OnDrawAxisLabel: TTChartOnDrawAxisLabel;

Type Library
TeeChartx

Description

Triggered when Drawing an Axis Label. Yuo can use this event to modify Label Font characteristics at plot time.

Example

Private Sub TChart1_OnDrawAxisLabel(ByVal Axis As Long, ByVal x As Long, ByVal y As Long, LabelText As String)

With TChart1

If Check1.Value Then

If Axis = 0 Then

If x <= .Axis.Bottom.CalcXPosValue(.Series(0).XValues.Maximum / 2) Then

.Canvas.Font.Bold = True

Else

.Canvas.Font.Bold = False

End If

End If

End If

End With

End Sub


IMapPolygon.GetPoints
IMapPolygon

property GetPoints: IPointArray;

Type Library
TeeChartx

Description
The GetPoints function returns the coordinates of all Points of the Polygon.


IGIFExport.methods
IGIFExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


ISeriesGroup.SeriesCount
ISeriesGroup

property SeriesCount: OleVariant;

Type Library
TeeChartx

Description

Returns the number of Series in the Group.


IAxes.AddCustom
IAxes

function AddCustom(IsHorizontal: WordBool): Integer;

Type Library
TeeChartx

Description
Add a Custom Axis. The IsHorizontal boolean variable should be set to false if a Vertical Axis is to be added. Use the Series VerticalAxisCustom/HorizontalAxisCustom properties to associate a Series with the new Axis


ITeeSelected.HoverIndex
ITeeSelected

property HoverIndex: Integer;

Type Library
TeeChartx


ITChart.RefreshData
ITChart

procedure RefreshData;

Type Library
TeeChartx

Description
The RefreshData method refreshes the Chart's pointer to the recordset enabling a Chart to move between dataset records.

Example [Visual Basic]:

Private Sub Command1_Click()

If rst.AbsolutePosition <> 1 Then

rst.MovePrevious

TChart1.RefreshData

End If

End Sub


ICandleSeries.methods
ICandleSeries Legend key

Type Library
TeeChartx

In ICandleSeries

AddCandle


ITeePreviewerOptions.properties
ITeePreviewerOptions Legend key

Type Library
TeeChartx

In ITeePreviewerOptions

AsBitmap
ChangeDetail
ChangeMargins
ChangePaperOrientation
ChangePrinter
DragImage
MoveImage
PrintPanel
ResizeImage
SetupPrinter


IMarksTail.Width
IMarksTail

property Width: Integer;

Type Library
TeeChartx

Description

Modifies Tail Width.


ISkewnessFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISkewnessFunction


ISeriesPointerItems.Clear
ISeriesPointerItems

procedure Clear;

Type Library
TeeChartx


IAxisLabels.Format
IAxisLabels

property Format: ITeeCustomShape;

Type Library
TeeChartx

Description
The shape object properties that will be used to display all automatic axis labels.

This includes font, color, gradient, etc.

Note: When the axis has custom labels (see Add method example), these formatting properties are not used.


ISurfaceSeries.WireFrame
ISurfaceSeries

property WireFrame: WordBool;

Type Library
TeeChartx

Description
Default False

When True, Surface polygons aren't filled. If Surface.Pen.Visible is True (default), Surface points are displayed as a "grid" or "wireframe", with lines connecting them.

Example [Visual Basic]:

TChart1.Series(0).asSurface.WireFrame = True

TChart1.Series(0).asSurface.Pen.Color = vbRed


IAxisLabels.ValueFormat
IAxisLabels

property ValueFormat: WideString;

Type Library
TeeChartx

Description
Default Value: '#,##0.###'

The ValueFormat specifies the desired formatting string to be applied to Axis Labels. It has effect when Axis associated Series have their XValues.DateTime or YValues.DateTime property set to False.

For DateTime Axis labels use the AxisLabels.DateTimeFormat property.

ValueFormat is a standard formatting string specifier.

Chart Axis uses it to draw the axis labels.

Chart Series uses it to draw the Marks.

Example

Format string-1234-12340.50

01234-123410

0.00 1234.00-1234.000.500.00

#.## 1234-1234.5

#,##0.001,234.00-1,234.000.500.00

#,##0.00;(#,##0.00)1,234.00(1,234.00)0.500.00

#,##0.00;;Zero 1,234.00-1,234.000.50Zero

0.000E+00 1.234E+03-1.234E+035.000E-010.000E+00

#.###E-0 1.234E3-1.234E35E-10E0


IActivityDonut.Color
IActivityDonut

property Color: OLE_COLOR;

Type Library
TeeChartx

Description

Activity Value colour


IArrowSeries.properties
IArrowSeries Legend key

Type Library
TeeChartx

In IArrowSeries

ArrowHeight
ArrowPercent
ArrowWidth
EndXValues
EndYValues
Fill2D
StartXValues
StartYValues

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IAlligatorFunction.properties
IAlligatorFunction Legend key

Type Library
TeeChartx

In IAlligatorFunction

LipsPen
TeethPen


IBaseHighLowSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseHighLowSeries


ITeeFont.properties
ITeeFont Legend key

Type Library
TeeChartx

In ITeeFont

Brush
Depth
Emboss
Gradient
InterCharSize
Outline
Picture
Quality
Shadow
SizeFloat

Derived from IChartFont

Bold
Charset
Color
Height
Italic
Name
PixelsPerInch
Size
Strikethrough
Underline


ISeriesTextField.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesTextField


ITextDTool.Rotation

IText3DTool.Rotation
IText3DTool

property Rotation: IFloatXYZ;

Type Library
TeeChartx

Description
Contains the X (Rotation), Y (Elevation) and Z (Tilt) properties to define a rotation.


IDrawLineTool.AddLine
IDrawLineTool

function AddLine(FromX, FromY, ToX, ToY: Double): Integer;

Type Library
TeeChartx

Description

Method Adds line by code to DrawLineTool's Line collection.

Values FromX,FromY,ToX,ToY as Axis values.

Example [Visual Basic]

Dim ToolIndex, LineIndex As Integer

With TChart1

ToolIndex = .Tools.Add(tcDrawLine)

With .Tools.Items(ToolIndex).asDrawLine

LineIndex = .AddLine(100, 100, 300, 300)

End With

End With


ICustomBoxSeries.WhiskerPen
ICustomBoxSeries

property WhiskerPen: IPen;

Type Library
TeeChartx

Description
Read WhiskerPen to obtain the Pen object that represents the color and style of the whisker lines. Use the properties of WhiskerPen to change the color or style of whisker lines.


ICrossTabSource.DataSet
ICrossTabSource

property DataSet: OleVariant;

Type Library
TeeChartx

Description
Sets the table or any other kind of dataset that contains the source records to use to create the crosstab chart.

This dataset must be open for the crosstab component to be able to access record values.

When the dataset is opened, the crosstab component will automatically start processing.


ICursorTool.HorizSize
ICursorTool

property HorizSize: Integer;

Type Library
TeeChartx

Description
Horiz size of Cursortool (full width if 0).


ITeeListBox.OnRemovedSeries
ITeeListBox

property OnRemovedSeries: TTeeListBoxOnRemovedSeries;

Type Library
TeeChartx

Description
This event is triggered when a Series is removed from a Chart.

Removing a Series can be done clicking the "Del" key on a TeeListBox.

It can also happen when the application is removing a Series (ie: TChart1.RemoveSeries (0)), so you can use the Chart ListBox OnRemovedSeries as an informative event.


IErrorPointSeries.properties
IErrorPointSeries Legend key

Type Library
TeeChartx

In IErrorPointSeries

Errors

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ICustomSeries.Outline
ICustomSeries See also

property Outline: IPen;

Type Library
TeeChartx

Description

Pen for Series Line's outer pen. The Line may consist of the LinePen and the Outer (border) Pen.

See also:
LinePen


IGaugeSeries.TotalAngle
IGaugeSeries

property TotalAngle: Double;

Type Library
TeeChartx

Description
Default : 90 degrees

Controls the size in degrees for the gauge axis.

Use together with RotationAngle property.


IADXFunction.DMUp
IADXFunction

property DMUp: ISeries;

Type Library
TeeChartx

Description
Access characteristics of the DMUp line (a FastLineSeries).


IChartGridNavigator.methods
IChartGridNavigator Legend key

Type Library
TeeChartx

In IChartGridNavigator

EnableButtons


IPieSeries.properties
IPieSeries Legend key

Type Library
TeeChartx

In IPieSeries

Angles
AngleSize
AutoMarkPosition
BevelPercent
Dark3D
DarkPen
EdgeStyle
ExplodeBiggest
ExplodedSlice
Gradient
GradientBright
MultiPie
OtherSlice
PieMarks
PiePen
PieValues
SliceHeight
Transparency
UniqueCustomRadius
UsePatterns

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ICurveFittingFunction.LastCalcPoint
ICurveFittingFunction

property LastCalcPoint: Integer;

Type Library
TeeChartx

Description
Default Value: -1

With FirstCalcPoint and LastCalcPoint properties you can restrict the subset of points CurveFittingFunction will use to calculate the polynomy coefficients and it's point values. Use FirstPoint and LastPoint to restrict the display range.

By default is -1, meaning all datasource points up to the last one will be used to perform the calculation.

The CheckDataSource method must be called after setting FirstPoint and LastPoint properties, forcing CurveFittingFunction to recalculate again all point values.

Example [Visual Basic]:

In this example LastCalcPoint is being used with FirstValueIndex / LastValueIndex to refit a fitted curve (CurveFitSeries1) to a 'zoomed' series (LineSeries1).

Private Sub TChart1_OnZoom()

With TChart1

If .Series(0).FirstValueIndex > 0 Then

.Series(1).FunctionType.asCurveFit.FirstCalcPoint = _

.Series(0).FirstValueIndex - 1

.Series(1).FunctionType.asCurveFit.LastCalcPoint = _

.Series(0).LastValueIndex

Else

.Series(1).FunctionType.asCurveFit.FirstCalcPoint = _

.Series(0).FirstValueIndex

.Series(1).FunctionType.asCurveFit.LastCalcPoint = _

.Series(0).LastValueIndex

End If

If .Series(0).LastValueIndex - .Series(0).FirstValueIndex > 6 Then

.Series(1).FunctionType.asCurveFit.FirstPoint = _

.Series(0).FirstValueIndex + 1

.Series(1).FunctionType.asCurveFit.LastPoint = _

.Series(0).LastValueIndex - 1

End If

.Series(0).CheckDataSource

End With

End Sub


ITChart.OnImageSeriesGetImage
ITChart

property OnImageSeriesGetImage: TTChartOnImageSeriesGetImage;

Type Library
TeeChartx

Description
Used specially for IImagePoint and IDeltaPoint Series.

An event is triggered for each Point drawn. Use OnGetImage to provide different images per point.


IBannerTool.ScrollDelay
IBannerTool

property ScrollDelay: Integer;

Type Library
TeeChartx

Description
Time in milliseconds between each Scroll step when Scroll is True.


ITitles.AdjustFrame
ITitles

property AdjustFrame: WordBool;

Type Library
TeeChartx

Description
Default: True.

The AdjustFrame property controls if Chart Header and Footer frames will be resized to full Chart dimensions or to the Title text width. It only has effect when Chart.Header or Chart.Footer.Frame.Visible property is True.


IDrawLine.StartPos
IDrawLine

property StartPos: ITeePoint2D;

Type Library
TeeChartx

Description
X, Y position of the Starting point of line.


IPieSeries.ExplodedSlice
IPieSeries

property ExplodedSlice: IExplodedSlices;

Type Library
TeeChartx

Description
Accesses the properties for exploding any Pie slice.


IDonutSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
IPieSeries
|
IDonutSeries


ITChart.OnOpenGLInit
ITChart

property OnOpenGLInit: TNotifyEvent;

Type Library
TeeChartx

Description
Event called when the OpenGL system is initialized.


ICustomAxes.ResetScales
ICustomAxes

procedure ResetScales(AIndex: Integer);

Type Library
TeeChartx


IFibonacciItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFibonacciItem


IExport.asXAML
IExport

property asXAML: IXAMLExport;

Type Library
TeeChartx

Description
Returns a string list filled will all chart contents in XAML export format.


ICustomGauge.properties
ICustomGauge Legend key

Type Library
TeeChartx

In ICustomGauge

CustomBounds
Face
Frame
Value


ITeeFunction.asDownSampling
ITeeFunction

property asDownSampling: IDownSamplingFunction;

Type Library
TeeChartx

Description
The asDownSampling property is used by the Teefunction Class to access Down Sampling Function specific properties.


ISmithSeries.CCirclePen
ISmithSeries

property CCirclePen: IPen;

Type Library
TeeChartx

Description
xCircle (reactance circle) pen.

Read CCirclePen to obtain the TChartPen object that represents the color and style of the CCircles of the Smith Series. Use the properties of CCirclePen to change the color or style.


ITeeListBox.AllowDeleteSeries
ITeeListBox

property AllowDeleteSeries: WordBool;

Type Library
TeeChartx

Description
Allow a Series to be deleted when True


IAxisBreaks.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxisBreaks


ICustomDPaletteSeries.PaletteStep

ICustom3DPaletteSeries.PaletteStep
ICustom3DPaletteSeries

property PaletteStep: Double;

Type Library
TeeChartx

Description
The interval amount between palette colors.

See PaletteMin, UsePaletteMin and PaletteSteps properties.


IEquiVolumeSeries.methods
IEquiVolumeSeries Legend key

Type Library
TeeChartx

Derived from ICandleSeries

AddCandle


ILegendTitle.Visible
ILegendTitle

property Visible: WordBool;

Type Library
TeeChartx

Description
Shows or hides Legend Title.


ITeeCorner.properties
ITeeCorner Legend key

Type Library
TeeChartx

In ITeeCorner

Style


IMapPolygon.Color
IMapPolygon

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Set Color property to specify the color to be used to fill the polygon.

Or to be used to draw the Brush pattern.


IDrawLineTool.ScreenPoint
IDrawLineTool

function ScreenPoint(X, Y: Integer): ITeePoint2D;

Type Library
TeeChartx

Description
This function returns the corresponding point-value on respectively the horizontal and vertical axis of a Screen position "P".


IErrorSeries.methods
IErrorSeries Legend key

Type Library
TeeChartx

Derived from ICustomErrorSeries

AddErrorBar

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


ICircleLabels.Rotated
ICircleLabels

property Rotated: WordBool;

Type Library
TeeChartx

Description
When true, rotates Labels around Circle.

Example [Visual Basic]:

With TChart1.Series(0)

.asPolar.CircleLabels.Visible = True

.asPolar.CircleLabels.Rotated = True

End With


ICircularFrame.RotationAngle
ICircularFrame

property RotationAngle: Integer;

Type Library
TeeChartx

Description
Determines the amount of rotation (in angle degrees from 0 to 360) for the whole frame.


ITeeOpenGL.LightColor
ITeeOpenGL

property LightColor: OLE_COLOR;

Type Library
TeeChartx

Description
Set colour of light source.


ITextExport.TextDelimiter
ITextExport

property TextDelimiter: WideString;

Type Library
TeeChartx

Description
Default ',' (comma).

Set character to use to delimit fields in the output data text file.


ICursorTool.ClickTolerance
ICursorTool

property ClickTolerance: Integer;

Type Library
TeeChartx

Description
Set pixel proximity tolerance for Clicks.


IMedianFunction.properties
IMedianFunction Legend key

Type Library
TeeChartx

Derived from ICustomSortedFunction

IncludeNulls


ISeriesAnimationTool.Delay
ISeriesAnimationTool

property Delay: Integer;

Type Library
TeeChartx

Description
Milliseconds to wait before the Animation starts

Default : 0


ISeries.asPolarBar
ISeries

property asPolarBar: IPolarBarSeries;

Type Library
TeeChartx

Description
The asPolarBar property is used by the Series Class to access PolarBar Series specific properties.


IPageNumTool.Format
IPageNumTool

property Format: WideString;

Type Library
TeeChartx

Description
The Format property defines the format of the PageNumTool text string.

Example [Visual Basic]

Private Sub Form_Load()

Dim MyTool1 As Integer

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

MyTool1 = .Tools.Add(tcPageNumber)

With .Tools.Items(MyTool1).asPageNum

.Format = "This is page number %d of %d"

End With

End With

End Sub


ITeeFunction.asAlligator
ITeeFunction

property asAlligator: IAlligatorFunction;

Type Library
TeeChartx

Description
The asAlligatory is used by the Teefunction Class to access Alligator specific properties.


ICustomDPaletteSeries.ClearPalette

ICustom3DPaletteSeries.ClearPalette
ICustom3DPaletteSeries

procedure ClearPalette;

Type Library
TeeChartx

Description
The ClearPalette method deletes all Palette information. Usually you should call AddPalette after calling ClearPalette.

Example [Visual Basic]:

This code creates a customized color Palette:

With TChart1

.Series(1).asSurface.ClearPalette

.Series(1).asSurface.AddPalette 1000, vbRed

.Series(1).asSurface.AddPalette 2000, vbYellow

.Series(1).asSurface.AddPalette 3000, vbGreen

.Repaint

End With


ISelectorTool.AllowResizeChart
ISelectorTool

property AllowResizeChart: WordBool;

Type Library
TeeChartx

Description
When true, the end user can use the mouse to resize the Chart.


IDrawLineList.Clear
IDrawLineList

procedure Clear;

Type Library
TeeChartx

Description
Removes the all the items in the DrawLineList.


IPyramidSeries.properties
IPyramidSeries Legend key

Type Library
TeeChartx

In IPyramidSeries

SizePercent


ISeriesStatsTool.methods
ISeriesStatsTool Legend key

Type Library
TeeChartx

In ISeriesStatsTool

FreeStatsSeries
Kurtosis
Mean
Skewness
StdDeviation


IColorGridSeries.ZGridEvery
IColorGridSeries

property ZGridEvery: Integer;

Type Library
TeeChartx

Description
Default is 1.

Indicates how many lines to skip when drawing the horizontal grid lines.


TTChartOnSeriesContourBeforeDrawLevel

type TTChartOnSeriesContourBeforeDrawLevel = procedure(ASender: TObject; SeriesIndex, LevelIndex: Integer) of object;

Type Library
TeeChartx

Description
Called just before drawing each level segments.

Use this event to customize the pen used to draw each level segments, for example.


IExport.ConvertTeeFileToText
IExport

procedure ConvertTeeFileToText(Const InputFile, OutputFile: WideString);

Type Library
TeeChartx

Description
Converts an input .tee template file to text only output file. Useful for debugging/viewing parameters set in a .tee template.


IGridBandTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis
|
IGridBandTool


IHorizBoxPlotSeries.MinYValue
IHorizBoxPlotSeries

function MinYValue: Double;

Type Library
TeeChartx

Description
Returns the Minimum Value of the Series Y Values Lists. As some Series have more than one Y Values List, this Minimum Value is the "Minimum of Minimums" of all Series Y Values lists.


IExport.LabelHeader
IExport

property LabelHeader: WideString;

Type Library
TeeChartx

Description
Allow to change the Header of the Field Label for Exports.

Example [Visual Basic]:

With TChart1.Export

.LabelHeader = "MyLabel"

.asText.IncludeLabels = True

.asText.IncludeHeader = True

.asText.SaveToFile "c:\TeeText.txt"

End With


IPen.Width
IPen

property Width: Integer;

Type Library
TeeChartx

Description
The Width property determines the width of lines the pen draws.

Warning:

When drawing to Screen, the Width is expressed in pixels. When drawing to Printer or to Metafile canvases, the Pen Width will be converted based on TChart.Detail property.

Windows GDI has a special Width value of "0", that corresponds to the minimum pen width the drawing device supports.


ICustomDPaletteSeries.CreateRangePalette

ICustom3DPaletteSeries.CreateRangePalette
ICustom3DPaletteSeries

procedure CreateRangePalette;

Type Library
TeeChartx

Description
CreateRangePalette creates a multi-color Palette used to fill Surface polygons. It uses the PaletteSteps property value to define the number of different colors in the Palette.


ITeeCommanderButton.Hide
ITeeCommanderButton

procedure Hide;

Type Library
TeeChartx

Description
Hides the specified TeeCommander button.


IMapSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
IMapSeries


IClockGauge.CustomTime
IClockGauge

property CustomTime: WordBool;

Type Library
TeeChartx


IColorLineTool.Annotation
IColorLineTool

property Annotation: IAnnotationTool;

Type Library
TeeChartx


ICircularGauge.CircularFrame
ICircularGauge

property CircularFrame: IFramedBorder;

Type Library
TeeChartx

Description
Accesses to the circular Frame properties and methods.


IContourSeries.Pointer
IContourSeries

property Pointer: IPointer;

Type Library
TeeChartx

Description
Plots a Series Pointer at each calculated Segment point.


IQTClustering.MaxDiameter
IQTClustering

property MaxDiameter: Integer;

Type Library
TeeChartx


ITChart.OnColorLineToolBeginDragLine
ITChart

property OnColorLineToolBeginDragLine: TNotifyEvent;

Type Library
TeeChartx

Description
Event called when the end-users starts dragging the color line clicking it with the mouse.


ITeeScrollBar.ThumbSize
ITeeScrollBar

property ThumbSize: Integer;

Type Library
TeeChartx


IPieMarks.VertCenter
IPieMarks

property VertCenter: WordBool;

Type Library
TeeChartx

Description
Default : False

Setting it to "True" the mark leg will ends at the center to the mark shape, instead of the mark corner.


IEquiVolumeSeries.PointGap
IEquiVolumeSeries

property PointGap: Integer;

Type Library
TeeChartx

Description
Gap in pixels between each EquiVolume Bar


ITeeScrollBar.AllowResize
ITeeScrollBar

property AllowResize: WordBool;

Type Library
TeeChartx


IErrorSeries.properties
IErrorSeries Legend key

Type Library
TeeChartx

Derived from ICustomErrorSeries

ErrorPen
ErrorStyle
ErrorValues
ErrorWidth
ErrorWidthUnits

Derived from IBarSeries

BarWidth

Derived from ICustomBarSeries

AutoBarSize
AutoMarkPosition
BarBrush
BarPen
BarRound
BarStyle
BarWidthPercent
BevelSize
ConePercent
Dark3D
DarkPen
DepthPercent
Emboss
Gradient
GradientRelative
MarksLocation
MarksOnBar
MultiBar
OffsetPercent
Origin
RoundSize
Shadow
SideMargins
StackGroup
TickLines
Transparency
UseOrigin


IAxis.MaximumRound
IAxis

property MaximumRound: WordBool;

Type Library
TeeChartx

Description
Round Axis Maximum to nearest Integer value.


ISmoothingFunction.Interpolate
ISmoothingFunction

property Interpolate: WordBool;

Type Library
TeeChartx

Description
Default : False

When True, resulting smooth curves will pass exactly over source points.

When False, the smooth curves will not necessarily pass over source points.

Example [Visual Basic]:

Private Sub Check3_Click()

TChart1.Series(1).FunctionType.asSmoothing.Interpolate = Check3.Value = 1

End Sub


IEPSExport.methods
IEPSExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


IMapSeries.Pointer
IMapSeries

property Pointer: IPointer;

Type Library
TeeChartx


ISubChartTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISubChartTool


IImport.LoadFromURL
IImport

procedure LoadFromURL(Const URL: WideString);

Type Library
TeeChartx

Description
LoadFromURL loads a .tee format Chart template file. The native TeeChart format files are an efficient way to store Chart definition and (optionally) data.

Example [Visual Basic]:

TChart1.Import.LoadFromURL("http://www.myweb.com/mychart.tee")


IImport.methods
IImport Legend key

Type Library
TeeChartx

In IImport

LoadFromBase64Stream
LoadFromFile
LoadFromStream
LoadFromURL


ILegend.BackImageClear
ILegend

procedure BackImageClear;

Type Library
TeeChartx

Description
Clears Legend Back image.


ICustomErrorSeries.methods
ICustomErrorSeries Legend key

Type Library
TeeChartx

In ICustomErrorSeries

AddErrorBar

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


ISeries.asRose
ISeries

property asRose: IRoseSeries;

Type Library
TeeChartx

Description
The asRose property is used by the Series Class to access Rose Series specific properties.


IATRFunction.IncludeNulls
IATRFunction

property IncludeNulls: WordBool;

Type Library
TeeChartx


IChartGridNavigator.properties
IChartGridNavigator Legend key

Type Library
TeeChartx

In IChartGridNavigator

Color
Grid
GridLink
GridLinkx64


IExport.asXLSX
IExport

property asXLSX: IXLSObjectExport;

Type Library
TeeChartx


IAxis.MinorTicks
IAxis

property MinorTicks: IPen;

Type Library
TeeChartx

Description
The MinorTicks property is the Pen used to draw the Axis Minor ticks. Minor ticks will only be displayed if MinorTicks.Visible is True.

MinorTicks Example

This code changes the Axis Minor tick pen:

Delphi

With TChart1.Axis.Bottom do

begin

MinorTickCount := 5 ;

MinorTickLength := 8 ; { pixels }

MinorTicks.Visible := True ;

MinorTicks.Color := clRed ;

MinorTicks.Width := 2 ;

end;

Visual Basic

With TChart1.Axis.Bottom

.MinorTickCount = 5

.MinorTickLength = 8

.MinorTicks.Visible = True

.MinorTicks.Color = vbYellow

.MinorTicks.Width = 2

End With


ITeeCommander.Vertical
ITeeCommander

property Vertical: WordBool;

Type Library
TeeChartx

Description
The Vertical property enables/disables the display of the TeeCommander in a vertical position.

Example [Visual Basic]:

Dim OrigHeight

Private Sub Command1_Click()

With TeeCommander1

.Vertical = True

.Top = 0

.Height = Me.ScaleHeight

.Left = 0

.Width = 550

TChart1.Left = .Left + .Width

TChart1.Top = .Top

TChart1.Width = Me.ScaleWidth - .Width

TChart1.Height = OrigHeight + 550

End With

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeCommander1

.Chart = TChart1

.Top = 0

.Height = 550

.Left = 0

.Width = Me.ScaleWidth - 35

TChart1.Left = .Left

TChart1.Width = .Width

End With

OrigHeight = TChart1.Height

End Sub


IArrowTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IArrowTool


IGaugeRange.Format
IGaugeRange

property Format: IGaugePointerRange;

Type Library
TeeChartx


IChartGrid.Colwidths
IChartGrid See also

property Colwidths[Index: Integer]: Integer;

Type Library
TeeChartx

Description
This property is deprecated due to limitation of support for indexed properties for ActiveX components in MS Visual Studio .NET. Please use instead the Cols.Widths property.

Read ColWidths to determine the width of the cells in the column specified by the Index parameter. An index of 0 refers to the first column. Set ColWidths at runtime to change the width of an individual column.

If the width of a column has not been set explicitly by resizing with the mouse, or by using the ColWidths property, its width is DefaultColWidth.

Use the ColCount property to determine the number of entries in the ColWidths array.

See also:
IChartGridCols.Widths


ITeeOpenGL.methods
ITeeOpenGL Legend key

Type Library
TeeChartx

In ITeeOpenGL

ShowEditor


ITeeCustomShape.Bevel
ITeeCustomShape

property Bevel: EPanelBevel;

Type Library
TeeChartx

Description

Bevel style


IXLSObjectExport.methods
IXLSObjectExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


IKnobGauge.ActiveCenter
IKnobGauge

property ActiveCenter: WordBool;

Type Library
TeeChartx

Description
With ActiveCenter true, you can change the Knobgauge value by mousedragging on the centre hub.


ITeeCustomAnimation.Animations
ITeeCustomAnimation

property Animations: IAnimations;

Type Library
TeeChartx


IFunnelSeries.LinesPen
IFunnelSeries

property LinesPen: IPen;

Type Library
TeeChartx

Description
Read LinesPen to obtain the IPen object that represents the color and style of the FunnelSeries bounding polygon. Use the properties of LinesPen to change the color or style of the FunnelSeries bounding polygon.


IAverageFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAverageFunction


ICrossTabSource.LabelField
ICrossTabSource

property LabelField: WideString;

Type Library
TeeChartx

Description
The field in the dataset used to add labels (text) to series points.


IPointFigureSeries.AddOHLC
IPointFigureSeries

function AddOHLC(DateValue, OpenValue, HighValue, LowValue, CloseValue: Double): Integer;

Type Library
TeeChartx

Description
The AddOHLC function appends a new Stock Market point to the Series. This function returns the corresponding point index for the new added point.


IScrollPagerTool.SubChartTChart
IScrollPagerTool

property SubChartTChart: ISubChartChart;

Type Library
TeeChartx


ISeriesList.Groups
ISeriesList

property Groups: ISeriesGroups;

Type Library
TeeChartx

Description

The list of Groups.

Chart Series can be grouped in different groups using this property.


ITeeShapeItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeShapeItem


IShapeCallout.properties
IShapeCallout Legend key

Type Library
TeeChartx

In IShapeCallout

PointPosition
Position
Side
Size
Width


ITChart.OnGetLegendPos
ITChart

property OnGetLegendPos: TTChartOnGetLegendPos;

Type Library
TeeChartx

Description
An OnGetLegendPos event occurs whenever a Legend item is going to be displayed.

You can used this event to force specific X , Y and / or XColor Legend pixel coordinates.

The Chart class calculates the default X,Y and XColor parameters before calling this event.

The Sender parameter is the TChart class that originated the event.

The Index parameter corresponds to the specific Legend item number going to be displayed. It can be either an Active Series Title or a Series point index, depending on the Legend.LegendStyle property.

Example [Visual Basic]:

Private Sub TChart1_OnGetLegendPos(ByVal ItemIndex As Long, X As Long, Y As Long, XColor As Long)

'Move Legend contents

X = X - 10

Y = Y + 5

XColor = XColor - 10

End Sub


IArrowTool.Percent
IArrowTool

property Percent: Double;

Type Library
TeeChartx

Description
Sets the width of the arrow line as a percentage of the arrow head width.


IEmbossFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IConvolveFilter
|
IEmbossFilter


IGaugeSeriesPointer.methods
IGaugeSeriesPointer Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


ICustomBarSeries.AutoMarkPosition
ICustomBarSeries

property AutoMarkPosition: WordBool;

Type Library
TeeChartx

Description
Default: True

The AutoMarkPosition property controls if Marks on BarSeries will be repositioned if there's the possibility of Mark overlapping. Marks are displaced to the top of the Bars to minimize the overlapping effect of Marks with long text or big font sizes.

When False, no checking is performed and all Marks are drawn at their Mark.ArrowLength

distance to the top of the Bar.


IAxes.Right
IAxes

property Right: IAxis;

Type Library
TeeChartx

Description
The Axis.Right property (RightAxis) determines the Labels and formatting attributes of Right Chart side. It also controls where Series points will be placed.

Every TChart class has four Axis: Left, Top, Right and Bottom.

Refer to Axis help topic for a complete description.


ICustomBoxSeries.UseCustomValues
ICustomBoxSeries

property UseCustomValues: WordBool;

Type Library
TeeChartx

Description
default value = False

Set the UseCustomValues property to True if you want to override internal algorithm to construct a box plot.

Default (internal) algorithm does the following steps:

1. Finds the sample Median, Quartile1, Quartile3 and IQR value.

2. Finds InnerFence1 and InnerFence3 by using the following equation:

InnerFence1 = Quartile1 - WhiskerLength*IQR

InnerFence3 = Quartile3 + WhiskerLength*IQR

3. Finds AdjacentPoint1 and AdjacentPoint3

4. Finds OuterFence1 and OuterFence3 by using the following equation:

OuterFence1 = Quartile1 - 2*WhiskerLength*IQR

OuterFence3 = Quartile3 + 2*WhiskerLength*IQR

5. Constructs a box with ends at Quartile1 and Quartile3 with an interior line draw at the Median.

6. Indicates adjacent points and connects them to the box with lines. Locates any data points falling between the inner and outer fences and denotes them by a symbol. These points are considered to be mild outliers. Indicates data points that fall beyond the outer fences by another symbol. These points are considered to be extreme outliers.

NOTE :If you set the UseCustomValues to True then you must also define Median, Quartile1, Quartile3, InnerFence1, InnerFence3, OuterFence1, OuterFence3, AdjacentPoint1 and AdjacentPoint3 properties.


IJavaScriptExport.CustomCode
IJavaScriptExport

property CustomCode: IStrings;

Type Library
TeeChartx

Description
Advanced use only. Use this property to set Javascript codelines to be run after other automatically generated TeeChart code and before the Chart's '.draw' call.


IMarksCallout.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
ICallout
|
IMarksCallout


IPNGExport.methods
IPNGExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


ICircularGauge.Circled
ICircularGauge

property Circled: WordBool;

Type Library
TeeChartx

Description

Sets CirleSeries as elliptical or circular.


IChartPageNavigator.properties
IChartPageNavigator Legend key

Type Library
TeeChartx

In IChartPageNavigator

Color

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IPen.EndStyle
IPen

property EndStyle: EPenEndStyle;

Type Library
TeeChartx

Description
The EndStyle is supported in Windows NT, 2000 or XP only.

This property determines the "ending style" of a Pen when drawing lines.

The pen Width should be bigger than zero for EndStyle to have a noticeable visual effect.

There are 3 types of "ending style" (round, square of flat).

Please refer to Windows API SDK help file for CreatePen function for more information.

Under Windows 95,98 and Me, this property is not used, and the Chart Pen Editor dialog hides the combobox used to change this property.


IJavaScriptExport.properties
IJavaScriptExport Legend key

Type Library
TeeChartx

In IJavaScriptExport

CanvasName
ChartName
CustomCode
DoFullPage
SourceScriptPath

Derived from IExportFormat

Height
Width


ILegendTitle.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ITeeShape
|
ILegendTitle


ITeeListBoxSection.Width
ITeeListBoxSection

property Width: Integer;

Type Library
TeeChartx

Description
Gets or Sets thw Width of the Section specified as parameter.


ISeries.asGauge
ISeries

property asGauge: IGaugeSeries;

Type Library
TeeChartx

Description
The asGauge property is used by the Series Class to access Gauge Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


ITChart.SeriesCount
ITChart

property SeriesCount: Integer;

Type Library
TeeChartx

Description
This is the number of Series (Active or not) a Chart has.

SeriesCount Example

Delphi

for t := 0 to TChart1.SeriesCount - 1 do

TChart1.Series[ t ].Color := clRed ;

Visual Basic

For t = 0 To TChart1.SeriesCount - 1

TChart1.Series(t).Color = vbRed

Next t


IFunnelSeries.QuotesSorted
IFunnelSeries

property QuotesSorted: WordBool;

Type Library
TeeChartx

Description
Default value = false

The QuotesSorted property defines if added segments are already sorted by QuoteValues in descending order. Setting QuotesSorted to false will enable the internal sorting algorithm.


IAnnotationTool.Position
IAnnotationTool

property Position: EAnnotationPosition;

Type Library
TeeChartx

Description
The Position property defines a default position for the Annotation Tool text box and text. The options are:

ppLeftBottom

ppLeftTop

ppRightBottom

ppRightTop

Example [Visual Basic]:

With TChart1

.Tools.Add tcAnnotate

With .Tools.Items(0).asAnnotation

.Active = True

.Position = ppRightBottom

.Shape.Gradient.Visible = True

.Shape.ShapeStyle = fosRoundRectangle

.Shape.Font.Name = "Verdana"

.Text = "My Text"

End With

End With


IMarksTipTool.properties
IMarksTipTool Legend key

Type Library
TeeChartx

In IMarksTipTool

Delay
Format
HideDelay
MouseAction
Style
SystemHints

Derived from ICustomToolSeries

Series


IKurtosisFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IKurtosisFunction


ISeries.IsNull
ISeries

function IsNull(ValueIndex: Integer): WordBool;

Type Library
TeeChartx

Description
Use IsNull to determine if the Point value at the Valueindex is null. See also, the AddNull.


ISeriesBandTool.Gradient
ISeriesBandTool

property Gradient: IGradient;

Type Library
TeeChartx

Description
Use this property to set the gradient used to fill the Series Bands.


IBrush.LoadImage
IBrush

procedure LoadImage(Const FileName: WideString);

Type Library
TeeChartx

Description
The LoadImage method loads a bitmap into an IBrush element from the specified path.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).asBar.BarBrush.ClearImage

End Sub

Private Sub Form_Load()

TChart1.AddSeries scBar

TChart1.Series(0).FillSampleValues 7

TChart1.Series(0).asBar.BarBrush.LoadImage "C:\TestFiles\BrushStyles\TeeBrush10.bmp"

End Sub


IColorGridSeries.MaxYValue
IColorGridSeries

function MaxYValue: Double;

Type Library
TeeChartx

Description
The MaxYValue function returns the highest of all the current Series Y point values.


IRotateTool.Description
IRotateTool

function Description: WideString;

Type Library
TeeChartx

Description
This function returns the description of the Chart Tool. In this case the function returns 'Rotate'.


IPointFigureSeries.properties
IPointFigureSeries Legend key

Type Library
TeeChartx

In IPointFigureSeries

BoxSize
CloseValues
DateValues
DownSymbol
HighValues
LowValues
OpenValues
ReversalAmount
UpSymbol

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IDownSamplingFunction.DownSampleMethod
IDownSamplingFunction

property DownSampleMethod: EDownSampleMethod;

Type Library
TeeChartx

Description

Defines the SampleMethod method for the reduction.


ISeries.asTagCloud
ISeries

property asTagCloud: ITagCloudSeries;

Type Library
TeeChartx

Description
Access to TagCloudSeries specific properties.


ICustomDSeries.AddArrayXYZ

ICustom3DSeries.AddArrayXYZ
ICustom3DSeries

procedure AddArrayXYZ(XArray, YArray, ZArray: OleVariant);

Type Library
TeeChartx

Description
The AddArrayXYZ method adds arrays of new points to a 3D Series.

Example [Visual Basic]

Private Sub Form_Load()

Dim ZArray() As Double

Dim YArray() As Double

Dim XArray() As Double

Dim CountVal As Integer

Dim HalfPi As Double

TeeCommander1.Chart = TChart1

With TChart1

.AddSeries scSurface

.Aspect.Orthogonal = False

.Legend.Visible = False

.Aspect.Chart3DPercent = 100

.Aspect.Zoom = 80

End With

ReDim ZArray(14000)

ReDim YArray(14000)

ReDim XArray(14000)

CountVal = 0

HalfPi = 3.142 / 2

For i = 0 To 199

For j = 0 To 69

XArray(CountVal + j) = i

ZArray(CountVal + j) = j

YArray(CountVal + j) = Cos(Abs((XArray(CountVal + j) / 20) - HalfPi)) _

* Sin(ZArray(CountVal + j) / 20)

Next j

CountVal = (i + 1) * 70

Next i

With TChart1.Series(0)

.asSurface.IrregularGrid = True

.asSurface.AddArrayXYZ XArray, YArray, ZArray

End With

End Sub


ICanvas.GradientFill
ICanvas

procedure GradientFill(Left, Top, Right, Bottom: Integer; StartColor, EndColor: OLE_COLOR; Direction: EGradientDirection);

Type Library
TeeChartx

Description
The GradientFill method is used to fill a Screen area with multi-colored lines to obtain a nice shadow effect and coloured backgrounds. The Chart.Gradient component uses this method internally.


IBlurFilter.Steps
IBlurFilter

property Steps: Integer;

Type Library
TeeChartx

Description
Increase the steps to increase blur cycles over the same area (in effect increasing blur).


ITeeCommander.Enabled
ITeeCommander

property Enabled: WordBool;

Type Library
TeeChartx

Description
Enables/disables TeeCommander.


ICursorTool.XVal
ICursorTool

property XVal: Double;

Type Library
TeeChartx

Description
The XVal property defines a series XValue along which the vertical component (if activated) of the Cursor Tool will be drawn.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 20

.Tools.Add tcCursor

.Tools.Items(0).Active = True

With .Tools.Items(0).asTeeCursor

.Style = cssBoth

End With

.Environment.InternalRepaint

With .Tools.Items(0).asTeeCursor

.XVal = 10

.YVal = 50

End With

End With


IClockHand.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShapeBrushPen
|
IClockHand


ISeries.asCircularGauge
ISeries

property asCircularGauge: ICircularGauge;

Type Library
TeeChartx

Description

The asCircularGauge property is used by the Series Class to access CircularGauge Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


ITrendFunction.CalculateTrend
ITrendFunction

function CalculateTrend(Var m, b: Double; SourceSeriesIndex, FirstIndex, LastIndex: Integer): Integer;

Type Library
TeeChartx

Description
Used to Calculate the Trend of the specified Series.


IAxisLabels.OnAxis
IAxisLabels

property OnAxis: WordBool;

Type Library
TeeChartx

Description
Default Value: True

The AxisLabels' OnAxis property controls if Labels just at Axis Minimum and Maximum positions will be shown or NOT.

Set it to False, for example, to remove the "0" zero axis Label when Axis scales are from 0 to 1001:

Example: [Visual Basic]:

TChart1.Axis.Left.SetMinMax 0, 1001

TChart1.Axis.Left.Labels.OnAxis = False

When TChart1.Aspect.View3D is True, Axis scales can vary to adapt Series minimum and maximum point dimensions.


IVectorDSeries.MaxZValueVector

IVector3DSeries.MaxZValueVector
IVector3DSeries

function MaxZValueVector: Double;

Type Library
TeeChartx

Description
Use this method to return the Vector MaxZValueVector.


IRoseSeries.properties
IRoseSeries Legend key

Type Library
TeeChartx

In IRoseSeries

MultiRose

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ILegendScrollBarTool.AutoRepeat
ILegendScrollBarTool

property AutoRepeat: WordBool;

Type Library
TeeChartx

Description
When True (the default), the scrollbar will repeat mouse clicks when leaving the mouse button pressed.


IGaugeHands.methods
IGaugeHands Legend key

Type Library
TeeChartx

In IGaugeHands

Add


ICustomGaugeMinMax.Maximum
ICustomGaugeMinMax

property Maximum: Double;

Type Library
TeeChartx

Description

Gets or sets the maximum value for the gauge.


IAxisTitle.Visible
IAxisTitle

property Visible: WordBool;

Type Library
TeeChartx

Description
Default: True

The Visible property displays or hides the axis title.


ICustomDPaletteSeries.PaletteMin

ICustom3DPaletteSeries.PaletteMin
ICustom3DPaletteSeries

property PaletteMin: Double;

Type Library
TeeChartx

Description
The starting value used to calculate the color palette.

Used only when UsePaletteMin property is True.

By default, the palette is made starting at series minimum Y value.


IHueLumSatFilter.Saturation
IHueLumSatFilter

property Saturation: Integer;

Type Library
TeeChartx

Description
Gets or sets the amount to change each pixel Saturation component.

Saturation means how strong is the color component of the pixel.

Valid range of values is from -255 to 255.


ISeries.GetMousePoint
ISeries

function GetMousePoint: Integer;

Type Library
TeeChartx

Description
The GetMousePoint function returns the Series point index which is close to the mouse Screen coordinates. It returns -1 if there's no point close to the mouse cursor position.

Example [Visual Basic]:

This code displays the point Label text under the mouse cursor:

Private Sub TChart1_OnMouseDown(ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)

Dim tmp As Integer

tmp = TChart1.Series(0).GetMousePoint

If tmp > -1 Then

MsgBox TChart1.Series(0).XValues.Value(tmp)

End If

End Sub


IContourMarks.AtSegments
IContourMarks

property AtSegments: WordBool;

Type Library
TeeChartx

Description
When True places Marks on Level Segments.


ICircledSeries.YCenter
ICircledSeries

property YCenter: Integer;

Type Library
TeeChartx

Description
Run-time and read only. The YCenter public property returns the exact ellipse's center vertical position in pixels. The ellipse's radius is determined by CircledSeries.XRadius and YRadius properties. The AngleToPoint function converts from angles to X and Y Screen coordinates. The PointToAngle function converts from XY Screen positions to angles.


IAxisLabels.Add
IAxisLabels

function Add(Value: Double; Const Text: WideString): Integer;

Type Library
TeeChartx

Description
Adds a new custom axis label to list.

Returns axis item object representing the new label.

Example [Visual Basic]:

Private Sub AddCustomLabels()

TChart1.Axis.Left.Labels.Clear

TChart1.Axis.Left.Labels.Add 123, "Hello"

TChart1.Axis.Left.Labels.Item(0).Font.Size = 16

TChart1.Axis.Left.Labels.Add 466, "Good" & Chr(13) & "Bye"

TChart1.Axis.Left.Labels.Item(1).Transparent = False

TChart1.Axis.Left.Labels.Add 300, ""

TChart1.Axis.Left.Labels.Add -100, ""

With TChart1.Axis.Left.Labels.Item(3)

.Transparent = False

.Transparency = 50

.Color = vbBlue

End With

End Sub


IPolygonSeries.methods
IPolygonSeries Legend key

Type Library
TeeChartx

Derived from ISeries

Add
AddArray
AddNull
AddNullXY
AddXY
AppendArray
AssignValues
BeginUpdate
CalcXPos
CalcXPosValue
CalcXSizeValue
CalcYPos
CalcYPosValue
CalcYSizeValue
CheckDataSource
Clear
Clicked
CountLegendItems
Delete
DeleteRange
DisconnectAxisCustom
EndUpdate
FillSampleValues
FreeDatasource
Get_asActivityGauge
Get_asEqualizerSeries
GetMousePoint
IsNan
IsNull
IsValidSeriesSource
IsValidSourceOf
LegendItemColor
LegendString
LegendToValueIndex
MaxVisibleValue
MinVisibleValue
RefreshSeries
SetFunction
SetNull
SortByLabels
SwapValues
UseAxis
VisibleCount
XScreenToValue
XValueToText
YScreenToValue
YValueToText


ITChart.Export
ITChart

property Export: IExport;

Type Library
TeeChartx

Description
Use the TChart.Export property to access Chart export properties and methods.

Example [Visual Basic]:

TChart1.Export.SaveToBitmapFile("c:\temp\mychart.bmp")


IAntiAliasTool.Antialias
IAntiAliasTool

property Antialias: WordBool;

Type Library
TeeChartx

Description
AntiAlias Active when True.


IClockSeries.PenHours
IClockSeries

property PenHours: IPen;

Type Library
TeeChartx

Description

Pen for the Clock's hour hand.


IExpandAnimation.Trigger
IExpandAnimation

property Trigger: EAnimationTrigger;

Type Library
TeeChartx


ITChart.ExchangeSeries
ITChart

procedure ExchangeSeries(Series1, Series2: Integer);

Type Library
TeeChartx

Description
This method changes the Series order, swapping one Series Z position with another. The Chart repaints to reflect the new Series order. It accesses TChart.SeriesList property.


IPrinterSettings.PrintQuality
IPrinterSettings

property PrintQuality: SmallInt;

Type Library
TeeChartx

Description
Specifies the printer resolution. There are four predefined device-independent values:

DMRES_HIGH: -1

DMRES_MEDIUM: -2

DMRES_LOW: -3

DMRES_DRAFT: -4

If a positive value is specified, it specifies the number of dots per inch (DPI) and is therefore device dependent.


IPanel.BackImage
IPanel

property BackImage: IBackImage;

Type Library
TeeChartx

Description
Accesses to the BackImage properties and methods.


ISeries.ZOrder
ISeries

property ZOrder: Integer;

Type Library
TeeChartx

Description
Read-only and run time.

The ZOrder property returns at which position along the depth axis the Series is drawn.

It's valid only when TChart.Aspect.View3D property is True and when there's more than one Series in same chart.

You can't alter the ZOrder property directly. If you want a different order you need to use the TChart.SeriesList property instead.

The ZOrder property is calculated for each Series just before the Chart is drawn.

The TChart.ApplyZOrder property controls if Series will be assigned a different Z position or not. When False, all Series are drawn at same Z plane.

The TChart.MaxZOrder property returns the highest of all Series ZOrder values.

See the "LastValu.PAS" example unit for a demo of ZOrder.


ITeeAnimate.State
ITeeAnimate

property State: EAnimationState;

Type Library
TeeChartx


ITools.asLight
ITools

property asLight: ILightTool;

Type Library
TeeChartx

Description
The asLight property is used by the Tools Class to access Light Tool specific properties.


ITeeCustomShapeBrushPen.Pen
ITeeCustomShapeBrushPen

property Pen: IPen;

Type Library
TeeChartx


ITChart.OnKeyUp
ITChart

property OnKeyUp: TTChartOnKeyUp;

Type Library
TeeChartx

Description

When the Chart has focus the event triggers when a pressed key is released.


IPointer.HorizontalSize
IPointer

property HorizontalSize: Integer;

Type Library
TeeChartx

Description
Default Value: 4

The HorizontalSize property specifies the Series Pointer width in logical pixels.

Series that derive from PointSeries usually override the HorizontalSize and VerticalSize properties.

For example, BubbleSeries uses the Radius property to determine the correct HorizontalSize and VerticalSize, so these properties have no effect in that Series.


ITeeBasePath.Close
ITeeBasePath

procedure Close;

Type Library
TeeChartx


IPointArray.Item
IPointArray

property Item[Index: Integer]: ITeePoint2D;

Type Library
TeeChartx

Description
Allows access to the individual points in the array.


ITeeShapePosition.CustomPosition
ITeeShapePosition

property CustomPosition: WordBool;

Type Library
TeeChartx

Description
Default = False

Set to True to permit custom positioning of Shape.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Tools.Add tcAnnotate

With .Tools.Items(0).asAnnotation

.Shape.CustomPosition = True

.Shape.Left = 200

.Shape.Top = 200

.Text = "Custom Position"

End With

End With

End Sub


IStrings.methods
IStrings Legend key

Type Library
TeeChartx

In IStrings

Add
Clear
Count
Remove


ICircledSeries.CircleHeight
ICircledSeries

property CircleHeight: Integer;

Type Library
TeeChartx

Description
Runtime and Read only.

The CircleHeight property returns the height of the bounding Circle.


IDonutSeries.methods
IDonutSeries Legend key

Type Library
TeeChartx

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IAxisLabels.Selected
IAxisLabels

property Selected: ITeeSelected;

Type Library
TeeChartx


IFastLineSeries.AddRealTime
IFastLineSeries

function AddRealTime(X, Y: Double; Const SomeLabel: WideString; SomeColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddRealTime method adds new points to a FastLineSeries. It is quicker than any of the other Add methods as only the new point is painted. AddRealTime should be used for high performance Charts.

Example [Visual Basic]:

Dim t As Integer

Private Sub Form_Load()

With TChart1

.AddSeries scFastLine

.TimerEnabled = True

.TimerInterval = 100

End With

End Sub

Private Sub TChart1_OnTimer()

t = t + 1

TChart1.Series(0).asFastLine.AddRealTime t, Cos(t), "", clTeeColor

End Sub


ILegendPaletteTool.Vertical
ILegendPaletteTool

property Vertical: WordBool;

Type Library
TeeChartx

Description
Default is True.

Defines the legend orientation.


IChartGrid.LabelHeader
IChartGrid

property LabelHeader: WideString;

Type Library
TeeChartx

Description
Allows to change the Header of the Field Label.

Example [Visual Basic]:

ChartGrid1.LabelHeader = "My Label"


ITChart.OnSeriesAnimationToolStep
ITChart

property OnSeriesAnimationToolStep: TTChartOnSeriesAnimationToolStep;

Type Library
TeeChartx

Description
Event called at each animation step.


ITeeSelected.Hover
ITeeSelected

property Hover: IHover;

Type Library
TeeChartx


ICircularGauge.LabelsInside
ICircularGauge

property LabelsInside: WordBool;

Type Library
TeeChartx

Description

Defines where to display gauge axis labels.


IOrgItem.AddBrother
IOrgItem

function AddBrother(Const Text: WideString): Integer;

Type Library
TeeChartx

Description
Creates and returns a new item with the specified text parameter.

This new item is assigned to the same Superior value.

See also: AddChild method.


IFastLineSeries.IgnoreNulls
IFastLineSeries

property IgnoreNulls: WordBool;

Type Library
TeeChartx

Description
Default: True

For speed reasons, FastLine series supports null (empty) values only when IgnoreNulls property is False.

By default all points are displayed (IgnoreNulls is True by default).

To enable FastLine series to hide null points, set IgnoreNulls to False.

Example [Visual Basic]:

Private Sub Form_Load()

TChart1.Series(0).FillSampleValues 50

' set some null points:

TChart1.Series(0).SetNull 14

TChart1.Series(0).SetNull 20

TChart1.Series(0).SetNull 31

TChart1.Series(0).SetNull 39

' allow nulls:

' (this property is False by default, for speed reasons)

TChart1.Series(0).asFastLine.IgnoreNulls = False

End Sub


ICustomImagePointSeries.properties
ICustomImagePointSeries Legend key

Type Library
TeeChartx

In ICustomImagePointSeries

ImagePoint
ImageTransparent

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IFilterRegion.SetRectangle
IFilterRegion

procedure SetRectangle(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
Sets the Left,Top,Width and Height properties in a more convenient way, using a rectangle structure.


ILightFilter.Top
ILightFilter

property Top: Integer;

Type Library
TeeChartx

Description
The vertical coordinate in pixels for the light spot center.


IVectorDSeries.EndZValues

IVector3DSeries.EndZValues
IVector3DSeries

property EndZValues: IValueList;

Type Library
TeeChartx

Description
List of values representing the ending Z coordinates of vector lines.


ICalendarSeries.NextButtonVisible
ICalendarSeries See also

property NextButtonVisible: WordBool;

Type Library
TeeChartx

Description
Default True

Next Month button on the Calendar Panel. Set to False to hide button.

See also:
PreviousButtonVisible


ICustomPolarSeries.DrawRing
ICustomPolarSeries

procedure DrawRing(Value: Double; Z: Integer);

Type Library
TeeChartx

Description
This method draws a "ring" on the Polar charts with a specified "value" radius.

Example [Visual Basic]:

A sample code:

Private Sub TChart1_OnAfterDraw()

With TChart1

.Canvas.Brush.Style = bsClear

.Canvas.Pen.Color = vbBlue

.Series(0).asPolar.DrawRing 200, 100

.Canvas.Pen.Color = vbGreen

.Series(0).asPolar.DrawRing 100, 150

End With

End Sub

200 and 100 are example values. These values should be between PolarSeries(0) minimum and maximum values.


IAspect.ApplyZOrder
IAspect

property ApplyZOrder: WordBool;

Type Library
TeeChartx

Description
Run-time only.

The ApplyZOrder property controls if several Series on the same TChart class should be displayed each one in a different Z space.

It's valid only when TChart.Aspect.View3D property is True and when there's more than one Series in same chart.

When False, all Series are drawn using the full Chart Z space. The Chart output can be confusing if Series overlap.

The "LASTVALU.PAS" example unit under TEEDEMO.DPR project shows an example of ApplyZOrder property.


IChartGrid.EditorMode
IChartGrid

property EditorMode: WordBool;

Type Library
TeeChartx

Description
Set EditorMode to True, at runtime, to put the grid in edit mode. When EditorMode is True, the user can edit cells in the grid. When the user presses F2, EditorMode is set to True. When the user presses Enter, the value of EditorMode is toggled.


IAspect.RotationFloat
IAspect

property RotationFloat: Double;

Type Library
TeeChartx

Description
RotationFloat is an alias to Rotation property.

It allows specifying rotation degrees with more precision and decimals.

Rotation describes front plane rotation by rotation degrees (0 - 360º). Increasing the value positively will bring the right of the Chart towards the viewer and the left of the Chart away, moving around a vertical axis at the central horizontal point of the Chart.

*Important. Orthogonal should be set to False for Rotation to act on the Chart.


IMedianFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSortedFunction
|
IMedianFunction


IRVIFunction.properties
IRVIFunction Legend key

Type Library
TeeChartx

In IRVIFunction

Signal
SignalPen


ITChart.OnRectangleToolResized
ITChart

property OnRectangleToolResized: TNotifyEvent;

Type Library
TeeChartx

Description
Event triggered when the user releases the mouse button after the Rectangle has been resized.


ICustomSeries.Stairs
ICustomSeries

property Stairs: WordBool;

Type Library
TeeChartx

Description
This boolean property controls the drawing of LineSeries and Areaseries.

In most normal situations, a series draws a line between each Line point. This makes the Line appear as a "mountain" shape. However, setting Stairs to TRUE will make the Series to draw 2 Lines between each pair of points, thus giving a "stairs" appearance. This is most used in some financial Chart representations.

When Stairs is set to True you may set InvertedStairs to True to alter the direction of the step. - see charts below.

Line with Stairs False

Same line with Stairs True

Same line with Stairs True and InvertedStairs True


IColorLineTool.DrawD

IColorLineTool.Draw3D
IColorLineTool

property Draw3D: WordBool;

Type Library
TeeChartx

Description
Controls if color line displays as a single line or as a rectangle in 3D mode.

Example [Visual Basic]:

Private Sub Check1_Click()

TChart1.Tools.Items(0).asColorLine.Draw3D = (Check1.Value = 1)

End Sub


IContourMarks.properties
IContourMarks Legend key

Type Library
TeeChartx

In IContourMarks

AntiOverlap
AtSegments
ColorLevel
Density
Margin
Visible


ISeries.asClockGauge
ISeries

property asClockGauge: IClockGauge;

Type Library
TeeChartx


IADXFunction.DMDown
IADXFunction

property DMDown: ISeries;

Type Library
TeeChartx

Description
Access characteristics of the DMDown line (a FastLineSeries).


IAspect.ViewD

IAspect.View3D
IAspect

property View3D: WordBool;

Type Library
TeeChartx

Description
Default value: True

View3D will draw each Series simulating a 3D effect.You can control the 3D proportion by using Chart.Aspect.Chart3DPercent property. Chart.Walls.Visible depends on View3D property.


ISmithSeries.RCirclePen
ISmithSeries

property RCirclePen: IPen;

Type Library
TeeChartx

Description
rCircle (resistance circle) pen.

Read RCirclePen to obtain the Pen object that represents the color and style of the RCircles of the Smith Series. Use the properties of RCirclePen to change the color or style.


IBrush.Handle
IBrush

property Handle: Integer;

Type Library
TeeChartx

Description
Handle to Brush Image.


ILegend.LegendStyle
ILegend

property LegendStyle: ELegendStyle;

Type Library
TeeChartx

Description
Default Value: lsAuto

The LegendStyle property defines which items will be displayed in Chart Legend.

lsSeries style shows the Series.Title of all active Series in a Chart. Whenever a Series Title is empty, the Series Name property is used.

lsValues style shows a text representation of all points of the first active Series in a Chart.

lsLastValues style shows the last point value and the Series.Title of all active Series in a Chart. It is useful for real-time charting, where new points are being added at the end of each Series.

lsAuto style (the default) means LegendStyle will be lsSeries when there's more than one Active Series, and lsValues when there's only one Series in a Chart.

The Legend.TextStyle property determines how the Series point values are formatted.


ITeeScrollBar.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeScrollBar


IAxisBreaksTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis
|
IAxisBreaksTool


IMapPolygonList.properties
IMapPolygonList Legend key

Type Library
TeeChartx

In IMapPolygonList

ByCode
ByName
Count
Polygon


ISmithSeries.methods
ISmithSeries Legend key

Type Library
TeeChartx

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


ICursorTool.SnapStyle
ICursorTool

property SnapStyle: ESnapStyle;

Type Library
TeeChartx

Description
When Snap True snaps on mousemove according to ESnapStyle selected.


IBackImage.methods
IBackImage Legend key

Type Library
TeeChartx

Derived from ITeePicture

AssignImage
ClearImage
LoadImage
SaveToFile
ShowFiltersEditor


IErrorBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IBarSeries
|
ICustomErrorSeries
|
IErrorBarSeries


ISeries.asHighLowLine
ISeries

property asHighLowLine: IHighLowLineSeries;

Type Library
TeeChartx

Description
The asHighLowLine property is used by the Series Class to access HighLowLine Series specific properties.


ITitles.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape
|
ITeeShapePosition
|
ITitles


ITeeListBox.OnChangeColor
ITeeListBox

property OnChangeColor: TTeeListBoxOnChangeColor;

Type Library
TeeChartx

Description
Event called when the user double-clicks a color symbol in the TeeListBox, to edit the series color.


ITeePreviewer.properties
ITeePreviewer Legend key

Type Library
TeeChartx

In ITeePreviewer

Maximized
Options
PaperColor
PreviewerLink
PreviewerLinkx64
PreviewTitle

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


ITowerSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries
|
ITowerSeries


IClockHand.Size
IClockHand

property Size: Integer;

Type Library
TeeChartx


IErrorPointDSeries.Add

IErrorPoint3DSeries.Add
IErrorPoint3DSeries

function Add(AX, AY, AZ, aLeft, aRight, ATop, ABottom, AFront, ABack: Double; Const AXLabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx


ISeriesGroup.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISeriesGroup


IGanttTool.AllowDrag
IGanttTool

property AllowDrag: WordBool;

Type Library
TeeChartx

Description
Default : True

When True, the end user can use the mouse to click and dragg Gantt series bars.


IMargins.Top
IMargins

property Top: Integer;

Type Library
TeeChartx

Description

Sets Top margin as percentage of paper dimensions.


IAxis.Title
IAxis

property Title: IAxisTitle;

Type Library
TeeChartx

Description
The Title property is a Axis sub-class. It contains all properties for Axis Titles.

Axis Titles are a string of text drawn near Axes.

Use the Caption property to specify Axis Title text. Set the Font and Angle properties to desired format.


ITeeFilter.asBevel
ITeeFilter

property asBevel: IBevelFilter;

Type Library
TeeChartx

Description
The asBevel property is used by the TeeFilter Class to access Bevel Filter specific properties.


IBannerTool.BlinkDelayOn
IBannerTool

property BlinkDelayOn: Integer;

Type Library
TeeChartx

Description
Time in milliseconds that Banner is visible when Blink is True.


IExpandAnimation.SizeBy
IExpandAnimation

property SizeBy: Integer;

Type Library
TeeChartx


IChartEditorPanel.SelectUnderMouse
IChartEditorPanel

procedure SelectUnderMouse;

Type Library
TeeChartx

Description
Selects the item under mouse cursor, activating the relevant Editor page.

Example [Delphi]:

procedure TChartEditorPanelForm.Chart1MouseDown(Sender: TObject;

Button: TMouseButton; Shift: TShiftState; X, Y: Integer);

begin

{ On mouse down, show the appropiate tab in the editor... }

ChartEditorPanel1.SelectUnderMouse;

end;


ITChart.Hover
ITChart

property Hover: IHover;

Type Library
TeeChartx


ITools.asSeriesBand
ITools

property asSeriesBand: ISeriesBandTool;

Type Library
TeeChartx

Description
The asSeriesBand property is used by the Tools Class to access Series Band Tool specific properties.


IWall.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
IWall


ILineSeries.Gradient
ILineSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
Line Fill Gradient. Visible when viewing ines in 3D Charts.


ISeriesXMLSource.SeriesNode
ISeriesXMLSource

property SeriesNode: WideString;

Type Library
TeeChartx

Description
When multiple series exist in XML source data, this property can be set to a series name to import only this series.


IFloatXYZ.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFloatXYZ


IRVIFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IRVIFunction


IErrorsFormat.properties
IErrorsFormat Legend key

Type Library
TeeChartx

In IErrorsFormat

Bottom
Left
Right
Top


ITeeLinked.properties
ITeeLinked Legend key

Type Library
TeeChartx

In ITeeLinked

Chart
ChartLink
ChartLinkx64


IWall.StartPosition
IWall

property StartPosition: Integer;

Type Library
TeeChartx


IBlurFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IConvolveFilter
|
IBlurFilter


IVideoPlayerTool.Stop
IVideoPlayerTool

procedure Stop;

Type Library
TeeChartx

Description
Ends playing video frames.


ISeries.AddXY
ISeries

function AddXY(AX, AY: Double; Const ALabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
This function inserts a new point in the Series. The new point has X and Y values. The AXLabel parameter is optional (can be empty ''). The function returns the new point position in the Values list.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 20

'Remove the first point

.Series(0).Delete 0

'Add a new random point

.Series(0).AddXY .Series(0).XValues.Last + 1, .Series(0).YValues.Last / .Series(0).YValues.Last - 1 + (Rnd(100) - (100 / 2)), "", clTeeColor

End With


IPageNumTool.ButtonWidth
IPageNumTool

property ButtonWidth: Integer;

Type Library
TeeChartx

Description
Determines the size in pixels of the two small left and right triangle buttons inside the tool rectangle.


IKagiSeries.properties
IKagiSeries Legend key

Type Library
TeeChartx

In IKagiSeries

AbsoluteReversal
BuySymbol
CloseValues
DownSwing
ReversalAmount
SellSymbol
UpSwing


IGradient.Visible
IGradient

property Visible: WordBool;

Type Library
TeeChartx

Description
Default False

The Visible determines whether the gradient fill appears on screen.

Example [Visual Basic]:

This code creates a gradient fill:

TChart1.Panel.Gradient.Visible = True

TChart1.Panel.Gradient.Direction = gdRightLeft

TChart1.Panel.Gradient.StartColor = vbRed

TChart1.Panel.Gradient.MidColor = vbWhite

TChart1.Panel.Gradient.EndColor = vbBlue


ITeeCustomAnimation.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomAnimation


IExport.asJSON
IExport

property asJSON: IJSONExport;

Type Library
TeeChartx


ICanvas.LineTo
ICanvas

procedure LineTo(X, Y: Integer);

Type Library
TeeChartx

Description
Will draw a line from the present PenPos (see MoveTo.) to the new co-ordinates.

Example [Visual Basic]:

TChart1.Canvas.MoveTo 30, 100

TChart1.Canvas.LineTo 80, 200


IFilterItems.Add
IFilterItems

function Add(FilterClass: EFilterClass): Integer;

Type Library
TeeChartx

Description
Use Add to pass a filter to the referenced Object.


IShapeSeries.methods
IShapeSeries Legend key

Type Library
TeeChartx

In IShapeSeries

ShapeImageClear
ShapeImageLoad


ITeePreviewer.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeLinked
|
ITeePreviewer


IDrawLineTool.EnableSelect
IDrawLineTool

property EnableSelect: WordBool;

Type Library
TeeChartx

Description
Default: True

Enables selection of lines for repositioning on the Chart.


IFramedBorder.InnerBrush
IFramedBorder

property InnerBrush: IFrameBrush;

Type Library
TeeChartx

Description
The Inner property defines the inner bevel type.


IAxisLabels.RoundFirstLabel
IAxisLabels

property RoundFirstLabel: WordBool;

Type Library
TeeChartx

Description
Default: True

Run-time only. The RoundFirstLabel property controls if Axis labels will be automatically "rounded" to the nearest magnitude. This applies both to DateTime and non-DateTime axis values. When False, Axis labels will start at Maximum Axis value.

Example [Visual Basic]

Given an Axis with Minimum = 70 and Maximum = 585:

TChart1.Axis.Left.Labels.RoundFirstLabel = True

Axis labels: 100 200 300 400 500

TChart1.Axis.Left.Labels.RoundFirstLabel = False

Axis labels: 85 185 285 385 485 585


IFunnelSeries.WithinColor
IFunnelSeries

property WithinColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default value = vbYellow

The WithinColor property defines the color used to paint the Funnel segment if Opportunity value is within DifferenceLimit % below the Quote value.


IEnvironment.DecodeUTFString

IEnvironment.DecodeUTF8String
IEnvironment

function DecodeUTF8String(Const AString: WideString): WideString;

Type Library
TeeChartx

Description
Decodes text output from TeeChart in UTF8 format coding to Unicode characters.


ISeriesAnimationTool.Running
ISeriesAnimationTool

property Running: WordBool;

Type Library
TeeChartx

Description
Returns True when the animation is currently playing.

See also the Stop method.


ITools.asDragPoint
ITools

property asDragPoint: IDragPointTool;

Type Library
TeeChartx

Description
The asDragPoint property is used by the Tools Class to access DragPoint Tool specific properties.


ICursorTool.Pen
ICursorTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


ISeries.SeriesLink
ISeries

property SeriesLink: Integer;

Type Library
TeeChartx

Description

TeeChart Internal use only.


IAxes.RemoveCustom
IAxes

procedure RemoveCustom(CustomAxisIndex: Integer);

Type Library
TeeChartx

Description
Removes the Custom Axis of Index 'CustomAxisIndex'. Any Series associated with the Axis are reset to their default Axes.


ICustomDSeries.TimesZOrder

ICustom3DSeries.TimesZOrder
ICustom3DSeries

property TimesZOrder: Integer;

Type Library
TeeChartx

Description
Default: 3

The TimesZOrder property defines how big the Z axis (the depth axis) will be respect to a Surface or Contour's width and height. By default, the Surface depth will be 3 times the LineSeries depth.


IGaugeSeries.CircleGradient
IGaugeSeries

property CircleGradient: IGradient;

Type Library
TeeChartx

Description
Sets the CircleGradient properties.


ISeries.asWorld
ISeries

property asWorld: IWorldSeries;

Type Library
TeeChartx

Description
Access to WorldSeries specific properties.


IChartFont.Underline
IChartFont

property Underline: WordBool;

Type Library
TeeChartx

Description
The ChartFont.Underline property sets Font underline on/off.

Example [Visual Basic]:

TChart1.Header.Font.Underline = True


ICustomTextShape.methods
ICustomTextShape Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ILinearGauge.Hand
ILinearGauge

property Hand: IGaugeSeriesPointer;

Type Library
TeeChartx

Description
Defines the visual aspects to draw the gauge hand (the arrow that points to current gauge value)


IErrorPointSeries.Errors
IErrorPointSeries

property Errors: IErrors;

Type Library
TeeChartx


ISeries.CalcVisiblePoints
ISeries

property CalcVisiblePoints: WordBool;

Type Library
TeeChartx


IArrowTool.Z
IArrowTool

property Z: Integer;

Type Library
TeeChartx


IPrinter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPrinter


ITeeFunction.asMACD
ITeeFunction

property asMACD: IMACDFunction;

Type Library
TeeChartx

Description
The asMACD property is used by the Teefunction Class to access MACD Function specific properties.


ICanvas.BackColor
ICanvas

property BackColor: OLE_COLOR;

Type Library
TeeChartx

Description
Sets / returns the color used to fill spaces when displaying text or filling with brushes with different style than bsSolid.

Note:

Defining a Brush.Color or Brush.Style will reset the Canvas.BackMode to cbmTransparent. If you want your Canvas shapes to display a Canvas.BackColor then you will have to redefine Canvas.BackMode.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

With TChart1.Canvas

' **** Before

.Brush.Style = bsBDiagonal

.Brush.Color = vbRed

' **** After

.BackColor = vbYellow

.BackMode = cbmNone

.Rectangle 10, 10, 100, 100

End With

End Sub


ICustomAxes.Items
ICustomAxes

property Items[AIndex: Integer]: IAxis;

Type Library
TeeChartx


IErrorPointDSeries.properties

IErrorPoint3DSeries properties
IErrorPoint3DSeries Legend key

Type Library
TeeChartx

In IErrorPoint3DSeries

Errors

Derived from IPoint3DSeries

BaseLine
DepthSize
LinePen
LineTransparency
Pointer

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IBarJoinSeries.methods
IBarJoinSeries Legend key

Type Library
TeeChartx

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IBarSeries.methods
IBarSeries Legend key

Type Library
TeeChartx

In IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


IGanttSeries.Callout
IGanttSeries

property Callout: IMarksCallout;

Type Library
TeeChartx


IGanttSeries.AddGanttColor
IGanttSeries

function AddGanttColor(AStart, AEnd, AY: Double; Const AXLabel: WideString; Value: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddGanttColor function adds a new Gantt bar point to the Series.

It calls the AddGantt function and sets the specified AColor parameter by using the Series.

PointColor property.

This function returns the corresponding internal point index. You can then refer to this Gantt bar by using this index.

Please refer to GanttSeries.AddGantt function for an example of adding Gantt bars.


ISurfaceSides.Brush
ISurfaceSides

property Brush: IBrush;

Type Library
TeeChartx

Description
Color and pattern used to fill the sides of a iso-surface chart.


IDarvasSeries.NumBoxes
IDarvasSeries

property NumBoxes: Integer;

Type Library
TeeChartx

Description
Read-only property which returns the number of boxes created.


ITChart.OnMarkTipToolCancelHint
ITChart

property OnMarkTipToolCancelHint: TNotifyEvent;

Type Library
TeeChartx

Description
Event triggered when the Hint is cancelled, for example moving the mouse out of the Series boundaries.


ISeriesSourceFile.LoadFromFile
ISeriesSourceFile

procedure LoadFromFile(Const FileName: WideString);

Type Library
TeeChartx

Description
Loads the file pointed by the AFileName parameter.


ITeeCommander.BevelWidth
ITeeCommander

property BevelWidth: Integer;

Type Library
TeeChartx

Description

The Bevelwidth property defines the width of the bevel of the TeeCommander Panel border.


ISeries.asVectorD

ISeries.asVector3D
ISeries

property asVector3D: IVector3DSeries;

Type Library
TeeChartx

Description
The asVector3D property is used by the Series Class to access Vector3D Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IWorldFlags.Visible
IWorldFlags

property Visible: WordBool;

Type Library
TeeChartx


IDeltaPointSeries.ImageStyle
IDeltaPointSeries

property ImageStyle: EDeltaImageStyle;

Type Library
TeeChartx

Description
Set the ImageStyle property to pre-defined default lower, equal and higher images.

It can have one of the following values:

disHands TeeEqualHand, TeeGreaterHand, TeeLowerHand

disSmiles TeeEqualSmile, TeeGreaterSmile, TeeLowerSmile

You can always set the image properties by code to skip the predefined ones.


IPointDSeries.methods

IPoint3DSeries methods
IPoint3DSeries Legend key

Type Library
TeeChartx

Derived from ICustom3DPaletteSeries

AddCustomPalette
AddPalette
ClearPalette
CountLegendItems
CreateDefaultPalette
CreateRangePalette
GetSurfacePaletteColor
InvertPalette
LoadPaletteFromFile
SavePaletteToFile

Derived from ICustom3DSeries

AddArrayGrid
AddArrayXYZ
AddArrayXYZColor
AddXYZ
CalcZPos
MaxZValue
MinZValue


ITChart.CreateSeriesChangeGallery
ITChart

function CreateSeriesChangeGallery(AGalleryWidth, AGalleryHeight, SeriesIndex: Integer): ISeries;

Type Library
TeeChartx


IToolList.Add
IToolList

function Add(ToolClass: EToolClass): Integer;

Type Library
TeeChartx

Description
Use the Add method to add a new tool to your TChart.


IPanel.Color
IPanel

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
The Color property is the Color used to fill the complete Chart Panel background.


ILegendTitle.methods
ILegendTitle Legend key

Type Library
TeeChartx

Derived from ITeeShape

AssignImage
ClearImage
LoadImage

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IArrowTool.Angle
IArrowTool

property Angle: Double;

Type Library
TeeChartx

Description
Rotates the Arrow about its centre.


IColorGridSeries.CenteredPoints
IColorGridSeries

property CenteredPoints: WordBool;

Type Library
TeeChartx

Description
The "CenteredPoints" property controls how will be "X" and "Z" values considered.

When CenteredPoints is "True" (the default value), X and Z values determine the center point of each grid cell.

When False, the X and Z values define the "corner" values of grid cells.

Thus, when CenteredPoints is "False", there will be one less column and one less row of grid cells.


ILegendSymbol.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILegendSymbol


ITChart.OnClick
ITChart

property OnClick: TNotifyEvent;

Type Library
TeeChartx

Description
This event gets called when clicking anywhere on the Chart Panel.


ICustomFunction.X
ICustomFunction

property X: Double;

Type Library
TeeChartx

Description
Returns the current X parameter.

The X value starts at StartX property value, and is incremented by Period value at each call of OnCalculate event.


IExplodedSlices.properties
IExplodedSlices Legend key

Type Library
TeeChartx

In IExplodedSlices

Value


ISeriesMarksPositions.methods
ISeriesMarksPositions Legend key

Type Library
TeeChartx

In ISeriesMarksPositions

Automatic


IPieOtherSlice.Value
IPieOtherSlice

property Value: Double;

Type Library
TeeChartx

Description
Value (value or percentage) for Otherslice grouping.


ICustomBarSeries.StackGroup
ICustomBarSeries

property StackGroup: Integer;

Type Library
TeeChartx

Description
StackGroups group Series to permit several stacks of independent Series groups in the same Chart.

Example [Delphi]:

{The following code will create 5 Series, stacked 5 high at each valueindex of the Series, (ie. 10 stacked bars).}

procedure TForm1.BitBtn1Click(Sender: TObject);

begin

Series1.Fillsamplevalues(10);

Series2.Fillsamplevalues(10);

Series3.Fillsamplevalues(10);

Series4.Fillsamplevalues(10);

Series5.Fillsamplevalues(10);

Series1.MultiBar:= mbStacked;

end;

{The following code will create 2 StackGroups, one with 2 Series and the other with 3, plotting each stacked group at each value ValueIndex point, ie. 20 stacked bars for 10 data points, 2 at each index point}

procedure TForm1.BitBtn2Click(Sender: TObject);

begin

Series1.StackGroup:=0;

Series2.StackGroup:=0;

Series3.StackGroup:=1;

Series4.StackGroup:=1;

Series5.StackGroup:=1;

end;


IGradient.MidColor
IGradient

property MidColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: clNone

The MidColor property is one of the three colors used to create the gradient fill. The gradient fill is composed of the three colors: StartColor, MidColor and EndColor.


IGaugeHand.Distance
IGaugeHand

property Distance: Integer;

Type Library
TeeChartx

Description

The length in pixels between the Hand point and the axis labels.


IJSONExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
IJSONExport


ISmoothingFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISmoothingFunction


IVideoPlayerTool.Loop
IVideoPlayerTool

property Loop: WordBool;

Type Library
TeeChartx

Description
Default is False.

When True, the video plays all frames and continues again at the first frame, endlessly until the Stop or Pause methods are called.


ITeeOpenGL.FontOutlines
ITeeOpenGL

property FontOutlines: WordBool;

Type Library
TeeChartx

Description
Enable/disable Font outlines.


ITeeOpenGL.Shininess
ITeeOpenGL

property Shininess: Double;

Type Library
TeeChartx

Description
Default : 0.5

Amount of brightness, from 0 to 1.


ITreeMapSeries.properties
ITreeMapSeries Legend key

Type Library
TeeChartx

In ITreeMapSeries

MapStyle
PaletteSteps
Value

Derived from IOrgSeries

Bounds
Format
Item
Items
LineStyle
Spacing


ITeeCommander.EditorLinkx

ITeeCommander.EditorLinkx64
ITeeCommander

property EditorLinkx64: OleVariant;

Type Library
TeeChartx


ICircledSeries.PointToRadius
ICircledSeries

function PointToRadius(XCoord, YCoord: Integer): Double;

Type Library
TeeChartx

Description
Returns the Radius value using the Chart Left axis scales, that corresponds to the XY point coordinates in pixels.


IColorFilter.properties
IColorFilter Legend key

Type Library
TeeChartx

In IColorFilter

Blue
Green
Red


IColorLineTool.AnnotationValue
IColorLineTool

property AnnotationValue: WordBool;

Type Library
TeeChartx


IAxes.DrawAxesBeforeSeries
IAxes

property DrawAxesBeforeSeries: WordBool;

Type Library
TeeChartx

Description
Default: True.

Enable/disable the painting of the Axes before the Series. When false the Axes will appear above Chart Series.


IShapeCallout.Side
IShapeCallout

property Side: EShapeCalloutSide;

Type Library
TeeChartx


ITeeListBox.OnClick
ITeeListBox

property OnClick: TNotifyEvent;

Type Library
TeeChartx

Description
Triggers when the TeeListBox is clicked.


IShapeCallout.Width
IShapeCallout

property Width: Integer;

Type Library
TeeChartx


IScrollBarThumb.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IScrollBarThumb


ITools.asExtraLegend
ITools

property asExtraLegend: IExtraLegendTool;

Type Library
TeeChartx

Description
The asExtraLegend property is used by the Tools Class to access ExtraLegend Tool specific properties.


IPageNumTool.ShowButtons
IPageNumTool

property ShowButtons: WordBool;

Type Library
TeeChartx

Description
Default : True

Setting it to "False" will hide the arrow buttons which allow the user to change the active page with just a click.


IFilterRegion.Left
IFilterRegion

property Left: Integer;

Type Library
TeeChartx

Description
Left position of the region.


ITeeListBox.HideEditor
ITeeListBox

procedure HideEditor;

Type Library
TeeChartx

Description
Used in conjuction with ShowEditor to hide the text editor.


ICustomCircledSeries.PointerBehind
ICustomCircledSeries

property PointerBehind: WordBool;

Type Library
TeeChartx


ISubChart.Chart
ISubChart

property Chart: ISubChartChart;

Type Library
TeeChartx

Description
Returns the parent Chart control that owns this subchart.


IPolarLabels.Inside
IPolarLabels

property Inside: WordBool;

Type Library
TeeChartx


ISelectorTool.HandleSize
ISelectorTool

property HandleSize: Integer;

Type Library
TeeChartx

Description
Gets or sets the size (integer value) of the handle points of the selected part.

Example [Visual Basic]:

TChart1.Tools.Items(0).asSelector.HandleSize = 5


IHighLowSeries.HighBrush
IHighLowSeries

property HighBrush: IBrush;

Type Library
TeeChartx

Description
Setting HighBrush defines the Brush properties for the High value.


ITeeShapeItem.properties
ITeeShapeItem Legend key

Type Library
TeeChartx

In ITeeShapeItem

Shape


IVolumePipeSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IVolumePipeSeries


ITChart.Zoom
ITChart

property Zoom: IZoom;

Type Library
TeeChartx

Description
Use the TChart.Zoom property to access zoom characteristics of the Chart.

Example [Visual Basic]:

TChart1.Zoom.Enable = True


IRotateTool.Active
IRotateTool

property Active: WordBool;

Type Library
TeeChartx

Description
Element Active True/False.


ISVGExport.methods
ISVGExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


IImageBarSeries.ImageTiled
IImageBarSeries

property ImageTiled: WordBool;

Type Library
TeeChartx

Description
Default False

When True, ImageBar's image is tiled across Bars. Default behaviour is for the image to stretch.


IDrawLine.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDrawLine


ICrossTabSource.Load
ICrossTabSource

procedure Load;

Type Library
TeeChartx

Description
This method performs the crosstab.

You don't need to call this method directly. Instead, set the Active property to True, or call Open method.


IJavaScriptExport.SaveToHTMLFile

IJavaScriptExport.SaveToHTML5File
IJavaScriptExport

procedure SaveToHTML5File(Const FileName: WideString; AWidth, AHeight: Integer);

Type Library
TeeChartx


ICustomDSeries.ZValues

ICustom3DSeries.ZValues
ICustom3DSeries

property ZValues: IValueList;

Type Library
TeeChartx

Description
The ZValues property contains the Surface points Z values. ZValues is a standard IValueList object. You should use the ZValue property to change Z values.


ISeriesTextSource.Fields
ISeriesTextSource

property Fields: ISeriesTextFields;

Type Library
TeeChartx

Description
The Fields property allows access to SeriesTextFields properties and methods. Fields must be set to add the datasource's data to the Series. Use the AddField method to setup the fields for the SeriesTextSource.


IPointer.SizeFloat
IPointer

property SizeFloat: Double;

Type Library
TeeChartx


ITChart.OnSubChartToolResizing
ITChart

property OnSubChartToolResizing: TTChartOnSubChartToolResizing;

Type Library
TeeChartx


ITeeCustomShape.Brush
ITeeCustomShape

property Brush: IBrush;

Type Library
TeeChartx

Description
The Brush property determines the kind of brush used to fill the rectangle behind TChart.Header and TChart.Footer text.


ITeeFunction.asCCI
ITeeFunction

property asCCI: ICCIFunction;

Type Library
TeeChartx

Description
The asCCI property is used by the Teefunction Class to access CCI Function specific properties.


ITeeFunction.asCurveFit
ITeeFunction

property asCurveFit: ICurveFittingFunction;

Type Library
TeeChartx

Description
The asCurveFit property is used by the Teefunction Class to access CurveFitting Function specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 ).FunctionType

.asCurveFit.PolyDegree = 10

end with


ITeeFunction.asCLV
ITeeFunction

property asCLV: ICLVFunction;

Type Library
TeeChartx

Description
The asCLV property is used by the Teefunction Class to access CLV Function specific properties.


ISeriesPointerItems.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
ISeriesPointerItems


ISeriesXMLSource.ValueSource
ISeriesXMLSource

property ValueSource: WideString;

Type Library
TeeChartx

Description
Set ValueSource to match the name of point values in the XML data.

Setting this property is not necessary when the series type is the same as the series type inside the XML source.


ITeeAnimate.Loop
ITeeAnimate

property Loop: WordBool;

Type Library
TeeChartx


IMarks.Arrow
IMarks

property Arrow: IPen;

Type Library
TeeChartx

Description
The Arrow property determines the kind of pen used to draw a line connecting the Point Mark to the corresponding Series point.

Each Series class handles Marks in a different manner, thus the Arrow coordinates are specific to each Series type.

By default, Arrow pen is defined to be a White solid pen of 1 pixel width.

Example [Visual Basic]:

TChart1.Series(0).Marks.Arrow.Visible = False


IValueLists.Count
IValueLists

property Count: Integer;

Type Library
TeeChartx

Description
Read Count to determine the number of entries in the ValueLists array.

Example [Visual Basic]:

'Data text file "C:\TestFiles\testcandledata.txt":

'Date,Open,High,Low,Close

'1/1/2000,15,76,7,40

'2/1/2000,40,55,35,37

'3/1/2000,37,61,29,43

Private Sub Form_Load()

Dim colcount As Integer

TChart1.AddSeries scCandle

With SeriesTextSource1

.Series = TChart1.Series(0)

.FileName = "C:\TestFiles\testcandledata.txt"

.HeaderLines = 1

For colcount = 0 To TChart1.Series(0).ValueLists.Count - 1

.AddField TChart1.Series(0).ValueLists.Items(colcount).Name, colcount + 1

Next colcount

.Active = True

End With

End Sub


IWorldSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
IMapSeries
|
IWorldSeries


IBrush.Gradient
IBrush

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill a zone. The zone is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


IAxisBreak.Enabled
IAxisBreak

property Enabled: WordBool;

Type Library
TeeChartx

Description
Default; True

Allows Axis Breaks when True.


ITChart.OriginalCursor
ITChart

property OriginalCursor: SmallInt;

Type Library
TeeChartx

Description
This public property returns the original Chart.Cursor property. Used to reset the cursor when the mouse moves over the series.


ITChart.OnBeforeDrawSeries
ITChart

property OnBeforeDrawSeries: TNotifyEvent;

Type Library
TeeChartx

Description
BeforeDrawSeries event is called just before the Series points are painted.

WARNING:

Do not change Series properties that would force the Series to be repainted.

This may cause recursion and endless repainting !


IAnnotationTool.Left
IAnnotationTool

property Left: Integer;

Type Library
TeeChartx

Description
Defines a Left position for the Annotation Tool text box and text.


IQTClustering.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IBaseClustering
|
IQTClustering


ITeePicture.Handle
ITeePicture

property Handle: Integer;

Type Library
TeeChartx

Description

Returns the handle of the Picture.


IToolList.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IToolList


IGaugeHands.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IGaugeHands


ITeeCustomShape.Emboss
ITeeCustomShape

property Emboss: ITeeEmboss;

Type Library
TeeChartx

Description
The new Emboss property produces a "Shadow-like" effect in the

opposite direction of a Shadow.

This property has been implemented in the same classes in which the

Shadow is implemented, meaning that the property is widely available

throughout the Chart.


IEnvironment.ChartVisible
IEnvironment

property ChartVisible: WordBool;

Type Library
TeeChartx

Description
Makes the Chart visible if is set to True.


ITextDTool.Angle

IText3DTool.Angle
IText3DTool

property Angle: Double;

Type Library
TeeChartx

Description
Defines the Angle for the full text.


IIsoSurfaceSeries.BandPen
IIsoSurfaceSeries

property BandPen: IPen;

Type Library
TeeChartx

Description
Gets or sets the pen characteristics used to draw the iso-lines at surface side walls.


ICircularGauge.AutoValueLinearGauge
ICircularGauge

property AutoValueLinearGauge: WordBool;

Type Library
TeeChartx

Description
Defatult : True

If this property is set to True, if a Linear Gauge is active into the Circular gauge, the value assigned to the Linear gauge would be the same as the value of the Circular gauge.


ITeeEditor.DefaultPage
ITeeEditor

property DefaultPage: ETeeEditorPage;

Type Library
TeeChartx

Description
Set the page to be opened when the Chart Editor is run.


ITeeListBox.OnDblClickSeries
ITeeListBox

property OnDblClickSeries: TTeeListBoxOnDblClickSeries;

Type Library
TeeChartx

Description
Event triggered by DoubleClick on Series in TeeListbox.

TeeListBox_OnDblClickSeries(ByVal SeriesIndex As Long)

Where SeriesIndex is the Series index dblclicked.


ITeeShape.LoadImage
ITeeShape

procedure LoadImage(Const FileName: WideString);

Type Library
TeeChartx


ICircularGauge.AutoPositionNumericGauge
ICircularGauge

property AutoPositionNumericGauge: WordBool;

Type Library
TeeChartx

Description
Set AutoPositionNumericGauge to True to Automatically position a Numeric Gauge within the Circular Gauge.


ICircularGauge.EndPoint
ICircularGauge

property EndPoint: IPointer;

Type Library
TeeChartx

Description

Returns a sub-object with properties that control the appearance of a shape at the end of the gauge arrow.


ILegendPaletteTool.Transparent
ILegendPaletteTool

property Transparent: WordBool;

Type Library
TeeChartx

Description
Default is False.

When True, legend background is not displayed and so the chart contents behind the legend is visible.


ITeeGDIPlus.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeGDIPlus


IActivityGauge.Delete
IActivityGauge

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description

Delete a specific (ndexed) activity


IAxes.Hide
IAxes

procedure Hide;

Type Library
TeeChartx

Description
Hides all Axes.


IVideoPlayerTool.Pause
IVideoPlayerTool

procedure Pause;

Type Library
TeeChartx

Description
Stops playing video frames until the Play method is called again.


IDivideFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDivideFunction


IEquiVolumeSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICandleSeries
|
IEquiVolumeSeries


IChartGrid.GradientCell
IChartGrid

property GradientCell: IGradient;

Type Library
TeeChartx


IActivityGauge.methods
IActivityGauge Legend key

Type Library
TeeChartx

In IActivityGauge

AddActivity
Clear
Delete

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IDataExport.methods
IDataExport Legend key

Type Library
TeeChartx

In IDataExport

AsString
SaveToFile
SaveToStream


ILegendScrollBarTool.Gradient
ILegendScrollBarTool

property Gradient: IGradient;

Type Library
TeeChartx

Description
Gradient properties used to fill the main scrollbar rectangle.


IEnvironment.DecimalSeparator
IEnvironment See also

property DecimalSeparator: WideString;

Type Library
TeeChartx

Description
Returns the System Decimal Separator according to the Locale as setup in Windows regional settings. This property can be useful when used in conjunction with the ISeriesTextSource component and importing text file data in differing locale environments.

See also:
ISeriesTextSource


ICandleSeries.AddCandle
ICandleSeries

function AddCandle(DateValue, OpenValue, HighValue, LowValue, CloseValue: Double; Const ALabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
The AddCandle function appends a new Stock Market point to the Series. This function returns the corresponding point index for the new added point.

Example [Visual Basic]:

With TChart1.Series(0).asCandle

.AddCandle DateValue("2/11/97"), 120, 135, 112, 115

.AddCandle DateValue("3/11/97"), 115, 125, 102, 121

End With


ISeries.Delete
ISeries

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description
The Delete method will remove the # ValueIndex point from the Series values lists. The Chart will be automatically redrawn. Dependent Series will be recalculated.

Example [Visual Basic]:

We want to delete the 8th point of a Line Series:

TChart.Series(1).Delete(7) (remember, points index start at zero)

This will remove completely the 8th point in the 1st Series. The Chart will be repainted and all dependent Series (whose DataSource is Series(1)) will be recalculated and redrawn.


IPieTool.Style
IPieTool

property Style: EPieToolStyle;

Type Library
TeeChartx

Description
Default : ptFocus

Set the Style property to ptFocus to make the pie tool draw a border around the focused pie slice.

Set Style to ptExplode to explode and un-explode the focused slice.


IPointSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries


IExport.asOpenDocument
IExport

property asOpenDocument: IODSExport;

Type Library
TeeChartx


ITChart.OnPageChange
ITChart

property OnPageChange: TNotifyEvent;

Type Library
TeeChartx

Description
An OnPageChange event occurs whenever the TChart.Page.Current property has been changed and before the Chart repaints the new page points.

The TChart.Page.MaxPointsPerPage property must be greater than zero to activate the automatic paging mechanism.

This event DOES NOT get called the first time the TChart.Page.Current property is set to 1.

Example [Visual Basic]:

You can use this event to, for example, display the current Chart page:

Private Sub TChart1_OnPageChange()

Label1.Caption = "Current page: " & TChart1.Page.Current & " of " & TChart1.Page.Count

End Sub


IKnobGauge.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomGauge
|
ICustomGaugeMinMax
|
ICircularGauge
|
IKnobGauge


ITChart.OnClickSeries
ITChart

property OnClickSeries: TTChartOnClickSeries;

Type Library
TeeChartx

Description
An OnClickSeries event occurs whenever the user clicks onto any TChart Series point. The Sender parameter specifies the TChart class that originated the event. The Series parameter is the corresponding clicked Series class, and the ValueIndex parameter refers to the exact clicked point in the Series. Series have also an OnClick event that can be used individually to catch clicked points. The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Series point was clicked.

WARNING:

Use the Stopmouse method to control how the mouse button behaves with dual modes (scroll or zoom after a ClickOnSeries event)

Example [Visual Basic]:

This event procedure shows the user at which series point (any drawn part of series) they have clicked.

Private Sub TChart1_OnClickSeries(ByVal SeriesIndex As Long, ByVal ValueIndex As Long, ByVal Button As TeeChart.EMouseButton, ByVal Shift As TeeChart.EShiftState, ByVal X As Long, ByVal Y As Long)

MsgBox "Clicked Series: " & TChart1.Series(SeriesIndex).Name & " at point: " & ValueIndex

TChart1.StopMouse

End Sub


IAxis.CalcPosPoint
IAxis

function CalcPosPoint(SomeValue: Integer): Double;

Type Library
TeeChartx

Description
This function returns the corresponding value of a Screen position. The Screen position must be between Axis limits.

Example [Visual Basic]:

We want to calculate the Axis.Left value in the Vertical Screen coordinate of 220 pixels.

value = TChart1.Axis.Left.CalcPosPoint(220)

We could use the Series methods XScreentoValue or YscreenToValue to obtain the samevalue information

Value = TChart1.Series(0).XScreenToValue(220)


ICurveFittingFunction.PolyDegree
ICurveFittingFunction

property PolyDegree: Integer;

Type Library
TeeChartx

Description
The PolyDegree property is the number of degrees a CurveFittingFunction polynomy will have.

Warning:

With more degrees, more adjustment is achieved, however, values greater than 10 can slow the process.


IArrowTool.Transparency
IArrowTool

property Transparency: Integer;

Type Library
TeeChartx

Description
Sets the transparency level from 0 to 100% for the interior of the arrow.


ITransformAnimation.UseBounds
ITransformAnimation

property UseBounds: WordBool;

Type Library
TeeChartx


IPointDSeries.BaseLine

IPoint3DSeries.BaseLine
IPoint3DSeries

property BaseLine: IPen;

Type Library
TeeChartx

Description
Pen used to draw lines between the XYZ points to the bottom axis.

By default this pen is hidden (the BaseLine.Visible property is False).


IKagiSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IKagiSeries


IClockSeries.methods
IClockSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


ILegendPointer.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
ILegendPointer


ISeriesBandTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
ISeriesBandTool


ITeeCorners.properties
ITeeCorners Legend key

Type Library
TeeChartx

In ITeeCorners

LeftBottom
LeftTop
RightBottom
RightTop


ICurveFittingFunction.FirstPoint
ICurveFittingFunction

property FirstPoint: Integer;

Type Library
TeeChartx

Description
Default Value: -1

Sets the first point index used to display the fitting.


ICanvas.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICanvas


ICustomDPaletteSeries.UsePaletteMin

ICustom3DPaletteSeries.UsePaletteMin
ICustom3DPaletteSeries

property UsePaletteMin: WordBool;

Type Library
TeeChartx

Description
Default : False

Set to True to force the color palette to start at PaletteMin property value.

When this property is False (the default), the color palette is calculated starting at the lowest Series YValues.

TChart1.Series(0).asSurface.UsePalette = True

TChart1.Series(0).asSurface.UseColorRange = False

TChart1.Series(0).asSurface.UsePaletteMin = True

TChart1.Series(0).asSurface.PaletteMin = 1000


IActivityDonut.properties
IActivityDonut Legend key

Type Library
TeeChartx

In IActivityDonut

BackColor
Color
Value

Derived from IDonutSeries

DonutPercent

Derived from IPieSeries

Angles
AngleSize
AutoMarkPosition
BevelPercent
Dark3D
DarkPen
EdgeStyle
ExplodeBiggest
ExplodedSlice
Gradient
GradientBright
MultiPie
OtherSlice
PieMarks
PiePen
PieValues
SliceHeight
Transparency
UniqueCustomRadius
UsePatterns

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IBackImage.Bottom
IBackImage

property Bottom: Integer;

Type Library
TeeChartx


IAxis.TicksInner
IAxis

property TicksInner: IPen;

Type Library
TeeChartx

Description
The TicksInner property determines the kind of Pen used to draw Axis marks along the Axis line. This is the same Ticks property does but lines are drawn inside Chart boundaries instead.

TicksInner position is calculated based on Axis.Increment, Axis.Labels.Separation and Axis.Label.Style properties.

There are three kind of ticks available: Ticks, MinorTicks and TicksInner.

You can show or hide any of them of have all of them Visible.

The TickInnerLength property defines the length of Axis TicksInner in logical pixels.


IVectorDSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
IVector3DSeries


ITools.asSurfaceNearest
ITools

property asSurfaceNearest: ISurfaceNearestTool;

Type Library
TeeChartx

Description
The asSurfaceNearest property is used by the Tools Class to access SurfaceNearest Tool specific properties.


IFilterRegion.methods
IFilterRegion Legend key

Type Library
TeeChartx

In IFilterRegion

SetRectangle


IActivityGauge.Count
IActivityGauge

property Count: Integer;

Type Library
TeeChartx

Description

Number of Activities.


IADXFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IADXFunction


IChartGrid.ColorsColumn
IChartGrid

property ColorsColumn: Integer;

Type Library
TeeChartx

Description
Internal use. Returns Color column index.

See also: ShowColors


ITeeScrollBar.properties
ITeeScrollBar Legend key

Type Library
TeeChartx

In ITeeScrollBar

AllowResize
ArrowBrush
Arrows
AutoRepeat
BackColor
Bevel
DisabledArrow
DrawStyle
Gradient
InitialDelay
MinThumbSize
RoundSize
Size
Thumb
ThumbBrush
ThumbSize


IVideoPlayerTool.Paused
IVideoPlayerTool

property Paused: WordBool;

Type Library
TeeChartx

Description
Returns True if the video is paused or stopped.


ISeriesRegionTool.Origin
ISeriesRegionTool

property Origin: Double;

Type Library
TeeChartx

Description
Default is zero.

When UseOrigin property is True, Origin value is used as the constant value to fill series regions between point values and Origin value.

When UseOrigin is False, Origin is ignored.


ICustomToolAxis.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolAxis


IPCXExport.properties
IPCXExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

Height
Width


ICanvas.StretchDraw
ICanvas

procedure StretchDraw(Left, Top, Right, Bottom: Integer; Const Image: IPicture);

Type Library
TeeChartx

Description
Call StretchDraw to draw an image on the canvas so that it fits into the specified rectangle. StretchDraw calls the Draw method of the image. The image object determines how it will fit into the rectangle. This may involve changing magnification and/or aspect ratio.

To render the image in its natural size, use the Draw method, instead.

Images can be bitmaps, icons, or metafiles. If it is a IBitmap object, the bitmap is rendered using the value of CopyMode.


IVideoPlayerTool.StartFrame
IVideoPlayerTool

property StartFrame: Integer;

Type Library
TeeChartx

Description
Returns the index of the first frame in the video.


ISeries.asTriSurface
ISeries

property asTriSurface: ITriSurfaceSeries;

Type Library
TeeChartx

Description
The asTriSurface property is used by the Series Class to access TriSurface Series specific properties.


ILinkTool.URL
ILinkTool

property URL: WideString;

Type Library
TeeChartx

Description

Gets or Sets the URL to be used.


IMarks.FontSeriesColor
IMarks

property FontSeriesColor: WordBool;

Type Library
TeeChartx

Description

Set FontSeriesColor to stipulate whether or not the color of the font of the marks text is the same as that of the Series color.


IOrgSeries.Format
IOrgSeries

property Format: IOrgShape;

Type Library
TeeChartx

Description
Set the default attribute values for new added items.

After changing Format properties, new items will be assigned that values.


IPointer.Shadow
IPointer

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description

Properties used to draw a shadow effect behind the pointer.


ICalendarSeries.Sunday
ICalendarSeries

property Sunday: ICalendarCell;

Type Library
TeeChartx

Description
The Sunday property describes Calender Cell appearance characteristics (font, colour, etc) for all of the Sundays in the Calender series.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Sunday.Color = vbGreen

End With


IOBVFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IOBVFunction


ILegendItems.Clear
ILegendItems

procedure Clear;

Type Library
TeeChartx

Description
Clears all customised items from the Legend.

Example:-

TChart1.Legend.Items.Clear


IErrorsD.Back

IErrors3D.Back
IErrors3D

property Back: IValueList;

Type Library
TeeChartx


ISeries.asTreeMap
ISeries

property asTreeMap: ITreeMapSeries;

Type Library
TeeChartx

Description
The asTreeMap property is used by the Series Class to access TreeMap Series specific properties.


IBrush.properties
IBrush Legend key

Type Library
TeeChartx

In IBrush

BackColor
BrushLink
Color
Gradient
Handle
Style


ITools.asAnnotation
ITools

property asAnnotation: IAnnotationTool;

Type Library
TeeChartx

Description
The asAnnotation property is used by the Tools Class to access AxisArrow Tool specific properties.


IShapeSeries.properties
IShapeSeries Legend key

Type Library
TeeChartx

In IShapeSeries

Alignment
Brush
Font
Gradient
Pen
RoundRectangle
Style
Text
Transparency
Transparent
VertAlign
X0
X1
XYStyle
Y0
Y1


ICursorTool.ScopeSize
ICursorTool

property ScopeSize: Integer;

Type Library
TeeChartx

Description
When Style is Scope use ScopeSize to modify the size of the Scope element.


ITeeFunction.asOBV
ITeeFunction

property asOBV: IOBVFunction;

Type Library
TeeChartx

Description
The asOBV property is used by the Teefunction Class to access OBV Function specific properties.


ITeeBasePath.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeBasePath


IDataTableTool.Inverted
IDataTableTool

property Inverted: WordBool;

Type Library
TeeChartx

Description
Setting Inverted to True will display the Series values into the Table in inverted order.

Example [Visual Basic]:

tChart1.Tools.Items(0).asDataTable.Íverted = True


IChartImageTool.ImageClear
IChartImageTool

procedure ImageClear;

Type Library
TeeChartx

Description
Clears all images loaded into the Chart by the ChartImageTool.


IEquiVolumeSeries.BoxFillStyle
IEquiVolumeSeries

property BoxFillStyle: EBoxFillStyle;

Type Library
TeeChartx

Description
Style used to plot EquiVolume Bars


ILightTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILightTool


IPointer.Gradient
IPointer

property Gradient: IGradient;

Type Library
TeeChartx

Description
Use this property to set the gradient used to fill pointer interior.


IPDFExport.properties
IPDFExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

Height
Width


IMapPolygonList.Polygon
IMapPolygonList

property Polygon[Index: Integer]: IMapPolygon;

Type Library
TeeChartx

Description
Use Polygon to access a Polygon in the array. The Index parameter indicates the index of the Polygon, where 0 is the index of the first Polygon, 1 is the index of the second Polygon, and so on. Set Items to change the reference at a specific location.


ICircledSeries.XCenter
ICircledSeries

property XCenter: Integer;

Type Library
TeeChartx

Description
Run-time and read only. The XCenter public property returns the exact ellipse's center horizontal position in pixels.

The ellipse's radius is determined by CircledSeries.XRadius and YRadius properties. The AngleToPoint function converts from angles to X and Y Screen coordinates. The PointToAngle function converts from XY Screen positions to angles.


IMoneyFlowFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICLVFunction
|
IMoneyFlowFunction


IGaugePointerRange.EndValue
IGaugePointerRange

property EndValue: Double;

Type Library
TeeChartx

Description

Get or Sets the EndValue.


ITeeFont.Gradient
ITeeFont

property Gradient: IGradient;

Type Library
TeeChartx

Description

Gradient fill properties for Font characters.


IGaugeHandItem.Value
IGaugeHandItem

property Value: Double;

Type Library
TeeChartx


IExport.SaveToXMLFile
IExport

procedure SaveToXMLFile(Const FileName: WideString; IncludeData, XMLHeader: WordBool);

Type Library
TeeChartx

Description

Export Chart to XML file.


ITChart.DragMode
ITChart

property DragMode: EDragMode;

Type Library
TeeChartx

Description
Defines the TChart Dragmode.


ITeeEditorOptions.Title
ITeeEditorOptions

property Title: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


IPointFigureSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointFigureSeries


ISeries.asPoint
ISeries

property asPoint: IPointSeries;

Type Library
TeeChartx

Description
The asPoint property is used by the Series Class to access Point Series specific properties.

See Typecasting for a detailed explanation of access to Series and Function specific properties.

eg. 'TChart1.Series(x).asPoint.PointStyle = psTriangle'.


IPrinterSettings.PelsHeight
IPrinterSettings

property PelsHeight: Integer;

Type Library
TeeChartx

Description
Specifies the height, in pixels, of the visible device surface. Display drivers use this member, for example, in the ChangeDisplaySettings function. Printer drivers do not use this member.


ITeeListBox.ItemHeight
ITeeListBox

property ItemHeight: Integer;

Type Library
TeeChartx

Description
Allows you to define the height for the Item of the ITeeListBox.


IPointer.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer


IAxes.Depth
IAxes

property Depth: IAxis;

Type Library
TeeChartx

Description
Access characteristics of the Depth Axis.


INearestTool.Hint
INearestTool

property Hint: WordBool;

Type Library
TeeChartx


ICustomPolarSeries.ClearBackImage
ICustomPolarSeries

procedure ClearBackImage;

Type Library
TeeChartx

Description
Clears Polar Back image set with LoadBackImage.


IPrinterSettings.PaperSize
IPrinterSettings

property PaperSize: SmallInt;

Type Library
TeeChartx

Description
For printer devices only, selects the size of the paper to print on. This member can be set to zero if the length and width of the paper are both set by the dmPaperLength and dmPaperWidth members. Otherwise, the dmPaperSize member can be set to a device specific value greater than or equal to DMPAPER_USER or to one of the following predefined values.

Value - Meaning

1 - DMPAPER_LETTER Letter, 8 1/2- by 11-inches

2 - DMPAPER_LETTERSMALL Letter Small, 8 1/2- by 11-inches

3 - DMPAPER_TABLOID Tabloid, 11- by 17-inches

4 - DMPAPER_LEDGER Ledger, 17- by 11-inches

5 - DMPAPER_LEGAL Legal, 8 1/2- by 14-inches

6 - DMPAPER_STATEMENT Statement, 5 1/2- by 8 1/2-inches

7 - DMPAPER_EXECUTIVE Executive, 7 1/4- by 10 1/2-inches

8 - DMPAPER_A3 A3 sheet, 297- by 420-millimeters

9 - DMPAPER_A4 A4 sheet, 210- by 297-millimeters

10 - DMPAPER_A4SMALL A4 small sheet, 210- by 297-millimeters

11 - DMPAPER_A5 A5 sheet, 148- by 210-millimeters

12 - DMPAPER_B4 B4 sheet, 250- by 354-millimeters

13 - DMPAPER_B5 B5 sheet, 182- by 257-millimeter paper

14 - DMPAPER_FOLIO Folio, 8 1/2- by 13-inch paper

15 - DMPAPER_QUARTO Quarto, 215- by 275-millimeter paper

16 - DMPAPER_10X14 10- by 14-inch sheet

17 - DMPAPER_11X17 11- by 17-inch sheet

18 - DMPAPER_NOTE Note, 8 1/2- by 11-inches

19 - DMPAPER_ENV_9 #9 Envelope, 3 7/8- by 8 7/8-inches

20 - DMPAPER_ENV_10 #10 Envelope, 4 1/8- by 9 1/2-inches

21 - DMPAPER_ENV_11 #11 Envelope, 4 1/2- by 10 3/8-inches

22 - DMPAPER_ENV_12 #12 Envelope, 4 3/4- by 11-inches

23 - DMPAPER_ENV_14 #14 Envelope, 5- by 11 1/2-inches

24 - DMPAPER_CSHEET C Sheet, 17- by 22-inches

25 - DMPAPER_DSHEET D Sheet, 22- by 34-inches

27 - DMPAPER_ENV_DL DL Envelope, 110- by 220-millimeters

26 - DMPAPER_ESHEET E Sheet, 34- by 44-inches

28 - DMPAPER_ENV_C5 C5 Envelope, 162- by 229-millimeters

29 - DMPAPER_ENV_C3 C3 Envelope, 324- by 458-millimeters

30 - DMPAPER_ENV_C4 C4 Envelope, 229- by 324-millimeters

31 - DMPAPER_ENV_C6 C6 Envelope, 114- by 162-millimeters

32 - DMPAPER_ENV_C65 C65 Envelope, 114- by 229-millimeters

33 - DMPAPER_ENV_B4 B4 Envelope, 250- by 353-millimeters

34 - DMPAPER_ENV_B5 B5 Envelope, 176- by 250-millimeters

35 - DMPAPER_ENV_B6 B6 Envelope, 176- by 125-millimeters

36 - DMPAPER_ENV_ITALY Italy Envelope, 110- by 230-millimeters

37 - DMPAPER_ENV_MONARCH Monarch Envelope, 3 7/8- by 7 1/2-inches

38 - DMPAPER_ENV_PERSONAL 6 3/4 Envelope, 3 5/8- by 6 1/2-inches

39 - DMPAPER_FANFOLD_US US Std Fanfold, 14 7/8- by 11-inches

40 - DMPAPER_A5_EXTRA A5 Extra 174 x 235-millimeters

40 - DMPAPER_FANFOLD_STD_GERMAN German Std Fanfold, 8 1/2- by 12-inches

41 - DMPAPER_FANFOLD_LGL_GERMAN German Legal Fanfold, 8 - by 13-inches

42 - DMPAPER_ISO_B4 B4 (ISO) 250- by 353-millimeters paper

43 - DMPAPER_JAPANESE_POSTCARD Japanese Postcard, 100- by 148-millimeters

44 - DMPAPER_9X11 9- by 11-inch sheet

45 - DMPAPER_10X11 10- by 11-inch sheet

46 - DMPAPER_15X11 15- by 11-inch sheet

47 - DMPAPER_ENV_INVITE Envelope Invite 220 x 220 mm

50 - DMPAPER_LETTER_EXTRA Letter Extra 9 1/2 x 12 inches.

51 - DMPAPER_LEGAL_EXTRA Legal Extra 9 1/2 x 15 inches.

52 - DMPAPER_TABLOID_EXTRA Tabloid, 11.69 x 18-inches

53 - DMPAPER_A4_EXTRA A4 sheet, 9.27 x 12.69 inches

54 - DMPAPER_LETTER_TRANSVERSE Letter Transverse 8 1/2 x 11-inches

55 - DMPAPER_A4_TRANSVERSE A4 Transverse 210 x 297 millimeters

56 - DMPAPER_LETTER_EXTRA_TRANSVERSE Letter Extra Transverse 9 1/2 x 12 inches.

57 - DMPAPER_A_PLUS SuperA/A4 227 x 356 -millimeters

58 - DMPAPER_B_PLUS SuperB/A3 305 x 487-millimeters

60 - DMPAPER_A4_PLUS A4 Plus 210 x 330-millimeters

61 - DMPAPER_A5_TRANSVERSE A5 Transverse 148 x 210-millimeters

63 - DMPAPER_A3_EXTRA A3 Extra 322 x 445-millimeters

65 - DMPAPER_B5_EXTRA B5 (ISO) Extra 201 x 276-millimeters

66 - DMPAPER_A2 A2 sheet, 420 x 594-millimeters

67 - DMPAPER_A3_TRANSVERSE A3 Transverse 297 x 420-millimeters

68 - DMPAPER_A3_EXTRA_TRANSVERSE A3 Extra Transverse 322 x 445-millimeters

69 - DMPAPER_DBL_JAPANESE_POSTCARD Windows 98/Me, Windows NT 4.0 and later: Double Japanese Postcard, 200- by 148-millimeters

70 - DMPAPER_A6 Windows 98/Me, Windows NT 4.0 and later: A6 sheet, 105- by 148-millimeters

71 - DMPAPER_JENV_KAKU2 Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Kaku #2

72 - DMPAPER_JENV_KAKU3 Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Kaku #3

73 - DMPAPER_JENV_CHOU3 Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Chou #3

74 - DMPAPER_JENV_CHOU4 Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Chou #4

75 - DMPAPER_LETTER_ROTATED Letter Rotated 11 by 8 1/2 inches

76 - DMPAPER_A3_ROTATED Windows 98/Me, Windows NT 4.0 and later: A3 rotated sheet, 420- by 297-millimeters

77 - DMPAPER_A4_ROTATED Windows 98/Me, Windows NT 4.0 and later: A4 rotated sheet, 297- by 210-millimeters

78 - DMPAPER_A5_ROTATED Windows 98/Me, Windows NT 4.0 and later: A5 rotated sheet, 210- by 148-millimeters

79 - DMPAPER_B4_JIS_ROTATED Windows 98/Me, Windows NT 4.0 and later: B4 (JIS) rotated sheet, 364- by 257-millimeters

80 - DMPAPER_B5_JIS_ROTATED Windows 98/Me, Windows NT 4.0 and later: B5 (JIS) rotated sheet, 257- by 182-millimeters

81 - DMPAPER_JAPANESE_POSTCARD_ROTATED Windows 98/Me, Windows NT 4.0 and later: Japanese Postcard Rotated, 148- by 100-millimeters

82 - DMPAPER_DBL_JAPANESE_POSTCARD_ROTATED Windows 98/Me, Windows NT 4.0 and later: Double Japanese Postcard Rotated, 148- by 200-millimeters

83 - DMPAPER_A6_ROTATED Windows 98/Me, Windows NT 4.0 and later: A6 rotated sheet, 148- by 105-millimeters

84 - DMPAPER_JENV_KAKU2_ROTATED Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Kaku #2 Rotated

85 - DMPAPER_JENV_KAKU3_ROTATED Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Kaku #3 Rotated

86 - DMPAPER_JENV_CHOU3_ROTATED Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Chou #3 Rotated

87 - DMPAPER_JENV_CHOU4_ROTATED Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope Chou #4 Rotated

88 - DMPAPER_B6_JIS Windows 98/Me, Windows NT 4.0 and later: B6 (JIS) sheet, 128- by 182-millimeters

89 - DMPAPER_B6_JIS_ROTATED Windows 98/Me, Windows NT 4.0 and later: B6 (JIS) rotated sheet, 182- by 128-millimeters

90 - DMPAPER_12X11 Windows 98/Me, Windows NT 4.0 and later: 12- by 11-inch sheet

91 - DMPAPER_JENV_YOU4 Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope You #4

92 - DMPAPER_JENV_YOU4_ROTATED Windows 98/Me, Windows NT 4.0 and later: Japanese Envelope You #4 Rotated

93 - DMPAPER_P16K Windows 98/Me, Windows NT 4.0 and later: PRC 16K, 146- by 215-millimeters

94 - DMPAPER_P32K Windows 98/Me, Windows NT 4.0 and later: PRC 32K, 97- by 151-millimeters

95 - DMPAPER_P32KBIG Windows 98/Me, Windows NT 4.0 and later: PRC 32K(Big) 97- by 151-millimeters

96 - DMPAPER_PENV_1 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #1, 102- by 165-millimeters

97 - DMPAPER_PENV_2 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #2, 102- by 176-millimeters

98 - DMPAPER_PENV_3 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #3, 125- by 176-millimeters

99 - DMPAPER_PENV_4 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #4, 110- by 208-millimeters

100 - DMPAPER_PENV_5 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #5, 110- by 220-millimeters

101 - DMPAPER_PENV_6 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #6, 120- by 230-millimeters

102 - DMPAPER_PENV_7 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #7, 160- by 230-millimeters

103 - DMPAPER_PENV_8 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #8, 120- by 309-millimeters

104 - DMPAPER_PENV_9 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #9, 229- by 324-millimeters

105 - DMPAPER_PENV_10 Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #10, 324- by 458-millimeters

106 - DMPAPER_P16K_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC 16K Rotated, 215- by 146-millimeters

107 - DMPAPER_P32K_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC 32K Rotated, 151- by 97-millimeters

108 - DMPAPER_P32KBIG_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC 32K(Big) Rotated, 151- by 97-millimeters

109 - DMPAPER_PENV_1_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #1 Rotated, 165- by 102-millimeters

110 - DMPAPER_PENV_2_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #2 Rotated, 176- by 102-millimeters

111 - DMPAPER_PENV_3_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #3 Rotated, 176- by 125-millimeters

112 - DMPAPER_PENV_4_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #4 Rotated, 208- by 110-millimeters

113 - DMPAPER_PENV_5_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #5 Rotated, 220- by 110-millimeters

114 - DMPAPER_PENV_6_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #6 Rotated, 230- by 120-millimeters

115 - DMPAPER_PENV_7_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #7 Rotated, 230- by 160-millimeters

116 - DMPAPER_PENV_8_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #8 Rotated, 309- by 120-millimeters

117 - DMPAPER_PENV_9_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #9 Rotated, 324- by 229-millimeters

118 - DMPAPER_PENV_10_ROTATED Windows 98/Me, Windows NT 4.0 and later: PRC Envelope #10 Rotated, 458- by 324-millimeters

118 - DMPAPER_PENV_10_ROTATED

118 - DMPAPER_LAST Windows 2000/XP:


IScrollPagerTool.EndLinePointer
IScrollPagerTool

property EndLinePointer: IPointer;

Type Library
TeeChartx


ICustomSeries.InflateMargins
ICustomSeries

property InflateMargins: WordBool;

Type Library
TeeChartx


IAxes.RemoveAllCustom
IAxes

procedure RemoveAllCustom;

Type Library
TeeChartx

Description
Removes all Custom Axes. Any Series associated with the Axes are reset to their default Axes.


IColorLineTool.methods
IColorLineTool Legend key

Type Library
TeeChartx

In IColorLineTool

Clicked


IChartFont.Italic
IChartFont

property Italic: WordBool;

Type Library
TeeChartx

Description
The ChartFont.Italic property sets Font italic (true or false) for text.

Example [Visual Basic]:

TChart1.Header.Font.Italic = True


ITeeCorners.RightTop
ITeeCorners

property RightTop: ITeeCorner;

Type Library
TeeChartx


ICurveFittingFunction.properties
ICurveFittingFunction Legend key

Type Library
TeeChartx

In ICurveFittingFunction

AnswerVector
FirstCalcPoint
FirstPoint
LastCalcPoint
LastPoint
PolyDegree
TypeFitting


IXAMLExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IXAMLExport


IFilterRegion.Top
IFilterRegion

property Top: Integer;

Type Library
TeeChartx

Description
Top position of the region.


IPointFigureSeries.OpenValues
IPointFigureSeries

property OpenValues: IValueList;

Type Library
TeeChartx

Description
The OpenValues property is used to store all Stock market Open values.

You can access Open values in the same way you can access X or Y values.


IChartAnimations.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartAnimations


ITeeCommander.BevelOuter
ITeeCommander

property BevelOuter: EPanelBevel;

Type Library
TeeChartx

Description

The BevelOuter property defines the outer bevel type of the TeeCommander Panel border.

Available types:

bvNone

bvLowered

bvRaised


ITeeFunction.asPVO
ITeeFunction

property asPVO: IPVOFunction;

Type Library
TeeChartx

Description
The asPVO property is used by the Teefunction Class to access PVO Function specific properties.


ITChart.AddSeries
ITChart

function AddSeries(SeriesClass: ESeriesClass): Integer;

Type Library
TeeChartx

Description
The AddSeries method adds a new Series class to the Chart.

Example [Visual Basic]:

TChart1.AddSeries(scLine)


ISeries.asRadar
ISeries

property asRadar: IRadarSeries;

Type Library
TeeChartx

Description
The asRadar property is used by the Series Class to access Radar Series specific properties.


ISeries.Get_asEqualizerSeries
ISeries

function Get_asEqualizerSeries: IEqualizerSeries;

Type Library
TeeChartx


ISeriesSource.properties
ISeriesSource Legend key

Type Library
TeeChartx

In ISeriesSource

Active
Series

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IPerformanceFunction.methods
IPerformanceFunction Legend key

Type Library
TeeChartx

In IPerformanceFunction

Calculate


IChartImageTool.properties
IChartImageTool Legend key

Type Library
TeeChartx

In IChartImageTool

Pen

Derived from ICustomToolSeries

Series


IPerimeterFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPerimeterFunction


ITools.asPie
ITools

property asPie: IPieTool;

Type Library
TeeChartx

Description
The asPie property is used by the Tools Class to access Pie Tool specific properties.


IEnvironment.MouseWheelToParent
IEnvironment

property MouseWheelToParent: WordBool;

Type Library
TeeChartx


ICanvas.Pixels
ICanvas

procedure Pixels(X, Y: Integer; Value: OLE_COLOR);

Type Library
TeeChartx

Description
Sets the 2D pixel to OLE_Color, using Pen.Width.


ITeePreviewer.methods
ITeePreviewer Legend key

Type Library
TeeChartx

In ITeePreviewer

ShowPreview

Derived from ITeeLinked

AboutBox


IIsoSurfaceSeries.UseYPosition
IIsoSurfaceSeries

property UseYPosition: WordBool;

Type Library
TeeChartx

Description
Default is False.

When False, Iso-lines and cells are displayed using the series Y values for a given cell.

When True, iso-lines are displayed and cells are filled at a common user-defined Y vertical position (YPosition property).

The IIsoSurfaceSeries.YPosition property is only used when UseYPosition is True.


ISurfaceSeries.FastBrush
ISurfaceSeries

property FastBrush: WordBool;

Type Library
TeeChartx

Description

Optimization property. Default is False.

When True, and only on selected Windows versions (XP, 2000, 2003, etc), the surface paints cells using a simple (and faster to select) solid brush color.

On large size surfaces, FastBrush should increment the display speed a good percentage.


ITeeEditorShowPages.ExportNative
ITeeEditorShowPages

property ExportNative: WordBool;

Type Library
TeeChartx

Description
Allows you to hide or show the ExportNative tab in the Chart Editor.


ITeeCustomShape.Color
ITeeCustomShape

property Color: OLE_COLOR;

Type Library
TeeChartx

Description
Shape colour.


ISVGExport.properties
ISVGExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

Height
Width


IGradientColor.Transparency
IGradientColor

property Transparency: Integer;

Type Library
TeeChartx


IDownSamplingFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDownSamplingFunction


ICallout.ArrowHead
ICallout

property ArrowHead: EArrowHeadStyle;

Type Library
TeeChartx

Description
Determines if callout line will display an "arrow" head at the end or not.

See EArrowHeadStyle enumerated values for options.


IFunnelSeries.AddSegment
IFunnelSeries

function AddSegment(AQuote, AOpportunity: Double; Const ALabel: WideString; AColor: OLE_COLOR): Integer;

Type Library
TeeChartx

Description
Use AddSegment method to add new Funnel segment to the Series. The new segment is represented by AQuote and AOpportunity value. The ALabel parameter is optional (can be empty "''). The AColor parameter is optional (can be clTeeColor). The function returns the new point position in the Values list.

The AddSegment triggers the reconstruction of Funnel chart. If you want to avoid this, set the AutoUpdate property to false and then call the Recalculate method when you want to reconstruct the Funnel chart.

NOTE :

The internal drawing algorithm requires that QuoteValues are sorted in descending order. There are two ways you can ensure this:

1) Sort segments by QuoteValues in descending order before you add them to series. In this case you can override internal sorting algorithm by setting the QuotesSorted property to true.

2) Use the internal sorting algorithm. You can enable the internal sorting algorithm by setting the QuotesSorted property to false.


ITowerSeries.Origin
ITowerSeries

property Origin: Double;

Type Library
TeeChartx

Description
The axis vertical position considered to be the "origin" of points.

Points with values below origin are considered "negatives".

By default, Origin is not used. Instead, the lowest Y value of the series is considered to be the origin.

See UseOrigin property to enable Origin.

Example [Visual Basic]:

Private Sub Form_Load()

Dim x As Integer, z As Integer

TChart1.Series(0).Clear

For x = 1 To 10

For z = 1 To 10

TChart1.Series(0).asTower.AddXYZ x, Rnd * 1000 - 100, z, "", clTeeColor

Next z

Next x

' example:

TChart1.Series(0).asTower.Origin = 500

TChart1.Series(0).asTower.UseOrigin = True

End Sub


IStrings.Clear
IStrings

procedure Clear;

Type Library
TeeChartx

Description
Use the IStrings Clear method to clear all text from the TChart Header.

Example [Visual Basic]:

TChart1.Header.Text.Clear


IMarksTail.properties
IMarksTail Legend key

Type Library
TeeChartx

In IMarksTail

Align
AutoAlign
CustomPoint
CustomPointPos
Edge
Height
Margin
Visible
Width


IZoom.Brush
IZoom

property Brush: IBrush;

Type Library
TeeChartx

Description
Brush used to fill mousedragged zoom area.


IImageBarSeries.LoadImage
IImageBarSeries

function LoadImage(Const FileName: WideString): WordBool;

Type Library
TeeChartx

Description

Loads an image from a file into the ImageBar. Format may be Bmp, Metafile, Jpeg or Gif.


IAxisTitle.Position
IAxisTitle

property Position: EAxisArrowToolPosition;

Type Library
TeeChartx


ITeeLinked.ChartLinkx

ITeeLinked.ChartLinkx64
ITeeLinked

property ChartLinkx64: OleVariant;

Type Library
TeeChartx


ITChart.OnDatabaseRecord
ITChart See also

property OnDatabaseRecord: TTChartOnDatabaseRecord;

Type Library
TeeChartx

Description
TeeChart ADO support in version 5 does not permit the functioning of this event. Please do not use it. TeeChart Pro v5 provides the OnSeriesBeforeAdd event for similar functionality.

See also:
OnSeriesBeforeAdd


ITernarySeries.TernaryLegendStyle
ITernarySeries

property TernaryLegendStyle: ETernaryLegendStyle;

Type Library
TeeChartx

Description
Options for different Legend content when displayed with a Ternary Series.


ICustomImagePointSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICustomImagePointSeries


IHorizBarSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomBarSeries
|
IHorizBarSeries


ICustomSeries.Smoothed
ICustomSeries

property Smoothed: WordBool;

Type Library
TeeChartx

Description
Smoothed property in TLineSeries and TAreaSeries produces smoothed lines between the series points.


ISeries.LegendItemColor
ISeries

function LegendItemColor(LegendIndex: Integer): OLE_COLOR;

Type Library
TeeChartx

Description
Get/set LegendItem colour for LegendIndexth item.


ISeriesGroup.properties
ISeriesGroup Legend key

Type Library
TeeChartx

In ISeriesGroup

Active
GroupLink
Name
Series
SeriesCount


IContourSeries.LinesColor
IContourSeries

property LinesColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default contour levels line pen color.


IClockHand.Arrow
IClockHand

property Arrow: Integer;

Type Library
TeeChartx

Description
Controls the appearance of the clock hand in a ClockSeries Chart.


ISeriesSourceFile.properties
ISeriesSourceFile Legend key

Type Library
TeeChartx

In ISeriesSourceFile

FileName
LoadMode

Derived from ISeriesSource

Active
Series

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


IFibonacciTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IFibonacciTool


ISubChartTool.Cursor
ISubChartTool

property Cursor: SmallInt;

Type Library
TeeChartx

Description
Sets the cursor to show when the end user moves the mouse inside the sub-chart space.


IGLLightSource.properties
IGLLightSource Legend key

Type Library
TeeChartx

In IGLLightSource

Direction
FixedPosition
Position
SpotDegrees
UseDirection

Derived from IGLLight

Color
Visible


ITChart.MousePosition
ITChart

property MousePosition: ITeePoint2D;

Type Library
TeeChartx

Description
Returns the current mouse position in pixels relative to the Chart panel origin.


ICanvas.Cylinder
ICanvas

procedure Cylinder(Vertical: WordBool; Left, Top, Right, Bottom, Z0, Z1: Integer; DarkCover: WordBool);

Type Library
TeeChartx

Description
Draws cylinder toggle Boolean for vertical or horizontal cylinder.


ITernarySeries.RadiusValues
ITernarySeries

property RadiusValues: IValueList;

Type Library
TeeChartx

Description
Ternary Pointer Radius Values when Ternary Style is Bubble.


ITeePreviewerOptions.ChangePrinter
ITeePreviewerOptions

property ChangePrinter: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


IToolList.properties
IToolList Legend key

Type Library
TeeChartx

In IToolList

Active
Count
Items


IDarvasSeries.BoxTransparency
IDarvasSeries

property BoxTransparency: Integer;

Type Library
TeeChartx


IMarks.OnTop
IMarks

property OnTop: WordBool;

Type Library
TeeChartx

Description
Gets or sets a value which determines if Series Marks are always drawn on top of all other Series in the Chart.


ICustomGauge.GetPaletteColor
ICustomGauge

function GetPaletteColor(Index: Integer): OLE_COLOR;

Type Library
TeeChartx

Description
Returns the index'th color inside the GaugeColorPalette array.


IChartFont.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartFont


IPrinterSettings.DeviceName
IPrinterSettings

property DeviceName: WideString;

Type Library
TeeChartx

Description
A zero-terminated character array that specifies the "friendly" name of the printer or display; for example, "PCL/HP LaserJet" in the case of PCL/HP LaserJet. This string is unique among device drivers. Note that this name may be truncated to fit in the dmDeviceName array.


ISeriesMarkPosition.ArrowFrom
ISeriesMarkPosition

property ArrowFrom: ITeePoint2D;

Type Library
TeeChartx

Description
Defines the position (X,Y) from which the line connecting the Series Point and Series Mark is drawn.

Example [Visual Basic]:

This example draws a line from the Series' second value on the XAxis to the Series' second mark:

With TChart1.Series(0).Marks.Positions.Position(1)

.Custom = True

.ArrowFrom.X = TChart1.Series(0).CalcXPos(1)

.ArrowFrom.Y = TChart1.Series(0).CalcYPos(0)

.ArrowTo.X = TChart1.Series(0).CalcXPos(1)

.ArrowTo.Y = TChart1.Series(0).CalcYPos(1) - 16

End With


IValueList.Value
IValueList

property Value[Index: Integer]: Double;

Type Library
TeeChartx

Description
Run-time only.

The Value array property holds all values in the list. The Series class repaints whenever values are changed. You can use the Value property to retrieve or change values:

Value property Example

This code changes the 6th series point value to 25:

Delphi

TChart1.Series[ 0 ].YValues.Value[ 5 ] := 25 ;

TChart1.Repaint;

Visual Basic

TChart1.Series(0).YValues.Value(5) = 25

This code is equivalent:

TChart1.Series[ 0 ].YValues[ 5 ] := 25 ;

TChart1.Repaint;

This code too (repaints automatically):

TChart1.Series[ 0 ].YValue[ 5 ] := 25 ;


IMapPolygon.Centroid
IMapPolygon

function Centroid: ITeePoint2D;

Type Library
TeeChartx


ITeeEditorShowPages.ExportDialog
ITeeEditorShowPages

property ExportDialog: WordBool;

Type Library
TeeChartx

Description
Default = True

The ExportDialog property may be used to disable the display of the Export Tab to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITowerSeries.MinZValueTower
ITowerSeries

function MinZValueTower: Double;

Type Library
TeeChartx

Description
Use this method to return the Tower MinZValueTower.


IWall.Visible
IWall

property Visible: WordBool;

Type Library
TeeChartx

Description
Sets the wall to visible/invisible.


IGradient.EndColor
IGradient

property EndColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default: vbYellow

The EndColor property is one of the three colors used to create the gradient fill. The gradient fill is composed of the three colors: StartColor, MidColor and EndColor.


IDataExport.IncludeIndex
IDataExport

property IncludeIndex: WordBool;

Type Library
TeeChartx

Description
Default False.

Whether or not to include the Index of each point in the output Series data. For Series data added with the Add method the Index values will equal the X values as the Add method generates X values against an input of only Y values (for eg. a Line, Bar or Area Series). For data added as XY values (eg. with AddXY), then the output Series data will include those X and Y values and the Index column (if enabled with the IncludeIndex property) will contain an list of point indexes which will be a sequential count of point indices.


IMapPolygon.Code
IMapPolygon

property Code: WideString;

Type Library
TeeChartx


ISelectorTool.AllowDrag
ISelectorTool

property AllowDrag: WordBool;

Type Library
TeeChartx

Description
Allows mousedrag of Selector Tool when true .


ITeeCommander.ButtonMove
ITeeCommander

property ButtonMove: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonMove

Example:-

TeeCommander1.ButtonMove.Hide


ICalendarCell.Visible
ICalendarCell

property Visible: WordBool;

Type Library
TeeChartx

Description
Enables/Disables the visibility of a specified calender cell.

Example [Visual Basic]:

This example will display a completely empty calender:

With TChart1.Series(0).asCalendar

.Today.Visible = False

.Weekdays.Visible = False

.Days.Visible = False

.Months.Visible = False

.Sunday.Visible = False

.Trailing.Visible = False

.Weekdays.Visible = False

End With


IExport.asNative
IExport

property asNative: INativeExport;

Type Library
TeeChartx

Description
The asNative property accesses the NativeExport class which configures the Native TEE file type to which the selected Chart and optional series data is exported.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Export.asNative.SaveToFile "C:\TestFiles\TeeChart.tee", True

End With


ITeeEditorOptions.DataSource
ITeeEditorOptions

property DataSource: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


ISeries.Legend
ISeries

property Legend: ITextShape;

Type Library
TeeChartx


ITools.asSelector
ITools

property asSelector: ISelectorTool;

Type Library
TeeChartx

Description
The asSelector property is used by the Tools Class to access Selector Tool specific properties.


ITitles.properties
ITitles Legend key

Type Library
TeeChartx

In ITitles

AdjustFrame
Alignment
AutoSize
Caption
ClipText
Cursor
Margins
Text
TextAlignment
VertMargin
Visible

Derived from ITeeShapePosition

CustomPosition
Left
Top

Derived from ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IRenkoSeries.properties
IRenkoSeries Legend key

Type Library
TeeChartx

In IRenkoSeries

BoxSize
CloseValues
DownSwingColor
Draw3D
Transparency
UpSwingColor


ISeriesList.Items
ISeriesList

property Items[Index: Integer]: ISeries;

Type Library
TeeChartx

Description

Returns a collection of Series items.


IMapPolygon.Visible
IMapPolygon

function Visible: WordBool;

Type Library
TeeChartx

Description
Returns True if the Polygfon contains points that lie inside the chart "ChartRect" ( the visible chart area)


ICanvas.ClipPolygon
ICanvas

procedure ClipPolygon(Var Points: OleVariant; NumPoints: Integer);

Type Library
TeeChartx

Description
Tells the canvas to restrict output to the polygon that forms the array of points.


ITitles.Text
ITitles

property Text: IStrings;

Type Library
TeeChartx

Description
The Text property determines the text that appears at a Chart Header or Footer. You can add or change text using the IStrings component methods:

Example [Visual Basic]:

You can add or change text using the IStrings object methods:

With TChart1.Header.Text

.Clear

.Add "Hello"

.Add "World"

End With


IAxisLabels.Width
IAxisLabels

function Width(SomeValue: Double): Integer;

Type Library
TeeChartx

Description
This function returns the Axis Label width of the Value parameter. It uses the Axis formatting specifiers, the Axis Labels Font and the Labels rotation and style.


ICustomBoxSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICustomBoxSeries


ITeeOpenGL.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeOpenGL


ITeePanning.properties
ITeePanning Legend key

Type Library
TeeChartx

In ITeePanning

InsideBounds
MouseWheel

Derived from IZoomPanning

Active


IContourSeries.ContourMarks
IContourSeries

property ContourMarks: IContourMarks;

Type Library
TeeChartx

Description
Access Marks.

To Set Visible:

tChart1.Series(0).asContour.ContourMarks.Visible=True


ITChart.OnDragMarksToolDraggedMark
ITChart

property OnDragMarksToolDraggedMark: TTChartOnDragMarksToolDraggedMark;

Type Library
TeeChartx

Description
Event called when the end user releases the mouse button after drag the mark.


IErrorsFormat.Bottom
IErrorsFormat

property Bottom: IPen;

Type Library
TeeChartx


ICursorTool.ScopeStyle
ICursorTool

property ScopeStyle: EScopeCursorStyle;

Type Library
TeeChartx

Description
Select a ScopeCursorStyle option when the Style property is set to Scope.


IGradientColors.Items
IGradientColors

property Items[Index: Integer]: IGradientColor;

Type Library
TeeChartx


IContourSeries.AutomaticLevels
IContourSeries

property AutomaticLevels: WordBool;

Type Library
TeeChartx

Description
Set ContourSeries Automatic Levels.


ITChart.OnColorBandToolClick
ITChart

property OnColorBandToolClick: TTChartOnColorBandToolClick;

Type Library
TeeChartx

Description

Triggered when clicking a ColorBandTool ColorBand.


IRotateFilter.Angle
IRotateFilter

property Angle: Double;

Type Library
TeeChartx

Description
Gets or sets the rotation angle in degrees from 0 to 360.


IScrollBarThumb.Gradient
IScrollBarThumb

property Gradient: IGradient;

Type Library
TeeChartx

Description
Gets or sets the properties used to fill the interior of the scrollbar thumb.

Note: When the Image property is used, Brush and Gradient are ignored.


ILegend.Series
ILegend

property Series: OleVariant;

Type Library
TeeChartx

Description
Set Series to determine which series is used as data for the Legend entries.

By default, the Legend chooses the first Active Series with ShowInLegend:=True.

It only applies to Legend style "lsValues".

Example [Delphi]:

Chart1.Legend.Series := Series5 ;


IXMLExport.methods
IXMLExport Legend key

Type Library
TeeChartx

Derived from IDataExport

AsString
SaveToFile
SaveToStream


IDataExport.Series
IDataExport

property Series: OleVariant;

Type Library
TeeChartx

Description
The Series used by the DataExport child component as datasource for export.


IPrinter.BeginDoc
IPrinter

procedure BeginDoc;

Type Library
TeeChartx

Description
Use BeginDoc to start a printer job to be closed with EndDoc. This may be used with PrintPartial to send a Chart (or multiple Charts) to the printer before ejecting a page. Custom user input may also be included on the same page.

PageWidth and PageHeight may be used to scale the print co-ordinates to the printer page.

Example [Visual Basic]:

Private Sub Command2_Click()

With TChart1.Printer

.Orientation = poLandscape

.BeginDoc

.PrintPartial 0, 0, .PageWidth / 2, .PageHeight

End With

With TChart2.Printer

.PrintPartial .PageWidth / 2, 0, .PageWidth, .PageHeight

.EndDoc

End With

End Sub


IPieSeries.Gradient
IPieSeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
The gradient properties used to fill pie slices.

By default this gradient is hidden ( Gradient.Visible property is False ).


IOrgItem.Text
IOrgItem

property Text: WideString;

Type Library
TeeChartx

Description
Gets or sets the text to display inside the item rectangle.


IPieMarks.EmptySlice
IPieMarks

property EmptySlice: WordBool;

Type Library
TeeChartx


ITChart.OnBeforeDrawAxes
ITChart

property OnBeforeDrawAxes: TNotifyEvent;

Type Library
TeeChartx

Description
BeforeDrawAxes event is called just before the axes are painted. It can be used, for example, when you wish to draw to the Canvas below the visible Chart. Legend and Chart Header are painted before this event is called.

WARNING:

Do not change Axes properties that would force the Axes to be repainted.

This may cause recursion and endless repainting !


IErrorsD.properties

IErrors3D properties
IErrors3D Legend key

Type Library
TeeChartx

In IErrors3D

Back
Format
Front

Derived from IErrorsBase

Bottom
Left
Right
SeriesColor
Size
SizeUnits
Top


ICircledSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries


IContourSeries.Levels
IContourSeries

property Levels: IContourLevels;

Type Library
TeeChartx

Description
Access ContourLevel characteristics selecting Level by index.


ICustomFunction.StartX
ICustomFunction

property StartX: Double;

Type Library
TeeChartx

Description
The initial value for the "X" parameter.

This is the starting value to call the OnCalculate event.

See also TTeeFunction Period property.


IChartGridCols.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IChartGridCols


IVarianceFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IVarianceFunction


IGaugeSeriesPointer.GaugeStyle
IGaugeSeriesPointer

property GaugeStyle: EGaugePointerStyles;

Type Library
TeeChartx

Description

Defines the pointer's style.


ISeries.XValueToText
ISeries

function XValueToText(SomeValue: Double): WideString;

Type Library
TeeChartx

Description
The XValueToText function returns the formatted text representation of the specified AValue parameter.

The AValue parameter is considered to be an horizontal X coordinate.

It returns the text string corresponding to an hypothetic horizontal Axis Label for that value.

It calls the corresponding horizontal axis FormattedValue function.


ITChart.OnLegendDrawSymbol
ITChart

property OnLegendDrawSymbol: TTChartOnLegendDrawSymbol;

Type Library
TeeChartx

Description

Triggered when plotting the Legend Symbol. You can use this event to plot an image atthe location at plot time.

Example

Private Sub TChart1_OnLegendDrawSymbol(ByVal Series As Long, ByVal ValueIndex As Long, ByVal Left As Long, ByVal Top As Long, ByVal Right As Long, ByVal Bottom As Long)

Dim Flag As Image

Dim r As TeeRect

If Check1.Value Then

With TChart1

If Series <> -1 Then

ImageList1.ListImages(ValueIndex + 1).Draw .Canvas.HandleDC, _

Screen.TwipsPerPixelX * Left, _

Screen.TwipsPerPixelY * (Top - 5)

End If

End With

End If

End Sub


ITeeRect.Top
ITeeRect

property Top: Integer;

Type Library
TeeChartx

Description
Sets the top position of the rectangle.


IClusteringTool.properties
IClusteringTool Legend key

Type Library
TeeChartx

In IClusteringTool

Centers
Centroids
ColorEach
Distance
Hierarchical
KMeans
Linkage
Method
MinkowskiLambda
QTClustering
ShowBounds
Transparency

Derived from ICustomToolSeries

Series


ICircledSeries.Circled
ICircledSeries

property Circled: WordBool;

Type Library
TeeChartx

Description
Default Value: False

The Circled property defines if a CircledSeries such as PieSeries will be drawn elliptically or with same X and Y radius (circle).


ISubChart.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ISubChart


ITeeEditorShowPages.Themes
ITeeEditorShowPages

property Themes: WordBool;

Type Library
TeeChartx

Description
Allows you to hide or show the Themes tab in the Chart Editor.


ICustomBoxSeries.AdjacentPoint

ICustomBoxSeries.AdjacentPoint1
ICustomBoxSeries

property AdjacentPoint1: Double;

Type Library
TeeChartx

Description
Read from AdjacentPoint1 to get SampleValues lower adjacent point. AdjacentPoint1 is the data point that is

closest to InnerFence1, without lying bellow InnerFence1. Write to AdjacentPoint1 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to AdjacentPoint1 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


ICustomBoxSeries.AdjacentPoint

ICustomBoxSeries.AdjacentPoint3
ICustomBoxSeries

property AdjacentPoint3: Double;

Type Library
TeeChartx

Description
Read from AdjacentPoint3 to get SampleValues upper adjacent point. AdjacentPoint3 is the data point that is

closest to InnerFence3, without lying above InnerFence3. Write to AdjacentPoint3 to override ICustomBoxSeries default calculating algorithm and use supplied value to construct box plot.

NOTE: Writing to AdjacentPoint3 does not ensure custom value will be used to construct a box plot. An additional requirement is the UseCustomValues property is True.


IChartGrid.ShowColors
IChartGrid

property ShowColors: WordBool;

Type Library
TeeChartx

Description
Default False

Set to True to show Series and/or Series point colours.


IPage.Previous
IPage

procedure Previous;

Type Library
TeeChartx

Description
When MaxPointsPerPage is greater than Zero, TeeChart automatically divides point values in Pages. Calling Previous is the same as Page = Page - 1 (Go back a page). The Count IPage property returns the total number of pages.


ICCIFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICCIFunction


ITeeEditorOptions.Help
ITeeEditorOptions

property Help: WordBool;

Type Library
TeeChartx

Description
Applies to

TeeEditorOptions component

Declaration

property Add : WordBool;

property Change : WordBool;

property Clone : WordBool;

property Datasource : WordBool;

property Delete : WordBool;

property Help : WordBool;

property Title : WordBool;

Description

Default = True

The Option in TeeEditorOptions may be used to disable runtime functionality in the Chart Editor. Set option properties to false to disable them.


ITools.asNearest
ITools

property asNearest: INearestTool;

Type Library
TeeChartx

Description
The asNearest property is used by the Tools Class to access Nearest Tool specific properties.


IVectorDSeries.ArrowWidth

IVector3DSeries.ArrowWidth
IVector3DSeries

property ArrowWidth: Integer;

Type Library
TeeChartx

Description
Gets and sets the arrow width in pixels.


IDarvasSeries.methods
IDarvasSeries Legend key

Type Library
TeeChartx

In IDarvasSeries

ClickedBox

Derived from ICandleSeries

AddCandle


INumericGauge.methods
INumericGauge Legend key

Type Library
TeeChartx

Derived from ICustomGauge

GetPaletteColor
SetCustomBounds


IXLSObjectExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
IXLSObjectExport


IBMPExport.methods
IBMPExport Legend key

Type Library
TeeChartx

Derived from IExportFormat

SaveToFile
SaveToStream


ITChart.OnClickBackground
ITChart

property OnClickBackground: TTChartOnClickBackground;

Type Library
TeeChartx

Description
An OnClickBackGround event occurs whenever the user clicks onto a Chart space outside Axis, Series points or Chart Legend.

It has the lower priority below all other mouse events.

The Sender parameter specifies the Chart class that originated the event.

The Button, Shift, X and Y parameters determine the mouse button and mouse cursor coordinates at the time the Chart was clicked.


ICustomGaugeMinMax.RedLine
ICustomGaugeMinMax

property RedLine: IGaugePointerRange;

Type Library
TeeChartx

Description

The 'redline' object is the curved shape with a gradient which is used to signal a high or maximum value.


IClockHand.Height
IClockHand

property Height: Integer;

Type Library
TeeChartx


IEqualizerSeries.methods
IEqualizerSeries Legend key

Type Library
TeeChartx

Derived from IBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


ISeries.asBar
ISeries

property asBar: IBarSeries;

Type Library
TeeChartx

Description
The asBar property is used by the Series Class to access Bar Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 )

.Add 10, "Bar 1", clTeeColor

.Add 4, "Bar 2", clTeeColor

.Add 7, "Bar 3", clTeeColor

.asBar.MultiBar = mbStacked

End With


ISeries.DefaultNullValue
ISeries

property DefaultNullValue: Double;

Type Library
TeeChartx

Description

Sets or returns the value to be used as a null value within the series.


IPrinter.ShowPreview
IPrinter

procedure ShowPreview;

Type Library
TeeChartx

Description
This method will show the Preview screen of the Chart print.


IEnvironment.TeeClipWhenPrinting
IEnvironment

property TeeClipWhenPrinting: WordBool;

Type Library
TeeChartx

Description
This property forces clipping when printing charts.


IEnvironment.MouseWheelScroll
IEnvironment

property MouseWheelScroll: WordBool;

Type Library
TeeChartx

Description
The MouseWheelScroll property enables/disables the scrolling of the Chart using the Mouse Wheel.

Example [Visual Basic]:

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

.Scroll.Enable = pmNone

.Environment.MouseWheelScroll = False

End With


ITeeCustomShape.ShadowColor
ITeeCustomShape

property ShadowColor: OLE_COLOR;

Type Library
TeeChartx

Description
Colour of shape's shadowed items.


ITools.asAxisScrollBar
ITools

property asAxisScrollBar: IAxisScrollBarTool;

Type Library
TeeChartx


IShapeSeries.Transparency
IShapeSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Transparency value for colour filled Shape. Values 0-100.


ISmithSeries.RLabels
ISmithSeries

property RLabels: WordBool;

Type Library
TeeChartx

Description
Show/hide rCircle labels

Use RLabels property to show/hide the constant resistance labels. When set to True constant resistance labels are shown.


IBackImage.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeePicture
|
IBackImage


ITools.Tag
ITools

property Tag: Integer;

Type Library
TeeChartx


IImport.properties
IImport Legend key

Type Library
TeeChartx

In IImport

CheckURL
V5TeeCompatible


ITChart.Aspect
ITChart

property Aspect: IAspect;

Type Library
TeeChartx

Description
Use the TChart.Aspect property to access view characteristics of the Chart.


IAxisBreak.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxisBreak


IFibonacciLevels.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IFibonacciLevels


ICircularGauge.UseAxis
ICircularGauge

property UseAxis: WordBool;

Type Library
TeeChartx

Description
Returns True if the Series uses an Axis.


ICustomBarSeries.Transparency
ICustomBarSeries

property Transparency: Integer;

Type Library
TeeChartx

Description

Defines the percentage of semi-glass effect used to display bar points.


ICanvas.Width
ICanvas

property Width: Integer;

Type Library
TeeChartx

Description
Read-only

The Width property returns the width, in pixels, of the Chart Panel and should be used when using Canvas methods to draw relative to the Panel width. You should NOT use TChart.Width.


ITeeShapePosition.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ICustomTextShape
|
ITeeShapePosition


IGIFExport.properties
IGIFExport Legend key

Type Library
TeeChartx

In IGIFExport

ColorReduction
Compression
DitherMode

Derived from IExportFormat

Height
Width


ILegendScrollBarTool.ThumbSize
ILegendScrollBarTool

property ThumbSize: Integer;

Type Library
TeeChartx

Description
Gets or sets the size in pixels of the thumb.

By default is zero meaning the thumb size will be automatically calculated based on the number of items and visible items that the scrollbar represents.


ITeePreviewerOptions.DragImage
ITeePreviewerOptions

property DragImage: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


ITeePreviewPanel.AddChartLinkx

ITeePreviewPanel.AddChartLinkx64
ITeePreviewPanel

procedure AddChartLinkx64(Value: OleVariant);

Type Library
TeeChartx


IContourMarks.Visible
IContourMarks

property Visible: WordBool;

Type Library
TeeChartx

Description
Marks Visible when True.


IAxis.LogarithmicBase
IAxis

property LogarithmicBase: Double;

Type Library
TeeChartx

Description
Set the base for the Logarithmic scale when Axis Logarithmic = True.


IAxis.MaxVisibleSeriesValue
IAxis See also

function MaxVisibleSeriesValue(AllSeries: WordBool; SeriesIndex: Integer): Double;

Type Library
TeeChartx

Description

The MaxVisibleSeriesValues and MinVisibleSeriesValues methods return the Max and Min values of a specific Series or between all Active Series currently visible Points related to that Axis.

When the boolean variable AllSeries is set to true the second variable, SeriesIndex, is ignored otherwise the Series[SeriesIndex] Max or Min is returned.

See also:
IAxis, MinVisibleSeriesValue


ITeeFilter.asColor
ITeeFilter

property asColor: IColorFilter;

Type Library
TeeChartx

Description
The asColor property is used by the TeeFilter Class to access Color Filter specific properties.


IDrawLine.methods
IDrawLine Legend key

Type Library
TeeChartx

In IDrawLine

DrawHandles
EndHandle
StartHandle


ILightFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ILightFilter


ISeriesXMLSource.XML
ISeriesXMLSource

property XML: IStrings;

Type Library
TeeChartx

Description

The XML data.

Use the TStrings LoadFromFile method to load XML data from file, or the Assign method to copy XML data from another list of strings.

Example

SeriesXMLSource1.XML.Add (xmlString)


ILegendPaletteTool.Gradient
ILegendPaletteTool

property Gradient: IGradient;

Type Library
TeeChartx

Description
Determines gradient color properties to fill the interior of the palette panel.


IExplodedSlices.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExplodedSlices


IGaugeRanges.properties
IGaugeRanges Legend key

Type Library
TeeChartx

In IGaugeRanges

Items


ISeries.asErrorBar
ISeries

property asErrorBar: IErrorBarSeries;

Type Library
TeeChartx

Description
The asErrorBar property is used by the Series Class to access ErrorBar Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 )

.AsErrorBar.AddErrorBar 1234, 5678, 23, "MyErrorBar", vbBlue

End With


ILegend.TextSymbolGap
ILegend

property TextSymbolGap: Integer;

Type Library
TeeChartx

Description
The Legend aligns numeric data and allows customization of column widths. For small adjustments to the gap between Symbol and Text, please use the

TextSymbolGap property. It can be useful if you wish to right align text but still wish to increase the gap to the left.


ICustomErrorSeries.ErrorWidth
ICustomErrorSeries

property ErrorWidth: Integer;

Type Library
TeeChartx

Description
Default 100

The ErrorWidth property determines the horizontal size of the Error "T". Size is expressed either in pixels or in percent of Bar width depending on ErrorWidthUnits property. By default, Error's "T" width is 100% of Bar width.

Example [Visual Basic]:

This code sets the Error "T" width to 34 pixels:

TChart1.Series(0).asErrorBar.ErrorWidthUnits = ewuPixels

TChart1.Series(0).asErrorBar.ErrorWidth = 34


ITChart.events
ITChart Legend key

Type Library
TeeChartx

In ITChart

OnAddSeries
OnAfterDraw
OnAllowScroll
OnAnnotationToolClick
OnAxisArrowToolClick
OnBeforeDrawAxes
OnBeforeDrawChart
OnBeforeDrawSeries
OnBeforePrint
OnCalendarSeriesChange
OnClick
OnClickAxis
OnClickBackground
OnClickLegend
OnClickSeries
OnColorBandToolClick
OnColorBandToolResized
OnColorLineToolBeginDragLine
OnColorLineToolDragLine
OnColorLineToolEndDragLine
OnCompressFunctionGetDate
OnCursorToolChange
OnCursorToolSnapChange
OnDatabaseRecord
OnDataTableToolFilterSeries
OnDblClick
OnDragMarksToolDraggedMark
OnDragMarksToolDraggingMark
OnDragPointToolDragPoint
OnDragPointToolEndDrag
OnDragPointToolStartDrag
OnDrawAxisLabel
OnDrawLineToolDraggedLine
OnDrawLineToolLineDrag
OnDrawLineToolNewLine
OnDrawLineToolSelecting
OnDrawLineToolSelectLine
OnFaderToolStop
OnFunctionCalculate
OnGanttToolDragBar
OnGanttToolResizeBar
OnGaugeChange
OnGetAxisLabel
OnGetLegendPos
OnGetLegendRect
OnGetLegendText
OnGetNextAxisLabel
OnGetSeriesBarStyle
OnGetSeriesCircleLabel
OnGetSeriesContourLevel
OnGetSeriesMark
OnGetSeriesPointerStyle
OnImageSeriesGetImage
OnKeyDown
OnKeyUp
OnLegendDrawSymbol
OnLegendScrollBarToolChangeSize
OnLegendScrollBarToolScrolled
OnLegendScrollBarToolSetPosition
OnMarkTipToolCancelHint
OnMarkTipToolGetText
OnMouseDown
OnMouseEnterSeries
OnMouseLeaveSeries
OnMouseMove
OnMouseUp
OnNearestToolChange
OnOpenGLInit
OnOpenGLRepaint
OnPageChange
OnRectangleToolClick
OnRectangleToolDragged
OnRectangleToolDragging
OnRectangleToolResized
OnRectangleToolResizing
OnRemoveSeries
OnResize
OnRotateToolRotate
OnScroll
OnScrollPagerScroll
OnSelectorToolDragged
OnSelectorToolDragging
OnSelectorToolResized
OnSelectorToolResizing
OnSelectorToolSelected
OnSeriesAfterAdd
OnSeriesAfterDrawValues
OnSeriesAnimationToolStep
OnSeriesBeforeAdd
OnSeriesBeforeDrawValues
OnSeriesClickPointer
OnSeriesClickPointer3D
OnSeriesContourBeforeDrawLevel
OnSubChartToolDragged
OnSurfaceNearestToolSelectCell
OnSurfaceSeriesGetYValue
OnTagCloudSeriesDrawTag
OnTimer
OnUndoZoom
OnVideoPlayerToolFrame
OnVideoToolNewFrame
OnVideoToolStart
OnVideoToolStop
OnZoom


ICustomPolarSeries.AngleLabels
ICustomPolarSeries

property AngleLabels: IPolarLabels;

Type Library
TeeChartx


ISeries.Clear
ISeries

procedure Clear;

Type Library
TeeChartx

Description
This method deletes all Series values. Dependent Series are notified. If no new points are appended to the Series, nothing will be painted.


IColorGridSeries.MaxXValue
IColorGridSeries

function MaxXValue: Double;

Type Library
TeeChartx

Description
Returns the Maximum Value of the Series X Values List.


ICustomCircledSeries.TreatNulls
ICustomCircledSeries

property TreatNulls: ETreatNullsStyle;

Type Library
TeeChartx


IChartEditorPanel.MainPage
IChartEditorPanel

property MainPage: IPageControl;

Type Library
TeeChartx


IMarksCallout.properties
IMarksCallout Legend key

Type Library
TeeChartx

In IMarksCallout

Length

Derived from ICallout

Arrow
ArrowHead
ArrowHeadSize
Distance

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


IPrinterSettings.DisplayFrequency
IPrinterSettings

property DisplayFrequency: Integer;

Type Library
TeeChartx

Description
Specifies the frequency, in hertz (cycles per second), of the display device in a particular mode. This value is also known as the display device's vertical refresh rate. Display drivers use this member. It is used, for example, in the ChangeDisplaySettings function. Printer drivers do not use this member.

When you call the EnumDisplaySettings function, the dmDisplayFrequency member may return with the value 0 or 1. These values represent the display hardware's default refresh rate. This default rate is typically set by switches on a display card or computer motherboard, or by a configuration program that does not use display functions such as ChangeDisplaySettings.


ISeries.RefreshSeries
ISeries

procedure RefreshSeries;

Type Library
TeeChartx

Description
The RefreshSeries method notifies all dependent Series to recalculate their points again. Each Series has a DataSource property. When DataSource is a valid Series or DataSet class, Series gets all point values from the DataSource and adds them as Series points. The RefreshSeries method forces the Series to Clear and get all points again from the DataSource class. The Refreshing process traverses the Series tree recursively.


ITools.asScrollPager
ITools

property asScrollPager: IScrollPagerTool;

Type Library
TeeChartx


ISeriesList.properties
ISeriesList Legend key

Type Library
TeeChartx

In ISeriesList

AllActive
Groups
Items


INearestTool.Pen
INearestTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


IBollingerFunction.properties
IBollingerFunction Legend key

Type Library
TeeChartx

In IBollingerFunction

Deviation
Exponential
LowBand


ISeries.asErrorPoint
ISeries

property asErrorPoint: IErrorPointSeries;

Type Library
TeeChartx


IGanttTool.AllowResize
IGanttTool

property AllowResize: WordBool;

Type Library
TeeChartx

Description
Default : True

When True, the end user can use the mouse to resize Gantt series bars.

To resize a gantt bar, click and drag the mouse when its over at an edge (left or right) of the gantt bar.


ITeeListBox.events
ITeeListBox Legend key

Type Library
TeeChartx

In ITeeListBox

OnChangeActive
OnChangeColor
OnChangeOrder
OnClick
OnDblClickSeries
OnMouseDown
OnMouseMove
OnMouseUp
OnOtherItemsChange
OnRefresh
OnRemovedSeries


ITeePreviewPanel.Panels
ITeePreviewPanel

property Panels: ITeePanelsList;

Type Library
TeeChartx

Description
Use Panels to access the different Charts when more than one has been added to the TeePreviewPanel.

Example [Visual Basic]:

Private Sub Command1_Click()

With TeePreviewPanel1

.Panels.Delete 0

.Repaint

End With

End Sub

Private Sub Form_Load()

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TChart2

.AddSeries scBar

.Series(0).FillSampleValues 10

End With

With TChart1.Printer

.PrintProportional = False

.MarginLeft = 2

.MarginTop = 2

.MarginRight = 60

.MarginBottom = 60

End With

With TChart2.Printer

.PrintProportional = False

.MarginLeft = 60

.MarginTop = 60

.MarginRight = 2

.MarginBottom = 2

End With

With TeePreviewPanel1

.AddChart TChart1

.AddChart TChart2

End With

End Sub


IGLLightSource.Direction
IGLLightSource

property Direction: IGLPosition;

Type Library
TeeChartx

Description
Defines the direction of the Light setting its X,Y and Z direction.


ITeeEditor.GalleryWidth
ITeeEditor

property GalleryWidth: Integer;

Type Library
TeeChartx

Description
Used in conjunction with GalleryHeight to set a specific Width and Height for the Gallery,

even if it is called through the TeeCommander component.


IIsoSurfaceSeries.properties
IIsoSurfaceSeries Legend key

Type Library
TeeChartx

In IIsoSurfaceSeries

BandPen
Sides
UseYPosition
YPosition

Derived from ISurfaceSeries

DotFrame
FastBrush
HideCells
SideBrush
SideLines
SmoothPalette
Transparency
WireFrame

Derived from ICustom3DGridSeries

IrregularGrid
NumXValues
NumZValues
ReuseGridIndex

Derived from ICustom3DPaletteSeries

EndColor
LegendEvery
MidColor
PaletteMin
PaletteStep
PaletteSteps
PaletteStyle
StartColor
UseColorRange
UsePalette
UsePaletteMin

Derived from ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


ITools.asVideoPlayer
ITools

property asVideoPlayer: IVideoPlayerTool;

Type Library
TeeChartx

Description
The asVideoPlayer property is used by the Tools Class to access VideoPlayer Tool specific properties.


IGanttSeries.methods
IGanttSeries Legend key

Type Library
TeeChartx

In IGanttSeries

AddGantt
AddGanttColor


ITChart.OnSelectorToolDragging
ITChart

property OnSelectorToolDragging: TNotifyEvent;

Type Library
TeeChartx

Description
Called when the end-user is moving the mouse while pressing the left mouse button when the mouse is over a chart element.


ISeries.asVolume
ISeries

property asVolume: IVolumeSeries;

Type Library
TeeChartx

Description
The asVolume property is used by the Series Class to access Volume Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.


IPrinter.Orientation
IPrinter

property Orientation: EPrinterOrientation;

Type Library
TeeChartx

Description
This property will set the Chart to the required Printer EPrinterOrientation (Landscape or Portrait).


ISeries.AppendArray
ISeries

procedure AppendArray(ArraySize: Integer; YArray, XArray: OleVariant);

Type Library
TeeChartx

Description

Appends Array to Series data. Use instead of AddArray when data already exists in the Series and you wish to preserve it, appending new data.


ICustomDSeries.ZValue

ICustom3DSeries.ZValue
ICustom3DSeries

property ZValue[Index: Integer]: Double;

Type Library
TeeChartx

Description
Run-time only. The ZValue array property lets you access a specific Surface's point Z value. Z values are kept in the ZValues list property. You can access Z values using the Index parameter.


ITeeCommander.Previewer
ITeeCommander

property Previewer: ITeePreviewer;

Type Library
TeeChartx

Description
Select the TeeChart Previewer whose properties should define the TeeCommander Previewer properties. Use the TeeCommander PreviewerLink property in programming environments (eg. MS VC++) that don't support connection directly to the Previewer interface.

Example

eg. Visual Basic

TeeCommander1.Previewer = TeePreviewer1

or

TeeCommander1.PreviewerLink = TChart1.PreviewerLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetPreviewerLink(m_Chart1.GetPreviewerLink());


ILegendSymbol.properties
ILegendSymbol Legend key

Type Library
TeeChartx

In ILegendSymbol

Continuous
DefaultPen
Gradient
Height
HeightUnits
Pen
Position
Shadow
Squared
Visible
Width
WidthUnits


ILegendScrollBarTool.ArrowBrush
ILegendScrollBarTool

property ArrowBrush: IBrush;

Type Library
TeeChartx

Description
The brush used to fill the up/left and down/right "arrows"


IChartGrid.LabelsColumn
IChartGrid

property LabelsColumn: Integer;

Type Library
TeeChartx

Description
Internal use. Returns Label column index.


ICanvas.CustomEditColors
ICanvas

property CustomEditColors: IStrings;

Type Library
TeeChartx

Description
Internal use only. For the color editor dialog.


ICustomCircledSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICircledSeries
|
ICustomCircledSeries


ISeries.DisconnectAxisCustom
ISeries

procedure DisconnectAxisCustom(IsHorizontal: WordBool);

Type Library
TeeChartx

Description
Disconnects the Series from its Custom Axes. Use boolean 'IsHorizontal' to select horizontal or vertical axes.


ILegend.DividingLines
ILegend

property DividingLines: IPen;

Type Library
TeeChartx

Description
The DividingLines property specifies the Pen attributes used to draw lines separating Legend's items.

Lines are drawn horizontally for Left or Right aligned Legend and vertically for Top or Bottom Legend alignments..


ICustomDSeries.AddArrayGrid

ICustom3DSeries.AddArrayGrid
ICustom3DSeries

procedure AddArrayGrid(NumX, NumZ: Integer; XZArray: OleVariant);

Type Library
TeeChartx

Description
Calls the AddXYZ method for each value in the "Values" parameter.


IChartImageTool.Pen
IChartImageTool

property Pen: IPen;

Type Library
TeeChartx

Description
Set Pen property to specify the Pen to be used to draw the border of the Image.


IEnvironment.TeeClipWhenMetafiling
IEnvironment

property TeeClipWhenMetafiling: WordBool;

Type Library
TeeChartx

Description
This property forces clipping when creating metafile charts.


IZoom.ZoomRect
IZoom

procedure ZoomRect(Left, Top, Right, Bottom: Integer);

Type Library
TeeChartx

Description
The ZoomRect method does zoom on Chart contents. The Rect parameter defines the pixel rectangle coordinates of the chart area to be zoomed. Calling this method is similar to manually drawing a zoom box at run-time by dragging the left mouse button.

You can perform a zoom in by specifying a Rect parameter enclosed on Chart dimensions, and zoom out by specifying a bigger rectangle parameter.

Zoom in example:

Delphi

Chart1.ZoomRect( Rect( 5,5,Chart1.Width-5,Chart1.Height-5 ) );

Visual Basic

TChart1.Zoom.ZoomRect 5, 5, TChart1.Width - 5, TChart1.Height - 5

Zoom out example:

Delphi

Chart1.ZoomRect( Rect( -5,-5,Chart1.Width+5,Chart1.Height+5 ) );

Visual Basic

TChart1.Zoom.ZoomRect - 5, - 5, TChart1.Width + 5, TChart1.Height + 5


IMapPolygon.Gradient
IMapPolygon

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property determines the kind of polygon's interior gradient effect.


IMarks.Margins
IMarks

property Margins: IMargins;

Type Library
TeeChartx

Description

Accesses to the Margin characteristics.


IChartGrid.Rows
IChartGrid

function Rows: IChartGridRows;

Type Library
TeeChartx

Description

Use this method to access/return the ChartGrid Rows collection.


IFlexExport.Compile
IFlexExport

function Compile(Const TargetFile: WideString): WordBool;

Type Library
TeeChartx

Description
Calls the Adobe Flex SDK compiler (mxmlc.exe) located at the specified folder using the editor dialog.

Returns True if compilation succeed.

The TargetFile parameter must be an existing *.mxml file generated from this export format, or saved using the #link TFlexExportFormat.FlexMXML#FlexMXML# property.

The folder containing the Flex compiler is stored at registry under key:

HKEY_CURRENT_USER\Software\Steema Software\TeeChart Pro\Editor

Key values:

FlexCanvas_Compiler c:\program files\flex_sdk_3\bin

FlexCanvas_Temp c:\my_temp_folder


IChartCollection.Items
IChartCollection

property Items[Index: Integer]: ISubChart;

Type Library
TeeChartx

Description
Collection of Chart SubCharts. See TSubChart.


ITeeEditorOptions.OrderSeries
ITeeEditorOptions

property OrderSeries: WordBool;

Type Library
TeeChartx

Description
Makes the buttons which allow you to order the Series in the Chart Series Tab of the Chart Editor visible or not


IAxis.IsDateTime
IAxis

function IsDateTime: WordBool;

Type Library
TeeChartx

Description
Each Chart Axis can consider values to be normal numbers or DateTime values. This function returns if the Axis dependent values are DateTime or not.

Example [Visual Basic]:

If TChart1.Axis.Bottom.IsDateTime Then...


ITransformAnimation.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeAnimation
|
ICustomAnimationChart
|
ITransformAnimation


ICanvas.BackMode
ICanvas

property BackMode: ECanvasBackMode;

Type Library
TeeChartx

Description
Can be cbmNone, cbmOpaque or cbmTransparent.

If it is cbmOpaque, then the BackColor is used.

Note:

Defining a Brush.Color or Brush.Style will reset the Canvas.BackMode to cbmTransparent. If you want your Canvas shapes to display a Canvas.BackColor then you will have to redefine Canvas.BackMode.

Example [Visual Basic]:

Private Sub TChart1_OnAfterDraw()

With TChart1.Canvas

' **** Before

.Brush.Style = bsBDiagonal

.Brush.Color = vbRed

' **** After

.BackColor = vbYellow

.BackMode = cbmOpaque

.Rectangle 10, 10, 100, 100

End With

End Sub


IMapPolygonList.methods
IMapPolygonList Legend key

Type Library
TeeChartx

In IMapPolygonList

Add
Exchange


ISeriesSourceFile.LoadFromURL
ISeriesSourceFile

procedure LoadFromURL(Const URL: WideString);

Type Library
TeeChartx

Description
Retrieves the file pointed by the AURL parameter.


ILegendPaletteTool.Emboss
ILegendPaletteTool

property Emboss: ITeeEmboss;

Type Library
TeeChartx


ITeeEditorShowPages.SeriesMarks
ITeeEditorShowPages

property SeriesMarks: WordBool;

Type Library
TeeChartx

Description
Default = True

The SeriesMarks property may be used to disable the display of the Marks Tab (Under the Series Tab) to the user via the selected Editor.

Example [Visual Basic]:

Private Sub Form_Load()

TeeCommander1.Chart = TChart1

TeeEditor1.Chart = TChart1

TeeCommander1.Editor = TeeEditor1

With TChart1

.AddSeries scLine

.Series(0).FillSampleValues 10

End With

With TeeEditor1.ShowPages

.Aspect = False

.Axis = False

.ExportDialog = False

.General = False

.Legend = False

.Main = False

.Paging = False

.Panel = False

.PrintPreview = False

.SeriesData = False

.SeriesGeneral = False

.SeriesMarks = False

.Titles = False

.Tools = False

.Walls = False

End With

End Sub


ITeeCommander.ButtonD

ITeeCommander.Button3D
ITeeCommander

property Button3D: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander Button3D

Example:-

TeeCommander1.Button3D.Hide


IAnnotationCallout.methods
IAnnotationCallout Legend key

Type Library
TeeChartx

Derived from IPointer

DrawPointer


ITools.asPageNum
ITools

property asPageNum: IPageNumTool;

Type Library
TeeChartx

Description
The asPageNum property is used by the Tools Class to access AxisArrow Tool specific properties.


ITChart.OnGaugeChange
ITChart

property OnGaugeChange: TTChartOnGaugeChange;

Type Library
TeeChartx

Description
Called when the gauge Value property is changed.


ISeries.asMap
ISeries

property asMap: IMapSeries;

Type Library
TeeChartx

Description
The asMap property is used by the Series Class to access Map Series specific properties.


IPanel.MarginLeft
IPanel

property MarginLeft: Integer;

Type Library
TeeChartx

Description
Each Chart.Panel class has four margin properties: LeftMargin, RightMargin, TopMargin, BottomMargin.

These properties are expressed as a percentage of the pixel height (for top and bottom margins) and width (for left and right margins) of the Chart Canvas. Default values are 8 for top and bottom margins and 12 for left and right margins.

Example [Visual Basic]:

You can change both at design and runtime the margins properties:

TChart1.Panel.MarginLeft = 60


ITowerSeries.UseOrigin
ITowerSeries

property UseOrigin: WordBool;

Type Library
TeeChartx

Description
Default value: false

When True, the Origin property is used as the reference value where points are considered positive or negative.

When False, the lowest Y value of the series is the reference value (no points are negative).

Example [Visual Basic]:

Private Sub Form_Load()

Dim x As Integer, z As Integer

TChart1.Series(0).Clear

For x = 1 To 10

For z = 1 To 10

TChart1.Series(0).asTower.AddXYZ x, Rnd * 1000 - 100, z, "", clTeeColor

Next z

Next x

' example:

TChart1.Series(0).asTower.Origin = 500

TChart1.Series(0).asTower.UseOrigin = True

End Sub


IErrorsBase.properties
IErrorsBase Legend key

Type Library
TeeChartx

In IErrorsBase

Bottom
Left
Right
SeriesColor
Size
SizeUnits
Top


IChartGrid.GridLinkx

IChartGrid.GridLinkx64
IChartGrid

property GridLinkx64: OleVariant;

Type Library
TeeChartx


IAxis.GridCentered
IAxis

property GridCentered: WordBool;

Type Library
TeeChartx

Description
When true, move grid alignment to point halfway between Major ticks points.


ITChart.OnGanttToolResizeBar
ITChart

property OnGanttToolResizeBar: TTChartOnGanttToolResizeBar;

Type Library
TeeChartx

Description
Event called when resizing a gantt bar.


ILinePointSeries.properties
ILinePointSeries Legend key

Type Library
TeeChartx

In ILinePointSeries

LinesPen

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


IValueList.First
IValueList

property First: Double;

Type Library
TeeChartx

Description
This property returns the First point value.

First Example

This is the same value as the 0 index value:

Delphi

TChart1.Series[ 0 ].XValues[ 0 ].Value := 1234.56 ;

ShowMessage( FloatToStr(TChart1.Series[ 0 ].XValues.First ) );

Visual Basic

TChart1.Series(0).YValues.Value(0) = 103.96

MsgBox TChart1.Series(0).YValues.First


ITeeCommander.ButtonEdit
ITeeCommander

property ButtonEdit: ITeeCommanderButton;

Type Library
TeeChartx

Description
Accesses the properties related to the TCommander ButtonEdit

Example:-

TeeCommander1.ButtonEdit.Hide


ITeeFunction.PeriodAlign
ITeeFunction

property PeriodAlign: EFunctionPeriodAlign;

Type Library
TeeChartx

Description
Sets the alignment for the Function point within the space reserved for each input Series point.

When the function "Period" is greater than zero (so it calculates by groups of points),

the function results are added to the series by default at the "center" position of the Function Period.

The "paFirst" and "paLast" constants will plot calculations at the start and end "X" coordinates of each "Period".

Every blue point shows the "average" using all points between the first day and the last day of the month.

PeriodStyle = OneMonth, and PeriodAlign = paLast

The "average" is plotted at the end of the month.

PeriodStyle = OneMonth, and PeriodAlign = paFirst

The "average" is plotted at the beginning of the month.


INumericGauge.ValueMarker
INumericGauge

property ValueMarker: INumericMarker;

Type Library
TeeChartx

Description

Gets and sets the Marker object which defines the "Value" of the NumericGauge. This allows access to Font, Brush and Pen characteristics of the shape.


ICompressFunction.Compress
ICompressFunction

property Compress: ECompressionPeriod;

Type Library
TeeChartx

Description
Datetime value indicating how to group source values by datetime periods.

Note: This property is only used when the Period property is zero.

Options:

ocDay

ocWeek

ocMonth

ocBiMonth

ocQuarter

ocYear

Example [Visual Basic]:

Private Sub Combo1_Click()

If Combo1.ListIndex = 0 Then ' No Compression

' Show original data and hide compression series

TChart1.Series(0).Active = True

TChart1.Series(1).Active = False

Else

' Show compression series and hide original data

TChart1.Series(0).Active = False

TChart1.Series(1).Active = True

' Set compression datetime period:

With TChart1.Series(1).FunctionType.asCompress

Select Case Combo1.ListIndex

Case 1: .Compress = ocWeek

Case 2: .Compress = ocMonth

Case 3: .Compress = ocBiMonth

Case 4: .Compress = ocQuarter

Case 5: .Compress = ocYear

End Select

End With

End If

End Sub


IScrollPagerTool.Align
IScrollPagerTool

property Align: EScrollPagerAlign;

Type Library
TeeChartx


IPointer.FullGradient
IPointer

property FullGradient: WordBool;

Type Library
TeeChartx


IScrollPagerTool.DivisionRatio
IScrollPagerTool

property DivisionRatio: Double;

Type Library
TeeChartx


IOrgSeries.Items
IOrgSeries

property Items: IOrgItemCollection;

Type Library
TeeChartx

Description
Contains the collection of items.

Note: Do not manipulate this list directly.

For example, to delete items use the series Delete method instead of the Items methods.


IToolList.ShowGallery
IToolList

procedure ShowGallery;

Type Library
TeeChartx

Description

Shows the tool gallery.


ITeeScrollBar.Bevel
ITeeScrollBar

property Bevel: EPanelBevel;

Type Library
TeeChartx


IAreaSeries.AreaPen
IAreaSeries

property AreaPen: IPen;

Type Library
TeeChartx

Description
The AreaPen property indicates the kind of pen used to draw vertical lines across the Area region. By default AreaPen.Visible is False, so you need first to set it to True. You can control the Area Brush style by using the AreaBrush property.


ITeeFilter.asMirror
ITeeFilter

property asMirror: IMirrorFilter;

Type Library
TeeChartx

Description
The asMirror property is used by the TeeFilter Class to access Mirror Filter specific properties.


ICanvas.Top
ICanvas

property Top: Integer;

Type Library
TeeChartx

Description
Read-only

The Top property returns the top co-ordinate of the Chart Panel and should be used when using Canvas methods to draw relative to the top Panel position. You should NOT use TChart.Top


IPieAngle.StartAngle
IPieAngle

property StartAngle: Double;

Type Library
TeeChartx


ITowerSeries.TowerStyle
ITowerSeries

property TowerStyle: ETowerStyle;

Type Library
TeeChartx

Description
The kind of tower style to display.

Default value is : tsCube

Available styles:

tsCube

tsRectangle

tsCover

tsCylinder

tsArrow

tsCone

tsPyramid


ITChart.ClipPoints
ITChart

property ClipPoints: WordBool;

Type Library
TeeChartx

Description
ClipPoints boolean property toggles the drawing of Series points within Chart boundaries, preventing other Chart regions from being overwritten.


IMarksTail.Visible
IMarksTail

property Visible: WordBool;

Type Library
TeeChartx

Description

When True Marks include the Tail.


IRotateFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IRotateFilter


ILegendItem.Left
ILegendItem

property Left: Integer;

Type Library
TeeChartx

Description
Returns the Left or Top pos of the Legend items. Read only property.

Example [Visual Basic]:

MsgBox TChart1.Legend.Items.Items(0).Left


ITernarySeries.LinesPen
ITernarySeries

property LinesPen: IPen;

Type Library
TeeChartx

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points in the Ternary Chart.


IGaugeRanges.Add
IGaugeRanges

function Add(StartValue, EndValue: Double; Color: OLE_COLOR): Integer;

Type Library
TeeChartx


ICalendarSeries.PreviousMonth
ICalendarSeries

procedure PreviousMonth;

Type Library
TeeChartx

Description
The PreviousMonth method moves the Calender series onto the month before the present one.

Example [Visual Basic]:

Private Sub Command1_Click()

TChart1.Series(0).asCalendar.NextMonth

End Sub

Private Sub Command2_Click()

TChart1.Series(0).asCalendar.PreviousMonth

End Sub


IAutomaticText.Trim
IAutomaticText

property Trim: WordBool;

Type Library
TeeChartx


IFastLineSeries.DrawAllPoints
IFastLineSeries

property DrawAllPoints: WordBool;

Type Library
TeeChartx

Description
Default True

When False only draws first point at any X pixel location. The option offers speed gains if large numbers of point repetitions occur at one X location.


IArrowSeries.methods
IArrowSeries Legend key

Type Library
TeeChartx

In IArrowSeries

AddArrow


ITeeCustomShape.Corners
ITeeCustomShape

property Corners: ITeeCorners;

Type Library
TeeChartx


ITChart.IsFreeSeriesColor
ITChart

function IsFreeSeriesColor(AColor: OLE_COLOR; CheckBackgroundColor: WordBool): WordBool;

Type Library
TeeChartx

Description
The IsFreeSeriesColor returns whether the AColor parameter is used by any Series or not. The CheckBackGround parameter controls if AColor will be checked against the Chart.Panel.BackWallColor or not.

IsFreeSeriesColor Example

This code sets the MySeries1.Color to the clBlue color only if clBlue is not used by any other Series or the Chart.Panel.BackWallColor:

Example [Visual Basic]:

If TChart1.IsFreeSeriesColor(vbGreen, True) Then

TChart1.Series(0).Color = vbGreen

End If


IGanttTool.properties
IGanttTool Legend key

Type Library
TeeChartx

In IGanttTool

AllowDrag
AllowResize
CursorDrag
CursorResize
Gantt
MinPixels

Derived from ICustomToolSeries

Series


IValueLists.properties
IValueLists Legend key

Type Library
TeeChartx

In IValueLists

Count
Items


IZoomFilter.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IZoomFilter


IAxisLabels.Alternate
IAxisLabels

property Alternate: WordBool;

Type Library
TeeChartx

Description
Default : False

When Alternate is True, axis labels are displayed one near the axis line and the next one below the previous label, and so on.

Best usage is with Horizontal axes and non-rotated labels.


ICustomAxes.Add
ICustomAxes

function Add: Integer;

Type Library
TeeChartx


ISurfaceNearestTool.methods
ISurfaceNearestTool Legend key

Type Library
TeeChartx

In ISurfaceNearestTool

GetCol
GetRow


IRoseSeries.methods
IRoseSeries Legend key

Type Library
TeeChartx

Derived from IPolarSeries

AddPolar

Derived from ICustomPolarSeries

ClearBackImage
DrawRing
DrawZone
LoadBackImage

Derived from ICircledSeries

AngleToPoint
PointToAngle
PointToRadius


IDataExport.IncludeHeader
IDataExport

property IncludeHeader: WordBool;

Type Library
TeeChartx

Description
Whether or not to include the Header of the data Series source in the exported data. The Header is typically the Series Title, or, if not set, the Series Name.


IMapPolygon.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IMapPolygon


ISeries.Pen
ISeries

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.

The element will use this pen properties to draw lines and borders.


ITowerSeries.MaxXValueTower
ITowerSeries

function MaxXValueTower: Double;

Type Library
TeeChartx

Description
Use this method to return the Tower MaxXValueTower.

Example [Visual Basic]:

MsgBox ("X Range: " & TChart1.Series(0).asTower.MaxXValueTower - TChart1.Series(0).asTower.MinXValueTower)


IOrgItemCollection.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IOrgItemCollection


ISurfaceNearestTool.properties
ISurfaceNearestTool Legend key

Type Library
TeeChartx

In ISurfaceNearestTool

CellColor
ColumnColor
RowColor
SelectedCell

Derived from ICustomToolSeries

Series


IActivityGauge.properties
IActivityGauge Legend key

Type Library
TeeChartx

In IActivityGauge

ActivityValues
BackColor
CenterText
Count

Derived from IDonutSeries

DonutPercent

Derived from IPieSeries

Angles
AngleSize
AutoMarkPosition
BevelPercent
Dark3D
DarkPen
EdgeStyle
ExplodeBiggest
ExplodedSlice
Gradient
GradientBright
MultiPie
OtherSlice
PieMarks
PiePen
PieValues
SliceHeight
Transparency
UniqueCustomRadius
UsePatterns

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IArrowTool.Filled
IArrowTool

property Filled: WordBool;

Type Library
TeeChartx

Description
The Filled property when set to true changes the arrow from being drawn with lines to one having a centre region that can be sized and coloured independently from the border.


ITChart.OnCalendarSeriesChange
ITChart

property OnCalendarSeriesChange: TTChartOnCalendarSeriesChange;

Type Library
TeeChartx

Description
The OnCalenderSeriesChange event is fired when the Today (highlighted day) position is changed.

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scCalendar

.Series(0).FillSampleValues 1

End With

End Sub

Private Sub TChart1_OnCalendarSeriesChange(ByVal Series As Long, ByVal Value As Double)

If Series = 0 And Value = 37003 Then

MsgBox "Happy Birthday!"

End If

End Sub


ISeries.YValueToText
ISeries

function YValueToText(SomeValue: Double): WideString;

Type Library
TeeChartx

Description
The YValueToText function returns the formatted text representation of the specified AValue parameter.

The AValue parameter is considered to be a vertical Y coordinate.

It returns the text string corresponding to an hypothetic vertical Axis Label for that value.

It calls the corresponding vertical axis FormattedValue function.


ISeriesRegionTool.DrawBehind
ISeriesRegionTool

property DrawBehind: WordBool;

Type Library
TeeChartx

Description
Default is True.

When True, region areas are filled before the series are being displayed.

When False, region areas are filled after the series have been displayed.


ITeePreviewPanel.ShowEditor
ITeePreviewPanel

procedure ShowEditor;

Type Library
TeeChartx

Description
Displays the inline edit-box used to modify a series title.

By default, pressing F2 key on a listbox item will show the inline edit box.


IPieOtherSlice.Legend
IPieOtherSlice

property Legend: ILegend;

Type Library
TeeChartx

Description
Use the Legend property to display a sub-legend for Pie "Other" grouped slices.

Example[Visual Basic]:

TChart1.Series(0).asPie.OtherSlice.Legend.Visible = True


IScrollPagerTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomToolSeries
|
IScrollPagerTool


ICustomDGridSeries.NumXValues

ICustom3DGridSeries.NumXValues
ICustom3DGridSeries

property NumXValues: Integer;

Type Library
TeeChartx

Description
Default 20

The NumXValues property indicates the Surface's horizontal size in number of points. A Surface is a grid of NumXValues x NumZValues dimensions. Changing NumXValues forces the Surface to recreate all values.

Example [Visual Basic]:

This code changes the Surface's grid size:

TChart1.Series(0).asSurface.NumXValues = 50

TChart1.Series(0).asSurface.NumZValues = 40


IErrorsBase.SizeUnits
IErrorsBase

property SizeUnits: EErrorWidthUnits;

Type Library
TeeChartx


IHorizBarSeries.methods
IHorizBarSeries Legend key

Type Library
TeeChartx

In IHorizBarSeries

CalcBarBounds

Derived from ICustomBarSeries

BarImageClear
BarImageLoad
GetOriginPos


ITeeCommander.PreviewerLink
ITeeCommander

property PreviewerLink: Integer;

Type Library
TeeChartx

Description
Use this property to associate the TeePreviewer characteristics with the Previewer opended from a TeeCommander component.

Example

eg. Visual Basic

TeeCommander1.Previewer = TeePreviewer1

or

TeeCommander1.PreviewerLink = TChart1.PreviewerLink

**** VC++ and other environments ****

eg. VC++

m_Commander1.SetPreviewerLink(m_Chart1.GetPreviewerLink());


ICanvas.VertLineD

ICanvas.VertLine3D
ICanvas

procedure VertLine3D(X, Top, Bottom, Z: Integer);

Type Library
TeeChartx

Description
Line from (X,Top,Z) to (X,Bottom,Z)


ITeeShapePosition.properties
ITeeShapePosition Legend key

Type Library
TeeChartx

In ITeeShapePosition

CustomPosition
Left
Top

Derived from ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ICustomCircledSeries.CirclePen
ICustomCircledSeries

property CirclePen: IPen;

Type Library
TeeChartx


ITeeCustomShape.RoundSize
ITeeCustomShape

property RoundSize: Integer;

Type Library
TeeChartx

Description
Defines the size in pixels of the "roundness" of four corners in shape rectangle.

Note: The ShapeStyle property must be set to fosRoundRectangle.


IAnnotationTool.Shape
IAnnotationTool

property Shape: ITextShape;

Type Library
TeeChartx

Description
The Shape property defines the characteristics of the Annotation Tool text and text box (shape).


IAxis.Horizontal
IAxis

property Horizontal: WordBool;

Type Library
TeeChartx


IShapeSeries.Brush
IShapeSeries

property Brush: IBrush;

Type Library
TeeChartx

Description
The Brush property defines the kind of brush used to fill shape background.


ISeries.VerticalAxis
ISeries

property VerticalAxis: EVerticalAxis;

Type Library
TeeChartx

Description
The VerticalAxis property is of type: EVerticalAxis. It means by which Vertical Axis ( Left or Right axis ) will be the Series vertically scaled. You can change the desired Vertical Axis both at design and runtime:

Example [Visual Basic]:

TChart1.Series(0).VerticalAxis = aRightAxis


IACFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IACFunction


ILegend.FormattedValue
ILegend

function FormattedValue(aSeries, SomeValueIndex: Integer): WideString;

Type Library
TeeChartx

Description
This function returns the corresponding Legend text for the Series ValueIndex point. The Legend.LegendTextStyle property is used to properly format the point values and labels.

FormattedValue Example

This code shows the same text is used to display the Legend 5th item: (point's index starts at zero)

Delphi

ShowMessage( TChart1.Legend.FormattedValueLegend(TChart1.Series[ 0 ],2);

Visual Basic

MsgBox TChart1.Legend.FormattedValue(0, 3)


IContourSeries.Transparency
IContourSeries

property Transparency: Integer;

Type Library
TeeChartx

Description
Color fill transparency level (0 to 100).


ITeePanning.InsideBounds
ITeePanning

property InsideBounds: WordBool;

Type Library
TeeChartx


ICanvas.TextAlign
ICanvas

property TextAlign: ECanvasTextAlign;

Type Library
TeeChartx

Description
Sets the alignment used when displaying text using TextOut or TextOut3D.


IATRFunction.properties
IATRFunction Legend key

Type Library
TeeChartx

In IATRFunction

IncludeNulls


ITeeEmboss.methods
ITeeEmboss Legend key

Type Library
TeeChartx

Derived from ITeeShadow

ShowEditor


IIsoSurfaceSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
ICustom3DGridSeries
|
ISurfaceSeries
|
IIsoSurfaceSeries


ITeeCustomShapeBrushPen.Frame
ITeeCustomShapeBrushPen

property Frame: IPen;

Type Library
TeeChartx


IAreaSeries.AreaColor
IAreaSeries

property AreaColor: OLE_COLOR;

Type Library
TeeChartx

Description
Default Value: clTeeColor

The AreaColor property defines the Colour used to fill the background Area region. You can control the Brush style by using the AreaBrush and AreaChartBrush properties.


IDrawLineList.properties
IDrawLineList Legend key

Type Library
TeeChartx

In IDrawLineList

Count
Items


ITeeFunction.asSmoothing
ITeeFunction

property asSmoothing: ISmoothingFunction;

Type Library
TeeChartx

Description
The asSmoothing property is used by the Teefunction Class to access Smoothing Function specific properties.


IAxis.Maximum
IAxis

property Maximum: Double;

Type Library
TeeChartx

Description
Axis Maximum is the highest value an Axis will use to scale their dependent Series point values.

It can be any number or DateTime value.

It must be greater than the Axis.Minimum value.

VERY IMPORTANT:

Axis.Automatic property must be FALSE.

If Axis.Automatic is True, the Axis will set Maximum and Minimum values to Maximum and Minimum dependent Series values.


IZoom.AnimatedSteps
IZoom

property AnimatedSteps: Integer;

Type Library
TeeChartx

Description
Default: 8

The AnimatedSteps property determines the number of steps of the animated zooming sequence. Big number of steps can delay zooming. The Animated property should be True.

AnimatedSteps Example [Visual Basic]:

This code turns on the animated zoom feature:

TTChart1.Zoom.Animated = True

TChart1.Zoom.AnimatedSteps = 4


IExportFormat.Height
IExportFormat

property Height: Integer;

Type Library
TeeChartx

Description
Sets Height of Chart


IJPEGExport.GrayScale
IJPEGExport

property GrayScale: WordBool;

Type Library
TeeChartx

Description
Enables/Disables the GrayScale depiction of a JPEG image.


IColorBandTool.Pen
IColorBandTool

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


IHighLowSeries.LowBrush
IHighLowSeries

property LowBrush: IBrush;

Type Library
TeeChartx

Description
Setting LowBrush defines the Brush properties for the Low value.


IClusteringTool.Hierarchical
IClusteringTool

property Hierarchical: IHierarchicalClustering;

Type Library
TeeChartx

Description
Hierarchical clustering, is based on the core idea of objects being more related to nearby objects than to objects farther away. As such, these algorithms connect "objects" to form "clusters" based on their distance. A cluster can be described largely by the maximum distance needed to connect parts of the cluster.

Hierarchical:

ClusteringTool1.Hierarchical.NumClusters := 8; // Number of tree root clusters

QT:

ClusteringTool1.QTClustering.MinCount := 30; // Minimum number of points to

form a cluster

ClusteringTool1.QTClustering.MaxDiameter := 100; // Maximum "diameter" a

cluster can grow


IKnobGauge.HighLight
IKnobGauge

property HighLight: IGradient;

Type Library
TeeChartx

Description
The HighLight property specifies the colors used to give the reflective effect of the central part of the knob. There is the option of using one of the default colour schemes or you can define your own by using the Gradient property to fill the zone using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


IContourLevel.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IContourLevel


ITeePreviewPanel.ShadowColor
ITeePreviewPanel

property ShadowColor: OLE_COLOR;

Type Library
TeeChartx

Description
Use Color to read or change the Color of the PreviewPanel Shadow.


IGanttTool.Gantt
IGanttTool

property Gantt: IGanttSeries;

Type Library
TeeChartx

Description
Returns the Gantt series associated to this tool.


ITChart.OnLegendScrollBarToolScrolled
ITChart

property OnLegendScrollBarToolScrolled: TNotifyEvent;

Type Library
TeeChartx

Description
Called when the end user scrolls the scrollbar thumb.


IEquiVolumeSeries.properties
IEquiVolumeSeries Legend key

Type Library
TeeChartx

In IEquiVolumeSeries

BoxFillStyle
PointGap
VolumePointer
VolumeValues

Derived from ICandleSeries

AutoSize
BorderColor
CandleStyle
CandleWidth
CloseTickColor
CloseValues
ColorStyle
DateValues
DownCloseColor
DownCloseGradient
Draw3D
HighLowColor
HighLowPen
HighValues
LowValues
OpenTickColor
OpenValues
RemoveGaps
ShowCloseTick
ShowOpenTick
UpCloseColor
UpCloseGradient

Derived from IPointSeries

FastPoint

Derived from ICustomSeries

Brush
ClickableLine
ClickTolerance
ColorEachLine
Dark3D
DrawStyle
InflateMargins
InvertedStairs
LineBrush
LineHeight
LinePen
Outline
Pointer
PointerBehind
Shadow
Smoothed
Stairs
Transparency
TreatNulls


ISurfaceSeries.SmoothPalette
ISurfaceSeries

property SmoothPalette: WordBool;

Type Library
TeeChartx

Description
Use SmoothPalette property to determine the cell colors of a Surface Series. When set to True, each cell is filled using a color calculated as the average of each cell 4 corner colors. When set False, only one corner color is used.

Default value is False.


IToolList.Delete
IToolList

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description
Removes the Tool at a specific position from the list.


IDrawLineTool.Button
IDrawLineTool

property Button: EMouseButton;

Type Library
TeeChartx

Description
Default value: mbLeft

The Button property defines by which mousebutton the DrawLineTool is activated.

The following values are possible:

mbLeft Pressing the left mouse button and moving the cursor together allows drawing a line on the chart

mbRight Pressing the right mouse button and moving the cursor together allows drawing a line on the chart

mbMiddle Pressing the middle mouse button and moving the cursor together allows drawing a line on the chart


ITernarySeries.TernaryStyle
ITernarySeries

property TernaryStyle: ETernaryStyle;

Type Library
TeeChartx

Description
Set the Ternary to display Points or Radius and weighting sensitive Bubbles.


IErrorsBase.Bottom
IErrorsBase

property Bottom: IValueList;

Type Library
TeeChartx


IMarksItem.methods
IMarksItem Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


IAxis.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAxis


IFunnelSeries.Pen
IFunnelSeries

property Pen: IPen;

Type Library
TeeChartx

Description
Element Pen characteristics.


ICustomImagePointSeries.ImagePoint
ICustomImagePointSeries

property ImagePoint: ITeePicture;

Type Library
TeeChartx

Description
Set the ImagePoint property to provide an image for the points. If set to nil, no image is displayed on points. The image will be stretched.


ISurfaceSeries.SideLines
ISurfaceSeries

property SideLines: IChartHiddenPen;

Type Library
TeeChartx

Description
The pen used to draw lines on surface sides.

By default this pen is hidden.


ICustomSeries.TreatNulls
ICustomSeries

property TreatNulls: ETreatNullsStyle;

Type Library
TeeChartx

Description
Treat Nulls in data according to selected #link TTreatNullsStyle#TTreatNullsStyle#.


IArrowSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
IArrowSeries


ISeriesGroups.Contains
ISeriesGroups

function Contains(SeriesIndex: Integer): Integer;

Type Library
TeeChartx

Description
Returns which group index is the first group that contains the Series Index parameter.

Returns -1 if the series index does not belong to any group.


ISeries.asClock
ISeries

property asClock: IClockSeries;

Type Library
TeeChartx

Description
Access to ClockSeries specific properties.


IContourSeries.Frame
IContourSeries

property Frame: IChartHiddenPen;

Type Library
TeeChartx

Description
Plots outer Frame for ContourSeries.


IScrollBarThumb.properties
IScrollBarThumb Legend key

Type Library
TeeChartx

In IScrollBarThumb

Brush
Gradient
Image
Size
Style


ICustomBarSeries.Emboss
ICustomBarSeries

property Emboss: ITeeEmboss;

Type Library
TeeChartx

Description
The new Emboss property produces a "Shadow-like" effect in the opposite direction of a Shadow.

This property has been implemented in the same classes in which the Shadow is implemented, meaning that the property is widely available throughout the Chart.


ICustomDSeries.properties

ICustom3DSeries properties
ICustom3DSeries Legend key

Type Library
TeeChartx

In ICustom3DSeries

Brush
Pen
TimesZOrder
ZValue
ZValues


IBrush.methods
IBrush Legend key

Type Library
TeeChartx

In IBrush

AssignImage
ClearImage
LoadImage
ShowEditor


IFrameTool.ResizeChart
IFrameTool

property ResizeChart: WordBool;

Type Library
TeeChartx

Description
Default : True

Setting it to False the Chart won't be resized based on the frame size.


ICandleSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IPointSeries
|
ICandleSeries


ITChart.OnSurfaceNearestToolSelectCell
ITChart

property OnSurfaceNearestToolSelectCell: TNotifyEvent;

Type Library
TeeChartx

Description
Triggered when the mouse is moved to a surface cell.

You can use the GetRowCol method to obtain the row and column values for the selected cell.


IGaugeRanges.methods
IGaugeRanges Legend key

Type Library
TeeChartx

In IGaugeRanges

Add


IModeFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSortedFunction
|
IModeFunction


ISeriesTextFields.Items
ISeriesTextFields

property Items[Index: Integer]: ISeriesTextField;

Type Library
TeeChartx

Description
Access each SeriesTextField of the SeriesTextFields list by index to read/modify characteristics.


IAspect.HorizOffset
IAspect

property HorizOffset: Integer;

Type Library
TeeChartx

Description
Moves the entire Chart on a horizontal plane. Not Active for 2D or 3D orthogonal Charts.

3D Rotation Example

The following example in VBScript for Internet Explorer will generate a webpage with animated Chart rotation, Elevation and Zoom. The Chart uses Perspective and animation is activated by TeeChart's its own timer events.

<SCRIPT LANGUAGE="VBScript">

<!--

Dim DeltaRot

Dim DeltaElev

Dim DeltaZoom

DeltaRot=2

DeltaElev=2

DeltaZoom=2

Sub TChart1_OnTimer()

if TChart1.SeriesCount > 0 then

TChart1.Aspect.Rotation = TChart1.Aspect.Rotation + DeltaRot

If (TChart1.Aspect.Rotation <= 275) Or (TChart1.Aspect.Rotation >= 355) Then

DeltaRot = -DeltaRot

End If

TChart1.Aspect.Elevation = TChart1.Aspect.Elevation + DeltaElev

If (TChart1.Aspect.Elevation <= 275) Or (TChart1.Aspect.Elevation >= 355) Then

DeltaElev = -DeltaElev

End If

TChart1.Aspect.Zoom = TChart1.Aspect.Zoom + DeltaZoom

If (TChart1.Aspect.Zoom <= 40) Or (TChart1.Aspect.Zoom >= 280) Then

DeltaZoom = -DeltaZoom

End If

end if

end sub

Sub Animate()

TChart1.TimerInterval=100

TChart1.TimerEnabled=not TChart1.TimerEnabled

End sub

Sub LoadChart()

TChart1.AddSeries(1)

TChart1.AddSeries(0)

TChart1.Series(0).FillSampleValues(10)

TChart1.Series(1).FillSampleValues(10)

TChart1.Series(0).asBar.AutoBarSize=True

TChart1.Series(0).asBar.BarPen.Color=RGB(153,0,0)

TChart1.Aspect.Orthogonal=False

TChart1.Aspect.Chart3DPercent=80

TChart1.Aspect.Perspective=50

TChart1.Panel.Gradient.Visible=true

If TChart1.Canvas.IsScreenHighColor = True then

TChart1.Panel.Gradient.EndColor=RGB(0,0,151)

TChart1.Header.Font.Color = vbYellow

else

TChart1.Header.Font.Color = vbBlack

end if

TChart1.Header.Font.Bold=True

TChart1.Header.Font.Size=10

TChart1.Header.Text(0)="TeeChart 3D example"

cmdChart1.disabled=True

End sub

'To use OpenGL add TChart1.Aspect.OpenGL.Active = True

-->

</SCRIPT>

<html><head><TITLE>TeeChart 3D animation example</TITLE></head>

<BODY bgcolor=#FFFFFF>

<p><input type="button" value="LoadChart" onclick="LoadChart()" name="cmdChart1"> <br>

<input type="button" value="Stop/Start animation !" onclick="Animate()"

name="cmdChart3"> </p>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:008BBE7E-C096-11D0-B4E3-00A0C901D681">

codebase="TeeChart.ocx#version=4,0,0,0" TYPE="application/x-oleobject"

</OBJECT>

</BODY>

</html>


IOrgShape.properties
IOrgShape Legend key

Type Library
TeeChartx

Derived from ITextShape

AutoSize
ClipText
Cursor
Margins
Text
TextAlignment

Derived from ITeeShapePosition

CustomPosition
Left
Top

Derived from ICustomTextShape

TextFormat

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


ILegendScrollBarTool.Horizontal
ILegendScrollBarTool

property Horizontal: WordBool;

Type Library
TeeChartx

Description
True when the scrollbar is horizontal, False if it is vertical.


ITChart.TimerInterval
ITChart

property TimerInterval: Integer;

Type Library
TeeChartx

Description
Timer interval in milliseconds. See the TimerEnabled property and OnTimer event.


ISeries.asCandle
ISeries

property asCandle: ICandleSeries;

Type Library
TeeChartx

Description
The asCandle property is used by the Series Class to access Candle Series specific properties. See Typecasting for a detailed explanation of access to Series and Function specific properties.

Example [Visual Basic]:

With TChart1.Series( 0 )

.AsCandle.CandleStyle = csCandleStick

End With


ISeries.AssignValues
ISeries

procedure AssignValues(SeriesIndex: Integer);

Type Library
TeeChartx

Description
Assigns all values from Series SeriesIndex to the current Series.


ITeeCustomShape.ChildLayout
ITeeCustomShape

property ChildLayout: EShapeLayout;

Type Library
TeeChartx


IMarksItem.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
IMarksItem


ITeeRectArray.properties
ITeeRectArray Legend key

Type Library
TeeChartx

In ITeeRectArray

Count
Item


ICalendarCellUpper.UpperCase
ICalendarCellUpper

property UpperCase: WordBool;

Type Library
TeeChartx

Description
The UpperCase property enables/disables the display of months and weekdays in upper case.

Example [Visual Basic]:

With TChart1.Series(0).asCalendar

.Months.UpperCase = True

.Weekdays.UpperCase = False

End With


IValueList.DateTime
IValueList

property DateTime: WordBool;

Type Library
TeeChartx

Description
TeeChart allows values to be expressed either as numbers or as Date+Time values. Each Series value list has a boolean property called DateTime. . The boolean DateTime property tells TeeChart what type the numbers are.The horizontal (x axis) and vertical (y axis) value defaults are number format (DateTime False). DateTime can be changed both at design-time and run-time, forcing the Chart to repaint. This property is used whenever a value must be converted to text, for example, to draw it as the chart axis labels. Axis labels will be drawn in DateTime or numeric format accordingly to the setting of the DateTime property.

You can also set the Chart Series ValueFormat and the Chart Axis DateTimeFormat formatting strings, to control how the values will be displayed.

DateTime Example

Delphi

{LineSeries}

TChart1.Series[ 0 ].XValues.DateTime := False ; (we have X numbers, not DateTime X values)

Visual Basic

'BubbleSeries

TChart1.Series( 1 ).asBubble.RadiusValues.DateTime = True

At runtime, you can manually set the values accordingly:

Delphi

TChart1.Series[ 1 ].XValues.Value[5]:=EncodeTime(23,59,00);

if LineSeries1.XValues.DateTime equals True.

Or...

TChart1.Series[ 1 ].XValues.Value[5]:=1234.567;

if LineSeries1.XValues.DateTime equals False. However, no type checking is performed, so both ways will work.


IGLLightSource.UseDirection
IGLLightSource

property UseDirection: WordBool;

Type Library
TeeChartx

Description
Default : False

Setting it to True, the referenced Light will use the X,Y and Z position assigned with the Direction property.


IHistogramSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IHistogramSeries


IPrinterSettings.YResolution
IPrinterSettings

property YResolution: SmallInt;

Type Library
TeeChartx

Description
Specifies the y-resolution, in dots per inch, of the printer. If the printer initializes this member, the dmPrintQuality member specifies the x-resolution, in dots per inch, of the printer.


IGridBandBrush.methods
IGridBandBrush Legend key

Type Library
TeeChartx

Derived from IBrush

AssignImage
ClearImage
LoadImage
ShowEditor


IVectorDSeries.EndYValues

IVector3DSeries.EndYValues
IVector3DSeries

property EndYValues: IValueList;

Type Library
TeeChartx

Description
List of values representing the ending Y coordinates of vector lines.


ITChart.BufferedDisplay
ITChart

property BufferedDisplay: WordBool;

Type Library
TeeChartx

Description
Default, BufferedDisplay is True.

Charts are drawn to an "internal" canvas and then it is shown on screen. This prevents "flickering" and, when charts have a lot of points, can gain speed as it's faster to show an entire chart than drawing all points directly to screen.

For realtime charts, where new points are continuously being added, this is a must.


IAxisLabels.Multiline
IAxisLabels

property Multiline: WordBool;

Type Library
TeeChartx

Description
Activate Multiline Axis Labels. TeeChart will automaticall break DateTime Labels on occurence of a space " ". Use chr$(13) in other label types to break a line or use the TeeSplitInLines method in the OnGetAxisLabel event.

Example

DateTime value 1/2/1999 12:00:00

will appear as

1/2/1999

12:00:00

when Multiline is set to True.

Use "myLabel1stLine" + chr$(13) + "MyLabel2ndLine"

for none DateTime Labels or use the TeeSplitInLines method.


ISeries.asEquiVolume
ISeries

property asEquiVolume: IEquiVolumeSeries;

Type Library
TeeChartx


ITeeCommanderButton.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCommanderButton


IZoom.ZoomPercent
IZoom

procedure ZoomPercent(PercentZoom: Double);

Type Library
TeeChartx

Description
The Chart.ZoomPercent method applies the specified PercentZoom Zoom In/Out to the current Axis scales. When PercentZoom is greater than 100%, Zoom Out is performed. When PercentZoom is lower than 100%, Zoom In is performed. The Animated property controls if Zoom is done directly in only one step or by multiple zooms thus giving an animation effect.


ITChart.OnGetAxisLabel
ITChart

property OnGetAxisLabel: TTChartOnGetAxisLabel;

Type Library
TeeChartx

Description
An Event is triggered for each Axis Label painted. There are two different uses for OnGetAxisLabel:

1) : Axis Labels are Values. Is this case, the Series parameter will be nil, and the ValueIndex will be -1.

2) : Axis Labels are Series points. The Series parameter will be a valid Series, and the ValueIndex will be the current Series point position. You can change the LabelText referred parameter for drawing a different Axis Label.

Example [Visual Basic]:

Private Sub TChart1_OnGetAxisLabel(ByVal aAxis As Long, ByVal SeriesIndex As Long, ByVal ValueIndex As Long, LabelText As String)

'Modifies Bottom Axis Labels

If aAxis = atBottom Then

LabelText = LabelText + " !"

End If

End Sub


IAspect.Elevation
IAspect

property Elevation: Integer;

Type Library
TeeChartx

Description
Elevation is supported when TChart is in Native 3D or OpenGL Canvas mode. Elevation is not supported for 2D Charts or for 3D orthogonal Charts.

When in Native Windows 3D mode the Chart supports elevation through 270º to 360º. If the OpenGL canvas is enabled (Aspect.OpenGL.Active property = True) then the Chart may be rotated/elevated through a full 360º.

See the Rotation, Zoom, HorizOffset and VertOffset properties for more possibilities for Chart animation. The TeeCommander component offers a runtime Control bar to enable movement by mouse dragging on the Chart.

Example [Visual Basic]:

With TChart1.Aspect

.Orthogonal = False

.Chart3DPercent = 60

.Elevation = 350

End With

3D Rotation Example

The following example in VBScript for Internet Explorer will generate a webpage with animated Chart rotation, Elevation and Zoom. The Chart uses Perspective and animation is activated by TeeChart's its own timer events.

<SCRIPT LANGUAGE="VBScript">

<!--

Dim DeltaRot

Dim DeltaElev

Dim DeltaZoom

DeltaRot=2

DeltaElev=2

DeltaZoom=2

Sub TChart1_OnTimer()

if TChart1.SeriesCount > 0 then

TChart1.Aspect.Rotation = TChart1.Aspect.Rotation + DeltaRot

If (TChart1.Aspect.Rotation <= 275) Or (TChart1.Aspect.Rotation >= 355) Then

DeltaRot = -DeltaRot

End If

TChart1.Aspect.Elevation = TChart1.Aspect.Elevation + DeltaElev

If (TChart1.Aspect.Elevation <= 275) Or (TChart1.Aspect.Elevation >= 355) Then

DeltaElev = -DeltaElev

End If

TChart1.Aspect.Zoom = TChart1.Aspect.Zoom + DeltaZoom

If (TChart1.Aspect.Zoom <= 40) Or (TChart1.Aspect.Zoom >= 280) Then

DeltaZoom = -DeltaZoom

End If

end if

end sub

Sub Animate()

TChart1.TimerInterval=100

TChart1.TimerEnabled=not TChart1.TimerEnabled

End sub

Sub LoadChart()

TChart1.AddSeries(1)

TChart1.AddSeries(0)

TChart1.Series(0).FillSampleValues(10)

TChart1.Series(1).FillSampleValues(10)

TChart1.Series(0).asBar.AutoBarSize=True

TChart1.Series(0).asBar.BarPen.Color=RGB(153,0,0)

TChart1.Aspect.Orthogonal=False

TChart1.Aspect.Chart3DPercent=80

TChart1.Aspect.Perspective=50

TChart1.Panel.Gradient.Visible=true

If TChart1.Canvas.IsScreenHighColor = True then

TChart1.Panel.Gradient.EndColor=RGB(0,0,151)

TChart1.Header.Font.Color = vbYellow

else

TChart1.Header.Font.Color = vbBlack

end if

TChart1.Header.Font.Bold=True

TChart1.Header.Font.Size=10

TChart1.Header.Text(0)="TeeChart 3D example"

cmdChart1.disabled=True

End sub

'To use OpenGL add TChart1.Aspect.OpenGL.Active = True

-->

</SCRIPT>

<html><head><TITLE>TeeChart 3D animation example</TITLE></head>

<BODY bgcolor=#FFFFFF>

<p><input type="button" value="LoadChart" onclick="LoadChart()" name="cmdChart1"> <br>

<input type="button" value="Stop/Start animation !" onclick="Animate()"

name="cmdChart3"> </p>

<OBJECT ID="TChart1" WIDTH=450 HEIGHT=290

CLASSID="CLSID:008BBE7E-C096-11D0-B4E3-00A0C901D681">

codebase="TeeChart.ocx#version=4,0,0,0" TYPE="application/x-oleobject"

</OBJECT>

</BODY>

</html>


ILevelSegment.properties
ILevelSegment Legend key

Type Library
TeeChartx

In ILevelSegment

NumPoints
Points


ISeriesTextField.FieldIndex
ISeriesTextField

property FieldIndex: Integer;

Type Library
TeeChartx

Description
Returns index of Field. Use the AddField method to add a new field with Index 'FieldIndex' and FieldName.

When adding new fields, the FieldName should coincide with the Series' Valuelist name.


ICanvas.PlaneWithZ
ICanvas

procedure PlaneWithZ(X1, Y1, X2, Y2, X3, Y3, X4, Y4, Z: Integer);

Type Library
TeeChartx

Description
Draws a polygon of ((X1,Y1),(X2,Y2),(X3,Y3),(X4,Y4)) at Z position


IGaugePointerRange.Position
IGaugePointerRange

property Position: Integer;

Type Library
TeeChartx


ILegend.Item
ILegend

property Item[Index: Integer]: ILegendItem;

Type Library
TeeChartx

Description
Use the Item property to define the characteristics of a specific Legend


ISeries.asBarJoin
ISeries

property asBarJoin: IBarJoinSeries;

Type Library
TeeChartx

Description
Access to BarJoinSeries specific properties.


IHorizBarSeries.CalcBarBounds
IHorizBarSeries

procedure CalcBarBounds(ValueIndex: Integer);

Type Library
TeeChartx

Description
This method calculates the position (left, top) and size (width and height) of a given Bar series point at ValueIndex position.

Calculation results are stored at the BarBounds property.


ILegendPaletteTool.Border
ILegendPaletteTool

property Border: IChartHiddenPen;

Type Library
TeeChartx

Description
Draws a border around the legend.

By default this pen is hidden.


IAxisLabelsItem.Format
IAxisLabelsItem

property Format: ICustomTextShape;

Type Library
TeeChartx


ILightTool.Factor
ILightTool

property Factor: Integer;

Type Library
TeeChartx

Description
The size of the "light spot" in percentage of maximum chart dimensions.

Default value is 10.


ILegendItem.Text
ILegendItem

property Text: WideString;

Type Library
TeeChartx

Description
Gets or sets the text of the Legend item.


IContourMarks.Density
IContourMarks

property Density: Integer;

Type Library
TeeChartx

Description
Sets the repetition density of the marks on the Segment lines.


ICorrelationFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICorrelationFunction


IClusteringTool.Distance
IClusteringTool

property Distance: EDistanceMethod;

Type Library
TeeChartx


IShapeCallout.Position
IShapeCallout

property Position: Integer;

Type Library
TeeChartx


IFullScreenTool.properties
IFullScreenTool Legend key

Type Library
TeeChartx

In IFullScreenTool

ReleaseKey


ITeeEditorOptions.AllGroups
ITeeEditorOptions

property AllGroups: WordBool;

Type Library
TeeChartx

Description

Enable AllGroup Editing


IZoom.Zoomed
IZoom

property Zoomed: WordBool;

Type Library
TeeChartx

Description
Run-time only.

The Zoomed property determines if Chart axis scales do not fit all Chart points.

It is set to True when users's apply zoom or scroll to the Chart using the mouse at run-time.

The Zoom.Undo method sets the Zoomed property to False and resets the axis scales to fit all Series points.

The default value is True, meaning no zoom or scroll has been applied to the chart after it has been displayed for first time.


IChartEditorPanel.methods
IChartEditorPanel Legend key

Type Library
TeeChartx

In IChartEditorPanel

SelectUnderMouse

Derived from ITeeLinked

AboutBox


ITeeCommander.Gradient
ITeeCommander

property Gradient: IGradient;

Type Library
TeeChartx

Description
Allow you to define the gradient applied to the TeeCommander.

Example:-

With TeeCommander1.Gradient

.StartColor = vbBlue

.EndColor = vbRed

.Visible = True

End With


ITeeFunction.asSkewness
ITeeFunction

property asSkewness: ISkewnessFunction;

Type Library
TeeChartx

Description
The asSkewness property is used by the Teefunction Class to access Skewness Function specific properties.


ISeriesMarkPosition.Width
ISeriesMarkPosition

property Width: Integer;

Type Library
TeeChartx

Description
Defines the Mark Width in pixels


ITeeAnimation.Enabled
ITeeAnimation

property Enabled: WordBool;

Type Library
TeeChartx


IHistogramSeries.LinesPen
IHistogramSeries

property LinesPen: IPen;

Type Library
TeeChartx

Description
The LinePen property determines what kind of pen will be used for drawing the line connecting all points.


IAxis.MinorGrid
IAxis

property MinorGrid: IPen;

Type Library
TeeChartx

Description
Characteristics of the Grid coincidental wth Minor Ticks. The Minor Grid is Visible False as default.

Example [Visual Basic]:

With TChart1.Axis.Bottom

.MinorGrid.Style = psDot

.MinorGrid.Color = RGB(204, 204, 204)

.MinorGrid.Visible = True

End with


ISeries.asDarvas
ISeries

property asDarvas: IDarvasSeries;

Type Library
TeeChartx

Description
The asDarvas property is used by the Series Class to access Darvas Series specific properties.


ITeeLinked.Chart
ITeeLinked

property Chart: ITChart;

Type Library
TeeChartx

Description
The TeeChart control to use (ie: TChart1).

Example [Visual Basic]:

Private Sub Form_Load()

With TChart1

.AddSeries scBar

.Series(0).FillSampleValues 6

End With

TeeListBox1.Chart = TChart1

End Sub


ICircularGauge.RotationAngle
ICircularGauge

property RotationAngle: Double;

Type Library
TeeChartx

Description

Default is 0

Determines the amount of rotation (in angle degrees from 0 to 360) for the whole set of gauge elements (labels, hand, etc).


IBannerTool.methods
IBannerTool Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

Clicked
SetBounds


ITeeBasePath.Draw
ITeeBasePath

procedure Draw;

Type Library
TeeChartx


INearestTool.Size
INearestTool

property Size: Integer;

Type Library
TeeChartx

Description
Default value: 20

Set the Size property to define the size of the NearestTool shape.


IMarks.Positions
IMarks

property Positions: ISeriesMarksPositions;

Type Library
TeeChartx

Description
Set Mark Custom positions.


ITeePreviewPanel.Repaint
ITeePreviewPanel

procedure Repaint;

Type Library
TeeChartx

Description
Call Repaint to repaint the control.

Repaint calls the Invalidate method and then the Update method to repaint the control.


IAxis.Logarithmic
IAxis

property Logarithmic: WordBool;

Type Library
TeeChartx

Description
This boolean property scales the Axis Logarithmically when True. Axis Minimum and Maximum values should be greater than 0, and Axis cannot be of DateTime type.


IFramedBorder.Shadow
IFramedBorder

property Shadow: ITeeShadow;

Type Library
TeeChartx

Description

Defines the Shadow's characteristics.


IAxisBreaks.properties
IAxisBreaks Legend key

Type Library
TeeChartx

In IAxisBreaks

Count
Item


ISurfaceNearestTool.SelectedCell
ISurfaceNearestTool

property SelectedCell: Integer;

Type Library
TeeChartx

Description
Returns the index of the cell under the mouse cursor.

Example:-

Private Sub TChart1_OnSurfaceNearestToolSelectCell()

Dim tmp As Integer

Dim tmpRow, tmpCol As Double

tmp = TChart1.Tools.Items(0).asSurfaceNearest.SelectedCell

If tmp = -1 Then

Label1.Caption = ""

Else

tmpRow = TChart1.Tools.Items(0).asSurfaceNearest.GetRow

tmpCol = TChart1.Tools.Items(0).asSurfaceNearest.GetCol

Label1.Caption = "Row: " & tmpRow & " Column: " & tmpCol

End If

End Sub


ILegendPaletteTool.SubFoot
ILegendPaletteTool

property SubFoot: ITitles;

Type Library
TeeChartx


ILegend.Vertspacing
ILegend

property Vertspacing: Integer;

Type Library
TeeChartx

Description
Modify vertical spacing between Legend items (pixels).


ICandleSeries.HighLowColor
ICandleSeries

property HighLowColor: ECandleBorderColor;

Type Library
TeeChartx


ISeries.HorizontalAxis
ISeries

property HorizontalAxis: EHorizontalAxis;

Type Library
TeeChartx

Description
The HorizontalAxis property is of type: EHorizontalAxis. It defines to which Horizontal Axis ( Top or Bottom axis ) the Series will be horizontally scaled.

Example [Visual Basic]:

You can change the desired Horizontal Axis both at design and runtime:

TChart1.Series(1).HorizontalAxis = aTopAxis


IValueList.ValueSource
IValueList

property ValueSource: WideString;

Type Library
TeeChartx

Description
Each TChart Value List has a ValueSource property. You can set this string property to different kind of values:

Case 1. A Chart Series is connected to an ODBC v3 database source:

If the Series that owns this ValueList is attached to a TChart and the Series.DataSource property is an ODBC v3 Table or SQL Query which provides database records, then the ValueSource property must refer to an existing numeric, date, time or datetime Field Name in the underlying dataset.

Example [Visual Basic]:

With TChart1.Series( 0 )

.DataSource = "DSN=Paradox files; TABLE=DOLLAR"

.YValues.ValueSource = "Dollar_exchange"

End with

"Dollar_exchange" being a numeric Field Name in Table "DOLLAR".

Case 2. A Chart Series is connected to another Chart Series:

If the Series which owns this ValueList is attached to a TChart and if the Series.DataSource property is any Series class, then the ValueSource property must refer to an existing IValueList Name in the underlying Series.

Example [Visual Basic]:

With TChart1.Series( 0 )

.DataSource="Series1"

.YValues.ValueSource="Y"

End with

Y being the Series2.YValues.Name.

NOTE:

Changing the ValueSource property both at design or runtime, will force the Series to fill again its values from the specified DataSource.

This must be specially considered when the DataSource Series property is a database Table or Query, because maybe it takes a long time to retrieve all records.

If the dataset is closed, the automatic record retrieving will be performed later on, when the dataset is opened again.

ValueSource Example

Being Quantity, a former numeric Field Name in Table1.

Visual Basic

Private Sub Command2_Click()

With TChart1.Series(0)

.LabelsSource = "Date"

.YValues.ValueSource = "Dollar_exchange"

.DataSource = "DSN=Paradox files; TABLE=DOLLAR"

End With

end sub

Where "Dollar_exchange is a field in the table "DOLLAR"


ICustomBarSeries.OffsetPercent
ICustomBarSeries

property OffsetPercent: Integer;

Type Library
TeeChartx

Description
Default: 0

The OffsetPercent property indicates the Bar displacement in percent of Bar size. Displacement is horizontal for BarSeries and vertical for HorizBarSeries. This property can be used to create "overlayed" Bar charts. You can specify positive or negative values.

OffsetPercent Example

This code sets 3 Bar series OffsetPercent to achieve an overlayed Bar chart:

Delphi

TChart1.Series 0 .asBar.OffsetPercent :=25; {% of Bar width}

TChart1.Series 1 .asBar.OffsetPercent :=50; {% of Bar width}

TChart1.Series 2 .asBar.OffsetPercent :=75; {% of Bar width}

Visual Basic

TChart1.Series( 0 ).asBar.OffsetPercent =25 '% of Bar width

TChart1.Series( 1 ).asBar.OffsetPercent =50 '% of Bar width

TChart1.Series( 2 ).asBar.OffsetPercent =75 '% of Bar width


ITeePreviewerOptions.ChangeDetail
ITeePreviewerOptions

property ChangeDetail: WordBool;

Type Library
TeeChartx

Description
Applies to

TeePreviewerOptions component

Declaration

property AsBitMap : WordBool;

property ChangeDetail : WordBool;

property ChangeMargins : WordBool;

property ChangePaperOrientation : WordBool;

property ChangePrinter : WordBool;

property DragImage : WordBool;

property MoveImage : WordBool;

property PrintPanel : WordBool;

property Proportional : WordBool;

property ResizeImage : WordBool;

property SetupPrinter : WordBool;

Description

Default = True

The Option in TeePreviewerOptions may be used to disable functionality in the runtime Print Previewer. Set option properties to false to disable them.


IContourMarks.Margin
IContourMarks

property Margin: Integer;

Type Library
TeeChartx

Description
Defines the space to be left when adding a Mark into a Segment line. A higher value leaves more space on either side of the Mark before continuing the line.


IGIFExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IGIFExport


IGaugePointerRange.properties
IGaugePointerRange Legend key

Type Library
TeeChartx

In IGaugePointerRange

EndValue
Position
Spiralled
StartValue

Derived from IGaugeSeriesPointer

GaugeStyle

Derived from IPointer

Brush
Dark3D
Depth
Draw3D
Emboss
FullGradient
Gradient
HorizontalSize
InflateMargins
Pen
Picture
Shadow
SizeFloat
SizeUnits
Style
Transparency
VerticalSize
Visible


IOrgSeries.Spacing
IOrgSeries

property Spacing: ISpacing;

Type Library
TeeChartx

Description
Gets the vertical and horizontal pixel values to be used as default space between items.


ITeeFilter.asEmboss
ITeeFilter

property asEmboss: IEmbossFilter;

Type Library
TeeChartx

Description
The asEmboss property is used by the TeeFilter Class to access Emboss Filter specific properties.


ICanvas.RoundRectWithZ
ICanvas

procedure RoundRectWithZ(Left, Top, Right, Bottom, X, Y, Z: Integer);

Type Library
TeeChartx


IValueList.Delete
IValueList

procedure Delete(Index: Integer);

Type Library
TeeChartx

Description
The Delete method will remove the # ValueIndex point from the Series values lists. The Chart will be automatically redrawn. Dependent Series will be recalculated.


IPolarGridSeries.NumTracks
IPolarGridSeries

property NumTracks: Integer;

Type Library
TeeChartx

Description
Default is 10.

Defines the number of tracks (concentric rings) in the polar grid.

See also: IPolarGridSeries.NumSectors


IAxis.Scroll
IAxis

procedure Scroll(Offset: Double; CheckLimits: WordBool);

Type Library
TeeChartx

Description
This method will "scroll" or displace the Axis Maximum and Minimum values by the Offset parameter. If you want to scroll the Axis outside Series limits, CheckLimits must be False.

Example [Visual Basic]:

Scrolls 150 points on clicking the Chart

Private Sub TChart1_OnClick()

TChart1.Axis.Bottom.Scroll 150, False

End Sub


IFramedBorder.Circled
IFramedBorder

property Circled: WordBool;

Type Library
TeeChartx

Description

Toggles the drawing of a circular or rectangular frame.


IExtraLegendTool.Legend
IExtraLegendTool

property Legend: ILegend;

Type Library
TeeChartx

Description
Property with all legend formatting properties and settings.

Example [Visual Basic]:

ChartTool1.Legend.Font.Size = 14


ISurfaceSides.properties
ISurfaceSides Legend key

Type Library
TeeChartx

In ISurfaceSides

Brush
Levels
Pen


IShapeSeries.Alignment
IShapeSeries

property Alignment: ETextAlignment;

Type Library
TeeChartx

Description
The Alignment property decides the alignment of the text of a ShapeSeries.


IOrgShape.methods
IOrgShape Legend key

Type Library
TeeChartx

Derived from ITeeCustomShape

Hide
Show
ShowEditorShape


ILegendScrollBarTool.properties
ILegendScrollBarTool Legend key

Type Library
TeeChartx

In ILegendScrollBarTool

ArrowBrush
AutoRepeat
BackColor
Bevel
Brush
DrawStyle
Gradient
Horizontal
InitialDelay
MinThumbSize
Pen
Position
Size
Thumb
ThumbBrush
ThumbSize


INumericMarker.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IAnnotationTool
|
INumericMarker


IFastLineSeries.AutoRepaint
IFastLineSeries

property AutoRepaint: WordBool;

Type Library
TeeChartx

Description
Use AutoRepaint false to disable Chart repainting whilst (for example) adding a large number of points to a Chart Series. This avoids repainting of the Chart whilst the points are added. AutoRepaint may be re-enabled, followed by a manual Repaint command when all points are added.


IAreaSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustomSeries
|
IAreaSeries


ISmithSeries.properties
ISmithSeries Legend key

Type Library
TeeChartx

In ISmithSeries

CCirclePen
CLabels
CLabelsFont
ImagSymbol
RCirclePen
ReactanceValues
ResistenceValues
RLabels
RLabelsFont

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


ISeriesList.methods
ISeriesList Legend key

Type Library
TeeChartx

In ISeriesList

AddGroup
ClearValues
Clicked
First
Last


ITeeCommander.BevelOffset
ITeeCommander

property BevelOffset: Integer;

Type Library
TeeChartx

Description

The BevelOffset property defines the width of the TeeCommander Panel border.


ILegendTitle.Text
ILegendTitle

property Text: IStrings;

Type Library
TeeChartx

Description
Gets or sets the text lines used to display the chart legend title.


IArrowTool.Gradient
IArrowTool

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill a zone. The zone is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


IPointDSeries.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ICustom3DSeries
|
ICustom3DPaletteSeries
|
IPoint3DSeries


ISeries.ValueLists
ISeries

property ValueLists: IValueLists;

Type Library
TeeChartx

Description
The ValueLists property calls the IValueLists interface giving access to the different Data Values available in each Series type; Date, Open, High, Low and Close in the case of a Candle Series.

Example [Visual Basic]:

'Data text file "C:\TestFiles\testcandledata.txt":

'Date,Open,High,Low,Close

'1/1/2000,15,76,7,40

'2/1/2000,40,55,35,37

'3/1/2000,37,61,29,43

Private Sub Form_Load()

Dim colcount As Integer

TChart1.AddSeries scCandle

With SeriesTextSource1

.Series = TChart1.Series(0)

.FileName = "C:\TestFiles\testcandledata.txt"

.HeaderLines = 1

For colcount = 0 To TChart1.Series(0).ValueLists.Count - 1

.AddField TChart1.Series(0).ValueLists.Items(colcount).Name, colcount + 1

Next colcount

.Active = True

End With

End Sub


ITeeBasePath.methods
ITeeBasePath Legend key

Type Library
TeeChartx

In ITeeBasePath

ArcTo
Close
Curve
Draw
LineTo
MoveTo


ICursorTool.UseSeriesZ
ICursorTool

property UseSeriesZ: WordBool;

Type Library
TeeChartx

Description
Gets or sets if the cursor will be displayed at the chart front position (the default) , or it will use the Series "Z" position.

Setting UseSeriesZ to True enables drawing cursors "inside" the Chart when it's displayed in 3D.


IAreaSeries.AreaBrush
IAreaSeries

property AreaBrush: EBrushStyle;

Type Library
TeeChartx

Description
Default Value: bsSolid

The AreaBrush property indicates the kind of Brush used to fill the background Area region. You can control the Area background color by using the Series.Color property.


ISeries.FillSampleValues
ISeries

procedure FillSampleValues(NumValues: Integer);

Type Library
TeeChartx

Description
Each Series draws random values at design mode unless you connect the Series class to other Series class or to a DataSet (Table,SQL,TClientDataset) class.

This method adds some random values to the Series and redraws it.

Example

Delphi

TChart1.Series[ 1 ].FillSampleValues(20);

{will draw a series with 20 values at runtime}

Visual Basic

TChart1.Series(1).FillSampleValues 20


ITeeCommander.properties
ITeeCommander Legend key

Type Library
TeeChartx

In ITeeCommander

BevelInner
BevelOffset
BevelOuter
BevelWidth
BorderStyle
Button3D
ButtonCopy
ButtonDepth
ButtonEdit
ButtonMove
ButtonNormal
ButtonPrint
ButtonRotate
Buttons
ButtonSave
ButtonZoom
Color
Controls
DefaultButton
Editor
EditorLink
EditorLinkx64
Enabled
FullRotation
Gradient
LabelValues
Previewer
PreviewerLink
PreviewerLinkx64
RotateInertia
Vertical

Derived from ITeeLinked

Chart
ChartLink
ChartLinkx64


ITeeAnimation.TimingStyle
ITeeAnimation

property TimingStyle: EAnimationTimingStyle;

Type Library
TeeChartx


ICustomAnimationChart.Series
ICustomAnimationChart

property Series: Integer;

Type Library
TeeChartx


IGradientColor.properties
IGradientColor Legend key

Type Library
TeeChartx

In IGradientColor

Color
Offset
Transparency


IAxisLabels.Clear
IAxisLabels

procedure Clear;

Type Library
TeeChartx

Description
Removes all custom axis label objects from list.

Axis will display all labels using default properties.

Example [Visual Basic]:

Private Sub AddCustomLabels()

TChart1.Axis.Left.Labels.Clear

TChart1.Axis.Left.Labels.Add 123, "Hello"

TChart1.Axis.Left.Labels.Item(0).Font.Size = 16

TChart1.Axis.Left.Labels.Add 466, "Good" & Chr(13) & "Bye"

TChart1.Axis.Left.Labels.Item(1).Transparent = False

TChart1.Axis.Left.Labels.Add 300, ""

TChart1.Axis.Left.Labels.Add -100, ""

With TChart1.Axis.Left.Labels.Item(3)

.Transparent = False

.Transparency = 50

.Color = vbBlue

End With

End Sub


IRadarSeries.properties
IRadarSeries Legend key

Type Library
TeeChartx

Derived from ICustomPolarSeries

AngleIncrement
AngleLabels
AngleValues
Brush
CircleGradient
CircleLabels
CircleLabelsInside
ClockWiseLabels
CloseCircle
LabelsMargin
Pen
RadiusIncrement
RadiusValues
Transparency

Derived from ICustomCircledSeries

CirclePen
ColorEachLine
DrawStyle
Pointer
PointerBehind
TreatNulls

Derived from ICircledSeries

CircleBackColor
CircleBrush
Circled
CircleHeight
CircleWidth
CustomXRadius
CustomYRadius
RotationAngle
Shadow
XCenter
XRadius
YCenter
YRadius


IChartGridNavigator.EnableButtons
IChartGridNavigator

procedure EnableButtons;

Type Library
TeeChartx

Description
This method will enable/disable the gridnavigator buttons according to the navigation state.


ILegendTitle.properties
ILegendTitle Legend key

Type Library
TeeChartx

In ILegendTitle

Caption
Text
TextAlignment
Visible

Derived from ITeeCustomShape

Angle
Bevel
BevelWidth
Brush
ChildLayout
Children
Color
Corners
Emboss
Font
Frame
Gradient
Height
Pen
Picture
RoundSize
Shadow
ShadowColor
ShadowSize
ShapeBounds
ShapeCallout
ShapeStyle
ShapeVisible
Transparency
Transparent
Width


IMagnifyTool.Percent
IMagnifyTool

property Percent: Double;

Type Library
TeeChartx

Description
Defines the amount of zoom in percentage from 0 to 100.


ILegend.CheckBoxesStyle
ILegend

property CheckBoxesStyle: ECheckBoxesStyle;

Type Library
TeeChartx

Description
Allows you to select the Style of the Legend items.

Check or Radio style.

Example [Visual Basic]:

tchart1.Legend.CheckBoxesStyle = cbsRadio


IPerformanceFunction.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPerformanceFunction


ICircularFrame.properties
ICircularFrame Legend key

Type Library
TeeChartx

In ICircularFrame

RotationAngle
TotalAngle

Derived from IFramedBorder

Brush
Circled
Emboss
InnerBrush
MiddleBrush
OuterBrush
Shadow
Visible
Width


IHorizHistogramSeries.properties
IHorizHistogramSeries Legend key

Type Library
TeeChartx

Derived from IHistogramSeries

Brush
LinePen
LinesPen
Transparency
UseYOrigin
YOrigin


ITeeAnimation.Parent
ITeeAnimation

property Parent: ITeeAnimation;

Type Library
TeeChartx


IAxisScrollBarTool
Hierarchy Properties

Type Library
TeeChartx


INumericGauge.TextMarker
INumericGauge

property TextMarker: INumericMarker;

Type Library
TeeChartx

Description

Gets and sets the Marker object which defines the "Text", e.g. FREQ, of the NumericGauge. This allows access to Font, Brush and Pen characteristics of the shape.


ITeeSelected.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeCustomShape
|
ITeeSelected


IMarks.SoftClip
IMarks

property SoftClip: WordBool;

Type Library
TeeChartx


IPointFigureSeries.UpSymbol
IPointFigureSeries

property UpSymbol: IPointer;

Type Library
TeeChartx

Description
The OpenValues property is used to store all Stock market Open values.

You can access Open values in the same way you can access X or Y values.


ITernarySeries.Gradient
ITernarySeries

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill a zone. The zone is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the Gradient.Direction property. Use the Visible property to show / hide filling.


ILegend.DrawBehind
ILegend

property DrawBehind: WordBool;

Type Library
TeeChartx


ITextExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IDataExport
|
ITextExport


IAxes.Custom
IAxes

property Custom[CustomAxisIndex: Integer]: IAxis;

Type Library
TeeChartx

Description
Use this property to access the Custom series List.

Example [Visual Basic]:

'Change characteristics of a Custom Axis

With TChart1

.Axis.Custom(0).Labels.Font.Bold = True

.Axis.Custom(0).Labels.Font.Color = vbBlue

End With


ITools.asRectangle
ITools

property asRectangle: IRectangleTool;

Type Library
TeeChartx

Description
The asRectangle property is used by the Tools Class to access Rectangle Tool specific properties.


ICanvas.EllipseWithZ
ICanvas

procedure EllipseWithZ(X1, Y1, X2, Y2, Z: Integer);

Type Library
TeeChartx

Description
Ellipse bounding Rect (X1,Y1,X2,Y2) at Z position.


IFunnelSeries.AutoUpdate
IFunnelSeries

property AutoUpdate: WordBool;

Type Library
TeeChartx

Description
Default value = true

If AutoUpdate is set to true, FunnelSeries will be reconstructed with every added point. To speed up the drawing of FunnelSeries, set the AutoUpdate to false and call the Recalculate method when all points are added.


ITeeEditorOptions.Groups
ITeeEditorOptions

property Groups: WordBool;

Type Library
TeeChartx

Description

Show Series Groups in the Chart Editor.


IGaugePointerRange.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IPointer
|
IGaugeSeriesPointer
|
IGaugePointerRange


IFilterItems.AssignImage
IFilterItems

procedure AssignImage(ImageHandle: Integer);

Type Library
TeeChartx

Description
Assign the image referenced by the ImageHandle.


IMACDFunction.MACDExp
IMACDFunction

property MACDExp: ISeries;

Type Library
TeeChartx

Description

Configuration for the Histogram component of the MACD function.

Example [Visual Basic]

TChart1.Series(1).FunctionType.asMACD.MACDExp.Active = Check2.Value


IPrinterSettings.ICMMethod
IPrinterSettings

property ICMMethod: Integer;

Type Library
TeeChartx

Description
Specifies how ICM is handled. For a non-ICM application, this member determines if ICM is enabled or disabled. For ICM applications, the system examines this member to determine how to handle ICM support. This member can be one of the following predefined values, or a driver-defined value greater than or equal to the value of DMICMMETHOD_USER.

Value - Meaning

1 - DMICMMETHOD_NONE Specifies that ICM is disabled.

2 - DMICMMETHOD_SYSTEM Specifies that ICM is handled by Windows.

3 - DMICMMETHOD_DRIVER Specifies that ICM is handled by the device driver.

4 - DMICMMETHOD_DEVICE Specifies that ICM is handled by the destination device.


ITeeCustomShape.Hide
ITeeCustomShape

procedure Hide;

Type Library
TeeChartx

Description
Hides the Shape.


INumericMarker.methods
INumericMarker Legend key

Type Library
TeeChartx

Derived from IAnnotationTool

Clicked
SetBounds


ISeries.asPointD

ISeries.asPoint3D
ISeries

property asPoint3D: IPoint3DSeries;

Type Library
TeeChartx

Description
The asPoint3D property is used by the Series Class to access Point3D Series specific properties.


ITeeEditor.AutoRepaint
ITeeEditor

property AutoRepaint: WordBool;

Type Library
TeeChartx

Description
Default = True

Enable/disable autorepainting of the Chart as changes are made with the Editor. When false the Chart is only repainted when the Editor is closed.


IArrowTool.FromPoint
IArrowTool

property FromPoint: ITeePoint2D;

Type Library
TeeChartx

Description
Defines the point from where to start drawing the arrow.


IOrgItem.AddChild
IOrgItem

function AddChild(Const Text: WideString): Integer;

Type Library
TeeChartx

Description
Creates and returns a new item with the specified text parameter.

This new item Superior is assigned to this item index, so this item is the parent of the newly created item.

See also: AddBrother method.


ILightTool.FollowMouse
ILightTool

property FollowMouse: WordBool;

Type Library
TeeChartx

Description
When true, the light spot will follow the mouse movement.

When false, you may set the Left and Top pixel coordinates.


ICanvas.RotateLabelD

ICanvas.RotateLabel3D
ICanvas

procedure RotateLabel3D(X, Y, Z: Integer; Const St: WideString; RotDegree: Integer);

Type Library
TeeChartx

Description
Draws a 2D rotated label at XYZ position. Depends on TextAlign property.


IFlexExport.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
IExportFormat
|
IFlexExport


ICustomBarSeries.AutoBarSize
ICustomBarSeries

property AutoBarSize: WordBool;

Type Library
TeeChartx

Description
Default False. When True, resizes Bars on zoom, increasing width relative to zoomed area.


ILegendPaletteTool.Width
ILegendPaletteTool

property Width: Integer;

Type Library
TeeChartx

Description
Gets or sets the horizontal size in pixels of the legend.


IPanel.Gradient
IPanel

property Gradient: IGradient;

Type Library
TeeChartx

Description
The Gradient property specifies the colors used to fill Chart background. Chart background is filled using these three colors: StartColor, MidColor and EndColor. You can control the drawing output by setting the IGradient.Direction property. Use the Visible property to show / hide filling.


ITeeCustomAnimation.Animate
ITeeCustomAnimation

property Animate: ITeeAnimate;

Type Library
TeeChartx


IScrollBarThumb.Size
IScrollBarThumb

property Size: Integer;

Type Library
TeeChartx

Description
Default value is zero.

Gets or sets the number of pixels used to draw the scrollbar thumb.

By default is zero meaning the thumb size will be automatically calculated based on the number of items and visible items that the scrollbar represents.


IJavaScriptExport.CanvasName
IJavaScriptExport

property CanvasName: WideString;

Type Library
TeeChartx

Description
Sets the HTML5 Canvas name. Uses "canvas1" as default. If you have multiple canvases on the browser page you will need to control this variabe to give each canvas a unique name.


IFunnelSeries.OpportunityValues
IFunnelSeries

property OpportunityValues: IValueList;

Type Library
TeeChartx

Description
Use OpportunityValues property to get access to the opportunity values of the FunnelSeries.


ISeries.asTernary
ISeries

property asTernary: ITernarySeries;

Type Library
TeeChartx

Description
The asTernary property is used by the Series Class to access Ternary Series specific properties.


IAxisScrollBarTool.Hierarchy

Type Library
TeeChartx

Hierarchy

IDispatch
|
ITeeScrollBar
|
IAxisScrollBarTool